Agilent Infiniium 90000A Series Oscilloscopes

Online Help

Version 04.50.0000

Copyright © 2009-2013 Agilent Technologies, Inc.

Warranty
Technology License
Restricted Rights Legend
Safety Notices
Trademarks

May 2013

Table of Contents

Infiniium 90000A Series Oscilloscopes—At a Glance
Using the Oscilloscope
What's New
What's New (4.50 Release)
What's New (4.30 Release)
What's New (4.20 Release)
What's New (4.10 Release)
What's New (3.50 Release)
What's New (3.21 Release)
What's New (3.11 Release)
What's New (3.10 Release)
What's New (3.00 Release)
What's New (2.50 Release)
What's New (2.10 Release)
What's New (2.01 Release)
Getting Started
Display Controls
Left Side Toolbar
Channel Controls Toolbar
Bottom Toolbar
Tabs
Waveform Display
Front Panel Controls
Run Control Controls
Setup and Display Controls
Horizontal Controls
Vertical Controls
Trigger Controls
Measure Controls
Front Panel Control Sources
Connect / Probe
Probing Basics
What is the Difference Between an Active Probe, Passive Probe, and Current Probe?
How Do I Know Whether to Use a Passive or an Active Probe?
What is the Difference Between Single-ended and Differential Probing?
What Do I Need to Know About Probe Bandwidth?
How Do I Calibrate a Probe and Why Do I Need To?
What Impact Does a Probe Have on My Measurement (Probe Loading)?
What is Probe Compensation?
Probe Calibration
PrecisionProbe and PrecisionCable Calibration
Selecting a Probe
Deskew
Differential Probes
Single-Ended Probes
Probe Resource Center
Default Setups and Autoscale
Default Setup
Factory Default
Autoscale
Channel Setup
Channel Setup Dialog Box
Show Raw Channels
Vertical Scale
Vertical Offset
Skew
Vernier
Labels
Horizontal Setup
Horizontal Setup Dialog Box
Horizontal Scale
Horizontal Position
Horizontal Reference
External 10 MHz Reference Clock
Pan / Zoom
Roll Mode
Acquisition Setup
Acquisition Setup Dialog Box
Sample / Acquisition Modes
Normal, Real Time Sampling
Peak Detect, Real Time Sampling
High Resolution, Real Time Sampling
Equivalent Time Sampling (Normal)
Segmented Sample Mode
Roll Mode (Normal, Peak Detect, and High Resolution)
Memory Depth
Sample Rate
Sin(x)/x Interpolation
Averaging
Display Setup
Display Setup Dialog Box
Connect Dots
Color Grade
Persistence
Waveform Brightness
Grids
Colors
Annotations
Touch Screen
Waveform Memories Setup
Waveform Memory Dialog Box
Trigger
Trigger Basics
Sequential Triggers
Trigger Gallery / Shortcuts
AND (Qualifier)
Trigger Conditioning Dialog Box
Trigger Action Dialog Box
Trigger Threshold Levels
Positioning the Trigger Point
E-mail on Trigger
Trigger Modes
Edge Trigger
Edge Then Edge Trigger
Edge Transition Trigger
Glitch Trigger
Pattern / State Trigger
Pulse Width Trigger
Runt Trigger
Setup and Hold Trigger
Timeout Trigger
Video / TV Trigger
Window Trigger
InfiniiScan +
InfiniiScan Measurement Mode
InfiniiScan Zone Qualify Mode
InfiniiScan Generic Serial Mode
InfiniiScan Non-monotonic Edge Mode
InfiniiScan Runt Mode
Protocol Decode, Search, Trigger
Protocol Decode Setup
CAN (Controller Area Network)
Ethernet 10GBASE-KR
FlexRay
Generic 8B/10B
I2C
JTAG
LIN
MIPI D-PHY
MIPI M-PHY DigRFv4
MIPI M-PHY LLI
MIPI M-PHY UniPro
MIPI M-PHY UFS
MIPI RFFE
PCI Express
PCI Express Gen3
RS-232 / UART
SATA / SAS
SPI
SVID
USB 2.0
USB 3.0
InfiniiBand, Fibre Channel, XAUI, and DVI/HDMI
Manual Setup Dialog Box
Decode Listing Window
Symbol Tab
Packets Tab
Details Tab
Payload Tab
Header Tab
Protocol Search
Navigation Tab
View as Bits
Payload Editor
Protocol Trigger
Troubleshooting Protocol Decode and Triggering
Measurements
Voltage Measurements
Amplitude (V amptd)
Average Voltage (V avg)
Base Voltage (V Base)
Crossing Point Measurement (Crossing)
Maximum Voltage (V max)
Minimum Voltage (V min)
Overshoot
Peak-to-Peak Voltage (Vp-p)
Preshoot
Pulse Amplitude
Pulse Base
Pulse Top
RMS Voltage (V RMS)
Top Voltage (V top)
V Lower
V Middle
V Upper
Vovershoot
Vpreshoot
Time Measurements
Burst Interval
Burst Period
Burst Width
Delta Time
Edge-Edge
Edge Time
Fall Time
T Max
T Min
Negative Pulse Width (- Width)
Positive Pulse Width (+ Width)
Pulse Count (+ and -)
Rise Time
T Volt
Clock Measurements
Duty Cycle
Frequency
Period
Phase
Data Measurements
Hold Time
Setup Time
Mixed Time/Voltage Measurements
Area
Slew Rate
Frequency Domain Measurements
FFT Freq
FFT Mag
FFT Delta Freq
FFT Delta Mag
Eye Pattern Measurements
Eye Crossing %
Eye Duty Cycle Distortion
Eye Height
Eye Jitter
Eye Q-Factor
Eye Width
Histogram Statistic Measurements
Measurement Controls
Measure All Edges
Changing Measurement Names
Measurement / Protocol Decode Thresholds
Measurement Gating
Limit Test and Search
Level Qualification
Markers
Troubleshooting Measurement Results
Jitter
Jitter Overview
Jitter Basics
Using Histograms to Measure Jitter
Using Markers to Measure Jitter
EZJIT, EZJIT+, and EZJIT Complete
Measuring Jitter Only on Rising (or Falling) Edges of a Clock
Measurement Analysis (EZJIT)
EZJIT Overview
Measuring Jitter on Clocks
Measuring Jitter on Serial Data
Measuring Jitter on Synchronous Logic
Memory Depth and Sample Rate Considerations for Jitter
Voltage Threshold Considerations for Jitter
EZJIT Jitter Measurements
Using Measurement Histograms
Using the Measurement Trend
Using the Jitter Spectrum to Find Deterministic Jitter
Measurement Analysis (EZJIT) Dialog Box
Meas Analysis Wizard
Measurement Trend Dialog Box
Jitter Spectrum Dialog Box
TIE Filter Dialog Box
Jitter (EZJIT+)
EZJIT+ Overview
RJ / DJ Record Length Requirements
Jitter Setup Dialog Box
Jitter Wizard
Remove, Specify Jitter Dialog Box
Advanced Jitter Dialog Box
Jitter Graphs / Histograms
Jitter Tab Measurements
Questionable RJ / DJ Measurement Results
Limitations of EZJIT+ Jitter Measurements
Troubleshooting an EZJIT+ Jitter Measurement
Saving Jitter Data
Jitter / Noise (EZJIT Complete)
EZJIT Complete Overview
Jitter / Noise Setup Dialog Box
Jitter / Noise Wizard
Remove, Specify Jitter, Noise Dialog Box
Noise Graphs / Histograms
Noise Tab Measurements
Saving Noise Data
Math / FFT Functions
Math Function Basics
Math Operators
Add
Common Mode
Divide
Multiply
Subtract
Versus XY
Versus XYZ Qualified
Math Transforms
Absolute Value
Amplitude Demodulation
Average Operator
Delay
Differentiate
Integrate
Invert
Max
Min
Smoothing
Square
Square Root
Math Filters
High Pass Filter
Low Pass Filter
Math Visualizations
Magnify
Meas Histogram
Meas Trend
FFT (Spectral) Functions
FFT Theory / Window Functions
FFT Magnitude
FFT Phase
User Defined Functions
Butterworth
FIR
LFE
RTEye
SqrtSumOfSquare
Horizontal Gating Functions
Histograms
Histogram Basics
Histogram Dialog Box
Measurement Histograms
Mask Testing
Mask Testing Basics
Mask Test Dialog Box
Creating a Mask File
Using an Example Mask File
Using an Automask File
Creating a Mask File from Scratch
Modifying Mask Files
Sample Mask File
Loading a Mask
Mask Scaling Dialog Box
Mask Test Error Messages
Mask Test Tab
Automask Dialog Boxes
Unfold Real-Time Eye
Eye Diagrams
Real-Time Eye Setup Dialog Box
Serial Data Analysis
Serial Data Wizard
Clock Recovery
Constant Frequency Clock Recovery
First Order PLL Clock Recovery
Second Order PLL Clock Recovery
Explicit Clock Recovery
Equalized Clock Recovery
FlexRay Clock Recovery
Advanced Clock Recovery Dialog Box
TIE (Time Interval Error) Measurements
Real-Time Eye
Display Clock
Equalization
Equalization Background / Theory
Using the Equalization Wizard
Manually Setting Up Equalization
Feed-Forward Equalization (FFE) / Continuous Time Linear Equalization (CTLE) Background
Optimization of FFE Tap Values
Decision Feedback Equalization Background
Optimization of DFE Tap Values
DFE Questions & Answers
Taps
How to Manually Enter More Than Sixteen Taps
Inter-Symbol Interference (ISI)
InfiniiSim Waveform Transformation Toolset
InfiniiSim Overview / Theory
Entry Controls and InfiniiSim Setup Dialog Box
InfiniiSim Model Setup Dialog Box
2 Port InfiniiSim Model Setup Dialog Box
4 Port InfiniiSim Model Setup Dialog Box
InfiniiSim Block Setup Dialog Box
2 Port InfiniiSim Block Setup Dialog Box
4 Port InfiniiSim Block Setup Dialog Box
Generating / Saving a Transfer Function File
Circuit Source and Load Impedances Dialog Box
InfiniiSim Plots
InfiniiSim Warning / Error Messages
S-Parameter Files
Transfer Function Files
InfiniiSim License Information
InfiniiSim Example: Simulating Crosstalk
Saving / Loading
Loading / Saving Setups
Loading / Saving Waveforms
Internal Infiniium (.wfm) Data Format
YValues Text (.txt) Data Format
XYPairs Comma Separated Text (.csv) Data Format
XYPairs Tab Separated Text (.tsv) Data Format
Binary (.bin) Data Format
HDF5 (.h5) Data Format
Saving Composites
Saving the Screen
Send E-mail Dialog Box
Saving Measurement Data
Save / Load Trigger Setup Dialog Box
Printing Screens
Utilities
User Calibration
Calibration Output Dialog
Self Tests
eGUI Dialog Box
Remote Setup Dialog Box
Debug Dialog Box
VNC Configuration Help
If there are problems with remote access
LXI Dialog Box
Install Option License Dialog Box
Customize Multipurpose
QuickMeas
QuickPrint
QuickScreen
QuickSetup
QuickWaveform
QuickE-mail
QuickExecute
QuickControl
User Preferences Dialog Box
Flat Magnitude / Gaussian Response
Help and More Information
How to Use This Help
About Infiniium Dialog Box
Additional Manuals
Service Center
Acknowledgements
GNU General Public License
Specifications and Characteristics
Environmental Conditions
Accessories
Accessories / Upgrades
Probing Accessories
Software Applications
Technical Support
Glossary


Infiniium 90000A Series Oscilloscopes—At a Glance

90000A Series Oscilloscope Bandwidths, Sample Rates, and Memory Depths:

Model | Maximum bandwidth | Maximum sample rate | Standard memory depth (DSO, DSA)
DSO90254A DSA90254A | 2.5 GHz | 20 GSa/s | 20 Mpts, 50 Mpts
DSO90404A DSA90404A | 4 GHz | 20 GSa/s | 20 Mpts, 50 Mpts
DSO90604A DSA90604A | 6 GHz | 20 GSa/s | 20 Mpts, 50 Mpts
DSO90804A DSA90804A | 8 GHz | 40 GSa/s | 20 Mpts, 50 Mpts
DSO91204A DSA91204A | 12 GHz | 40 GSa/s | 20 Mpts, 50 Mpts
DSO91304A DSA91304A | 13 GHz | 40 GSa/s | 20 Mpts, 50 Mpts

Ease of use with high performance

The Agilent Technologies Infiniium oscilloscopes combine unprecedented ease-of-use with high-performance digitizing oscilloscope functionality to simplify your design and analysis measurement tasks.

  • Traditional oscilloscope front-panel interface provides direct access to the controls needed for most troubleshooting tasks.

  • Graphical user interface with menus, windows, dialog boxes, and toolbars provides easy access to dozens of configuration and analysis tools, ensuring you can set up and make the most complex measurements.

  • 90000A Series models with bandwidths from 2.5 GHz to 13 GHz.

Display shows waveforms and graphical user interface

  • Graphical interface allows direct interaction with waveforms, including drag-and-drop positioning and instant waveform zoom.

  • Touchscreen display allows oscilloscope operation without an external pointing device.

  • Waveforms displayed in color, making correlation easy.

  • Current configuration parameters displayed near the waveform display and are color coded to make identification easy.

  • Graphical interface menus and toolbars simplify complex measurement setups.

Horizontal controls set sweep speed and position

  • Intensified waveforms on main sweep window make it easy to see what will appear in the zoom window.

Acquisition and general controls start and stop the oscilloscope and do basic setup

  • Run and stop controls for continuous or single acquisitions.

  • Clear display before one or more acquisitions.

  • Default setup and Autoscale set initial configuration.

Hard disk drive and USB 2.0 port for saving and restoring setups and measurement results

  • Store measurement displays for inclusion in reports and test setup guides.

  • Store oscilloscope setups to repeat tests another time.

  • Hard disk stores oscilloscope operating system.

Trigger setup controls set mode and basic parameters

  • Select Edge, Glitch, or Advanced Modes.

  • Choose input source and slope.

  • Use graphical user interface to simplify configuration of pattern, state, delay, and violation trigger modes.

Vertical controls set attenuation, and position

  • Color-coded knobs make it easy to find the controls that affect each waveform.

Marker and quick measurements help measure waveform parameters

  • Waveform markers A and B to check voltage or Δ-time at any point on the displayed waveform.

For more information on using the Infiniium 90000A Series oscilloscopes (and an overview of the online help), see Using the Oscilloscope.


Using the Oscilloscope

For a description of the features and benefits of the Agilent Infiniium 90000A Series oscilloscopes, see Infiniium 90000A Series Oscilloscopes—At a Glance.

When first using the oscilloscope, see:

  • What's New — gives an overview of new features in the most recent and previous software releases.

  • Getting Started — describes the front panel controls and the user interface.

When connecting to your Device Under Test (DUT), see:

  • Connect / Probe

When setting up the oscilloscope, see:

  • Default Setups and Autoscale

  • Channel Setup

  • Horizontal Setup

  • Acquisition Setup

  • Display Setup

  • Waveform Memories Setup

When setting up triggers, see:

  • Trigger

  • Trigger Modes

When decoding, searching, or triggering on protocol data, see:

  • Protocol Decode, Search, Trigger

When making measurements, see:

  • Measurements

  • Jitter

When performing data analysis, see:

  • Math / FFT Functions

  • Histograms

  • Mask Testing

  • Eye Diagrams

  • Serial Data Analysis

  • Equalization

  • InfiniiSim Waveform Transformation Toolset

When saving setups, waveforms, screens, or data, when loading setups, waveforms, or masks, or when printing screens, see:

  • Saving / Loading

  • Printing Screens

When performing utility functions like user calibration, self tests, user interface customizations, remote setup, option license installation, and preference setting, see:

  • Utilities

To learn more about items in the Help menu, using the online help, additional manuals, repair and calibration services, environmental conditions, and accessories, see:

  • Help and More Information

  • Specifications and Characteristics

  • Accessories

For product assistance and support, see:

  • Technical Support


What's New

What's New (4.50 Release)

What's New (4.30 Release)

What's New (4.20 Release)

What's New (4.10 Release)

What's New (3.50 Release)

What's New (3.21 Release)

What's New (3.11 Release)

What's New (3.10 Release)

What's New (3.00 Release)

What's New (2.50 Release)

What's New (2.10 Release)

What's New (2.01 Release)

This section describes feature additions and changes in software releases.

Also, see the Programmer's Reference (PDF version) "What's New" topic for descriptions of the new and changed SCPI commands.


What's New (4.50 Release)

The new features included in the 4.50 software release are summarized below:

  • There is now an Amplitude Demodulation math function that shows the amplitude envelope for an amplitude modulated (AM) input signal. See Amplitude Demodulation.

  • When displaying real-time eyes, there is now a Fast, Worst Case Only option that performs a fast real-time eye display by showing only the worst case bits and other bits that surround them. This option can be used to speed up the real-time eye display when the oscilloscope is using deep memory. See Real-Time Eye Setup Dialog Box.

  • MIPI RFFE triggering and protocol decode. See MIPI RFFE.

  • There is now an option for saving data as floats within HDF5 waveform data files. See HDF5 (.h5) Data Format.

Related Topics

  • What's New (4.30 Release)

  • What's New (4.20 Release)

  • What's New (4.10 Release)

  • What's New (3.50 Release)

  • What's New (3.21 Release)

  • What's New (3.11 Release)

  • What's New (3.10 Release)

  • What's New (3.00 Release)

  • What's New (2.50 Release)

  • What's New (2.10 Release)

  • What's New (2.01 Release)


What's New (4.30 Release)

The new features included in the 4.30 software release are summarized below:

  • You can now define up to 16 math functions, and any function can now be used as a source for another function. See Math Function Basics.

  • New Horizontal Gating functions are like the horizontal zoom window except that the function waveforms appear in the main display grid (at a different horizontal scale) instead of in a special zoomed display grid. You can use Horizontal Gating functions to perform gated measurements. See Horizontal Gating Functions.

  • To support the increased number of math fuctions, you can now divide the waveform viewing area into 8 or 16 grids (in addition to the 2 or 4 grids that were previously available). See Grids.

  • You can now measure jitter only on rising edges (or falling edges) of a clock. See Measuring Jitter Only on Rising (or Falling) Edges of a Clock.

  • You can now display up to 3 annotations from a User Defined Functions (UDF) script. See User Defined Functions.

  • You can now define a function waveform that is the source waveform delayed in time. See Delay.

Related Topics

  • What's New (4.20 Release)

  • What's New (4.10 Release)

  • What's New (3.50 Release)

  • What's New (3.21 Release)

  • What's New (3.11 Release)

  • What's New (3.10 Release)

  • What's New (3.00 Release)

  • What's New (2.50 Release)

  • What's New (2.10 Release)

  • What's New (2.01 Release)


What's New (4.20 Release)

The new features included in the 4.20 software release are summarized below:

  • There are new options for specifying PLL clock recovery in terms of JTF (Jitter Transfer Function) or OJTF (Observed Jitter Transfer Function). Previously, clock recovery options were specified in terms of OJTF only. See Clock Recovery.

  • MIPI M-PHY UFS triggering and decode. See MIPI M-PHY UFS.

Related Topics

  • What's New (4.10 Release)

  • What's New (3.50 Release)

  • What's New (3.21 Release)

  • What's New (3.11 Release)

  • What's New (3.10 Release)

  • What's New (3.00 Release)

  • What's New (2.50 Release)

  • What's New (2.10 Release)

  • What's New (2.01 Release)


What's New (4.10 Release)

The new features included in the 4.10 software release are summarized below:

  • With the EZJIT Complete and EZJIT+ jitter analysis applications, there is now an option to choose Spectral & Tail Fit analysis for the RN/RJ methods.

    When analyzing jitter with crosstalk or ground bounce effects present in your signal, select the Spectral & Tail Fit analysis for the RJ Method. When this option is selected, the deterministic jitter (DJ) that is uncorrelated to the data pattern, also known as bounded uncorrelated jitter (BUJ), is separated into periodic jitter (PJ) and aperiodic bounded uncorrelated jitter (ABUJ). ABUJ is caused by crosstalk and ground bounce effects.

    When there are no crosstalk or ground bounce effects present in your signal, you can select the Spectral Only analysis for the RJ Method in order to run faster. When this option is selected, the deterministic jitter (DJ) that is uncorrelated to the data pattern is all reported as periodic jitter (PJ).

    Similarly, when analyzing noise, you can also select the Spectral & Tail Fit analysis for the RN Method. In this case, it is deterministic interference (DI) uncorrelated to the data pattern, also known as bounded uncorrelated interference (BUI), that can be separated into periodic interference (PI) and aperiodic bounded uncorrelated interference (ABUI).

    For more information on these selections for jitter analysis, see Jitter Setup Dialog Box or Jitter Wizard.

    For more information on these selections for noise analysis, see Jitter / Noise Setup Dialog Box or Jitter / Noise Wizard.

    Also, for descriptions on the jitter and noise decomposition models, see EZJIT+ Overview and EZJIT Complete Overview.

  • MIPI M-PHY LLI triggering and decode. See MIPI M-PHY LLI.

  • MIPI M-PHY UniPro triggering and decode. See MIPI M-PHY UniPro.

Related Topics

  • What's New (3.50 Release)

  • What's New (3.21 Release)

  • What's New (3.11 Release)

  • What's New (3.10 Release)

  • What's New (3.00 Release)

  • What's New (2.50 Release)

  • What's New (2.10 Release)

  • What's New (2.01 Release)


What's New (3.50 Release)

The new features included in the 3.50 software release are summarized below. Please consult each feature's specific help topic for more information (click on the links below to be brought to the corresponding topic).

  • EZJIT Complete application and noise measurement capability. See Jitter / Noise (EZJIT Complete).

  • DDPWS has moved from being a data measurement to being an EZJIT+ measurement. See Jitter Tab Measurements.

  • SVID serial protocol decode. See SVID.

  • The Meas Trend and Meas Histogram math functions have been added. See Meas Trend and Meas Histogram.

  • You can now display histogram statistics in the Measurements tab. See Histogram Statistic Measurements.

  • FFT horizontal scaling control changes. See FFT Magnitude and FFT Phase.

  • Ability to pattern qualify the Real-Time Eye. See Real-Time Eye Setup Dialog Box.

  • Ability to include the calibrated delay of a PrecisionCable calibration to a channel.

  • Ability to use a User-Defined Function as an InfiniiScan style qualifier.

  • Ability to save composite files that contain setup and waveform data information. These files can be used for viewing oscilloscope data in offline viewers. See Saving Composites.

Related Topics

  • What's New (3.21 Release)

  • What's New (3.11 Release)

  • What's New (3.10 Release)

  • What's New (3.00 Release)

  • What's New (2.50 Release)

  • What's New (2.10 Release)

  • What's New (2.01 Release)


What's New (3.21 Release)

The new features included in the 3.21 software release are summarized below. Please consult each feature's specific help topic for more information (click on the links below to be brought to the corresponding topic).

  • Support for both Windows 7 and Windows XP operating systems.

  • Updated to MATLAB 2011A. (Note that this can break existing compiled UDF files.)

  • Hardware Edge Find measurement performance improvements.

  • New High Resolution acquisition mode selections for effective number of vertical bit resolutions. See Sample / Acquisition Modes.

  • Variable persistence support. See Persistence.

  • I2C decode improvements.

Related Topics

  • What's New (3.11 Release)

  • What's New (3.10 Release)

  • What's New (3.00 Release)

  • What's New (2.50 Release)

  • What's New (2.10 Release)

  • What's New (2.01 Release)


What's New (3.11 Release)

The new features included in the 3.11 software release are summarized below. Please consult each feature's specific help topic for more information (click on the links below to be brought to the corresponding topic).

  • MIPI M-PHY DigRFv4 protocol decode.

  • You can now select the Hamming FFT windowing function. See FFT Theory / Window Functions.

Related Topics

  • What's New (3.10 Release)

  • What's New (3.00 Release)

  • What's New (2.50 Release)

  • What's New (2.10 Release)

  • What's New (2.01 Release)


What's New (3.10 Release)

The new features included in the 3.10 software release are summarized below. Please consult each feature's specific help topic for more information (click on the links below to be brought to the corresponding topic).

  • PrecisionProbe and PrecisionCable calibration which provides the most accurate probe and cable compensation for making the most accurate measurements. This type of calibration is available with the N2809A PrecisionProbe Kit or when ordering the oscilloscope with Option 001.

  • Multiple (up to four) protocol decodes at the same time. The Protocol Decode dialog box lets you choose which of four protocol decodes to use for a particular type of decode, and the Decode Listing Window has a drop-down field for selecting which decode to display.

  • PCI Express Gen3 protocol decode.

  • Ethernet 10GBASE-KR protocol decode.

  • Separate measurement threshold settings have been added for rise/fall time measurements, CAN, I2C, JTAG, LIN, MIPI, RS-232/UART, SPI, and USB protocol decode, and everything else. See Measurement/Protocol Decode Thresholds.

  • Added a right-click menu to the main time base position control to set to Marker A or Marker B. This makes it easier to zoom in about a marker.

  • Added histogram resolution (time per bin) to the histogram measurement tab.

  • Increased the memory depth for real time averaging mode.

    • 5,125,000 pts with 3 or 4 channels enabled.

    • 10,250,000 pts with 2 or fewer channels enabled.

  • Increased the memory depth for equivalent time mode.

    • 1,025,000 pts.

  • Modified the Sin(x)/x control to allow direct control of the interpolation ratio. Valid control settings are the following:

    • Off

    • Auto

    • On (1 pt)

    • On (2 pts)

    • On (4 pts)

    • On (8 pts)

    • On (16 pts)

  • Removed the Fs/4 bandwidth limit from the Sin(x)/x filter which occurred for lower sample rates. Now all sample rates use the same Sin(x)/x filter.

  • Added 3 pole CTLE support. See Manually Setting Up Equalization.

  • Enable 1 tap DFE. See Manually Setting Up Equalization.

  • Modified InfiniiSim to model crosstalk with one victim and 2 or 3 aggressors. See InfiniiSim Example: Simulating Crosstalk.

  • Improved clock recovery error detection and reporting with too much ISI.

  • Added Edge Time measurement.

  • Added decibel units for Vrms measurements.

  • Added Fast Update mode to Serial Data Wizard.

  • Add DDPWS (Data Dependent Pulse Width Shrinkage) measurement.

  • Added J2 and J9 jitter BER levels can now be selected. See RJ DJ Setup.

Related Topics

  • What's New (3.00 Release)

  • What's New (2.50 Release)

  • What's New (2.10 Release)

  • What's New (2.01 Release)


What's New (3.00 Release)

The new features included in the 3.00 software release are summarized below. Please consult each feature's specific help topic for more information (click on the links below to be brought to the corresponding topic).

  • Flat Magnitude / Gaussian Magnitude Filter Control: Added a control to the Acquisition dialog box that enables the user to select between "Flat Magnitude, Linear Phase" and "Gaussian Magnitude, Linear Phase" response. This control is now enabled in the User Preferences dialog box (Enable Gaussian Response). This control must be enabled to make the Acquisition dialog box control visible.

  • The histogram and mask test bounding regions have been decoupled from markers. This allows markers to be defined and viewed when in the histogram and mask test tabs.

  • A check box was added to the Math dialog box that enables users to assign front panel vertical knobs to functions.

  • Bandwidth reduction is now standard on all 90000A Series models. This control is activated by setting the Acquisition Bandwidth control in the Acquisition Setup dialog box to Manualand then reducing the bandwidth to the desired value.

  • Added Vovershoot and Vpreshoot measurements to supplement Overshoot and Preshoot measurements.

  • Added Pulse Top, Pulse Base, and Pulse Amplitude measurements.

  • Added Burst period and Burst interval measurements to supplement burst width.

  • Added Edge-Edge measurement to allow trending of arbitrary edge relationships.

  • Added RJ/DJ analysis on period jitter and N-UI jitter in addition to TIE jitter for EZJIT+.

  • Employed a non-linear RJ/PJ separation threshold for EZJIT+. - Display a RJ/PJ separation threshold graph - Accumulation of the RJ/PJ power spectrum in Arbitrary Data mode.

  • Now auto-calculate the memory depth in the EZJIT+ wizard.

  • Tweaked InfiniiScan Zone Qualify colors to improve waveform visibility.

  • Added right-click menu to show time span and memory depth in the upper status bar.

  • Added Real-time eye label to report the number of UIs and Waveforms in the real-time eye.

  • For InfiniiSim, added a Probe block type that automatically selects the correct probe impedance model based upon the connected probe.

  • For InfiniiSim, added a Probe Load block type that allows modeling of a probe head stub.

  • Changed InfiniiSim bandwidth limiting response shape to match Infiniium's system response shape.

  • Improved probe correction for InfiniiMax I, II, and III probing systems on the 90000A Series oscilloscopes.

Related Topics

  • What's New (2.50 Release)

  • What's New (2.10 Release)

  • What's New (2.01 Release)


What's New (2.50 Release)

The new features included in the 2.50 software release are summarized below. Please consult each feature's specific help topic for more information (click on the links below to be brought to the corresponding topic).

  • New FFT interface/controls with navigation (FFT Magnitude, FFT Phase)

  • USB 3.0

  • JTAG

  • Can now show up to 10 measurements at a time (the default is still to show five). In order to show up to ten, you will need to select Control > Tab Area > Maximized from the top menu.

  • Can now automatically activate up to ten measurements (used to be up to five) using the QuickMeas feature which is found in the Customize Multipurpose dialog box.

  • InfiniiSim 4-port one channel mode

  • Added a new application preset to InfiniiSim (Advanced) - Remove Scope Input Reflection

  • Can now name blocks in InfiniiSim

  • Measurement Gating - when zoom is enabled, the oscilloscope will only make measurements on the zoomed portion of the waveform if you select the Gate to Zoomed Window box

  • Pulse Count (+ and -)

  • Versus XYZ Qualified

  • E-mail on Mask test failure - If you select the Perform Multipurpose On Failure control in the Mask Test dialog box, Infiniium performs a Multipurpose action that can be defined by selecting the Setup Multipurpose button.

    You can now set the Multipurpose button to perform the new QuickE-mail feature and you will receive an e-mail every time a mask test failure occurs.

    Note

    In order to protect against getting a large number of e-mails, you should be careful in how you configure the Run Until section in the Mask Test dialog box. For example, if you tell the oscilloscope to Run Forever and you have a large number of mask test failures, you will receive a significant number of e-mails. To protect against this, you can always set the Run Until section to something besides Forever and place a limit on how long it will run.

  • A known pattern is no longer required for FFE optimization on closed eyes

  • Can now decode 8b/10b waveforms without a sync symbol present in the acquisition

  • Added a new waveform remote command to configure the DATA query for rapidly downloading all segments in one query (see the most recent Programmer's Reference for more information about this command)

    :WAVeform:SEGMented:ALL {{ON | 1} | {OFF | 0}}

  • Added a new query for rapidly downloading x parameter values for all segments (see most recent Programmer's Reference for more information about this query)

    :WAVeform:SEGMented:XLISt? {RELXorigin | ABSXorigin | TTAG}

Related Topics

  • What's New (2.10 Release)

  • What's New (2.01 Release)


What's New (2.10 Release)

The new features included in the 2.10 software release are summarized below. Please consult each feature's specific help topic for more information (click on the links below to be brought to the corresponding topic).

  • Measurement Names: You can now change the name of measurements.

  • CAN / LIN: CAN and LIN hardware triggering and decode are now available with the CAN / LIN / FlexRay software license.

  • InfiniiScan+: Numerous features have been added to the Zone Qualify trigger found in InfiniiScan. If you currently have InfiniiScan installed on your oscilloscope then you will get all of these features for free when you upgrade to the 2.10 software. Some of the new features include:

    1. Can now use eight zones instead of four.

    2. Can now assign zones to specific channels.

    3. Zones are color-coded to match the channel they are assigned to.

    4. Zones are shaded to reflect the zone type.

    5. Zones across channels may have "AND" or "OR" relationships and the overall logical expression is summarized at the top of the graticule.

    6. Can hide the zones to de-clutter the display when viewing your signal or saving the screen.

    7. Can combine zone trigger with horizontal zoom to gate jitter measurements, etc.

    8. Can combine zone trigger with mask testing to qualify a mask test.

  • Protocol Decode Listing Window: Two changes were made to the Listing Window.

    1. In the Protocol Decode Listing Window, the 10 bit representations of invalid symbols are shown for 8b/10b-based protocols.

    2. The Protocol Decode Listing Window now color-codes packets so you can easily match the packet listings to segments in the waveform.

  • Single sampling mode (enabled by pressing the [Single] key on the front panel) now acquires all averages when acquisition averaging is enabled.

  • A "Wait for Average to Complete for Measurement" control was added to the Measurement Setup dialog box.

  • High Resolution sampling mode may now be used with differential/common mode channels and with InfiniiSim.

  • Segmented sampling mode now has a High Resolution mode and a Peak Detect mode. The Acquisition dialog box has been rearranged to split the sampling mode section into two: sampling mode and acquisition mode.

  • Can now display RJ DJ BER Bathtub graph in Q-scale for EZJIT+. In Q-Scale, a Gaussian distribution is represented by a straight line. Therefore, you can see how Gaussian a distribution is by viewing it in Q-Scale.

  • Added N-period, N-UI, and UI-UI jitter measurements to EZJIT and EZJIT+.

  • Setup Time and Hold Time measurements no longer require an EZJIT license.

  • Removed the Cycle-Cycle jitter measurement. This is now available via the Period-Period measurement with N=1.

  • Changed the names and menu structure of various time and jitter measurements. For more details on the old names versus the new ones, refer to this topic.

Related Topics

  • What's New (2.01 Release)


What's New (2.01 Release)

The new features included in the 2.01 software release are summarized below. Please consult each feature's specific help topic for more information (click on the links below to be brought to the corresponding topic).

  • Roll Mode: When roll mode is enabled, acquisition data will be displayed in a rolling fashion starting from the right side of the display and continuing to the left side (roll mode is a triggerless acquisition mode). It is useful when making manual adjustments to low frequency waveforms, when finding disturbances in low frequency waveforms, or when monitoring the power-up cycle of a power supply voltage. Roll mode can be turned on by checking the Roll Mode box in the Horizontal Setup dialog box (Setup > Horizontal).

  • MIPI, SATA/SAS Protocols (requires that the corresponding protocol license is installed): These protocols can now be accessed via the Protocol Decode dialog box (assuming the MIPI and/or SATA/SAS licenses are installed).

  • 8b/10b-based Protocols Data Source Selection Capability: With the previous software release, you did not have the ability to choose which channels to decode; the oscilloscope simply did all of them. Now, there are four fields (Data Source 1-4) for every 8b/10b-based protocol you have installed which allow you to specify which sources to decode (these fields are found in the Protocol Decode dialog box when you choose an 8b/10b-based protocol). While there are four fields, only two of them can be analog channels. The other two can only be memories or math functions.

  • Crossing Point Measurement: The Crossing Point measurement determines the voltage at which two waveforms cross (intersect). The measurement is activated by selecting Crossing under Measure > Voltage in the top menu.

  • Search Button Added to Serial Data Manual Setup Dialog Box: A Search button was added to the Manual Setup box which shows you the current protocol search settings and allows you to quickly access the Protocol Search dialog box by clicking on it.

  • Front Panel Knob Mapping: Sometimes it may be useful to have the front panel knobs control functions or waveform memories instead of just the input channels. By accessing the Front Panel Control Sources dialog box (Utilities > Front Panel Sources), you can specify what analog channel, function, or waveform memory you want to use as the source for each front panel knob. For instance, if you set the Input 1 Source to Memory 1, the vertical scale knob and offset knob corresponding to channel 1 would now control the waveform you have saved to the waveform memory 1 location. You can also use the QuickControl mode (set in the Customize Multipurpose dialog box) such that when you press the front panel [Multipurpose] key, it cycles through the sources in the order channels > functions > memories.

  • Jitter / Zone Qualify Trigger Gating (requires that the InfiniiScan license is installed): Before the 2.01 software release, you could not have zoom enabled while using InfiniiScan's zone trigger. Now, you can use both zoom and the zone trigger simultaneously. This allows you to use the zoom window to gate jitter measurements while having the trigger mode set to zone trigger.

  • CTLE Equalization (requires that the Serial Data Equalization license is installed): You can now choose between Feed-Forward Equalization (FFE) and Continuous Time Linear Equalization (CTLE) for your linear equalization method.

  • Precursor Taps (requires that the Serial Data Equalization license is installed): You can now specify how many precursor taps you want to use in your linear equalization method. Precursor taps are taps associated with bits in front of the bit currently being equalized. For a more detailed overview of these taps, see Taps.

  • Deep EZJIT+ (requires that the EZJIT+ license is installed): EZJIT+ (jitter analysis) in previous software version was limited in both the total number of edges it could process as well as the length of the periodic pattern. With the 2.01 software release, the RJDJ separation can operate on all the acquired data and edges. Furthermore, EZJIT+ can now analyze patterns up to 2^23-1 in length (2^15-1 was the previous limit).


Getting Started

Display Controls

Front Panel Controls

Front Panel Control Sources

Click on the topics above regarding getting started with your Infiniium Series oscilloscope.


Display Controls

Left Side Toolbar

Channel Controls Toolbar

Bottom Toolbar

Tabs

Waveform Display

This page covers the basic controls on the oscilloscope display. Using these controls can save you a great deal of time as opposed to navigating through the menus.

See Also

  • Front Panel Controls

  • Channel Setup Dialog Box

  • Acquisition Setup Dialog Box

  • Display Setup Dialog Box

  • Trigger

  • Measurements


Left Side Toolbar

For commonly used measurements, Infiniium provides a graphical toolbar so you can easily assign a measurement to a waveform. This toolbar appears on the far left of the display.

There are two ways you can use this toolbar.

  • You can click on a measurement icon and drag it to the particular waveform or waveform edge you want to measure. When the icon takes on the color of the waveform you want to measure, release the icon. The measurement results will be shown in the Measurement tab at the bottom of the display (see more information about tabs below in the Tab section).

  • You can click and release directly on a measurement icon and Infiniium will ask you if it needs more information to complete a measurement. If there are multiple matching waveforms on screen (for example, two pulses or two edges), the one closest to the center of the screen is the one the measurement is performed on. If you want to measure a different location, use the drag-and-drop feature mentioned in the bullet above.

When you drag and drop an icon on a particular edge, Infiniium identifies it with one of four symbols to help keep track of where your drag and drop measurements are being made. Infiniium identifies drag and drop measurements as follows:

  • First measurement:

(diamond)

  • Second measurement:

(circle)

  • Third measurement:

(triangle)

  • Fourth measurement:

(square)

There are two sets of measurement icons in the toolbar.

Measurement Icons, First Set Measurement Icons, Second Set

If you let the mouse cursor stay over a measurement icon for a few seconds without clicking, Infiniium will display the name of that measurement. You can use the More button to toggle between the two measurement sets. Use Delete All to remove all measurement results from the display. For other measurements not shown in the toolbar, use the measurement icons under the Measure menu.

See Also

  • Measurements


Channel Controls Toolbar

This toolbar is located immediately above the graticule (the grid over which your waveforms are displayed) and allows for the quick control of several channel parameters.

  • The square buttons labeled 1, 2, 3, and 4 open up the corresponding Channel Setup dialog box when pressed. This dialog box enables you to set the scale, offset, impedance, coupling, etc.

  • The On box allows you to turn each channel on (when checked) or off (when unchecked).

  • The Vertical Scale field allows you to set the vertical scale for each analog channel. Click on the field to bring up the popup keypad where you can enter your desired setting in terms of V per division.

  • The two sine wave buttons located next to each Vertical Scale field enable you to change the vertical scale as well.

  • The memory bar immediately above this toolbar indicates the portion of the channel's waveform data is displayed in the waveform viewing area.

See Also

  • Channel Setup


Bottom Toolbar

This toolbar (located beneath the graticule) features a variety of controls.

  • There are buttons to make the oscilloscope run, stop, or take a single acquisition.

  • You can click on the T button to open the Trigger Setup dialog box.

  • You can change the horizontal scale and position by either clicking on the corresponding field and entering the desired values into the popup keypad or by clicking on the button immediately to the right of these fields.

  • You can set the horizontal reference point by clicking on one of the arrow buttons. The horizontal reference point determines where the zero reference point is for the horizontal control. It fixes a place in time around which the waveform can be expanded. For example, if you set the horizontal position to 1.0 ms and the horizontal reference to Center, the center of the waveform viewing area will be 1.0 ms after the trigger event, independent of any subsequent changes you make to the horizontal scale.

    This control allows you to see pre-trigger and post-trigger events.

    • Left Reference Position — A left reference position placed the reference position on the left-most side of the waveform viewing area. Changing the horizontal scale will expand or contract the waveform around this position. If the horizontal position is set to 0.0 s, all of the displayed waveform occurred after the trigger event (post-trigger).

    • Center Reference Position — A center reference position places the reference position in the middle of the waveform viewing area. Changing the horizontal scale will expand or contract the waveform about the center of the display. If the horizontal position is set to 0.0 s, you will see the waveform before (left side of screen) and after (right side of screen) the trigger event (both pre- and post-trigger).

    • Right Reference Position — A right reference position placed the reference position on the right-most side of the waveform viewing area. Changing the horizontal scale will expand or contract the waveform around this position. If the horizontal position is set to 0.0 s, all of the displayed waveform occurred before the trigger event (pre-trigger).

  • There is a button to clear the display.

  • There is a button that prints the screen. The appearance of the image printed depends on the settings in the Print dialog box.

  • There are two buttons that allow you to increase or decrease the trigger level. You can click and hold these buttons and Infiniium will continuously increase/decrease the level until it reaches the end of range.

See Also

  • Positioning the Trigger Point

  • Run Control Controls

  • Horizontal Controls

  • Trigger


Tabs

The following tabs can appear on the very bottom of your oscilloscope display depending on your current settings:

  • Status Tab

  • Measurements Tab

  • Markers Tab

  • Histogram Tab

  • Mask Test Tab

  • Color Grade Tab

  • Scales Tab

  • Navigation Tab

See Also

  • Jitter Tab Measurements

  • Noise Tab Measurements


Status Tab

This is the default tab shown at the bottom of the display and it shows various characteristics of your acquisition methodology, analysis memory, and triggering. The tab is broken into three columns:

  • Acquire — The Acquire column lists the sampling mode being used and the capture time (memory depth divided by sampling rate). The capture time is not displayed if you are using equivalent time sampling.

  • Analysis — The Analysis column lists how much of the analysis memory pool is being used. Click here for additional information.

  • Trigger — This tab summarizes the trigger. Please note that this is only a summary and not a complete trigger definition.


Measurements Tab

This tab appears when a measurement is being made and shows the measurement results for up to ten measurements. Results are displayed by:

  • Measurement Name — the name of the current measurement.

  • Measurement Source — the waveform source on which the measurement is being made - example: Rise Time (1) indicates the rise time measurement is being made on channel 1.

  • Current Measurement — the measurement result of the most recent acquisition.

  • Mean — the statistical average of all the results for a particular measurement.

  • Std Dev — the standard deviation of the histogram.

  • Min — the minimum value of the current measurement.

  • Max — the maximum value of the current measurement.

  • Range — the range of measured values.

  • Number of Measurements — the number of measurements made.

  • Other statistics are also shown, but vary with the type of measurement.

By default, five measurements are shown in this tab. To display ten measurements, go to Control > Tab Area > Maximized.


Markers Tab

This tab appears when markers are turned on and shows the measurement results for the last selected measurement if they are enabled and markers are set to Track Measurements mode. You can right-click on this tab to change between Manual Placement, Track Waveforms, and Track Measurements. Results are displayed by:

  • Measurement Name — the name of the current measurement.

  • Measurement Source — the waveform source on which the measurement is being made - example: Rise Time (1) indicates the rise time measurement is being made on channel 1.

  • Current Measurement — the measurement result of the most recent acquisition.

  • Mean — the statistical average of all the results for a particular measurement.

  • Marker Name and Source — shows the waveform source the marker is connected to - example: A(1) indicates Marker A is associated with channel 1.

  • X Position — shows the current horizontal position of the A and B markers.

  • Y Position — shows the current vertical position of the A and B markers.

  • Δ X — shows the difference between the Ax and Bx markers.

  • Δ Y — shows the difference between the Ay and By markers.

  • 1/ΔX — the reciprocal of the difference between the Ax and Bx markers. This is useful for measuring the frequency between the Ax and Bx markers and is not calculated for Versus or FFT source waveforms.

  • Min — the minimum value for the measurement.

  • Max — the maximum value for the measurement.

  • Range — the range of measured values.

  • Std Deviation — the standard deviation of the mean for the measurement.

  • Number of Meas — the number of measurements made.

  • Edge Direction — the direction of the edge.


Histogram Tab

This tab appears when histogram is enabled and shows the measurement results for the histogram measurement. Results are displayed by:

  • X and Y scale — the histogram display scale in hits per division.

  • Offset — the histogram offset in hits.

  • Mean — the average value of all the points in the histogram.

  • Std dev — the standard deviation of the histogram.

  • μ ±1σ — the percentage of points that are within ±1σ (standard deviation) of the mean value.

  • μ ±2σ — the percentage of points that are within ±2σ of the mean value.

  • μ ±3σ — the percentage of points that are within ±3σ of the mean value.

  • Median — the number where 50% of the histogram samples are before the median and 50% are after the median.

  • P-P (peak to peak) — the width of the non-zero histogram data. For horizontal histograms, width is the difference in time between the first and last pixel columns that contain non-zero data. For vertical histograms, width is the difference in amplitude between the first and last pixel rows that contain non-zero data.

  • Min — the minimum value of the histogram.

  • Max — the maximum value of the histogram.

  • Hits — the total number of samples included in the histogram.

  • Peak — the number of hits in the histogram's tallest peak.


Mask Test Tab

This tab appears when Mask Test is turned on and shows the measurement results for the Mask Test. Results are displayed by:

  • Mask title — displayed after loading a mask file.

  • Total wfms — the total number of waveforms acquired since the mask test was started.

  • Failed wfms — the total number of waveforms that have intersected a masked violation region since the start of the mask test.

  • Total samples — the number of samples Infiniium has acquired since the start of the mask test. A waveform is comprised of many samples.

  • Failed samples — the number of samples that have intersected a mask violation region since the start of the mask test.

  • Violations — shows the number of failed samples within a particular region.


Color Grade Tab

This tab appears when Color Grade is turned on. It shows the color mapping for the number of times a pixel has been hit by waveform samples.

When the Color Grade persistence feature is enabled (under Setup > Display...), a database is created that has the same number of memory locations as there are pixel locations in the waveform viewing area. Each database memory location is a 53-bit counter. These counters are incremented when sampled waveform data that is associated with the counter occurs. In order for the acquisition system to run as fast as possible, the display of the database occurs every few seconds.

Color grade persistence is displayed in seven different colors which represent the range of the counters in the database. The counters with the largest counts are displayed using a white pixel while the counters with the smallest counts are displayed using green pixels. The following shows the counter ranges for each color for both the Classic and Temperature color grade schemes.

Color Grade Scheme

Range

Classic

Temperature

The Color Grade tab shows seven colors with the range of database counts each color represents below each color. Over time, you can see the nominal waveform as well as the waveform's envelope. Because color grade persistence is infinite, it works best on repetitive waveforms.

When any of the database counters saturate, Infiniium displays Color grade is saturated in the Color Grade tab. Measurements based upon saturated color grade waveforms will be inaccurate.

You can change the Color Grade colors by using the Colors button in the Display Setup dialog box.

Connect Dots and Peak Detect are disabled when Color Grade persistence is enabled.


Scales Tab

This tab shows the vertical and horizontal scale and offset for all enabled channels, functions, and waveform memories. Results are displayed by:

  • Source — the waveform source. For example, memory 4 indicates that these are the scale and offset values for waveform memory 4.

  • Horizontal Scale — the horizontal units per division of the selected source. For example, 200 ms indicates that each horizontal division represents 200 microseconds.

  • Position — the amount of offset from the horizontal reference applied the waveform. After default setup, the horizontal reference is at the center of the graticule.

  • Vertical Scale — the vertical units per division of the selected source. For example, 200 mV indicates that each vertical division represents 0.2 Volts.

  • Vertical Offset — the amount of offset from the center of the graticule applied the waveform. The center of the graticule is 0.


Navigation Tab

When performing a search of serial data, Measurement Limit Test, or Real-Time Eye, the Navigate tab appears in the lower right corner of display. It allows you to navigate through the serial data stream for places where a specified pattern is found. Before you can navigate through the serial data stream, you must stop Infiniium from acquiring new data by pressing the front panel [Run/Stop] key. Once stopped, you can use the search keys in the Navigation tab.

For more information, see Navigation Tab.


Waveform Display

On the waveform display you can right-click both on or off of a waveform. Each of these bring up different menus where you can quickly make adjustments. You can also click and drag a waveform's position as well as move the trigger level by dragging the trigger level icon up or down.

See Also

  • Channel Setup


Front Panel Controls

Run Control Controls

Setup and Display Controls

Horizontal Controls

Vertical Controls

Trigger Controls

Measure Controls

Front Panel Control Sources

The best description of the oscilloscope's front panel controls and front and back panel connectors appears in the 90000A Series Oscilloscopes User's Guide.

This online help describes front panel controls that appear on most Infiniium oscilloscopes.

See Also

  • Display Controls

  • Channel Setup Dialog Box

  • Acquisition Setup Dialog Box

  • Display Setup Dialog Box

  • Trigger

  • Measurements


Run Control Controls

  • [Run/Stop] key — Press this key to start and stop the oscilloscope from acquiring data.

    When the key is green (Run), the oscilloscope is acquiring and displaying new waveforms.

    When the key is red (Stop), the oscilloscope is no longer acquiring new waveforms.

    You can stop acquisition if you want to freeze the displayed waveform(s) for closer analysis or measurement.

  • [Single] key — In Single mode, the oscilloscope will trigger once when the trigger conditions are met. Once the acquisition process is complete, the oscilloscope will display the acquired waveform and stop the acquisition process. You can begin another acquisition by pressing the [Single] key again.

    The memory depth available for both Single and Run mode is always the same unless you are set the memory depth to manual mode with the largest memory option. When the memory depth is set to manual with the largest memory depth option selected, the available memory depth for single acquisitions is twice that of repetitive acquisitions.

  • Armed, Auto, and Trig'd LEDs — There are three front panel indicator LEDs under this section to help you determine the state of the trigger circuitry.

    • Armed — The oscilloscope's trigger circuitry is armed and waiting for a trigger condition.

    • Auto — The oscilloscope has Auto triggered.

    • Trig'd — This LED is a status LED which simply tells you if the oscilloscope has triggered. This is different from the Trig'd LED in the Trigger section which is a mode LED you actually set.

See Also

  • Horizontal Controls

  • Trigger Controls

  • Measure Controls

  • Vertical Controls


Setup and Display Controls

These front panel keys let you automatically set up the oscilloscope for the signals being probed, disable/enable the touchscreen, clear the display, and return the oscilloscope's default settings.

  • [Auto Scale] key — Pressing this key causes Infiniium to analyze any waveforms connected to the trigger and channel inputs. The auto scale function can find repetitive waveforms with a frequency greater than or equal to 50 Hz, a duty cycle greater than one percent, and an amplitude of 10 mV peak-to-peak or greater. Infiniium turns off any channels that do not meet these requirements.

    For channels that are on, Infiniium sets the vertical scale and offset to best display your waveform. Infiniium chooses the trigger source by looking for the first valid waveform it finds. The search begins by looking at the waveform on the auxiliary input. If the auxiliary input does not have a valid waveform, the channels are searched starting with channel 4 and ending with channel 1. The external trigger input requires that the waveform pass through zero volts before autoscale can trigger on it. The horizontal scale is set to best display the waveform found on the trigger source unless the trigger source is either the auxiliary input or external trigger input. If the trigger source if one of these, the search begins until a valid waveform is found starting with channel 4 and ending with channel 1.

  • [Touch] key — This key turns the touchscreen on and off. If you are having trouble selecting the interface controls, try calibrating the touch screen.

  • [Clear Display] key — Pressing this key clears the waveform viewing area of the oscilloscope.

  • [Default Setup] key — Pressing this key returns the oscilloscope to its default settings. This places the oscilloscope in a known operating condition. You may find it helpful to use this known operating condition when someone else has used the oscilloscope before you.

    If you accidentally press Default Setup, use Undo Default Setup (under Controls > Undo Default Setup) to return the oscilloscope to the operating condition before the [Default Setup] key was pressed.

    These controls do not change during a default setup:

    • Display colors.

    • User Preferences dialog box settings.

    • Waveform brightness and grid intensity settings.

    • Probe skew.

    • Probe external adapter settings for differential probes.

    • Probe internal attenuation and gain setting for differential probes.

    These are the default settings for the controls that do change:

    Control | Default Setting
    Run/Stop | Run
    Horizontal Scale | 100 ns/
    Horizontal Position | 0 s
    Reference | Center
    Zoom | Disabled
    Zoom Scale | 10 ns/
    Zoom Position | 0.0 s
    Trigger Mode | Edge
    Trigger Level | 0 V
    Trigger Sweep | Auto
    Trigger Holdoff Time | 100 ns
    Edge Trigger Source | Channel 1
    Edge Trigger Slope | Rising
    Glitch Trigger Source | Channel 1
    Glitch Trigger Polarity | Positive

    For an even stronger default, there is a Factory Default that can be accessed in the Controls menu as well.

See Also

  • Run Control Controls

  • Horizontal Controls

  • Trigger Controls

  • Measure Controls

  • Vertical Controls


Horizontal Controls

These controls - Horizontal Scale, Horizontal Position, and Zoom - can be accessed via the Horizontal Setup dialog box (Setup > Horizontal...).

  • Horizontal Scale Knob — This knob changes the horizontal time base (time per division - also known as sweep speed) for all displayed waveforms except for waveform memories.

    If you push the knob in, you access the Vernier (or fine) horizontal scaling which changes the scale in smaller increments than the standard 1-2-5 steps (or coarse) sequence.

    When the oscilloscope is stopped, you can use scaling to zoom in or out on the acquired waveform which is now in the channel's acquisition memory. The memory bar at the top of the display will show you which portion of the channel's acquisition memory you are observing.

    Tip

    To avoid aliasing, try using Infiniium's autoscale. When setting the horizontal scale manually, start at fast sweep speeds and then try slower sweep speeds.

    You can also adjust the horizontal scale setting by using the field immediately below the graticule on the oscilloscope display. You can click on the field and a numeric keypad will appear where you can enter the desired value.

  • Horizontal Position Knob — This knob moves all displayed waveforms except for waveform memories (unless the waveform memory "Tie Horizontal to Timebase" option is selected) to the left or the right.

    Pushing this knob in sets the position back to 0.0 seconds.

    When the scope is stopped, you can use the Position knob to pan across an acquired waveform which is now in the acquisition memory. The memory bar at the top of the display indicates which portion of the acquisition memory you are viewing.

    You can also adjust the horizontal position setting by using the field immediately below the graticule on the oscilloscope display. You can click on the field and a numeric keypad will appear where you can enter the desired value.

  • [Zoom] key — You can get a horizontally expanded view of your waveform by using the Zoom mode. When you press the [Zoom] key, the waveform viewing area is split into two grids. The top grid contains the original view of your waveform and the bottom grid contains the horizontally expanded view. The portion of the waveform in the upper grid that is contained within the box is the portion of the waveform shown in the bottom grid. Here is an example of the viewing areas when Zoom mode is activated.

    You can move the highlighted area to a different part of the waveform by using the front panel Horizontal Position knob. Another method for moving the box is to move the cursor to the upper or lower edges of the box, click and hold on the left mouse button, drag the window to its new location, and then release the mouse button.

    You can change the amount of expansion by using the Horizontal Scale knob. Zoom mode was previously called "Delayed Sweep" and even though the displays are reduced in size, the vertical resolution is the same internally so automatic measurements retain the same accuracy.

    Waveform Zoom is another tool used to quickly view an expanded portion of a waveform.

See Also

  • Run Control Controls

  • Setup and Display Controls

  • Trigger Controls

  • Measure Controls

  • Vertical Controls


Vertical Controls

  • Vertical Scale Knobs — These knobs adjust the vertical scaling (in volts per division). Each analog channel has a separate knob for its specific control.

    Press the knobs in to enter vernier mode in order to make finer changes.

    In Infiniium, vertical scaling can Expand About Center or Expand About Ground. You can select which method to use in the User Preferences dialog box (under Utilities > User Preferences). For more information, see User Preferences Dialog Box.

    You can also adjust each analog channel's vertical scaling by using the fields immediately above the graticule on the oscilloscope display. You can click on the field and a numeric keypad will appear where you can enter the desired value.

    Tip

    The vertical scale should always be chosen such that the displayed waveform is as large as will still fit within the full scale display range (8 divisions). This maximizes the measurement signal-to-noise ratio (SNR) without introducing waveform distortions caused by clipping the scope ADC's input voltage range.

  • Vertical Offset Knobs — These knobs move your waveforms up and down on the display. Each channel has a ground marker ( [image] ) located to the right of the waveform display area which shows you where zero volts is for each channel.

  • [1], [2], [3], [4] channel on/off keys — These keys turn the analog channels on and off. If a channel is on, it will be back lit. If it is off, it will not be lit.

See Also

  • Run Control Controls

  • Horizontal Controls

  • Trigger Controls

  • Measure Controls


Trigger Controls

  • [Source] key — This key selects the trigger source. By continuously pressing the key, the source cycles through channels 1, 2, 3, 4, the auxiliary input, and line trigger. A backlit LED will illuminate the current selection on the front panel. Not all of the available sources are available for every trigger mode and there are trigger modes where this key does not work (for example, trigger modes that require multiple sources).

  • [Slope] key — This key lets you choose whether to trigger on a rising or falling edge for most trigger modes, and for the trigger modes that do not use an edge definition, it lets you choose between positive or negative polarity.

  • [Sweep] key — This key changes the trigger sweep mode. The two modes that are switched between by pressing this key are:

    • Auto LED — The Auto Sweep trigger mode forces the oscilloscope to trigger in the absence of a trigger condition, giving you glimpses of the waveform. This can help you set the trigger level when you are unsure of how to setup the trigger conditions to trigger the oscilloscope (or for DC waveforms). When the Auto Sweep control is selected and the trigger circuitry is armed, the oscilloscope waits for a period of time determined by the oscilloscope's settings for a trigger condition to occur. If a trigger condition does not occur within this time, the oscilloscope triggers itself and the sampled data is displayed. Each time the oscilloscope triggers, the Auto LED on the front panel lights up.

      Tip

      For waveforms whose periods are greater than 20 ms, the Auto trigger mode should not be used because it is possible that the oscilloscope's time-out trigger will always occur before your waveform trigger.

    • Trig'd LED — When the Triggered sweep control is selected and the trigger circuitry is armed, Infiniium waits until a trigger condition occurs before displaying any sampled waveform data. The trigger is re-armed automatically. Each time the oscilloscope triggers, the Trig'd LED on the front panel lights up and the display is updated. This is the desired mode of triggering when you want a stable trigger and know the trigger conditions.

      Please note that this Trig'd LED is different from the one in the Run Control section. The LED in the Run Control section is only a status LED that tells you whether or not the oscilloscope triggered. The Trig'd LED in the Trigger section is a mode LED that indicates whether or not the oscilloscope must wait for the trigger condition or not.

    It is probably beneficial to look at several examples so you can better understand how these LEDs work.

    Example 1: Set to Auto Mode and trigger condition is found - Auto off, Arm'd on, Trig'd on In this case, the oscilloscope is looking for a trigger condition and finds it. Therefore, the Auto Trigger is not used. That is why the Auto LED is not lit but the Trig’ed LED is.

    Example 2. Set to Auto Mode and trigger condition not found - Auto on, Arm’d on, Trig’d off

    In this case, the oscilloscope is looking for a trigger condition but cannot find one. Because the oscilloscope is set to "Auto" mode (the default), the oscilloscope auto triggers. That is why the Auto LED is lit up but the Trig’d LED is off. This means the oscilloscope will not be triggering on the specified trigger condition.

    Example 3. Set to Trig’d Mode and trigger condition found - Auto off, Arm’d on, Trig’d on

    In this case, the oscilloscope is looking for a trigger condition and finds it. This case is identical to Example 1. The only difference is that if something causes the trigger condition to stop occurring, the oscilloscope will stop triggering.

    Example 4. Set to Trig’d Mode and trigger condition not found - Auto off, Arm’d on, Trig’d off

    In this case, the oscilloscope will not trigger and the screen will not be updated. This implies one of three possible situations:

    • The trigger condition has been set improperly and the oscilloscope will not trigger until it is changed.

    • The trigger condition is very rare and has not happened yet.

    • A software trigger has been used and the trigger condition has not yet been detected. Note that software triggers are not guaranteed to trigger on every instance of a trigger condition.

    This situation can tell you quite a bit. For example, if you have set up a setup & hold violation trigger then this situation indicates that the oscilloscope did not find a violation.

See Also

  • Run Control Controls

  • Horizontal Controls

  • Measure Controls

  • Vertical Controls


Measure Controls

  • Marker Position Knob — If the measurement markers are in manual mode or track waveforms mode, pushing in on this Position knob allows you to move from one marker to another. When you press the knob, the Adjusting dialog box appears and displays which marker you are controlling. Once you have controls over a marker, turning the Position knob lets you move and place the marker on the display. If the markers are in track measurements mode or set to Off, the Position knob does nothing.

  • [Multi-purpose] key — When you press this key, Infiniium performs the operation specified in the Customize Multipurpose dialog box (under Utilities > Customize Multipurpose...).

  • [Markers] key — Pressing this key opens and closes the Markers Setup dialog box.

See Also

  • Run Control Controls

  • Horizontal Controls

  • Trigger Controls

  • Vertical Controls


Front Panel Control Sources

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

It may sometimes be useful to have the front panel knobs control waveform memories or functions rather than the four analog channels. The Front Panel Control Sources dialog box and QuickControl Multipurpose command allow you to do just this.

The Front Panel Control Sources dialog box looks like the following:

There are four input sources listed in this dialog box. These correspond to the four sets of vertical scale and offset knobs (as well as state keys) located on the front panel. Typically these four sets of knobs control the offset and vertical scale of the four analog channels, but you can use this dialog box to make them instead control waveform memories or functions. For example, the screen shot above shows that the Input 2 Source is set to Function 2. This means that the vertical scale knob and offset knob associated with channel 2 will now control whatever function you have saved to Function 2 (see the Math / FFT main menu for more information on functions).

If you set the Multipurpose mode to QuickControl (via the Customize Multipurpose dialog box), you can press the front panel [Multipurpose] key to cycle through the source options. The progression cycles in the following fashion: Channels, Functions, Memories. It also sets all four sources to the same type (channel, functions, or sources). If you have several different source types specified in the dialog box as shown above and press the [Multipurpose] key with QuickControl enabled, it will use the Input 1 Source setting to determine what to cycle all of the sources to. For example, in the screen shot above, the oscilloscope would see that the Input 1 Source was set to Channel 1 and would, therefore, know to cycle all four sources to their corresponding functions:

  • Input 1 Source to Function 1

  • Input 2 Source to Function 2

  • Input 3 Source to Function 3

  • Input 4 Source to Function 4

Why Would I Want to Use This Control?

  • Use this control to enable you to control waveform memories and functions with the front panel control knobs (vertical scale and offset).

Where is This Control Accessed?

There are several ways to set this control:

  • If you want all four sources to be the same type (channels, memories, or functions) then you can set the Multipurpose mode to QuickControl in the Customize Multipurpose dialog box. After you do this, simply press the front panel [Multipurpose] key repeatedly to cycle through the three types.

  • If you want the sources to be of different types then you will need to enter the Front Panel Control Sources dialog box via Utilities > Front Panel Sources.

  • You can also right-click on the channel icons in the toolbar above the graticule and specify the control source in the pop-up box.

What Do I Need to Know About This Control?

  • This feature only corresponds to the vertical scale / offset knobs and state keys. It does not impact what the horizontal or other knobs do on the front panel.

See Also

  • Vertical Controls

  • Customize Multipurpose


Connect / Probe

Probing Basics

Probe Calibration

PrecisionProbe and PrecisionCable Calibration

Selecting a Probe

Deskew

Differential Probes

Single-Ended Probes

Probe Resource Center


Probing Basics

What is the Difference Between an Active Probe, Passive Probe, and Current Probe?

How Do I Know Whether to Use a Passive or an Active Probe?

What is the Difference Between Single-ended and Differential Probing?

What Do I Need to Know About Probe Bandwidth?

How Do I Calibrate a Probe and Why Do I Need To?

What Impact Does a Probe Have on My Measurement (Probe Loading)?

What is Probe Compensation?

Application Notes:

  • Tips for Making Low Current Measurements

  • 8 Hints for Better Probing

  • Oscilloscope Probing for High Speed Signals


What is the Difference Between an Active Probe, Passive Probe, and Current Probe?

There are three basic types of probes: active, passive, and current.

  • Active Probe — An active probe is so named because it contains active components (for example, an amplifier at the probe tip). Due to this, active probes must be powered (either through the Agilent AutoProbe interface or through an external power supply). An amplifier is placed at the probe tip so the probe input capacitance can be kept very small (usually less than 2 pF) which results in high impedance on high frequencies. For high-frequency applications (greater than 600 MHz) that demand precision across a broad frequency range, active probes are the best choice. They cost more than passive probes and their input voltage is limited, but because of their significantly lower capacitive loading, they give you more accurate insight into fast signals.

  • Passive Probe — Passive probes do not contain active components such as transistors or amplifiers and, therefore, do not need to be powered. They are usually used for general-purpose mid-to-low-frequency (less than 600 MHz) measurements. They are rugged, inexpensive, offer wide dynamic range (greater than 300 V), and high input resistance to match an oscilloscope's input impedance. However, they impose heavier capacitive loading and offer lower bandwidths than active probes. The inductive and capacitive effects of a passive probe can also cause overshoot and ripping effects in the probe output. All in all, passive probes are a great choice for general-purpose debugging and troubleshooting on most analog or digital circuits.

  • Current Probes — Current probes sense the current flowing through a conductor and convert it to a voltage that can be viewed and measured on an oscilloscope. Agilent current probes use a hybrid technology that includes a Hall effect sensor (which senses the DC current) and a current transformer (which senses the AC current). Current probes have minimal circuit loading and their main tradeoff is their large size. They are mostly used in power, automotive, and industrial measurements.


How Do I Know Whether to Use a Passive or an Active Probe?

For general-purpose mid-to-low-frequency (less than 600 MHz) measurements, passive high-impedance resistor divider probes are good choices. These rugged and inexpensive tools offer wide dynamic range (greater than 300 V) and high input resistance to match an oscilloscope’s input impedance. However, as discussed above, they impose heavier capacitive loading and offer lower bandwidths than low-impedance (z0) passive probes or active probes. All in all, high-impedance passive probes such as 10073C/10074C or 1165A are a great choice for general-purpose debugging and troubleshooting on most analog or digital circuits.

For high-frequency applications (greater than 600 MHz) that demand precision across a broad frequency range, active probes are the way to go. They cost more than passive probe and their input voltage is limited, but because of their significantly lower capacitive loading, they give you more accurate insight into fast signals.


What is the Difference Between Single-ended and Differential Probing?

Single-ended probes are used to measure single-ended signals (signal with respect to ground). A differential probe is an active probe that has two inputs — one negative and one positive — as well as a separate ground lead.

Differential probes are used to measure differential signals (plus versus minus voltages). It is also possible to purchase probes that can do both. For instance, the InfiniiMax I and II Series probes use removable probe heads so both differential and single-ended probing can be performed (in general, differential probes can be used to measure both single-ended and differential signals).


What Do I Need to Know About Probe Bandwidth?

It is important to remember that the bandwidths of the oscilloscope AND the probe will impact your measurements. The bandwidth of the oscilloscope / probe system is referred to as the system bandwidth. Having an appropriate amount of system bandwidth for your specific application is necessary to display accurate waveforms and measurements (see What Impact Does a Probe Have on My Measurement (Probe Loading)? to see how a probe impacts your circuit under test). Your system bandwidth is limited by the smaller of the two bandwidth between the probe and the oscilloscope. For instance, if you have a 4 GHz oscilloscope, but use a 1 GHz probe, then your system bandwidth is limited to 1 GHz. Likewise, if you have a 12 GHz probe and a 4 GHz oscilloscope then your system bandwidth is limited to 4 GHz.

You should therefore, try to match your probe / oscilloscope bandwidths as much as possible so you have the performance you need without having to pay extra for instrumentation. Not all of your probes will have the same bandwidth range as your oscilloscope, however, because your different applications will have different requirements. You just need to be aware that you are limiting the overall system bandwidth if you use an oscilloscope / probe with lesser bandwidth than the other.


How Do I Calibrate a Probe and Why Do I Need To?

Calibrating a probe removes any attenuation or offset errors caused by the probe and removes any timing delays resulting from the probe. You should calibrate a probe before making any critical measurements with the oscilloscope. If you plan on making critical timing measurements between two or more channels, you should run the skew calibration after you have run the attenuation and offset calibration.

For more information on probe calibration, visit the Probe Calibration page.

See Also

  • Probe Calibration


What Impact Does a Probe Have on My Measurement (Probe Loading)?

Any time you connect a probe to a circuit, the probe becomes part of the circuit. Therefore, the probe impacts the signal your oscilloscope displays and the measurements you make. There are three main effects that probes have:

  • Resistive Loading — This type of loading causes the amplitude and DC offset at the node under test to be reduced. Another possible effect of this loading is that your circuit malfunctions, but starts working when a probe is attached. To minimize resistive loading, the resistance of your probe should be greater than ten times the resistance of your source (for less than a 10% reduction in amplitude).

  • Capacitive Loading — This type of loading causes slowing in rise / fall times, a reduction in bandwidth, and an increase in propagation delay. To minimize capacitive loading, minimize the probe tip capacitance and choose a probe that exceeds the signal bandwidth by five times.

  • Inductive Loading — This type of loading causes ringing because of the inductive effects of the probe ground lead. This ringing can make your measurements be inaccurate. To minimize inductive loading, use as short a ground lead as possible.


What is Probe Compensation?

Compensation is an adjustment process that maximizes the bandwidth of a probe by precisely adjusting the capacitor in the probe such that the input capacitance of the oscilloscope is canceled. One of the compensating capacitors in the probe is adjustable so you can optimize the step response for flatness. For instance, the three images below show an undercompensated waveform, overcompensated waveform, and an optimum waveform.

The following procedure will perform a low-frequency compensation of the probe. If you are using a probe recommended to be used with the Infiniium 90000A Series oscilloscope then a high-frequency compensation is not required.

  • Connect the probe to the Probe Comp output on the front of the oscilloscope (see below)

  • Adjust the probe's compensation capacitor until you see the perfectly compensated square wave. (Refer to the probe's manual for instructions on adjusting the compensation capacitor for your specific probe.)


Probe Calibration

What is a Probe Calibration and Why Do I Need to Perform One?

When Should I Perform a Probe Calibration?

How Do I Perform a Probe Calibration?

How Do I Access the Probe Calibration Controls?

What Do I Do If the Calibration Fails?

What is a Probe Calibration and Why Do I Need to Perform One?

A probe calibration is performed to remove any attenuation or offset errors caused by an oscilloscope probe or to remove any timing delays caused by an oscilloscope probe. While it is not required to perform a probe calibration in order to use a probe, you can obtain more precise measurements by doing so.

These types of probe calibrations are available:

  • DC Attenuation/Offset Calibration — When this procedure is performed, any attenuation or offset errors are removed.

  • Skew Calibration — When a deskew procedure is performed, a step is sent to the Aux Out connector on the oscilloscope and to the trigger circuit of the oscilloscope.

    This configuration provides all the information to the deskew routine to remove skew between the different channels and the trigger point shown in the waveform viewing area.

    (Aux Out is an output waveform generated by the oscilloscope. Using the Aux Out control in the Utilities > Calibration Output dialog box, Aux Out can be configured to be a probe compensation waveform or a DC waveform.)

  • AC Response Calibration — When the oscilloscope is ordered with Option 001 or when the N2809A PrecisionProbe Kit is ordered, PrecisionProbe/PrecisionCable calibration is available for the most accurate probe or cable calibration. See PrecisionProbe or PrecisionCable Calibration.

When Should I Perform a Probe Calibration?

As a general rule, you should always calibrate a probe the first time you use a specific probe on a specific channel input. Once you do this initial calibration you should not have to calibrate it too often. Every 3-4 weeks should suffice in most cases. Also, you should calibrate your probes when the CalibrationΔ Temp is greater than ±5 ºC (the CalibrationΔ Temp reading is found in the Calibration dialog box under Utilities > Calibration).

How Do I Perform a Probe Calibration?

  1. Before you calibrate a probe, you should calibrate the oscilloscope if it is not calibrated.

  2. If you are using an active or differential probe, you should wait 15 minutes after connecting the probe before calibrating it. This will give the probe time to warm up and will give you the best performance.

  3. Enter the Probe Setup dialog box (Setup > Probes...). Then click Calibrate Probe to open the Probe Calibration dialog box.

  4. Choose the type of probe calibration:

    • Attenuation/Offset Calibration — Click Start Atten/Offset Calibration.... A Calibration dialog box will appear asking you to connect the probe to the calibrator output which is located in the lower left corner of the oscilloscope front (has a square wave beside it). If you are using an 1131A, 1132A, 1134A, 1156A, 1157A, or 1158A probe, it is easier to use the probe deskew fixture that you received with your oscilloscope to connect to the calibrator input.

    • Skew Calibration — Click Start Skew Calibration.... A Calibration dialog box will appear asking you to connect the probe to the calibrator output which is located in the lower left corner of the oscilloscope front (has a square wave beside it).

      The automatic deskew calibration will typically result in 5 ps or less residual skew between channels.

      If you need to remove the last few picoseconds of skew between channels, you probe the same point simultaneously on all channels and manually adjust the skew on each channel.

      If you are running the skew calibration on a probe with sufficient bandwidth to faithfully reproduce the waveforms you are measuring, it is a good idea to use the probe deskew kit that you received with your oscilloscope.

  5. Follow the step-by-step instructions on your oscilloscope.

How Do I Access the Probe Calibration Controls?

The probe calibration entry is in the Probe Setup dialog box (Setup > Probes).

What Do I Do If the Calibration Fails?

There are several error messages you can receive when performing a probe calibration. They include:

  • Probe calibration error found! The attenuation (or gain) exceeds the limits — If the probe is broken or if the probe is not securely fastened to the oscilloscope's front panel, the probe calibration process fails and this error message is displayed.

    First check to make sure the connection is secure, and if you still receive this message, send the probe to a Service Center for repair.

  • Probe attached to Channel n: Atten = 10:1 Resuming using previous cal factor — When you attach an Agilent Technologies probe to your oscilloscope, the AutoProbe interface sets the probe attenuation to the proper value for that probe.

    If you unplug a probe and then plug it back in, this warning tells you that you are using the calibration factors from the previous time it was connected to the oscilloscope.

  • Probe attached to Channel n: Atten = 10:1 Uncalibrated — When you attach an Agilent Technologies probe to your oscilloscope, Infiniium's AutoProbe interface sets the probe attenuation to the proper value for that probe.

    Infiniium also displays a message telling you the attenuation factor for the probe and that the probe is uncalibrated/calibrated.

    While it is not required to use a probe, you can get more precise measurements by performing a probe calibration.

If you have checked all of the above and the probe calibration still fails, you should send the probe to a Service Center for repair.

See Also

  • User Calibration

  • PrecisionProbe and PrecisionCable Calibration


PrecisionProbe and PrecisionCable Calibration

What is PrecisionProbe/PrecisionCable Calibration?

How Do I Access the PrecisionProbe/PrecisionCable Calibration Controls?

How Do I Set Up a PrecisionProbe or PrecisionCable Calibration?

How Do I View Correction and Analysis Charts?

How Do I Adjust Corrections?

What is PrecisionProbe/PrecisionCable Calibration?

PrecisionProbe or PrecisionCable calibration is an AC response calibration available when the oscilloscope is ordered with Option 001 or when the N2809A PrecisionProbe Kit is ordered later.

Probe calibration and compensation is important for accurate measurements.

The PrecisionProbe and PrecisionCable calibration software (and included cables and adapters) gives you the most accurate probe/cable compensation. This software lets you:

  • Quickly compensate for an individual probe's inherent loss or an individual cable's inherent loss.

  • Compensate for custom probes and probe heads.

  • Correct for an individual probe's phase linearity, magnitude flatness, and impedance.

  • Perfectly match every cable or probe on your circuit.

  • Gain insight into the impedance and capacitance that defines the connection to your Device Under Test.

Without PrecisionProbe, a probe's compensation is based on a single model of the probe, or a measurement of the probe at the factory, combined with DSP correction in the oscilloscope. In this case, there can be small variations in individual probes that can result in small measurement inaccuracies. Custom probes and probe heads introduce even greater variations; these differences can either be accepted, with loss of design margins, or they can be characterized, which takes time.

Without PrecisionCable, you can use the N5471A InfiniiSim de-embedding software to compensate for a cable's characteristics (see InfiniSim). With the de-embedding method, your compensation is based on an S-parameter file from the TDR or VNA characterization of one or two cables (which may not be the exact cables used to perform measurements), and the characterization takes time.

How Do I Access the PrecisionProbe/PrecisionCable Calibration Controls?

The PrecisionProbe/PrecisionCable calibration option is in the Probe Calibration dialog box (Setup > Probe Calibration...).

How Do I Set Up a PrecisionProbe or PrecisionCable Calibration?

  1. Before you calibrate a probe, you should calibrate the oscilloscope if it is not calibrated.

  2. If you are using an active or differential probe, you should wait 15 minutes after connecting the probe before calibrating it. This will give the probe time to warm up and will give you the best performance.

  3. If you are going to set up a PrecisionProbe, or if you know your cable has DC attenuation, perform the DC Attenuation/Offset Calibration first (see Probe Calibration).

  4. Open the Probe Calibration dialog box (Setup > Probe Calibration...).

  5. Select the tab for the channel being used with the probe; then, click Set Up PrecisionProbe....

  6. In the PrecisionPobe dialog box:

    1. Select the Mode:

      • PrecisionProbe — choose this for probes.

      • PrecisionCable — choose this to remove insertion loss caused by cables or fixtures.

    2. If the calibration has already been performed for your probe/cable, you can select it from the Use PrecisionProbe/PrecisionCable AC Calibration field and then click Close or continue on with making adjustments to the corrections. Note that you can also delete previous calibrations by selecting them and clicking Delete Cal.

    3. If the calibration has not already been performed for your probe/cable:

      1. If the PrecisionProbe mode is selected, select the desired Response to Correct option for how the time domain and frequency domain response is characterized:

        • Probe Transfer Function: Vout/Vin — characterizes the output of the probe as a function of the input at the probe tips. Defining the response this way lets you evaluate the probe’s accuracy in reproducing the actual signal present in your system with the probe attached. This correction is what you would see with a real band limited probe that has finite input impedance.

          PrecisionProbe corrects the “Vout/Vin” response to be flat with frequency and phase to your defined bandwidth limit. It does not de-embed the loading effects of the probe.

          It should be noted that Agilent's probe corrections are typically defined using Vout/Vin.

        • Estimate of Probed System Response: Vout/Vincident = Vout/Vsource — this method corrects the probe as “what would be there if the probe were not present”.

          One drawback of defining the probe’s response in this manner is that if the probe’s loading causes your circuit to lose some timing or amplitude margin, you probably want to know that when you make a measurement. Vout/Vsource compensation will hide these effects from you.

          However, this method can be effective if probing at the transmitter.

          When Vout/Vsource is selected, you must also specify the System Source Impedance either as a Constant (Zo/2) value or using S11 From File (an S-parameter file).

        You can learn more about these types of probe response corrections in Agilent Application Note 1491, [image] Side-by-Side Comparison of Probing Measurements on High-Speed Signals.

      2. Click either Start PrecisionProbe AC Calibration... or Start PrecisionCable AC Calibration... to launch either the PrecisionProbe Wizard or the PrecisionCable Wizard.

        Follow the step-by-step instructions in the wizard.

        In the last step of the wizard, you identify the probe/cable being calibrated. The calibration results are saved in a file in the directory: C:\Documents and Settings\All Users\Documents\Infiniium\PrecisionProbe\

        Note

        Calibration results can be copied from one oscilloscope to another along with probes and cables.

        If you have multiple cables to calibrate, the Cal Another Cable button at the end of the PrecisionCable Wizard saves you time by skipping the first step of the wizard for subsequent cables.

        When the wizard completes, you may view corrections and analysis charts via the PrecisionProbe tab at the bottom of the waveform graticule area. Also, you can make adjustments to the corrections.

How Do I View Correction and Analysis Charts?

When the PrecisionProbe or PrecisionCable Wizard completes, there is a tab at the bottom of the graticule for raising or lowering the correction and analysis charts. They include:

  • Summary, frequency response magnitude — this chart shows the probe/cable's frequency response magnitude and the corrected response.

  • Summary, frequency response deviation from linear phase — this chart shows the probe/cable's frequency response phase and the corrected response.

  • Probe/Cable correction filter, FR magnitude — this chart shows just the magnitude correction for the probe/cable. This also shown in the "frequency response magnitude" summary chart.

  • Probe/Cable correction filter, FR deviation from linear phase — this chart shows just the phase correction for the probe/cable. This is also shown in the "frequency response deviation from linear phase" summary chart.

  • Probe input impedance, magnitude — for PrecisionProbe only, this chart shows loading of the probing system via an impedance magnitude plot. Markers can be aligned with the plot to show capacitive impedance and inductive impedance of the probing system.

  • Probe input impedance, phase — for PrecisionProbe only, this chart shows loading of the probing system via an impedance phase plot. Markers can be aligned with the plot to show capacitive impedance and inductive impedance of the probing system.

The SET REF LC button at the bottom of the left side toolbar opens a dialog box that lets you set the reference inductance and capacitance for the capacitive impedance and inductive impedance markers in the probe input impedance graphs. This dialog box also lets you enable or disable the grid display.

How Do I Adjust Corrections?

Because boosting signals at higher frequencies also boosts noise, you may want to make adjustments to the PrecisionProbe/PrecisionCable AC calibrations.

  1. Open the Probe Calibration dialog box (Setup > Probe Calibration...).

  2. Select the tab for the channel being used with the probe; then, click Set Up PrecisionProbe....

  3. In the PrecisionPobe dialog box:

    1. Select the Mode:

      • PrecisionProbe — choose this for probes.

      • PrecisionCable — choose this to remove insertion loss caused by cables or fixtures.

    2. Make sure the desired PrecisionProbe or PrecisionCable calibration is selected.

    3. Specify the Corrected Bandwidth options:

      PrecisionProbe uses DSP filtering to flatten a probe's frequency response. To compensate for a probe's inherent loss, signals (and noise) are boosted at higher frequencies. The Corrected Bandwidth controls let you change the default boosting limit and filter high frequency noise:

      • Automatic — PrecisionProbe normally sets the bandwidth to a value that has a small amount of boosting in the frequency response.

      • Limit Boosting — Lets you control the maximum amount of gain applied to the signal. You can select a limit from 3 dB to 12 dB (or the equivalent ratio). The default limit is 6 dB. Higher gains can give you faster signal rise times but can also mean higher noise.

      • Specify Bandwidth —Gives you a filter to remove unwanted high frequency noise.

To evaluate the effects of correction adjustments:

  • Look at the measured rise time on signal edges. If increasing the boosting limit does not significantly improve rise times, the adjustment may not be worth the trade-off in increased noise.

  • Look at the real-time eye measurements. If eye openings are not significantly improved by adjustments, the adjustments may not be worthwhile.

See Also

  • Probe Calibration


Selecting a Probe

What Parameters are Important When Selecting a Probe?

How Do I Know Which Probes are Compatible With My Oscilloscope?

What Parameters are Important When Selecting a Probe?

The parameters listed below are generic and should be considered when selecting a probe. For information on whether to select a passive, active, single-ended, differential, etc. probe, see Probing Basics.

  • Attenuation — Choose the attenuation ratio of the probe (1:1, 10:1, 100:1, 1000:1, ...) to match the test signal amplitude to the oscilloscope's vertical sensitivity range.

  • Bandwidth — The probe's rated bandwidth should match the oscilloscope and be adequate for the test signal. However, at higher frequencies, grounded lead inductance and input capacitance often influence probe performance more than probe bandwidth does.

  • Input Resistance — The probe's input resistance must match the oscilloscope's input impedance to avoid a characteristic impedance mismatch. It also must be appropriate to the test signal to avoid excessive loading.

    The Infiniium 90000A Series has 50 Ohm inputs.

  • Input Capacitance — Excessive input capacitance (sometimes called tip capacitance) will slow down the system's pulse response. Usually, the least input capacitance possible is best.

  • Maximum Input Voltage — To ensure user safety, help protect the oscilloscope from destructive voltage, and avoid damage to the probe, select a probe that is rated for a higher voltage than the signal you intend to test.

  • Probe Compensation Range — Most passive probes have a specification that lists the oscilloscope input capacitance range over which they can be used. When choosing a passive probe, be sure that the oscilloscope's input capacitance lies within the probe's compensation range or else you will not be able to adjust the probe to achieve a correctly compensated square wave signal.

    The 90000A Series oscilloscope has a 50 Ohm input resistance. This input resistance is in parallel with the input (shunt) capacitance.

    Normally, high-frequency probes with attenuation factors greater than 1:1 have adjustable compensation networks built into them. Adjusting this compensation network provides the best possible frequency linearity over the oscilloscope's designed frequency range. Operating instructions provided with the probe explain how to adjust the compensation network to obtain the best signal fidelity.

  • Probe Interface — Most Agilent oscilloscope probes offer either a BNC-type probe interface or the AutoProbe interface. The AutoProbe interface is an intelligent communication and power link between compatible probes and the oscilloscope. The AutoProbe interface identifies the type of probe attached and sets up the proper input impedance, attenuation ratio, probe power, and offset range settings as needed.

  • Probe Tip Form Factor — Your probe must make a reliable connection to the test point or in some instances, you may want to grab the test point. Generally this requires a small, light probe and a tip / grabber that is compatible with the test point. SMT and fine-pitch geometries make this issue especially critical.

How Do I Know Which Probes are Compatible With My Oscilloscope?

The easiest way to view a probe's compatibility with Agilent oscilloscopes is to view the Agilent Probe and Accessory Selection Guide (or the [image] latest version on the web).

For complete documentation on Agilent oscilloscope probes, see Probe Resource Center.


Deskew

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

How Do I Manually Deskew Probes?

What Does This Control Do?

When a deskew procedure is performed, a step is sent to the Aux Out connector on the oscilloscope and to the trigger circuit of the oscilloscope. This configuration provides all the information to the deskew routine to remove skew between the different channels and the trigger point shown in the waveform viewing area.

The automatic deskew calibration will typically result in 5 ps or less residual skew between channels.

If you need to remove the last few picoseconds of skew between channels, you probe the same point simultaneously on all channels and manually adjust the skew on each channel (as described below).

When deskewing a probe, you should use as short a ground lead as possible. Long ground leads can cause the skew calibration to fail due to excessive ring of the waveform that they cause.

Before running a skew calibration on your probe, you should calibrate the oscilloscope. The oscilloscope calibration is located in the Utilities menu. It is also a good idea to run an attenuation and offset calibration before running a skew calibration on your probe.

Why Would I Want to Use This Control?

  • Use to remove skew between the different channels and the trigger point shown in the waveform viewing area

Where is This Control Accessed?

There are several ways to set this control:

  • To follow the routine in the Probe Calibration dialog box (Setup > Probes > Calibrate Probe button), you need the Deskew Kit. Simply check the Calibrated Skew radio button in this dialog box and then press the Start Skew Calibration button. Then follow the on-screen commands.

How Do I Manually Deskew Probes?

To manually adjust the skew on each channel:

  1. Set the oscilloscope trigger — Connect the probes or cables to the same waveform source. Press the front panel's Auto Scale key if the oscilloscope is not triggered on your waveform.

  2. Adjust the horizontal scale — Adjust the horizontal scale until the edges of your waveform are approximately 45 degree angles and all waveform edges from the different channels are displayed on screen.

  3. Adjust the vertical scale — Select Setup > Channel N on the display (choose the channel whose skew you want to adjust). In general, you should adjust the skew on the channel that is not being used as the trigger. Adjust the vertical offset until the channels overlap each other.

  4. Adjust the probe skew — In the Channel Setup dialog box, adjust the Skew control until the rising edge of the waveforms overlap at the 50% points. Close the Channel Setup dialog box.

See Also

  • Probe Calibration

  • User Calibration


Differential Probes

What is a Differential Probe and What are its Advantages?

What Agilent Differential Probes are Available?

What is a Differential Probe and What are its Advantages?

A differential probe is an active probe that has two inputs - one negative and one positive - as well as a separate ground lead. Differential probes are used to measure differential signals (plus versus minus voltages). However, differential probes can also be used to measure single-ended signals (signal referenced to ground) by connecting one of the leads to ground. In fact, differential probes are usually better than single-ended probes at measuring single-ended signals (but have the trade-off of high cost).

The advantages of using a differential probe to measure differential signals as compared to using two single-ended probes and a subtract function (discussed below) include:

  • Differential probes offer better differential mode performance.

  • Differential probes offer better Common Mode Rejection.

  • Differential probe have less skew error.

The main trade-offs are the more expensive price and the fact that the higher bandwidth differential probes can have more loading at higher frequencies.

You can make differential measurements by using two single-ended probes. However, this requires the use of two channels. The process for doing this is:

  • Probe Calibration

  • What is Probe Compensation?

  • Deskew

  • Subtract

What Agilent Differential Probes are Available?

Certain probes may not be compatible with your oscilloscope. Please consult the Agilent Probe and Accessory Selection Guide (or the [image] latest version on the web) for compatibility information.

For complete documentation on Agilent oscilloscope probes, see Probe Resource Center.


Single-Ended Probes

What is a Single-Ended Probe and When Should I Use One?

What Agilent Single-Ended Probes are Available?

Can I Make Differential Measurements with Single-Ended Probes?

What is a Single-Ended Probe and When Should I Use One?

Single-ended probes are used to measure single-ended signals (signal relative to ground). Single-ended probes are also commonly used for lower bandwidth signals such as I2C and SPI.

What Agilent Single-Ended Probes are Available?

Certain probes may not be compatible with your oscilloscope. Please consult the Agilent Probe and Accessory Selection Guide (or the [image] latest version on the web) for compatibility information.

For complete documentation on Agilent oscilloscope probes, see Probe Resource Center.

Can I Make Differential Measurements with Single-Ended Probes?

Yes, you can make differential measurements by using two single-ended probes. This has the trade-offs of requiring the use of two channels and a decrease in performance (worse common mode rejection, skew error, differential mode, etc.) when compared to using a differential probe. Single-ended probes are less expensive though.

The process for using single-ended probes to measure differential signals is:

  • Probe Calibration

  • What is Probe Compensation?

  • Deskew

  • Subtract


Probe Resource Center

The Agilent Probe Resource Center is a centralized desktop application that contains all of Agilent's oscilloscope probe documentation: data sheets, user guides, response plots, SPICE models, and more. The Probe Resource Center will also alert you when it has been updated (either because of new probes or changes to documentation), and all it takes is a simple click of a button to download and install the most up-to-date version.

To install the Agilent Probe Resource Center application:

  1. Install Adobe AIR.

    Adobe AIR must be installed before you can install the Agilent Probe Resource Center AIR Help file. You can download Adobe AIR from www.adobe.com.

  2. Get the latest version of the Agilent Probe Resource Center AIR Help file (PRC.air) from www.agilent.com/find/prc and install it.

Once installed, you can launch the Probe Resource Center from the Windows Start menu by choosing All Programs > Agilent Probe Resource Center.

Note

While Agilent recommends that you install the Probe Resource Center application to access probe documentation, you can access individual files instead by unzipping the PRC.air file.


Default Setups and Autoscale

Default Setup

Factory Default

Autoscale

Click on the topics above regarding default setups and autoscale with your Infiniium Series oscilloscope.


Default Setup

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

The Default Setup feature returns the oscilloscope to its default settings. This places the oscilloscope in a known operating condition.

Why Would I Want to Use This Control?

  • It is a good idea to press the front panel [Default Setup] key (or choose Control > Default Setup from the user interface main menu) every time you start using your oscilloscope. You may not know or you may have forgotten what previous controls were set and these could greatly impact your measurements.

  • If you get in a state by adjusting controls where you do not exactly know what is going on and just want to return to a known oscilloscope setting.

  • You may find it helpful to use this known operating condition when someone else has used the oscilloscope before you.

Where is This Control Accessed?

There are several ways to set this control:

  • The easiest way to perform a Default Setup is to press the front panel [Default Setup] key.

  • You can access a Default Setup via Control > Default Setup.

What Do I Need to Know About This Control?

  • If you accidentally press the [Default Setup] key, use Undo Default Setup (under Control > Undo Default Setup) to return the oscilloscope to the operating condition it was in before [Default Setup] was pressed.

  • Default Setup does not change user preferences for the following (if you want to change these back to their default values as well then use the Factory Default feature) :

    • Colors

    • User Preferences Dialog Box

    • Screen Options dialog box

    • Deskew

    • Probe external adapter setting for differential probes

    • Probe internal attenuation and gain setting for differential probes

  • If the oscilloscope application is killed, it will remember the last state it was in before this occurred. Therefore, when you restart the oscilloscope application, it will be in this last state. Sometimes you may not want the oscilloscope to do this because the last state you were in may cause a long analysis time upon start up. To avoid this, put the oscilloscope in its default state upon starting the application by pressing the Default Setup key located on the front panel before starting the main Infiniium oscilloscope application.

  • If you want to always make the oscilloscope perform a factory default when starting up, check the Perform Factory Default on Start Up box in the User Preferences dialog box (Utilities > User Preferences).

See Also

  • Factory Default


Factory Default

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

Factory Default Settings

What Does This Control Do?

The Factory Default selection returns the oscilloscope to the settings it had when it left the factory. This places the oscilloscope in a known operating condition.

Why Would I Want to Use This Control?

  • You may find it helpful to use this known operating condition when someone else has used the oscilloscope before you.

  • You can use this control when you want to set all values (even the ones not defaulted by Default Setup) back to their default values.

Where is This Control Accessed?

This control is accessed via Controls > Factory Default.

What Do I Need to Know About This Control?

  • If you accidentally select Factory Default, use Undo Default Setup (under Controls > Undo Default Setup) to return the oscilloscope to the operating condition it was in before Factory Default was selected.

  • If you want to always make the oscilloscope perform a factory default when starting up, check the Perform Factory Default on Start Up box in the User Preferences dialog box (Utilities > User Preferences).

See Also

  • Default Setup

Factory Default Settings

Factory Default Settings, Global:

Setting | Factory Default
Run/Stop | Run

Factory Default Settings, Horizontal:

Setting | Factory Default
Scale | 100 ns/
Position | 0 s
Reference | Center
Delayed | Disabled
Delayed Scale | 10 ns/
Delayed Position | 0.0 s

Factory Default Settings, Trigger:

Setting | Factory Default
Mode | Edge
Level | 0 V
Sweep | Auto
Holdoff Time | 80 ns
Edge Source | Channel 1
Edge Slope | Rising
Advanced Trigger Mode | Pattern/State
Glitch Source | Channel 1
Glitch Polarity | Positive
Glitch width | 1.5 ns
When Pattern | Entered
Pattern Definition | All don't care(X)
Pattern Present > | 20 ns
Pattern Present < | 50 ns
Pattern Range | 20 ns to 50 ns
Delay Arm On Source | Channel 1
Delay Arm On Level | 0 V
Delay Arm On Slope | Rising
Delay By Event Source | Channel 1
Delay By Event Slope | Rising
Delay By Event Level | 0 V
Delay Trigger On Source | Channel 1
Delay Trigger On Level | 0 V
Delay Trigger On Slope | Rising
Delay By | Event
Delay By Events | 0
Delay By Time | 30 ns
State Logic Type | AND
Violation Type | Setup
Setup Mode | Setup and hold
Setup Time | 1.5 ns
Hold Time | 1.5 ns
Setup Data Source | Channel 1
Setup Data Low Thresh. | -200 mV
Setup Data High Thresh. | 0 V
Setup Clock Source | Channel 2
Setup Clock Level | 0 V
Setup Clock Polarity | Rising
Transition Source | Channel 1
Transition Low Thresh | -200 mV
Transition High Thresh | 0 V
Transition Direction | Rise Time
Transition Trigger On | < Time
Transition Time | 1.5 ns
Pulse Width Source | Channel 1
Pulse Width Level | 0 V
Pulse Width Polarity | Positive
Pulse Width Direction | Width <
Pulse Width | 1.5 ns
TV Lines | 525/60 Hz
TV Source | Channel 1
TV Level | 0 V
TV Field | 1
TV Line | 1
TV Polarity | Negative
TV Range time > | 26.000 us
TV Trigger On | Falling
TV Edge Number | 1

Factory Default Settings, Acquisition:

Setting | Factory Default
Sampling mode | Real Time Normal
Memory Depth | Automatic
Sampling Rate | Automatic
Averaging | Off
# of Averages | 16
Sin(x)/x Interpolation | On

Factory Default Settings, Display:

Setting | Factory Default
Connect Dots | On
Color Grade Persistence | Off
Persistence | Minimum
Persistence Time | 100 ms
Grid | On
Grid Intensity | 40

Factory Default Settings, Histogram:

Setting | Factory Default
On/Off | Disabled

Factory Default Settings, Markers:

Setting | Factory Default
Mode | Track Measurements
Marker A Source | Channel 1
Marker Ax | -100 ns
Marker Ay | -1.000 V
Marker B Source | Channel 1
Marker Bx | 100 ns
Marker By | 1.000 V

Factory Default Settings, Measure:

Setting | Factory Default
QuickMeas, Meas. 1 | V p-p
QuickMeas, Meas. 2 | Period
QuickMeas, Meas. 3 | Frequency
QuickMeas, Meas. 4 | Rise time

Factory Default Settings, Measurement Definitions:

Setting | Factory Default
Threshold Definition | 10%, 50%, 90%
Top-Base Definition | Standard
From Edge # | 1
From Edge Direction | Rising
From Edge Threshold | Middle Level
To Edge # | 1
To Edge # Direction | Falling
To Edge # Threshold | Middle Level
Custom Upper Level | 90%, 5.0 V
Custom Middle Level | 50%, 1.6 V
Custom Lower Level | 10%, 0.0 V
Custom Top Level | 5.0 V
Custom Base Level | 0.0 V

Factory Default Settings, Waveform Memory:

Setting | Factory Default
Memory | Waveform Memory 1
Memory Display | All off

Factory Default Settings, Math:

Setting | Factory Default
Function | Function 1
Function Display | All Off
Operator | Magnify
Source | Channel 1
Scaling | Enabled

Factory Default Settings, Channel:

Setting | Factory Default
Display | Channel 1 On
BW Limit | Off, all channels
Scale | 1 V/ or maximum
Offset | 0.0 V
Probe Attenuation | Re-read from Probe or 1:1
Attenuation Units | Ratio
Units | Volts
Skew | 0.0 V

Factory Default Settings, Utilities:

Setting | Factory Default
Aux Output | Probe calibration waveform
Calibration Details | Off
Self Test | Scope Self Tests
Service Extensions | Off
Remote Interface | Unchanged


Autoscale

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

Autoscale, or Autoset, evaluates the input waveforms to an oscilloscope and adjusts the oscilloscope's controls to get a stable waveform display. In addition to turning any channels on that are sensed as active, trigger, horizontal, and vertical settings are adjusted automatically based on the input waveforms.

There are two Autoscale modes (that can be set in the User Preferences Dialog Box):

  • All Channels — In this mode, selecting the [Auto Scale] key or Autoscale menu causes Infiniium to analyze any waveforms connected to the trigger and channel inputs. The autoscale function can typically find repetitive waveforms with a frequency greater than or equal to 50 Hz, a duty cycle greater than one percent, and an amplitude of 10 mV peak-to-peak or greater. Infiniium turns off any channels that do not meet these requirements. For channels that are on, Infiniium sets the vertical scale and offset to best display your waveform.

  • Visible Channels Only — In this mode, selecting the [Auto Scale] key behaves just like it does for the All Channels mode except that only those analog channels that are turned on are vertically scaled. Also, only those analog channels that are turned on are considered in the list of channels as a possible trigger source. The exception to this is the Aux Trig which is always included in the list of possible trigger channels.

Autoscale sets the following:

  • Channel Display, Scale, and Offset

  • Trigger Sweep, Mode, Edge, Source, Level, Slope, Hysteresis, and Holdoff

  • Acquisition Sampling Rate and Memory Depth

  • Time Base Scale and Position

  • Marker Mode Set to Measurement

  • Resets Acquisition Completion Criteria to 90%

Autoscale turns off the following:

  • Measurements on sources that are turned off

  • Functions

  • Windows

  • Memories

  • InfiniiSim

Autoscale does not turn off:

  • PrecisionProbe/PrecisionCable

No other controls are affected by Autoscale.

Why Would I Want to Use This Control?

  • For most waveforms, the easiest way for you to get a stable trigger is to use the Autoscale feature.

  • Use to automatically set the display controls to best display our waveform.

  • Use to properly display your waveform when you cannot find it after adjusting various controls.

  • Use to avoid aliasing.

Where is This Control Accessed?

There are several ways to set this control:

  • The easiest way to activate autoscale is to press the [Auto Scale] key on the front panel.

  • You can also activate autoscale via Control > Autoscale.

What Do I Need to Know About This Control?

  • The autoscale function can find repetitive waveforms with a frequency greater than or equal to 50 Hz, a duty cycle greater than one percent, and an amplitude of 10 mV peak-to-peak or greater. Infiniium turns off any channels that do not meet these requirements.

  • The Infiniium oscilloscope chooses the trigger source by looking for the first valid waveform that it finds. The search begins by looking at the waveform on the auxiliary input. If the auxiliary input does not have a valid waveform, the channels are searched starting with channel 4 and ending with channel 1. The external trigger input requires that the waveform pass through zero volts before autoscale can trigger on it.

  • Horizontal scale is set to best display the waveform found on the trigger source unless the trigger source is either the auxiliary input or the external trigger input. If the trigger source is the auxiliary input or the external trigger input then the search begins until a valid waveform is found starting with the highest numbered channel and ending with channel 1.

  • You may find situations where you have unintentionally selected the [Auto Scale] key. When this happens, you can use Undo Autoscale (under Control > Undo Autoscale) to return the scope to the previous settings.

  • If you receive the following error message: Autoscale couldn't find a signal. and the setup is left unchanged then autoscale failed. There are several reasons autoscale can fail:

    • Your waveform may be improperly connected to the oscilloscope. Please check all oscilloscope probe or cable connections to the oscilloscope and to the circuit that you are testing.

    • Autoscale only works on repetitive waveforms that meet the following requirements:

      • a frequency greater than 50 Hz.

      • a duty cycle greater than 1%.

      • a peak-to-peak voltage greater than 10 mV

    • If the oscilloscope is uncalibrated, the Autoscale function can fail. You can check the calibration status under Utilities > Calibration.

See Also

  • Default Setup

  • Factory Default

  • Front Panel Controls


Channel Setup

Channel Setup Dialog Box

Show Raw Channels

Vertical Scale

Vertical Offset

Skew

Vernier

Labels

Click on the topics above regarding channel setup with your Infiniium Series oscilloscope.


Channel Setup Dialog Box

What Controls are in the Channel Setup Dialog Box?

How Do I Access the Channel Setup Dialog Box?

What Controls are in the Channel Setup Dialog Box?

  • Show Raw Channels

  • Vertical Scale

  • Vertical Offset

  • Skew

  • Vernier

  • Labels

  • InfiniiSim Waveform Transformation Toolset

Additionally, you can set the following controls:

  • Select Channel — Clicking on each of the channel buttons in this dialog box brings up the corresponding channel controls.

  • On — Turns the channel on or off.

  • Differential/Common Mode — These boxes turns on or off differential and common mode channels. Channels 1 and 3 form one pair and channels 2 and 4 form another. For example, if you are using channel 1 and you check the Differential Channels 1 & 3 box or if you are using channel 3 and you check the Common Mode Channels 1 & 3 box then:

    • Channel 1 will now become Channel 1 - Channel 3

    • Channel 3 will now become (Channel 1 + Channel 3)/2

    Similarly, if you are using channel 2 or channel 4 and check either the differential or common mode box then:

    • Channel 2 will now become Channel 2 - Channel 4

    • Channel 4 will now become (Channel 2 + Channel 4)/2

How Do I Access the Channel Setup Dialog Box?

The Channel Setup dialog box can be accessed via Setup > Channel N or by clicking on the channel buttons located directly above the waveform viewing area.

See Also

  • Front Panel Controls

  • Acquisition Setup Dialog Box

  • Display Setup Dialog Box

  • Horizontal Setup Dialog Box

  • Display Controls


Show Raw Channels

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Does This Control Do?

When you do things like use InfiniiSim (if you have the option installed), apply filters, or use differential channels, the signal displayed on the oscilloscope may be very different from the signal entering the front end of the oscilloscope. However, the oscilloscope triggers on the signal at the front end, not the signal you see on screen. Also, the signal entering the front end is the one that enters the ADC (Analog to Digital converter).

Therefore, if you are having problems triggering or if you want to ensure you are using the entire vertical range of the ADC, you need to see this front end signal. Checking this Show Raw Channels box turns off all of the transformations or filters applied to the signal and shows you what the signal entering the oscilloscope looks like. You can then make the necessary adjustments and uncheck this box to go back to the signal you were viewing.

Why Would I Want to Use This Control?

  • Use this control to see the signal without filters, differential channels, or applications like InfiniiSim applied to it.

  • Use to check trigger problems if you are using any of the filters / transformations listed above.

  • Use to ensure you are using the entire dynamic range of the ADC

Where is This Control Accessed?

  • To access this control, check the Show Raw Channels box in the Channel Setup dialog box (under Setup > Channel N).

See Also

  • Channel Setup Dialog Box


Vertical Scale

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

The vertical scale control sets the volts per division scale for the chosen channel. The vertical scaling changes in a 1-2-5 step sequence (unless you push on the front panel knob before turning it or check the Vernier box in the dialog box - either of these cause the control to have a fine or Vernier scale). For example, the scaling changes from 1 volt to 2 volts and from 2 volts to 5 volts. All of the scaling controls for input channels, waveform memories, and waveform math functions are affected by this setting.

Why Would I Want to Use This Control?

  • Use for changing the vertical scale of a waveform (you can also use Zoom to adjust the vertical scale).

  • Use to fill up the display with your waveform (that is, use the full dynamic range of the Analog to Digital converter) in order to increase measurement accuracy (maximizes signal-to-noise ratio).

Where is This Control Accessed?

There are several ways to access this control:

  • This control can be accessed via the Channel Setup dialog box (Setup > Channel N).

  • You can also change the vertical scale by using the toolbar above the waveform viewing area. The vertical toolbar scale controls are changed by either clicking on the up-down scroll keys along the right-hand side of each control or by clicking on the control. When you click on the control, a numeric keypad appears and you can enter the volts per division value that you want.

  • You can change the vertical scale of a waveform memory in the Waveform Memory Setup dialog box (Setup > Waveform Memory).

  • You can change the vertical scale of a function in the Math dialog box (Analyze > Math (FFT and more)...). Before you can see these controls, you must select Display On and Scaling in the Math dialog box. To change the vertical scale and offset select Manual and click on the up-down scroll keys along the right-hand side of each control or by clicking on the control. When you click on the control, a numeric keypad appears and you can enter the value that you want.

What Do I Need to Know About This Control?

  • There are two types of vertical scaling that you can select in Infiniium (in the User Preferences Dialog Box):

    • Expand About Center — When you select to expand about center, the center graticule line in the waveform viewing area becomes the reference point about which vertical scaling for all channels, waveform math functions, and waveform memories occurs. For this type of scaling, the vertical offset control remains the same value when you adjust the vertical scale control.

    • Expand About Ground — When you select to expand about ground, then ground becomes the reference point about which vertical scaling for all channels, waveform math functions, and waveform memories occurs. Most analog and digital scopes use this form of vertical scaling. For this type of scaling, the vertical offset control changes by the same proportion as the vertical scale control when it is adjusted.

  • Some of the oscilloscope's settings are dependent on other settings. For example, the trigger level is dependent on the vertical scale and offset settings. Likewise, horizontal position is dependent on the horizontal scale setting. Therefore, the trigger level depends on the other settings and it may change when you are changing other scale factors, such as vertical offset or scale. These control dependencies can cause problems. For example, you may have the oscilloscope’s trigger level set and the scope is triggered on your waveform. If you change the vertical scale or offset sufficiently, the trigger level will change and the scope may become untriggered. Even if you return the vertical scale or offset to the original value, the scope will remain untriggered. You can correct this problem by readjusting the trigger level to its previous value.

  • The vertical scale (Volts/div) of source waveforms used for jitter measurements should always be chosen such that the displayed waveform is as large as will still fit within the full scale display range (8 divisions). This maximizes the measurement signal-to-noise ratio (SNR) without introducing waveform distortions caused by clipping the scope ADC's input voltage range. Maximizing voltage SNR is critical when performing low-jitter measurements on source waveforms with slow rise times because voltage noise is converted to timing jitter through the slope of the source waveform.

  • In general, whenever performing measurements on your waveforms, you want to set the vertical scale such that the waveform takes up the entire screen, but is not clipped. This uses the full dynamic range of the A/D converter and maximizes the signal-to-noise ratio. If you have multiple waveforms on the display and you want each to use the full dynamic range of the A/D converter, but not overlap (to make it easier to view) then use multiple grids.

See Also

  • Vertical Offset

  • Horizontal Setup Dialog Box

  • Display Setup Dialog Box

  • Front Panel Controls

  • Display Controls

  • Vernier


Vertical Offset

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

You can use the vertical offset controls to move your waveform either up or down on the display. Each channel has a ground marker located to the right of the waveform display area (graticule) which shows you where zero volts is for each channel. The following show example ground markers.

Why Would I Want to Use This Control?

  • The purpose of offset whether it is in the probe or the front end stage of an oscilloscope channel is to allow the subtraction the DC component of the input waveform. Subtracting the DC component allows for the better use of the dynamic range of the input.

Where is This Control Accessed?

There are several ways to set this control:

  • This control can be accessed via the Channel Setup dialog box (Setup > Channel N).

  • You can use the front panel Offset knob in the Vertical section.

  • You can change the offset of a waveform memory in the Waveform Memory Setup dialog box (Setup > Waveform Memory)

  • You can change the offset of a function in the Math dialog box (Analyze > Math (FFT and more)...). Before you can see these controls, you must select Display On and Scaling in the Math dialog box. To change the vertical scale and offset, select Manual and click on the up-down scroll keys along the right-hand side of each control or by clicking on the control. When you click on the control, a numeric keypad appears and you can enter the value that you want.

What Do I Need to Know About This Control?

  • At extreme settings, the offset will affect the trigger level. If you have offset the waveform so it is off the display in one direction then offset it in the other direction, you may need to re-adjust the trigger level.

  • You can also drag waveforms with the mouse. Using the left mouse button, click on a waveform, drag it up or down, then release the mouse button to adjust the vertical offset.

  • There are two types of vertical scaling that you can select in Infiniium (in the User Preferences Dialog Box). Offset is impacted differently depending on which vertical scaling you are performing.

    • Expand About Center — When you select to expand about center, the center graticule line in the waveform viewing area becomes the reference point about which vertical scaling for all channels, waveform math functions, and waveform memories occurs. For this type of scaling, the vertical offset control remains the same value when you adjust the vertical scale control.

    • Expand About Ground — When you select to expand about ground, then ground becomes the reference point about which vertical scaling for all channels, waveform math functions, and waveform memories occurs. Most analog and digital scopes use this form of vertical scaling. For this type of scaling, the vertical offset control changes by the same proportion as the vertical scale control when it is adjusted.

  • Some of the oscilloscope's settings are dependent on other settings. For example, the trigger level is dependent on the vertical scale and offset settings. Likewise, horizontal position is dependent on the horizontal scale setting. Therefore, the trigger level depends on the other settings and it may change when you are changing other scale factors, such as vertical offset or scale. These control dependencies can cause problems. For example, you may have the oscilloscope's trigger level set and the oscilloscope is triggered on your waveform. If you change the vertical scale or offset sufficiently, the trigger level will change and the scope may become untriggered. Even if you return the vertical scale or offset to the original value, the scope will remain untriggered. You can correct this problem by readjusting the trigger level to its previous value.

See Also

  • Vertical Scale

  • Connect / Probe

  • Horizontal Setup Dialog Box

  • Display Setup Dialog Box

  • Vernier

  • Skew

  • Front Panel Controls

  • Display Controls


Skew

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

Skew changes the horizontal position of an individual waveform on the display independent of any other waveforms, whereas the time base position control moves all of the waveforms on the display at the same time.

In normal real time sampling mode, samples from different channels are not time aligned. The reason is because channels are corrected during calibration for skew error and the resolution of the correction is finer than the sample period. The application of this correction factor is applied after the data is sampled by the ADC (Analog to Digital converter). The result is that samples from different channels do not line up in time due to the sub-sample portion of the correction. Normally software aligns each of the time-axis origins so you will not notice it, but if you export data, you will notice that samples from different channels do not align. The easiest way to force them to align if it is required is to use probe skew.

Why Would I Want to Use This Control?

  • Used to overlay waveforms.

  • Used to eliminate timing difference caused by different cable and probe lengths.

Where is This Control Accessed?

This control is accessed via the Channel Setup dialog box (Setup > Channel N).

What Do I Need to Know About This Control?

  • Skew is set to a default value of zero. If you change it to a nonzero value, but want to return to zero, click on the 0 button (see image below)

See Also

  • Deskew

  • Horizontal Setup Dialog Box

  • Vertical Offset


Vernier

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

Vernier, or fine control, allows a calibrated fine adjustment of a scaling factor such as the channel volts or the time base setting. For example, it is possible to set the V/division to 350 mV/div instead of the standard choices of 100, 200, or 500 mV/div.

Why Would I Want to Use This Control?

  • Use Vernier mode to have a finer control over a scaling factor.

Where is This Control Accessed?

Vernier mode can be activated in several ways.

  • The easiest way is to use the front panel Horizontal and Vertical Scaling knobs. These are push knobs and pushing on them puts them in and out of Vernier mode.

  • The user can also activate Vernier mode by selecting the Vernier checkbox in the Channel Setup dialog box (under Setup > Channel N).

What Do I Need to Know About This Control?

  • Instead of using Vernier mode, you can also enter in a numeric value, for example 3.5 ms/div, by clicking on the field you want to change and using the pop-up keypad.

See Also

  • Horizontal Setup Dialog Box

  • Channel Setup Dialog Box

  • Display Controls


Labels

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

This control allows you to apply labels to waveforms on the oscilloscope display.

Why Would I Want to Use This Control?

  • Use when there are many waveforms on the display and you need to keep track of which waveform corresponds to which signal.

  • Use when printing out a copy of the screen so you can see which waveform corresponds to which signal.

Where is This Control Accessed?

  • The easiest way to add a label is to right-click on a waveform and then select Labels. You can turn the labels off by right-clicking on a label and selecting Turn Labels Off.

  • For analog signal labels, enter the Channel Setup dialog box (under Setup > Channel N). Then check the On box under the Label section and pick from the list of label choices in the neighboring field. You can also customize your text (see below).

What Do I Need to Know About This Control?

  • There are several ways to change the name of a label.

    • You can click on the field in the Labels section (in the Channel Setup dialog box) and then choose from the drop down menu.

    • You can double-click on a label shown in the waveform viewing area. This displays a pop-up keyboard where you can enter a name.

    • You can right-click on a label shown in the waveform viewing area and then select Change Label Text.

See Also

  • Annotations


Horizontal Setup

Horizontal Setup Dialog Box

Horizontal Scale

Vernier

Horizontal Position

Horizontal Reference

External 10 MHz Reference Clock

Pan / Zoom

Roll Mode

Click on the topics above regarding horizontal setup with your Infiniium Series oscilloscope.


Horizontal Setup Dialog Box

What Controls are in the Horizontal Setup Dialog Box?

How Do I Access the Channel Setup Dialog Box?

What Controls are in the Horizontal Setup Dialog Box?

  • Horizontal Scale

  • Vernier

  • Horizontal Position

  • Horizontal Reference

  • External 10 MHz Reference Clock

  • Pan / Zoom

  • Roll Mode

How Do I Access the Channel Setup Dialog Box?

The Horizontal Setup dialog box can be accessed via Setup > Horizontal.

See Also

  • Front Panel Controls

  • Acquisition Setup Dialog Box

  • Display Setup Dialog Box

  • Channel Setup Dialog Box

  • Display Controls


Horizontal Scale

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

This knob changes the horizontal time base (time per division - also known as sweep speed) for all displayed waveforms except for waveform memories (unless the waveform memory "Tie Horizontal to Timebase" option is selected in the Waveform Memory dialog box). If you push the knob in, you access the Vernier (or fine) horizontal scaling which changes the scale in smaller increments than the standard 1-2-5 steps (or coarse) sequence. When the oscilloscope is stopped, you can use scaling to zoom in or out on the acquired waveform which is now in the channel's acquisition memory. The memory bar at the top of the display will show you which portion of the channel's acquisition memory you are observing.

Tip

To avoid aliasing, try using Infiniium's autoscale. When setting the horizontal scale manually, start at fast sweep speeds and then try slower sweep speeds.

Why Would I Want to Use This Control?

  • Use to see more or less of your waveform on the display

  • When the oscilloscope is stopped, you can use scaling to zoom in or out on the acquired waveform which is now in the channel's acquisition memory. The memory bar at the top of the display will show you which portion of the channel's acquisition memory you are observing.

Where is This Control Accessed?

  • This control can be accessed by turning the horizontal scale knob on the front panel of your oscilloscope. This knob changes the horizontal scale for all waveforms except for waveform memories (unless the waveform memory "Tie Horizontal to Timebase" option is selected in the Waveform Memory dialog box).

  • This control can also be access via the horizontal scale field beneath the graticule on the oscilloscope display. Click on this field to display a popup keyboard where you can enter the desired horizontal scale.

  • This control can also accessed via the Horizontal Setup dialog box (under Setup > Horizontal).

What Do I Need to Know About This Control?

  • Please note that Autoscale may change the horizontal scale of the displayed waveform.

  • To avoid aliasing, try using Infiniium's autoscale. When setting the horizontal scale manually, start at fast sweep speeds and then try slower sweep speeds.

See Also

  • Horizontal Setup Dialog Box

  • Front Panel Controls

  • Display Controls

  • Channel Setup Dialog Box


Horizontal Position

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

You can use the horizontal position controls to move your waveforms left or right on the display.

The horizontal position knob on the front panel moves all displayed waveforms except for waveform memories (unless the waveform memory "Tie Horizontal to Timebase" option is selected in the Waveform Memory dialog box) to the left or the right. Pushing this knob in sets the position back to 0.0 seconds. When the oscilloscope is stopped, you can use the horizontal position knob to pan across an acquired waveform which is now in the acquisition memory. The memory bar at the top of the display indicates which portion of the acquisition memory you are viewing.

Why Would I Want to Use This Control?

  • Use to see different parts of your waveform

  • When the oscilloscope is stopped, you can use the horizontal position knob to pan across an acquired waveform which is now in the acquisition memory. The memory bar at the top of the display indicates which portion of the acquisition memory you are viewing.

Where is This Control Accessed?

  • This control can be accessed by turning the horizontal position knob on the front panel of your oscilloscope. This knob moves all displayed waveforms except for waveform memories (unless the waveform memory "Tie Horizontal to Timebase" option is selected in the Waveform Memory dialog box) to the left or the right.

  • This control can also be access via the horizontal position field beneath the graticule on the oscilloscope display. Click on this field to display a popup keyboard where you can enter the desired horizontal position.

  • This control can also accessed via the Horizontal Setup dialog box (under Setup > Horizontal).

What Do I Need to Know About This Control?

  • Please note that Autoscale may change the horizontal position of the displayed waveform.

See Also

  • Horizontal Setup Dialog Box

  • Front Panel Controls

  • Display Controls

  • Channel Setup Dialog Box


Horizontal Reference

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

The horizontal reference control determines where the zero reference point is for the horizontal position control. For example:

  • If Reference is set to Right, the rightmost vertical grid line is 0.0 seconds and any position to the left of it is a negative position.

  • If Reference is Center, then the middle vertical graticule line is 0.0 seconds.

  • If Reference is Left, then the left most graticule line is 0.0 seconds and any position to the right is a positive offset.

The horizontal reference point is indicated by the [image] indicator at the bottom of the display.

The horizontal reference fixes a place in time around which the waveform can be expanded. For example, if you set the horizontal position to 1.0 ms and the horizontal reference is set to Center, the center of the waveform viewing area will be 1.0 ms after the trigger event, independent of any subsequent changes you make to the horizontal scale. If horizontal position is set to zero then the trigger point is at the horizontal reference.

For example, to see a waveform both pre- and post-trigger, set the trigger source, polarity and level so you obtain a stable waveform on the display. Click on the center indicator so that it is highlighted. Then set the horizontal position to zero by clicking on the 0 button at the bottom of the display as shown below:

The center of the graticule now corresponds to the trigger point. The waveform to the left of the graticule center occurred before the trigger event while the waveform to the right of the graticule center occurred after the trigger event. Changing the horizontal scale will expand or contract the waveform around the center of the screen.

Why Would I Want to Use This Control?

  • Use to manipulate whether pre-trigger, post-trigger, or both are displayed on the oscilloscope

  • Use to fix a place in time about which the waveform can be expanded

Where is This Control Accessed?

  • This control is accessed via the Horizontal Setup dialog box (under Setup > Horizontal).

  • This control can also be set by clicking on the arrow icons ( [image] ) underneath the waveform viewing area.

What Do I Need to Know About This Control?

  • Below are the possible choices for the horizontal reference:

    • Left Reference Position — A Left reference position places the reference position on the left-most side of the waveform viewing area. Changing the horizontal scale will expand or contract the waveform around this position. If the horizontal position is set to 0.0 s, all of the displayed waveform occurred after the trigger event (post-trigger).

    • Center Reference Position — A Center reference position places the reference position in the middle of the waveform viewing area. Changing the horizontal scale will expand or contract the waveform around the center of the display. If the horizontal position is set to 0.0 s, you will see the waveform before and after the trigger event (both pre- and post-trigger).

    • Right Reference Position — A Right reference position places the reference position on the right-most side of the waveform viewing area. Changing the horizontal scale will expand or contract the waveform around this position. If the horizontal position is set to 0.0 s, all of the displayed waveform occurred before the trigger event (pre-trigger).

  • Please note that Autoscale may change the horizontal scale and position of the displayed waveform.

See Also

  • Horizontal Setup Dialog Box

  • Trigger


External 10 MHz Reference Clock

What Does This Control Do?

Where is This Control Accessed?

What Does This Control Do?

This control allows you to use an external clock for the horizontal timebase system instead of the internal clock.

The scope has a 10 MHz IN BNC connector that you can use to synchronize the oscilloscope's horizontal timebase system to a reference clock that you provide. The clock that you provide must meet the following specifications:

  • Amplitude: 178 mV peak to 1 V peak.

  • Frequency: 10 MHz ±5 ppm high quality sine wave or square wave.

Where is This Control Accessed?

  • To use this feature, connect the external clock to the 10 MHz In BNC connector. Then select Setup > Horizontal and select the External 10 MHz Reference Clock check box.

See Also

  • Horizontal Setup Dialog Box


Pan / Zoom

What is Panning?

How Do I Pan a Waveform?

What is the Memory Bar?

How Do I Zoom in on a Portion of My Waveform?

What Do I Need to Know About Zoom Mode?

What Do I Need to Know About Waveform Zoom?

How Do I Undo a Zoom?

Note

If you are using variable or infinite persistence and you zoom, scale, move, or drag the waveform then any accumulated waveforms, except for the last acquisition, are cleared.

What is Panning?

Panning refers to the oscilloscope's ability to display different portions of the acquired waveform for your analysis. Panning is another word for moving horizontally on the oscilloscope display. It is important because if the additional insight it can reveal about the captured waveform.

How Do I Pan a Waveform?

There are multiple ways to pan a waveform.

  • You can use the Horizontal Position knob on the front panel to move horizontally on the display.

  • You can click on the waveform and drag it horizontally on the display.

    Note that once you begin moving the waveform in a certain direction (example: up and down or left and right), you can only pan in that direction until you let go of the mouse and repeat (example: if you started moving the waveform up or down, but then wanted to move it left or right, you would have to release the mouse button, re-click and hold on the waveform, and then move the mouse left or right).

What is the Memory Bar?

At the top of the display, Infiniium displays a memory bar. The memory bar tells you at a glance what portion of the channel's waveform data is displayed in the waveform viewing area. The orange colored bar represents the trigger point. As you pan a waveform, the memory bar lets you know where you are in the acquisition.

Below are a variety of states and what the memory bar would look like in each instance. Looking at these examples will give you an idea of how to use the memory bar.

  • When Infiniium is displaying all of the waveform points in the channel memory, the memory bar looks like this:

  • When the channel's memory covers a longer time range than the display's time range, the memory bar indicates the portion of the channel's memory being displayed:

  • If the display's time range extends beyond the time range of the channel memory, the memory bar looks like this:

  • If the display's time range is longer than the time range of the channel memory, the memory bar looks like this:

  • If there is no data in the channel memory, the memory bar looks like this:

How Do I Zoom in on a Portion of My Waveform?

There are two ways to zoom in on a waveform:

  • Zoom Mode — You can get a horizontally expanded view of your waveform by using the Zoom mode. When you press the [Zoom] key on the front panel (under the horizontal section), the waveform viewing area is split into two grids. The top grid contains the original view of your waveform and the bottom grid contains the horizontally expanded view. The portion of the waveform in the upper grid that is contained within the box is the portion of the waveform shown in the bottom grid. Here is an example of the viewing areas when Zoom mode is activated.

    You can move the highlighted area to a different part of the waveform by using the front panel Horizontal Position knob. Another method for moving the box is to move the cursor to the upper or lower edges of the box, click and hold on the left mouse button, drag the window to its new location, and then release the mouse button. You can change the amount of expansion by using the Horizontal Scale knob. Zoom mode was previously called "Delayed Sweep" and even though the displays are reduced in size, the vertical resolution is the same internally so automatic measurements retain the same accuracy.

  • Waveform Zoom — Unlike Zoom Mode, Waveform Zoom does not create two grids. Instead it maintains your number of grids and simply zooms in on the portion of the screen you specify. It can be used to change the horizontal scale and position for all input channels, waveform memories, or waveform math channels that are currently displayed. To perform a Waveform Zoom, hold down the left mouse button in the waveform viewing area and then drag the cursor until the displayed box covers the area of interest. Then release the left mouse button and a drop down menu will appears where you can select Waveform Zoom. Infiniium will change the vertical scale, vertical offset, horizontal scale, and horizontal position for all displayed waveforms.

    Once the Waveform zoom has occurred, you can pan (or move) the waveform in all four directions by clicking and holding down the left mouse button on a waveform and then using the mouse to drag.

    Note that once you begin moving the waveform in a certain direction (example: up and down or left and right), you can only pan in that direction until you let go of the mouse and repeat (example: if you started moving the waveform up or down, but then wanted to move it left or right, you would have to release the mouse button, re-click and hold on the waveform, and then move the mouse left or right).

What Do I Need to Know About Zoom Mode?

There are several aspects of Zoom Mode that are important to note.

  • Zoom mode is disabled when one of the following features is enabled: mask test, histogram, color grade persistence, InfiniiScan, Trigger on Search, Real-Time Eye.

  • Even though the displays are reduced in size, the vertical resolution is the same internally so automatic measurements retain the same accuracy.

  • Unlike Waveform Zoom, which can adjust the acquisition hardware in some circumstances, Zoom is a software only expansion.

  • You can use the Zoom Scale control to set the magnification (time per division) of the Zoom portion of the waveform. You cannot select a slower time scale than the original waveform. You must adjust the normal view's time scale for slower speeds in this case.

  • You can gate measurements with the Zoom feature. To do this, activate zoom and then zoom in on the portion of the waveform that you want to perform the measurement on. Then activate your measurement and check the Gate to Zoom Window box in the measurement dialog. This will force the measurement to only be taken on the portion of the waveform within the zoom window.

What Do I Need to Know About Waveform Zoom?

There are several aspects of Waveform Zoom that are important to note.

  • If the waveform is still being acquired, Waveform Zoom will adjust the acquisition hardware to improve the resolution of the waveform as it is expanded. If you have stopped acquisition, the resolution does not improve with expansion but Infiniium performs a software magnification of the waveform. However, restarting acquisition while in Waveform Zoom will acquire the next waveform at higher resolution.

  • A graphical zoom may be performed on an active channel's waveform, a waveform memory, or a displayed waveform math function. If you are using waveform math functions, you can also choose math function scaling or use the magnify operator to rescale your displayed math functions.

  • There is a specific case where the magnify math function is a better choice than Waveform Zoom. If you zoom in on a waveform that is being acquired and it clips and overdrives the input amplifier, the input amplifier may saturate. When the input amplifier saturates, the input stage takes additional time to recover and waveform rise and fall times will be distorted. In this case, you will have more accurate measurements by using the magnify math function instead of Waveform Zoom.

How Do I Undo a Zoom?

To undo a Waveform Zoom, click outside the zoom rectangle and select the Undo command in the pop-up window. You can also select Control > Undo Zoom from the menu at the top of the display. You can only undo or redo a zoom a maximum of ten times.

See Also

  • Front Panel Controls

  • Horizontal Setup Dialog Box

  • Channel Setup Dialog Box

  • Magnify


Roll Mode

What is Roll Mode?

When Should I Use Roll Mode?

How Do I Enable Roll Mode?

What Key Concepts Should I Know About Roll Mode?

What Features are Not Available When Roll Mode is Enabled?

What is Roll Mode?

When Roll Mode is enabled, acquisition data will be displayed in a rolling fashion starting from the right side of the display and continuing to the left side of the display (while the acquisition is running). Roll mode is a triggerless acquisition mode so there is no trigger reference and all trigger features are disabled. New data will continue rolling across the screen while the acquisition is running.

If the acquisition is stopped before a full screen of data is acquired, the portion of data that has been acquired will be displayed with a time zero reference at the right screen edge and the remaining portion of the display will be left blank.

Once the acquisition has been stopped, data on screen can be panned and zoomed via the horizontal scale and delay controls.

If a control change is made while the acquisition is running, the acquisition is halted and restarted and the old data is cleared from the display and measurement statistics.

In non-roll mode, the waveform events occurring before the trigger are shown to the left of the horizontal reference point. The waveform events occurring after the trigger are shown to the right of the horizontal reference point. In roll mode, there is no trigger. The horizontal reference point is set to the right and is the current moment in time. Waveform data points are scrolled to the left of the horizontal reference point at the current sampling rate.

When Should I Use Roll Mode?

  • Use when making manual adjustments to your low frequency waveforms.

  • Use to find disturbances in your low frequency waveforms.

  • Use to monitor the power-up cycle of a power supply voltage.

How Do I Enable Roll Mode?

To enable roll mode, check the Roll Mode box in the Horizontal Setup dialog box (Setup > Horizontal).

What Key Concepts Should I Know About Roll Mode?

There are many key points you should know about when using roll mode:

Acquisition Key Concepts

  • The maximum manual memory depth is limited to the lesser of 16 MPts or half the available acquisition RAM (one fourth the available acquisition RAM if any function on).

  • The minimum manual memory depth is 512 Pts.

  • The automatic memory depth is set to 500 KPts (100 KPts if any function on).

  • The ability to manually adjust the sampling rate is disabled for all channels.

  • Normal, peak detect, and high resolution real-time modes are supported.

  • Averaging is disabled.

  • Equivalent time sampling is disabled.

  • Segmented memory mode is disabled.

Horizontal Control Concepts

  • The timebase range is 200 ms/div to 20 s/div while running.

  • The time delay is forced to 0 s while running.

  • The channel-to-channel skew is forced to zero while running or stopped.

  • Full pan & zoom are available when acquisition is stopped.

  • Delayed timebase (zoom) is available while running or stopped.

Trigger Key Concepts

  • Roll mode is an untriggered mode and ignores triggers.

  • Single trigger rolls the waveform across the screen until a full screen worth of data is captured - it then stops.

Display Key Concepts

  • Persistence is disabled while running or stopped.

  • Color grade and mega-view is disabled while running or stopped.

Measurements/Markers Key Concepts

  • All measurements are available while running or stopped.

  • Drag-&-drop measurement selections are available when stopped and are disabled while running.

  • All markers are available while running (manual, track wfm, track measurements).

Math/FFT Key Concepts

  • All functions available when stopped.

  • All functions can be enabled while running, but some functions will not be performed until the acquisition stops.

  • Memory depth is limited to 250 kpts when any function is turned on.

  • Functions available while running:

    • - absolute value

    • - add

    • - common mode

    • - differentiate

    • - divide

    • - invert

    • - magnify

    • - multiply

    • - smoothing

    • - subtract

  • Functions not available while running:

    • - average

    • - butterworth *

    • - FFT magnitude

    • - FFT phase

    • - FIR *

    • - high pass filter

    • - integrate

    • - LFE *

    • - low pass filter

    • - max

    • - min

    • - RTEye *

    • - SqrtSumOfSquares *

    • - square root

    • - versus

* Available only if MatLab and User Defined functions are installed

Waveform Memories & Waveform Saving Concepts

  • Loading/saving/displaying memories is available while running or stopped.

  • Loading and saving waveforms is available while running or stopped.

What Features are Not Available When Roll Mode is Enabled?

The following modes / features are not available when roll mode is enabled:

  • Equivalent time sampling

  • Segmented memory

  • Averaging

  • Manual sampling rate

  • Any trigger modes

  • Jitter analysis

  • Serial analysis

  • Mask Testing

  • Histograms

  • Color grade

  • Mega view

  • Protocol decode

  • InfiniiSim Waveform Transformation Toolset

See Also

  • Sample / Acquisition Modes


Acquisition Setup

Acquisition Setup Dialog Box

Sample / Acquisition Modes

Memory Depth

Sample Rate

Sin(x)/x Interpolation

Averaging

Click on the topics above regarding acquisition setup with your Infiniium Series oscilloscope.


Acquisition Setup Dialog Box

What Controls are in the Acquisition Setup Dialog Box?

How Do I Access the Acquisition Setup Dialog Box?

What Controls are in the Acquisition Setup Dialog Box?

  • Sample / Acquisition Modes

  • Memory Depth

  • Sample Rate

  • Sin(x)/x Interpolation

  • Averaging

  • Flat Magnitude / Gaussian Response

  • Acquisition Bandwidth — If you do not need all of the oscilloscope's bandwidth and want to reduce noise, you can limit the bandwidth of the oscilloscope. You can select:

    • Automatic — The bandwidth is automatically selected based on the sample rate setting in order to make a good a trade-off between bandwidth, noise, and aliasing.

    • Maximum — Sets the oscilloscope to the hardware bandwidth limit and disables the bandwidth filter.

    • Manual — Lets you specify the bandwidth limit. Generally, you can specify limits from the maximum bandwidth down to 1 GHz in various increments.

How Do I Access the Acquisition Setup Dialog Box?

The Acquisition Setup dialog box can be accessed via Setup > Acquisition.

See Also

  • Front Panel Controls

  • Display Setup Dialog Box

  • Horizontal Setup Dialog Box

  • Channel Setup Dialog Box

  • Display Controls


Sample / Acquisition Modes

What Sample / Acquisition Modes Are Available?

Which Sample / Acquisition Mode Should I Use?

How Do I Set the Sample / Acquisition Mode?

Tips to Consider When Using Each Sample Mode

What Sample / Acquisition Modes Are Available?

There are four sampling modes to choose from on the Infiniium Series oscilloscope:

  • Real Time Sampling

  • Equivalent Time Sampling

  • Segmented

  • Roll Mode

Additionally, there are three acquisition modes:

  • Normal

  • Peak Detect

  • High Resolution

These acquisition modes are not all available with every sampling mode (see below).

  • Normal, Real Time Sampling

  • Peak Detect, Real Time Sampling

  • High Resolution, Real Time Sampling

  • Equivalent Time Sampling (Normal)

  • Segmented Sample Mode

  • Roll Mode (Normal, Peak Detect, and High Resolution)

Which Sample / Acquisition Mode Should I Use?

Please refer to the list beside each sampling mode below for the cases where each should be used.

Normal, Real Time Sampling:

  • Use for waveforms with frequency components less than ¼ the sampling rate.

  • Use to capture waveforms that occur infrequently, such as glitches.

  • Use for single shot waveform events.

Peak Detect, Real Time Sampling:

  • Use to quickly find waveform anomalies > 50 ps wide that occur between samples at slow sweep speeds.

  • Use to see if a waveform is aliased.

  • Use for single shot waveform events.

High-Resolution, Real Time Sampling:

  • Use for reducing noise and improving signal-to-noise ratio on non-periodic (single-shot) waveforms. For periodic waveforms, normal Averaging can be used to reduce the noise over several triggers.

  • Use to improve the resolution of your signal. As the high-resolution interval increases, the number of effective bits also increase (up to a certain point). With large intervals and low frequency signals, you can achieve close to 12 effective bits.

Normal, Equivalent Time Sampling:

  • Use for fast, repetitive waveforms.

  • Use for waveforms with frequency components greater than ¼ the scope's maximum sample rate.

  • For making more accurate measurements on repetitive waveforms.

Segmented (Normal, Peak Detect, and High Resolution):

  • View waveform events that are far apart in time, but have high frequency content.

How Do I Set the Sample / Acquisition Mode?

The sample mode is set in the Acquisition Setup dialog box (Setup > Acquisition).

Tips to Consider When Using Each Sample Mode

Normal, Real Time Sampling

  • If you are setting the sample rate yourself, choose a sampling rate that is at least four times the highest frequency component in your waveform. This will help avoid aliasing.

  • If automatic sample rate is chosen, Infiniium will choose the best sample rate for viewing typical waveforms at the current horizontal time scale setting.

  • The Sin(x)/x Interpolation Filter and Connect Dots also affect the usable scope bandwidth.

  • Normal Real Time Sampling Mode is a good choice for capturing non-repetitive or transient waveforms. Because Infiniium acquires all of the waveform samples during one trigger event, there is no requirement that the waveform be repetitive to be reconstructed. Additionally, the sin(x)/x interpolation filter is available to improve measurement resolution and accuracy. This filter is only available in the Real Time Sampling Mode.

Peak Detect, Real Time Sampling

  • Peak Detect is disabled when Color Grade persistence is enabled. It is also disabled when the bandwidth is manually enhanced or reduced.

High Resolution, Real Time Sampling

  • When High Resolution Real Time sampling is enabled, the bandwidth is shown in the upper right corner of the display.

Equivalent Time Sampling

  • If you zoom, move, or drag the waveform, only the last acquisition is displayed. Previous acquisitions are cleared and the waveform is rebuilt from subsequent acquisitions.

  • Equivalent Time Sampling Mode is a good choice for capturing repetitive waveforms. Because Infiniium has the highest effective bandwidth in this sampling mode, the fidelity of the waveform is preserved and the possibility of aliasing is minimized. Because of its higher effective sample rate, Equivalent Time Sampling Mode can be used to acquire waveforms which are too fast for acquisition in Real Time Sampling Mode. In Equivalent Time mode, waveforms can be sampled up to the analog bandwidth of the oscilloscope and are not limited by the Fs/4 criterion as in Real Time mode. Fs is the current sample rate.

  • In Equivalent Time mode, the Sin(x)/x interpolation filter is unavailable and you cannot manually adjust the sample rate.

Segmented

  • There are two ways to see all of the segments displayed on top of each other:

    1. Enable Persistence

    2. Enable Color Grade Persistence

    Once you have selected one of these display modes, you can select the starting segment and then the Play button in the Navigation tab which will overlay the segments.

  • The time tag feature allows you to determine time from the first segment's trigger point to the trigger point of the selected segment. You can use the navigation control buttons in the Navigation tab to select the segment that you want to measure. The time tag will be displayed at the very bottom of the display along with the current segment number and the total number of segments acquired (see screen shot above).

See Also

  • Acquisition Setup Dialog Box

  • Memory Depth

  • Sample Rate


Normal, Real Time Sampling

Real time sampling captures all of the sample points used to reconstruct a waveform during a single trigger event. It also requires a sample rate that is at least four times the highest frequency in the waveform or else you will get a distorted or aliased view of your waveform.

The following figure shows how a waveform is sampled in real time. The samples are labeled with ones (1) to indicate that they are acquired during a single trigger event.

Once the trigger is armed, Infiniium starts acquiring data until the trigger event you have specified occurs. Because Infiniium is acquiring data while the trigger is armed, waveform samples before or after the trigger event are in Infiniium's acquisition memory, depending on how you have configured Infiniium. You can configure Infiniium to acquire only pre-trigger waveform samples, only post-trigger waveform samples, or both pre-trigger and post-trigger waveform samples.


Peak Detect, Real Time Sampling

The Peak Detect mode is a special real time sampling mode that takes the output from the analog-to-digital converter (ADC) and stores maximum and minimum voltage pairs in the channel memory. Two other values are also stored: an equally spaced sample and a dithered sample. These extra samples are used to enhance the Peak Detect display and to support functions and measurements. The four samples together are referred to as a "Peak Detect packet".

Peak Detect becomes active below 2 GSa/s. When Peak Detect is active, Infiniium samples all waveforms at 2 GSa/s, regardless of the horizontal scale setting. This ensures that glitches and other anomalies are not missed. The sampling rate displayed in the Acquisition Setup dialog box is actually the storage rate of the Peak Detect packets into the channel memory. The storage rate is determined by the horizontal scale setting unless you manually override it.

The Peak Detect packets are displayed in the correct time column. If Connect Dots is off, a separate point is drawn for the minimum, the maximum, and the dithered points. All points from the same Peak Detect packet are drawn in the same column in the waveform viewing area.

The following example describes the relationship between storage rate and sampling rate. If the storage rate is 100 MSa/s and the maximum sampling rate is 2 GSa/s, then the number of sample points that Peak Detect circuitry uses to choose Peak Detect packets is:

From the 20 sample points, four sample points are stored in the channel memory. These four sample points make up a Peak Detect packet. The other 18 points from the 20 point interval are discarded. The chosen sample points are displayed on screen in the same time column. This process continues until the acquisition memory depth is full. In Peak Detect mode, the acquisition memory depth refers to the number of Peak Detect packets stored in the channel memory.

Peak Detect helps to identify an aliased waveform. If a waveform is aliased, the minimum and maximum values vary greatly and you will see significant waveform variance.

Because Infiniium is storing four samples for every sample interval, the maximum memory depth in Peak Detect mode is ¼ that of the normal sampling mode. Peak Detect only has an effect on memory depth if the sampling rate is less 2 GSa/s. At maximum sampling rate, it is not necessary to store Peak Detect packets because no samples are discarded. In this case all samples are acquired from the ADC at full sample rate and stored in channel memory.

Note

Peak Detect is disabled when Color Grade persistence is enabled. It is also disabled when the bandwidth is manually enhanced or reduced.


High Resolution, Real Time Sampling

The High Resolution acquisition mode reduces noise and improves voltage resolution by averaging waveform points from the same trigger event. This averaging is different than when enabling normal Averaging in the Acquisition Setup dialog box.

Normal Averaging averages points with the same time value from two or more trigger events. Normal Averaging is slower but does not reduce the bandwidth of the waveform.

The High-Resolution acquisition mode runs in hardware on full sample rate data so it is very fast and can run at very large memory depths; however, it does reduce bandwidth.

The High Resolution acquisition mode is a type of low-pass filter which reduces the waveform bandwidth. It has three benefits over normal averaging:

  • First, the waveform does not have to be repetitive for the averaging to work.

  • Second, it is fast and can process many more trigger events than normal averaging.

  • And finally, it supports larger memory depths than normal averaging (see What is Memory Depth? for more information).

The High Resolution acquisition mode samples all waveforms at the maximum sampling rate, regardless of the Horizontal scale setting. The sampling rate displayed in the Acquisition Setup dialog box is actually the storage rate of waveform samples into the channel memory. The storage rate is determined by the Horizontal scale setting unless you manually override it.

When more samples are averaged in the High Resolution mode, the bits of vertical resolution increases. When you enable the High Resolution acquisition mode, you can select the desired number of bits of vertical resolution (which can affect the displayed sampling rate) or Auto (where the number of bits of vertical resolution is determined by the displayed sampling rate, which can be controlled manually in the Acquisition Setup dialog box or automatically when adjusting the Horizontal scale). The Bits of (vertical) Resolution is displayed in the Status tab at the bottom of the oscilloscope display.

Note

When High Resolution, Real Time sampling is enabled, the bandwidth is shown in the upper right corner of the display.

You can use High Resolution mode for differential / common mode channels and with InfiniiSim.

How High Resolution Averaging is Performed

In High Resolution mode, averaging is performed using a box-car average followed by "dual-pipe averaging". For example, for a High Resolution interval of 3, S0 = (Y0+Y1+Y2)/3, S1 = (Y3+Y4+Y5)/3, etc. Then, "dual-pipe averaging" is applied to get HR0 = (S0 + S1)/2, HR1 = (S1 + S2)/2, etc. This causes a phase shift which is corrected by adjusting the X origin. The "dual-pipe averaging" acts as an anti-alias low-pass filter. In this case, for purposes of computing the bandwidth and resolution, the overall box-car interval is 6, even though the ADC sample period is only divided by 3.


Equivalent Time Sampling (Normal)

Equivalent time sampling acquires sample points over several trigger events requiring the input waveform to be repetitive. On each trigger event, the scope acquires more points and combines them with the previously acquired points. This creates a record of the waveform that has an effective sampling rate that is the inverse of the sample spacing. The sample spacing is calculated using the following formula.

Because this effective sample rate can be very high, the Nyquist criteria is rarely an issue for equivalent time sampling. In equivalent time sampling, the actual sampling rate used does not limit the bandwidth of the scope. In equivalent time sampling, the limiting factors are the scope probe bandwidth, the input filter bandwidth, the input amplifier bandwidth, or the bandwidth of the digital filters that are selected.

Because the oscilloscope acquires sample points in multiple trigger events, the Nyquist criteria does not apply to equivalent time sampling. Therefore, waveform frequencies higher than ¼ the sample rate are possible. In fact, the sample rate can be lower than the bandwidth of the input waveform. This method is best used for repetitive waveforms and not for single-shot events.

The following figure shows how a waveform is sampled in equivalent time. The samples are labeled with numbers to indicate the trigger event when they were acquired. Therefore, samples labeled with a one (1) were acquired during the first trigger event. Those samples labeled with a two (2) were acquired during the second trigger event, and so on.


Segmented Sample Mode

The segmented memory mode is a useful acquisition mode for waveforms that have events of interest separated by long periods of time. The scope's memory is divided into segments whose number of data points is determined by the Samples per Segment setting. When you enter the segmented memory mode, the scope is locked into the single sweep mode. The scope will stay in this mode until the segmented memory mode is disabled.

Press the [Run/Stop] key on the front panel to start the acquisition of segments. Once the [Run/Stop] key is pressed, the oscilloscope waits for a trigger event. When the trigger event is received, the oscilloscope captures the waveform data for the first segment and stops the acquisition once the first segment's memory is filled. The oscilloscope then waits for the next trigger event. Once the next trigger event is found, the scope fills the second segment with waveform data. This process continues until all of the segments have acquired waveform data.

Using this method of acquisition lets you capture only the portion of your waveform that is of interest and those portions of the waveform that are not of interest are not captured. This allows the oscilloscope to sample at a very high sample rate without storing data that is not of interest while storing more occurrences of waveform data that are of interest.

The amount of time to acquire all of the segments depends upon the number of channels and functions being displayed.

When using Segmented mode, a Navigation tab appears in the lower right corner of the display when the acquisition of segments is complete. The Navigation tab allows you to move from one segment to another or to automatically play through all of the segments. There are five controls that allow you to view each of the segments.

Move to the first segment.

Move to the previous segment.

Move to next segment.

Move to the last segment.

Play through all of the segments beginning with the selected starting segment to the last segment waiting at the Play Rate between segments. Play also allows you to collect measurement statistics across all the played back segments.

The maximum number of segments depends on the oscilloscope's memory option.


Roll Mode (Normal, Peak Detect, and High Resolution)

When roll mode is enabled via the Setup > Horizontal menu, acquisition data will be displayed in a rolling fashion starting at the right side of the display and continuing to the left. It is a triggerless acquisition mode that is useful when making manual adjustments to low frequency waveforms, finding disturbances in low frequency waveforms, or monitoring the power-up cycle of a power supply voltage.

For more information, see Roll Mode.


Memory Depth

What is Memory Depth?

What Value Should I Use For My Memory Depth?

How Do I Set the Memory Depth?

What is the Maximum Memory Depth?

Tips / Facts to Consider

What is Memory Depth?

Memory depth (also known as record length) is the number of waveform samples stored in the waveform memory. The greater the memory depth, the greater the amount of sampled data that is available for analysis or measurements (in other words, the greater the memory depth, the longer the time interval that can be captured at any given sampling rate). However, increasing the memory depth decreases the display update rate so a balance must be found. When you select a small memory depth value and a fast sampling rate, you will have a very fast display update rate but a small amount of waveform data. Conversely, if you select a large memory depth value and a slow sampling rate, you will have a slower display update rate but a large amount of the waveform data.

Sample rate and memory depth are very closely tied together. The sample rate determines how often the oscilloscope samples the input waveform you are measuring and the memory depth is the amount of memory the oscilloscope must fill before it updates the display and measurement results. The time between sample points is 1 divided by the effective sample rate. The time duration of the data in a channel memory is the time between the sample points times the number of points. For example, if the sample rate is 2 GSa/s and the memory depth is 400 points, the time between the sample points is 0.5 ns — 0.5 ns times 400 points is 200 ns of waveform data stored in the channel memory. Because there are 10 horizontal divisions on the display, set the time base to 20 ns/ to show the whole channel memory on the display.

What Value Should I Use For My Memory Depth?

There are two methods used to set your memory depth:

  • Automatic — Automatic lets Infiniium select the memory depth for you so you should use this mode if you are unsure of what to use for the memory depth. Infiniium picks a memory depth that optimizes the number of waveform samples acquired and the display update rate. When the sample rate is set to manual and the memory depth is set to automatic, the oscilloscope selects the shortest memory depth greater than or equal to 10,000 that allows all the data in the channel memory to fill the display.

  • Manual — Manual lets you choose the memory depth. Remember that sample rate and memory depth work together. If you combine a small memory depth with a high sample rate, you will have a very fast throughput (display update rate) but very little data in the channel memory. A simple rule of thumb for determining your memory depth requirement is that it must be greater than the amount of time you want displayed on the oscilloscope multiplied by the sample rate you want to maintain.

How Do I Set the Memory Depth?

The memory depth can be set in the Acquisition Setup dialog box (under Setup > Acquisition).

What is the Maximum Memory Depth?

The maximum analog channel memory depth for each sampling mode can be seen in the following tables:

1G Memory Option Installed

Sampling Mode | Trigger Sweep
 | Single | Auto or Triggered
Normal, Peak Detect (full sample rate), and High Resolution Modes | 1.0496 Gpts
Normal and High Resolution Modes with Averaging | 2,050,000
Peak Detect Mode at < full sample rate | 262.4 Mpts | 131.2 Mpts
HiRes Mode at < full sample rate | 524.8 Mpts | 262.4 Mpts
Equivalent Time Mode (90000A Series) | 262,144 Kpts

500 M Memory Option Installed

Sampling Mode | Trigger Sweep
 | Single | Auto or Triggered
Normal, Peak Detect (full sample rate), and High Resolution Modes | 512.5 Mpts
Normal and High Resolution Modes with Averaging | 2,050,000
Peak Detect Mode at < full sample rate | 256.25 Mpts | 128.125 Mpts
HiRes Mode at < full sample rate | 512.5 Mpts | 256.25 Mpts
Equivalent Time Mode (90000A Series) | 262,144 Kpts

200 M Memory Option Installed

Sampling Mode | Trigger Sweep
 | Single | Auto or Triggered
Normal, Peak Detect (full sample rate), and High Resolution Modes | 205 Mpts
Normal and High Resolution Modes with Averaging | 2,050,000
Peak Detect Mode at < full sample rate | 205 Mpts | 102.5 Mpts
HiRes Mode at < full sample rate | 205 Mpts | 205 Mpts
Equivalent Time Mode (90000A Series) | 262,144 Kpts

100 M Memory Option Installed

Sampling Mode | Trigger Sweep
 | Single | Auto or Triggered
Normal, Peak Detect (full sample rate), and High Resolution Modes | 102.5 Mpts
Normal and High Resolution Modes with Averaging | 2,050,000
Peak Detect Mode at < full sample rate | 102.5 Mpts | 102.5 Mpts
HiRes Mode at < full sample rate | 102.5 Mpts | 102.5 Mpts
Equivalent Time Mode (90000A Series) | 262,144 Kpts

50 M Memory Option Installed

Sampling Mode | Trigger Sweep
 | Single | Auto or Triggered
Normal, Peak Detect (full sample rate), and High Resolution Modes | 51.25 Mpts
Normal and High Resolution Modes with Averaging | 2,050,000
Peak Detect Mode at < full sample rate | 51.25 Mpts | 51.25 Mpts
HiRes Mode at < full sample rate | 51.25 Mpts | 51.25 Mpts
Equivalent Time Mode (90000A Series) | 262,144 Kpts

20 M Memory Option Installed

Sampling Mode | Trigger Sweep
 | Single | Auto or Triggered
Normal, Peak Detect (full sample rate), and High Resolution Modes | 20.5 Mpts
Normal and High Resolution Modes with Averaging | 2,050,000
Peak Detect Mode at < full sample rate | 20.5 Mpts | 20.5 Mpts
HiRes Mode at < full sample rate | 20.5 Mpts | 20.5 Mpts
Equivalent Time Mode (90000A Series) | 262,144 Kpts

Tips / Facts to Consider

  • The memory depth available for both Single and Run mode is always the same unless you are set the memory depth to manual mode with the largest memory option. When the memory depth is set to manual with the largest memory depth option selected (1 GB for the 90000A Series), the available memory depth for single acquisitions is twice that of repetitive acquisitions.

See Also

  • Sample Rate

  • Acquisition Setup Dialog Box


Sample Rate

What is the Sample Rate?

What Value Should I Use For My Sample Rate

How Do I Set the Sample Rate?

What is the Maximum Sample Rate?

What is the Sample Rate?

Sample rate is the rate at which the acquisition system samples a waveform.

For real-time sampling modes, all samples in a given waveform record are taken from one trigger event and are evenly spaced in time at a distance of 1/sample rate.

In the equivalent-time sampling mode, a waveform record is built up by interleaving samples taken from multiple trigger events. This process allows samples in the waveform record to be spaced more closely together for repetitive waveforms. As a result, the waveforms appear to have been sampled at a much higher rate, sometimes referred to as an effective sample rate.

What Value Should I Use For My Sample Rate

Usually, you use a high sample rate so there are plenty of data points to better reconstruct the original waveform. For fastest throughput (higher update rate), you use a short memory depth because the oscilloscope must fill up the channel's memory before it updates the measurement results. The higher the sample rate, the faster any channel's memory fills up. A long memory depth slows down the throughput of the scope. As a result, you must often make a trade-off between sample rate and memory depth which affects the measurement speed and accurate reconstruction of the waveform.

There are two methods used to set your sample rate:

  • Automatic — Automatic lets the oscilloscope select the sampling rate for you. The advantage is that the oscilloscope selects the highest sampling rate possible using as much memory as necessary to fill the display. When the memory depth is set to manual and the sample rate is set to automatic, the oscilloscope selects the highest sample rate that allows the waveform data to fill the display.

  • Manual — Manual lets you specify the sampling rate. However, you have to make the trade-off decisions on the interaction among sample rate, memory depth, and measurement throughput. The sample rate is the same for all oscilloscope channels. You should select a sample rate that is at least four times the highest frequency component of your waveform (ten times if you are using Connect Dots without the Sin(x)/x Interpolation Filter).

How Do I Set the Sample Rate?

The memory depth can be set in the Acquisition Setup dialog box (under Setup > Acquisition).

What is the Maximum Sample Rate?

The maximum real time sampling rates are listed in Infiniium 90000A Series Oscilloscopes—At a Glance.

See Also

  • Acquisition Setup Dialog Box

  • Memory Depth

  • Sample / Acquisition Modes


Sin(x)/x Interpolation

What is Sin(x)/x Interpolation?

When Should I Use Sin(x)/x Intepolation?

How Do I Turn Sin(x)/x Interpolation On / Off?

Tips / Facts to Consider

What is Sin(x)/x Interpolation?

In simple terms, when we discuss oscilloscope sampling, we are referring to sampling a continuous waveform at discrete points in time. In order for the continuous waveform to be accurately reproduced by these discrete points, Nyquist's Theorem should be satisfied. If the Nyquist's criteria are met, you can perfectly reconstruct the signal using sin(x)/x interpolation. The Sin(x)/x Interpolation Filter is a sin(x)/x finite impulse response (FIR) digital filter that improves the reconstruction of the waveform by adding data points between the acquired data points. The interpolated data points are used to improve the accuracy of the measurements.

When the sin(x)/x interpolation filter is enabled, it adds interpolated points between sampled waveform points when the number of sampled points are too few to adequately display the waveform.

All sample rates use the same sin(x)/x interpolation filter.

When Should I Use Sin(x)/x Intepolation?

Your waveform will be accurately reproduced by sin(x)/x interpolation provided the highest frequency in your waveform is less than the sample rate divided by four (if sample rate is less than the maximum 80 GSa/s in two channel mode) or is less than the bandwidth of the oscilloscope (if the sample rate is at its maximum value).

However, when you are performing analysis on your waveform, you will need to be aware of the impact sin(x)/x interpolation can have on the analysis memory. When sin(x)/x interpolation is turned on, there can be up to 16 interpolated points between each set of acquired data points. This will have a huge impact on the amount of points a math functions or waveform memory uses. If you think you should have enough memory depth, but you do not, it may be because you are not taking these interpolated points into account. It may be a good idea to disable sin(x)/x interpolation if you are running out of analysis memory.

How Do I Turn Sin(x)/x Interpolation On / Off?

Sin(x)/x interpolation can be turned Off or on in the Acquisition Setup dialog box (under Setup > Acquisition). When turning sin(x)/x interpolation on, you can select Auto for an automatically determined number of interpolation points (up to 16), or you can directly specify 1, 2, 4, 8, or 16 interpolation points.

Tips / Facts to Consider

  • Sin(x)/x interpolation is only available with Real Time and Segmented Sampling mode.

  • When sin(x)/x interpolation is turned on, there can be up to 16 interpolated points between each set of acquired data points. This will have a huge impact on the amount of points a math functions or waveform memory uses. If you think you should have enough memory depth, but you do not, it may be because you are not taking these interpolated points into account.

See Also

  • Sample Rate

  • Memory Depth


Averaging

How is Averaging Executed on the Oscilloscope?

When and Why Should I Use Averaging?

How Does Averaging Impact Measurements?

Averaging Versus High-Resolution Real Time Sampling?

Where Do I Enable / Disable Averaging?

How Many Averages Should I Use?

How is Averaging Executed on the Oscilloscope?

There are two different methods used for averaging on Infiniium oscilloscopes.

  • Acquisition Averaging — This method is enabled via the Acquisition Setup dialog box. The acquisition averaging control allows Infiniium to acquire waveform data from several acquisitions and then average them all together. When enabled, the channel data is averaged before being displayed. The higher the number of averages, the less impact each new waveform has on the composite averaged waveform. When you press the [Single] front panel key to sample a single acquisition, the oscilloscope acquires all averages when acquisition averaging is enabled.

  • Math Function Averaging Operator — Whereas acquisition averaging can only average a single channel, the math averaging operator can be used to average the data on a single channel or it can average a function (FFT magnitude, for example). If you have a function that uses the average operator and a channel as the source then the channel data is averaged and the averaged channel data is displayed as a function.

    If you turn on acquisition averaging in addition to the averaging operator, then the channel data is averaged and then the function averages it again.

The following formula is used to calculate the average for each data point:

For 1 ≤ n < M. After terminal count is reached (n ≥ M):

where:

  • Aven = the average sample value.

  • n = the current average number.

  • M = # of Averages control setting (terminal count).

  • Si = the ith sample.

There is also an Average Voltage measurement available on Infiniium oscilloscopes.

When and Why Should I Use Averaging?

You should use averaging in the following instances:

  • Use only with repetitive waveforms (consider using High-Resolution Real Time sampling if you need to reduce noise or improve vertical resolution on a non-repetitive waveform).

  • Use to eliminate random noise.

  • Use to improve vertical resolution.

  • Use to improve measurement repeatability.

You should not use averaging for:

  • Non-repetitive waveforms as very inaccurate results can occur.

  • Improperly triggered waveforms as the input waveform may be asynchronous to Infiniium and will average to zero over time even though a non-zero input waveform is being measured.

You should use the math averaging operator when you want to average a function or if you want to further reduce noise by applying it in addition to the acquisition averaging.

How Does Averaging Impact Measurements?

Sometimes, a waveform consists of a signal along with some random or asynchronous noise. By using averaging, these noise sources can average to zero over time while the underlying waveform is preserved. This will improve the accuracy of waveform measurements because measurements are made on a more stable waveform and measurement variances are reduced. The effective resolution of the displayed waveform also improves as more acquisitions are averaged together, providing the input waveform is repetitive and has a stable trigger point.

Measurements invoked from Infiniium's graphical interface are performed and reported as soon as any data is available. If you have averaging enabled, measurements are made while waveforms are being acquired for the average. If you want to measure only fully averaged waveforms, you can turn on the measurement after Infiniium has acquired enough waveforms to complete the average. When averaging is enabled, the number of averaged waveforms appears in the upper left-hand corner of the display.

Averaging Versus High-Resolution Real Time Sampling?

High-Resolution Real Time sampling is another method used to reduce noise and improve voltage resolution. However, it is different from acquisition averaging in several ways:

  • High-Resolution Real Time sampling averages waveform points from the same trigger event. Acquisition averaging averages points with the same time value from multiple trigger events.

  • Acquisition averaging is much slower than High-Resolution Real Time Sampling.

  • High-Resolution Real Time sampling reduces the bandwidth of the waveform. Acquisition averaging does not.

  • High-Resolution Real Time sampling can be performed on non-repetitive waveforms. Acquisition averaging requires that the waveform be repetitive.

  • High-Resolution Real Time sampling supports larger memory depths than acquisition averaging.

Where Do I Enable / Disable Averaging?

Acquisition averaging can be turned on/off in the Acquisition Setup dialog box (under Setup > Acquisition). This is also where you set the number of acquisitions to be used in the average (# of Averages control).

The math Average function can be enabled in the Math dialog box (under Analyze > Math (FFT and more)...).

How Many Averages Should I Use?

The Infiniium oscilloscope allows you to use between 2 and 65,534 waveform acquisitions in calculating the average value for each sample point. You set this value using the # of Averages control (under Setup > Acquisition for Acquisition Averaging and under Analyze > Math (FFT and more)... for the Average function). The larger the number of acquisitions used in the averaging, the better results you will attain (assuming your waveform is periodic and if it is not, you should not be using this control), but at the trade-off of the additional time it will take to accumulate all the waveforms before displaying the averaged waveform. You will need to experiment with your signal to see how many averages are required to properly reduce noise / improve vertical resolution without taking too much time.

See Also

  • Average Operator

  • Acquisition Setup Dialog Box


Display Setup

Display Setup Dialog Box

Connect Dots

Color Grade

Persistence

Waveform Brightness

Grids

Colors

Annotations

Touch Screen

Click on the topics above regarding the display setup of your Infiniium Series oscilloscope.


Display Setup Dialog Box

What Controls are in the Display Setup Dialog Box?

How Do I Access the Display Setup Dialog Box?

What Controls are in the Display Setup Dialog Box?

  • Connect Dots

  • Color Grade

  • Persistence

  • Waveform Brightness

  • Grids

  • Colors

  • Annotations

  • Touch Screen

How Do I Access the Display Setup Dialog Box?

The Display Setup dialog box can be accessed via Setup > Display.

See Also

  • Channel Setup Dialog Box

  • Acquisition Setup Dialog Box

  • Horizontal Setup Dialog Box

  • Front Panel Controls

  • Display Controls


Connect Dots

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

Connect dots is a display technique in which a straight line is drawn between two adjacent samples on the display. Connect dots is a display feature and has no affect on the waveform data stored in the channel memory. Connect dots is also called vectors or linear interpolation.

Why Would I Want to Use This Control?

There are several reasons to use this control:

  • Use to give an analog look to a digitized waveform.

  • Use to see steep edges on waveforms, such as square waves.

Where is This Control Accessed?

This control is accessed via the Display Setup dialog box (under Setup > Display).

What Do I Need to Know About This Control?

  • If you are using the Real Time sampling mode, you can enable the sin(x)/x interpolation filter to provide even more display resolution.

  • If you use Connect Dots without the sin(x)/x interpolation filter, then the unaliased scope bandwidth is:

    This means that the highest frequency component in your waveform must not exceed the sample rate divided by 10 to avoid aliasing.

  • Connect Dots is disabled when Color Grade persistence is enabled.

See Also

  • Display Setup Dialog Box

  • Colors

  • Color Grade

  • Connect Dots

  • Persistence

  • Sin(x)/x Interpolation

  • Math / FFT Functions


Color Grade

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

When the Color Grade persistence feature is enabled, a database is created which has the same number of memory locations as there are pixel locations in the waveform viewing area. Each database memory location is a 53-bit counter. These counters are increased when sampled waveform data that is associated with the counter occurs. In order for the acquisition system to run as fast as possible, the display of the database occurs every few seconds. Color grade persistence is displayed in seven different colors which represent the range of the counters in the database. The counters with the largest counts are displayed using a white pixel while the counters with the smallest counts are displayed using green pixels. The following shows the counter ranges for each color for both the Classic and Temperature color grade schemes.

Color Grade Scheme

Range

Classic

Temperature

The Color Grade tab that appears beneath the waveform viewing area shows seven colors with the range of database counts each color represents below each color. Over time, you can see the nominal waveform as well as the waveform's envelope. Since color grade persistence is infinite, it works best on repetitive waveforms.

Why Would I Want to Use This Control?

There are several reasons to use this control:

  • Use to view your waveform in three dimensions.

  • Use for observing waveform proximity to masked areas over time (see Mask Testing).

  • When observing real-time eyes, use color grade persistence to tell where the waveform is spending most of its time

  • Use to view all of the segments (in Segmented Memory mode) displayed on top of each other (can also use persistence)

Where is This Control Accessed?

This control is accessed via the Display Setup dialog box (under Setup > Display). Simply check the box next to Color Grade to turn it on and then select a Color Grade Scheme (see table above for description of themes).

What Do I Need to Know About This Control?

  • The Color Grade tab appears below the waveform viewing area when Color Grade is turned on. This tab shows the color mapping for the number of times a pixel has been hit by waveform samples.

  • Since color grade persistence is infinite, it works best on repetitive waveforms.

  • When any of the database counters saturate, Infiniium displays Color Grade is Saturated in the Color Grade tab. Measurements based upon saturated color grade waveforms will be inaccurate.

  • You can change the Color Grade colors by using the Colors button in the Display Setup dialog box.

  • Connect Dots and Peak Detect are disabled when Color Grade persistence is enabled.

  • You should set up markers and any measurements before using color grade persistence. Adding markers or clearing measurements later can erase accumulated persistence waveforms.

  • To view an eye pattern, color grade persistence must first be enabled. In this manner, the screen is never "wiped clean", but instead just draws traces over the previous ones. This allows for the one-zero combinations to build up over time and form an eye pattern.

See Also

  • Display Setup Dialog Box

  • Eye Diagrams

  • Colors

  • Connect Dots

  • Persistence

  • Measurements


Persistence

What Do These Controls Do?

Why Would I Want to Use These Controls?

Where are These Controls Accessed?

What Do I Need to Know About These Controls?

What Do These Controls Do?

Persistence is the amount of time a waveform sample appears on the display. Persistence is a display memory only function so accumulated waveforms are written only to display memory and not kept in acquisition memory. Only the last acquisition is in acquisition memory. Waveform persistence is not kept beyond the display area.

Normally (with Minimum persistence selected), a waveform is displayed only for one trigger event. When the next trigger event occurs, the previous waveform is erased and the newly acquired waveform is drawn on the display.

Infinite persistence is a display mode in which acquired waveforms are displayed indefinitely. When infinite persistence is selected, old waveforms are not erased and sample points accumulate on the display like a storage scope. New sample points are shown at full intensity while previously displayed points are displayed at half intensity.

Variable persistence is like infinite persistence except that you choose how long waveforms are displayed.

Why Would I Want to Use These Controls?

There are several reasons to use these controls:

  • Use to see the vertical and horizontal extremes of a waveform's variation.

  • Use to see time variance in waveforms, such as jitter.

  • Use to simulate the phosphorescent decay of an analog storage scope.

  • Use to measure worst case timing jitter on a waveform.

  • Use to display eye diagrams (telecommunications).

  • Use to detect metastable states in logic designs.

  • Use to measure eye diagrams.

  • Use to see a waveform's envelope.

  • Use to look for timing violations.

  • Use to find infrequent events.

  • Use to see segments (in segmented memory mode) drawn on top of each other.

By adding persistence, you can see a visual history of a waveform's acquisitions over time. For example, you can see the accumulated peak to peak noise of a waveform over time which may appear significantly different than in only one acquisition. You can also see timing jitter, the variance of the waveform from the trigger event, by accumulating acquisitions on the display. By adding persistence, viewing a waveform's extremes over time is much easier.

Where are These Controls Accessed?

These controls are accessed via the Display Setup dialog box (Setup > Display) by checking the Persistence group box.

What Do I Need to Know About These Controls?

  • Set up markers and any measurements before using variable or infinite persistence. Adding markers or clearing measurements later can erase accumulated persistence waveforms.

  • When performing measurements, only the last acquisition is measured; previously accumulated waveforms on the display are not measured.

  • If you are using persistence and you change the vertical or horizontal scaling, position, offset, trigger source or level, zoom, or drag the waveform then the display is redrawn and any accumulated waveforms are cleared. Only the last acquisition is displayed. Pressing [Clear Display] clears all accumulated waveforms, including the last acquisition.

  • Waveform persistence is not kept beyond the display area boundary.

See Also

  • Display Setup Dialog Box

  • Color Grade

  • Eye Diagrams

  • Colors

  • Connect Dots

  • Measurements

  • Jitter


Waveform Brightness

What Does This Control Do?

Where is This Control Accessed?

What Does This Control Do?

This control changes the brightness of the displayed waveforms.

Where is This Control Accessed?

This control is accessed via the Display Setup dialog box (Setup > Display) by sliding the Waveform Brightness scale up or down.

See Also

  • Display Setup Dialog Box


Grids

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

There are several grid controls within the Display Setup dialog box. They include:

  • Grid On / Off — This control turns the 10 by 8 graticule grid on or off. When on, a grid line is placed on each vertical and horizontal division. When the grid is off, a frame with tic marks surrounds the graticule edges. You can turn the grid off to distinguish waveforms and markers when printing. Otherwise, you can use the grid to estimate waveform measurements such as amplitude and period.

  • Quantity — This control divides the waveform viewing area into 2, 4, 8, or 16 separate viewing areas. This allows you to separate waveforms without adjusting the vertical position controls. You can move a waveform from one viewing area to the other viewing area by clicking and dragging the waveform. Quantity is set to 1 when Delayed Sweep (Zoom) or Mask Testing enabled.

  • Intensity — This control adjusts the brightness of the grid. You can adjust the brightness of the grid to better view waveforms which the graticule lines obscure. You can dim the grid's intensity or turn the grid off to better view waveforms when the graticule lines might obscure your waveforms. Otherwise, you can use the grid to estimate waveform measurements such as amplitude and period.

The graticule, or grid, is the enclosed area where the waveform is displayed on a scope. Tick marks on the frame or axis of the graticule or horizontal and vertical lines within the graticule are a scaling aid for making visual measurements.

Why Would I Want to Use This Control?

There are several reasons to use this control:

  • You can turn the grid off to distinguish waveforms and markers when printing or turn it on to estimate waveform measurements such as amplitude and period.

  • You can separate waveforms without adjusting the vertical position controls by using multiple grids (enabling you to use the full Analog to Digital converter, ADC, vertical range and, therefore, maximize the accuracy of your measurements while still separating the waveforms).

Where is This Control Accessed?

This control is accessed via the Display Setup dialog box (Setup > Display) under the Grids section.

What Do I Need to Know About This Control?

  • When using the waveform histogram feature, it is important to note that it uses the pixel database and, therefore, only one waveform source should be on at a time. Otherwise, any additional waveform sources will illuminate pixels and be included in the database. If you want to have multiple channels on, you can turn on multiple grids and move all of the channels but one to a grid not being used by the histogram.

See Also

  • Display Setup Dialog Box


Colors

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Does This Control Do?

These controls adjust a particular color of a display elements such as the color of the channel one waveform, for example.

The selected display element's color is displayed in the color bar below the selected display element. For each display element, you can set the following:

  • Hue — The Hue control sets the color of the chosen display element. As hue is increased from 0, the color changes from red, to yellow, to green, to blue, to purple, then back to red again at 100 hue. For color examples, see the sample color settings table below. Pure red is 100, pure blue is 67, and pure green is 33.

  • Saturation — The Saturation control sets the color purity of the chosen display element. The saturation of a color is the purity of a color or the absence of white. A 100% saturated color has no white component. A 0% saturated color is pure white.

  • Luminosity — The Luminosity control sets the color brightness of the chosen display element. A 100% luminosity is the maximum color brightness. A 0% luminosity is pure black.

  • Default Color — The Default Color button returns the selected display element to the factory default color.

  • Default All Colors — The Default All Colors button returns all display elements to the factory default colors.

Sample color settings:

Color | Hue | Saturation | Luminosity
Red | 100 | 100% | 100%
Yellow | 17 | 100% | 100%
Green | 33 | 100% | 100%
Cyan | 50 | 100% | 100%
Blue | 67 | 100% | 100%
Magenta | 84 | 100% | 100%
Orange | 12 | 100% | 100%
Black | 0 | 0% | 0%
White | 0 | 0% | 100%

Why Would I Want to Use This Control?

There are several reasons to use this control:

  • You can change the color of a display element to highlight that information or for better visibility.

  • You can set the colors to your personal liking.

Where is This Control Accessed?

To configure your own display colors, launch the Display Setup dialog box (under Setup > Display). Click and release on the Colors button in the lower right side of the dialog box. Use the dialog box controls to adjust the color for each display element.

See Also

  • Display Setup Dialog Box

  • Eye Diagrams

  • Color Grade

  • Connect Dots

  • Persistence

  • Waveform Memory Dialog Box

  • Math / FFT Functions


Annotations

What Are Annotations Used For?

How Do I Place an Annotation on the Display?

Is There a Limit to the Number of Annotations I Can Use?

What Display Properties Can I Change for My Annotations?

How Do I Delete Annotations?

What Are Annotations Used For?

Annotations allow you to add text to the waveform viewing area for such purposes as labeling portions of a waveform, adding measurement results, etc. This can be useful if you print out the waveform and want to quickly see the data displayed by the waveforms.

How Do I Place an Annotation on the Display?

There are two ways to place an annotation.

  • The Recommended Way — Simply right-click on the waveform display and select Add Annotation from the pop-up menu. This will place an annotation in the upper left corner of the waveform viewing area (the default text is Annotation X (right-click for options)). Notice that if you do this multiple times, each annotation will be stacked on top of each other in this corner until you move them to different parts of the screen. To move an annotation, simply move your mouse over the text and drag it to the desired location. Once you have an annotation on the screen, right-click on it and select Change Annotation Text. This will bring up a keyboard where you can enter up to 100 characters. Click OK when you are done and you will see your text displayed on the screen. You can also double-click on an annotation to edit its text. This method is recommended because it is faster than the alternative method.

  • The Alternative Method — Access the Display Setup dialog box under Setup > Display. The click on the Annotations button in this dialog box. In the Display Annotations dialog box that pops up, click on the Add Annotations button. You will not be able to see that anything happened because the annotation is placed in the upper left corner of the display which will be covered by the opened dialog boxes. Close all of the dialog boxes to see the annotation (the default text is Annotation X (right-click for options)). Once you have an annotation on the screen, right click on it and select Change Annotation Text. This will bring up a keyboard where you can enter up to 100 characters. Click OK when you are done and you will see your text displayed on the screen. You can also double-click on an annotation to edit its text.

Is There a Limit to the Number of Annotations I Can Use?

Yes, you can enter up to 12 annotations and each one can have up to 100 characters.

What Display Properties Can I Change for My Annotations?

You can change the following properties:

  • Text Color — To change the text color, right-click on the annotation and click on Text Color in the pop-up menu. Then, select from a variety of choices including: measurement icon color, channel colors, function colors, waveform memory color, histogram color, marker color, or window color.

  • Background — To change the background, right-click on the annotation and click on Background. Then choose between Opaque (text displayed on a black background), Inverted (the text and background colors are swapped), or Outline (enables you to draw a box around an annotation - not available if you are using an inverted background).

  • Font Size — To change the font size, right-click on the annotation and click on Font. Then select either Small (8 point font) or Large (10 point font).

How Do I Delete Annotations?

To delete an annotations, right-click over the annotation and select Delete Annotation. To delete all of the annotations, right-click over any annotation and select Delete All Annotations.

See Also

  • Labels


Touch Screen

The touch screen can be turned on/off by either pressing the [Touch] key on the front panel or by checking / unchecking the Touch Screen box in the Display Setup dialog box (Setup > Display).

See Also

  • Front Panel Controls


Waveform Memories Setup

Waveform Memory Dialog Box

Click on the topics above regarding waveform memories setup with your Infiniium Series oscilloscope.


Waveform Memory Dialog Box

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

You can load a waveform from any of the input channels, functions, or other waveform memories into one of the four waveform memories. You can then use this dialog box to display the contents of a waveform memory at a later date or so you can view more waveforms than the number of input channels allow.

There are two ways to load data into a waveform memory:

  • All Data — All Data loads the number of waveform data points into a waveform memory as indicated by the memory depth.

    The data that is loaded into the waveform memory does not include the Sin(x)/x Interpolation digital filter data.

  • On-Screen Data — On-Screen Data loads only the waveform data that appears in the waveform viewing area into the waveform memory.

    The data that is loaded includes the Sin(x)/x Interpolation digital filter data if it is enabled.

Why Would I Want to Use This Control?

  • Use this control to save / recall waveforms and functions at a later date.

  • Use this control to view more waveforms than the number of input channels allow (for instance, if you wanted to view five analog waveforms on the screen simultaneously, you could save one signal to a waveform memory, display it, and then acquire the other four waveforms from the channel inputs).

Where is This Control Accessed?

  • To save a waveform / function to a waveform memory you can:

    • Navigate to File > Save > To Memory N and then select the waveform / function you want to save to that waveform memory.

    • Open the Waveform Memory Setup dialog box (under Setup > Waveform Memories) and then click on one of the buttons at the top to pick one of the four waveform memory locations (m1, m2, m3, or m4). Then click on the Load from Waveform button. This will open the Load Waveform Memory dialog box where you can select the channel or function you want to save to the corresponding waveform memory. You can also save a waveform file that is saved on your Infiniium's hard drive into one of these waveform memory locations by selecting the Load from File button in the Waveform Memory Setup dialog box.

  • To display a waveform memory, open the Waveform Memory Setup dialog box (under Setup > Waveform Memories) and then click on one of the buttons at the top to pick one of the four waveform memory locations (m1, m2, m3, or m4). Then check the Display On box.

What Do I Need to Know About This Control?

  • A channel must be on for you to save it to a waveform memory.

  • When using infinite persistence, only the last acquired waveform is stored in a waveform memory. You can save waveforms with persistence by using Infiniium's print capabilities.

  • There are several controls in this dialog box that you should know about:

    • Vertical Scale — The Vertical Scale control sets the volts per division scale for the chosen stored waveform. The vertical scaling changes in a 1-2-5 step sequence.

    • Offset — The Offset control moves the waveform up or down vertically for the selected waveform memory. This control sets the voltage represented by the center graticule of the display. The range of the offset control depends on the scale control setting. You can also drag waveforms with the mouse. Using the left mouse button, click on a waveform, drag it up or down, then release the mouse button to adjust the vertical offset.

    • Horizontal Scale — The Scale control changes the time per division of a stored waveform. The horizontal scaling changes in a 1-2-5 step sequence. For example, the scaling changes from 1 ms to 2 ms to 5 ms per division. You can also enter in a numeric value, for example 3.5 ms/, by clicking on the value and using the pop-up keypad. You can use scaling or Waveform Zoom to zoom in on the stored waveform.

    • Horizontal Position — Position moves the stored waveform horizontally. You can also drag waveforms with the mouse. Using the left mouse button, click on a waveform, drag it right or left, then release the mouse button to adjust the horizontal position offset.

    • Tie Horizontal to Timebase — The Tie Horizontal to Timebase control, when enabled, lets you change the horizontal scale and position of the waveform memory using the horizontal scale position controls that change the timebase for the channels.

See Also

  • Loading / Saving Waveforms

  • Loading / Saving Setups

  • Saving Jitter Data

  • Saving Measurement Data


Trigger

Trigger Basics

Sequential Triggers

Trigger Gallery / Shortcuts

Trigger Conditioning Dialog Box

Positioning the Trigger Point

Trigger Action Dialog Box

Trigger Threshold Levels

E-mail on Trigger

AND (Qualifier)

In the Trigger Setup dialog box, you can enable sequential triggering or InfiniiScan, select the trigger mode, view the shortcuts and gallery, specify parameters for the selected trigger mode, and enable the AND (qualifier).

You can access conditioning (holdoff/sensitivity), actions (e-mail or multipurpose), trigger threshold levels, and sweep settings. And, you can clear trigger settings and save and load trigger setups.

See Also

  • Trigger Modes

  • InfiniiScan +

  • Save / Load Trigger Setup Dialog Box


Trigger Basics

What is Triggering?

How Does Triggering Work?

How Do I Obtain a Stable Trigger?

What is Triggering?

Triggering enables you to do two things on your oscilloscope:

  • Locate events in your waveform

  • Obtain a stable display

You set the trigger conditions and then the oscilloscope looks at your acquisitions to see when these conditions are met. When they are met, the oscilloscope displays the trigger event on the display and begins looking for the next trigger event (unless you are in the Single acquisition mode — accessed by pressing the [Single] key on the front panel — in which case it stops). This allows you to set the trigger conditions to find specific portions of your waveform.

How Does Triggering Work?

There are several different types of triggering but the one that is used most often is edge triggering. Edge triggering identifies a trigger condition by looking for the slope (rising or falling) and voltage level (trigger level) on the source you select. Any input channel, auxiliary input trigger, or line input can be used as the trigger source.

The following figure shows the trigger circuit diagram.

Your waveform enters the positive input to the trigger comparator where it is compared to the trigger level voltage on the other input. The trigger comparator has a rising edge and a falling edge output. When a rising edge of your waveform crosses the trigger level, the rising edge comparator output goes high and the falling edge output goes low. When a falling edge of your waveform crosses the trigger level, the rising edge output goes low and the falling edge output goes high. The oscilloscope uses the output you have selected as the trigger output.

How Do I Obtain a Stable Trigger?

For most waveforms, the easiest way for you to get a stable trigger is to use Infiniium's Autoscale feature. Autoscale analyzes your waveform and sets the vertical scale, horizontal scale, the trigger mode to edge, and trigger level to best display your waveform.

Manual Triggering

While Autoscale is the easiest way to obtain a stable trigger, there are times when you may need to set the trigger manually to capture more complex waveforms. There are many advanced trigger modes available to you in Infiniium that can help you capture complex waveforms. All of Infiniium's trigger modes have a basic set of guidelines you should use to obtain a stable trigger.

  • Set the Trigger Level to the proper point on the waveform.

  • Set the Horizontal Scale to avoid aliasing.

  • Set the Trigger Sweep to Triggered for low frequency waveforms (see the discussion of the trigger section in the Front Panel Controls topic)

  • Remove noise from your waveform.

If InfiniiScan is available, it is a great way to get a stable trigger even in very difficult instances. The key is to use the Zone Qualify trigger to draw "must intersect" or "do not intersect" zones (see the description of Zone Qualify triggering in this topic). This is very effective when you want to set up a trigger graphically.


Sequential Triggers

Sequential triggers let you trigger on an event that follows another event.

The first event is called the Find(A) event. The second event is called the Trigger(B) event.

You can optionally reset the trigger sequence after the Find(A) event occurs, but before the Trigger(B) event occurs, if a certain amount of time passes or if certain logic levels appear on analog channels that are not part of the trigger specification.

And you can optionally specify a delay time after the Find(A) event occurs before searching for the Trigger(B) event.

To set up a sequential trigger:

  1. In the Trigger Setup dialog box (which can be opened by choosing Trigger > Setup Trigger... from the main menu), check Sequence (A→B).

    This adds a new area to the Trigger Setup dialog box where you can specify the Find(A) and Trigger(B) events.

  2. Click the icon under Find(A); then, use the area below to select the trigger mode and its options.

  3. Similarly, click the icon under Trigger(B); then, use the area below to select the trigger mode and its options.

  4. If you want to specify a reset condition:

    1. Check Reset.

    2. Click the box under Reset; then, use the area below to select one of these options:

      • Time — Use the Reset Time field to specify the time to wait before resetting the sequence.

      • Event — Use the analog channel buttons to specify the logic levels that will reset the sequence.

  5. If you want to specify a delay time:

    1. Check Delay.

    2. Click the box under Delay; then, use the Delay Time field in the area below to specify the time after the Find(A) event occurs to wait before searching for the Trigger(B) event.

See Also

  • Trigger Modes


Trigger Gallery / Shortcuts

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Does This Control Do?

These two features are meant to assist you in selecting the appropriate trigger mode and setting it up in an efficient manner.

  • Trigger Gallery — The Trigger Gallery displays all of the possible icons for the various trigger modes. By glancing through these icons, you can find the one that fits your specific needs, double-click on it, and the oscilloscope will automatically configure the Trigger Setup dialog box to match your selection. You may still need to customize some controls (such as voltage level, for example) within this dialog box, but the major controls will be pre-set for you.

    Additionally, you can sort the icons shown in the trigger gallery by selecting one of the categories in the left pane of the Trigger Gallery dialog box.

  • Trigger Shortcuts — When you click on the Shortcuts button, a list pops up that describes various triggering conditions. You can select your specific case from this list and the oscilloscope will automatically configure the Trigger Setup dialog box to match your selection. You may still need to customize some controls (such as voltage level, for example) within this dialog box, but the major controls will be pre-set for you.

Why Would I Want to Use This Control?

  • Use these controls to quickly determine and set up your trigger conditions.

Where is This Control Accessed?

Trigger Gallery:

  • This control is accessed by clicking the Gallery button in the Trigger Setup dialog box (Trigger > Setup Trigger) or by navigating to Trigger > Gallery.

Trigger Shortcuts:

  • This control is accessed by clicking the Shortcuts button in the Trigger Setup dialog box (Trigger > Setup Trigger) or by navigating to Trigger > Shortcuts.


AND (Qualifier)

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

Single or multiple channels can be logically ANDed with any other trigger mode which allows the user to either use one channel or multiple channels to qualify the trigger.

Why Would I Want to Use This Control?

  • Use to force additional logic trigger conditions using a different input source (use Single Channel option) or multiple input sources (use Multi-Channel option).

Where is This Control Accessed?

  • To activate this feature, check the AND (Qualifier) box located at the bottom of the Trigger Setup dialog box (under Trigger > Trigger Setup). The dialog box will expand to show the controls for the AND Qualifier.

What Do I Need to Know About This Control?

  • The following controls are available with the AND qualifier:

    • Source — This control sets the source to be used for the AND Qualifier.

    • Level — This control sets the voltage which determines what a high and low value are for the waveform. Any voltage above this level is considered high while any voltage below this level is considered low.

    • 1 or 0 — This control sets the logic value used to qualify the trigger to either a one or a zero.

  • You cannot use the AND feature when using digital channels as the trigger or arm source.


Trigger Conditioning Dialog Box

What Controls are in the Trigger Conditioning Dialog Box?

How Do I Access the Trigger Conditioning Dialog Box?

What Controls are in the Trigger Conditioning Dialog Box?

  • Holdoff Mode and Time — there are two options for the Holdoff Mode:

    • Fixed — The Fixed trigger holdoff mode can be used to stabilize the display of complex waveforms. The Holdoff Time control sets the amount of time that the oscilloscope waits before re-arming the trigger circuitry. For example, if you have a burst of pulses and want to trigger on the first pulse in the burst, you can set the holdoff time to be slightly longer than the burst width.

    • Random — This mode varies the trigger holdoff from one acquisition to another by randomizing the time value between triggers. The randomized time values can be between the values specified in the Min Holdoff Time and Max Holdoff Time fields.

      This mode ensures that the oscilloscope re-arms after each acquisition in a manner that minimizes or eliminates the likelihood of triggering at the beginning of a DDR burst. Randomizing the holdoff increases the likelihood that the oscilloscope will trigger on different data phases of a multi-phase (8 data transfer) burst. This mode mixes up the traffic pattern the oscilloscope triggers on and is very effective when used on repeating patterns.

  • Sensitivity:

    • Low — The Infiniium triggering system is set, by default, to low trigger sensitivity. In this mode, hysteresis is used in the trigger circuit to prevent incorrect double-triggering on low bandwidth waveforms. This is the normal sensitivity of all Infiniium oscilloscopes. Low sensitivity should be used for all waveforms 4 GHz or below in frequency.

    • High — The triggering system in the 90000 Series oscilloscopes has a high sensitivity trigger mode that lowers the hysteresis allowing the oscilloscope to trigger on higher frequency waveforms. High sensitivity should be used for waveforms above 4 GHz.

How Do I Access the Trigger Conditioning Dialog Box?

The Trigger Conditioning dialog box can be accessed by:

  • Choosing Trigger > Trigger Conditioning... from the main menu.

  • Clicking on the Conditioning... button in the Trigger Setup dialog box (after choosing Trigger > Setup Trigger... from the main menu).


Trigger Action Dialog Box

What Controls are in the Trigger Action Dialog Box?

How Do I Access the Trigger Action Dialog Box?

What Controls are in the Trigger Action Dialog Box?

  • E-mail on Trigger

  • Multipurpose on Trigger — if the Perform Multipurpose on Trigger box is checked then the oscilloscope will perform whatever multipurpose action is specified in the Customize Multipurpose dialog box.

  • Max # of Actions — sets the maximum number of trigger events that will send an e-mail message or perform a Multipurpose action.

How Do I Access the Trigger Action Dialog Box?

The Trigger Action dialog box can be accessed by:

  • Choosing Trigger > Trigger Action... from the main menu.

  • Clicking on the Trigger Action... button in the Trigger Setup dialog box (after choosing Trigger > Setup Trigger... from the main menu).


Trigger Threshold Levels

What Does This Control Do?

Where is This Control Accessed?

What Does This Control Do?

Use the controls in this dialog box to set the threshold level for the logic definition of a 1 (one) or 0 (zero) on analog and digital channels.

Each channel can have a threshold level set which determines when a voltage value is consider to be a 1 (one) or 0 (zero). A value is considered a 1 when your waveform's voltage level is greater than the threshold level and a 0 when your waveform's voltage level is less than the threshold level.

If a channel is a defined as a clock, when the waveform crosses the threshold level then a valid clock edge occurs.

Where is This Control Accessed?

This dialog box can be accessed via:

  • Trigger > Trigger Levels...

See Also

  • Measurement / Protocol Decode Thresholds


Positioning the Trigger Point

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

Infiniium has three types of trigger sources: the input channels, the auxiliary trigger input (Aux Trig), or line. Line uses the AC line providing power to Infiniium as a trigger.

The on screen trigger point is established by the trigger level, trigger polarity, horizontal reference, and the horizontal position from the horizontal reference. You can only see the trigger waveform if you are using an input channel as the trigger source; auxiliary trigger input (Aux Trig In) and line cannot be displayed on screen. The trigger point is the point on the waveform where the horizontal position is 0.0 seconds.

The horizontal reference control determines where the zero reference point is for the horizontal position control. The horizontal reference point is indicated by the [image] indicator at the bottom of the display. To set the reference point, click and release on the left, right, or center reference indicator or select Setup > Horizontal and then click the Reference button until the desired arrow is highlighted orange.

The horizontal reference fixes a place in time around which the waveform can be expanded. For example, if you set the horizontal position to 1.0 ms and the horizontal reference is set to Center, the center of the waveform viewing area will be 1.0 ms after the trigger event, independent of any subsequent changes you make to the horizontal scale. If horizontal position is set to zero then the trigger point is at the horizontal reference.

For example, to see a waveform both pre- and post-trigger, set the trigger source, polarity and level so you obtain a stable waveform on the display. Click on the center [image] indicator so that it is highlighted. Then set the horizontal position to zero by clicking on the 0 button at the bottom of the display as shown below:

The center of the graticule now corresponds to the trigger point. The waveform to the left of the graticule center occurred before the trigger event while the waveform to the right of the graticule center occurred after the trigger event. Changing the horizontal scale will expand or contract the waveform around the center of the screen.

Why Would I Want to Use This Control?

  • Use this control to adjust whether you see only pre-trigger, only post-trigger, or both on the oscilloscope display.

Where is This Control Accessed?

  • This control is accessed via the Horizontal Setup dialog box (Setup > Horizontal).

What Do I Need to Know About This Control?

  • Left Reference Position — A Left reference position places the reference position on the left-most side of the waveform viewing area. Changing the horizontal scale will expand or contract the waveform around this position. If the horizontal position is set to 0.0 s, all of the displayed waveform occurred after the trigger event (post-trigger).

  • Center Reference Position — A Center reference position places the reference position in the middle of the waveform viewing area. Changing the horizontal scale will expand or contract the waveform around the center of the display. If the horizontal position is set to 0.0 s, you will see the waveform before and after the trigger event (both pre- and post-trigger).

  • Right Reference Position — A Right reference position places the reference position on the right-most side of the waveform viewing area. Changing the horizontal scale will expand or contract the waveform around this position. If the horizontal position is set to 0.0 s, all of the displayed waveform occurred before the trigger event (pre-trigger).

See Also

  • Horizontal Reference


E-mail on Trigger

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

The E-mail On Trigger feature allows you to receive an e-mail message from Infiniium when a trigger event occurs. This is particularly useful when you are waiting for a trigger event that may take a long time to occur and you want to do other things in the meantime.

Before you can use this feature, you must provide the e-mail address where you want Infiniium to send the e-mail. You will also need to provide the name of your mail server that is running the Simple Mail Transfer Protocol (SMTP). If you do not know your mail server name, you should ask your Network Administrator for the mail server name.

Once you have set your e-mail address and mail server name, you can select the Send e-mail On Trigger control. On the next trigger event, Infiniium will send you an e-mail message giving you the time and date when the trigger occurred. It will also tell you the product number and serial number of the Infiniium and will attach a file of the screen (can choose between BMP, GIF (default), JPG, PNG, and TIF for the image format).

Why Would I Want to Use This Control?

  • Use when you are waiting for a trigger event that may take a long time to occur and you want to do other things in the meantime.

Where is This Control Accessed?

  • This control is accessed via the Trigger Action Setup dialog box which in under Trigger > Trigger Action or by clicking on the Trigger Action button in the Trigger Setup dialog box (under Trigger > Setup).

What Do I Need to Know About This Control?

  • The best way to use this feature is to use the following steps:

    • Press the front panel [Run/Stop] key to stop acquisitions.

    • Open the Trigger Action Setup dialog box (Trigger > Trigger Actions).

    • Select the Send e-mail On Trigger control from within this dialog box.

    • Close the Trigger Action Setup dialog box.

    • Press the front panel [Run/Stop] key start acquisitions.

  • Maximum Number Of Actions To Perform — The value that you choose for this control determines how many times e-mail is sent. If the value is set to 2, then you will receive 2 e-mail messages. You will receive one e-mail message after the first trigger event and a second e-mail message after the second trigger event. Any further trigger events will not result in an e-mail being sent.

See Also

  • Send E-mail Dialog Box


Trigger Modes

Edge Trigger

Edge Then Edge Trigger

Edge Transition Trigger

Glitch Trigger

Pattern / State Trigger

Pulse Width Trigger

Runt Trigger

Setup and Hold Trigger

Timeout Trigger

Video / TV Trigger

Window Trigger

InfiniiScan +

See Also

  • Protocol Trigger


Edge Trigger

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

The Edge trigger mode identifies a trigger by looking for a specified slope and voltage level on a waveform.

If you enable a rising edge trigger then the oscilloscope triggers when the waveform crosses the voltage level with a rising edge. Similarly, if you enable a falling edge trigger then the oscilloscope triggers when the waveform crosses the voltage level with a falling edge. When you enable both edge triggering then the oscilloscope triggers when the voltage level is crossed (falling or rising edge).

Why Would I Want to Use This Control?

  • Use for general purpose waveform viewing such as troubleshooting.

Where is This Control Accessed?

  • This control is accessed via the Trigger Setup dialog box (Trigger > Setup Trigger) or by using the Trigger Gallery.

What Do I Need to Know About This Control?

Below are the controls associated with this trigger mode:

  • Source: Use this control to select the oscilloscope channel used to trigger the oscilloscope. Any of the oscilloscope channels, auxiliary trigger, or line inputs can be used to trigger the instrument. The line input triggers the oscilloscope using the power supply line frequency as the waveform.

  • Level: Use the Level control to set the trigger level through which your waveform must pass before the oscilloscope will trigger. When you adjust the trigger level control, a horizontal dashed line with a T on the right-hand side appears showing you where the trigger level is with respect to your waveform. After a period of time the dashed line will disappear. You can get the line back by adjusting the trigger level control again.

  • Edge Type: There are three choices for the edge type.

    Rising Edge

    • Use the rising edge control to set the slope of the trigger condition to a rising edge of the trigger source.

    Falling Edge

    • Use the falling edge control to set the slope of the trigger condition to a falling edge of the trigger source.

    Both Edges

    • Use to trigger the oscilloscope on both rising and falling edges. The oscilloscope alternates between the two edges on alternate trigger cycles.

See Also

  • Trigger

  • AND (Qualifier)


Edge Then Edge Trigger

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

There are two trigger submodes within the Edge Then Edge trigger mode: Delay by Events and Delay by Time.

  • Delay by Events: Infiniium identifies a trigger by arming on the edge you specify, counting a number of events, then triggering on the specified edge. This can be thought of as two edge triggering where the two edges are separated by a selectable number of events.

  • Delay by Time: The Delay by Time identifies a trigger condition by arming on the edge you specify, waiting a specified amount of time, then triggering on a specified edge. This can be thought of as two edge triggering where the two edges are separated by a selectable amount of time. It is also possible to use the Horizontal Position control to view a pulse some period of time after the trigger has occurred. The problem with this method is that the further the pulse is from the trigger, the greater the possibility that jitter will make it difficult to view. Delay by Time eliminates this problem by triggering on the edge of interest.

Why Would I Want to Use This Control?

Delay by Events submode:

  • Use to view pulses in your waveform that occur a number of events after a specified waveform edge.

Delay by Time submode:

  • Use to view pulses in your waveform that occur a long time after a specified waveform edge.

Where is This Control Accessed?

The Edge Then Edge trigger mode can be selected from the trigger choices in the Trigger Setup dialog box (Trigger > Setup Trigger). To access each submode, follow the directions below (or use the Trigger Gallery).

Delay by Events submode:

  • The user must use the Edge Then Edge trigger and then set the Delay by control to Event to use this mode.

Delay by Time submode:

  • The user must use the Edge Then Edge trigger and then set the Delay by control to Time to use this mode.

What Do I Need to Know About This Control?

Delay by Events submode:

  • Below are the controls associated with this trigger submode.

    • Arm On

      Use this control to set the source, level, and slope for arming the trigger circuitry.

      Tip

      When setting the arm level for your waveform, it is usually best to choose a voltage value that is equal to the voltage value at the mid point of your waveform. For example, if you have a waveform whose minimum value is 0 (zero) volts and whose maximum value is 5 volts, then 2.5 volts is the best place to set your arm level. The reason this is the best choice is that there may be some ringing or noise at both the 0 and 5 volt levels that can cause false triggers.

      When you adjust the arm level control, a horizontal dashed line with a T on the right-hand side appears showing you where the arm level is with respect to your waveform. After a period of time the dashed line will disappear. You can get the line back by adjusting the arm level control again.

    • Event

      Use to set the source, level, and edge which defines an event. When setting the level, use the same advice as given in theArm Onsection above.

    • Delay By

      Use to set the number of events that must occur after the scope is armed until it starts to look for the trigger edge. If no intervening events are desired and the user simply wants to trigger on an edge followed by another edge, set the events counter to zero.

    • Trigger On

      Use to set the trigger source, trigger level, and trigger slope required to trigger the oscilloscope. When setting the level, use the same advice given in theArm Onsection above.

  • If the user wants to trigger on an edge followed by another edge without any intervening events, set the Delay By control to Event and set the Event counter to 0.

Delay by Time submode:

  • Below are the controls associated with this trigger submode.

    • Arm On

      Use this control to set the source, level, and slope for arming the trigger circuitry.

      Tip

      When setting the arm level for your waveform, it is usually best to choose a voltage value that is equal to the voltage value at the mid point of your waveform. For example, if you have a waveform whose minimum value is 0 (zero) volts and whose maximum value is 5 volts, then 2.5 volts is the best place to set your arm level. The reason this is the best choice is that there may be some ringing or noise at both the 0 and 5 volt levels that can cause false triggers.

      When you adjust the arm level control, a horizontal dashed line with a T on the right-hand side appears showing you where the arm level is with respect to your waveform. After a period of time the dashed line will disappear. You can get the line back by adjusting the arm level control again.

    • Delay By

      Use to set the amount of delay time from when the oscilloscope is armed until it starts to look for the trigger edge.

    • Trigger On

      Use to set the trigger source, trigger level, and trigger slope required to trigger the oscilloscope. When setting the level, use the same advice given in the Arm On section above.

See Also

  • Trigger

  • AND (Qualifier)


Edge Transition Trigger

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

Infiniium finds an Edge Transition type trigger by looking for any pulses in your waveform whose rising or falling edges do not cross two voltage levels in the amount of time you have specified. The rise time is measured from the time your waveform crosses the low threshold until the time it crosses the high threshold. The fall time is measured from the time the waveform crosses the high threshold until the time it crosses the low threshold. For data to be considered valid, it must be below the lower threshold or above the upper threshold.

Below is a graphical representation of a rise time Edge Transition trigger event (assuming Δt violates the timing constraints you have placed on the edge).

Below is a graphical representation of a fall time Edge Transition trigger event (assuming Δt violates the timing constraints you have placed on the edge).

Why Would I Want to Use This Control?

  • Use to find any edge in your waveform that violates a rise time or fall time specification.

Where is This Control Accessed?

  • This control is accessed via the Trigger Setup dialog box (Trigger > Setup Trigger) or by using the Trigger Gallery.

What Do I Need to Know About This Control?

Below are the controls associated with this trigger mode:

  • Source: Use to select the channel used for a transition violation trigger.

  • Low Threshold: Use to set the low voltage threshold. The best place to set the Low Threshold is generally at the 10% point of the amplitude of your waveform. If there is a disturbance such as excess noise at this point, try adjusting the level above this point until you get a stable trigger.

  • High Threshold: Use to set the high voltage threshold. The best place to set the High Threshold is generally at the 90% point of the amplitude of your waveform. If there is a disturbance such as excess noise at this point, try adjusting the level below this point until you get a stable trigger.

  • Direction: Use to select either a rise time or fall time edge transition trigger event.

  • Trigger On: There are two options for this control.

    > time

    • Use to look for edge transitions that are longer than the time specified.

    < time

    • Use to look for edge transitions that are longer than the time specified.

  • Time: Use to set the amount of time for determining a rise time or a fall time transition.

See Also

  • Trigger

  • AND (Qualifier)


Glitch Trigger

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

The oscilloscope identifies a glitch trigger by looking for a pulse that is narrower than other pulses in your waveform. You specify the width that the pulse must be narrower than and the pulse polarity (positive or negative) that the oscilloscope should consider to be a glitch. For a positive glitch, the oscilloscope triggers when the falling edge of a pulse crosses the trigger level. For a negative glitch, the oscilloscope triggers when the rising edge of the pulse crosses the trigger level.

Why Would I Want to Use This Control?

  • Use the Glitch trigger mode to find pulses in a waveform that are narrower than the rest of the pulses in the waveform.

Where is This Control Accessed?

  • This control is accessed via the Trigger Setup dialog box (Trigger > Setup Trigger) or by using the Trigger Gallery.

What Do I Need to Know About This Control?

Below are the controls associated with this trigger mode:

  • Source: Use this control to select the channel used to trigger the oscilloscope. Any of the channels can be used to trigger the oscilloscope.

  • Level: Use the Level control to set the trigger level through which your waveform must pass before the oscilloscope will trigger (for a positive glitch, the oscilloscope triggers when the falling edge crosses this level and for a negative glitch, the oscilloscope triggers when the rising edge crosses this edge - assuming the glitch width conditions have been satisfied). When you adjust the trigger level control, a horizontal dashed line with a T on the right-hand side appears showing you where the trigger level is with respect to your waveform. After a period of time the dashed line will disappear. You can get the line back by adjusting the trigger level control again.

  • Edge Type: There are two choices for the glitch type.

    Positive Glitch

    • Use to look for positive glitches

    Negative Glitch

    • Use to look for negative glitches

  • < Time: Use to define the maximum pulse width that is considered a glitch.

See Also

  • Trigger

  • AND (Qualifier)


Pattern / State Trigger

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

The Pattern trigger identifies a trigger condition by looking for a specified pattern. A pattern is a logical combination of the channels. Each channel can have a value of 1 (High), 0 (Low) or X (Don’t Care). A value is considered a High when your waveform's voltage level is greater than it's trigger level and a Low when the voltage level is less than it's trigger level. If a channel is set to Don’t Care then it is not used as part of the pattern criteria.

Why Would I Want to Use This Control?

  • Use to trigger the oscilloscope using more than one channel as the trigger source.

  • Use to trigger on a pattern of ones and zeros

Where is This Control Accessed?

  • This control is accessed via the Trigger Setup dialog box (Trigger > Setup Trigger) or by using the Trigger Gallery.

What Do I Need to Know About This Control?

Below are the controls associated with this trigger mode:

  • When Pattern: Use to place special conditions on the type of pattern that will trigger the oscilloscope. The When Pattern control has five possible ways to qualify the trigger:

Entered

  • The oscilloscope will trigger on the edge of the source that makes the pattern true.

Exited

  • The oscilloscope will trigger on the edge of the source that makes the pattern false.

Present >

Trigger on:

Pattern Exits

Trigger on:

Timeout

  • The oscilloscope will trigger when the pattern is present for greater than the time that you specify.

Present <

  • The oscilloscope will trigger when the pattern is present for less than the time that you specify.

Range

  • The oscilloscope will trigger on the edge of the waveform that makes the pattern invalid as long as the pattern is present within the range of times that you specify.

  • > time: This control sets the amount of time that a pattern must be present to be a valid pattern. This control is only present when you have selected Present > or Range pattern trigger.

  • < time: This control sets the amount of time in which the pattern must become invalid to be considered a trigger. This control is only present when you have selected Present < or Range pattern trigger.

  • Trigger On: The Trigger On controls set the oscilloscope to either trigger on the edge of the waveform that makes the pattern invalid or to trigger when time has elapsed and the pattern is still valid. This control is only available when Present > pattern trigger is selected. The two choices are:

Pattern exits: Use to trigger the oscilloscope on the edge of the waveform that makes the pattern invalid. Timeout: Use to trigger the oscilloscope when the time has elapsed and the pattern is still valid.

This section explains how to specify and reset the pattern:

  • You can specify the pattern by clicking on one of the channel buttons in the lower left-hand corner of the dialog box and then selecting either 1, 0, X (don't care), positive edge, negative edge, or either edge clock (see below). Repeat for each channel until you have the desired pattern.

  • The State trigger identifies a trigger condition by looking for a clock edge on one channel and a pattern on the remaining channels. A pattern is a logical combination of the remaining channels. A value is considered a High when your waveform's voltage level is greater than the trigger level and a Low when the voltage level is less than the trigger level. If a channel is set to Don’t Care, then it is not used as part of the pattern criteria.

  • If an edge condition is used in the pattern then Logic Type controls appear in the dialog box. These controls give you the option of selecting either AND or NAND. The AND control sets the pattern comparison to AND such that when the pattern is present at a clock edge, the oscilloscope triggers. The NAND control sets the pattern comparison to NAND such that when the pattern is not present at a clock edge, the oscilloscope triggers.

  • Use the Reset Pattern controls to reset the pattern for all channels to either one (1), zero (0), or don't care (X).

See Also

  • Trigger

  • AND (Qualifier)


Pulse Width Trigger

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

The oscilloscope identifies a pulse width trigger by looking for a pulse that is either wider than or narrower than other pulses in your waveform. You specify the pulse width and pulse polarity (positive or negative) that the oscilloscope uses to determine a pulse width trigger. For a positive polarity pulse, the oscilloscope triggers when the falling edge of a pulse crosses the trigger level. For a negative polarity pulse, the oscilloscope triggers when the rising edge of a pulse crosses the trigger level.

When looking for narrower pulses, pulse width trigger is the same as glitch trigger.

Why Would I Want to Use This Control?

  • Use to find pulses that are wider than the rest of the pulses in your waveform.

  • Use to find pulses that are narrower than the rest of the pulses in the waveform.

Where is This Control Accessed?

  • This control is accessed via the Trigger Setup dialog box (Trigger > Setup Trigger) or by using the Trigger Gallery.

What Do I Need to Know About This Control?

Below are the controls associated with this trigger mode:

  • Source: Use this control to select the oscilloscope channel used to trigger the oscilloscope. Any of the oscilloscope channels can be used to trigger the oscilloscope.

  • Level: Use the Level control to set the trigger level through which your waveform must pass before the oscilloscope will trigger. When setting the trigger level for your waveform, it is usually best to choose a voltage value that is equal to the voltage value at the mid point of your waveform. For example, if you have a waveform whose minimum value is 0 (zero) volts and whose maximum value is 5 volts, then 2.5 volts is the best place to set your trigger level. The reason this is the best choice is that there may be some ringing or noise at both the 0 and 5 volt levels that can cause false triggers. When you adjust the trigger level control, a horizontal dashed line with a T on the right-hand side appears showing you where the trigger level is with respect to your waveform. After a period of time the dashed line will disappear. You can get the line back by adjusting the trigger level control again.

  • Pulse Width Type: There are two choices for the pulse width type.

    Positive

    • Use to look for positive pulses

    Negative

    • Use to look for negative pulses

  • Trigger On: Use to set whether a pulse must be wider (Time >) or narrower (Time <) than the width value to trigger the scope.

    Time >

    • Use to set that a pulse width must be wider than the width value to trigger the oscilloscope

    Time <

    • Use to set that a pulse width must be narrower than the width value to trigger the oscilloscope

  • Width: Use the Width control to define how wide of a pulse will trigger the oscilloscope.

  • Trigger Point: The Trigger Point control is only active when the Direction control is set to Width >. Use the Trigger Point control to specify where the trigger is to occur. If the trigger is to occur immediately after the time limit has been exceeded then set this control to Timeout. If the trigger is to wait until the pulse ends then set this control to End Of Pulse.

    Note

    When Pulse Width triggering is used with Trigger Point set to Timeout, it is identical to using Timeout triggering.

See Also

  • Trigger

  • AND (Qualifier)


Runt Trigger

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

A low and high threshold are established with this trigger. The oscilloscope then looks for pulses that fall between these two thresholds and triggers when one is found (see icons above for a better understanding).

Why Would I Want to Use This Control?

  • Use Runt triggering to find a positive or negative pulse that has a smaller amplitude than the rest of the pulses.

Where is This Control Accessed?

  • This control is accessed via the Trigger Setup dialog box (Trigger > Setup Trigger) or by using the Trigger Gallery.

What Do I Need to Know About This Control?

Below are the controls associated with this trigger mode:

  • Source: Use this control to select the channel used to trigger the oscilloscope. Any of the channels can be used to trigger the oscilloscope.

  • Low Threshold: Use to set the low voltage threshold. For negative pulses, the low threshold must be set to a value such that the runt pulse does not cross this value, but the normal pulses in the waveform do cross this value. For positive pulses, the low threshold must be set to a value such that the runt crosses the value.

  • High Threshold: Use to set the high voltage threshold. For positive pulses, the high threshold must be set to a value such that the runt pulse does not cross this value, but the normal pulses in the waveform do cross this value. For negative pulses, the high threshold must be set to a value such that the runt crosses the value.

  • Runt Type: There are two choices for the runt type.

    Positive

    • Use to look for positive runt pulses

    Negative

    • Use to look for negative runt pulses

  • Time Qualified: Use to place a constraint that the runt pulse must be wider than a certain length of time (specified with the > Time control).

See Also

  • Trigger

  • AND (Qualifier)


Setup and Hold Trigger

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

You can have Infiniium trigger on violations of Setup time, Hold time, or both Setup and Hold time. To use Setup Violation Type, Infiniium needs a clock waveform, used as the reference, and a data waveform for the trigger sources.

When using the setup time mode, a rectangle-shaped violation region is formed where the right edge is the clock edge and the left edge is the selected time before the clock edge. If the data waveform enters the violation region, the oscilloscope triggers.

When using the Hold time mode, a rectangle-shaped violation region is formed where the left edge is the clock edge and the right edge is the selected time after the clock edge. If the data waveform enters the violation region, the oscilloscope triggers

When using the Setup and Hold time mode, if the waveform violates either a setup time or hold time, the oscilloscope triggers.

Why Would I Want to Use This Control?

  • Use to find violations of setup and hold times in your circuit.

Where is This Control Accessed?

  • This control is accessed via the Trigger Setup dialog box (Trigger > Setup Trigger) or by using the Trigger Gallery.

What Do I Need to Know About This Control?

Below are the controls associated with this trigger mode:

  • Mode: Use to select Setup Time, Hold Time, or Setup Or Hold Time type triggering.

    Setup

    • Use to set the amount of setup time used to test for a violation. The setup time is the amount of time that the data has to be stable and valid prior to a clock edge.

    Hold

    • Use to set the amount of hold time used to test for a violation. The hold time is the amount of time that the data has to be stable and valid after a clock edge.

    Setup or Hold

    • Use to set the amount of setup and hold time used to test for a violation. The setup time is the amount of time that the data must be stable and valid prior to a clock edge. The hold time is the amount of time that the data waveform has to be stable and valid after a clock edge.

  • Data Source: Use to select the channel you want to use as the data.

  • Data Level:Use to set the voltage level on the data waveform.

  • Clock Source:Use to select the channel you want to use for the clock.

  • Clock Level: Use to set the voltage level on the clock waveform as given in the setup and hold time measurement section of the data book for your logic family. The trigger circuitry looks for a setup or hold time violation after the clock passes through the voltage level you have set.

  • Clock Edge Type (Rising or Falling):Use to select the clock edge the oscilloscope uses for the setup or hold time violation trigger.

See Also

  • Trigger

  • AND (Qualifier)


Timeout Trigger

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

This mode triggers the oscilloscope when the waveform has been at a higher voltage than the voltage specified by the Level control for too long (High Too Long), when the waveform has been at a lower voltage than the Level voltage for too long (Low Too Long), or when the waveform has taken too long to pass through the Level voltage (Unchanged Too Long).

Why Would I Want to Use This Control?

  • Use to trigger the oscilloscope when the waveform has been at a higher voltage than the voltage specified by the Level control for too long (High Too Long), when the waveform has been at a lower voltage than the Level voltage for too long (Low Too Long), or when the waveform has taken too long to pass through the Level voltage (Unchanged Too Long).

Where is This Control Accessed?

  • This control is accessed via the Trigger Setup dialog box (Trigger > Setup Trigger) or by using the Trigger Gallery.

What Do I Need to Know About This Control?

  • When Pulse Width triggering is used with the Trigger Point set to Timeout, it is identical to using Timeout triggering.

Below are the controls associated with this trigger mode:

  • Source: Use this control to select the channel used to trigger the oscilloscope. Any of the channels can be used to trigger the oscilloscope.

  • Level: Use the Level control to set the voltage level above which is considered a high value (for High Too Long or Unchanged Too Long) and below which is considered a low value (for Low Too Long and Unchanged Too Long).

  • Trigger On: There are three possible trigger scenarios associated with this mode:

    High Too Long

    • Use to trigger when the waveform has been at a higher voltage than the Level voltage for too long.

    Low Too Long

    • Use to trigger when the waveform has been at a lower voltage than the Level voltage for too long

    Unchanged Too Long

    • Use to trigger when the waveform has taken too long to pass through the Level voltage

  • > Time: Use to specify how much time is considered "too long".

See Also

  • Trigger

  • AND (Qualifier)


Video / TV Trigger

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

There are numerous types of television (TV) trigger modes you can trigger on: 525 (NTSC), 625 (PAL), 480p and 576p (EDTV), 720p, 1080i, and 1080p (HDTV), and User Defined. The 525, 625, 480p, 576p, 720p, 1080i, and 1080p are predefined video standards used throughout the world. The User Defined TV trigger allows you to trigger on nonstandard TV waveforms.

Why Would I Want to Use This Control?

  • Use to trigger on one of the standard television waveforms.

  • Use to trigger on a custom television waveform that you define.

Where is This Control Accessed?

  • This control is accessed via the Trigger Setup dialog box (Trigger > Setup Trigger) or by using the Trigger Gallery.

What Do I Need to Know About This Control?

Below are the controls associated with this trigger mode:

  • Source: Use this control to select the channel used to trigger the oscilloscope. Any of the channels can be used to trigger the oscilloscope.

  • Level: Use the Level control to set the trigger voltage level. When setting the trigger level for your waveform, it is usually best to choose a voltage value that is just below the bottom of burst.

    When you adjust the trigger level control, a horizontal dashed line with a T on the right-hand side appears showing you where the trigger level is with respect to your waveform. After a period of time the dashed line will disappear. You can get the line back by adjusting the trigger level control again.

  • Positive or Negative Sync: There are two possible trigger scenarios associated with this mode:

    Positive Sync

    • Use the Positive Sync control ( [image] )to select a positive sync pulse as the trigger

    Negative Sync

    • Use the Negative Sync control ( [image] ) to select a negative sync pulse as the trigger

  • Field: Use the Field control to select video field 1, video field 2, alternating fields, all fields, all lines, or a line as the trigger (choices available depend on which TV standard you are using).

  • Line: Use the Line control to select the horizontal line you want to view within the chosen video field.

User Defined TV Trigger Controls

  • Source: Use the Source control to select one of the oscilloscope channels as the trigger source.

  • Level: Use the Level control to set the trigger voltage level.

  • Positive or Negative Sync: Use the Positive and Negative Synch controls to select either a positive pulse or a negative pulse to arm the trigger circuitry.

  • Time >: Use the Time > control to set the minimum time that the pulse must be present to be considered a valid sync pulse.

  • Edge Number: Use the Edge Number control to select the number of edges you want the scope to count before triggering.

See Also

  • Trigger

  • AND (Qualifier)


Window Trigger

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

The window trigger mode allows you to specify a voltage range and then trigger when the waveform either exits this range, enters this range, stays outside the range for too long or too short, or stays inside the range for too long or too short.

Why Would I Want to Use This Control?

  • Use to specify a voltage range and then trigger when the waveform either exits this range, enters this range, stays outside the range for too long or too short, or stays inside the range for too long or too short.

Where is This Control Accessed?

  • This control is accessed via the Trigger Setup dialog box (Trigger > Setup Trigger) or by using the Trigger Gallery.

What Do I Need to Know About This Control?

The parameters and controls associate with this trigger mode are:

  • Source: Use to select the channel used for a window trigger.

  • Low Threshold: Use to set the low voltage threshold. The Low Threshold and High Threshold controls will specify the voltage range window used in this triggering.

  • High Threshold: Use to set the high voltage threshold. The Low Threshold and High Threshold controls will specify the voltage range window used in this triggering.

  • Trigger On: You can either trigger when the waveform enters the voltage range (specified by the low and high thresholds), exits the voltage range, stays too long or too short inside the voltage range, or stays too long or too short outside the voltage range. The following table describes each selection.

    Entering Voltage Range

    • A voltage range is specified and the oscilloscope triggers when the waveform enters this range.

    Exiting Voltage Range

    • A voltage range is specified and the oscilloscope triggers when the waveform exits this range.

    Inside Voltage Range

    > Time

    • A voltage range is specified and the oscilloscope triggers on a waveform that has been inside the range for either too long (> Time) or too short (< Time). See the Trigger Point section below for more information on when exactly the oscilloscope triggers.

    < Time

    Outside Voltage Range

    > Time

    • A voltage range is specified and the oscilloscope triggers on a waveform that has been outside the range for either too long (> Time) or too short (< Time). See the Trigger Point section below for more information on when exactly the oscilloscope triggers.

    < Time

  • Time: If either Inside Voltage Range or Outside Voltage Range is selected in the Trigger On control section, the Time controls become activated. There are two options, > Time and < Time which allow you to specify whether you want the scope to trigger when the waveform has been inside or outside of the voltage range for too long (> Time) or too short (< Time) a time period.

  • Trigger Point: The Trigger Point control sets whether the oscilloscope should trigger when the voltage crosses the window boundary (Cross Boundary Window) or immediately after the time constraints have been violated (Timeout). The icons below show the different trigger locations (indicated by the orange arrows at the top and bottom of the icons) if the window trigger controls are set such that Trigger on is Inside Voltage Range and Time is > Time.

    Crossing Boundary Window

    Timeout

See Also

  • Trigger


InfiniiScan +

What Does This Control Do?

How Do I Use This Feature?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

Note

This feature is only available if you have purchased the InfiniiScan software license.

What Does This Control Do?

InfiniiScan+ works in conjunction with the hardware trigger to further qualify a waveform event you are interested in capturing. InfiniiScan+ is a software-based trigger whereas the trigger modes found under Trigger > Trigger Setup (when the InfiniiScan box is not checked) are hardware-based. As a software-based trigger, InfiniiScan should not be used to trigger on rare events. Hardware triggering should be used instead if at all possible.

Please also note that the hardware trigger and InfiniiScan+ work together. When you are using InfiniiScan+, you cannot ignore the hardware trigger because you want the hardware trigger to get you "close" to the desired event to increase the likelihood that InfiniiScan will find it.

How Do I Use This Feature?

To use this feature, enter the InfiniiScan dialog box (by checking the InfiniiScan box in the Trigger Setup dialog box or via Trigger > InfiniiScan) and choose the desired InfiniiScan trigger mode from the list. To change the HW trigger mode, click on the icon of the current HW trigger mode and then choose a new HW trigger. The purpose of the HW trigger is to get you close to an InfiniiScan trigger event.

The hardware (HW) trigger chosen can have a significant impact on the usefulness of the InfiniiScan feature. For example, if you wanted to trigger on a non-monotonic rising edge, you could set the HW trigger to rising edge and the InfiniiScan trigger to Non-monotonic edge. This allows the oscilloscope to find a rising edge quickly (as it is performed via hardware) and then InfiniiScan can look around this edge to see if it is non-monotonic. InfiniiScan is very useful in that it does not suffer from some of the limitations placed on HW triggers. However, the trade-off is that it is much slower than HW triggering. It is, therefore, vital that the HW trigger gets you somewhere close to an InfiniiScan trigger event or InfiniiScan may never find it.

If you have no idea what HW trigger to use, it is probably best to use a trigger that occurs frequently such as Either Edge triggering.

Below are the trigger modes available with InfiniiScan:

  • InfiniiScan Measurement Mode

  • InfiniiScan Zone Qualify Mode

  • InfiniiScan Generic Serial Mode

  • InfiniiScan Non-monotonic Edge Mode

  • InfiniiScan Runt Mode

Below are the controls associated with this trigger mode:

  • Delay From HW Trigger: Delay from HW Trigger allows you to dictate which part of the trace should be searched for an InfiniiScan event by specifying how long the oscilloscope should wait relative to the hardware trigger before it starts to search. For example, if you know an event occurs 10 ns after the trigger, you can activate the Delay from HW Trigger feature (by checking the Delay from HW Trigger box) and set its value to 10 ns. Keep in mind that the trigger is generally set to the middle of the trace (in other words, the trigger is generally located at the middle of the screen). Therefore, half the trace (the left portion) is pre-trigger and half the trace (the right portion) is post trigger (see image below). InfiniiScan can be used to search for events that occur before the trigger by setting the Delay from HW Trigger value to a negative number.

Why Would I Want to Use This Control?

  • Use to find a waveform that violates minimum and maximum measurement limits.

  • Use to find a waveform that intersects with a zone that you draw on screen.

  • Use to find a waveform that does not intersect with a zone that you draw on screen.

  • Use to find a waveform that contains a specified serial pattern.

  • Use to find a waveform that contains non-monotonic edges.

  • Use to find a waveform that contains a runt pulse.

Where is This Control Accessed?

  • This control is accessed by checking the InfiniiScan box in the Trigger Setup dialog box (Trigger > Setup Trigger).

What Do I Need to Know About This Control?

  • If you set up an Either Edge hardware trigger, an InfiniiScan zone trigger will generally only trigger once. To correct this problem either trigger on a rising or falling edge instead or set the zone close to transition points that are fulfilled by both rising and falling edges (these are generally near the center voltage of the waveform).

  • InfiniiScan+ should not be used for rare event triggering. InfiniiScan is a software trigger that does not have the performance limitations found with hardware triggering. However, the drawback is that InfiniiScan is much slower than hardware triggering and, therefore, the dead-time where the oscilloscope is not able to look for the next trigger is large. This large dead-time makes it unlikely that InfiniiScan will trigger on a rare event over a short period of time. However, it may be an adequate alternative if the user is willing to wait for long periods of time.

  • If InfiniiScan+ is available, it is a great way to get a stable trigger even in very difficult instances. The key is to use the Zone Qualify trigger to draw "must intersect" or "do not intersect" zones (see the description of Zone Qualify triggering above). This is very effective when you want to set up a trigger graphically.

See Also

  • Trigger

  • AND (Qualifier)


InfiniiScan Measurement Mode

Tip

You must add a measurement before using InfiniiScan for measurements. If there is no measurement added, you will not be able to use InfiniiScan measurements.

By default, when the horizontal reference is set to center, Infiniium measures the instance of the measurement closest to center screen. This occurs if a measurement icon is clicked or if a measurement is selected from the Measure menu. Because a specific edge direction is not specified, either rising or falling edges may be measured, depending upon which are closest to the center of screen. For example, a period measurement will measure rising to rising periods or falling to falling periods as the waveform is panned left and right. Obviously, a rise time will only measure rising edges and a positive width measurement will only measure from a positive to a negative edge.

Alternatively, a measurement may be dragged to a specific edge. For example, a period measurement could be made on the 4th edge to the right of time zero. If InfiniiScan is turned off, time zero is defined by the hardware trigger condition. To measure a specific edge, drag a timing measurement icon and drop it on a specific edge. By dropping a measurement icon on a specific edge, two things occur. The first is that the edge direction is specified. If a period measurement is dropped on a rising edge, only rising edges will be measured. Secondly, the time where the edge is dropped is remembered. The measurement of specified polarity closest to this time will be measured.

When a Timing measurement is used to qualify the waveform in Measurement mode of InfiniiScan, all instances of the measurement are made on each waveform. For example, all rise times are computed until a rise time of < 60 ps or > 80 ps is found. When a measurement that meets the qualification is found then the waveform is accepted and passed on to the display. If the waveform has no measurements that meet the qualification, then the waveform is discarded and another is acquired. When a waveform is accepted, the time reference of the waveform is changed such that the timing measurement of interest is centered about time zero. So if the horizontal position is set to zero, (and the reference is center) then the measurement of interest will be centered on screen.

Measurement statistics will be accumulated for the measurements which are made. This is a powerful capability. This means that statistics will only be computed for the measurements which meet the qualification. For example, statistics will only be computed on measurements that are < 60ps or > 80ps. If the horizontal position is not zero, then Infiniium will still measure the instance closest to center of screen but this will not be the measurement which qualified the waveform.

The method of launching a measurement impacts how a timing measurement will be made in InfiniiScan. If the edge direction is not speciied, then both rising to rising and falling to falling periods are considered. So InfiniiScan might find a rising to rising edge period in one acquisition and a falling to falling period in another. If this is not desired, then drag the period icon to the edge of interest. If the period measurement is dropped on a rising edge, then only rising to rising edge periods are calculated.

A caveat to the above discussion is when the oscilloscope is in jitter mode. Jitter mode is available with the optional EZJIT and Serial Data Analysis software. Also, measurement limit testing places the oscilloscope in jitter mode. When jitter mode is enabled, statistics are computed on all instances of the measurement, not just the ones at center screen.


InfiniiScan Zone Qualify Mode

You can setup rectangular shaped areas (zones) to further qualify the capture of a waveform. You can use up to 8 zones to qualify a waveform and can use logical expressions to relate the zones across channels.

Once you activate the zone qualify trigger (Trigger > InfiniiScan and then setting the InfiniiScan trigger to ZoneQualify), you can close the TriggerSetup dialog box and simply click and hold and then drag boxes in the display in order to set up zones (in essence, you are drawing zones on the display). This enables you to set up trigger qualifications in a very graphical manner. When drawing zones, you do not have to have one zone on screen in order to draw another zone. For example, you can draw Zone 1 and move it off screen then draw Zone 2. Also the zones do not have to be in the viewing area for the zone qualify to work.

The zones may be assigned to specific channels by using the NewZoneSource field in the InfiniiScan dialog box. However, a quicker way to change channel assignments once the zones are drawn is to right-click on each zone and select the desired channel from the pop-up box as shown below.

If you were to select Channel2 from the menu above, the zone would be colored green to match the color of the channel's waveform. This color-matching enables you to easily keep track of the channel assignments for each zone.

Also notice in the screen shot above that you can use logical expressions (AND/OR) for each zone across channels. The appearance of the zone changes for each of these expressions so you can again keep track of how the zone is defined. The table below shows the appearance for each logical definition.

  • AND must intersect

  • AND must not intersect

  • OR must intersect

  • OR must not intersect

In order to keep track of the operators and zones, a summary of the overall zone logic is shown in the upper left corner of the graticule as shown below.

If you want to change the zone logic, right-click on a zone and select a new option.

The number that appears in the lower left corner of each zone tells you which zone it is (zone 1 - zone 8).

To delete a zone, right-click on the zone and select DeleteZone from the pop-up menu.

Zone trigger also works with Connect Dots.

If you want to use the zone qualify feature, but do not want a cluttered display, you can set the zones up and then check the Hide All Zones in the InfiniiScan dialog box. The zone qualification will still be performed, but none of the zones will be displayed on the oscilloscope.

Zone trigger can be combined with horizontal zoom to gate jitter measurements and can be combined with mask testing to qualify a mask test.


InfiniiScan Generic Serial Mode

You can have the scope capture a waveform when a pattern of 1s (ones) and 0s (zeros) is found. The generic serial mode uses a recovered clock to determine where a 1 or a 0 is located. If you do not have the High Speed Serial option installed, then the clock recovery method used is the fully automatic constant frequency method. If you have either the High Speed Serial option or Jitter option installed, then you can choose the clock recovery method you want InfiniiScan to use. See High Speed Serial Data Analysis for more information.

A more robust protocol trigger can be found in the Protocol Search dialog box. Activate the Protocol Search dialog box by going to the Serial Data dialog box (Analyze > Serial Data...) and then checking the box next to Display Decode. If there is a button next to Display Decode that says Search, you can click on it, or you can click on the Search button located on the Decode tab that appears in the display when you check the Display Decode box. The Search Serial dialog box is protocol dependent, but there will be a box somewhere in this dialog box that says Trigger on Search. Check this box and then choose the other parameters to fit your needs. The capabilities of this kind of triggering are much greater than the generic protocol trigger (done via InfiniiScan) because it is protocol specific (for example, triggering on a TLP packet in PCI Express).


InfiniiScan Non-monotonic Edge Mode

You can have the scope capture a waveform when a non-monotonic edge is found. Only that part of the waveform that is between the upper level and lower level measurement thresholds is searched for a non-monotonic edge. The threshold can be set by selecting the Thresholds button. The default thresholds are 90% and 10% of the top and base of the waveform.

The following picture shows a waveform with a non-monotonic edge.


InfiniiScan Runt Mode

The runt software trigger finds pulses in your waveform that are shorter in amplitude than other pulses in your waveform. For a pulse to be considered a runt it must pass through two voltage levels but not the third. The following pictures show how to set the levels to find negative and positive runt pulses.

There is a hardware-based Runt trigger mode as well. It has more performance limitations than the InfiniiScan Runt trigger, but it is far more likely to find rare events.


Protocol Decode, Search, Trigger

Protocol Decode Setup

Decode Listing Window

Protocol Search

Protocol Trigger

Troubleshooting Protocol Decode and Triggering

When decoding, searching, and triggering on protocol data, your procedure should look like:

  1. Open the Protocol Decode dialog box (Setup > Protocol Decode...).

  2. Select your protocol and set any parameters in this dialog box.

  3. Click the Auto Setup button.

  4. Optional: Click the Manual Setup button if you want to see what parameters were set, if you want to change the automatically set values, or if you want to undo the Auto Setup.

  5. Then:

    • You will likely want to change the trigger conditions from those set by the Auto Setup button. Either press the Trigger... button in the Manual Setup Dialog Box or navigate to the Trigger Setup dialog box (Trigger > Trigger Setup...) and specify your trigger conditions.

    • If you want to perform a protocol search / software trigger, open the Protocol Search dialog box (Setup > Protocol Search...) and set the various controls.

    • To look at the decode, close all dialog boxes and use the Decode Listing Window to navigate through the decoded data and see specific details.


Protocol Decode Setup

CAN (Controller Area Network)

Ethernet 10GBASE-KR

FlexRay

Generic 8B/10B

I2C

JTAG

LIN

MIPI D-PHY

MIPI M-PHY DigRFv4

MIPI M-PHY LLI

MIPI M-PHY UniPro

MIPI M-PHY UFS

MIPI RFFE

PCI Express

PCI Express Gen3

RS-232 / UART

SATA / SAS

SPI

SVID

USB 2.0

USB 3.0

InfiniiBand, Fibre Channel, XAUI, and DVI/HDMI

Manual Setup Dialog Box

To decode protocol data, first open the Protocol Decode dialog box (under Setup > Protocol Decode...).

Note there are four protocol decodes to choose from, p1, p2, p3, p4. Click one of these buttons before selecting the parameters for that decode. You can perform up to four decodes at the same time.

After selecting the protocol decode parameters, click Auto Setup to automatically configure the oscilloscope for the selected decode type. Appropriate oscilloscope acquisition, triggering, threshold, and clock recovery settings are automatically made.

You can click Manual Setup... to view or modify the oscilloscope settings. See Manual Setup Dialog Box.

After the protocol decode parameters are set up, you can view decoded acquisition data in the Decode Listing Window.


CAN (Controller Area Network)

CAN Protocol Decode Dialog Box

What Do I Need to Know About Using the CAN Decode and Trigger?

Note

Requires that the CAN / LIN / FlexRay Protocol Triggering and Decode software be installed on your oscilloscope.

A CAN message frame in CAN_L signal type is shown below:

Following the SOF is the Arbitration Field which determines the priority of the message when two or more nodes are contending for the CAN bus.

  • For CAN 2.0A, the Arbitration Field consists of an 11 bit Identifier and the RTR bit.

  • For CAN 2.0B, the Arbitration Field consists of a 29 bit Identifier and the RTR bit.

Following the Arbitration Field is the Control Field which contains information about the number of bytes in the Data Field which is called the Data Length Code (DLC).

The Data Field contains anywhere from 0 to 8 bytes of 8 bit bytes.

The CRC Field contains the CRC sequence used for error checking of the frame.

The ACK Field is used to acknowledge the successful CRC check of the frame.

The EOF is the end of frame indicator.

CAN Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when CAN is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

Data Source — Lets you select the input source for the signal.

Data Rate — Specify the signal's data rate.

Sample Point — Specifies where in the bit to sample.

Signal Type — Choose the signal type.

Auto Setup — Click this button after all the fields in the dialog box are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, to change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

What Do I Need to Know About Using the CAN Decode and Trigger?

  • CAN does not have a protocol-specific hardware trigger. You, therefore, have one of two options:

    • Use the hardware trigger set up by Auto Setup. The vast majority of users should use this. You can then use the Protocol Search dialog box to search for specific parts of the protocol data.

    • For advanced users only, figure out a hardware trigger (other than Protocol) that will occur in the vicinity of the software trigger.

      Note

      It is important to understand that the software trigger (protocol search) and hardware trigger work together. The hardware trigger needs to get you "close" to the event your software trigger is looking for in order for the software trigger to be effective. Do not ignore the hardware trigger when using software triggering. Instead, think about how to use the hardware trigger to get you close to the software trigger event.

  • The Sample Point control selects where in the bit's time the bit value is captured. 50% would correspond to the center of the bit. 60% is the default.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


Ethernet 10GBASE-KR

Ethernet 10GBASE-KR Protocol Decode Dialog

What Do I Need to Know About Using the Ethernet 10GBASE-KR Decode?

Note

Requires that the 10GBASE-KR Ethernet Protocol software (N8815A) be licensed on your oscilloscope.

Ethernet 10GBASE-KR Protocol Decode Dialog

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when Ethernet 10GBASE-KR is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

Data Source — Lets you select the input channel or other data source you want to decode.

Descramble 64b/66b — Lets you view 64b/66b data streams that have been scrambled.

Enable FEC (Forward Error Correction) — Lets you enable or disable Forward Error Correction.

Descramble PN-2112 — When Enable FEC is checked, check this box to descramble PN-2112 pseudo-noise scrambling.

Correct FEC Errors — When Enable FEC is checked, check this box to activate 1 to 11-bit burst error detection and correction. If unchecked, only error detection will occur.

Decode Patterns — Check this box to enable pattern detection when decoding fails. The following continuous patterns can be recognized (they must exist at the beginning of the data capture).

  • Square-Wave Patterns n=4..11 (Clause 52.9.1.2, IEEE 802.3ap Standard).

  • Generic PRBS Detection (25, 27, 210, 211, 215, 223, 25-1, 27-1, 210-1, 211-1, 215-1, 223-1).

  • PRBS 231 and 231-1 excerpt detection.

  • Training Patterns (Clause 72.6.10.2.6).

  • Test Patterns Normal and Reverse (Clause 52.9.1.1).

Pattern detection continues until the pattern repetition can no longer be detected.

Auto Setup — Click this button after all the fields in the dialog are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

What Do I Need to Know About Using the Ethernet 10GBASE-KR Decode?

There is no Ethernet 10GBASE-KR hardware-based protocol trigger. You can either set up a trigger using the standard trigger modes or you can use the software-based trigger/search described in Protocol Search.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


FlexRay

FlexRay Protocol Decode Dialog Box

What Do I Need to Know About Using the FlexRay Decode and Trigger?

Note

Requires that the CAN / LIN / FlexRay Protocol Triggering and Decode software be installed on your oscilloscope.

The following figure shows a FlexRay packet.

These sections together all compose the header section:

  • The Frame ID consists of 11 bits and identifies a frame.

  • The Payload Length consists of the number of words transferred in the frame. It contains 7 bits.

  • The Header CRC contains 11 bits and detects errors that occur during the transfer.

  • The Cycle Count increments every time a communication cycle begins and tells you the number of the current cycle. It consists of 6 bits.

The next section is referred to as the payload segment. It is the Data 0, Data 1, . . . Data N seen in the figure above. It contains the actual data being transferred by the particular frame and can consist of up to 127 words (254 bytes).

The last section is composed of the CRC and is named the trailer section. The CRC contains 24 bits (three 8-bit CRCs) and is used for detecting errors.

FlexRay Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when FlexRay is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

Data Source — Lets you select the input source for the signal.

Baud Rate — Symbols transferred per second.

Cycle Time.

Auto Setup — Click this button after all the fields in the dialog box are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, to change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

What Do I Need to Know About Using the FlexRay Decode and Trigger?

  • FlexRay does not have a protocol-specific hardware trigger. You, therefore, have one of two options:

    1. Use the hardware trigger set up by Auto Setup (except you may need to select in the Trigger Setup dialog box whether you want to trigger on Any TSS or a Cycle TSS). The vast majority of users should use this. You can then use the Protocol Search dialog box to search for specific parts of the protocol data.

    2. For advanced users only, figure out a hardware trigger (other than Protocol) that will occur in the vicinity of the software trigger.

      Note

      It is important to understand that the software trigger (protocol search) and hardware trigger work together. The hardware trigger needs to get you "close" to the event your software trigger is looking for in order for the software trigger to be effective. Do not ignore the hardware trigger when using software triggering. Instead, think about how to use the hardware trigger to get you close to the software trigger event.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


Generic 8B/10B

Generic 8b/10b Protocol Decode Dialog Box

What Do I Need to Know About Using the Generic 8b/10b Decode?

Note

Requires that the Serial Data Analysis software be installed on your oscilloscope.

There are several important points to note when working with the Generic 8b/10b protocol. First, because this is generic, only 8B/10B symbols are displayed and no protocol. Secondly, all of the K Codes are simply shown as (for example) "K28.0" even if the Label option is chosen because there are no defined labels for the K Codes. Finally, Generic 8B/10B is designed to decode only a single lane. It cannot handle multi-lane 8B/10B protocols.

Generic 8b/10b Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when Generic 8b/10b is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

Data Source 1, 2, 3, 4 — You can specify the channels you want to decode using the Data Source 1-4 controls in this dialog box. Only two of the four fields can decode analog oscilloscope input channels (one channel from the grouping of Channel 1/Channel 2 and one channel from the grouping of Channel 3/Channel 4). The other two Data Source controls (if you use them) must be either functions or waveform memories.

Symbol Display Format — Display the decode using labels, 10 bit representation, or K/D codes. There are no labels defined, so even if the Label option is selected for Generic 8B/10B, it will display K/D codes.

Electrical IDLEs are present — When you are decoding a serial bus that has bursts of serial data followed by long periods of idle time, enabling this control will remove the idle time from the decoded serial data.

Manual Setup... — Click this button to see and/or adjust the current settings for parameters such as memory depth, trigger, thresholds, logic levels, etc.

What Do I Need to Know About Using the Generic 8b/10b Decode?

  • There is not a generic 8B/10B hardware-based protocol trigger, but if your data rate is 2.5 Gb/s, use PCI Express and set up your trigger using symbol sequence.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


I2C

I2C Protocol Decode Dialog Box

What Do I Need to Know About Using the I2C Decode?

Note

Requires that the I2C/SPI software be installed on your oscilloscope.

The following figure shows where the trigger points are for both the start condition and the end condition triggering.

Following the start condition is the address which can be either 7 bits or 10 bits depending on the I2C devices being probed. After the address is the read write bit (R/W) followed by an acknowledge bit (Ack) which is followed by 8 bits of data. After each 8 bits of data comes an acknowledge bit. The end condition signals that the data transfer is complete.

I2C Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when I2C is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

Address Format.

Data Source (SDA) — Lets you select the input source for the signal.

Clock Source (SCL) — Lets you select the input source for the signal.

Auto Setup — Click this button after all the fields in the dialog box are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, to change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

What Do I Need to Know About Using the I2C Decode?

  • I2C does not have a protocol-specific hardware trigger. You, therefore, have one of two options:

    • Use the hardware trigger set up by Auto Setup. The vast majority of users should use this. You can then use the Protocol Search dialog box to search for specific parts of the protocol data.

    • For advanced users only, figure out a hardware trigger (other than Protocol) that will occur in the vicinity of the software trigger.

      Note

      It is important to understand that the software trigger (protocol search) and hardware trigger work together. The hardware trigger needs to get you "close" to the event your software trigger is looking for in order for the software trigger to be effective. Do not ignore the hardware trigger when using software triggering. Instead, think about how to use the hardware trigger to get you close to the software trigger event.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


JTAG

JTAG Protocol Decode Dialog Box

Simple Example of a BSDL File

Example of How a BSDL File Maps to the Decode

Note

Requires that the JTAG software be installed on your oscilloscope.

The JTAG decode application lets you acquire TMS, TCK, TDI, and TDO on any scope channels. TRST can also be acquired on any scope channel (can be used for triggering and display, but is not used for protocol decode).

After you specify which scope channels you want to use to acquire TMS, TCK, TDI, and TDO (see JTAG Protocol Decode Dialog Box section below), press the Configure Devices in Scan Chain... button. The subsequent dialog box (shown below) allows you to provide information about the scan chain and imports BSDL (Boundary Scan Description) files. This enables the oscilloscope's protocol decode engine to provide meaningful decode for each unique scan chain. Some key points about BSDL files are listed in the Simple Example of BSDL File section below.

As shown in the screen shot above, you specify how many devices are in the scan chain and in what order they are in. You can adjust their order by using the Move Up and Move Down buttons. It is vital that you list every single device in the scan chain and that they are in the correct order. For example, the scan chain described in the dialog box above would be for the following setup (this graphic also shows how the BSDL information is used in the decode):

As you can see, every device is listed in the dialog box and the devices are listed in order. You can also see in the graphic above how each BSDL file's information is used in the decode and how it enables the oscilloscope to provide meaningful text in the decode as well as separate each device (because it knows the lengths).

You can add a new device by clicking on the Add button. The following Add Device to Scan Chain dialog box will appear when you click the Add button.

In this dialog box, you have two options:

  • Load Device BSDL File — You can import a BSDL file for each device. The oscilloscope will use instruction opcodes and the instruction length in the BSDL file to make the decode easier to understand. Additionally, device names in the BSDL file are displayed by the oscilloscope so you can better understand the decode. The following parameters in the BSDL file are important to the oscilloscope during decode. These values are displayed in the Configure Devices in Scan Chain dialog box and some are displayed in the decode itself. The oscilloscope only extracts the following BSDL file information (for an example BSDL file, read the Simple Example of a BSDL File section below).

    1. entity — the oscilloscope determines the name of the device from the entity string (required).

    2. attribute INSTRUCTION_LENGTH — the length of the instruction register for the device (required).

    3. attribute INSTRUCTION_OPCODE — the device instruction register opcodes (BYPASS required).

    4. attribute IDCODE_REGISTER — ID code for the device (this is used to flag errors). If the IDCODE command shifts a different value than contained in the BSDL file, an error is flagged. You can use the Protocol Search dialog box (Type Errors, Bad IDCODE) to find these errors (optional).

    5. attribute REGISTER_ACCESS — contains the size of the data register associated with a specific opcode. This is used in Update-DR TAP State to break apart each device's data. You can use the Protocol Search dialog box (Type Errors, Bad Shift DR TDO Length) to find errors associated with this (required for accurate Update-DR decode if your device is not in BYPASS).

  • No Device BSDL File Available — If a BSDL file does not exist for a device, the oscilloscope enables you to simply enter a device name and instruction length for the device. You will need to put the device in BYPASS mode for accurate Update-DR device decode.

    For example, assume you had 20 devices in your scan chain and nineteen of them were BYPASS devices. You could use this No Device Bsdl File Available choice to quickly list each of the nineteen BYPASS devices in the scan chain and then you could load a device BSDL file for the twentieth device.

JTAG Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when JTAG is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

TMS, TCK, TDI, TDO — Lets you select the input source for the signal.

Configure Devices in Scan Chain... — Opens a dialog box where you can configure all of the devices in your scan chain (they must be listed in order and every device in the chain must be listed).

Auto Setup — Click this button after all the fields in the dialog box are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, to change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

Simple Example of a BSDL File

Here is a very simple example of a BSDL file. Other than the ISC_ENABLE parameter (and its corresponding DATAREG line) and the two comment lines at the beginning, all of the lines shown are required (at a minimum) by the oscilloscope in order to be able to properly perform the decode.

-- BSDL file for documentation example

entity Example_device is

attribute INSTRUCTION_LENGTH of Example_device : entity is 8;
attribute INSTRUCTION_OPCODE of Example_device : entity is

    "BYPASS         (11111111)," &
    "ISC_ENABLE     (11101000)," &

attribute IDCODE_REGISTER of Example_device : entity is
    "XXXX0110111001011XXX000010010011";
attribute REGISTER_ACCESS of Example_device : entity is

    "BYPASS         (BYPASS)," &
    "DATAREG[281]   (ISC_ENABLE)," &

end Example_device;

And here is what you would see in the Configure Devices in Scan Chain dialog box after loading this bsdl file as one of your devices (you can see how the various parameters from the BSDL file map to the parameters in the dialog box).

Some of these parameters will also be displayed in the Decode listing window to help you easily understand the decode.

Example of How a BSDL File Maps to the Decode

It may help you to look at a slightly more complicated BSDL file and how its parameters are used in the JTAG decode. Here is an example BSDL file. It is for one out of the three devices in our scan chain.

-- BSDL file for documentation example

entity xc3s500e is

attribute INSTRUCTION_LENGTH of xc3s500e : entity is 6;
attribute INSTRUCTION_OPCODE of xc3s500e : entity is

    "BYPASS         (111111)," &
    "IDCODE          (001001)," &

attribute IDCODE_REGISTER of xc3s500e : entity is "XXXX" &
    "0001110" &             --family
    "000100010" &         --array size
    "0001001001" &       --manufacturer
    "1";

attribute REGISTER_ACCESS of xc3s500e : entity is

    "BYPASS         (BYPASS)," &
    "DEVICE_ID    (IDCODE)," ;

end xc3s500e;

Again, after importing it, you can see how it maps to the Configure Devices in Scan Chain dialog box (see below). It is important to note that BYPASS has a predetermined Register Length of 1 and IDCODE has a predetermined Reigister Length of 32. This is why you do not see something like:

    "BYPASS[1]         (BYPASS)," &
    "DEVICE_ID[32]    (IDCODE)," ;

like you saw with "DATAREG[281] (ISC_ENABLE)," in the simple BSDL file example above.

Now, the following screen shot is an example of a possible JTAG decode using these devices.

Look at lines 80 and 93 specifically. In Line 80, you can see that the XC3S500E device is listed so you know which device the line corresponds to. Also the opcode "IDCODE" is listed in the fourth column and the length is shown to be 6. All of this was drawn from the BSDL file and enables you to quickly interpret the decode information in the listing window. In this example, Line 80 is a call out to the XC3S500E device for its ID. Line 93 is then the devices response. You should also notice that because the oscilloscope knows the lengths from the BSDL files, the devices can be separated in the decode.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


LIN

LIN Protocol Decode Dialog Box

What Do I Need to Know About Using the LIN Decode and Trigger?

Note

Requires that the CAN / LIN / FlexRay Protocol Triggering and Decode software be installed on your oscilloscope.

LIN Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when LIN is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

Data Source — Lets you select the input source for the signal.

Baud — Sets the baud rate of your signal.

Sample Point — Specifies where in the bit to sample.

Auto Setup — Click this button after all the fields in the dialog box are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, to change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

What Do I Need to Know About Using the LIN Decode and Trigger?

  • LIN does not have a protocol-specific hardware trigger. You, therefore, have one of two options:

    • Use the hardware trigger set up by Auto Setup. The vast majority of users should use this. You can then use the Protocol Search dialog box to search for specific parts of the protocol data.

    • For advanced users only, figure out a hardware trigger (other than Protocol) that will occur in the vicinity of the software trigger.

      Note

      It is important to understand that the software trigger (protocol search) and hardware trigger work together. The hardware trigger needs to get you "close" to the event your software trigger is looking for in order for the software trigger to be effective. Do not ignore the hardware trigger when using software triggering. Instead, think about how to use the hardware trigger to get you close to the software trigger event.

  • The Sample Point control selects where in the bit's time the bit value is captured. 50% would correspond to the center of the bit. 60% is the default.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


MIPI D-PHY

MIPI D-PHY Protocol Decode Dialog Box

What Do I Need to Know About Using the MIPI D-PHY Decode?

Note

Requires that the MIPI D-PHY Triggering and Decode software (N8802A) be installed on your oscilloscope.

The MIPI D-PHY protocol can have two low power lanes (Dp and Dn) and one high speed clock lane.

Note

IMPORTANT: The screen shot below allows you to see where each threshold should be placed. However, your target system signaling may be different than the screen shot below (therefore, you would not use the exact threshold values described in the following example). In general, you need to set the lower threshold to the middle of the high speed signal, the middle threshold to the area between the high speed and low power signal, and the upper level to a point between the middle threshold and the max low power signal value. See the screen shot below for an example of this.

EXAMPLE: (Your system will use different threshold values. This example is just to show you how they would be set for one particular system)

In the screen shot below, the low power data lanes contain segments of high speed data. These high speed segments have amplitudes less than or equal to 200 mV. Therefore, when the thresholds are set, the middle threshold is set to 330 mV in order to filter out this high speed data when evaluating whether or not a segment is in low power or high speed mode. If the signal is above 330 mV, it is in the high state. When in high speed mode, the clock lane is used to sample the data lanes. The high speed clock lane threshold is set to +/- 100 mV. When the signal is above this value, the data will be sampled.

If you are connected to a single-end of the clock then you will need to change the clock measurement threshold to 200 mV +/- 50 mV.

MIPI D-PHY Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when MIPI D-PHY is selected as the protocol.

Check Show Decode to decode the MIPI D-PHY data stream.

Then, select the MIPI Protocol Subtype, Number of Data Lanes, the data sources, and the Clock source (when there is one lane) or Data Rate (when there are multiple names).

When the protocol decode options are set, click Auto Setup. This sets thresholds, memory depth, triggers, etc. If you want to view the settings or change them, click Manual Setup....

What Do I Need to Know About Using the MIPI D-PHY Decode?

  • There is not a MIPI D-PHY hardware-based protocol trigger. You can either set up a trigger using the standard trigger modes or you can use the software-based trigger/search described in Protocol Search.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


MIPI M-PHY DigRFv4

MIPI M-PHY Protocol Decode Dialog Box

What Do I Need to Know About Using the MIPI M-PHY DigRFv4 Decode?

Note

Requires that the MIPI M-PHY DigRFv4 Triggering and Decode software (N8807A) be installed on your oscilloscope.

The MIPI M-PHY DigRFv4 protocol is an 8b/10b protocol with 2 modes, SYS-BURST and HS-BURST, which use different methods of clock recovery. SYS-BURST is low speed and uses an explicit clock signal, and HS_BURST is high speed and uses a PLL more like PCI-Express Gen1/2 to recover a clock.

MIPI M-PHY Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when MIPI M-PHY is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to decode the MIPI M-PHY data stream and display the listing window.

Protocol Subtype — Lets you select protocol variations.

Data Source 1, 2, 3, 4 — Lets you select the input channels you want to decode.

Symbol Display Format — Display the decode using either K/D Codes, 10-bit representation, or labels defined by the selected decode standard.

Descramble — Lets you view MIPI M-PHY data streams that have been scrambled.

Electrical IDLEs are present — When you are decoding a serial bus that has bursts of serial data followed by long periods of idle time, enabling this control will remove idle time from the decoded serial data.

Auto Setup — Click this button after all the fields in the dialog box are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

What Do I Need to Know About Using the MIPI M-PHY DigRFv4 Decode?

  • There is not a MIPI M-PHY hardware-based protocol trigger. You can either set up a trigger using the standard trigger modes or you can use the software-based trigger/search described in Protocol Search.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


MIPI M-PHY LLI

MIPI M-PHY LLI Protocol Decode Dialog Box

Setting Up the MIPI M-PHY LLI Decode

Searching the MIPI M-PHY LLI Decode

Note

Requires that the MIPI M-PHY LLI protocol triggering and decode software (N8809A) be licensed on your oscilloscope.

The MIPI M-PHY LLI (Low Latency Interface) protocol is an 8b/10b protocol.

MIPI M-PHY LLI Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when MIPI M-PHY LLI is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

Protocol Subtype — Lets you select protocol variations.

Data Source 1, 2, 3, 4 — Lets you select the input sources you want to decode. You can decode data on up to four independent lanes.

Symbol Display Format — Display the decode using either K/D Codes, 10-bit representation, or labels defined by the selected decode standard.

Descramble — Not supported on MIPI M-PHY LLI data streams.

Electrical IDLEs are present — When you are decoding a serial bus that has bursts of serial data followed by long periods of idle time, enabling this control will remove idle time from the decoded serial data.

For MIPI M-PHY LLI protocol decode, you want to check Electrical IDLEs are present because this will detect idles in the data and re-start clock recovery after every idle.

Auto Setup — Click this button after all the fields in the dialog box are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, to change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

Setting Up the MIPI M-PHY LLI Decode

When MIPI M-PHY LLI decode is selected, the Manual Setup dialog box looks like:

The important settings are:

  • Measurement Thresholds — Set the threshold level to the middle of the signal amplitude.

  • Clock Recovery... — Opens the Clock Recovery dialog box where you should select:

    • MIPI M-PHY PWM — for Low Speed Mode.

    • Second Order PLL — for High Speed Mode. In this case, you need to configure the actual high-speed data rate and loop bandwidth to about 4-6 MHz.

      When Second Order PLL is selected (in the Clock Recovery dialog box), click Advanced...; then, in the Advanced Clock Recovery dialog box, set the PLL Settling Time to the minimum value.

Searching the MIPI M-PHY LLI Decode

When data is being captured and decoded, you can search the decoded data for different types of packets, frame information, payload, and errors.

There is no hardware-based protocol trigger for MIPI M-PHY LLI, but you can achieve a similar packet trigger by using the standard hardware trigger modes (edge, pattern, pulse, etc.), enabling search, and then enabling Trigger On Search.

Trigger On Search causes an automatic decode after each hardware trigger (acquisition). If the packet search specification is found in the captured data, the data is displayed; otherwise, the data is not displayed. Then, another run (acquisition) is initiated, and the process repeats.

If Stop On Trigger is also enabled, the first time the packet search specification is found, the oscilloscope stops capturing data and does not initiate another run.

For more information on software-based search/trigger, see Protocol Search.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


MIPI M-PHY UniPro

MIPI M-PHY UniPro Protocol Decode Dialog Box

Setting Up the MIPI M-PHY UniPro Decode

Searching the MIPI M-PHY UniPro Decode

Note

Requires that the MIPI M-PHY UniPro protocol triggering and decode software (N8808A) be licensed on your oscilloscope.

The MIPI M-PHY UniPro protocol is an 8b/10b protocol.

MIPI M-PHY UniPro Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when MIPI M-PHY UniPro is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

Protocol Subtype — Lets you select protocol variations.

Data Source 1, 2, 3, 4 — Lets you select the input sources you want to decode. You can decode data on up to four independent lanes.

Symbol Display Format — Display the decode using either K/D Codes, 10-bit representation, or labels defined by the selected decode standard.

Descramble — Not supported on MIPI M-PHY UniPro data streams.

Electrical IDLEs are present — When you are decoding a serial bus that has bursts of serial data followed by long periods of idle time, enabling this control will remove idle time from the decoded serial data.

For MIPI M-PHY UniPro protocol decode, you want to check Electrical IDLEs are present because this will detect idles in the data and re-start clock recovery after every idle.

Auto Setup — Click this button after all the fields in the dialog box are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, to change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

Setting Up the MIPI M-PHY UniPro Decode

When MIPI M-PHY UniPro decode is selected, the Manual Setup dialog box looks like:

The important settings are:

  • Measurement Thresholds — Set the threshold level to the middle of the signal amplitude.

  • Clock Recovery... — Opens the Clock Recovery dialog box where you should select:

    • MIPI M-PHY PWM — for Low Speed Mode.

    • Second Order PLL — for High Speed Mode. In this case, you need to configure the actual high-speed data rate and loop bandwidth to about 4-6 MHz.

      When Second Order PLL is selected (in the Clock Recovery dialog box), click Advanced...; then, in the Advanced Clock Recovery dialog box, set the PLL Settling Time to the minimum value.

Searching the MIPI M-PHY UniPro Decode

When data is being captured and decoded, you can search the decoded data for different types of packets, frame information, payload, and errors.

There is no hardware-based protocol trigger for MIPI M-PHY UniPro, but you can achieve a similar packet trigger by using the standard hardware trigger modes (edge, pattern, pulse, etc.), enabling search, and then enabling Trigger On Search.

Trigger On Search causes an automatic decode after each hardware trigger (acquisition). If the packet search specification is found in the captured data, the data is displayed; otherwise, the data is not displayed. Then, another run (acquisition) is initiated, and the process repeats.

If Stop On Trigger is also enabled, the first time the packet search specification is found, the oscilloscope stops capturing data and does not initiate another run.

For more information on software-based search/trigger, see Protocol Search.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


MIPI M-PHY UFS

MIPI M-PHY UFS Protocol Decode Dialog Box

Setting Up the MIPI M-PHY UFS Decode

Searching the MIPI M-PHY UFS Decode

Note

Requires that the MIPI M-PHY UFS protocol triggering and decode software (N8818A) be licensed on your oscilloscope.

The MIPI M-PHY UFS protocol is an 8b/10b protocol.

The UFS protocol is embedded within UniPro packets, so you will likely want to decode both UniPro and UFS at the same time. To do this, the UniPro protocol triggering and decode software (N8808A) must also be licensed.

MIPI M-PHY UFS Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when MIPI M-PHY UFS is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

Protocol Subtype — Lets you select protocol variations.

Data Source 1, 2, 3, 4 — Lets you select the input sources you want to decode. You can decode data on up to four independent lanes.

Symbol Display Format — Display the decode using either K/D Codes, 8-bit representation, 10-bit representation, or labels defined by the selected decode standard.

Descramble — Not supported on MIPI M-PHY UFS data streams.

Electrical IDLEs are present — this must be checked for MIPI M-PHY UFS protocol decode because UniPro and UFS have bursts of data; otherwise, decode will not occur.

Auto Setup — Click this button after all the fields in the dialog box are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, to change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

Setting Up the MIPI M-PHY UFS Decode

When MIPI M-PHY UFS decode is selected, the Manual Setup dialog box looks like:

The important settings are:

  • Measurement Thresholds — Set the threshold level to the middle of the signal amplitude.

  • Clock Recovery... — Opens the Clock Recovery dialog box where you should select:

    • MIPI M-PHY PWM — for Low Speed Mode.

    • Second Order PLL — for High Speed Mode. In this case, you need to configure the actual high-speed data rate and loop bandwidth to about 4-6 MHz.

      When Second Order PLL is selected (in the Clock Recovery dialog box), click Advanced...; then, in the Advanced Clock Recovery dialog box, set the PLL Settling Time to the minimum value.

Searching the MIPI M-PHY UFS Decode

When data is being captured and decoded, you can search the decoded data for any packet, host to target transactions, target to host transactions, a symbol sequence, or errors.

There is no hardware-based protocol trigger for MIPI M-PHY UFS, but you can achieve a similar packet trigger by using the standard hardware trigger modes (edge, pattern, pulse, etc.), enabling search, and then enabling Trigger On Search.

Trigger On Search causes an automatic decode after each hardware trigger (acquisition). If the packet search specification is found in the captured data, the data is displayed; otherwise, the data is not displayed. Then, another run (acquisition) is initiated, and the process repeats.

If Stop On Trigger is also enabled, the first time the packet search specification is found, the oscilloscope stops capturing data and does not initiate another run.

For more information on software-based search/trigger, see Protocol Search.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


MIPI RFFE

MIPI RFFE Protocol Decode Dialog Box

Setting Up the MIPI RFFE Decode

Searching the MIPI RFFE Decode

Note

Requires that the MIPI RFFE protocol triggering and decode software (N8824A) be licensed on your oscilloscope.

MIPI RFFE Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when MIPI RFFE is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

Protocol Subtype — Lets you select protocol variations.

Data Source (SDATA) — Lets you select the input source for the SDATA signal.

Data Source (SCLK) — Lets you select the input source for the SCLK signal.

Auto Setup — Click this button after all the fields in the dialog box are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, to change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

Setting Up the MIPI RFFE Decode

When MIPI RFFE decode is selected, the Manual Setup dialog box looks like:

Press the Auto Setup button to set reasonable thresholds for RFFE.

Searching the MIPI RFFE Decode

When data is being captured and decoded, you can search the decoded data for any frame, register reads and writes, or errors.

There is no hardware-based protocol trigger for MIPI RFFE, but you can achieve a similar packet trigger by using the standard hardware trigger modes (edge, pattern, pulse, etc.), enabling search, and then enabling Trigger On Search.

Trigger On Search causes an automatic decode after each hardware trigger (acquisition). If the packet search specification is found in the captured data, the data is displayed; otherwise, the data is not displayed. Then, another run (acquisition) is initiated, and the process repeats.

If Stop On Trigger is also enabled, the first time the packet search specification is found, the oscilloscope stops capturing data and does not initiate another run.

For more information on software-based search/trigger, see Protocol Search.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


PCI Express

PCI Express Protocol Decode Dialog Box

What Do I Need to Know About Using the PCI Express Decode?

Note

Requires that the PCI Express software be installed on your oscilloscope.

The PCI Express decode is available for PCI Express Gen 1, x1.

PCI Express Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when PCI Express is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

Data Source 1, 2, 3, 4 — You can specify the channels you want to decode using the Data Source 1-4 controls in this dialog box. Only two of the four fields can decode analog oscilloscope input channels (one channel from the grouping of Channel 1/Channel 2 and one channel from the grouping of Channel 3/Channel 4). The other two Data Source controls (if you use them) must be either functions or waveform memories.

Symbol Display Format — Display the decode using either K/D codes, 10 bit representation, or labels defined by the selected decode standard.

Descramble — Enables you to view PCI Express data streams that have been scrambled.

Electrical IDLEs are present — When you are decoding a serial bus that has bursts of serial data followed by long periods of idle time, enabling this control will remove the idle time from the decoded serial data.

Auto Setup — Click this button after all the fields in the dialog box are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, to change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

What Do I Need to Know About Using the PCI Express Decode?

  • PCI Express does not have a protocol-specific hardware trigger. You, therefore, have one of two options:

    • Use the hardware trigger set up by Auto Setup. The vast majority of users should use this. You can then use the Protocol Search dialog box to search for specific parts of the protocol data.

    • For advanced users only, figure out a hardware trigger (other than Protocol) that will occur in the vicinity of the software trigger.

      Note

      It is important to understand that the software trigger (protocol search) and hardware trigger work together. The hardware trigger needs to get you "close" to the event your software trigger is looking for in order for the software trigger to be effective. Do not ignore the hardware trigger when using software triggering. Instead, think about how to use the hardware trigger to get you close to the software trigger event.

  • The recommended clock recovery algorithm for PCI Express is 2nd Order PLL.

  • The size of headers can vary in PCI Express. The header size is the number of words included in the packet before the payload even starts. This varies with the packet type since some packets require a larger header (such as a larger address) than others (In PCIe, there are 3 data word headers and 4 data word headers). It is important to know about this because in many situations there are payloads so large that the oscilloscope cannot trigger on the entire thing. The best the oscilloscope can do is to trigger on the first part of the payload.

  • There are four different levels of PCI Express (software-based) triggering:

    • Triggering on Packet Types such as Completion with Data.

    • Trigger on Packets with fields – You choose a packet type and then choose up to three fields to specify values.

    • Trigger on Symbol Sequence – If you think of packet as symbols or you cannot specify what you want in another manner (such as if you need to specify the value of a 4th field), you can use Symbol Sequence triggering. In this case, you specify a list of 8B/10B symbols to trigger on. If there is a packet that is similar to what you want, you can choose "Edit as Sequence" and the symbol sequence will be populated with the symbols for the packet.

    • Trigger on errors. This is a powerful way of triggering only on error conditions such as invalid CRC or disparity errors.

For more general information on protocol triggering, see Protocol Trigger.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


PCI Express Gen3

PCI Express Gen3 Protocol Decode Dialog Box

What Do I Need to Know About Using the PCI Express Gen3 Decode?

Note

Requires that the PCI Express 3.0 Protocol software (N8816A) be licensed on your oscilloscope.

The PCI Express Gen3 decode is available for PCI Express Gen 3, x1.

PCI Express Gen3 Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when PCI Express Gen3 is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

Data Source 1, 2, 3, 4 — Lets you select the input channels you want to decode. Only two of the four sources can be analog oscilloscope input channels (one channel from the grouping of Channel 1/Channel 2 and one channel from the grouping of Channel 3/Channel 4). The other two Data Source sources (if you use them) must be either functions or waveform memories.

Lane # — Used to determine the LFSR (Linear Feedback Shift Register) seed after an EIEOS (Electrical Idle Exit Ordered Set). "Multi" is used to prevent decoding data stream packets because data striping across lanes is not supported.

The message "Protocol Decode Setup Lane # is inconsistent with TS decoded Lane Number" can occur when the decoder encounters the seed in a Skip Ordered Set which allows it to decode subsequent packets — if any of the decoded packets contain a training sequence, the decoder then compares the lane number contained in the training sequence packet to the Lane # specified, and if they are not the same, this warning is displayed on the message line.

Symbol Display Format — Display the decode using either K/D Codes, 10-bit representation, or labels defined by the selected decode standard.

Descramble — Lets you view PCI Express Gen3 data streams that have been scrambled.

Electrical IDLEs are present — When you are decoding a serial bus that has bursts of serial data followed by long periods of idle time, enabling this control will remove idle time from the decoded serial data.

Auto Setup — Click this button after all the fields in the dialog are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

What Do I Need to Know About Using the PCI Express Gen3 Decode?

  • There is not a PCI Express Gen3 hardware-based protocol trigger. You can either set up a trigger using the standard trigger modes or you can use the software-based trigger/search described in Protocol Search.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


RS-232 / UART

RS-232 / UART Protocol Decode Dialog Box

What Do I Need to Know About Using the RS-232/UART Decode and Trigger?

Note

Requires that the RS-232 / UART Protocol Triggering and Decode software be installed on your oscilloscope.

RS-232 / UART Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when RS-232 / UART is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

Direction — Specifies whether you are decoding Rx only, Tx only, or Rx and Tx.

Rx Source — Specifies the receiver signal source.

Tx Source — Specifies the transmitter signal source.

Word Size — Set the number of bits in the RS-232/UART words to match your device under test.

Parity — Specifies the parity being used.

Baud — Specifies the signal baud rate.

Idle Polarity — Select Low or High to match you device under test's state when at idle. For RS-232, select idle Low.

Bit Order — Select whether the most significant bit (MSB) or least significant bit (LSB) is presented after the start bit in the signal from your device under test. For RS-232, select LSB.

Framing Word — Specifies the byte framing word and entry format.

Auto Setup — Click this button after all the fields in the dialog box are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, to change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

What Do I Need to Know About Using the RS-232/UART Decode and Trigger?

  • In the Payload Editor, if the number of bits in a word is greater than 8, decimal cannot be chosen as a base in the Payload Editor.

  • RS-232 / UART does not have a protocol-specific hardware trigger. You, therefore, have one of two options:

    • Use the hardware trigger set up by Auto Setup. The vast majority of users should use this. You can then use the Protocol Search dialog box to search for specific parts of the protocol data.

    • For advanced users only, figure out a hardware trigger (other than Protocol) that will occur in the vicinity of the software trigger.

      Note

      It is important to understand that the software trigger (protocol search) and hardware trigger work together. The hardware trigger needs to get you "close" to the event your software trigger is looking for in order for the software trigger to be effective. Do not ignore the hardware trigger when using software triggering. Instead, think about how to use the hardware trigger to get you close to the software trigger event.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


SATA / SAS

SATA / SAS Protocol Decode Dialog Box

What Do I Need to Know About Using the SATA / SAS Decode?

Note

Requires that the SATA/SAS software be installed on your oscilloscope.

SATA / SAS Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when SATA/SAS is selected as the protocol.

Check the Show Decode dialog box to decode the SATA/SAS data stream. The select the channels/functions/memories that you want to decode (Data Source 1-4 fields). The symbol display format section enables you to choose between displaying the decode using K/D codes, 10-bit representations, or labels defined by the selected decode standard. The Descramble box (when checked) allows you to see data streams that have been scrambled. The Electrical IDLEs are Present box (when checked) removes idle time from serial buses that have bursts of serial data followed by long period of idle time.

When all of this is set to your desired values, press the Auto Setup button (this sets thresholds, memory depth, triggers, etc.). If you want to see what the Auto Setup button set various parameters to or if you want to change them, press on the Manual Setup button.

Please note that you can now specify the channels you want to decode using the Data Source 1-4 controls in this dialog box. Only two of the four fields can decode analog oscilloscope input channels (one channel from the grouping of Channel 1/Channel 2 and one channel from the grouping of Channel 3/Channel 4). The other two Data Source controls (if you use them) must be either functions or a waveform memories.

What Do I Need to Know About Using the SATA / SAS Decode?

  • There is not a SATA/SAS hardware-based protocol trigger. You can either set up a trigger using the standard trigger modes or you can use the software-based trigger/search. See Protocol Search.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


SPI

SPI Protocol Decode Dialog Box

What Do I Need to Know About Using the SPI Decode and Trigger?

Note

Requires that the I2C / SPI Protocol Triggering and Decode software (or the RS-232 / I2C / SPI Protocol Triggering and Decode Bundle) be installed on your oscilloscope.

There are three ways to setup the SPI serial data.

  • 2-wire configuration.

  • 3-wire configuration.

  • 4-wire configuration.

For the 2-wire configuration, you select the channel on which the SPI data stream is present and the channel on which the clock is present. In this mode a time value must be given which is the amount of time that the clock is idle. When the clock has been idle for this amount of time, Infiniium looks for selected clock edge to determine the start of a frame of SPI data.

The following diagram shows a 2-wire SPI data stream for a clock using rising edges to clock the data. Bit 0 represents the first data bit in the data stream and not the LSB.

For the 3-wire configuration, you select the data channel and the clock channel just as you would for the 2-wire configuration. However, you also must select the channel on which the chip select waveform is present and the state of the chip select when the data is valid.

For the 4-wire configuration, you select the data channel, the clock channel, the channel on which the chip select waveform is present, and the state of the chip select when the data is valid just as you would for the 3-wire configuration. When you select the channel on which the chip select waveform is present, a pull down menu for an additional data source (MISO) will appear. You must then select the data channel (MISO).

SPI Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when 3-wire SPI is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

Type — Specify 2-wire, 3-wire, or 4-wire SPI.

Data Source (MOSI) — Specifies the source of the Master-Out Slave-In data signal for 4-wire SPI or the single data source for other SPI configurations.

Clock Source — Specifies the source of the clock signal.

Clock Edge Direction — Specifies whether the clock occurs on a rising or falling edge.

Chip Select Source — Specifies the source of the chip select signal for 3- or 4-wire SPI.

Chip Select State — Select either Active Low or Active High.

Data Source (MISO) — Specifies the source of the Master-In Slave-Out data signal for 4-wire SPI.

Word Size — Set the number of bits in the SPI words to match your device under test.

Bit Order — Select whether the most significant bit (MSB) or least significant bit (LSB) is presented after the start bit in the signal from your device under test.

Auto Setup — Click this button after all the fields in the dialog box are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, to change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

What Do I Need to Know About Using the SPI Decode and Trigger?

  • In the Payload Editor, ORs are only allowed if the words are 8 bits wide. The SPI Protocol Decode dialog box allows you to change the width of the words. If you set the word size to something other than 8 bits then ORs will not be allowed. Also, if the number of bits in a word is greater than 8, decimal cannot be chosen as a base in the Payload Editor.

  • SPI does not have a protocol-specific hardware trigger. You, therefore, have one of two options:

    • Use the hardware trigger set up by Auto Setup. The vast majority of users should use this. You can then use the Protocol Search dialog box to search for specific parts of the protocol data.

    • For advanced users only, figure out a hardware trigger (other than Protocol) that will occur in the vicinity of the software trigger.

      Note

      It is important to understand that the software trigger (protocol search) and hardware trigger work together. The hardware trigger needs to get you "close" to the event your software trigger is looking for in order for the software trigger to be effective. Do not ignore the hardware trigger when using software triggering. Instead, think about how to use the hardware trigger to get you close to the software trigger event.

  • When using the SPI (software-based) protocol trigger, the first packet in the listing will frequently be truncated and, therefore, you should not try to trigger on this value. For example, let us assume you have a packet like the following:

    FF FF D7 7F FF FF 02 FF FF FF

    Then let us assume that when the oscilloscope starts acquiring data, we are between the D7 and the 7F. We will, therefore, wind up with the first packet looking like this:

    7F FF FF 02 FF FF FF

    The protocol decode will not show anything unusual like (7 bits) at the end to indicate that the last word was short. There is no way for the protocol decoder to know what happened prior to the first sample. If the you think you might have found something suspicious in the first packet and you want to trigger on it, it will not work. Using the previous example, you might try to trigger on 7F. This does not trigger on a 7F anywhere in the packet, but only in the first word. Because this never actually happens in the data (in other words, the decoder only shows a packet starting with 7F because it missed the FF FF D7 in front of it), you should be very careful in trying to trigger on data you see in the first packet because it is likely to be truncated. In summary, you need to understand that the first packet shown in the Decode Listing Window is likely to be truncated.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


SVID

SVID Protocol Decode Dialog Box

What Do I Need to Know About Using the SVID Decode?

Note

Requires that the SVID protocol triggering and decode software (N8812A) be licensed on your oscilloscope.

SerialVID is a three wire (clock, data, alert) serial synchronous interface used to transfer power management information between a master (typically a microprocessor) and a slave (typically a voltage regulator controller). The bus operates at a maximum frequency of 26.25 MHz.

SVID Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when SVID is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

Data (VDIO) — Selects the data signal input.

Alert# — Selects the alert signal input.

Clock Source (VCLK) — Selects the clock signal input.

Auto Setup — Click this button after all the fields in the dialog box are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

What Do I Need to Know About Using the SVID Decode?

  • SVID has a protocol-specific hardware trigger. You can access this trigger by:

    • Enter the Trigger Setup dialog box (Trigger > Setup Trigger...) and choose Protocol as the trigger mode.

    • If SVID is not displayed on the button in the Protocol section, click on the button and set up your protocol decode.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


USB 2.0

USB Protocol Decode Dialog Box

What Do I Need to Know About Using the USB Decode and Trigger?

Note

Requires that the USB 2.0 Triggering and Decode software be installed on your oscilloscope.

USB Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when USB is selected as the protocol.

p1, p2, p3, p4 — Lets you select which of the oscilloscope's four protocol decodes to use.

Show Decode — Check this box to display the listing window.

Speed — Select between high-speed, low-speed, or full-speed.

Differential Data Source — Specifies the source of the USB 2.0 signal.

Auto Setup — Click this button after all the fields in the dialog box are set. It will automatically set parameters such as memory depth, sample rate, trigger, thresholds, trigger levels, etc.

Manual Setup... — Click this button to undo the Auto Setup, change parameters from those that the Auto Setup enabled, or to see what parameters were set by Auto Setup.

What Do I Need to Know About Using the USB Decode and Trigger?

  • For low-speed and full-speed USB protocols, you must use single-ended probes (either MSO or analog) because differential probing does not provide adequate capability to properly decode (the GUI will not allow differential probing due to this). For high-speed, differential probing is required.

  • USB does not have a protocol-specific hardware trigger. You, therefore, have one of two options:

    • Use the hardware trigger set up by Auto Setup. The vast majority of users should use this. You can then use the Protocol Search dialog box to search for specific parts of the protocol data.

    • For advanced users only, figure out a hardware trigger (other than Protocol) that will occur in the vicinity of the software trigger.

      Note

      It is important to understand that the software trigger (protocol search) and hardware trigger work together. The hardware trigger needs to get you "close" to the event your software trigger is looking for in order for the software trigger to be effective. Do not ignore the hardware trigger when using software triggering. Instead, think about how to use the hardware trigger to get you close to the software trigger event.

  • The size of headers can vary in USB. The header size is the number of words included in the packet before the payload even starts. This varies with the packet type since some packets require a larger header (such as a larger address) than others. It is important to know about this because in many situations there are payloads so large that the oscilloscope cannot trigger on the entire thing. The best the oscilloscope can do is to trigger on the first part of the payload.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


USB 3.0

USB 3.0 Protocol Decode Dialog Box

What Do I Need to Know About Using the USB 3.0 Decode?

Note

Requires that the USB 3.0 software be installed on your oscilloscope.

USB 3.0 Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when USB 3.0 is selected as the protocol.

Check the Show Decode dialog box to decode the USB 3.0 data stream. The select the channels/functions/memories that you want to decode (Data Source 1-4 fields). The symbol display format section enables you to choose between displaying the decode using K/D codes (example, K28.1 or D0.1), 10-bit, or labels defined by the selected decode standard. The Descramble box (when checked) allows you to see data streams that have been scrambled. The Electrical IDLEs are Present box (when checked) removes idle time from serial buses that have bursts of serial data followed by long period of idle time.

When all of this is set to your desired values, press the Auto Setup button (this sets thresholds, memory depth, triggers, etc.). If you want to see what the Auto Setup button set various parameters to or if you want to change them, press on the Manual Setup button.

Please note that you can now specify the channels you want to decode using the Data Source 1-4 controls in this dialog box. Only two of the four fields can decode analog oscilloscope input channels (one channel from the grouping of Channel 1/Channel 2 and one channel from the grouping of Channel 3/Channel 4). The other two Data Source controls (if you use them) must be either functions or a waveform memories.

What Do I Need to Know About Using the USB 3.0 Decode?

  • There is not a USB 3.0 hardware-based protocol trigger. You can either set up a trigger using the standard trigger modes or you can use the software-based trigger/search described in Protocol Search.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


InfiniiBand, Fibre Channel, XAUI, and DVI/HDMI

Protocol Decode Dialog Box

What Do I Need to Know About Using these Protocols?

Note

Requires that the corresponding protocol software be installed on your oscilloscope.

Protocol Decode Dialog Box

The following screen shot gives a brief overview of the controls present in the Protocol Decode dialog box when SATA is selected as the protocol. The dialog box looks exactly the same (in terms of its controls) when InfiniBand, Fibre Channel, XAUI, or DVI/HDMI is chosen as the protocol.

Check the Show Decode dialog box to decode the data stream. The select the channels/functions/memories that you want to decode (Data Source 1-4 fields). The symbol display format section enables you to choose between displaying the decode using K/D codes, 10-bit representations, or labels defined by the selected decode standard. The Descramble box (when checked) allows you to see data streams that have been scrambled. The Electrical IDLEs are Present box (when checked) removes idle time from serial buses that have bursts of serial data followed by long period of idle time.

When all of this is set to your desired values, press the Auto Setup button (this sets thresholds, memory depth, triggers, etc.). If you want to see what the Auto Setup button set various parameters to or if you want to change them, press on the Manual Setup button.

Please note that you can now specify the channels you want to decode using the Data Source 1-4 controls in this dialog box. Only two of the four fields can decode analog oscilloscope input channels (one channel from the grouping of Channel 1/Channel 2 and one channel from the grouping of Channel 3/Channel 4). The other two Data Source controls (if you use them) must be either functions or a waveform memories.

What Do I Need to Know About Using these Protocols?

  • None of these four protocols (InfiniBand, Fibre Channel, XAUI, and DVI/HDMI) have hardware-based protocol triggers. You can either set up a trigger using the standard trigger modes or you can use the software-based trigger/search described in Protocol Search.

See Also

  • Decode Listing Window

  • Protocol Search

  • Protocol Trigger

  • Serial Data Analysis


Manual Setup Dialog Box

The Manual Setup dialog box provides access to all of the parameters used by Protocol Decode and Trigger. If the Auto Setup button is clicked, each of these parameters are set automatically for the selected protocol. Also, the Manual Setup dialog box contains the Undo Auto Setup button.

What Do I Need to Know About the Controls in This Dialog Box?

Clicking the Manual Setup... button in the Protocol Decode dialog box opens the Manual Setup dialog box. In this dialog box, the configured values for each setting used by protocol decode / trigger are shown.

  • Trigger Levels, Protocol Measurement Thresholds — One key aspect of this dialog box you need to understand is the difference between Trigger Levels and Protocol Measurement Thresholds.

    Trigger Levels are used to define hardware triggers (those triggers setup in the Trigger Setup dialog box) and decode.

    Protocol Measurement Thresholds are used with software triggers / decode / search.

    For instance, if you had your hardware trigger set to rising edge on channel one and your software trigger/search set to a specified pattern, the Trigger Level would be used to define the hardware trigger's rising edge and the Measurement Thresholds would be used to determine the data pattern.

  • Acquisition..., Trigger..., Search..., Holdoff... — Clicking one of these buttons opens the corresponding dialog box so you can make adjustments to the specific controls. For example, clicking the Trigger... button opens the Trigger Setup dialog box where you can make adjustments to the hardware trigger conditions.

    Displayed next to these buttons are the current values for the parameters used by the protocol decode/trigger. For example, next to the Acquisition... button the current memory depth and sample rate are shown. This is useful if you want to know what values were set by the Auto Setup button, and it lets you quickly see if you need to change any parameters.

  • Auto Setup — Automatically sets values for your selected protocol.

  • Undo Auto Setup — Lets you undo an Auto Setup.


Decode Listing Window

How Do I Enable Display Decode?

How Do I Control the Decode Listing Window?

What Are the Features of the Decode Listing Window?

When a protocol decode is enabled, Infiniium displays decode information in the Waveform window and packet information in the Decode listing window. This window lets you quickly navigate through the decode and determine various properties of the data stream (discussed below).

How Do I Enable Display Decode?

To decode protocol data:

  1. First open the Protocol Decode dialog box (under Setup > Protocol Decode...).

  2. To enable decode, check the Show Decode box. Then set the parameters in this dialog box to your desired values.

  3. Finally, click the Auto Setup button to automatically set various parameters in the oscilloscope (these parameters are associated with acquisitions, triggering, thresholds, and clock recovery — you can see these settings by clicking the Manual Setup... button to open the Manual Setup Dialog Box).

    The Auto Setup button lets you quickly set the oscilloscope to decode your protocol data without having to locate various dialog boxes spread throughout the GUI.

How Do I Control the Decode Listing Window?

When you enable protocol decode, a Decode Listing window appears in the oscilloscope display as shown here.

You can minimize or maximize this window by using the arrow controls shown below.

What Are the Features of the Decode Listing Window?

  • The Show Fields check box allows you to switch back and forth between viewing addresses in the decode or symbols. If the box is checked then the decode is displayed using addresses. If it is unchecked then the symbols are shown. This applies only to the embedded display and not to the fields (except in the case of RS-232 and SPI)

  • The Display Format drop down menu allows you to select the display format of the decode (Hex, Decimal, Binary, or ASCII). Again, this only applies to the embedded display and not to the fields (except in the case of RS-232 and SPI).

  • The entries in the Packet tab are color-coded with the waveform so you can easily see which sections of the protocol decode correspond to which packet listing. This is also convenient when you zoom out because you can easily match the color code even when you are not zoomed in enough to actually see the decode listings in the display.

  • The 10 bit representation for invalid symbols in 8b/10b protocols are shown in the Decode Listing Window.

  • There are five tabs that can be displayed in the Decode Listing Window. If packet decoding is supported by the protocol you have specified in the Protocol Decode dialog box then the following tabs appear: Packets, Details, Payload, and Header (except SPI and RS232 only have packet decoding and do not have the Symbols, Details, or Payload tabs). If the protocol does not support packet decoding then only the Symbols tab is displayed in the protocol viewer (generic 8b/10b is the only one that does not support packet decoding because it is a symbol encoding method, not a protocol).

    • Symbol Tab

    • Packets Tab

    • Details Tab

    • Payload Tab

    • Header Tab


Symbol Tab

The Symbols tab shows the 8b/10b decode. When this tab is displayed, no packet decoding is performed.

The symbols shown are impacted by whether or not Descrambling is on. If Descrambling is on, the symbol shown is the Descrambled value.

Some symbols do not show either a positive or negative disparity. This is because the value in the plus column of the 8B/10B table matches the value in the negative column of the 8B/10B table. One example of this is the symbol AE (D14.5). The plus 10 bit value is 011100 10101 but the negative 10 bit value is also 011100 10101. Because both 10B symbols are the same, the oscilloscope cannot tell whether it belongs to the plus column or minus column.

The disparity value shown only specifies whether or not the 10B value was found in the plus or minus side of the 8B/10B decoding table. Because symbols with neutral disparity (that is, the same number of 0s and 1s) can be in either column, this means there can be several plus or minus symbols in a row without having an disparity error. For example, in PCI Express there are skip ordered sets. These begin with a COM (K28.5) and are typically followed by three SKPs (K28.0). Since both COM and SKP use neutral disparity symbols in both the plus and minus columns, a skip ordered set does not change the running disparity at all. This means that a COM+ SKP+ SKP+ SKP+ does not indicate a disparity error because in each case the symbol in the plus side of the 8B/10B table happens to be neutral. In a similar manner, a set of symbols that appear to have alternating disparity might actually contain a disparity error because some of the symbols are actually neutral. The bottom line is that the only way to know the running disparity is to count the number of 1s as compared to the number of 0s.


Packets Tab

The following screen shows the Decode Listing window when the Packets tab is selected. To provide time correlation between the waveforms and the listing, the selected packet is highlighted blue in the listing and the blue line (called the Blue Bar) in the display shows the corresponding location in the waveform. You can click and hold the mouse to move this Blue Bar horizontally and the packet located at the center of the Blue Bar after the movement will become the selected packet (its entry will become highlighted blue in the listing window).


Details Tab

The following screen shot is an example of the Decode Listing window when the Details tab is selected. The Details tab shows the details for the selected packet in a hierarchal manner and breaks each packet into easy-to-read textual fields.


Payload Tab

The following screen shot is an example of what the Decode Listing window looks like when the Payload tab is selected. The Payload tab shows the payload for the selected packet and can handle very large payloads.


Header Tab

The following screen shot is an example of what the Decode Listing window looks like when the Header tab is selected. The Header tab shows the entire packet separated into adjacent fields (for example, this is exactly the representation used in the PCI Express specification). The Header tab is also associated with the View as Bits dialog box. Whereas the View as Bits dialog box shows what the trigger looks like, the Header tab shows what the acquired packet looks like.


Protocol Search

Understanding the Enable Searching, Trigger On Search, and Stop on Trigger Controls

Other Controls

The Protocol Search feature can be used for both searching or as a software-based trigger. Protocol search is ultimately controlled by the Protocol Decode dialog box. Therefore, you should set up your protocol in the Protocol Decode dialog box, click the Auto Setup button, and then open the Protocol Search dialog box.

Understanding the Enable Searching, Trigger On Search, and Stop on Trigger Controls

There are several controls in the Protocol Search dialog box that appear no matter what protocol you have specified:

  • Enable Searching — check this to search data that has already been acquired.

  • Trigger On Search — enable this to use search as a software trigger. A software trigger is used in combination with the hardware trigger.

  • Stop on Trigger — check this to have the oscilloscope stop whenever the software trigger is found.

In order to better understand how these three controls impact the oscilloscope trigger / display, let us look at three examples:

  1. Case 1 — The hardware trigger is set to rising edge (channel 1) in the Trigger Setup dialog box (Trigger > Setup Trigger...), search is enabled (looking for a protocol field), and the Trigger On Search control is disabled.

    In this case, the oscilloscope acquires data. Because the trigger is set to a rising edge on channel 1, it checks to see when this condition is met. When it is met, the protocol search looks for the specified protocol field. The waveform and number of occurrences are shown to the user. The displayed number of occurrences will frequently be zero.

  2. Case 2 — The hardware trigger is set to rising edge (channel 1) in the Trigger Setup dialog box (Trigger > Setup Trigger...), protocol search is enabled (looking for a protocol field), Trigger On Search control is enabled, and Stop on Trigger control is disabled.

    The oscilloscope acquires data. Because the trigger is set to a rising edge on channel 1, it checks to see when this condition is met. When it is met, the protocol search looks for the protocol field.

    • If the number of occurrences is zero, the data is thrown away and never shown to you. The oscilloscope remains in the armed state.

    • If the number of occurrences is greater than zero, the oscilloscope triggers and the waveform and the number of occurrences are displayed to you.

    By definition, the displayed number of occurrences will never be zero.

    Because Stop On Trigger is not enabled, the oscilloscope continues to acquire data and, if the conditions are met again, another update occurs.

  3. Case 3 — Hardware trigger is set to rising edge (channel 1) in the Trigger Setup dialog box (Trigger > Setup Trigger...), protocol search is enabled (looking for protocol field), the Trigger On Search control is enabled, and the Stop On Trigger control is enabled.

    The oscilloscope acquires data. Because the trigger is set to a rising edge on channel 1, it checks to see when this condition is met. When it is met, the protocol search looks for the specified protocol field.

    • If the number of occurrences is zero, the data is thrown away and never shown to you. The oscilloscope remains in the armed state.

    • If the number of occurrences is greater than zero, the oscilloscope triggers and the waveform and the number of occurrences are displayed to you.

    By definition, the displayed number of occurrences will never be zero.

    Because the Stop On Trigger control is enabled, the oscilloscope stops running just like a single shot acquisition had been used for a hardware trigger.

Summary:

  • So in Case 1, the trigger is only a rising edge. That is enough to update the oscilloscope display.

  • For Case 2, the trigger is both a rising edge and a protocol field. Until both conditions are met, the display will not be updated. Finding a protocol field does not cause the oscilloscope to stop.

  • For Case 3, the trigger is both a rising edge and a protocol field. Until both conditions are met, the display will not be updated. Finding a protocol field causes the oscilloscope to stop.

Tips:

  • When you select Trigger On Search, you are using the software-based trigger. By definition, this should not be used unless the specific event you are triggering on occurs frequently. When you are using this software-based trigger, the Stop On Trigger control should almost always be checked because unchecking it makes it even more necessary that your trigger event occurs frequently.

    (Software-based triggers are much slower than hardware-based ones. Therefore, they should not be used to trigger on rare events. If you are using a software-based trigger and it is taking too long to find a trigger event, switch to using a hardware-based trigger instead.)

  • It is important to understand that the software trigger (protocol search) and hardware trigger work together. The hardware trigger needs to get you "close" to the event your software trigger is looking for in order for the software trigger to be effective. Do not ignore the hardware trigger when using software triggering. Instead, think about how to use the hardware trigger to get you close to the software trigger event.

Other Controls

  • Payload Editor

  • Navigation Tab

  • View as Bits


Navigation Tab

Where is the Navigation Tab Located?

How Do I Use the Navigation Tab?

When performing a search of protocol data, Measurement Limit Test, or Real-Time Eye, the Navigate tab appears in the lower part of the display. It lets you navigate through the protocol data for places where a specified pattern is found or where specific instances of measurement violations occur in your waveform.

Before you can navigate through the protocol data / waveform, you must stop Infiniium from acquiring new data by pressing the front panel [Run/Stop] key. Once stopped, you can use the search keys in the Navigation tab.

Where is the Navigation Tab Located?

The Navigation tab is located below the waveform viewing area and appears when you are searching a protocol decode, performing a measurement limit test, or viewing a real-time eye. This tab is seen in the screen shot below.

If the Navigate tab does not appear, it is probably because the tab area has been hidden or minimized. To make the Navigate tab appear, right-click on the left side of the tab area and then select Tab Area > Standard. This will expand the tab area and make the Navigate tab visible. Another way to make the tab area appear is to select Control > Tab Area > Standard.

How Do I Use the Navigation Tab?

The Navigation tab shows the number of search symbols or measurement limit violations that were found and the index value of the search symbol/measurement limit violation that is currently displayed at the center of the waveform viewing area. There are four controls that allow you to move to another symbol in the protocol data or measurement violation in the waveform:

Move to the first search symbol in the protocol data.

Move to the previous search symbol in the protocol data.

Move to next search symbol in the protocol data.

Move to the last search symbol in the protocol data.

You can set up or change the symbols which are used for the search by clicking the Set up Search... button in the Navigate tab if you are working with protocol data. If you are using the Measurement Limit Test and Search functionality, then you can press a similar button in the Navigate tab to adjust the parameters for the limit test and search.

See Also

  • Limit Test and Search

  • Real-Time Eye Setup Dialog Box


View as Bits

Where is the View as Bits Dialog Box?

When you specify a trigger based upon fields, there is some ambiguity as to what the trigger actually is. In other words, what is the hardware trigger actually looking for? The View as Bits control is designed to show you exactly what the trigger is, bit by bit. View as Bits can also be used to confirm that the oscilloscope is indeed triggering on the field you think it should be.

The View as Bits dialog box and the Header tab in the Decode Listing Window are two ways of obtaining information on your decode. The View as Bits dialog box shows you what the trigger will be while the Header tab shows the current packet.

The Edit as Sequence option (available for several protocols in the Protocol Search dialog box) is closely related to View as Bits. In this case, you decide that the oscilloscope's interpretation is not what you want and decide to change it. This is also useful for the instances where you want to trigger on something that is similar to of the oscilloscope's field based triggers, but it is not an exact match.

Where is the View as Bits Dialog Box?

The View as Bits dialog box is located under Setup > Protocol Search... (click the View as Bits... button in the Protocol Search dialog box).

In the View as Bits dialog box, you can see what the oscilloscope is triggering on (or searching for) bit by bit. You can adjust the display format as desired.


Payload Editor

The Payload Editor Controls

The Payload editor can be accessed by clicking on various fields found throughout the Protocol Search and Protocol Trigger dialog boxes. When you are supposed to specify a packet for a field in one of these dialog boxes, clicking on the field will make the Payload Editor appear. You can then use the Payload Editor to specify a payload, packet, or frame.

The display at the top of the Payload Editor shows a summary of the payload while the bottom section (the area in the group box) operates on the highlighted word. Whenever a word is selected, it appears in the text field for editing. The keypad as well as the backspace and CLR buttons operate on this text field.

There are several methods to move from word to word. One is to simply click on the desired word in the payload summary at the top of the dialog. Another is to use the left/right keys at the top. Once a word has been completely specified the payload editor will automatically jump to the next word.

Don't care values (X) at the far right of the payload are ignored. Therefore, 11 22 33 XX XX is the same as 11 22 33. The same is not true for don't cares on the left, so XX XX 11 22 33 is not the same as 11 22 33.

The payload editor provides a method for editing payloads (or symbol sequences) of variable length. The Size widget is used to specify how many words are in the payload (or sequence). There are several important things to know about the Size control in the Payload editor:

  • If there is a Size widget in the upper left corner of the dialog, then the number of words is variable. The size indicates the number of words. For example, if you want to trigger on 12 34 45, then you should set the size as 3.

  • The size in the Payload Editor is independent of the number of bits per word. Protocols such as SPI and RS-232 let you adjust the number of bits in a word. The size in the Payload Editor only adjusts the number of words in the Payload.

  • The Payload Editor will always use the word size. So if you define a word as 4 bits in SPI, each word in the Payload Editor will be one hex character long. If it is 16 bits, each word will be four hex characters long.

Also, the Payload Editor allows you to OR words if your protocol is SPI or RS-232/UART except if you are using word sizes other than 8 bits for SPI.

RS232 allows operators such as greater than, less than, and not equals on a word by word basis. Therefore, you can specify if Word 0 is 12 or 25. The symbol used to indicate an OR is "|". However, there is no way to specify (22 55 ) OR (23 25). The best that you can do is (22 OR 23) (55 OR 25). Also, ORs can only be used with equals operators. Therefore, there is no way to specify <55 OR >90.

The Payload Editor Controls

  • Size — If this field is available, the number of words is variable.

  • Format — You can specify the format of the words you enter.

  • (left arrow), (right arrow) — Use these to move back and forth between words.

  • (value field) — Specify the value for the currently highlighted word.


Protocol Trigger

Software-Based Protocol Triggers

Why Would I Want to Use This Control?

Where is This Control Accessed?

The Protocol trigger mode lets you trigger on certain packets or patterns in protocol-based data.

To access the Protocol trigger:

  1. First, set up and enable the protocol decode (Setup > Protocol Decode...).

  2. Click Trigger > Setup Trigger... and then select the Protocol trigger mode.

Some oscilloscopes provide hardware-based triggers for certain protocols. Hardware-based triggers (like Edge, Pulse Width, Pattern, etc.) are fast because they are performed by circuitry looking at sampled data. In this oscilloscope, there are no hardware-based triggers for protocols.

However, software-based triggers are available for all protocols by way of the Protocol Search dialog box (when the Trigger On Search option is enabled). Software triggers are slower because they are performed by software that searches acquired data.

Software-Based Protocol Triggers

For example, there is no hardware-based trigger for the FlexRay protocol. Instead standard trigger modes (such as Edge triggering) are used for its hardware trigger. (FlexRay does give you a hardware-based option to trigger on a Cycle TSS or Any TSS.)

In the following screen shot, you can see that the current hardware trigger is "Pos Pulse Width, Ch1 > 3.00 us". This is the default hardware trigger used when the FlexRay protocol is selected, but you can select and use any other trigger mode.

To set up a software-based trigger:

  1. If the Protocol trigger mode is selected, click Search....

    If the Search... button is not active (that is, it is grayed out), you need to enable the Show Decode option in the Protocol Decode dialog box (Setup > Protocol Decode...).

    If you are using another trigger mode, open the Protocol Search dialog box by clicking Setup > Protocol Search....

  2. In the Protocol Search dialog box, check Enable Searching and set up the protocol search parameters.

  3. Then, check Trigger on Search.

For more information on software-based protocol triggering, see Protocol Search.

Why Would I Want to Use This Control?

  • Use this trigger mode to trigger on protocol-based values.

Where is This Control Accessed?

  • This control is accessed via the Trigger Setup dialog box (Trigger > Setup Trigger...).

See Also

  • Trigger

  • Trigger Modes

  • Serial Data Analysis

Application Notes

  • Strategies for Debugging Serial Bus Systems with Infiniium Oscilloscopes

  • Debugging Serial Bus Systems with a Mixed-Signal Oscilloscope


Troubleshooting Protocol Decode and Triggering

Why is Protocol Decode disabled?

Protocol Trigger and/or Decode are Not Working

Insufficient Memory Depth

Insufficient Sample Rate

Trigger and Other Controls Keep Changing

The Show Decode Box is Grayed Out

I Cannot Use the OR Feature in the Payload Editor

I Cannot Use Decimal as the Base in the Payload Editor

The Show Decode Box is Grayed Out

Below are a series of things that can impact your protocol decode / trigger. If you are having difficulty with protocol decode / trigger, you should browse through these topics to make sure one of them does not apply to you.

Why is Protocol Decode disabled?

The following conditions disable protocol decode:

  • Measurement Level Qualification is enabled.

  • Mask Test is enabled.

  • Waveform Color Grade is on.

  • Equivalent Time is on.

Protocol Trigger and/or Decode are Not Working

If you are having difficulty with protocol decode / trigger, you should check the following areas:

  • Ensure the device under test (DUT) is running when you press the Auto Setup button.

  • Try clicking the Auto Setup button if you did not before or try pressing it again in case you changed things in the GUI that changed the trigger or decode.

  • Everything in the Manual Setup dialog box has an impact on the trigger and/or decode. Be sure to double check all of these settings.

  • If the sample rate is too low, the decode may not be useful or may disappear (for instance, if you set the sample rate to Automatic and then zoom in on the data, the decode may go away). This also holds true for memory depth (see the following sections for more details on these two issues).

  • Check your trigger conditions.

  • Check your clock recovery method if your protocol recovers a clock.

Insufficient Memory Depth

Impact: Insufficient memory depth will result in invalid packets. The protocol decode may look fine at first glance, but it is actually incorrect. Protocol triggering is not necessarily impacted by memory depth as the oscilloscope hardware has a separate memory depth that it uses for protocol triggering. Therefore, the oscilloscope is capable of triggering on data that cannot be accurately decoded given the current settings.

Example: In the screenshot below, the user has specified a trigger of 41 47 49 on the data and has a memory depth of 8 kpts. The oscilloscope triggered fine, but we do not see a packet with data 41 47 49. What happened? In this case, the 8 kpts of data is not sufficient and the last packet was truncated (notice there are a number of waveforms with no decode). So, the trigger hardware really did see a packet with data of 41 47 49, but the memory depth was so low that this final packet could not be decoded.

Solution: Increase the memory depth.

Insufficient Sample Rate

Impact: Insufficient sample rate will also result in invalid packets. The protocol decode may look fine at first glance, but it is actually incorrect. Protocol triggering is not necessarily impacted by sample rate because the oscilloscope hardware has a separate sample rate that it uses for protocol triggering. Therefore, the oscilloscope is capable of triggering on data that cannot be accurately decoded given the current settings.

Example: Consider the following example using I2C. Assume we have 100 kpts of memory (so we have plenty of data), our sample rate is 4 MSa/s, and we have specified a trigger of 41 47 49 on the data. However, we are not triggering on the packet with data 41 47 49. What is going on? In this case, the sample rate of 4 MSa/s is too low and occasionally packets cannot be decoded (our 41 47 40 packet in this instance). The protocol trigger hardware uses its own sample rate so it finds the packet with no problem, but the acquired data cannot be correctly decoded.

Solution: Increase the sample rate.

Trigger and Other Controls Keep Changing

Impact: The Protocol Decode dialog box has ultimate control so when you set up a protocol decode in this dialog box, parameters elsewhere in the GUI may change as well.

Example: Suppose we set our protocol to be CAN. We then set all of the parameters in the Protocol Decode dialog box and press the Auto Setup button. This sets our trigger to be in either edge mode. Now, we later go back into the Protocol Decode dialog box and change the protocol to USB 2.0. We press the Auto Setup button and find that our trigger has been changed to the USB 2.0 protocol trigger. What happened? The Protocol Decode dialog box has ultimate control over various settings in the oscilloscope GUI. When you press the Auto Setup button, these controls are set to values depending on the protocol you are using. If you want to see exactly which values were changed and to what values they were changed to, press the Manual Setup button.

Solution: Always keep in mind that the Protocol Decode dialog box has ultimate control over other dialog boxes and that when you press the Auto Setup button, the controls in these other dialog boxes can change.

The Show Decode Box is Grayed Out

The Show Decode box in the Protocol Decode dialog box (Setup > Protocol Decode) is only activated when the other settings in the dialog box are valid. For instance, if you set the Protocol field to a standard that requires both a clock source and a data source, but you only have Channel 1 turned on, the Show Decode box will be grayed out until you turn on another channel.

Solution: Try turning on more channels first. If that does not work, then look at the other settings in the Protocol Decode dialog box, and make sure all of the settings are valid.

I Cannot Use the OR Feature in the Payload Editor

Some protocols (RS-232/UART and SPI) allow you to adjust the word size in the Protocol Decode dialog box (Setup > Protocol Decode). The OR feature only works with the word size of 8 bits for SPI. If you change the word size to any other number of bits then the OR feature will be not be accessible in the payload editor.

I Cannot Use Decimal as the Base in the Payload Editor

Some protocols (RS-232/UART and SPI) allow you to adjust the word size in the Protocol Decode dialog box (Setup > Protocol Decode). If you set the word size to be greater than 8 bits then you cannot use decimal as a base in the payload editor.

The Protocol Trigger Mode is Grayed Out

If the protocol is not set up correctly (in the Protocol Decode dialog box) then the Protocol trigger choice will be inactive. Return to the Protocol Decode dialog box and look for any fields that could cause the protocol to not be properly set up (for example, not having enough channels turned on).


Measurements

Voltage Measurements

Time Measurements

Clock Measurements

Data Measurements

Mixed Time/Voltage Measurements

Frequency Domain Measurements

Eye Pattern Measurements

Histogram Statistic Measurements

Measurement Controls

Markers

Troubleshooting Measurement Results

Measurements are grouped by categories. Click the links above to see the specific measurements in each category.


Voltage Measurements

Amplitude (V amptd)

Average Voltage (V avg)

Base Voltage (V Base)

Crossing Point Measurement (Crossing)

Maximum Voltage (V max)

Minimum Voltage (V min)

Overshoot

Peak-to-Peak Voltage (Vp-p)

Preshoot

Pulse Amplitude

Pulse Base

Pulse Top

RMS Voltage (V RMS)

Top Voltage (V top)

V Lower

V Middle

V Upper

Vovershoot

Vpreshoot


Amplitude (V amptd)

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

V amptd is the amplitude of the waveform display.

Amplitude is impacted by the parameters in the Measurement Thresholds dialog box. Use this dialog box to define the threshold settings which affects this measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the V amptd icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Voltage > V amptd.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Average Voltage (V avg)

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

V avg is the average voltage of waveform data.

V avg is impacted by the parameters in the Measurement Thresholds dialog box. Use this dialog box to define the threshold settings which affect this measurement.

When you make this measurement, you are asked if the measurement should be made on one waveform cycle or across the entire display. If you choose one waveform cycle, Infiniium will start the measurement at the nearest edge where you dropped the icon or on the trigger reference point edge if you did not drag and drop the measurement. Otherwise, it will make the measurement across the waveform display without regard to any waveform edges. You can set the markers to Track Measurements to see where Infiniium is making the measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the V avg icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Voltage > V avg.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Base Voltage (V Base)

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

V base of the waveform is found directly from the measurement histogram. The bottom 40% of the measurement histogram is scanned to find the peak value which is used for Vbase.

Infiniium's Vbase algorithm decides whether the Vmin value should be used, as is the case for triangular waveforms, or whether the measurement histogram peak should be used, as is the case for square waveforms.

This selection technique prevents Vbase from jumping around on waveforms with even histogram distributions such as triangular waveforms. It also allows the detection of Vbase for low duty cycle waveforms.

This measurement is position independent and the entire display is used for the measurement. If more than one waveform source is active, Infiniium will ask you which source you want to use for the measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the V base icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Voltage > V base.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Crossing Point Measurement (Crossing)

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

The crossing point measurement determines the voltage at which two waveforms cross (intersect). The edges closest to the middle of the screen are used in the measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Selecting Measure > Voltage > Crossing.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Maximum Voltage (V max)

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

V max is the absolute maximum voltage of the waveform display.

This measurement is position independent and the entire display is used for the measurement. To have Infiniium make this measurement, click and release on the measurement's icon. If more than one waveform source is active, Infiniium will ask you which source to make the measurement on. You can also click and drag the icon to the waveform source you want Infiniium to measure or select this icon from the Measure menu.

Color Grade Vmax Measurement

You can make a maximum voltage measurement on a color grade waveform as long as there is only one channel or one function on at a time. The measurement is made on the same database as that used by the Histogram features where each pixel in the waveform viewing area has a 53-bit counter bit counter in the database.

If there is more than one channel or function on at a time, Infiniium shows the following message in the column labeled current:

Channels > 1

You must have Color Grade feature on before you can make this measurement. The source for this measurement is Color Grade. More accurate maximum voltage measurements can be made using a Channel as the source rather than Color Grade.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the V max icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Voltage > V max.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Minimum Voltage (V min)

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

V min is the absolute minimum voltage of the waveform display.

This measurement is position independent and the entire display is used for the measurement. To have Infiniium make this measurement, click and release on the measurement's icon. If more than one waveform source is active, Infiniium will ask you which source to make the measurement on. You can also click and drag the icon to the waveform source you want Infiniium to measure or select this icon from the Measure menu.

Color Grade Vmin Measurement

You can make a minimum voltage measurement on a color grade waveform as long as there is only one channel or one function on at a time. The measurement is made on the same database as that used by the Histogram features where each pixel in the waveform viewing area has a 53-bit counter bit counter in the database.

If there is more than one channel or function on at a time, Infiniium shows the following message in the column labeled current:

Channels > 1

You must have Color Grade feature on before you can make this measurement. The source for this measurement is Color Grade.

More accurate minimum voltage measurements can be made using a Channel as the source rather than Color Grade.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the V min icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Voltage > V min.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Overshoot

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

Overshoot is a waveform distortion which follows a major edge transition.

Rising Edge Overshoot Measurement

If the edge being measured is a rising edge, then the overshoot is calculated using the following formula:

When measuring the overshoot of a rising edge, the scope finds the maximum voltage value of your waveform (local maximum) in the overshoot interval. The left-hand edge of the overshoot interval is where the edge of your waveform crosses the upper level threshold. The right-hand edge of the overshoot interval is the top center point of your waveform.

Falling Edge Overshoot Measurement

If the edge being measured is a falling edge, then the overshoot is calculated using the following formula:

When measuring overshoot following a falling edge, the scope finds the minimum voltage value of your waveform (local minimum) in the overshoot interval. The left-hand edge of the overshoot interval is where the edge of your waveform crosses the lower level threshold. The right-hand edge of the overshoot interval is the bottom center point of your waveform.

The Measurement Thresholds Setup dialog box allows you to change the threshold, the top, and the base definitions, which affect the measurement.

Infiniium makes the measurement on the edge closest to where you dropped the icon or on the trigger reference point edge if you did not drag and drop the measurement. You can set the markers to Track Measurements to see where Infiniium is making the measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the Overshoot icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Voltage > Overshoot.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Peak-to-Peak Voltage (Vp-p)

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

Peak-to-Peak Voltage is defined as Vmax - Vmin. See Vmax and Vmin for information on how those values are calculated.

This measurement is position independent and the entire display is used for the measurement. To have Infiniium make this measurement, click and release on the measurement's icon. If more than one waveform source is active, Infiniium will ask you which source to make the measurement on. You can also click and drag the icon to the waveform source you want Infiniium to measure or select this icon from the Measure menu.

Color Grade Vp-p Measurement

You can make a peak-to-peak voltage measurement on a color grade waveform as long as there is only one channel or one function on at a time. The measurement is made on the same database as that used by the Histogram feature where each pixel in the waveform viewing area has a 53-bit counter bit counter in the database.

If there is more than one channel or function on at a time, Infiniium shows the following message in the column labeled current:

Channels > 1

You must have Color Grade feature on before you can make this measurement. The source for this measurement is Color Grade.

More accurate peak-to-peak voltage measurements can be made using a Channel as the source rather than Color Grade.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the V p-p icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Voltage > V p-p.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Preshoot

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

Preshoot is a waveform distortion which precedes an edge transition.

Rising Edge Preshoot Measurement

If the edge being measured is a rising edge, then preshoot is calculated using the following formula:

When measuring preshoot before a rising edge, the scope finds the minimum voltage value of your waveform (local minimum) in the preshoot interval. The left-hand edge of the preshoot interval is the bottom center point of your waveform. The right-hand edge of the preshoot interval is where the rising edge of your waveform crosses the lower level threshold.

Falling Edge Preshoot Measurement

If the edge being measured is a falling edge, then the preshoot is calculated using the following formula:

When measuring preshoot before a falling edge, the oscilloscope finds the maximum voltage value of your waveform (local maximum) in the preshoot interval. The left-hand edge of the preshoot interval is the top center point of your waveform. The right-hand edge of the preshoot interval is where the falling edge of your waveform crosses the upper level threshold.

The Threshold Setup dialog box allows you to change the threshold, the top, and the base definitions, which affect the measurement.

Infiniium makes the measurement on the edge closest to where you dropped the icon or on the trigger reference point edge if you didn't drag and drop the measurement. You can set the markers to Track Measurements to see where Infiniium is making the measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the Preshoot icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Voltage > Preshoot.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Pulse Amplitude

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

The Pulse Amplitude measurement measures the pulse amplitude around a specified edge. The pulse measured is to the left and right of the specified edge.

There is only a single pulse window width applied to the pulse top and base for the amplitude measurement.

The pulse window is a range of data centered within the pulse width using the specified percentage of the data as measured at the middle threshold level. For example, a 50% window would not include in the average the first or last 25% of the pulse width as measured at the middle threshold level. A 100% window would measure the average of the entire pulse.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in the following manner:

  • Select Measure > Voltage > Pulse Amplitude.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Pulse Base

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

The Pulse Base measurement measures the average of the data of a negative pulse within the pulse window.

The pulse window is a range of data centered within the pulse width using the specified percentage of the data as measured at the middle threshold level. For example, a 50% window would not include in the average the first or last 25% of the pulse width as measured at the middle threshold level. A 100% window would measure the average of the entire pulse.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in the following manner:

  • Select Measure > Voltage > Pulse Base.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Pulse Top

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

The Pulse Top measurement measures the average of the data of a positive pulse within the pulse window.

The pulse window is a range of data centered within the pulse width using the specified percentage of the data as measured at the middle threshold level. For example, a 50% window would not include in the average the first or last 25% of the pulse width as measured at the middle threshold level. A 100% window would measure the average of the entire pulse.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in the following manner:

  • Select Measure > Voltage > Pulse Top.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


RMS Voltage (V RMS)

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

Infiniium can make either AC or DC RMS measurements. When you select the Vrms measurement, a dialog box appears allowing you to select the type of rms measurement that you want. You can also choose to make the measurement across the waveform display or just one cycle of the waveform.

The DC Vrms measurement is the classic way of making an rms voltage measurement and is calculated using the following formula:

where:

  • n = the number of waveform points on screen and not the memory depth.

  • v(i) = the voltage at the ith point on screen.

The AC Vrms is a modified rms measurement and removes the DC component of the waveform from the calculation of the rms voltage. The measurement is calculated using the following formula:

where:

  • n = the number of waveform points on screen and not the memory depth.

  • v(i) = the voltage at the ith point on screen.

  • Vavg = average voltage of the waveform.

If you choose to make this measurement for one waveform cycle, Infiniium will start the measurement at the edge closest to where you dropped the icon or on the trigger reference point edge if you didn't drag and drop the measurement.

Otherwise, it will make the measurement across the waveform display without regard to any waveform edges. This is useful for some types of noise measurements, for example. You can set the markers to Track Measurements to see where Infiniium is making the measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the V rms icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Voltage > V rms.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Top Voltage (V top)

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

Vtop of the waveform is found directly from the measurement histogram. The top 40% of the measurement histogram is scanned to find the peak value which is used for Vtop.

Infiniium's Vtop algorithm decides whether the Vmax value should be used, as is the case for triangular waveforms, or whether the measurement histogram peak should be used, as is the case for square waveforms.

This selection technique prevents Vtop from jumping around on waveforms with even histogram distributions such as triangular waveforms. It also allows the detection of Vtop for low duty cycle waveforms.

This measurement is position independent and the entire display is used for the measurement. If more than one waveform source is active, Infiniium will ask you which source you want to use for the measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the V top icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Voltage > V top.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


V Lower

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

V lower measures the lower voltage threshold of the waveform display.

This measurement is position independent and the entire display is used for the measurement. If more than one waveform source is active, Infiniium will ask you which source to use for the measurement.

The Measurement Thresholds Setup dialog box allows you to change the threshold, the top, and the base definitions, which affect the measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Select Measure > Voltage > V lower.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


V Middle

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

V middle measures the middle voltage threshold of the waveform display.

This measurement is position independent and the entire display is used for the measurement. If more than one waveform source is active, Infiniium will ask you which source to use for the measurement.

The Measurement Thresholds Setup dialog box allows you to change the threshold, the top, and the base definitions, which affect the measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Select Measure > Voltage > V middle.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


V Upper

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

V upper measures the upper voltage threshold of the waveform display.

This measurement is position independent and the entire display is used for the measurement. If more than one waveform source is active, Infiniium will ask you which source to use for the measurement.

The Measurement Thresholds Setup dialog box allows you to change the threshold, the top, and the base definitions, which affect the measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Select Measure > Voltage > V upper.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Vovershoot

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

The Vovershoot measurement is similar to the Overshoot measurement, but instead of returning the ratio of overshoot voltage to amplitude as a percent, it returns the local voltage of the overshoot.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in the following manner:

  • Select Measure > Voltage > Vovershoot.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Vpreshoot

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

The Vpreshoot measurement is similar to the Preshoot measurement, but instead of returning the ratio of preshoot voltage to amplitude as a percent, it returns the local voltage of the preshoot.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in the following manner:

  • Select Measure > Voltage > Vpreshoot.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Time Measurements

Burst Interval

Burst Period

Burst Width

Delta Time

Edge-Edge

Edge Time

Fall Time

T Max

T Min

Negative Pulse Width (- Width)

Positive Pulse Width (+ Width)

Pulse Count (+ and -)

Rise Time

T Volt


Burst Interval

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

The Burst Interval measurement measures the time between the end of the first burst and beginning of the next burst (an idle time can be specified such that the two bursts are a minimum distance in time apart from each other).

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in the following way:

  • Select Measure > Time > Burst Interval.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Burst Period

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

The Burst Period measurement measures the time between the beginning of the first burst and beginning of the next burst (an idle time can be specified such that the two bursts are a minimum distance in time apart from each other).

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in the following way:

  • Select Measure > Time > Burst Period.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Burst Width

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

Burst Width is defined as the time from the first edge of the burst that crosses either the lower-threshold or the upper-threshold to the last edge that crosses a threshold. A burst is qualified by the idle time. At least the amount of the idle time must be present before and after the burst to be considered a burst. The idle region is that portion of the waveform that does not exceed the upper or lower thresholds.

The following pictures show how the burst width is measured. The first picture shows the burst crossing the upper threshold first and the lower threshold crossing of the last cycle of the burst. The time between the two threshold measurements is the burst width measurement. In the second picture, the lower threshold is crossed by the burst and the upper threshold of the last cycle of the burst is the end point of the burst measurement.

The minimum idle time is the minimum amount of time between bursts when no waveform activity of interest occurs.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Selecting Measure > Time > Burst Width.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Delta Time

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

Measurement Tips

How is This Measurement Defined?

You can use Delta Time to measure edge to edge time differences on a single waveform or between waveforms on two channels. The measurement is made from the first waveform's edge to the second waveform's edge.

Each edge is defined by an edge number, edge slope, and edge threshold. You can set the edge number from 1 to 65534. The edge slope can be rising, falling, or first on display. The edge threshold can be lower, middle, or upper. Infiniium will prompt you for waveform sources for this measurement.

Infiniium starts counting edges from the left edge of the waveform viewing area instead of at the reference point. The edge you have specified must be displayed. If the edge is not displayed, the message "edge not found" is displayed.

Delta Time is impacted by the parameters in the Measurement Thresholds dialog box. Use this dialog box to define the threshold settings which affect this measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Selecting Measure > Time > 2-Source > Delta Time.

To measure edge to edge time differences on a single waveform, set both Source 1 and Source 2 to the same channel, function, or memory.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

Measurement Tips

  • If the waveform is clipped, the oscilloscope cannot make some automatic measurements. You will get a warning or error message if the waveform is clipped.

  • As an alternative to the automatic measurement, you can measure a time interval manually using Infiniium's markers. One advantage of using markers is that you can expand the time base around the start and stop events of the time interval to be measured, thus achieving more time resolution than the automatic measurements since you are not limited by the memory depth. To see the difference, set up a pulse generator for a pulse width of 100 ms and a rise time of 1 ns, or as small as the pulse generator will allow. Then measure the width both by using the scope’s automatic measurement and by using the markers.

See Also

  • Measurements


Edge-Edge

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

The Edge-Edge measurement is similar to the Delta Time measurement, but it can be applied to the measurement trend.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in the following way:

  • Select Measure > Time > Edge-Edge.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Edge Time

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

The Edge Time measurement displays the time of the edge, relative to the reference location.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in the following way:

  • Select Measure > Time > Edge time.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Fall Time

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

Measurement Tips

How is This Measurement Defined?

Fall time is defined as the time at the lower threshold minus the time at the upper threshold of the edge you are measuring.

To make this measurement, Infiniium requires at least 4 or more sample points on the edge of the waveform.

Infiniium will start the measurement at the nearest edge where you dropped the icon or on the trigger reference point edge if you didn't drag and drop the measurement. You can set the markers to Track Measurements to see where Infiniium is making the measurement.

Fall Time is impacted by the parameters in the Measurement Thresholds dialog box. Use this dialog box to define the threshold settings which affects this measurement.

There is also a Fall Time Jitter measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the Fall Time icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Time > Fall Time.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

Measurement Tips

  • The leading, falling edge of the waveform must be displayed for fall time measurements. Also, remember that an edge must pass through all three thresholds to be recognized as an edge. Therefore, it is important that the edge be positioned so that all three thresholds are displayed on the screen.

  • Fall time measurements will be more accurate if you expand the edge of the waveform by choosing a faster sweep speed. Expanding the waveform will provide more data points on an edge, reduce interpolation, and thus provide a more accurate measurement.

  • Infiniium will interpolate sample points if necessary so it can determine pulse parameters for automatic measurements. Excessive interpolation can lead to jitter on measurements and you may have to increase the sample rate or use Infiniium's averaging or filtering capabilities to decrease measurement variance.

  • As an alternative to the automatic measurement, you can measure a time interval manually using Infiniium's markers. One advantage of using markers is that you can expand the time base around the start and stop events of the time interval to be measured, thus achieving more time resolution than the automatic measurements since you are not limited by the memory depth. To see the difference, set up a pulse generator for a pulse width of 100 ms and a rise time of 1 ns, or as small as the pulse generator will allow. Then measure the width both by using the scope’s automatic measurement and by using the markers.

See Also

  • EZJIT Jitter Measurements

  • Measurements


T Max

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

Tmax is the time corresponding to the first instance the maximum voltage occurs on the display.

This measurement is position independent and the entire display is used for the measurement. If more than one waveform source is active, Infiniium will ask you which source to use for the measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Select Measure > Time > T max.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


T Min

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

Tmin is the time corresponding to the first instance the minimum voltage occurs on the display.

This measurement is position independent and the entire display is used for the measurement. If more than one waveform source is active, Infiniium will ask you which source to use for the measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Select Measure > Time > T min.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Negative Pulse Width (- Width)

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

Measurement Tips

How is This Measurement Defined?

Negative Pulse Width is defined as the time from the mid-threshold of the first falling edge to the mid-threshold of the next rising edge.

Infiniium will start the measurement at the nearest edge where you dropped the icon or on the trigger reference point edge if you did not drag and drop the measurement. You can set the markers to Track Measurements to see where Infiniium is making the measurement.

Negative Pulse Width is impacted by the parameters in the Measurement Thresholds dialog box. Use this dialog box to define the mid-threshold setting which affects this measurement.

There is also a Negative Pulse Width Jitter measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the -Width icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Time > - Width.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

Measurement Tips

  • For either the -width or +width measurements, a complete pulse must be displayed to make a measurement. Remember that an edge must pass through all three thresholds (lower, middle, and upper) to be recognized as an edge. Therefore, it is important that the pulse be positioned so that both pulse edges transition through all three thresholds and are displayed on the screen.

  • It is important to select the optimum time per division scale to achieve the best resolution and accuracy. Both edges of the pulse must be on the screen, and at the same time, there must be sufficient baseline (or top for a negative pulse) for the top and base algorithm to reliably determine the voltage level of the base (or top). If the baseline is distorted prior to the initial transition of the pulse, enough of the true, steady-state baseline must be present on the screen so that it will be identified clearly in a voltage histogram as the most prevalent value. The minimum time per division setting that achieves this will give the most accurate measurement. In other words, spread the pulse out to occupy as much of the screen as possible while allowing the base (or top for a negative pulse) to occupy about 20 percent of the display, 1 horizontal division on each side of the pulse.

  • You can select time per division settings other than the standard 1-2-5 sequence. For example, consider a pulse that is 5.8 ms wide. At 1 ms per division, the pulse will be 5.8 divisions wide, or 58 percent of the screen width. However at 500 ns, the leading and trailing edges will not be on the screen simultaneously. Here, you could use Infiniium's Zoom feature, use the pop-up keypad, or vernier scaling to set the time base to 725 ns and the pulse will occupy 80 percent of the screen.

  • Selecting the maximum memory depth optimizes the resolution of the pulse width measurement at the expense of the display update rate. If you want to try this, choose the Acquisition item under the Setup menu and set the memory depth to the maximum.

  • If the waveform is clipped, the oscilloscope cannot make some automatic measurements. You will get a warning or error message if the waveform is clipped.

  • Infiniium will interpolate sample points if necessary so it can determine pulse parameters for automatic measurements. Excessive interpolation can lead to jitter on measurements and you may have to increase the sample rate or use Infiniium's averaging or filtering capabilities to decrease measurement variance.

  • As an alternative to the automatic measurement, you can measure a time interval manually using Infiniium's markers. One advantage of using markers is that you can expand the time base around the start and stop events of the time interval to be measured, thus achieving more time resolution than the automatic measurements since you are not limited by the memory depth. To see the difference, set up a pulse generator for a pulse width of 100 ms and a rise time of 1 ns, or as small as the pulse generator will allow. Then measure the width both by using the scope’s automatic measurement and by using the markers.

See Also

  • EZJIT Jitter Measurements

  • Measurements


Positive Pulse Width (+ Width)

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

Measurement Tips

How is This Measurement Defined?

Positive Pulse Width is defined as the time from the mid-threshold of the first rising edge to the mid-threshold of the next falling edge.

Infiniium will start the measurement at the nearest edge where you dropped the icon or on the trigger reference point edge if you did not drag and drop the measurement. You can set the markers to Track Measurements to see where Infiniium is making the measurement.

Positive Pulse Width is impacted by the parameters in the Measurement Thresholds dialog box. Use this dialog box to define the mid-threshold setting which affects this measurement.

There is also a Positive Pulse Width Jitter measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the +Width icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Time > + Width.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

Measurement Tips

  • For either the -width or +width measurements, a complete pulse must be displayed to make a measurement. Remember that an edge must pass through all three thresholds (lower, middle, and upper) to be recognized as an edge. Therefore, it is important that the pulse be positioned so that both pulse edges transition through all three thresholds and are displayed on the screen.

See Also

  • EZJIT Jitter Measurements

  • Measurements


Pulse Count (+ and -)

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

Negative pulse count (- pulse count) counts the number of negative pulses in the waveform. Positive pulse count (+ pulse count) counts the number of positive pulses in the waveform.

Use the measurement threshold controls to set the middle threshold. Pulses are then portions of the waveform that cross this middle threshold twice (on a rising edge and then a falling for a positive pulse, on a falling edge and then a rising edge for a negative pulse).

How Do I Enable This Measurement and Where Can I View the Results?

  • Select Measure > Time > - pulse count or + pulse count.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Rise Time

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

Measurement Tips

How is This Measurement Defined?

Rise time is defined as the time at the upper threshold minus the time at the lower threshold of the edge you are measuring.

To make this measurement, Infiniium requires at least 4 or more sample points on the edge of the waveform.

Infiniium will start the measurement at the nearest edge where you dropped the icon or on the trigger reference point edge if you didn't drag and drop the measurement. You can set the markers to Track Measurements to see where Infiniium is making the measurement.

Rise Time is impacted by the parameters in the Measurement Thresholds dialog box. Use this dialog box to define the threshold settings which affects this measurement.

There is also a Rise Time Jitter measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the Rise Time icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Time > Rise Time.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

Measurement Tips

  • The leading, rising edge of the waveform must be displayed for rise time measurements. Also, remember that an edge must pass through all three thresholds to be recognized as an edge. Therefore, it is important that the edge be positioned so that all three thresholds are displayed on the screen.

  • Rise time measurements will be more accurate if you expand the edge of the waveform by choosing a faster sweep speed. Expanding the waveform will provide more data points on an edge, reduce interpolation, and thus provide a more accurate measurement.

See Also

  • EZJIT Jitter Measurements

  • Measurements


T Volt

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

With this measurement, you specify a voltage and an edge occurrence. The oscilloscope then measures the time

This measurement is position independent and the entire display is used for the measurement. If more than one waveform source is active, Infiniium will ask you which source to use for the measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Select Measure > Time > T max.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Clock Measurements

Duty Cycle

Frequency

Period

Phase

See Also

  • EZJIT Clock Measurements


Duty Cycle

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

Measurement Tips

How is This Measurement Defined?

Duty Cycle is defined as (Pwidth/Period)*(100) which corresponds to the average duration that a waveform remains above the mid amplitude point as a percentage of the waveform period:.

Infiniium will start the measurement at the nearest edge where you dropped the icon or on the trigger reference point edge if you didn't drag and drop the measurement. You can set the markers to Track Measurements to see where Infiniium is making the measurement.

Duty Cycle is impacted by the parameters in the Measurement Threshold dialog box. Use this dialog box to define the mid-threshold setting which affects both the Pwidth and Period measurements (and in turn, the Duty Cycle measurement).

There is also a Duty Cycle Jitter measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • This measurement can be found on page 2 of the Measurement Bar along the left side of the display. Click on the More button in this Measurement Bar to display page 2 and then drag and drop the Duty Cycle icon on the waveform edge where you want to start the measurement.

  • Select Measure > Clock > Duty cycle.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

Measurement Tips

  • Duty cycle relies on pulse width measurements. For either the negative pulse width or positive pulse width measurements, a complete pulse must be displayed to make a measurement. Remember that an edge must pass through all three thresholds (lower, middle, and upper) to be recognized as an edge. Therefore, it is important that the pulse be positioned so that both pulse edges transition through all three thresholds and are displayed on the screen.

  • It is important to select the optimum time per division scale to achieve the best resolution and accuracy. Both edges of the pulse must be on the screen, and at the same time, there must be sufficient baseline (or top for a negative pulse) for the top and base algorithm to reliably determine the voltage level of the base (or top). If the baseline is distorted prior to the initial transition of the pulse, enough of the true, steady-state baseline must be present on the screen so that it will be identified clearly in a voltage histogram as the most prevalent value. The minimum time per division setting that achieves this will give the most accurate measurement. In other words, spread the pulse out to occupy as much of the screen as possible while allowing the base (or top for a negative pulse) to occupy about 20 percent of the display, 1 horizontal division on each side of the pulse.

  • You can select time per division settings other than the standard 1-2-5 sequence. For example, consider a pulse that is 5.8 ms wide. At 1 ms per division, the pulse will be 5.8 divisions wide, or 58 percent of the screen width. However at 500 ns, the leading and trailing edges will not be on the screen simultaneously. Here, you could use Infiniium's Zoom feature, use the pop-up keypad, or vernier scaling to set the time base to 725 ns and the pulse will occupy 80 percent of the screen.

  • Selecting the maximum memory depth optimizes the resolution of the pulse width measurement at the expense of the display update rate. If you want to try this, choose the Acquisition item under the Setup menu and set the memory depth to the maximum.

  • If the waveform is clipped, the oscilloscope cannot make some automatic measurements. You will get a warning or error message if the waveform is clipped.

  • Infiniium will interpolate sample points if necessary so it can determine pulse parameters for automatic measurements. Excessive interpolation can lead to jitter on measurements and you may have to increase the sample rate or use Infiniium's averaging or filtering capabilities to decrease measurement variance.

  • As an alternative to the automatic measurement, you can measure a time interval manually using Infiniium's markers. One advantage of using markers is that you can expand the time base around the start and stop events of the time interval to be measured, thus achieving more time resolution than the automatic measurements since you are not limited by the memory depth. To see the difference, set up a pulse generator for a pulse width of 100 ms and a rise time of 1 ns, or as small as the pulse generator will allow. Then measure the width both by using the scope’s automatic measurement and by using the markers.

See Also

  • EZJIT Jitter Measurements

  • Measurements


Frequency

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

Measurement Tips

How is This Measurement Defined?

Frequency is defined as 1/Period. Period is defined as the time between the mid-threshold crossings of two consecutive, like-polarity edges.

Infiniium will start the measurement at the nearest edge where you dropped the icon or on the trigger reference point edge if you didn't drag and drop the measurement. You can set the markers to Track Measurements to see where Infiniium is making the measurement.

Frequency is impacted by the parameters in the Measurement Thresholds dialog box. Use this dialog box to define the mid-threshold setting which affects the Period measurement and in turn, the Frequency measurement.

There is also a Jitter Frequency measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the Frequency icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Clock > Frequency.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

Measurement Tips

  • At least one full cycle of the waveform with at least two like edges must be displayed for period and frequency measurements.

  • Automatic waveform measurements use a single pulse and may have significant errors introduced by interpolation and trigger inaccuracies. You can increase the accuracy of frequency / period measurements by windowing multiple pulses. By placing marker 1 on edge 1 and marker 2 on edge 20, for example, you can get an average that negates errors that may be introduced in automatic measurements. This becomes even more important when using the deep memory feature of the scope.

  • If the waveform is clipped, the oscilloscope cannot make some automatic measurements. You will get a warning or error message if the waveform is clipped.

  • As an alternative to the automatic measurement, you can measure a time interval manually using Infiniium's markers. One advantage of using markers is that you can expand the time base around the start and stop events of the time interval to be measured, thus achieving more time resolution than the automatic measurements since you are not limited by the memory depth. To see the difference, set up a pulse generator for a pulse width of 100 ms and a rise time of 1 ns, or as small as the pulse generator will allow. Then measure the width both by using the scope’s automatic measurement and by using the markers.

See Also

  • EZJIT Jitter Measurements

  • Measurements


Period

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

Measurement Tips

How is This Measurement Defined?

Period is defined as the time between the mid-threshold crossings of two consecutive, like-polarity edges.

Infiniium will start the measurement at the nearest edge where you dropped the icon or on the trigger reference point edge if you didn't drag and drop the measurement. You can set the markers to Track Measurements to see where Infiniium is making the measurement.

Period is impacted by the parameters in the Measurement Thresholds dialog box. Use this dialog box to define the mid-threshold setting which affects this measurement.

There is also a Jitter Period measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the Period icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Clock > Period.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

Measurement Tips

  • At least one full cycle of the waveform with at least two like edges must be displayed for period and frequency measurements.

  • Automatic waveform measurements use a single pulse and may have significant errors introduced by interpolation and trigger inaccuracies. You can increase the accuracy of frequency / period measurements by windowing multiple pulses. By placing marker 1 on edge 1 and marker 2 on edge 20, for example, you can get an average that negates errors that may be introduced in automatic measurements. This becomes even more important when using the deep memory feature of the scope.

  • If the waveform is clipped, the oscilloscope cannot make some automatic measurements. You will get a warning or error message if the waveform is clipped.

  • As an alternative to the automatic measurement, you can measure a time interval manually using Infiniium's markers. One advantage of using markers is that you can expand the time base around the start and stop events of the time interval to be measured, thus achieving more time resolution than the automatic measurements since you are not limited by the memory depth.

See Also

  • EZJIT Jitter Measurements

  • Measurements


Phase

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

Phase is defined as the phase angle between the first two left-most rising/falling edges of the waveform(s). The angle is measured between the middle levels of the rising edges.

The phase angle is calculated using the following equation.

The Phase measurement requires at least two periods and two rising edges of the waveform be in the waveform viewing area.

Phase is impacted by the parameters in the Measurement Thresholds dialog box. Use this dialog box to define the mid-threshold setting which affects this measurement.

There is also a Jitter Phase measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Select Measure > Clock > Phase.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • EZJIT Jitter Measurements

  • Measurements


Data Measurements

Hold Time

Setup Time

See Also

  • EZJIT Serial Data Measurements


Hold Time

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

The hold time measurement is defined as the time from the middle threshold of the clock source to the middle threshold of the data source.

When Infiniium is not in the zoom mode, the hold time measurement is made on all the cycles of the two source's waveforms including any cycles that are not in the waveform viewing area. In zoom mode, the setup time measurement is only made on all the cycles inside the delayed window.

Hold Time is impacted by the parameters in the Measurement Thresholds dialog box. Use this dialog box to define the threshold settings which affects this measurement.

There is also a Hold Time Jitter measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Selecting Measure > Data > Hold Time.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • EZJIT Jitter Measurements

  • Measurements


Setup Time

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

The setup time measurement is defined as the time from the middle threshold of the data source to the middle threshold of the clock source.

When Infiniium is not in the zoom mode, the setup time measurement is made on all the cycles of the two source's waveforms including any cycles that are not in the waveform viewing area. In zoom mode, the setup time measurement is only made on all the cycles inside the delayed window.

Setup Time is impacted by the parameters in the Measurement Thresholds dialog box. Use this dialog box to define the threshold settings which affects this measurement.

There is also a Setup Time Jitter measurement.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Selecting Measure > Data > Setup Time.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • EZJIT Jitter Measurements

  • Measurements


Mixed Time/Voltage Measurements

Area

Slew Rate


Area

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

Area is the area between the waveform (or a selected cycle of the waveform) and waveform ground.

When you select this measurement, you are asked if the measurement should be made on one waveform cycle or across the entire display. If you choose one waveform cycle, Infiniium will start the measurement at the nearest edge where you dropped the icon or on the trigger reference point edge if you didn't drag and drop the measurement. Otherwise, it will make the measurement across the waveform display without regard to any waveform edges. You can set the markers to Track Measurements to see where Infiniium is making the measurement.

When measuring Area, it is sometimes useful to use the Subtract Math Operator to remove an offset from a waveform you want to measure. Also see Math/FFT Functions for more details.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled in one of two ways:

  • Click on the Area icon in the Measurement Bar along the left side of the display and drag the icon to a waveform.

  • Select Measure > Mixed > Area.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Slew Rate

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined?

Slew rate is defined as the voltage difference of the lower threshold to the upper threshold (ΔV) divided by the time difference of the upper threshold minus the time at the lower threshold (ΔT) of the edge you are measuring.

Slew Rate = ΔV/ΔT

To make this measurement, Infiniium requires at least 4 or more sample points on the edge of the waveform.

Infiniium will start the measurement at the nearest edge where you dropped the icon or on the trigger reference point edge if you did not drag and drop the measurement. You can set the markers to Track Measurements to see where Infiniium is making the measurement.

Slew rate is affected by the parameters in the Measurement Thresholds Setup dialog box.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Select Measure > Mixed > Slew Rate.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements


Frequency Domain Measurements

FFT Freq

FFT Mag

FFT Delta Freq

FFT Delta Mag


FFT Freq

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

Measurement Tips

How is This Measurement Defined?

The FFTfreq measurement measures the frequency at a peak on an FFT function waveform. You can choose a peak by using the Peak Value and Peak 1 controls in the dialog box that appears after you select the measurement. This measurement can only be made on FFT waveforms. To create an FFT waveform, use the FFT Magnitude Math Operator which converts a time domain waveform into a frequency domain waveform.

Infiniium performs the FFT operation only on the sample points which are in the waveform viewing area. If this is not a power of two number of points, Infiniium adds zeros equally to the beginning and end of the data until there are a power of two number of points. This is called the Effective Memory Depth.

The FFT resolution is calculated as follows:

You can increase the FFT resolution by manually setting the memory depth in the Acquisition Setup dialog box to a power of two. However, all the points must be in the waveform viewing area before they are included in the FFT calculation.

The FFT frequency range, before scaling, is 0 Hz to 1/2 the sampling frequency. The sampling rate must be at least twice the highest frequency component in your waveform. Otherwise, the measurement results will exhibit aliasing and any measurements may be inaccurate.

Because peaks vary widely depending upon the Peak Level, you should set the Peak Values after you have a stable FFT for the best measurements. The Peak level along with the parameters discussed below are all available in the dialog box that appears after you select the a specific FFT measurement.

There are two FFT Peak parameters you can set:

Peak Level

Defines the threshold which an FFT peak must cross to be considered a peak. The default Peak Level is -40 dBm.

Peak 1

Defines which of the peaks, counting from the left of the display, you want to start making FFT measurements on. A peak must exceed the Peak Level threshold to be counted as a peak. This peak definition is used for all frequency domain measurements.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Selecting Measure > Frequency Domain > FFT Freq.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

Measurement Tips

  • For best frequency accuracy on peaks:

    • Set the acquisition sampling mode to Real Time and set the sin(x)/x interpolating filter to off.

    • Set the vertical sensitivity of the source waveform so that the input waveform is near full screen but not clipped. Set the horizontal scale (or manually set the sample rate and memory depth) so as many cycles of the waveform as possible are visible on the display.

    • Start the FFT Function by using the Math (FFT and more)... item under the Analyze menu. Ensure Display On is checkmarked and choose the Hanning window. You can turn off the source waveform to better see the FFT function; however, keep in mind the FFT is performed only on that portion of the waveform in the waveform viewing area.

    • The FFT resolution is set by the sample rate and memory depth. If these are both set to auto, the horizontal scale will affect both sample rate and memory depth.

    • Set the markers to Track Measurements by using the Markers item under the Measure menu.

    • Assign an FFT measurement to the FFT function waveform by using one of the Frequency Domain icons under the Measure menu.

    • Set up the Peak Value and Peak 1 controls in the dialog box that appears when the measurement is selected.

    • The frequency accuracy is the sum of two terms. The first term is the result of a limited number of frequency bins. The measurement is accurate to plus or minus half a bin. The second term is related to the accuracy of the internal oscillator which generates the sample clock.

  • When using FFTs, make sure you avoid waveform aliasing. Aliasing occurs when there are insufficient samples on each cycle of the input waveform to reconstruct the waveform. It occurs whenever the frequency of the input waveform is greater than the Nyquist frequency, which is the sample frequency divided by 2. When a waveform is aliased, it shows up in the FFT spectrum as a waveform of a lower frequency. Because the frequency span goes from 0 to the Nyquist frequency, the best way to prevent aliasing is to make sure that the frequency span is greater than all the frequencies present in the input waveform. Keep in mind that most periodic waveforms that are not sine waves have frequency components much higher than the fundamental frequency of the waveform. Those components may cause aliasing also.

See Also

  • FFT Theory / Window Functions

  • Measurements

  • Math / FFT Functions


FFT Mag

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

Measurement Tips

How is This Measurement Defined?

The FFTmag measurement measures the magnitude of a peak on an FFT function waveform. You can choose a peak by using the Peak ValueandPeak 1 controls in the dialog box that appears after you select the measurement. This measurement can only be made on FFT waveforms. To create an FFT waveform, use the FFT Magnitude Math Operator which converts a time domain waveform into a frequency domain waveform.

Infiniium performs the FFT operation only on the sample points which are in the waveform viewing area. If this is not a power of two number of points, Infiniium adds zeros equally to the beginning and end of the data until there are a power of two number of points. This is called the Effective Memory Depth.

The FFT resolution is calculated as follows:

You can increase the FFT resolution by manually setting the memory depth in the Acquisition Setup dialog box to a power of two. However, all the points must be in the waveform viewing area before they are included in the FFT calculation.

The FFT frequency range, before scaling, is 0 Hz to 1/2 the sampling frequency. The sampling rate must be at least twice the highest frequency component in your waveform. Otherwise, the measurement results will exhibit aliasing and any measurements may be inaccurate.

Because peaks vary widely depending upon the Peak Level, you should set the Peak Values after you have a stable FFT for the best measurements. The Peak level along with the parameters discussed below are all available in the dialog box that appears after you select the a specific FFT measurement.

There are two FFT Peak parameters you can set:

Peak Level

Defines the threshold which an FFT peak must cross to be considered a peak. The default Peak Level is -40 dBm.

Peak 1

Defines which of the peaks, counting from the left of the display, you want to start making FFT measurements on. A peak must exceed the Peak Level threshold to be counted as a peak. This peak definition is used for all frequency domain measurements.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Select Measure > Frequency Domain > FFT Mag.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

Measurement Tips

  • For the best vertical accuracy on amplitude measurements:

    • Make sure the probe attenuation is set correctly for your application (Infiniium automatically detects many probe types and configures itself accordingly for recognized probes). Make sure you calibrate the probe (probe calibration is available in the Channel Setup dialog box).

    • Set the acquisition sampling mode to Real Time and set the sin(x)/x interpolating filter to off.

    • Set the vertical sensitivity of the source waveform so that the input waveform is near full screen but not clipped.

    • Start the FFT Function by using the Math (FFT and more)... item under the Analyze menu. Ensure Display On is checkmarked and choose the Flattop window. You can turn off the source waveform to better see the FFT function; however, keep in mind the FFT is performed only on the portion of the source waveform that you see on the display.

    • The FFT resolution is set by the sample rate and memory depth. If these are both set to auto, the horizontal scale will affect both sample rate and memory depth.

    • Set the markers to Track Measurements by using the Markers item under the Measure menu.

    • Assign an FFT measurement to the FFT function waveform by using one of the Frequency Domain icons under the Measure menu.

    • Set the Peak 1 and Peak Value controls in the dialog box that appears when you enable the measurement.

  • When using FFTs, make sure you avoid waveform aliasing. Aliasing occurs when there are insufficient samples on each cycle of the input waveform to reconstruct the waveform. It occurs whenever the frequency of the input waveform is greater than the Nyquist frequency, which is the sample frequency divided by 2. When a waveform is aliased, it shows up in the FFT spectrum as a waveform of a lower frequency. Because the frequency span goes from 0 to the Nyquist frequency, the best way to prevent aliasing is to make sure that the frequency span is greater than all the frequencies present in the input waveform. Keep in mind that most periodic waveforms that are not sine waves have frequency components much higher than the fundamental frequency of the waveform. Those components may cause aliasing also.

See Also

  • FFT Theory / Window Functions

  • Measurements

  • Math / FFT Functions


FFT Delta Freq

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

Measurement Tips

How is This Measurement Defined?

The FFTdfreq measurement measures the difference in frequency between two peaks of an FFT function waveform. You can choose a peak by using the Peak Value, Peak 1, and Peak 2 controls in the dialog box that appears after you select the measurement. This measurement can only be made on FFT waveforms. To create an FFT waveform, use the FFT Magnitude Math Operator which converts a time domain waveform into a frequency domain waveform.

Infiniium performs the FFT operation only on the sample points which are in the waveform viewing area. If this is not a power of two number of points, Infiniium adds zeros equally to the beginning and end of the data until there are a power of two number of points. This is called the Effective Memory Depth.

The FFT resolution is calculated as follows:

You can increase the FFT resolution by manually setting the memory depth in the Acquisition Setup dialog box to a power of two. However, all the points must be in the waveform viewing area before they are included in the FFT calculation.

The FFT frequency range, before scaling, is 0 Hz to 1/2 the sampling frequency. The sampling rate must be at least twice the highest frequency component in your waveform. Otherwise, the measurement results will exhibit aliasing and any measurements may be inaccurate.

Because peaks vary widely depending upon the Peak Level, you should set the Peak Values after you have a stable FFT for the best measurements. The Peak level along with the parameters discussed below are all available in the dialog box that appears after you select the a specific FFT measurement.

There are three FFT Peak parameters you can set:

Peak Level

Defines the threshold which an FFT peak must cross to be considered a peak. The default Peak Level is -40 dBm.

Peak 1

Defines which of the peaks, counting from the left of the display, you want to start making FFT measurements on. A peak must exceed the Peak Level threshold to be counted as a peak. This peak definition is used for all frequency domain measurements.

Peak 2

Defines the second peak used for the delta FFT measurements - FFTdmag and FFTdfreq.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Selecting Measure > Frequency Domain > FFTDelta Freq.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

Measurement Tips

  • For best frequency accuracy on peaks:

    • Set the acquisition sampling mode to Real Time and set the sin(x)/x interpolating filter to off.

    • Set the vertical sensitivity of the source waveform so that the input waveform is near full screen but not clipped. Set the horizontal scale (or manually set the sample rate and memory depth) so as many cycles of the waveform as possible are visible on the display.

    • Start the FFT Function by using the Math (FFT and more)... item under the Analyze menu. Ensure Display On is checked and choose the Hanning window. You can turn off the source waveform to better see the FFT function; however, keep in mind the FFT is performed only on the portion of the source waveform you see on the display.

    • The FFT resolution is set by the sample rate and memory depth. If these are both set to auto, the horizontal scale will affect both sample rate and memory depth.

    • Set the markers to Track Measurements by using the Markers item under the Measure menu.

    • Assign an FFT measurement to the FFT function waveform by using one of the Frequency Domain icons under the Measure menu.

    • Set up the FFT peak definitions (Peak Value, Peak 1, and Peak 2 controls) in the dialog box that appears when the measurement is selected.

    • The frequency accuracy is the sum of two terms. The first term is the result of a limited number of frequency bins. The measurement is accurate to plus or minus half a bin. The second term is related to the accuracy of the internal oscillator which generates the sample clock.

  • When using FFTs, make sure you avoid waveform aliasing. Aliasing occurs when there are insufficient samples on each cycle of the input waveform to reconstruct the waveform. It occurs whenever the frequency of the input waveform is greater than the Nyquist frequency, which is the sample frequency divided by 2. When a waveform is aliased, it shows up in the FFT spectrum as a waveform of a lower frequency. Because the frequency span goes from 0 to the Nyquist frequency, the best way to prevent aliasing is to make sure that the frequency span is greater than all the frequencies present in the input waveform. Keep in mind that most periodic waveforms that are not sine waves have frequency components much higher than the fundamental frequency of the waveform. Those components may cause aliasing also.

See Also

  • FFT Theory / Window Functions

  • Measurements

  • Math / FFT Functions


FFT Delta Mag

How is This Measurement Defined?

How Do I Enable This Measurement and Where Can I View the Results?

Measurement Tips

How is This Measurement Defined?

The FFTdmag measurement measures the difference in magnitude between two peaks of an FFT function waveform. You can choose a peak by using the Peak Value, Peak 1, and Peak 2 controls in the dialog box that appears after you select the measurement. This measurement can only be made on FFT waveforms. To create an FFT waveform, use the FFT Magnitude Math Operator which converts a time domain waveform into a frequency domain waveform.

Infiniium performs the FFT operation only on the sample points which are in the waveform viewing area. If this is not a power of two number of points, Infiniium adds zeros equally to the beginning and end of the data until there are a power of two number of points. This is called the Effective Memory Depth.

The FFT resolution is calculated as follows:

You can increase the FFT resolution by manually setting the memory depth in the Acquisition Setup dialog box to a power of two. However, all the points must be in the waveform viewing area before they are included in the FFT calculation.

The FFT frequency range, before scaling, is 0 Hz to 1/2 the sampling frequency. The sampling rate must be at least twice the highest frequency component in your waveform. Otherwise, the measurement results will exhibit aliasing and any measurements may be inaccurate.

Because peaks vary widely depending upon the Peak Level, you should set the Peak Values after you have a stable FFT for the best measurements. The Peak level along with the parameters discussed below are all available in the dialog box that appears after you select the a specific FFT measurement.

There are three FFT Peak parameters you can set:

Peak Level

Defines the threshold which an FFT peak must cross to be considered a peak. The default Peak Level is -40 dBm.

Peak 1

Defines which of the peaks, counting from the left of the display, you want to start making FFT measurements on. A peak must exceed the Peak Level threshold to be counted as a peak. This peak definition is used for all frequency domain measurements.

Peak 2

Defines the second peak used for the delta FFT measurements - FFTdmag and FFTdfreq.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Select Measure > Frequency Domain > FFT Delta Mag.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

Measurement Tips

  • For the best vertical accuracy on amplitude measurements:

    • Make sure probe attenuation is set correctly for your application (Infiniium automatically detects many probe types and configures itself accordingly for recognized probes). Make sure you calibrate the probe (probe calibration is available in the channel setup dialog box).

    • Set the acquisition sampling mode to Real Time and set the sin(x)/x interpolating filter to off.

    • Set the vertical sensitivity of the source waveform so that the input waveform is near full screen but not clipped.

    • Start the FFT Function by using the Math (FFT and more)... item under the Analyze menu. Ensure Display On is checkmarked and choose the Flattop window. You can turn off the source waveform to better see the FFT function; however, keep in mind the FFT is performed only on the portion of the source waveform that you see on the display.

    • The FFT resolution is set by the sample rate and memory depth. If these are both set to auto, the horizontal scale will affect both sample rate and memory depth.

    • Set the markers to Track Measurements by using the Markers item under the Measure menu.

    • Assign an FFT measurement to the FFT function waveform by using one of the Frequency Domain icons under the Measure menu.

    • Set up the FFT peak definitions (Peak Value, Peak 1, and Peak 2) in the dialog box that appears after you select the measurement.

  • When using FFTs, make sure you avoid waveform aliasing. Aliasing occurs when there are insufficient samples on each cycle of the input waveform to reconstruct the waveform. It occurs whenever the frequency of the input waveform is greater than the Nyquist frequency, which is the sample frequency divided by 2.

See Also

  • FFT Theory / Window Functions

  • Measurements

  • Math / FFT Functions


Eye Pattern Measurements

Eye Crossing %

Eye Duty Cycle Distortion

Eye Height

Eye Jitter

Eye Q-Factor

Eye Width


Eye Crossing %

How is This Measurement Defined and What are its Controls?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined and What are its Controls?

Note

Eye pattern measurements should only be made with one eye pattern on screen at a time. Also, Color Grade Persistence must be enabled before you select this measurement.

Crossing percentage is a measure of the point where the rising and falling edges of the eye cross with respect to the separation between Vtop and Vbase. The measurement is made on the database created when Color Grade Persistence is on. The Vtop and Vbase voltages are found using a vertical histogram created from the waveform data that falls within the Define Eye Window. The following equation is used to calculate the crossing percentage:

where:

  • Crossing % = the crossing percentage

  • Vcrossing = the voltage at the point where the rising and falling edges cross

  • Vtop = the mean voltage of the top peak of the vertical histogram.

  • Vbase = the mean voltage of the bottom peak of the vertical histogram.

Typically, it is desirable to have the crossing points located midway between Vtop and Vbase. In this case the crossing percentage would be 50% according to the equation.

Vcrossing is the most prevalent vertical location or amplitude of the crossing points. A horizontal histogram over the entire display is used to determine the time location of the crossing point. Narrow vertical histograms are then used to determine the vertical location of Vcrossing.

The accuracy of eye pattern measurements depends on the amount of data in the database. For the first few seconds after pushing the [Clear Display] key, the amount of data may be insufficient to obtain statistically significant results causing displayed measurements to show large variability.

Eye Pattern Definition Controls

Screen shot of dialog box:

The screen shot above shows the dialog box that appears when you select this measurement. There are three controls in the Eye Pattern Definition section: Eye Window Start, Eye Window Stop, and Start Measurement After. You can use these controls to set the section of the eye pattern used to make eye waveform measurements.

  • Eye Window Start: The Eye Window Start control sets the horizontal starting point for eye measurements. This control setting affects Eye Height, Eye Width, and Quality Factor measurements. The default Eye Window Start value is 40%. Since the Eye Window Stop default is 60%, this results in the middle 20% of the eye waveform data being used for the measurements.

  • Eye Window Stop: The Eye Window Stop control sets the horizontal stopping point for eye measurements. This control setting affects Eye Height, Eye Width, and Quality Factor measurements. The default Eye Window Stop value is 60%. Since the Eye Window Start default is 40%, this results in the middle 20% of the eye waveform data being used for the measurements.

  • Start Measurement After: The Start Measurement After control sets the number of waveforms Infiniium acquires before making measurements on a Color Grade waveform. Increasing this value allows Infiniium to collect more waveform and increases the accuracy of the measurements. This ensures at least a minimum number of waveforms have been acquired for your measurements. The default value for this control is 1.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Selecting Measure > Eye Pattern > Crossing % .

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements

  • Eye Diagrams


Eye Duty Cycle Distortion

How is This Measurement Defined and What are its Controls?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined and What are its Controls?

Note

Eye pattern measurements should only be made with one eye pattern on screen at a time. Also, Color Grade Persistence must be enabled before you select this measurement.

Duty Cycle Distortion is a measure of the time between the falling edge and the rising edge of the eye pattern at the middle threshold. The measurement is made on the database created when Color Grade Persistence is on. If the falling edge and the rising edge intersect precisely at the middle threshold, there is no duty cycle distortion. The middle threshold is set in the Measurement Thresholds dialog box. The default level is 50%. Duty cycle distortion is measured by histogram analysis at the crossing points and middle threshold.

Duty cycle distortion can be displayed in two formats: time or percent. In the time format, the actual time between the median of the falling edge and the median of the rising edge at the middle threshold is determined. In the percentage format, the time difference is determined as a percentage of the full bit width.

where:

  • trising50% = the time at which the rising edge reaches the 50% voltage point between Vtop and Vbase.

  • tfalling50% = the time at which the falling edge reaches the 50% voltage point between Vtop and Vbase.

  • tcrossing2 = the mean time value for the second crossing point.

  • tcrossing1 = the mean time value for the first crossing point.

The accuracy of eye pattern measurements depends on the amount of data in the database. For the first few seconds after pushing the [Clear Display] key, the amount of data may be insufficient to obtain statistically significant results causing displayed measurements to show large variability.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Selecting Measure > Eye Pattern > Duty Cycle Distortion.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements

  • Eye Diagrams


Eye Height

How is This Measurement Defined and What are its Controls?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined and What are its Controls?

Note

Eye pattern measurements should only be made with one eye pattern on screen at a time. Also, Color Grade Persistence must be enabled before you select this measurement.

Eye height is a measurement of the vertical opening of an eye diagram. The measurement is made on the database created when Color Grade Persistence is on. A vertical histogram is created from the waveform data that falls within the Define Eye Window (see below). The vertical histogram is used to find Vtop, Vbase, and the standard deviation of the top and base voltages The following equation is used to calculate the eye height if Extrapolated Using Standard Deviation is chosen as the Eye Height Algorithm (see below for explanation of Eye Height Algorithm control):

where:

  • Vtop = the mean voltage of the top peak of the vertical histogram.

  • σtop = the standard deviation of the top peak of the vertical histogram.

  • Vbase = the mean voltage of the bottom peak of the vertical histogram.

  • σbase = the standard deviation of the bottom peak of the vertical histogram.

The accuracy of eye pattern measurements depends on the amount of data in the database. For the first few seconds after pushing the [Clear Display] key, the amount of data may be insufficient to obtain statistically significant results causing displayed measurements to show large variability.

Eye Pattern Definition Controls

Screen shot of dialog box:

The screen shot above shows the dialog box that appears when you select this measurement. There are four controls in the Eye Pattern Definition section: Eye Height Algorithm, Eye Window Start, Eye Window Stop, and Start Measurement After. You can use these controls to set the section of the eye pattern used to make eye waveform measurements.

  • Eye Height Algorithm: This control specifies the algorithm used to calculate the eye height. There are two options:

    1. Use Measured Data: This algorithm measures the eye height within the Eye Window specified by the Eye Window Start and Eye Window Stop controls discussed below. The smallest eye height is reported.

    2. Extrapolate Using Standard Deviation: This algorithm estimates the eye height based upon the mean and standard deviation of the eye top and base.

      where:

      • Vtop = the mean voltage of the top peak of the vertical histogram.

      • σtop = the standard deviation of the top peak of the vertical histogram.

      • Vbase = the mean voltage of the bottom peak of the vertical histogram.

      • σbase = the standard deviation of the bottom peak of the vertical histogram.

  • Eye Window Start: The Eye Window Start control sets the horizontal starting point for eye measurements. This control setting affects Eye Height, Eye Width, and Quality Factor measurements. The default Eye Window Start value is 40%. Since the Eye Window Stop default is 60%, this results in the middle 20% of the eye waveform data being used for the measurements.

  • Eye Window Stop: The Eye Window Stop control sets the horizontal stopping point for eye measurements. This control setting affects Eye Height, Eye Width, and Quality Factor measurements. The default Eye Window Stop value is 60%. Since the Eye Window Start default is 40%, this results in the middle 20% of the eye waveform data being used for the measurements.

  • Start Measurement After: The Start Measurement After control sets the number of waveforms Infiniium acquires before making measurements on a Color Grade waveform. Increasing this value allows Infiniium to collect more waveform and increases the accuracy of the measurements. This ensures at least a minimum number of waveforms have been acquired for your measurements. The default value for this control is 1.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Selecting Measure > Eye Pattern > Eye Height.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements

  • Eye Diagrams


Eye Jitter

How is This Measurement Defined and What are its Controls?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined and What are its Controls?

Note

Eye pattern measurements should only be made with one eye pattern on screen at a time. Also, Color Grade Persistence must be enabled before you select this measurement.

Jitter is a measurement of the variance in time locations of the crossing points. The measurement is made on the database created when Color Grade Persistence is on. Horizontal time histogram are constructed to determine the location of the crossing points. An iterative process is used to narrow the histogram window to precisely determine the crossing points and the variance. Jitter can be displayed in one of two formats: peak-to-peak or RMS. Both values are based on the standard deviation of the crossing point position.

where:

  • σcrossing = the standard deviation for the crossing point

The accuracy of eye pattern measurements depends on the amount of data in the database. For the first few seconds after pushing the [Clear Display] key, the amount of data may be insufficient to obtain statistically significant results causing displayed measurements to show large variability.

Jitter Type Controls

Screen shot of dialog box:

The screen shot above shows the dialog box that appears when you select this measurement. The Jitter Type section is where you select whether to measure the rms jitter or the peak-to-peak jitter.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Selecting Measure > Eye Pattern > EyeJitter.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements

  • Eye Diagrams


Eye Q-Factor

How is This Measurement Defined and What are its Controls?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined and What are its Controls?

Note

Eye pattern measurements should only be made with one eye pattern on screen at a time. Also, Color Grade Persistence must be enabled before you select this measurement.

Q-factor is a figure of merit for an eye diagram indicating the vertical eye opening with respect to the noise at both the high and low voltage levels. The measurement is made on the database created when Color Grade Persistence is on. A vertical histogram is created from the waveform data that falls within the Define Eye Window (discussed below). The vertical histogram is used to find Vtop, Vbase, and the standard deviation of the top and base voltages. The following equation is used to calculate the Q-factor:

where:

  • Vtop = the mean voltage of the top peak of the vertical histogram.

  • σtop = the standard deviation of the top peak of the vertical histogram.

  • Vbase = the mean voltage of the bottom peak of the vertical histogram.

  • σbase = the standard deviation of the bottom peak of the vertical histogram.

The accuracy of eye pattern measurements depends on the amount of data in the database. For the first few seconds after pushing the [Clear Display] key, the amount of data may be insufficient to obtain statistically significant results causing displayed measurements to show large variability.

Eye Pattern Definition Controls

Screen shot of dialog box:

The screen shot above shows the dialog box that appears when you select this measurement. There are three controls in the Eye Pattern Definition section: Eye Window Start, Eye Window Stop, and Start Measurement After. You can use these controls to set the section of the eye pattern used to make eye waveform measurements.

  • Eye Window Start: The Eye Window Start control sets the horizontal starting point for eye measurements. This control setting affects Eye Height, Eye Width, and Quality Factor measurements. The default Eye Window Start value is 40%. Since the Eye Window Stop default is 60%, this results in the middle 20% of the eye waveform data being used for the measurements.

  • Eye Window Stop: The Eye Window Stop control sets the horizontal stopping point for eye measurements. This control setting affects Eye Height, Eye Width, and Quality Factor measurements. The default Eye Window Stop value is 60%. Since the Eye Window Start default is 40%, this results in the middle 20% of the eye waveform data being used for the measurements.

  • Start Measurement After: The Start Measurement After control sets the number of waveforms Infiniium acquires before making measurements on a Color Grade waveform. Increasing this value allows Infiniium to collect more waveform and increases the accuracy of the measurements. This ensures at least a minimum number of waveforms have been acquired for your measurements. The default value for this control is 1.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Selecting Measure > Eye Pattern > Q-Factor.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements

  • Eye Diagrams


Eye Width

How is This Measurement Defined and What are its Controls?

How Do I Enable This Measurement and Where Can I View the Results?

How is This Measurement Defined and What are its Controls?

Note

Eye pattern measurements should only be made with one eye pattern on screen at a time. Also, Color Grade Persistence must be enabled before you select this measurement.

Eye width is a measure of the horizontal opening of an eye diagram. The measurement is made on the database created when Color Grade Persistence is on. A horizontal histogram is created from the waveform data that falls within a window defined by Vtop and Vbase. The mean time values and standard deviations are found for the eye diagram crossing points. As would be expected, noise and jitter will cause a large variance in the location of the crossing points and result in the closure of the eye.

Below is how the eye width is calculated when you select Extrapolated Using Standard Deviation for the Eye Width Algorithm (see below for discussion of this control).

where:

  • tcrossing2 = the mean time value for the second crossing point.

  • σcrossing2 = the standard deviation for the second crossing point.

  • tcrossing1 = the mean time value for the first crossing point.

  • σcrossing1 = the standard deviation for the first crossing point.

The accuracy of eye pattern measurements depends on the amount of data in the database. For the first few seconds after pushing the [Clear Display] key, the amount of data may be insufficient to obtain statistically significant results causing displayed measurements to show large variability.

Eye Pattern Definition Controls

Screen shot of dialog box:

The screen shot above shows the dialog box that appears when you select this measurement. There is one control in the Eye Pattern Definition section: Eye Width Algorithm.

  • Eye Width Algorithm: This control specifies the algorithm used to calculate the eye width. There are two options:

    1. Use Measured Data: This algorithm measures the eye width within the crossings. The smallest eye width is reported.

    2. Extrapolate Using Standard Deviation: This algorithm estimates the eye height based upon the mean and standard deviation of the crossings.

      where:

      • tcrossing2 = the mean time value for the second crossing point.

      • σcrossing2 = the standard deviation for the second crossing point.

      • tcrossing1 = the mean time value for the first crossing point.

      • σcrossing1 = the standard deviation for the first crossing point.

How Do I Enable This Measurement and Where Can I View the Results?

This measurement can be enabled by:

  • Selecting Measure > Eye Pattern > Eye Width.

The results of your measurement will be displayed in the Measurement tab located at the bottom of the display.

See Also

  • Measurements

  • Eye Diagrams


Histogram Statistic Measurements

When histograms are displayed, either with the Meas Histogram math function operator or histogram analysis feature (Analyze > Histogram...), you can add histogram statistic measurements to the Measurements tab:

  1. Make sure the desired histogram is displayed.

  2. Choose the Measure > Histogram > (statistic) command.

  3. If more than one histogram is displayed, select the desired histogram Source in the Enter Measurement Info dialog; then, click OK.

The following histogram statistics are available.

Statistic | Description
p-p | the width of the non-zero histogram data. This is the difference in values between the first and last pixel columns that contain non-zero data.
Min | the minimum value of the histogram.
Max | the maximum value of the histogram.
Mean | the average value of all the points in the histogram.
Std Dev | the standard deviation of the histogram.
Median | the number where 50% of the histogram samples are before the median and 50% are after the median.
Mode | the most common value in the histogram. In other words, the value associated with the histogram's tallest bar.
Mean +/- 1 Std Dev | (μ ±1σ) the percentage of points that are within ±1σ (standard deviation) of the mean value.
Mean +/- 2 Std Dev | (μ ±2σ) the percentage of points that are within ±2σ (standard deviation) of the mean value.
Mean +/- 3 Std Dev | (μ ±3σ) the percentage of points that are within ±3σ (standard deviation) of the mean value.
Hits | the total number of samples included in the histogram.
Peak | the number of hits in the histogram's tallest bar.
Bin Width | the value range represented by one bar in the histogram.

See Also

  • Meas Histogram

  • Histograms


Measurement Controls

Measure All Edges

Changing Measurement Names

Measurement / Protocol Decode Thresholds

Measurement Gating

Limit Test and Search

Level Qualification


Measure All Edges

What Does This Control Do?

Where is This Control Accessed?

What Does This Control Do?

To understand this feature, it is easiest to look at a comparison between having this feature on or off.

  • Without Measure All Edges (Standard Oscillocope Setup) In this mode, you choose a specific edge to measure. In general, this is the edge located at the middle of the screen, but you can use drag and drop measurements to measure any edge. However, the measurement statistics are only calculated for the one specific edge compiled over a number of runs. If you do a single shot, this only adds a single value to the measurement statistics. All other edges are ignored.

  • With Measure All Edges In this mode, the oscilloscope measures all edges in the trace (up to the first 2M edges). If you are using deep memory, you probably have a very large number of edges and would like to know if any of them have a value that is an outlier (such as a slow rise time). The key difference between this and the previous mode is that it searches the entire trace instead of only a single edge.

You can also choose to wait for an acquisition average to complete before measurements are taken by checking the corresponding box in the Measurement Setup dialog box (Measure > Setup). If you have averaging enabled in the Acquisition dialog box, then checking the Wait for Average to Complete for Measurements box forces the measurement calculations to wait until the average is computed. This enables you to filter out noise in your waveform and in your measurement results.

Where is This Control Accessed?

  • To use this feature, select Measure > Setup....

See Also

  • Measurements


Changing Measurement Names

How Do I Change Measurement Names?

Why Would I Want to Use This Control?

What Do I Need to Know About This Control?

How Do I Change Measurement Names?

To change a measurement's name, first activate the measurement as you typically would. Then right-click on the measurement in the Measurements tab at the bottom of the display. The following pop-up box will appear.

Click on the Change Name... selection; the Enter Measurement Name dialog box will appear. In the screen shot below, the measurement's name was changed from V min(1)to new name.

When you press OK in the keyboard dialog box, the name will be changed in the Measurement tab as shown below.

Why Would I Want to Use This Control?

  • Use to give a specific names to measurements on screen when using a compliance application.

  • Use when you want to customize a measurement's name from the default selection.

What Do I Need to Know About This Control?

  • You can use up to 15 characters in a measurement's name.

See Also

  • Measurements


Measurement / Protocol Decode Thresholds

How Do I Set Up Measurement Thresholds?

Can I Apply My Settings to All Waveforms or Individual Waveforms?

What are Thresholds Used For?

What Are the Top and Base Levels Used For and How Are They Defined?

What Choices Are Available for Measurement Thresholds Definitions and How Do I Know Which One to Use?

How Do I Set Up Measurement Thresholds?

Measurement thresholds are set in the Threshold Setup dialog box (Measure > Thresholds...).

The Threshold Setup dialog box has three tabs:

  • General Purpose — for everything except rise/fall measurements and protocol decode.

  • Rise, Fall Time — for rise/fall time measurements.

  • Protocol Decode — for protocol decode.

    Pressing the Auto Setup button in the Protocol Decode dialog box will change these measurement thresholds settings.

The way you specify thresholds is the same in all three tabs.

Can I Apply My Settings to All Waveforms or Individual Waveforms?

Yes, in the Thresholds Apply To area, you can choose:

  • All Waveforms — applies the threshold definitions to all of the waveforms, functions, and waveform memories present on your display.

  • Individual Waveforms — lets you select the waveform, function, or waveform memory to which the threshold definition is applied.

What are Thresholds Used For?

There are several uses for thresholds in your Infiniium oscilloscope.

  • Thresholds are used to define various measurements and edges. For example, your oscilloscope will only consider a portion of the waveform to be an edge if it passes through the lower, middle, and upper thresholds. Similarly, you can define the rise time / fall time of an edge as the time it takes for an edge to go from the lower threshold to the upper threshold. These are known as measurement thresholds and are what this page discusses.

    Please note that these measurement thresholds are different than the thresholds used for trigger levels. Trigger levels and measurement thresholds act independently and changing one does not impact the other.

    Also please note that pressing the Auto Setup button in the Protocol Decode dialog box will change the measurement thresholds so if you want to make a standard analog measurement after pressing this button, you will need to adjust your measurement thresholds accordingly.

  • Thresholds can be used for logical decisions. For example, a logical threshold level can be established so the oscilloscope can determine whether a section of your waveform is a logical 1 (if it voltage is above this threshold level) or a logical 0 (if its voltage is below this threshold level). This topic does not discuss this use of thresholds; for that, see Measurements.

  • Thresholds can be used to tell when data is valid. For example, you can set the threshold such that noise is not mistaken as data by only performing measurements when the amplitude is above a certain threshold. Or you can use Level Qualification in addition to thresholds to only make measurements when certain conditions are met (for example, only measure a rise time on channel 1 if the voltage on channel 2 is above the middle threshold).

What Are the Top and Base Levels Used For and How Are They Defined?

The Top and Base levels are used as references to define the lower, middle, and upper thresholds for certain definitions. For example, the 10%, 50%, 90% definition sets the Lower threshold to 10% of the amplitude between the Top and Base levels, sets the Middle threshold to 50% of the amplitude between the Top and Base levels, and sets the Upper threshold to 90% of the amplitude between the Top and Base levels.

The Top and Base levels can be defined in the following ways:

  • Standard (Default) — A distribution of how often different voltage levels occur in the waveform data is built and is called a measurement histogram. The measurement histogram is used to find the statistical maximum (Top) and statistical minimum (Base) voltage levels for your waveform.

    The Top and Base of the waveform are found directly from the measurement histogram. The top 40% of the measurement histogram is scanned for the Top and the bottom 40% is scanned for the Base. The center 20% of the histogram is not scanned which prevents selecting the middle of a tri-state waveform.

    Infiniium's Top and Base algorithm decides whether the Max and Min values should be used, as in the case of triangle waveforms, or whether the measurement histogram peaks should be used, as in the case of square waveforms. This selection technique prevents Top and Base from jumping around on waveforms with even histogram distributions such as triangular waveforms. It also allows the detection of Top and Base for low duty cycle waveforms. If the waveform does not have enough information to statistically calculate the values for Top and Base using the Standard definition then the Min, Max definition is used by default.

  • Histogram — This definition sets the Top and Base levels based upon the vertical histogram. You should use this definition for waveform records where you want to set the Top and Base values based upon the vertical histogram or for waveform records that have bimodal histograms.

  • Min, Max — This definition sets the Top level to the maximum waveform value and the Base level to the minimum waveform value. If the waveform does not have enough information to statistically calculate the values for Top and Base using the Standard definition then the Min, Max definition is used by default.

  • Custom — This definition allows you to set the Top and Base levels in units of volts. Use this definition for waveform records where you want to force fixed Top and Base definitions or for standardizing measurements of waveform records. To preserve measurement integrity, Infiniium will not allow you to set a base level higher than the top level or a top level lower than the base level.

What Choices Are Available for Measurement Thresholds Definitions and How Do I Know Which One to Use?

You can choose these measurement threshold definitions:

  • 10%, 50%, 90% — This is the IEEE default and is the default definition used by Infiniium. With this definition, Infiniium uses 10% of the amplitude as the lower threshold, 50% as the middle threshold, and 90% as the upper threshold. Below is a drawing showing how rise times and fall times are measured using this definition.

    Tip

    Use this setting when you are dealing with normal waveforms.

  • 20%, 50%, 80% — For this definition, Infiniium uses the threshold levels of 20%, 50%, and 80% for the respective lower, middle, and upper measurement thresholds. Below is a drawing showing how rise times and fall times are measured using this definition.

    Tip

    If the waveform you are analyzing has excessive ringing or overshoot you may obtain better measurements by using this definition for the lower, middle, and upper measurement thresholds.

  • Custom: % of Top, Base — You can use this definition for waveform records or portions of waveform records on which you want to make custom measurements. You can use this setting for special circumstances when you want to specify the measurement thresholds in percentages other than 10%, 50%, 90% and 20%, 50%, 80%.

  • Custom: Levels (Low, Mid, Up) — You can also use this definition for waveform records or portions of waveform records on which you want to make custom measurements. However, instead of specifying percentages for the lower, middle, and upper thresholds, this definition sets the thresholds to be fixed in units of volts. To preserve measurement integrity, Infiniium will not allow you to set a lower level higher than the middle or upper level or an upper level lower than the middle or lower level.

    Tip

    Use this setting when you want to customize the definition in terms of voltages instead of percentages and do not want the upper and lower thresholds to be symmetric about the middle threshold (if you do want symmetry then use the Custom Level +/- Hysteresis definition).

  • Custom: Level +/- Hysteresis — This definition is also a custom setting where you set the middle voltage level (in terms of volts, not percentage) and a hysteresis value. The upper limit for the measurement is the middle voltage value plus the hysteresis value. The lower limit for the measurement is the middle voltage value minus the hysteresis value. Set to 50% Vp-p The Set to 50% Vp-p control automatically sets the Middle Level to be halfway between Vmin and Vmax and the Hysteresis value is set to be ±0.05(Vmax - Vmin).

    Tip

    Use this setting when you want to customize the definition in terms of voltages instead of percentages and want the upper and lower thresholds to be symmetric about the middle threshold (if you do not want symmetry then use the Custom Level (Low, Mid, Up) definition).

    For jitter measurements it is typically best to set the threshold to the 50% level of the source waveform using this custom level +/- hysteresis setting. The hysteresis value should typically be set to about default 5% of the source waveform's amplitude. However, the hysteresis should be increased if the source waveform has inflections on its transitions. The hysteresis may need to be decreased if the vertical eye opening of the source waveform is significantly reduced by excessive ISI or voltage noise.

See Also

  • Measurements


Measurement Gating

What Does This Control Do?

Where is This Control Accessed?

What Does This Control Do?

If you enable measurement gating, measurements are only made on the portion of the waveform contained within the zoom window. This allows you to make measurements on specific sections of your waveform.

Where is This Control Accessed?

To activate measurement gating, you first must turn on the zoom feature. To do this, go to Setup > Horizontal and check the Zoom box in the Horizontal Setup dialog box. Then move the zoom window in the upper grid to the portion of the waveform you want to use for the measurement (visit the Pan & Zoom topic for more information on using the zoom feature). The lower grid shows you the section of the waveform that will be used in the measurement.

Finally, select your desired measurement (either from the Measure menu at the top of the screen or by using the Drag-and-Drop measurements along the left side of the screen). When you activate your measurement, the Enter Measurement Info dialog box will appear and within this dialog box will be a box marked Gate to Zoom Window. Check this box to activate measurement gating.

See Also

  • Measurements


Limit Test and Search

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

Note

This feature is only available if you have the N5414A or the N5415A optional InfiniiScan software license installed.

What Does This Control Do?

The Limit Test and Search feature can be used to find measurements either within or outside of measurement limits or can be used as a general purpose waveform search tool. To understand how this feature works, let us look at an example:

Let us assume that we want to find all waveforms with a positive pulse width greater than 50 ns. The following steps would allow us to find these pulses:

  1. Display your waveform on the oscilloscope.

  2. Click on Measure > Time > +Width to enable the measurement

  3. Click on Measure > Limit Test and Search to open the Limit Test and Search dialog box.

  4. Select the +Width measurement from the Measurement control drop-down menu.

  5. Set the Fail When control to Outside Limits.

  6. Set the Min Limit control to 0 seconds.

  7. Set the Max Limit control to 50 ns.

  8. Check the Stop on Failure box.

  9. Check the On box.

  10. Press the [Run/Stop] key on the front panel.

  11. The oscilloscope will then acquire waveforms until it finds failures (pulse width measurements greater than 50 ns). When it finds them then it will display the information in the Navigation tab at the bottom of the display. You can then use the navigation controls to step through the list of all matching pulse widths that were greater than 50 ns.

You can set Limit Test and Searching on 1 to 5 different automated measurements. You must first turn on the automated measurements that you want to limit test before the measurement will appear in the list of measurements. You can set a Limit Test and Search failure to occur when an automated measurement value is inside the test limits or outside the test limits. If more than one Limit Test and Search is On a limit failure for each measurement is recorded in the Limit test tab at the bottom of the waveform viewing area.

Stop On Failure

The Stop On Failure feature, when enabled, stops the oscilloscope acquisition system once a limit failure is detected. If more than one measurement limit test is enabled then a failure of any of the measurements stops the oscilloscope from acquiring new waveforms.

Perform Multipurpose On Failure

The Perform Multipurpose On Failure feature, when enabled, performs the selected action each time a limit failure is detected. You can change the action performed by selecting the Customize Multipurpose... button. The list of available actions is:

  • QuickExecute

  • QuickMeas

  • QuickPrint

  • QuickScreen

  • QuickSetup

  • QuickWaveform

Why Would I Want to Use This Control?

  • To find a waveform that violates a limit on a specific measurement.

  • To search a trace for specific types of waveforms.

  • Use to test automated measurements against minimum and maximum limit values.

  • Use to perform a Multipurpose action upon failure of the limit test.

Where is This Control Accessed?

  • This control is accessed via the Limit Test and Search dialog box (under Measurement > Limit Test).


Level Qualification

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

The Level Qualification feature can be used to select the portions of a waveform that are used to make any of the Infiniium timing measurements. For example, you may want to measure the rise time of a waveform on channel 1 only when the voltage on channel 2 is above 5 volts.

There are four different ways to level qualify timing measurements (these options are available under the Valid When section):

  • Above Middle Threshold — When the Above Middle Threshold is selected, timing measurements are only made when the source is greater than the defined middle threshold.

  • Below Middle Threshold — When the Below Middle Threshold is selected, timing measurements are only made when the source is less than the defined middle threshold.

  • Between Upper, Lower Threshold — When the Between Upper, Lower Threshold is selected, timing measurements are only made when the source is less than the defined upper threshold and greater than the defined lower threshold.

  • Not Between Thresholds — When the Not Between Thresholds is selected, timing measurements are only made when the source is greater than the defined upper threshold or less than the defined lower threshold.

Why Would I Want to Use This Control?

  • Use to set the level qualifier for timing measurements.

Where is This Control Accessed?

  • This control is accessed via the Level Qualification dialog box (under Measure > Level Qualification).

What Do I Need to Know About This Control?

  • You can only use channels that are on and channels that are not being used by timing measurements as level qualifier sources.

  • You can use up to three level qualifiers.


Markers

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

Markers, or cursors, are two sets of horizontal and vertical markers in the waveform display area used for making custom voltage and time measurements. Markers can be placed anywhere on the displayed waveform and the oscilloscope will display the numerical position of the cursors and the difference between the cursors with units in volts and time for time domain display or dB and Hz for FFT functions.

Infiniium has two waveform markers, A and B, that you can set to track a waveform, track a measurement, or that you can manually place. Each marker consists of a vertical and horizontal line. The A markers (Ax and Ay) are shown as solid lines and the B markers (Bx and By) are shown as dashed lines. These markers measure the waveform samples in channel memory instead of using display data; therefore, measurement resolution is usually better than the displayed waveform resolution. If there are few samples in the waveform record, Infiniium linearly interpolates the marker position between sample points so marker movement remains smooth and accurate.

As you move a marker horizontally, the vertical amplitude of the waveform is tracked and measured (the vertical amplitude is shown in the Markers tab at the bottom of the display). In this tab, the time and voltage positions are also shown for the markers. The vertical (Y) and horizontal (X) differences between the markers are shown as Δ values. The 1/ΔX frequency value is also calculated and displayed. Note that you can only control the horizontal position of the marker because the vertical position is tracking the waveform.

There are three different types of markers you can use.

  • Track Waveform Markers — In this mode, the two waveform markers, A and B, are set to track a waveform.

    Waveform Tracking Marker Hints

    If you try to drag a waveform tracking marker vertically, Infiniium will display the following icon:

    This indicates you cannot drag the marker in that direction because it is tracking the waveform.

    It is possible to have the waveform tracking markers turned on but one or both are positioned off the display. In this case, a marker which is off screen will appear at the far right or left of the graticule and the marker's Y position readout will indicate Off Screen. It can take a long time to bring the marker(s) back onto the display using the marker controls. You can use the mouse to quickly drag and drop the marker back on screen or press the 0 icon in the Marker dialog box to snap the marker to the trigger point:

    Once the marker is located back on the display, you can reposition it using the marker controls or mouse.

    You can use this feature to accurately measure long time delays. Use waveform zoom to expand the source waveform and place marker A. Then expand another portion of the source waveform and place marker B. You can position the waveform so both markers are off screen but Infiniium can accurately measure the difference between the markers. The markers can be placed up to ±1 second or one full screen width, whichever is larger, from the trigger point.

  • Manual Markers — Unlike waveform tracking markers, these markers do not follow a specific waveform and you can place them anywhere you want in the display area. You have full control of both the horizontal (X) and vertical (Y) positions of each marker.

    Because these markers don't track internal sample data, they may offer a less precise measurement than a waveform tracking marker. The marker resolution is the same as the display resolution and the marker scale and units are obtained from the waveform source you specify; however, the markers do not follow the source waveform, only its scale and units are used.

  • Track Measurements Markers — These markers show you where Infiniium is making an automatic measurement. When you activate an automatic measurement, it can be difficult to determine exactly where on the waveform the measurement is being made (which edge, pulse, etc.). The Track Measurement markers show you what positions on the waveform are being used for the measurement so you can determine if the automatic measurement is correct or not.

    If no automatic measurement has been selected, these markers are not displayed.

Marker Position Knob

If markers are in manual placement or track waveforms mode, pushing in on the knob located in the Measure section of the front panel (this knob is called the Marker Position knob) allows you to move from one marker to another.

When you press the Marker Position knob, the Adjusting dialog box appears and displays which marker you are controlling. Pressing the knob again will switch control to the next marker and the Adjusting dialog box will reflect this change. This makes it easy to control multiple markers without having to take your hand off of the Marker Position knob. This can be especially helpful if you do not have a mouse because markers are tough to position using only the touch screen.

Once you have control over a marker, turning the Marker Position knob lets you move and place the marker on the display. This design allows you to use one control to move multiple markers.

If the markers are in track measurements mode or set to Off, the Marker Position knob does nothing.

Why Would I Want to Use This Control?

Track Waveform Markers:

  • Use for measuring a waveform's amplitude at a particular time.

  • Track Waveform markers can be placed off the display. This is useful for measuring long time delays between pulses, for example.

Manual Markers:

  • Use for making measurements on waveforms with persistence.

  • Use to make measurements not included in the automated measurement set.

  • Use as reference points to compare different waveforms. For example, you can set the manual markers at waveform envelope limits or at -3 dB points.

  • Use for amplitude measurements (although Track Waveform markers may provide better vertical measurement accuracy).

Track Measurement Markers:

  • Use to see where on a waveform Infiniium is making the automated measurement.

  • Use to verify that a measurement is being made exactly where you want it. This is especially useful if you did not drag and drop the measurement on a waveform.

Where is This Control Accessed?

This control can be accessed in two ways:

  • Under the Markers dialog box (under Measure > Level Markers).

  • By using the controls under the Marker section of the front panel.

In the Level Markers dialog box, set the Mode to either Track Waveforms, Track Measurement, or Manual. Assign a source waveform for Marker A and Marker B, then use the dialog's positioning controls or use the mouse to drag and drop the markers where you want them. You can set specific marker positions by clicking and releasing on the numeric marker value you want to change and then use the pop-up keypad.

To turn off the markers and marker readouts, set Mode to Off.

What Do I Need to Know About This Control?

  • When you enable markers, a Marker tab appears at the bottom of the display. The Marker tab shows the X and Y positions of the markers as well as the difference between them.

  • You should set up markers and any measurements before using infinite persistence or color grade persistence. Adding markers or clearing measurements later can erase accumulated persistence waveforms. Only the last acquisition is tracked and measured for waveform sources using persistence.

  • For Versus waveforms, the marker will display units of percent. This is the percentage of where the marker is in the channel or waveform memory. In this case, 0% corresponds to point 1 and 100% corresponds to the last point in the channel or waveform memory. The length of memory is set by the memory depth control. The marker results show the voltage of each of the two source waveforms at the current marker position in waveform or acquisition memory.

  • One advantage of using markers to measure a time interval is that you can expand the time base around the start and stop events of the time interval to be measured. You can achieve more time resolution than the automatic measurements because you are not limited by the memory depth. To see the difference, set up a pulse generator for a pulse width of 100 ms and a rise time of 1 ns, or as small as the pulse generator will allow. Then measure the width both by using the scope's automatic measurement and by using the markers.


Troubleshooting Measurement Results

What Kind of Errors Can I Get in the Measurement Results Tab and How Are They Corrected?

  • In some cases, there is insufficient waveform data to make a complete measurement. Infiniium precedes questionable measurements with a question mark (?).

    The "?" can appear on statistical values if an acquisition occurs for which the measurement cannot be made. If this is the case, you can ignore the "?" if you know that there will be acquisitions for which a measurement will not be made.

    In many situations, not being able to make the requested measurement would be a concern. You may ensure that every acquisition is measured by setting up trigger conditions, using InfiniiScan, etc.

    The "?" can also appear if the waveform is clipped or if insufficient sample rate is used to measure a fast rise time, etc.

    Sometimes, rescaling the waveform horizontally will provide enough waveform samples to improve the measurement.

  • If the waveform's resolution is too coarse, perhaps because the sample rate is too slow, Infiniium tries to determine the boundary of the measurement. It will precede the measurement with a less than or equal to sign. Changing the horizontal scale or increasing the sample rate may improve the measurement.

  • In the case where a waveform is clipped at the input, Clipped high or Clipped low will be displayed. To make any measurements, you will have to reduce the vertical scale, adjust the offset, or attenuate the input waveform.

  • Some timing measurements require one or more edges to be on the display. If an edge cannot be found, the message Edge? appears. In these cases you should adjust your trigger, acquisition, threshold, and display settings to display an edge.


Jitter

Jitter Overview

Measurement Analysis (EZJIT)

Jitter (EZJIT+)

Jitter / Noise (EZJIT Complete)

Application Notes:

  • Analyzing Jitter Using Agilent EZJIT Plus Software

  • Selecting RJ Bandwidth in EZJIT Plus Software

  • Choosing the ISI Filter Size for EZJIT Plus

  • Jitter Analysis: The Dual-Dirac Model, RJ/DJ, and Q-Scale


Jitter Overview

Jitter Basics

Using Histograms to Measure Jitter

Using Markers to Measure Jitter

EZJIT, EZJIT+, and EZJIT Complete

Measuring Jitter Only on Rising (or Falling) Edges of a Clock

This section describes what jitter is and what components make up jitter.

You can measure jitter using histograms or markers in the Color Grade persistence mode.

Agilent also provides the EZJIT, EZJIT+, and EZJIT Complete applications for more in-depth jitter measurement and analysis.


Jitter Basics

What is Jitter?

What are the Components That Make up Jitter?

What Causes Jitter?

What is Jitter?

Jitter is any frequency or phase related spurious variation of a waveform from its ideal. Jitter appears on a waveform edge before or after the trigger point as wide smeared edge. In other words, if you were to plot an eye diagram, the jitter is a measurement of the variance in time locations of the crossing points (see screen shot below).

Jitter measurements are made on the database created when Color Grade Persistence is on. Horizontal time histograms are constructed to determine the location of the crossing points. An iterative process is used to narrow the histogram window to precisely determine the crossing points and the variance.

Jitter can be displayed in one of two formats: peak-to-peak or RMS. Both values are based on the standard deviation of the crossing point position.

where:

  • σcrossing = the standard deviation for the crossing point

The accuracy of eye pattern jitter measurements depends on the amount of data in the database. For the first few seconds after pushing the Clear Display button, the amount of data may be insufficient to obtain statistically significant results causing displayed measurements to show large variability.

What are the Components That Make up Jitter?

Jitter has two components: deterministic (DJ - deterministic jitter) and random (RJ - random jitter).

Random jitter is unbounded (meaning that the peak-to-peak jitter will increase indefinitely and not approach some bounding value) and generally has a Gaussian distribution.

Deterministic jitter is the predictable component of jitter and it is bounded.

To see the difference in these two components, picture a serial data stream where certain edges are always off in a predictable manner. For example, some edges may be shifted to the right of their ideal location while others are shifted in the opposite direction. This would be the deterministic component of the jitter. The random component would then cause slight variations in this deterministic jitter so, for example, a particular edge may always shift right, but the random jitter makes the amount of shift differ from acquisition to acquisition.

Deterministic jitter can be broken down into further components.

where:

  • TJ = total jitter.

  • DJ = deterministic jitter.

  • RJ = random jitter.

  • DCD = Duty Cycle Distortion.

  • ISI = Inter-Symbol Interference (also called DDJ = data dependent jitter).

  • PJ = periodic jitter.

What Causes Jitter?

Jitter is caused by numerous things, but the following is a general list of things that may result in jitter.

  • Thermal noise.

  • ISI.

  • Cross talk.

  • Vertical noise in the oscilloscope.

  • EMI radiation.

See Also

  • Using Histograms to Measure Jitter

  • Using Markers to Measure Jitter

  • EZJIT, EZJIT+, and EZJIT Complete


Using Histograms to Measure Jitter

Use this technique when you want to find the mean, standard deviation, peak value, peak-to-peak value, and median of your waveform's jitter. You should use this technique instead of the marker method except when the shape of your waveform prevents the use of the histogram method.

You can measure jitter by using a histogram if you follow these steps:

  1. Set Vertical Scale and Offset:

    1. Press the front panel's [Auto Scale] key if the oscilloscope is not triggered on your waveform.

    2. Adjust waveform amplitude and offset to cover waveform area without clipping.

    3. Turn off all channels, functions, and waveform memories except for the one that you want to measure.

  2. Set Horizontal Scale and Equivalent Time Sampling mode:

    1. Move jittering edge to center of waveform area. (Drag the waveform or use horizontal position control.)

    2. Adjust the horizontal scale until the width of the jittering edge covers several time divisions.

  3. Set Color Grade Persistence Mode:

    1. On the menu bar, click Setup.

    2. In the Setup menu, click Display.

    3. In the Display Setup dialog box, select Color Grade.

    4. Close the Display Setup dialog box.

  4. Set Horizontal Histogram Orientation:

    1. On the menu bar, click Analyze.

    2. In the Analyze menu, click Histogram.

    3. In the Histogram dialog box, select Horizontal orientation.

    4. Select the Enable Histogram box.

  5. Set Histogram Window:

    1. In the Histogram dialog box, set the Top Limit control to the 50 % point of your waveform's height. If your waveform ranges from 0 to 5 volts you should set the Top Limit control to 2.5 volts.

    2. Set the Bottom Limit control to the same value as the Top Limit control.

    3. Set the Left Limit control such that the marker is to the left of the jittering edge.

    4. Set the Right Limit control such that the marker is to the right of the jittering edge.

    5. At the bottom of the display you will see the histogram measurements.

See Also

  • Using Markers to Measure Jitter


Using Markers to Measure Jitter

Use this technique when you want to find the mean, standard deviation, peak value, peak-to-peak value, and median of your waveform's jitter and when the shape of your waveform prevents the use of the Histogram measurement technique.

You can measure jitter by using markers if you follow these steps:

  1. Set Vertical Scale and Offset:

    1. Press the front panel's [Auto Scale] key if the scope is not triggered on your waveform.

    2. Adjust waveform amplitude and offset to cover waveform area without clipping.

  2. Set Horizontal Scale:

    1. Move jittering edge to center of waveform area. (Drag the waveform or use horizontal position control.)

    2. Adjust the horizontal scale until the width of the jittering edge covers several time divisions.

  3. Set Marker Mode:

    1. On the menu bar, click Measure.

    2. In the Measure menu, click Markers.

    3. In the Markers Setup dialog box, select Manual Placement markers.

    4. Using the Marker A source control, select the channel you want to measure.

    5. Using the Marker B source control, select the channel you want to measure.

    6. Close the Markers Setup dialog box.

  4. Set Infinite Persistence:

    1. On the menu bar, click Setup.

    2. In the Setup menu, click Display.

    3. In the Display Setup dialog box, select Infinite Persistence box.

    4. Close the Display Setup dialog box.

    5. Press the front panel [Run/Stop] key to stop acquisitions.

  5. Position Markers:

    1. Drag the Ax marker to the left-hand side of the jittering edge where it crosses the center grid line.

    2. Drag the Bx marker to the right-hand side of the jittering edge where it crosses the center grid line.

    3. At the bottom of the display, the Delta X value shows the width of the jittering edge.

See Also

  • Using Histograms to Measure Jitter


EZJIT, EZJIT+, and EZJIT Complete

As high speed data and communication systems become faster, the timing requirements of digital components has become tighter. Jitter can degrade system performance making the timing requirements even tighter.

Understanding jitter and jitter characteristics is essential to making accurate jitter measurements. Unfortunately, there are many different definitions of jitter. Regardless of the particular definition, they all attempt to quantify the undesirable high-frequency time variation of signal events. A signal event, in this general definition, is some recognizable waveform feature such as a voltage threshold crossing. The term undesirable high-frequency is used in this definition to distinguish jitter from the undesirable lower-frequency time variation between signal events commonly referred to as wander. The frequency value used to separate jitter and wander is application dependent and commonly determined by a clock recovery cutoff frequency.

Agilent provides the EZJIT, EZJIT+, and EZJIT Complete applications for more in-depth jitter measurement and analysis. For an overview of these applications, see:

  • EZJIT Overview

  • EZJIT+ Overview

  • EZJIT Complete Overview


Measuring Jitter Only on Rising (or Falling) Edges of a Clock

With the EZJIT+ and EZJIT Complete applications, you can measure jitter on only rising (or falling) edges of a clock by following these steps:

  1. In the Clock Recovery dialog box, click Advanced....

  2. In the Advanced Clock Recovery dialog box, select rising or falling edges.

    This tells the clock recovery algorithm to only use rising edges.

  3. In the Jitter Setup dialog box, under Edges, select rising or falling edges.

    This tells the jitter measurement system to only use rising edges.

  4. In the Jitter Setup dialog box, click Advanced....

  5. In the Advanced Jitter dialog box, check Force Clock Pattern.

    This forces the pattern to be a clock and sets the jitter for edges not examined to zero (0).

See Also

  • Jitter (EZJIT+)

  • Jitter / Noise (EZJIT Complete)


Measurement Analysis (EZJIT)

EZJIT Overview

Measuring Jitter on Clocks

Measuring Jitter on Serial Data

Measuring Jitter on Synchronous Logic

Memory Depth and Sample Rate Considerations for Jitter

Voltage Threshold Considerations for Jitter

EZJIT Jitter Measurements

Using Measurement Histograms

Using the Measurement Trend

Using the Jitter Spectrum to Find Deterministic Jitter

Measurement Analysis (EZJIT) Dialog Box

Meas Analysis Wizard

Measurement Trend Dialog Box

Jitter Spectrum Dialog Box

TIE Filter Dialog Box

This section describes measuring jitter on serial data, clocks, and synchronous logic as well as memory depth and sample rate considerations.


EZJIT Overview

The original version of the EZJIT jitter analysis option adds two basic types of measurement capability:

  • First, you can perform several jitter-specific measurements of digitized waveforms such as time interval error and cycle-to-cycle jitter.

  • Second, you can perform temporal, spectral, and statistical analysis on sequences of measurements from multiple edges of individual waveforms.

    This analysis capability lets you display a histogram of rise time measurements or the Fourier Transform of period measurements, for example.

The EZJIT Jitter Analysis Option is designed to measure jitter using the measurement methods described in EZJIT Jitter Measurements.

Some of the jitter measurements are required for compliance testing in different industries, such as industries using the Rambus architecture. Rambus compliance requires making cycle-to-cycle jitter measurements, n-cycle jitter measurements and cycle-to-cycle duty cycle measurements.

The Time Interval Error measurements are good at finding deterministic jitter such as crosstalk of one signal line into another or one signal modulating another.


Measuring Jitter on Clocks

What Causes Clock Jitter?

What Measurements are Available for Measuring Jitter on Clock Waveforms?

What Causes Clock Jitter?

Clock jitter can come from many different sources in a circuit. For example, crosstalk, which is the unwanted coupling of energy from one signal path to another signal path, can cause clock jitter. This type of jitter is called deterministic jitter.

Non-deterministic jitter can come from such sources as power supply noise or ground bounce. Ground bounce is a phenomena where the ground and supply voltages of a circuit are shifted by a DC voltage with respect to earth ground.

What Measurements are Available for Measuring Jitter on Clock Waveforms?

These jitter measurements are best suited for measuring jitter on clock waveforms:

  • Clock Time Interval Error (TIE) — Clock TIE is a good measurement to use for finding jitter caused by a single jitter source and by multiple jitter sources. It is also good for measuring spread spectrum clocks when you want to evaluate the performance of the clock.

  • Period-Period (with N=1) — Previously called "cycle-to-cycle", this is a good measurement for finding high frequency jitter sources. It is not good for finding low frequency jitter sources.

  • Period-Period — Previously called "N-cycle", this is a good measurement to use for finding low frequency jitter sources when there a single jitter source or multiple jitter sources.

    Period-Period is not good for finding high frequency jitter sources. Also, it is not as easy to use because it is difficult to know how many cycles to use for N.

  • +width - +width — Previously called "cyc-cyc +width", this is a good measurement to use for finding jitter caused by single or multiple jitter sources. This measurement can also help you find problems which are affecting the duty of a waveform.

  • -width - -width — Previously called "cyc-cyc –width", this is a good measurement to use for finding jitter caused by single or multiple jitter sources. This measurement can also help you find problems which are affecting the duty of a waveform.

  • Duty Cycle - Duty Cycle — Previously called "cyc-cyc duty cycle", this is a good measurement to use for finding jitter caused by high frequency single or multiple jitter sources.

Each of the jitter measurements should be performed when you suspect that jitter on your waveform is the cause of a circuit malfunction. Each jitter measurement has its strength and weaknesses at finding the source of the jitter.

See Also

  • EZJIT Clock Measurements

  • EZJIT Jitter Measurements


Measuring Jitter on Serial Data

What Causes Serial Data Jitter?

What Measurements are Available for Measuring Jitter on Serial Data Waveforms?

What Causes Serial Data Jitter?

Serial data jitter can come from many different sources in a circuit. For example, crosstalk, which is the unwanted coupling of energy from one signal path to another signal path, can cause clock jitter. This type of jitter is called deterministic jitter.

Non-deterministic jitter can come from such sources as power supply noise or ground bounce. Ground bounce is a phenomena where the ground and supply voltages of a circuit are shifted by a DC voltage with respect to earth ground.

What Measurements are Available for Measuring Jitter on Serial Data Waveforms?

These jitter measurements are best suited for measuring jitter on serial data waveforms:

  • Data Time Interval Error (TIE) — Data TIE is a good measurement to use for finding jitter caused by a single jitter source and by multiple jitter sources. It is also good for measuring data clocked by a spread spectrum clock.

  • Data Rate jitter — Data rate is a good measurement for measuring jitter caused by a low frequency waveform. It is not a good measurement for measuring jitter caused by a high frequency waveform.

  • Unit Interval jitter — Unit Interval is also a good measurement for measuring jitter caused by a low frequency waveform. Like data rate, it is not good a measurement for measuring jitter caused by a high frequency waveform.

  • Clock Recovery Rate — The clock recovery rate measurement is used to determine the nominal data rate across the acquisition.

See Also

  • EZJIT Serial Data Measurements

  • EZJIT Jitter Measurements


Measuring Jitter on Synchronous Logic

Measuring Jitter on Synchronous Logic

What Measurements can be Used for Jitter Resulting in Synchronous Logic Failures?

Today's high speed synchronous logic has timing margins requiring higher levels of performance of system clocks. Jitter on clock edges can cause synchronous logic to fail. There are two timing measurements, Setup time and Hold time, that can be used to see how close to the timing limits the clock and data are.

The Clock Time Interval Error (TIE) is another useful jitter measurement to use to find the source of jitter. If the source of jitter is caused by crosstalk, then using the Clock TIE jitter measurement with the Jitter Spectrum feature can help you determine the frequency of the jitter and lead you to the problem area.

The Data TIE measurement can help you find the source of jitter on serial data. When used with the Jitter Spectrum feature, it can help you identify the frequency of the jitter if the cause of the jitter is deterministic.

See Also

  • EZJIT Jitter Measurements


Memory Depth and Sample Rate Considerations for Jitter

Memory Depth Considerations

Sample Rate Considerations

Memory Depth Considerations

Jitter analysis is performed on individual waveform records, one acquisition (trigger cycle) at time. The statistics of measurements from multiple acquisitions are then combined until a scale change resets the accumulated statistics.

The time range of source waveforms acquired on each trigger cycle can be set by changing the Memory Depth value in the Acquisition setup menu. In general, lower-frequency components of jitter are analyzed using longer time ranges of source waveforms. An exception to this is the use of software PLL clock recovery. Software PLL clock recovery effectively high-pass filters the jitter results, such that increasing the memory depth beyond a certain length no longer adds lower-frequency information. At this point, accumulating results across multiple trigger cycles improves measurement accuracy as effectively as increasing memory depth.

Care must be taken when measuring jitter using very long memory depths and constant frequency clock recovery methods. The clock sources of many serial communication systems are not as stable as the oscilloscope's timebase reference and can wander relative to the oscilloscope's timebase during the time range of single waveform acquisition. In some applications, this problem can be alleviated by phase-locking the two clock references together.

Increasing memory depth increases test time. This is particularly true for display jitter spectrum graphs with long serial pattern lengths.

RJ/DJ analysis has maximum pattern length limitations that depend on the memory depth being used. For more information, see Limitations of EZJIT Jitter Measurements.

Note that jitter measurements are performed over the entire acquired waveform, not just the portion of the waveform that is currently displayed on screen.

Sample Rate Considerations

In general, the higher the sample rate the more accurate the jitter measurement will be. The measurement bandwidth required for jitter measurements is typically about twice the serial bit rate, which implies a sample rate of 8 times the serial bit rate. However, over-sampling with a higher sample rate than is needed and then reducing the measurement bandwidth using digital filtering (waveform math or software bandwidth limit) improves the oscilloscope's jitter measurement floor.

In some applications, increasing the source waveform's acquired time range is more important than lowering the jitter measurement floor. In these cases, reducing the sample rate is an effective alternative to increasing the memory depth.

If you are making a jitter measurement with the measurement trend feature enabled, then you should set the time range to a value where at least one cycle of the measurement trend waveform is on screen. For example, a spread spectrum clock with a frequency of 20 MHz and a modulation frequency of 20 kHz would have a jitter frequency of 20 kHz. The horizontal range would have to be set to 50 ms/div in order to see one cycle of the 20 kHz jitter. The sample rate at this horizontal scale setting is 2 GSa/s which is high enough of a sample rate for the 20 MHz clock frequency.

See Also

  • EZJIT Jitter Measurements


Voltage Threshold Considerations for Jitter

All jitter measurements are based on the times of voltage threshold crossings, which can be set from within the Measurement Thresholds setup menu. These measurement thresholds apply to all measurements, but can be set differently for individual waveforms.

For jitter measurements it is typically best to set the threshold to the 50% level of the source waveform using the custom level +/- hysteresis setting. The hysteresis value should typically be set to about 5% of the source waveforms amplitude. However, the hysteresis should be increased if the source waveform has inflections on its transitions. The hysteresis may need to be decreased if the vertical eye opening of the source waveform is significantly reduced by excessive ISI or voltage noise.

When the measurement threshold setting is applied to individual waveforms, the Set to 50% Vp-p control appears. This automatic method will set the threshold to the optimum value for making the majority of jitter measurements.

The custom level +/- hysteresis setting is not the best measurement threshold setting for all measurements. When measuring rise time and fall times for example, the threshold should be set to the 10%, 50%, 90% Of Top, Base or to the 20%, 50%, 80% Of Top, Base setting.


EZJIT Jitter Measurements

What Should I Think About When Setting Up a Jitter Measurement and What Setup Methods are Available?

Timing Measurements

EZJIT Clock Measurements

EZJIT Serial Data Measurements

Searching for Max and Min Measurement Results

Limitations of EZJIT Jitter Measurements

Troubleshooting an EZJIT Jitter Measurement

Note

Requires the EZJIT Jitter Analysis Software option.

There are several ways to measure jitter. The different types of jitter measurements help to find different causes of jitter. The available jitter measurements are (these are each discussed below in detail):

Base Timing | EZJIT Clock | EZJIT Serial Data
+width Duty cycle Fall time Frequency Hold time Period Phase Rise time Setup time -width | Time Interval Error (TIE) Period-Period N-Period +width - +width -width - -width Duty Cycle - Duty Cycle Old/New Clock Jitter Measurement Names | Time Interval Measurements (TIE) Noise Unit Interval N-UI UI-UI Data Rate Clock Recovery Rate Deemphasis

When the jitter analysis feature is enabled, the automated jitter measurements are made on all cycles of the waveform. Even the cycles that are not in the waveform viewing area. If the oscilloscope is in zoom mode, the jitter measurements are made on those cycles that are in the zoom window.

Jitter analysis cannot be performed on math function operators and cannot use FFT Magnitude, FFT Phase, or Versus waveforms as sources.

Additional jitter measurements are available with the EZJIT+ and EZJIT Complete jitter analysis options, see:

  • Jitter Tab Measurements

  • Noise Tab Measurements

What Should I Think About When Setting Up a Jitter Measurement and What Setup Methods are Available?

  • General Setup — The best jitter performance is achieved when Infiniium sets the maximum sample rate, turns off averaging, and turns off any automated voltage measurements being made.

    The maximum sample rate and maximum memory depth settings provide most accurate waveform data for calculating jitter measurements when you are measuring a spread spectrum clock or low frequency jitter. However, setting the maximum memory depth can slow down the display update rate of your waveforms.

    If averaging is enabled, it would remove some of the jitter that you are trying to measure.

  • Voltage Scaling of Source Waveform — The vertical scale (Volts/div) of source waveforms used for jitter measurements should always be chosen such that the displayed waveform is as large as will still fit within the full scale display range (8 divisions). This maximizes the measurement signal-to-noise ratio (SNR) without introducing waveform distortions caused by clipping the oscilloscope ADC's input voltage range. Maximizing voltage SNR is critical when performing low-jitter measurements on source waveforms with slow rise times because voltage noise is converted to timing jitter through the slope of the source waveform.

  • Jitter Measurement Gating — The best way to gate your jitter measurements is to use the zoom feature.

    Additionally, you can now also use InfiniiScan's zone trigger in combination with the zoom feature.

  • Measuring Jitter on Clocks

  • Measuring Jitter on Serial Data

  • Measuring Jitter on Synchronous Logic

  • Memory Depth and Sample Rate Considerations for Jitter

  • Voltage Threshold Considerations for Jitter

  • Measurement Analysis (EZJIT) Dialog Box

  • Meas Analysis Wizard

  • Measurement Trend Dialog Box

  • Jitter Spectrum Dialog Box

  • Clock Recovery


Timing Measurements

+width

Duty cycle

Fall time

Frequency

Hold time

Period

Phase

Rise time

Setup time

-width

When the jitter analysis feature is enabled, the timing measurements and statistics are made on all of the cycles of a waveform instead of just one.

When the jitter feature is disabled, the timing measurements, shown below, and statistics are calculated on one cycle of the waveform over all of the trigger cycles.


+width

The +width (positive pulse width) jitter measurement requires the jitter mode to be enabled in the Measurement Analysis (EZJIT) Dialog Box. When Infiniium is not in the zoom mode, the +width jitter measurement is made on all the positive pulses of the waveform including any positive pulses that are not in the waveform viewing area. In zoom mode, the +width jitter measurement is only made on all the positive pulses inside the delayed window.

The positive pulse width is defined as the time from the mid-threshold of the first rising edge to the mid-threshold of the next falling edge.

The +width jitter measurement is affected by the parameters in the Thresholds dialog box.


Duty cycle

The duty cycle jitter measurement requires the jitter mode to be enabled in the Measurement Analysis (EZJIT) Dialog Box. When Infiniium is not in the zoom mode, the duty cycle jitter measurement is made on all the cycles of the waveform including any cycles that are not in the waveform viewing area. In zoom mode, the duty cycle jitter measurement is only made on all the cycles inside the delayed window.

The duty cycle measurement is defined as (positive pulse width/period)*(100) which is the percentage of the period that the waveform is high.

This measurement is affected by the parameters in the Thresholds dialog box.


Fall time

The fall time jitter measurement requires the jitter mode to be enabled in the Measurement Analysis (EZJIT) Dialog Box. When Infiniium is not in the zoom mode, the fall time measurement is made on all the falling edges of the waveform including any edges that are not in the waveform viewing area. In zoom mode, the fall time measurement is only made on all the falling edges inside the delayed window.

The fall time measurement is defined as the time at the lower threshold minus the time at the upper threshold of the edge.

To make this measurement, Infiniium requires at least 4 or more sample points on the edge of the waveform.

This measurement is affected by the parameters in the Thresholds dialog box.


Frequency

The frequency jitter measurement requires the jitter mode to be enabled in the Measurement Analysis (EZJIT) Dialog Box. When Infiniium is not in the zoom mode, the frequency measurement is made on all the cycles of the waveform including any cycles that are not in the waveform viewing area. In zoom mode, the frequency jitter measurement is only made on all the cycles inside the delayed window.

The frequency measurement is defined as 1/Period. Period is defined as the time between the middle threshold crossings of two consecutive, like-polarity edges. You can drag and drop this measurement from the Measurement Toolbar.

This measurement is affected by the parameters in the Thresholds dialog box.


Hold time

The hold time jitter measurement requires the jitter mode to be enabled in the Measurement Analysis (EZJIT) Dialog Box. When Infiniium is not in the zoom mode, the hold time jitter measurement is made on all the cycles of the two source’s waveforms including any cycles that are not in the waveform viewing area. In zoom mode, the hold time jitter measurement is only made on all the cycles inside the delayed window.

The hold time measurement is defined as the time from the middle threshold of the clock source to the middle threshold of the data source.

This measurement is affected by the parameters in the Thresholds dialog box.


Period

The period jitter measurement requires the jitter mode to be enabled in the Measurement Analysis (EZJIT) Dialog Box. When Infiniium is not in the zoom mode, the period jitter measurement is made on all the periods of the waveform including any periods that are not in the waveform viewing area. In zoom mode, the period jitter measurement is only made on all the periods inside the delayed window.

The period measurement is defined as the time between the middle threshold crossings of two consecutive, like-polarity edges.

This measurement is affected by the parameters in the Thresholds dialog box.


Phase

The phase jitter measurement requires the jitter mode to be enabled in the Measurement Analysis (EZJIT) Dialog Box. When Infiniium is not in the zoom mode, the phase jitter measurement is made on all the edges of the waveform including any edges that are not in the waveform viewing area. In zoom mode, the phase jitter measurement is only made on all the edges inside the delayed window.

The phase measurement is defined as the phase angle between the closest 2 edges for the selected edge type (falling or rising) of the waveforms. The angle is measured between the middle thresholds of the edges.

The phase angle is calculated using the following equation.

This measurement is affected by the parameters in the Thresholds dialog box.


Rise time

The rise time jitter measurement requires the jitter mode to be enabled in the Measurement Analysis (EZJIT) Dialog Box. When Infiniium is not in the zoom mode, the rise time jitter measurement is made on all the rising edges of the waveform including any edges that are not in the waveform viewing area. In zoom mode, the rise time jitter measurement is only made on all the rising edges inside the delayed window.

The rise time measurement is defined as the time at the upper threshold minus the time at the lower threshold of the edge you are measuring.

To make this measurement, Infiniium requires at least 4 or more sample points on the edge of the waveform.

This measurement is affected by the parameters in the Thresholds dialog box.


Setup time

The setup time jitter measurement requires the jitter mode to be enabled in the Measurement Analysis (EZJIT) Dialog Box. When Infiniium is not in the zoom mode, the setup time jitter measurement is made on all the cycles of the two source's waveforms including any cycles that are not in the waveform viewing area. In zoom mode, the setup time jitter measurement is only made on all the cycles inside the delayed window.

The setup time measurement is defined as the time from the middle threshold of the data source to the middle threshold of the clock source.

This measurement is affected by the parameters in the Thresholds dialog box.


-width

The –width (negative pulse width) jitter measurement requires the jitter mode to be enabled in the Measurement Analysis (EZJIT) Dialog Box. When Infiniium is not in the zoom mode, the -width jitter measurement is made on all the cycles of the waveform including any cycles that are not in the waveform viewing area. In zoom mode, the –width jitter measurement is only made on all the cycles inside the delayed window.

The negative pulse width measurement is defined as the time from the mid-threshold of the first falling edge to the middle threshold of the next rising edge. You can drag and drop this measurement from the Measurement Toolbar.

This measurement is affected by the parameters in the Thresholds dialog box.


EZJIT Clock Measurements

Time Interval Error (TIE)

Period-Period

N-Period

+width - +width

-width - -width

Duty Cycle - Duty Cycle

Old/New Clock Jitter Measurement Names


Time Interval Error (TIE)

There are two ways to find the Clock TIE: Automatic mode and Manual Mode. In the Automatic mode, Infiniium determines the ideal clock frequency by measuring the frequency of all the cycles in your waveform and taking the average of all the measurements. In the Manual mode, you enter the value for the ideal clock frequency.

Once the ideal clock frequency is determined, all of the cycles of your waveform are compared to the ideal clock frequency and the error statistics are computed. The following figure shows how the Clock TIE is measured on rising edges of the clock.

When Infiniium is not in the zoom mode, the clock TIE jitter measurement is made on all the cycles of the waveform including any cycles that are not in the waveform viewing area. In zoom mode, the clock TIE jitter measurement is only made on all the cycles inside the delayed window.

Note

The TIE filter is a brickwall filter.


Period-Period

The Period-Period measurement takes a group of cycles and measures the period from the first edge of the first cycle of the group to the final edge of the last cycle of the group. The n-period of the first group is measured and subtracted from the n-period of the second group. After shifting to the right by one cycle the next measurement is made The following figure shows how an N-cycle jitter measurement is made for N = 3.

Once all of the groups of cycles of the waveform are measured the statistics are calculated. The statistics are the values accumulated over all of the trigger cycles that have occurred.

To perform what used to be called cycle-cycle jitter (or cyc-cyc jitter), use Period-Period and set N=1.

When Infiniium is not in the zoom mode, the Period-Period jitter measurement is made on all the cycles of the waveform including any cycles that are not in the waveform viewing area. In zoom mode, the Period-Period measurement is only made on all the cycles inside the delayed window.


N-Period

N-Period measures the span of time of N consecutive periods. Then the measurement moves over one period and measures the span of the next N consecutive periods.


+width - +width

The +Width - +Width measurement measures the positive pulse width of the first cycle and subtracts it from the positive pulse width of the second cycle for the first measurement result. Then, the second cycle of the waveform is measured and subtracted from the third cycle positive pulse width for the second measurement result. This operation continues until all of the cycles of the waveform have been measured. The following figure shows two +Width - +Width measurements.

All of the measurement results are used to compute the statistics. The statistics are the values accumulated over all of the trigger cycles that have occurred.

When Infiniium is not in the zoom mode, the +Width - +Width measurement is made on all the cycles of the waveform including any cycles that are not in the waveform viewing area. In zoom mode, the +Width - +Width measurement is only made on all the cycles inside the delayed window.


-width - -width

The -Width - –Width jitter measurement measures the negative pulse width of the first cycle and subtracts it from the negative pulse width of the second cycle for the first measurement result. Then, the second cycle of the waveform is measured and subtracted from the third cycle negative pulse width for the second measurement result. This operation continues until all of the cycles of the waveform have been measured. The following figure shows two -Width - –Width measurements.

All of the measurement results are used to compute the statistics. The statistics are the values accumulated over all of the trigger cycles that have occurred.

When Infiniium is not in the zoom mode, the -Width - -Width measurement is made on all the cycles of the waveform including any cycles that are not in the waveform viewing area. In zoom mode, the -Width - -Width measurement is only made on all the cycles inside the delayed window.


Duty Cycle - Duty Cycle

The Duty Cycle - Duty Cycle measurement measures the positive pulse width and period of each cycle of the waveform and calculates the duty cycle using the following equation.

The duty cycle of the second cycle of the waveform is found and the first duty cycle is subtracted from the second duty cycle for the first measurement result. Then, the second cycle of the waveform is measured and subtracted from the third cycle duty cycle for the second measurement result. This operation continues until all of the cycles of the waveform have been measured. All of the measurement results are used to compute the statistics. The statistics are the values accumulated over all of the trigger cycles that have occurred.

When Infiniium is not in the zoom mode, the Duty Cycle - Duty Cycle measurement is made on all the cycles of the waveform including any cycles that are not in the waveform viewing area. In zoom mode, the Duty Cycle - Duty Cycle measurement is only made on all the cycles inside the delayed window.


Old/New Clock Jitter Measurement Names

There are several measurements that had their names changed with the 2.10 software release. They are as follows:

Previous to 2.10 software release | 2.10 software release and beyond
Cyc-cyc Jitter | Period-Period (with N=1)
N-Cycle Jitter | Period-Period
Cyc-cyc +width Jitter | +width - +width
Cyc-cyc -width Jitter | -width - -width
Cyc-cyc Duty Cycle Jitter | Duty Cycle - Duty Cycle

The legacy remote commands still work (refer to the Oscilloscopes Programmer's Reference), but you are encouraged to migrate to the new remote commands that use the new naming convention.


EZJIT Serial Data Measurements

Time Interval Measurements (TIE)

Noise

Unit Interval

N-UI

UI-UI

Data Rate

Clock Recovery Rate

Deemphasis


Time Interval Measurements (TIE)

There are two ways to find the Data TIE: Automatic mode or Manual mode. In the Automatic mode, Infiniium determines the ideal data rate by searching your waveform for the narrowest pulse. The data rate is calculated and used as the ideal data rate. In the Manual mode, you enter the value for the ideal data rate.

Once the ideal data rate is determined, all of the data intervals are measured with respect to the ideal data rate and the error statistics are computed. The following figure shows how the Data TIE is measured on rising edges of the data.

When Infiniium is not in the zoom mode, the serial data TIE jitter measurement is made on all the cycles of the waveform including any cycles that are not in the waveform viewing area. In zoom mode, the serial data TIE jitter measurement is only made on all the cycles inside the delayed window.

Note

The TIE filter is a brickwall filter.


Noise

When the EZJIT Complete application is licensed, the Noise serial data measurement becomes available.

The noise measurement measures the total One, Zero, or Both (one and zero) level noise on the source signal.

See Also

  • Jitter / Noise (EZJIT Complete)


Unit Interval

Searches your waveform for the narrowest data pulse and uses it as the ideal unit interval for computing the statistics.

When Infiniium is not in the delayed sweep mode, the unit interval jitter measurement is made on all the cycles of the waveform including any cycles that are not in the waveform viewing area. In delayed sweep mode, the unit interval jitter measurement is only made on all the cycles inside the delayed window.


N-UI

The N-UI measurement measures the span of time of N consecutive unit intervals. The measurement then moves over one UI and measures the span of time of the next N consecutive unit intervals.


UI-UI

The UI-UI measurement measures the difference of two consecutive N-UI measurements. The measurement then moves over one UI and measures the difference of the next N-UIs. When N=1, this is analogous to the cycle-cycle jitter measurement, but measures unit intervals instead of periods. When N > 1, this is analogous to Period-Period, but measures unit intervals instead of periods.


Data Rate

The Data Rate measurement searches your waveform for the narrowest data pulse. The data rate statistics are calculated. The data rate frequency is calculated as one divided by the pulse width.

There are two modes that can be used to find the data: Fully Automatic and Semi-Automatic. In Automatic mode, Infiniium finds the data rate by searching your waveform for the narrowest data pulse. When the Automatic mode has trouble finding the data rate due to excessive high frequency jitter on the waveform, the Semi-Automatic mode can be used. In the Semi-Automatic mode, Infiniium starts by searching around the data rate that you specify then automatically finds the data rate.

When Infiniium is not in the zoom mode, the data rate jitter measurement is made on all the cycles of the waveform including any cycles that are not in the waveform viewing area. In zoom mode, the data rate jitter measurement is only made on all the cycles inside the delayed window.


Clock Recovery Rate

The clock recovery rate is an extrapolated value of the actual bit rate and is used to determine the nominal data rate across the acquisition. This measurement uses the rate derived by the clock recovery algorithm being used. Because each clock recovery algorithm determines the rate in a slightly different manner, different algorithms may yield different results. This measurement is intended to be used with the constant frequency clock recovery algorithm where the data rate is determined by using a least squares fit of the data to the data rate. This will typically yield a more stable data rate.

Because this measurement only results in one value per acquisition, the clock recovery rate cannot be used for the measurement trend or jitter spectrum.


Deemphasis

When the EZJIT Complete application is licensed, the Deemphasis serial data measurement becomes available.

The de-emphasis measurement relies on the clock recovery to recover a clock for each bit in the data waveform. You need to configure clock recovery appropriately for your signal. For every de-emphasis bit in the waveform, a value is computed using:

20 * log10(de-emphasis voltage / transition voltage)

Where:

  • Transition voltage is the voltage at the clock location of the preceding transition bit.

  • De-emphasis voltage is the voltage at the clock location of de-emphasis bits following a transition bit.

Due to random noise, many bits need to be averaged together to average out the noise. Therefore, the current value has little importance and the mean should be used.


Searching for Max and Min Measurement Results

There are several general purpose tools that can help you evaluate jitter measurements.

  • Zoom To Min

    The Zoom To Min control is located in the pop-up menu that appears when you click on the jitter measurement in the Measurements tab. When you select the Zoom To Min control, Infiniium searches the waveform for the minimum jitter measurement value. Once the minimum value is found, the horizontal scale and position are changed to center the minimum value in the waveform viewing area.

    If you are not running in single sweep mode, then Infiniium will find the minimum value for current waveform record. The statistical minimum value shown in the Measurements tab for the selected jitter measurement is over all the trigger cycles that have occurred and not just the current one.

  • Zoom To Max

    The Zoom To Max control is located in the pop-up menu that appears when you click on the jitter measurement in the Measurements tab. When you select the Zoom To Max control, Infiniium searches the waveform for the maximum jitter measurement value. Once the maximum value is found, the horizontal scale and position are changed to center the maximum value in the waveform viewing area.

    If you are not running in single sweep mode, then Infiniium will find the maximum value for current waveform record. The statistical maximum value shown in the Measurements tab for the selected jitter measurement is over all the trigger cycles that have occurred and not just the current one.


Limitations of EZJIT Jitter Measurements

  • A limitation of the EZJIT jitter measurements is that some source waveforms cannot be used. For example, jitter measurements cannot use math functions as sources when the math function operator is FFT Magnitude, FFT Phase, or Versus.

  • Math functions cannot use histograms as sources.

See Also

  • Limitations of EZJIT+ Jitter Measurements


Troubleshooting an EZJIT Jitter Measurement

The following discussion is meant to help you troubleshoot unexpected behavior in their jitter analysis measurements by highlighting common setup mistakes and algorithm misunderstandings.

Sample Rate

The desired sample rate should be set manually when performing jitter measurements. Otherwise, changes to the displayed time range (horizontal display scale) or acquisition memory depth may cause an undesired coupled-control change to the sample rate. Large jitter measurement error can occur if the source waveform is under-sampled.

See also: Memory Depth and Sample Rate Considerations for Jitter

Memory Depth

The desired sample rate should be set manually when performing jitter measurements. Otherwise, changes to the displayed time range (horizontal display scale) or sample rate may cause an undesired coupled-control change to the memory depth.

See also: Memory Depth and Sample Rate Considerations for Jitter

Measurement Threshold

Improper measurement threshold settings can be manifest in a variety of symptoms ranging from "Pattern not found" error messages to gross clock recovery errors to small measurement inaccuracies. In general, the measurement threshold should be set to a fixed voltage threshold with a fixed voltage hysteresis. Other thresholds which are recalculated from the shape of the source waveform on every new trigger cycle can be used, but they will produce different measurement results from that of a fixed voltage threshold.

If jitter measurements cannot be displayed or gross errors are displayed in a TIE trend, it often useful to examine an eye diagram of the source waveform. The current threshold plus and minus the hysteresis setting should fit within the vertical eye opening of the eye diagram. Note that the Real-Time Eye feature will not work properly if the clock recovery process is corrupted by an incorrect measurement threshold setting.

Also examine the voltage transitions for inflections. The hysteresis setting must be large enough that inflections on an edge do not cause the measurement algorithms to detect multiple transitions on a single edge.

See also: Voltage Threshold Considerations for Jitter

Clock Recovery Method

Caution should be exercised in the use of constant frequency clock recovery methods for two reasons. One reason for caution is that jitter measurements performed in conjunction long acquisition memory lengths will include low-frequency phase noise and wander. This may or may not be desirable. However, it usually easily identified by examining the TIE trend function.

See also: Clock Recovery

Displayed Time Range

All PLLs take a finite amount of time to lock on to their source signal. During this settling time portion of the acquisition record, the source waveform cannot be displayed. If the measurement trend is enabled, but not displayed, try expanding the displayed horizontal time range.

See also: Clock Recovery

See Also

  • Troubleshooting an EZJIT+ Jitter Measurement


Using Measurement Histograms

Jitter Measurement histograms provide a way to quickly determine if the jitter on your waveform is caused by a non-deterministic source, such as noise, or from a deterministic source such as crosstalk between to board traces.

Non-deterministic jitter sources show a measurement histogram which is Gaussian in shape like the histogram shown below.

The histogram statistics of μ ±1σ, μ ±2σ, and μ ±3σ provide information about the general shape of the histogram and the magnitude of the noise in your system.

Deterministic jitter sources show a measurement histogram which is not Gaussian in shape. The following histogram shows a Clock TIE measurement on a 10 MHz waveform with 10 kHz frequency modulation and 1 kHz deviation.

As can be seen the distribution is bimodel indicating that there is a deterministic source of jitter for this waveform.

Multimodel distributions are an indication that there is more than one source causing jitter on your waveform. The following histogram shows a 456 MHz waveform with a 15 MHz jitter source and a 115 MHz jitter source.


Using the Measurement Trend

Smoothing the Measurement Trend

How Do I Make Measurements on the Measurement Trend Waveform?

Measurement Trend Considerations

The measurement trend plots a jitter measurement versus time. For deterministic types of jitter, the source of the jitter can be identified by viewing the shape of the measurement trend plot.

For example, a circuit has a clock frequency of 15 MHz. This circuit is malfunctioning due the fact that the amount of jitter on the clock edges is cutting into the timing margins for the circuit. The following measurement trend plot is a clock TIE jitter measurement of the clock with and without smoothing.

Figure 1. No Smoothing

Figure 2. Smoothing

Because of noise in the system, the Smoothing Points control was set to 399. As the measurement trend shows, there is a sinusoidal waveform which is the source of the jitter. By using the automated frequency measurement on the measurement trend plot, the frequency of the jitter source is 10 kHz caused by a inadequately filtered switching power supply.

Smoothing the Measurement Trend

The Smooth Data feature filters out the high frequency jitter content of the measurement trend waveform by taking a set of consecutive data points, averaging them together, and plotting the result. Smooth Data starts on the left-hand side of the waveform, averages the first set of data, and plots the result. Then it moves one data point to the right of the first data point and averages the next set of data and plots this point. This process continues until all of the data is plotted.

If you want to see a measurement trend plot of all jitter on the waveform then you should disable smoothing.

Smoothing Points

The number of smoothing points determines the width of the moving-average filter, which in turn determines the bandwidth of the effective low-pass filtering effect of smoothing. A larger number of smoothing points will remove the high-frequency content from the trend beginning at a lower frequency. Type your drop-down text here.

How Do I Make Measurements on the Measurement Trend Waveform?

Once you have a measurement trend waveform that you recognize, you can make automatic measurements, such as frequency, on the waveform to help determine that source of the jitter. Because the automated measurements depend upon the threshold settings of the automatic measurements, you should be sure to set the thresholds to the values that you want to measure.

Setting the Automatic Measurement Thresholds

To set the thresholds for a measurement use the following steps:

  1. Select the automatic measurement that you want, such as frequency.

  2. Choose Meas Trend as the source.

  3. In the Measurements tab at the bottom of the screen, click on the measurement.

  4. From the pop-up menu, select Change Thresholds….

  5. In the Measurement Thresholds dialog box select Individual Waveforms.

  6. Select the Thresholds Source to be Meas Trend.

  7. Select the type of thresholds that you want from the Thresholds pull-down menu.

A good setting for the thresholds is the Custom Level +/- Hysteresis setting. Use the Set to 50% Vp-p button to set the Custom Threshold levels for you.

Measurement Trend Considerations

The measurement trend plot is only as good as the accuracy of the jitter measurement being plotted. To improve the accuracy of the jitter measurement, the amplitude of the waveform being sampled should cover as much of the waveform viewing area as possible without clipping the top or bottom of the waveform.

The sampling frequency should be set as high as possible to increase the accuracy of measuring the edges of the waveform. The horizontal scale should be set to view several cycles of the waveform causing the jitter; however, you should never set the horizontal scale to a value where the sampling frequency is less than 4 times the highest frequency of the waveform being sampled.

Selecting the number of points used to smooth the measurement trend plot will depend on the amount of noise in your circuit. Start at the default value of 5 and keep increasing it until you start to see a waveform shape which you recognize.


Using the Jitter Spectrum to Find Deterministic Jitter

The Jitter Spectrum tool is good for finding deterministic sources of jitter. The jitter spectrum creates an FFT of the measurement trend showing the frequency content. This will help you find single or multiple sources that are causing the waveform jitter. The FFT plots frequency versus the jitter measurement. The magnitude of the tallest frequency peaks are contributing the most to the overall jitter measurement and may be the ones that you want to find the root cause and fix.

When the jitter spectrum shows more than 1 peak in the spectrum then there are multiple sources contributing to the overall jitter measurement. For example, the following picture shows a jitter spectrum of a clock TIE measurement.

As can be seen, there are 3 frequency peaks in the jitter spectrum. By measuring the magnitude of all the frequency peaks you can determine how much each frequency contributes to the overall jitter measurement. One way to measure the frequency peaks is to make an FFT magnitude measurement on the jitter spectrum. The peak level should be set to a value less than the smallest peak that you want to measure. By changing the peak number the measurement marker will move to that numbered peak. Peaks are numbered starting at 1 on the left-hand side of the waveform viewing area to the maximum number on the right-hand side.


Measurement Analysis (EZJIT) Dialog Box

What Tasks Can I Accomplish in This Dialog Box?

How Do I Setup a Jitter Measurement?

What Controls are in This Dialog Box?

What Tasks Can I Accomplish in This Dialog Box?

  • Use to setup the oscilloscope for a jitter measurement.

  • Use to setup a histogram of the selected jitter measurement.

  • Use to setup a trend line analysis of the selected jitter measurement.

  • Use to setup jitter spectrum (FFT) of the selected jitter measurement.

How Do I Setup a Jitter Measurement?

There are two methods that you can use to setup a jitter measurement (found under Analyze > Measurement Analysis (EZJIT)...).

  • Meas Analysis Wizard... — Takes you step-by-step through the procedure of setting up a jitter measurement. Additional information is presented to help you determine the best settings for the jitter measurement that you want to make. See Meas Analysis Wizard.

  • Manual Setup Method — Lets you choose the jitter measurement that you want by using the Add Measurement... button. You can then select the analysis settings you want. See EZJIT Jitter Measurements.

What Controls are in This Dialog Box?

  • Measure All Edges — Measure all Edges will measure every instance of timing measurements in each acquisition. The first 2M edges in an acquisition are measured.

  • Meas Histogram — The histogram plots the number of times the different measured values of the selected jitter measurement occur. These values are the accumulated totals across all of the trigger cycles that have occurred. The statistical analysis of the jitter measurement is shown in the histogram tab at the bottom of the waveform viewing area.

    Click Setup... to open the Histogram Dialog Box.

  • Meas Trend — The Meas Trend (Measurement Trend) creates a jitter measurement versus time plot. The measurement trend feature is a useful tool for finding a deterministic source of the jitter. If a clock waveform is being modulated by another waveform in your circuit, the measurement trend can show you this modulating waveform and using a frequency measurement will tell you the frequency of the modulating waveform.

    The Measurement Trend plot vertical scale is automatically set when it is first enabled. Sometimes you may want to expand the view to look more closely at a particular portion of the plot. Click Setup... to open the Measurement Trend Dialog Box where you can change the vertical scale.

  • Jitter Spectrum — The jitter spectrum tool creates an FFT of the measurement trend showing the frequency content. This will help you find multiple sources that are causing the waveform jitter. The FFT plots the jitter measurement result versus frequency.

    The Jitter Spectrum plot vertical and horizontal scales are automatically set when it is first enabled. Sometimes you may want to expand the view to look more closely at a particular portion of the plot. Click Setup... to open the Jitter Spectrum Dialog Box where you can change the vertical scale, horizontal scale, and center frequency of the plot.

  • Clock Recovery... — Opens the Clock Recovery dialog box where you can specify the clock recovery options.

  • TIE Filter... — Opens the TIE Filter Dialog Box where you can specify the filter to apply to a Time Interval Error measurement.

  • Thresholds... — Opens the Thresholds dialog box where you can specify the voltage thresholds used for the measurements.

See Also

  • Meas Analysis Wizard

  • EZJIT Jitter Measurements


Meas Analysis Wizard

General Setup

Measurement Selection

Thresholds

Measurement Histogram

Measurement Trend

Measurement Trend Smoothing

Jitter Spectrum

Note

Requires that either the EZJIT or EZJIT+ Jitter Analysis Software be installed on your oscilloscope.

General Setup

The Jitter Wizard provides you with a set of instructions to help you make the best decision of measurement options for the type of jitter that you want to analyze.

The best jitter performance is achieved when Infiniium sets the maximum sample rate, turns off averaging, and turns off any automated voltage measurements being made.

  • Set maximum sample rate — The maximum sample rate and maximum memory depth settings provide most accurate waveform data for calculating jitter measurements when you are measuring a spread spectrum clock or low frequency jitter. However, setting the maximum memory depth can slow down the display update rate of your waveforms.

  • Turn off averaging — If averaging is enabled, it would remove some of the jitter that you are trying to measure.

  • Turn off voltage measurements to improve throughput.

  • Autoscale Vertical — optimizes the vertical scale for active channels.

Note

When the jitter analysis feature is enabled, the automated jitter measurements are made on all cycles of the waveform. Even the cycles that are not in the waveform viewing area. If the oscilloscope is in zoom mode, the jitter measurements are made on those cycles that are in the zoom window.

Note

Jitter analysis cannot be performed on math function operators and cannot use FFT Magnitude, FFT Phase, or Versus waveforms as sources.

Measurement Selection

For information on jitter measurements, see EZJIT Jitter Measurements.

Thresholds

  • Levels Apply To:

    • All Sources — The threshold definition applies to all channels, functions, and waveform memories.

    • Individual Sources — You can set the threshold definition to different values for each channel, function, or waveform memory.

  • Set to 50% Vp-p — Automatically sets the Threshold to the middle level:

    The Hysteresis value is set to:

  • Threshold, Hysteresis — Allows you to set a threshold voltage level and a hysteresis value. The upper limit for the measurement is the threshold voltage value plus the hysteresis value. The lower limit for the measurement is the threshold voltage value minus the hysteresis value.

Measurement Histogram

Note

Math functions cannot be used as jitter sources for the measurement histogram analysis.

The measurement histogram plots a time versus the number of times a value of the jitter measurement has occurred. A statistical analysis of the jitter measurement is made for every trigger cycle that has occurred and the analysis is shown in the Histogram tab at the bottom of the waveform viewing area.

Measurement Trend

Note

Math functions cannot be used as jitter sources for the measurement trend analysis.

The measurement trend plots the selected jitter measurement showing how the measurement results change throughout the waveform. If a waveform has some form of jitter, such as deterministic jitter caused by a waveform frequency modulating a clock waveform, then an N-cycle jitter measurement trend might show the modulating waveform.

The measurement trend is shown for each trigger cycle then reset for the next trigger cycle.

For more information on the measurement trend, see Measurement Trend Dialog Box.

Measurement Trend Smoothing

The Smoothing feature filters out the high frequency content of the measurement trend waveform and reduces random noise (non-deterministic jitter) by taking a set of consecutive data points, averaging them together, and plotting the result. Smoothing starts on the left-hand side of the waveform, averages the first set of data, and plots the result. Then it moves one data point to the right of the first data point and averages the next set of data and plots this point. This process continues until all of the data is plotted.

If you want to see a measurement trend plot of all jitter on the waveform then you should disable smoothing.

  • Smoothing Points — The number of smoothing points determines the width of the moving-average filter, which in turn determines the bandwidth of the effective low-pass filtering effect of smoothing. A larger number of smoothing points will remove the high-frequency content from the trend beginning at a lower frequency.

Jitter Spectrum

Note

Math functions cannot be used as jitter sources for the jitter spectrum analysis.

The jitter spectrum creates an FFT of the measurement trend waveform for the selected jitter measurement. If the jitter of a waveform is caused by multiple frequencies modulating your waveform, an FFT analysis of the measurement trend of the jitter will show multiple frequency peaks in the FFT. This can lead you to the source of the jitter.

For more information on the Jitter Spectrum, see Jitter Spectrum Dialog Box.

See Also

  • Measurement Analysis (EZJIT) Dialog Box


Measurement Trend Dialog Box

What Does This Control Do?

Settings

Where is This Control Accessed?

What Does This Control Do?

The measurement trend plots the selected jitter measurement versus time, showing how the measurement results change throughout the waveform.

Simultaneously viewing an aggressor waveform and the measurement trend of a TIE measurement of a victim waveform can be used to verify the correlation between aggressor waveform transitions and victim edge displacements when crosstalk is suspected in a system.

The measurement trend is recalculated for each new waveform acquired with each trigger cycle. The Average waveform math function can be used to average the measurement trends from successive trigger cycles.

Settings

  • Smooth Data — The Smooth Data feature filters out the high frequency content of the measurement trend waveform by taking a set of consecutive data points, averaging them together, and plotting the result. Smooth Data starts on the left-hand side of the waveform, averages the first set of data, and plots the result. Then it moves one data point to the right of the first data point and averages the next set of data and plots this point. This process continues until all of the data is plotted.

  • Smoothing Points — The number of smoothing points determines the width of the moving-average filter, which in turn determines the bandwidth of the effective low-pass filtering effect of smoothing. A larger number of smoothing points will remove the high-frequency content from the trend beginning at a lower frequency.

    If you want to see a measurement trend plot of all jitter on the waveform then you should disable smoothing.

  • Vertical — The vertical scaling and offset of the measurement trend can be set to specific values manually or can be automatically set by the oscilloscope.

Where is This Control Accessed?

This control is accessed via the Measurement Analysis (EZJIT) Dialog Box by clicking the Setup... button next to Meas Trend.

See Also

  • Using the Measurement Trend

  • How Do I Make Measurements on the Measurement Trend Waveform?

  • Measurement Trend Considerations

  • Smoothing the Measurement Trend


Jitter Spectrum Dialog Box

What Does This Control Do?

Where is This Control Accessed?

Note

Requires the EZJIT or EZJIT+ Jitter Analysis software.

What Does This Control Do?

The jitter measurement spectrum is the Discrete Fourier transform (DFT) of the measurement trend waveform for the selected jitter measurement. The measurement spectrum provides an effective way of identifying periodic components in your measurement results.

The frequency resolution of the measurement spectrum is improved by increasing the acquisition record length.

For clock-type signals, the discrete Fourier transform is calculated from the uniformly spaced time record of measurement values. For NRZ data-type signals, the measurement time record may not be comprised of uniformly spaced jitter values. For these signals, the measurement time record contains "holes" caused by consecutive logical ones or zeros. The lack of information about the jitter at times corresponding to these holes makes it impossible to determine the true measurement spectrum.

For measurement time records that contain holes, the spectrum is calculated as if the unknown values (holes) were determined using linear interpolation. In this case, the resulting spectrum is calculated by filtering out the higher possible spectral components with a time-variant low-pass filter.

Settings

The jitter spectrum creates an DFT of the measurement trend waveform and requires the use of a window such as the Hanning or Flattop. These are the appropriate windows for typical frequency analysis measurements. Choosing between these windows involves a tradeoff between frequency resolution and amplitude accuracy as described in FFT Theory / Window Functions.

The jitter spectrum displays rms jitter in a Linear or Logarithmic vertical scale.

In Linear scale, the vertical axis is in terms of seconds of rms jitter. In Logarithmic mode, the jitter is in dBj. dBj = 20*log10(rms jitter). dBj is referenced to 1 second of jitter.

Vertical

The Jitter Spectrum dialog box allows vertical or horizontal scaling of the displayed function. Vertical and horizontal scaling can be either automatic or manual. Try using the automatic scaling mode first and then use manual scaling for fine adjustment to view your functions.

When automatic vertical scaling is selected, Infiniium chooses an appropriate vertical scale factor and offset for your DFT function. When you select manual scaling, you can select a custom vertical scale and offset for your DFT function.

Infiniium will try to display the correct units for your measurement.

Horizontal

When automatic horizontal scaling is selected, Infiniium chooses an appropriate horizontal scale factor and position for your DFT function. When you select manual scaling, you can select a custom horizontal scale and position for your DFT function.

Note

Math functions cannot be used as jitter sources for the jitter spectrum analysis.

Where is This Control Accessed?

This control is accessed via the Measurement Analysis (EZJIT) Dialog Box by clicking the Setup... button next to Jitter Spectrum.

See Also

  • Using the Jitter Spectrum to Find Deterministic Jitter


TIE Filter Dialog Box

What Does This Control Do?

Where is This Control Accessed?

What Does This Control Do?

A highpass, lowpass, or bandpass filter can also be applied to a Time Interval Error (TIE) data measurement by selecting the TIE Filter dialog box.

The TIE Filter dialog box looks like the following:

Filter TIE — Enables or disables the TIE filter.

Lowpass — Places a low pass filter on the time interval error measurement (frequencies higher than the chosen Stop Frequency are attenuated).

Highpass — Places a high pass filter on the time interval error measurement (frequencies below the chosen Start Frequency will be attenuated).

Bandpass — Attenuates frequencies on the time interval error measurement that are below and above certain specified values.

Start Frequency — Frequencies below this Start Frequency are filtered out of the time interval error measurement.

Stop Frequency — Frequencies above this Stop Frequency are filtered out of the time interval error measurement.

Filter — You can specify the shape of the TIE filter edge(s):

  • Rectangular — The TIE filter is a brickwall filter.

  • 20dB/Decade — The TIE filter edge(s) roll off at 20 dB per decade.

  • 40db/Decade — The TIE filter edge(s) roll off at 40 dB per decade.

Where is This Control Accessed?

This dialog box can be accessed in the following ways:

  • In the Measurement Analysis (EZJIT) Dialog Box (Analyze > Measurement Analysis (EZJIT)...) by clicking the TIE Filter... button.

See Also

  • Time Interval Error (TIE)

  • Time Interval Measurements (TIE)


Jitter (EZJIT+)

EZJIT+ Overview

RJ / DJ Record Length Requirements

Jitter Setup Dialog Box

Jitter Wizard

Remove, Specify Jitter Dialog Box

Jitter Graphs / Histograms

Jitter Tab Measurements

Questionable RJ / DJ Measurement Results

Limitations of EZJIT+ Jitter Measurements

Troubleshooting an EZJIT+ Jitter Measurement

Saving Jitter Data

Application Notes:

  • Analyzing Jitter Using Agilent EZJIT Plus Software

  • Selecting RJ Bandwidth in EZJIT Plus Software

  • Choosing the ISI Filter Size for EZJIT Plus

Click on the topics above regarding jitter.

You use EZJIT+ like this:

  1. You can use the Jitter Wizard to set up the oscilloscope for signal analysis.

  2. Or, you can manually set up the oscilloscope (or change Jitter Wizard settings) using the Jitter Setup dialog box.

  3. After the oscilloscope is set up, and jitter analysis is enabled, there is a Jitter flyout window that displays graphs and histograms of the jitter analysis.

  4. There is a Jitter tab at the bottom of the display containing the jitter measurements.


EZJIT+ Overview

The EZJIT+ Jitter Analysis Option adds RJ/DJ analysis capability to the original EZJIT jitter analysis option. RJ/DJ analysis is a methodology of decomposing jitter into different sub-components. Two of these sub-components are referred to as Random Jitter (RJ) and Deterministic Jitter (DJ).

Decomposing jitter into subcomponents not only provides useful diagnostic information about the measured jitter, but it also provides a method to estimate the total jitter (TJ) at bit-error rate levels that would be too low to measure directly. In addition to measuring RJ, DJ and TJ, EZJIT+ can also measure the following jitter sub-components:

  • Data Dependent Jitter (DDJ peak-peak).

  • Deterministic Jitter (DJ delta-delta).

  • Duty Cycle Distortion (DCD).

  • Inter-Symbol Interference (ISI peak-peak).

  • Periodic Jitter Delta-Delta (PJ delta-delta)).

  • Periodic Jitter RMS (PJ rms).

  • Bounded Uncorrelated Jitter Delta-Delta (BUJ delta-delta)).

  • Aperiodic Bounded Uncorrelated Jitter RMS (ABUJ rms).

  • Random Jitter RMS (RJ rms).

  • Total Jitter (TJ peak-peak).

EZJIT+ also provides graphical representations of these jitter sub-components.

Jitter Decomposition Model

EZJIT+ uses the jitter decomposition model shown in the following figure to quickly estimate the TJ. In addition, this model also helps in troubleshooting the root causes of the jitter.

In this model, the Deterministic Jitter DJ is further broken down into:

  • Data Dependent Jitter (DDJ), which is further broken down into:

    • Duty Cycle Distortion (DCD).

    • Inter-Symbol Interference (ISI).

  • Bounded Uncorrelated Jitter (BUJ), which is further broken down into:

    • Aperiodic Bounded Uncorrelated Jitter (ABUJ).

    • Periodic Jitter (PJ).

    Note

    BUJ and ABUJ are measured when both "spectral" and "tail fit" analysis methods are used; otherwise, when only the "spectral" analysis method is used, all the jitter that is uncorrelated with data is reported as Periodic Jitter (PJ).

The model also differentiates between jitter that is uncorrelated to the data pattern and jitter that is correlated to the data pattern.


RJ / DJ Record Length Requirements

EZJIT+ always requires the source waveform record to contain at least 2 complete data patterns in order to calculate jitter results that are correlated to the data pattern (DCD, ISI, DDJ). Sometimes it may require more, depending on the clock recovery method being used.

EZJIT+ requires that the minimum number of UIs captured in a single acquisition is approximately 30,800. If this requirement is not met then the results field will display "too few points".

In periodic data mode, EZJIT+ requires the source waveform record to contain at least 2048 logic transitions in order to calculate jitter results that contain components that are uncorrelated to the data pattern (RJ, PJ, DJ, TJ). Sometimes it may require more, depending on the clock recovery method being used. The message "acquisition skipped" is displayed in place of the measurement results when the source waveform record length is insufficient to calculate that particular result.

The number of complete data patterns in the source data waveform can be increased by increasing the oscilloscope's acquisition memory from within the Acquisition Setup menu.

In some cases, the acquisition memory depth is sufficient to calculate a particular result, but is insufficient to calculate it on a single acquisition. In those cases, "incomplete" will be displayed until a sufficient amount of data is collected to calculate the result.

Also, a minimum number of accumulated transitions (approximately 154,000) from all acquisitions must occur before the first RJ, PJ, DJ, and TJ results are displayed.

Note that some software clock recovery settings reduce the amount of the source waveform on which jitter can be measured. Software phase-locked loop (PLL) clock recovery with a low-frequency loop bandwidth for example will take many bit periods to settle, and the clock reference must settle before jitter measurements can begin.


Jitter Setup Dialog Box

What Controls are in the Jitter Setup Dialog Box?

How Do I Access the Jitter Setup Dialog Box?

Note

Requires the EZJIT+ Jitter Analysis option to be installed.

What Controls are in the Jitter Setup Dialog Box?

The following controls can be found in this dialog box.

Jitter Setup Wizard...

The Jitter Wizard takes you step-by-step through the procedure of setting up Jitter Tab Measurements. Additional information is presented in the wizard to help you determine the best settings for the measurements you want to make.

Enable

This controls enables the RJ/DJ measurements and Jitter Tab Measurements for viewing the measurement results.

Source

This control allows you to select the source on which the RJ/DJ measurements are made.

Measurement

EZJIT+ can extrapolate TJ from TIE measurements or N-UI measurements.

  • TIE (Phase) — The time difference between each transition and some ideal time reference. Jitter data is accumulated according to a recovered clock.

  • Period — The same as N-UI jitter with an N of 2.

  • N-Unit Interval — Like a recovered clock, N-UI is the time difference between each transition and the transition N unit intervals away from it.

    The value of N may be set from 1 to 20.

N-UI and Period jitter can be performed on clock or 1/0 data waveforms only. Because N-UI and period jitter are measured from edge to edge, no clock recovery is required. However, clock recovery is used to validate the pattern length of 2 and to report the data rate.

Pattern Length

See Pattern Length Controls.

RJ Method

These options let you specify the method used to measure random jitter:

  • Spectral — When no crosstalk or bounded uncorrelated jitter (BUJ) is present, you can select this option to run faster.

  • Spectral & Tail Fit — When crosstalk or bounded uncorrelated jitter (BUJ) may be present, select this option for the most accurate random jitter measurements.

    When this option is selected, you can select Report Spectral or Report Tail Fit to specify which method is used for the reports in Jitter Graphs / Histograms and Jitter Tab Measurements.

The Jitter Spectral versus Tail Fit graph can show which method is most appropriate for your signal.

RJ Bandwidth

The EZJIT+ software uses a spectral technique to separate RJ from PJ.

Narrow bandwidth spikes that extend above the jitter spectrum's baseline are considered to contain PJ, while the remaining baseline is assumed to contain only RJ. This technique works very well for wide-bandwidth (white) random jitter.

Wide bandwidth RJ has a uniform power spectral density (PSD) across the entire jitter spectrum. Sometimes, however, the RJ being measured does not have a uniform PSD. Although this is not as common in practical communication system applications, it does occur frequently in jitter sources generated using laboratory test equipment.

Conversely, the jitter spectrum of some PJ components appears much broader than the narrow spikes of a highly periodic jitter component. These broad-bandwidth PJ components are also uncommon, but they can be difficult to distinguish from RJ by inspecting the jitter spectrum alone.

For these reasons, EZJIT+ software allows you to specify whether you want to treat "broad lumps" in the jitter spectrum as RJ or PJ.

  • Wide (White) — Setting the RJ Bandwidth mode to wide (white) assumes that the RJ is flat, and that all broad lumps in the jitter spectrum are considered to be PJ.

  • Narrow (Pink) — Setting the RJ Bandwidth mode to narrow (pink) acknowledges that the RJ may or may not be flat, and that all broad lumps in the jitter spectrum are considered to be RJ.

    By default, the RJ bandwidth mode is set to narrow (pink).

Previous versions of EZJIT+ identified PJ in the RJ/PJ power spectrum by comparing each frequency point to a single-valued threshold. This corresponds to a linear horizontal threshold trace in this RJ,PJ Threshold graph. Unfortunately, the RJ's power spectral density is not always flat with frequency. In those cases, the RJ baseline can actually rise above the threshold value and be identified as PJ. EZJIT+ has provided the narrow RJ Bandwidth mode, which aliases the RJ+PJ power spectrum and makes the RJ baseline appear flat. However, this sometimes requires large memory depths and long measurement times to alias the spectrum sufficiently.

The new version of EZJIT (Infiniium software version 3.00 or higher) uses a non-linear decision threshold that can follow the non-flat baseline of RJ. This non-linear threshold is only used in narrow RJ Bandwidth mode because the wide RJ bandwidth mode tells EZJIT that you already know that the RJ baseline is flat with frequency.

You can use the RJ/PJ Separation Threshold Graph to illustrate the RJ Bandwidth mode choices.

For more information on setting the RJ Bandwidth, see the application note: Selecting RJ Bandwidth in EZJIT Plus Software.

Edges

The edges control allows you to select whether RJ/DJ measurements are made on rising edges, falling edges, or both rising and falling edges.

Jitter measurements performed on clock-type signals typically use a single edge setting, unless both edge of the clock are used to latch data.

In double data rate applications, the Edges control should be set to both edges

Units

The units control allows you to set units of measure for the RJ/DJ measurements.

Graphs

Select whether one, two, or four RJ/DJ jitter graphs are displayed simultaneously. When this control is set to a value of one, each graph becomes larger and some of the graphs display additional information.

Bathtub Scale

This field enables you to display the RJ DJ BER Bathtub graph using either the Q-scale or the BER scale. The Q-scale represents a Gaussian distribution as a straight line and makes it easier to see how Gaussian the distribution is.

For more information on Q-scale, see the application note: Jitter Analysis: The Dual-Dirac Model, RJ/DJ, and Q-Scale.

Graph Scale

Lets you choose a log or linear vertical scale.

BER Level

Sets the bit error rate (BER) value used in conjunction with the BER Bathtub curve to calculate the total jitter (TJ) peak-to-peak value displayed in the Jitter Tab Measurements.

J2 and J9 BER levels can be selected. For J2, the total jitter is specified for a BER of 2.5e-3. For J9, the total jitter is specified for a BER of 2.5e-10.

Remove, Specify Jitter...

Opens the Remove, Specify Jitter Dialog Box where you can run a calibration to determine the oscilloscope's random jitter and remove it from the reported random jitter.

Advanced...

Opens the Advanced Jitter Dialog Box where you can enable the Force Clock Pattern option to force the pattern to be a clock and set the jitter for edges not examined to zero (0). This option is used when Measuring Jitter Only on Rising (or Falling) Edges of a Clock.

Clock Recovery...

Opens the Clock Recovery dialog box where you can specify the clock recovery options.

TIE Filter...

Opens the TIE Filter Dialog Box where you can specify the filter to apply to a Time Interval Error measurement.

Thresholds...

Opens the Thresholds dialog box where you can specify the voltage thresholds used for the measurements.

How Do I Access the Jitter Setup Dialog Box?

The Jitter dialog box can be accessed via:

  • Measure > Jitter (EZJIT+)...

  • Analyze > Jitter (EZJIT+)...

See Also

  • Jitter Wizard


Pattern Length Controls

EZJIT+ software can analyze the jitter on any clock waveform or NRZ serial data waveform, no matter what binary sequence is present in the data. EZJIT+ software analyzes clock waveforms by treating them as data waveforms with alternating 1/0 data patterns. EZJIT+ software uses two different analysis techniques depending on whether you specify that the data pattern is periodic or non-periodic. The periodic method is usually preferable for periodic data applications because it runs considerably faster than the arbitrary method. Note, however, that there is a maximum pattern length limitation when you use the periodic analysis method.

  • Periodic — Periodic should be used on waveforms with repeating data patterns such as Pseudorandom Bit Sequences (PRBS).

    In order to isolate the component of jitter that is correlated to the data pattern, the TIE function of the jitter is calculated and each TIE value is associated with a specific bit in the source waveform's logical bit sequence. This is done by extracting the logical bit sequence from the source waveform and determining the length in bits of its periodic pattern.

    The original TIE function is decimated into sub-sampled TIE functions, where all of the values in each sub-sampled function correspond to a specific bit within the pattern. The number of original samples that are skipped when decimating depends on the RJ Bandwidth Mode setting, chosen by the user. The narrow (pink) RJ Bandwidth mode setting maximizes the decimation ratio, while the wide (white) setting minimizes it.

    • Auto (pattern length) — RJ/DJ measurements are performed on a data pattern that repeats itself over some number of bits in a waveform. Infiniium is automatically able to detect this repeating pattern. However, if you want to change the number of bits in the pattern to something else, you can manually set the pattern length from 2 to 4096.

      Normally, it is best to let Infiniium detect the pattern length. One reason that you may want to manually set the pattern length is if your waveform has bit errors. When Infiniium sees that the pattern has changed due to these errors it may redetect a new pattern length and reset the statistics of the RJ/DJ measurements. When you manually set the pattern length, if Infiniium sees that the pattern has changed, it will ignore that waveform and re-acquire another waveform without resetting the measurement statistics.

  • Arbitrary — Arbitrary should be used on waveforms with non-repeating patterns such as those carrying live traffic. In arbitrary data the pattern is unknown.

    • ISI Filter — In arbitrary data mode, the TIE values cannot simply be averaged and associated with specific locations within the bit sequence. Instead, a formula determined for calculating the DDJ from the surrounding data bits is used. The formula used is a transitional ISI (inter-symbol interference) filter. This filter works like a conventional FIR (finite impulse response) digital filter, except that it calculates the DDJ value of each transition from the polarity of the transitions that surround it. The ISI filter consists of four separate sets of weighted-coefficients; rising victim-rising aggressor, rising victim-falling aggressor, falling victim-rising aggressor, and falling victim-falling aggressor. The four different sets of coefficients enable EZJIT+ to accommodate non-linear effects in the DDJ.

      The user specifies how many leading and lagging coefficients are contained in the ISI filter. The filter coefficient values are calculated which minimizes the squared-error between the measured TJ and the calculated DDJ. The larger the number of coefficients the longer it takes to display the graph. The following picture shows a graph where the ISI Filter Lead is set to -5 and the ISI Filter Lag is set to 20.

      Notice that from -5 to -1 all of data are zero which means that the ISI Filter Lead could be set to -1. Also, from 18 to 20 the data are zero which means that the ISI Filter Lag could be set 18. Making the filter range from -1 to 18 would speed up the display of the graph and still contain all of the information you need. Therefore, by increasing the filter range until zeros appear is a good way to set the ISI Filter Lead and ISI Filter Lag.

      For more information on setting the ISI Filter size, see the application note: Choosing the ISI Filter Size for EZJIT Plus.


Jitter Wizard

General Setup

Source Type

Measurement Setup

Clock Recovery

Thresholds

Acquisition

Calibration

The Jitter Wizard simplifies the process of configuring the oscilloscope for RJ (Random Jitter) and DJ (Deterministic Jitter) analysis by stepping you through the necessary setup menus and choosing appropriate default settings.

Click the links above to see directions for each step in the Wizard setup process.

General Setup

The following controls are available during this step:

  • Turn off averaging — Waveform averaging should be turned off in order to ensure that all the random components of jitter are included in the measurements.

  • Turn off voltage measurements to improve throughput — Turning off all automated voltage measurements accelerates jitter measurement times.

  • Autoscale Vertical — Use this to set the vertical amplitude of all displayed waveforms. This maximizes the measurement's signal to noise ratio and for the most accurate jitter measurements.

This additional step lets you specify the method used to measure random jitter:

  • Spectral — When there is no crosstalk or bounded uncorrelated jitter (BUJ) present, you can select this option to run faster.

  • Spectral & Tail Fit — When crosstalk may be present, select this option for the most accurate random jitter measurements.

    When this option is selected, you can select Report Spectral or Report Tail Fit to specify which method is used for the reports in Jitter Graphs / Histograms and Jitter Tab Measurements.

The Jitter Spectral versus Tail Fit graph can show which method is most appropriate for your signal.

When the EZJIT Complete application is licensed, you can also specify the method used to measure random noise (RN). See Jitter / Noise Wizard.

Source Type

The following controls are available during this step:

  • Source — The source control lets you choose the channel, function, or waveform memory on which you want to perform the RJ/DJ measurements.

  • Measurement — Sets the type of measurement:

    • TIE (Phase) — Accumulates jitter according to a recovered clock.

    • Period — Can be used on clock or '10' data waveforms.

    • N-Unit Interval — Can be used on clock or '10' data waveforms.

  • Edges — Lets you select whether RJ/DJ measurements are made on rising edges, falling edges, or both rising and falling edges.

    Jitter measurements performed on clock-type signals typically use a single edge setting, unless both edge of the clock are used to latch data.

    In double data rate applications, the Edges control should be set to both edges.

Measurement Setup

Note

Requires the EZJIT+ Jitter Analysis option to be installed.

Note

If your RJ/DJ measurement results yield any question marks (?), see Questionable RJ / DJ Measurement Results for more information.

  • Pattern Length — See Pattern Length Controls.

  • BER Level — Sets the bit error rate (BER) value used in conjunction with the BER Bathtub curve to calculate the total jitter (TJ) peak-to-peak value displayed in the RJ/DJ tab.

    J2 and J9 BER levels can be selected. For J2, the total jitter is specified for a BER of 2.5e-3. For J9, the total jitter is specified for a BER of 2.5e-10.

Clock Recovery

For more information on clock recovery, Clock Recovery.

Please note that all time interval error measurements (including RJ/DJ analysis) measure the time position of waveform transitions relative to a specified clock reference. The choice of this clock reference is critically important to measuring the particular characteristic of the jitter that you want to know.

Of the available clock recovery methods, the two explicit clock methods measure the jitter between transitions on one signal relative to transitions a second signal. The other methods measure the jitter between a signal's transitions and transitions of a reference clock that is extracted from the that same signal.

Some of these clock recovery methods employ PLL techniques that have a high-pass filtering effect on the measured jitter.

The constant frequency clock recovery with automatic frequency extraction measures jitter relative to the oscilloscope's internal timebase. Care must taken when using this method with long acquisition record lengths because these jitter measurements will include the low-frequency phase noise (wander) between the source waveform’s clock reference and the oscilloscope’s internal timebase. Phase-locking the source waveform’s clock reference and the oscilloscope’s internal timebase together can be useful in some of these applications.

Typical RJ/DJ analysis measurements are limited to the higher frequency content of jitter because PLLs employed in most serial data systems correct for lower frequency jitter and wander. However, EZJIT+ can also measure arbitrarily low frequency jitter when used with explicit clock or manual constant clock recovery.

Thresholds

All jitter measurements are based on the times of voltage threshold crossings. These measurement thresholds apply to all measurements, but can be set differently for individual waveforms.

  • Levels Apply To:

    • All Sources — The threshold definition applies to all channels, functions, and waveform memories.

    • Individual Sources — You can set the threshold definition to different values for each channel, function, or waveform memory.

      When the measurement threshold setting is applied to individual sources, the Set to 50% Vp-p control appears. Use this automatic method to set the threshold to the optimum value for the majority of jitter measurements.

  • Set to 50% Vp-p — Automatically sets the Threshold to the middle level:

    The Hysteresis value is set to: ±0.05(Vmax - Vmin)

  • Threshold, Hysteresis — Allows you to set a threshold voltage level and a hysteresis value. The upper limit for the measurement is the threshold voltage value plus the hysteresis value. The lower limit for the measurement is the threshold voltage value minus the hysteresis value.

    For jitter measurements it is typically best to set the threshold to the 50% level of the source waveform using the custom level +/- hysteresis setting. The hysteresis value should typically be set to about 5% of the source waveforms amplitude.

    However, the hysteresis should be increased if the source waveform has inflections on its transitions.

    The hysteresis may need to be decreased if the vertical eye opening of the source waveform is significantly reduced by excessive ISI or voltage noise.

For more information, see Voltage Threshold Considerations for Jitter.

Acquisition

The following controls are available during this step:

  • Set maximum sample rate — The best jitter performance is usually achieved when the sample rate is set to its maximum setting.

  • Memory Depth:

    • Calculate — Lets the oscilloscope determine the best memory depth setting for jitter calculations.

    • Track Timebase (Automatic) — The memory depth changes as the timebase changes.

    • Manual — Lets you set the memory depth.

Note that jitter measurements are performed over the entire acquired waveform, not just the portion of the waveform that is currently displayed on screen.

For more information, see Memory Depth and Sample Rate Considerations for Jitter.

Calibration

You can measure the oscilloscope's random noise at the current vertical sensitivity and calibrate out this value from the reported random jitter.

The following controls are available during this step:

  • Calibrate — Click to start the oscilloscope random jitter calibration.

    By measuring the oscilloscope noise and slew rate, the oscilloscope is able to calculate the oscilloscope's contributions to jitter and remove it from the reported RJ measurement.

    You will be asked to remove your probe from the oscilloscope's input while calibration takes place and to reconnect your probe when finished.

    Automatic calibration of oscilloscope jitter works by measuring the AC Vrms at the measurement threshold. Then, the slew rate between the threshold upper and lower limit of the data signal is measured. The slew rate is measured during the jitter measurement process. The calibration also takes into account the sample clock jitter based upon the acquired time range. With these values, the jitter measurement floor is computed based upon the performance characteristics equations published in the data sheet for the particular oscilloscope. This yields the oscilloscope's random jitter, which can then be removed from the reported RJ and TJ. The calculated oscilloscope RJ is also reported in the jitter results.

  • Remove scope random jitter:

    • Off — Oscilloscope random jitter is not removed from the reported RJ.

    • Automatic — This option cannot be selected until the scope jitter calibration has been run. When selected, the calculated oscilloscope random jitter is removed from the reported RJ.

      The calculated "Scope RJ" appears in the Jitter tab.

    • Manual — This selection can be used when you know the oscilloscope random jitter value that should be removed from the reported RJ.

See Also

  • Jitter Setup Dialog Box


Remove, Specify Jitter Dialog Box

What Controls are in This Dialog Box?

How is This Dialog Box Accessed?

What Controls are in This Dialog Box?

  • Calibrate scope jitter — Click to start the oscilloscope random jitter calibration.

    By measuring the oscilloscope noise and slew rate, the oscilloscope is able to calculate the oscilloscope's contributions to jitter and remove it from the reported RJ measurement.

    You will be asked to remove your probe from the oscilloscope's input while calibration takes place and to reconnect your probe when finished.

  • Remove scope random jitter:

    • Off — Oscilloscope random jitter is not removed from the reported RJ.

    • Automatic — This option cannot be selected until the scope jitter calibration has been run. When selected, the calculated oscilloscope random jitter is removed from the reported RJ.

      The calculated "Scope RJ" appears in the Jitter tab.

    • Manual — This selection can be used when you know the oscilloscope random jitter value that should be removed from the reported RJ.

  • Specify random jitter — These controls let you specify a known amount of random jitter. The remaining amount of the total jitter measured is reported as periodic jitter (PJ).

    These controls are used in situations when crosstalk aggressors influence the random jitter measured on a signal. If the random noise on a signal is measured without the aggressor signal crosstalk, this known amount of random jitter can be specified when measuring the jitter again with the crosstalk aggressors.

    • Enable — Enables or disables a specified amount of random jitter.

    • RJ(rms) — Lets you enter the known amount of random jitter.

      This amount of random jitter is shown in the Jitter tab as "RJ(rms,specified)".

How is This Dialog Box Accessed?

This dialog box is accessed via the Jitter Setup Dialog Box by clicking the Advanced... button.

See Also

  • Jitter Setup Dialog Box

  • Jitter Wizard


Advanced Jitter Dialog Box

What Controls are in This Dialog Box?

How is This Dialog Box Accessed?

What Controls are in This Dialog Box?

  • Force Clock Pattern — When checked, this forces the pattern to be a clock and sets the jitter for edges not examined to zero (0).

    This option is used is used when you want to measure jitter only on rising (or falling) edges of a clock. See Measuring Jitter Only on Rising (or Falling) Edges of a Clock.

How is This Dialog Box Accessed?

This dialog box is accessed via the Jitter Setup Dialog Box by clicking the Advanced... button.

See Also

  • Jitter Setup Dialog Box

  • Jitter Wizard


Jitter Graphs / Histograms

Composite Total Jitter (TJ) Histogram

Composite Data Dependent Jitter (DDJ) Histogram

Total Jitter (TJ) Histogram

Random Jitter / Periodic Jitter (RJ / PJ) Histogram

Data Dependent Jitter (DDJ) Histogram

Data Dependent Jitter (DDJ) vs. Bit Graph

BER Bathtub Graph

RJ PJ Spectrum Graph

RJ/PJ Separation Threshold Graph

Jitter Spectral versus Tail Fit

With the EZJIT+ Jitter Analysis Software, the jitter graphs / histograms listed above are available. Each of these are discussed in detail below.

Composite Total Jitter (TJ) Histogram

The Composite TJ Histogram shows separate graphs of Total Jitter (TJ), Data-Dependent Jitter (DDJ), and the combined histogram of uncorrelated Random Jitter (RJ) and uncorrelated Periodic Jitter (PJ). The graph’s horizontal axis indicates negative (-) time for samples that occur earlier than expected and positive (+) time for samples that occur later than expected.

Composite Data Dependent Jitter (DDJ) Histogram

The Composite Data Dependent Jitter (DDJ) Histogram shows three histograms of correlated jitter based on data from all edges, rising edges, and falling edges. The peak-to-peak spread of the all-edges histogram represents the DDJ. The peak-to-peak spread of the rising-edges histogram or the falling-edges histogram, whichever is greater, represents Inter-Symbol Interference (ISI). The difference between the mean of the rising edge positions and the mean of the falling edge positions represents the Duty Cycle Distortion (DCD). The graph's horizontal axis indicates negative (-) time for samples that occur earlier than expected and positive (+) time for samples that occur later than expected.

Total Jitter (TJ) Histogram

The Total Jitter (TJ) Histogram shows the combined Random Jitter (RJ), Periodic Jitter (PJ) and Data Dependent Jitter (DDJ) probability density functions. The TJ histogram is calculated by cross-correlating (similar to convolving without the "flip") the RJ,PJ histogram with the DDJ histogram. It is the a histogram of all of the measured jitter, both correlated to the data pattern and uncorrelated to the data pattern, combined in a single histogram. The graph's horizontal axis indicates negative (-) time for samples that occur earlier than expected and positive (+) time for samples that occur later than expected.

Random Jitter / Periodic Jitter (RJ / PJ) Histogram

The RJ,PJ Jitter Histogram shows the histogram of all uncorrelated jitter. The graph's horizontal axis indicates negative (-) time for samples that occur earlier than expected and positive (+) time for samples that occur later than expected.

Data Dependent Jitter (DDJ) Histogram

The Data Dependent Jitter (DDJ) histogram displays the jitter that is correlated to the data pattern. The graph's horizontal axis indicates negative (-) time for samples that occur earlier than expected and positive (+) time for samples that occur later than expected. When the source waveform is a clock-type signal, then the mean of the DDJ histogram is always equal to zero. When the source waveform is a data-type signal, then mean of the histogram of DDJ from all edges is always equal to zero.

Data Dependent Jitter (DDJ) vs. Bit Graph

The graph of Data-Dependant Jitter (DDJ) versus relative bit position shows relative bit position on the horizontal axis. The vertical axis indicates negative (-) time for samples that occur earlier than expected and positive (+) time for samples that occur later than expected.

The bit numbers displayed on the horizontal axis are relative values only and may change each time the logical bit pattern of the source waveform is recalculated.

A blue dot on the graph marks the earliest arriving edge. This is the relative bit position that measured the greatest magnitude negative jitter value. A red dot on the graph marks the latest arriving edge. This is the relative bit position that measured the greatest magnitude positive jitter value. The time span between the earliest and latest arriving edges is reported as the value of DDJ (p-p) in the results table.

To magnify a region simply drag the cursor using a mouse to define a region that you want to expand.

[UNDO ZOOM] resets the horizontal scale to show all relative bit positions.

[Earliest Edge] shifts the pattern to the left or right to bring the earliest edge (blue dot) into the zoomed region.

[Latest Edge] shifts the pattern to the left or right to bring the latest edge (red dot) into the zoomed region.

BER Bathtub Graph

The BER Bathtub graph plots the width of the data valid window of a serial data signal (horizontal axis) versus bit error rate (vertical axis). The dark portion of the traces represent TJ values that can be measured directly from the acquired TIE data. The light portion of the traces represent TJ values that are extrapolated using the calculated values of RJ and DJ.

RJ PJ Spectrum Graph

The RJ,PJ (Random Jitter, Periodic Jitter) Spectrum graph shows the discrete Fourier transform of the combined RJ and PJ. The vertical axis represents the magnitude of each spectral jitter component and the horizontal axis identifies the frequency. The displayed magnitude spectrum is calculated independently for each acquired waveform and then averaged with magnitude spectrums from previous trigger cycles.

The frequency resolution of the RJ,PJ Spectrum is improved by increasing the acquisition record length. However, increasing the acquisition record length can significantly impact calculation time. Overall calculation time can be improved by not displaying the RJ,PJ Spectrum graph.

For clock-type signals, the discrete Fourier transform is calculated from the uniformly spaced RJ,PJ time record, where each value in the RJ,PJ time record corresponds to a voltage transition in the clock-type waveform. For NRZ data-type signals, the RJ,PJ time record is not comprised of uniformly spaced jitter values. For these signals, the RJ,PJ time record contains "holes" caused by consecutive logical ones or zeros. The lack of information about the jitter at times corresponding to these holes makes it impossible to determine the true RJ,PJ spectrum. The spectrum is calculated as if the holes were all set to a value of zero, and the resulting spectrum appears to be modulated (convolved in the frequency domain) by the data pattern.

RJ/PJ Separation Threshold Graph

This graph is displayed by clicking on the More (1 of 2) button on the left side of the screen and then selecting the RJ/PJ Threshold icon.

EZJIT+ uses a spectral method of separating RJ from PJ. You can view the internal RJ+PJ power spectrum as well as the separation threshold used to separate the RJ from PJ as shown in the screen shot above.

As you can see, the plot displays four traces: the original RJ+PJ spectrum (pink), the remaining RJ spectrum after the PJ has been removed (black), the RJ baseline (yellow), and the decision threshold used to separate the PJ frequency components from the RJ components (green).

In periodic mode, each PJ component only affects a single frequency point. So, when it is removed, none of the other frequency points are impacted. In arbitrary mode, however, each PJ component may impact multiple frequency points. In fact, in some cases, each PJ component will affect all of the other frequency points.

When the Pattern Length is set to arbitrary, EZJIT Plot always uses the arbitrary method of DDJ separation and the arbitrary method of RJ/PJ separation. When the Pattern Length is set to periodic, however, EZJIT+ uses the periodic method of DDJ separation, but it only uses the periodic method of RJ/PJ separation if the memory depth if large enough to capture 1024 whole patterns in each acquisition. Otherwise, it resorts to the arbitrary method of RJ/PJ separation. To remind you which method is being used, it is listed in the title of the graph (in the screen shot above, you see that Periodic is listed).

Previous versions of EZJIT+ identified PJ in the RJ/PJ power spectrum by comparing each frequency point to a single-valued threshold. This corresponds to a linear horizontal threshold trace in this RJ,PJ Threshold graph. Unfortunately, the RJ's power spectral density is not always flat with frequency. In those cases, the RJ baseline can actually rise above the the threshold value and be identified as PJ. EZJIT+ has provided the narrow RJ Bandwidth mode, which aliases the RJ+PJ power spectrum and makes the RJ baseline appear flat. However, this sometimes requires large memory depths and long measurement times to alias the spectrum sufficiently.

The new version of EZJIT (Infiniium software version 3.00 or higher) uses a non-linear decision threshold that can follow the non-flat baseline of RJ. This non-linear threshold is only used in narrow RJ Bandwidth mode because the wide RJ bandwidth mode tells EZJIT that you already know that the RJ baseline is flat with frequency.

You can use the RJ/PJ Separation Threshold graph to illustrate the RJ Bandwidth mode choices (see RJ Bandwidth in Jitter Setup Dialog Box). When doing a spectral (frequency domain) separation of RJ and PJ, you can treat the RJ as purely wideband (white) or having some shape to it but not a pure spike in the spectrum indicating PJ (narrowband (pink)). In Narrow (Pink) mode, the threshold to decide what is RJ and what is PJ can track the spectra; in Wide (White) mode, the threshold is flat. The default mode is Narrow (Pink), this is typically what Agilent recommends. You may use the Wide (White) mode to compare against sampling oscilloscope results (which are always in wideband (white) mode) or if you know the RJ is wideband and flat.

Jitter Spectral versus Tail Fit

When the Spectral & Tail Fit RJ method is selected (see Jitter Setup Dialog Box or Jitter Wizard), this graph lets you compare actual data with estimates of both RJ methods.

When there is large difference between the Tail Fit curve and the Spectral Fit curve, it indicates the presence of crosstalk or ground bounce, and you should continue using the Spectral & Tail Fit RJ method for analysis.

When the Tail Fit curve and the Spectral Fit curves are roughly the same (as in the example above), you can select the Spectral Only RJ method for similar results that will run faster.

See Also

  • Using Measurement Histograms

  • Histograms

  • Jitter Tab Measurements


Jitter Tab Measurements

TJ(1E-XX) Result

RJrms Result

BUJδδ Result

PJδδ Result

PJrms Result

DJδδ Result

DDJpp Result

DCD Result

ISIpp Result

ABUJrms Result

Scope RJrms Result

DDPWS (Data Dependent Pulse Width Shrinkage)

Messages

Note

Requires the EZJIT+ Jitter Analysis Software.

The Jitter tab shows the RJ DJ jitter measurement statistics. Also displayed are:

  • Clock Rec — is the clock recovery method being used.

  • Clock Freq — (in Hz, non-double data rate) is reported when the pattern length is 2. Otherwise, the Data Rate is reported.

  • Data Rate — is the data rate value being used.

  • Patn Length — is the pattern length being used. "Clock" equals a length of 2.

  • Source — is the data source that is used to compute the statistics.

  • RJ Method — shows the method selected in Jitter Setup Dialog Box or Jitter Wizard.

  • Trans — is the number of transitions used for the measurements.

When the RJ Method is Spectral, the Jitter tab measurements area looks like:

When the RJ Method is Tail Fit, the Jitter tab measurements area looks like:

To learn about pattern length and waveform record length limitations of RJ/DJ analysis, see RJ / DJ Record Length Requirements.

TJ(1E-XX) Result

TJ(p-p), Total Jitter, is the peak-to-peak value of the total jitter calculated at a specific bit error rate (BER). The (BER) label displayed in the RJ/DJ results window identifies the specified BER for which the TJ value was calculated. This TJ (p-p) value is calculated as an estimate of the true total jitter, as defined by the dual-Dirac jitter model.

RJrms Result

RJrms, Random Jitter, is the root-mean-square value of the Gaussian-shaped component of the total jitter.

The measurement shows "rms,wide" or "rms,narrow", depending on the RJ Bandwidth selection in the Jitter Setup Dialog Box.

The value shows "rms,spec" if a specified RJ value is enabled in the Remove, Specify Jitter Dialog Box.

A question mark "?" will appear next to the RJrms value when you have specified the oscilloscope RJ and the measured RJ is not 3 times the specified oscilloscope RJ. If the measured RJ is similar to the specified oscilloscope RJ, EZJIT+ is likely removing signal RJ as well from the measurement results. The "?" alerts you to this potential issue.

BUJδδ Result

When the Spectral & Tail Fit analysis option is selected for the RJ Method (see Jitter Setup Dialog Box or Jitter Wizard), the BUJδδ, Bounded Uncorrelated Jitter Delta-Delta, measurement shows how much of the deterministic jitter (DJ) is uncorrelated to the data pattern.

When the Spectral Only RJ method is selected, all DJ that is uncorrelated to the data pattern is reported as periodic jitter (PJ).

PJδδ Result

PJδδ, Periodic Jitter Delta-Delta, is the width of the bimodal equivalent model used to represent all uncorrelated periodic jitter as defined in the dual-Dirac model for jitter. Deterministic jitter is defined by the dual-Dirac jitter model as all those components of total jitter that do not fit a Gaussian probability density function.

PJrms Result

PJrms, Periodic Jitter RMS, is the root-mean-square value of the uncorrelated periodic jitter.

DJδδ Result

DJδδ, Deterministic Jitter, is the width of the bimodal equivalent model used to represent all aggregate deterministic jitter as defined in the dual-Dirac model for total jitter. Deterministic jitter is defined by the dual-Dirac jitter model as all those components of total jitter that do not fit a Gaussian probability density function.

DDJpp Result

DDJpp, the Data Dependent Jitter, is the peak-to-peak (p-p) range of the jitter that is correlated to the data pattern.

DCD Result

DCD, Duty Cycle Distortion, is derived from the Composite DDJ Histogram graph. It is the absolute value of the difference between the mean of the histogram of the rising edge positions and the mean of the histogram of the falling edge positions.

ISIpp Result

ISIpp, Inter-Symbol Interference, is the peak-to-peak (p-p) range of the jitter that is correlated to rising edges or the jitter that is correlated to falling edges (whichever is greater). When Rising Only or Falling Only edge modes are selected in the Jitter Setup Dialog Box, then only the specified edges are used in the calculation of ISI(p-p).

ABUJrms Result

when the Spectral & Tail Fit analysis option is selected for the RJ Method (see Jitter Setup Dialog Box or Jitter Wizard), the ABUJrms, Aperiodic Bounded Uncorrelated Jitter rms, measurement shows how much of the bounded uncorrelated jitter (BUJ) is non-periodic. The rest of the BUJ is periodic jitter (PJ). ABUJ is the result of crosstalk and ground bounce effects in the signal.

Scope RJrms Result

Scope RJrms is the measured amount of oscilloscope random jitter that has been calibrated out of the reported RJ result.

DDPWS (Data Dependent Pulse Width Shrinkage)

The DDPWS measurement implements the equation:

T - min(all pulse widths)

Where T is the nominal bit width determined by the user-specified clock recovery algorithm.

For constant frequency CDR, this is the reciprocal of the best fit data rate through the acquisition.

For PLL CDR, this is the average of the PLL data rate throughout the acquisition.

The pulse widths are measured at the user specified thresholds. Because it is the min of all pulse widths, one measurement is provided per acquisition. The markers are placed on the minimum pulse width.

In order for the DDPWS measurement to appear, these selections must be made in the Jitter Setup Dialog Box:

  1. TIE (Phase) must be selected as the Measurement.

  2. Periodic must be selected for Pattern Length.

  3. Rising and Falling must be selected for Edges.

Messages

Messages can also appear in the Jitter tab:

Message | Description
Bad Loop BW | This error gets reported when the software PLL loses lock to the signal. This could be due to a number of things: improper setting of the data rate, too much high frequency jitter present in the waveform such that the PLL loses lock, or too high of a loop bandwidth setting that is allowing the PLL to change too quickly. You also always want to make sure thresholds are set correctly.

See Also

  • Questionable RJ / DJ Measurement Results

  • Jitter Graphs / Histograms

  • EZJIT Jitter Measurements


Questionable RJ / DJ Measurement Results

What Does it Mean if I Have a Question Mark in my RJ / DJ Measurement Results?

EZJIT+ separates PJ from RJ by inspecting the spectral content of jitter. The robustness of this separation methodology depends on having sufficient frequency resolution in the jitter spectrum. EZJIT+ displays a warning, in the form of a question mark (?) to indicate when the frequency resolution drops below a threshold that could start to cause a reduction in RJ/PJ separation's accuracy. This question mark is displayed when the number of compete data patterns in the source waveform record falls below the somewhat arbitrary choice of 128 patterns.

Display of the question mark does not mean that the results are necessarily incorrect. It is only a caution that you should examine the complexity of the PJ's spectral content. If the RJ,PJ spectrum is comprised primarily of random noise with very few tall PJ spikes, then the questionable results are accurate. If there are a large number of PJ spikes in the RJ,PJ spectrum then another method of verifying the results is recommended. Repeat the jitter measurement several times while varying the acquisition record length. If the RJ and PJ results change significantly with record length, then the results cannot be trusted. Otherwise, they can be trusted.

EZJIT+ uses another somewhat arbitrary threshold of at least 128 complete data patterns in the source data waveform to display the questionable results at all. Below this threshold the message "too few points" is displayed.

The number of complete data patterns in the source data waveform can be increased by increasing the oscilloscope's acquisition memory from within the Acquisition Setup menu.

Note that some software clock recovery settings reduce the amount of the source waveform on which jitter can be measured. Software phase-locked loop (PLL) clock recovery with a low-frequency loop bandwidth for example will take many bit periods to settle, and the clock reference must settle before jitter measurements can begin.

See Also

  • Jitter Tab Measurements


Limitations of EZJIT+ Jitter Measurements

  • RJ/DJ analysis is limited to clock-type waveforms and periodic data-type waveforms.

  • A waveform that has more than ±1 UI (unit interval) of jitter generates an error message and the measurement is not made. RJ/DJ measurements require the waveform being analyzed to have some eye pattern opening.

  • Pattern length and waveform record length limitations of RJ/DJ analysis are discussed in RJ / DJ Record Length Requirements.

See Also

  • Limitations of EZJIT Jitter Measurements


Troubleshooting an EZJIT+ Jitter Measurement

The following discussion is meant to help you troubleshoot unexpected behavior in their jitter analysis measurements by highlighting common setup mistakes and algorithm misunderstandings.

When troubleshooting the more complex measurements such as RJ/DJ analysis, examination of a measurement trend of a simple TIE measurement can be quite useful.

Memory Depth

RJ/DJ analysis requires the source waveform to contain a minimum number of compete serial patterns. Some RJ/DJ results are displayed if the acquisition memory depth is set too low. Marginal results are indicated by a question mark symbol next to the result value.

See also: Memory Depth and Sample Rate Considerations for Jitter, RJ / DJ Record Length Requirements, or Questionable RJ / DJ Measurement Results

Spectrum Aliasing

If the total number of bits in a sequence exceeds 2^20 and the RJ,PJ plot says 'Aliased', then the RJ,PJ Spectrum Graph will have potential aliasing. You should adjust the memory depth to correct for this problem or reduce the number of bits in the sequence.

See Also

  • Troubleshooting an EZJIT Jitter Measurement


Saving Jitter Data

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

Note

Requires EZJIT+ Jitter Analysis option to be installed.

What Does This Control Do?

Once you have valid RJ/DJ jitter measurement, you can use this control to save all of the RJ/DJ jitter measurement data to a file.

The first bit in the pattern listed in the file represents the bit following the first transition. Or stated another way, the jitter corresponds to the transition preceding or leading the first listed pattern polarity.

Why Would I Want to Use This Control?

  • Use to save all of the RJ/DJ jitter measurements and data to a comma separated variables file which can be imported into a spreadsheet or other analysis tools.

Where is This Control Accessed?

  • To save jitter data, use the Save Jitter Data dialog box (File > Save > Jitter Data...). From this dialog box, you can create subdirectories, new jitter data files, or overwrite existing jitter data files.

What Do I Need to Know About This Control?

  • The file that is created has a header section followed by the RJ/DJ measurement results section. After the RJ/DJ measurement results section is the data for each of the measurements. Each data section has a header showing what the measurement data is that follows The file is a text file of comma separated variables. Here is a portion of the file contents.

    Date and Time,04 Feb 2009   12:52
Serial Number,No Serial
Source,channel 1
Sample Rate,4.000000e+010
Max Bandwidth,1.200000e+010
Bit Rate,2600003448 (b/s)
Clock Recovery,Constant Frequency,Fully Automatic
Pattern Length,2
Edge Type,Both
Measurement Units,second
Data Interpolation,None
Jitter Sampling Level,-0.244865
Internal Temperature,36 ×C

Measurement Results
Measurement,Value,State
TJ,6.839141e-011,correct
PJ(dual dirac),1.307048e-012,correct
PJ(rms),5.440642e-013,correct
DJ(dual dirac),4.846863e-011,correct
DDJ(p-p),4.761757e-011,correct
RJ(rms),1.397010e-012,correct
DCD,4.761757e-011,correct
ISI(p-p),0.000000e+000,correct

Frequency Analysis Results
Frequency,RJPJ Jitter
0,5.550484e-016
2539065,4.099967e-014
.
.
.

  • Requires EZJIT+ Jitter Analysis option to be installed.

See Also

  • Loading / Saving Waveforms

  • Loading / Saving Setups

  • Saving the Screen

  • Saving Measurement Data

  • Save / Load Trigger Setup Dialog Box


Jitter / Noise (EZJIT Complete)

EZJIT Complete Overview

Jitter / Noise Setup Dialog Box

Jitter / Noise Wizard

Remove, Specify Jitter, Noise Dialog Box

Noise Graphs / Histograms

Noise Tab Measurements

Saving Noise Data

The EZJIT Complete jitter analysis software is an extension of EZJIT+ that lets you evaluate the amplitude characteristics of high-speed digital signals. EZJIT Complete provides noise analysis while EZJIT+ provides time base/horizontal analysis. Together, EZJIT+ and EZJIT Complete give you complete statistical analysis of signals.

You use EZJIT Complete in the same way you use EZJIT+. That is:

  1. You can use the Jitter / Noise Wizard to set up the oscilloscope for signal analysis.

    There is a Measurement Type step in the wizard that lets you enable noise analysis.

    The Source Type step has an added control for specifying the Measurement Location...

    There is an additional Calibration step in the wizard that lets you measure the oscilloscope's random noise and calibrate it out of the reported random jitter and noise.

  2. Or, you can manually set up the oscilloscope (or change Jitter / Noise Wizard settings) using the Jitter / Noise Setup dialog box.

    The controls for jitter analysis and noise analysis are grouped separately in the dialog box.

  3. After the oscilloscope is set up, and jitter / noise analyses are enabled, there is a Jitter / Noise flyout window that displays graphs and histograms of the noise analysis.

    The tab that expands or hides the graph window can be labeled Jitter / Noise if both types of analysis are enabled, Noise if only noise analysis is enabled, or Jitter if only jitter analysis is enabled.

  4. There is a Noise tab at the bottom of the display containing the noise measurements.


EZJIT Complete Overview

The EZJIT Complete jitter analysis option is an extension of EZJIT+ that lets you evaluate the amplitude characteristics of high-speed digital signals. EZJIT Complete provides noise analysis while EZJIT+ provides time base/horizontal analysis. Together, EZJIT+ and EZJIT Complete give you complete statistical analysis of signals.

Decomposing noise into subcomponents not only provides useful diagnostic information about the measured noise, but it also provides a method to estimate the Total Interference (TI) at bit-error rate levels that would be too low to measure directly.

Noise Decomposition Model

EZJIT Complete uses the noise decomposition model shown in the following figure to quickly estimate the TI (Total Interference). In addition, this model also helps in troubleshooting the root causes of the noise.

In this model, the DI (Deterministic Interference) is further broken down into:

  • Interference that is correlated with data:

    • Inter-Symbol Interference (ISI).

  • Interference that is uncorrelated to data:

    • Aperiodic Bounded Uncorrelated Interference (ABUI).

    • Periodic Interference (PI).

    Note

    ABUI is measured when both "spectral" and "tail fit" analysis methods are used; otherwise, when only the "spectral" analysis method is used, all the interference that is uncorrelated with data is reported as Periodic Interference (PI).

The model also differentiates between noise that is uncorrelated to the data pattern and noise that is correlated to the data pattern.

  • Total Interference — The TI measurement is derived from the Deterministic Interference (DI) and Random Noise (RN) measurements. The DI and RN values are combined according to a dual-Dirac model. This model is converted to a BER curve which is then evaluated at the desired BER to obtain the TI measurement.

  • Random Noise — Random noise (RN) is noise that is uncorrelated to the pattern and follows Gaussian statistics.

  • Deterministic Interference — Deterministic Interference (DI) is a measure of the amount of vertical interference on a signal that is due to deterministic causes.

  • Inter-Symbol Interference (ISI) — Inter-Symbol Interference (ISI) is pattern-related interference and is a component of Deterministic Interference (DI). It is a measure of how much the amplitude of a bit depends on its location within the pattern.

  • Periodic Interference — Periodic interference (PI) is a measure of the interference that is uncorrelated to the pattern, yet is periodic. Interference caused by a switching power supply is an example of periodic interference.

  • Aperiodic Bounded Uncorrelated Interference — is a measure of the interference that is uncorrelated to the pattern and is aperiodic. Interference caused by crosstalk is an example of aperiodic bounded uncorrelated interference.

In addition to noise measurements, EZJIT Complete also provides graphs of these noise sub-components.


Jitter / Noise Setup Dialog Box

What Controls are in the Jitter / Noise Setup Dialog Box?

How Do I Access the Jitter / Noise Setup Dialog Box?

Note

Requires the EZJIT Complete Jitter Analysis option to be installed.

What Controls are in the Jitter / Noise Setup Dialog Box?

The controls in the Jitter / Noise Setup dialog box are the same as in the Jitter Setup Dialog Box, except the Noise controls are added:

Jitter / Noise Setup Wizard...

Opens the Jitter / Noise Wizard which takes you step-by-step through the procedure of setting up the oscilloscope for jitter / noise measurements and analysis. Additional information is presented in the wizard to help you determine the best settings for the measurements that you want to make.

Enable

Enables or disables the flyout window that displays Noise Graphs / Histograms and Noise Tab Measurements.

Measurement Location

Specifies the measurement location within the bit where 0% is the beginning of the bit, 50% is the middle of the bit, and 100% is the end of the bit.

You can specify a location value from 5% to 95%.

Graph Level

Specifies whether graphs should contain information for the ones bits, zeros bits, or both.

RN Method

These options let you specify the method used to measure random noise:

  • Spectral — When there is no crosstalk or bounded uncorrelated jitter (BUJ) present, you can select this option to run faster.

  • Spectral & Tail Fit — When crosstalk or bounded uncorrelated jitter (BUJ) may be present, select this option for the most accurate random noise measurements.

    When this option is selected, you can select Report Spectral or Report Tail Fit to specify which method is used for the reports in Noise Graphs / Histograms and Noise Tab Measurements.

The Noise Spectral versus Tail Fit graph can show which method is most appropriate for your signal.

RN Bandwidth

Like the EZJIT+ software does for jitter, the EZJIT Complete software uses a spectral technique to separate RN (Random Noise) from PI (Periodic Interference).

Narrow bandwidth spikes that extend above the noise spectrum's baseline are considered to contain PI, while the remaining baseline is assumed to contain only RN. This technique works very well for wide-bandwidth (white) random jitter.

Wide bandwidth RN has a uniform power spectral density (PSD) across the entire jitter spectrum. Sometimes however, the RN being measured does not have a uniform PSD. Although this is not as common in practical communication system applications, it does occur frequently in noise sources generated using laboratory test equipment.

Conversely, the noise spectrum of some PI components appears much broader than the narrow spikes of a highly periodic noise component. These broad-bandwidth PI components are also uncommon, but they can be difficult to distinguish from RN by inspecting the noise spectrum alone.

For these reasons, EZJIT Complete software lets you specify whether you want to treat "broad lumps" in the noise spectrum as RN or PI.

  • Wide (White) — Setting the RN Bandwidth mode to wide (white) assumes that the RN is flat, and that all broad lumps in the noise spectrum are considered to be PI.

    By default, the RN bandwidth mode is set to wide (white).

  • Narrow (Pink) — Setting the RN Bandwidth mode to narrow (pink) acknowledges that the RN may or may not be flat, and that all broad lumps in the noise spectrum are considered to be RN.

Units

  • Volt — Measurement values are expressed in Volts (V).

  • Unit Amplitude — Measurement values are expressed in terms of the Unit Amplitude (UA).

Remove, Specify Jitter, Noise...

Opens the Remove, Specify Jitter, Noise Dialog Box where you can run a calibration to determine the oscilloscope's random jitter / noise (for the selected vertical scale) and remove it from the reported random jitter and noise.

Advanced...

Opens the Advanced Jitter Dialog Box where you can enable the Force Clock Pattern option to force the pattern to be a clock and set the jitter for edges not examined to zero (0). This option is used when Measuring Jitter Only on Rising (or Falling) Edges of a Clock.

Clock Recovery...

Opens the Clock Recovery dialog box where you can specify the clock recovery options.

TIE Filter...

Opens the TIE Filter Dialog Box where you can specify the filter to apply to a Time Interval Error measurement.

Thresholds...

Opens the Thresholds dialog box where you can specify the voltage thresholds used for the measurements.

How Do I Access the Jitter / Noise Setup Dialog Box?

The Jitter / Noise Setup dialog box can be accessed via:

  • Measure > Jitter / Noise (EZJIT Complete)...

  • Analyze > Jitter / Noise (EZJIT Complete)...

See Also

  • Jitter / Noise Wizard


Jitter / Noise Wizard

Measurement Type

Source Type

Calibration

The Jitter / Noise Wizard simplifies the process of configuring the oscilloscope for jitter / noise analysis by stepping you through the necessary oscilloscope setup menus and choosing appropriate default settings.

The steps in the Jitter / Noise Wizard are the same as in the Jitter Wizard, except for the following noted differences.

Measurement Type

This additional step lets you choose to measure jitter, noise, or both.

Also, you can specify the method used to measure random noise:

  • Spectral — When there is no crosstalk or bounded uncorrelated jitter (BUJ) present, you can select this option to run faster.

  • Spectral & Tail Fit — When crosstalk or bounded uncorrelated jitter (BUJ) may be present, select this option for the most accurate random noise measurements.

    When this option is selected, you can select Report Spectral or Report Tail Fit to specify which method is used for the reports in Noise Graphs / Histograms and Noise Tab Measurements.

The Noise Spectral versus Tail Fit graph can show which method is most appropriate for your signal.

Source Type

This step has an added Measurement Location control for adjusting the measurement location within the bit. See the measurement location description in Jitter / Noise Setup Dialog Box.

Calibration

In the Calibration step, the are additional Noise controls:

  • Calibrate — Running Calibrate will set Ones RN and Zeros RN to the measured values. However, these values can be adjusted.

    Automatic calibration of oscilloscope noise works by measuring the AC Vrms two divisions up from center screen for the one level and two divisions down from center screen for the zero level. These values can be removed from the reported one and zero RN and TN. The oscilloscope's measured RN is also reported in the noise results.

  • Remove scope random noise — Enables or disables the removal of the oscilloscope's calibrated random noise from the reported RN.

  • Ones RN — This is the "ones" random noise to remove from the reported RN.

  • Zeros RN — This is the "zeros" random noise to remove from the reported RN.

See Also

  • Jitter / Noise Setup Dialog Box


Remove, Specify Jitter, Noise Dialog Box

What Controls are in This Dialog Box?

How is This Dialog Box Accessed?

What Controls are in This Dialog Box?

The controls in the Advanced Jitter / Noise dialog box are the same as in the Remove, Specify Jitter Dialog Box, except these noise controls are added:

  • Calibrate scope jitter / noise — Click to start the oscilloscope random jitter / noise calibration.

    By measuring the oscilloscope noise and slew rate, the oscilloscope is able to calculate the oscilloscope's contributions to jitter and noise and remove it from the reported RJ and RN measurements.

    You will be asked to remove your probe from the oscilloscope's input while calibration takes place and to reconnect your probe when finished.

  • Remove scope random noise:

    • Enable — Enables or disables the removal of the oscilloscope's calibrated random noise from the reported RN.

    • Scope Ones RN — This is the oscilloscope's "ones" random noise to remove from the reported RN.

    • Scope Zeros RN — This is the oscilloscope's "zeros" random noise to remove from the reported RN.

    Running Calibrate scope jitter / noise will set Scope Ones RN and Scopes Zeros RN to the measured values. However, these values can be adjusted.

  • Specify random noise — These controls let you specify a known amount of random noise. The remaining amount of the total noise measured is reported as periodic interference (PI).

    These controls are used in situations when crosstalk aggressors influence the random noise measured on a signal. If the random noise on a signal is measured without the aggressor signal crosstalk, this known amount of random noise can be specified when measuring the noise again with the crosstalk aggressors.

    • Enable — Enables or disables a specified amount of random noise.

    • Ones RN — Lets you enter the known amount of "ones" random noise.

    • Zeros RN — Lets you enter the known amount of "zeros" random noise.

    These amounts of "ones" and "zeros" random noise is shown in the Noise tab as "RN(rms,specified)".

How is This Dialog Box Accessed?

This dialog box is accessed via the Jitter / Noise Setup Dialog Box by clicking the Advanced... button.

See Also

  • Jitter / Noise Setup Dialog Box

  • Jitter / Noise Wizard


Noise Graphs / Histograms

Noise BER Bathtub

Composite Interference Histogram

RN,PI Histogram

ISI Histogram

TI Histogram

ISI vs. Bit

Noise Spectrum

RN,PI Threshold - Periodic - One Level

Noise Spectral versus Tail Fit

With the EZJIT Complete jitter analysis software, the noise graphs / histograms listed above are available. Each of these are discussed in detail below.

After the oscilloscope is set up, and noise analysis is enabled, there is a Jitter / Noise (or perhaps just Noise if jitter analysis is disabled) flyout window that displays these graphs and histograms.

Most noise graphs / histograms let you select whether to plot the 0 data, 1 data, or both 0 and 1 data by clicking [Zero Level], [One Level], or [Zero & One Level] on the graph.

Noise BER Bathtub

The Noise BER (Bit Error Rate) Bathtub graph shows zero level data on the left side and one level data on the right side. The BER Bathtub graph plots TI (Total Interference) data and dual-Dirac BER values across the entire amplitude range on the horizontal axis.

The dual-Dirac BER values are calculated using DI(δ-δ) (Deterministic Interference) and RI (Random Interference) and are used to extrapolate to low BER levels. In general, the dual-Dirac values will differ from the measured TI values at high probabilities, but the two should converge at low probabilities.

The BER value used for calculating TI can be changed from its default value of 1E-12 in the Jitter / Noise Setup Dialog Box.

Composite Interference Histogram

The Composite Interference histogram shows TI (Total Interference), "RN, PI" (Random Noise, Periodic Interference), and ISI (Inter-Symbol Interference) histogram plots superimposed.

RN,PI Histogram

The RN,PI (Random Noise, Periodic Interference) Histogram shows the combined histogram of uncorrelated Random Noise (RN) and uncorrelated Periodic Interference (PI).

ISI Histogram

The ISI (Inter-Symbol Interference) Histogram shows Inter-Symbol Interference at actual measured signal levels.

TI Histogram

The TI (Total Interference) Histogram shows the combined Random Noise (RN), Periodic Interference (PI) and Deterministic Interference (DI) probability density functions that have been convolved together. It is the histogram of all of the measured noise, both correlated and uncorrelated, combined in a single histogram.

ISI vs. Bit

The ISI (Inter-Symbol Interference) vs. relative Bit position graph shows the average level of each bit over the bit pattern.

On the graph, highest and lowest level bits are identified by colored dots.

Noise Spectrum

The Noise Spectrum graph provides additional insights into the noise measurements. It is a qualitative tool only; the noise spectrum is aliased and the vertical axis is not labeled.

Because the signal is under-sampled, all periodic components are aliased down below 20 kHz. The RN (Random Noise) is calculated as the area of the power spectral density excluding any peaks in the spectrum (for example, the baseline noise of the power spectral density).

RN,PI Threshold - Periodic - One Level

The RN,PI (Random Noise, Periodic Interference) Threshold - Periodic - One Level graph shows how RN (Random Noise) and PI (Periodic Interference) are separated. It provides additional insights into the noise measurements. It is a qualitative tool only; the noise spectrum is aliased and the vertical axis is not labeled.

Because the signal is under-sampled, all periodic components are aliased down below 20 kHz. The RN (Random Noise) is calculated as the area of the power spectral density excluding any peaks in the spectrum (for example, the baseline noise of the power spectral density).

The graph displays the Aliased Noise Spectrum results for either one or zero levels but not both levels.

Noise Spectral versus Tail Fit

When the Spectral & Tail Fit RN method is selected (see Jitter / Noise Setup Dialog Box or Jitter / Noise Wizard), this graph lets you compare actual data with estimates of both RN methods.

When there is large difference between the Tail Fit curve and the Spectral Fit curve, it indicates the presence of crosstalk or ground bounce, and you should continue using the Spectral & Tail Fit RN method for analysis.

When the Tail Fit curve and the Spectral Fit curves are roughly the same (as in the example above), you can select the Spectral Only RN method for similar results that will run faster.

See Also

  • Noise Tab Measurements


Noise Tab Measurements

TI(1E-XX) Result

DIδδ Result

RNrms Result

Scope RNrms Result

ISIpp Result

BUIδδ Result

PIδδ Result

PIrms Result

ABUIrms Result

Note

Requires the EZJIT Complete jitter analysis software.

The Noise tab shows the noise measurement statistics. Also displayed are:

  • Eye Height — is the measured eye height.

  • Clock Freq — (in Hz, non-double data rate) is reported when the pattern length is 2. Otherwise, the Data rate is reported.

  • Data Rate — is the data rate value being used.

  • Patn Length — is the pattern length being used. "Clock" equals a length of 2.

  • Source — is the data source that is used to compute the statistics.

  • Unit Amp — is the unit amplitude value used for the noise measurements.

  • Spectral/Tail Fit — shows the random noise (RN) method selected in Jitter / Noise Setup Dialog Box or Jitter / Noise Wizard.

When the RN Method is Spectral, the Jitter tab measurements area looks like:

When the RN Method is Tail Fit, the Jitter tab measurements area looks like:

Measurements can be displayed in Volts or the Unit Amplitude as specified by the Units option in the Jitter / Noise Setup Dialog Box.

Measurement results are reported for both Ones and Zeros levels.

To learn about pattern length and waveform record length limitations of jitter / noise analysis, see RJ / DJ Record Length Requirements.

TI(1E-XX) Result

TI(p-p), Total Interference, is the width of the one (or zero) level distribution at a low probability or bit error rate (BER). TI is always measured at the same BER as the Total Jitter measurement. By default this is a BER of 1E-12 (1 x 10–12), which is a probability of occurrence of less than 1 part per trillion. You can change the BER setting to any value between 1E-1 to 1E-18 by changing the BER Level setting in the Jitter / Noise Setup Dialog Box.

The TI measurement is derived from the Deterministic Interference (DI) and Random Noise (RN) measurements. The DI and RN values are combined according to a dual Dirac model. This model is converted to a BER curve which is then evaluated at the desired BER to obtain the TI measurement.

DIδδ Result

DIδδ, Deterministic Interference, is a measure of the amount of vertical interference on a signal due to deterministic causes.

DI is measured using the following steps:

  1. The instrument measures Random Noise (RN), Periodic Interference (PI), and Inter-Symbol Interference (ISI).

  2. The ISI histogram for the one level is convolved with the histogram of the one level RN and PI data, and the same is done for the zero level data. These histograms are referred to as the Total Interference (TI) histograms.

  3. Using the measured value of RN, a dual-Dirac model is fit to the TI histogram. The model is fit at a probability of 10E-3 divided by the pattern length.

RNrms Result

RNrms, Random Noise, is the root-mean-square value of the noise that is uncorrelated to the pattern and follows Gaussian statistics.

RN is measured using the following steps:

  1. A particular bit is chosen from the pattern. Each time the measurement is made, a different bit is chosen.

  2. The instrument acquires 4096 samples at the measurement location, which is normally the center of the bit. These samples are acquired precisely periodic in time at a rate close to the maximum instrument sample rate of 40 kHz.

  3. The power spectral density of the resulting waveform is obtained. Because the signal is under-sampled, all periodic components are aliased down below 20 kHz.

  4. The RN is calculated as the area of the power spectral density excluding any peaks in the spectrum (for example, the baseline noise of the power spectral density).

  5. The above steps are repeated, and the power spectra from acquisition to acquisition are averaged together. The data from the one levels and zero levels are not combined.

The measurement shows "rms,wide" or "rms,narrow", depending on the RN Bandwidth selection in the Jitter / Noise Setup Dialog Box.

The value shows "rms,spec" if a specified RN values are enabled in the Remove, Specify Jitter, Noise Dialog Box.

Scope RNrms Result

Scope RNrms, is the measured amount of oscilloscope random noise that has been calibrated out of the reported RN result.

ISIpp Result

ISIpp, Inter-Symbol Interference, is a measure of the pattern-dependent interference effects within a signal. It is a measure of how much the amplitude of a bit depends on its location within the pattern.

ISI is measured using the following steps:

  1. The instrument acquires 16 samples from each of the first 256 bits in the pattern. If the pattern has fewer than 256 bits, 16 samples are acquired from every bit in the pattern. These samples (up to 4096) are taken in random order at the measurement location, which is normally the center of the bit.

  2. The average level of each bit is obtained. These averaged levels are combined into an ISI histogram for the ones and a similar histogram for the zeros. The ISI for each level is calculated as the peak-to-peak width of each histogram.

  3. The above steps are continually repeated, displaying a running average level for each bit.

BUIδδ Result

When the Spectral & Tail Fit analysis option is selected for the RN Method (see Jitter / Noise Setup Dialog Box or Jitter / Noise Wizard), the BUIδδ, Bounded Uncorrelated Interference Delta-Delta, measurement shows how much of the deterministic interference (DI) is uncorrelated to the data pattern.

When the Spectral Only RN method is selected, all DI that is uncorrelated to the data pattern is reported as periodic interference (PI).

PIδδ Result

Periodic Interference (PI) is a measure of the interference that is uncorrelated to the pattern, yet is periodic. Interference caused by a switching power supply is an example of periodic interference.

Dual-Dirac PIδδ is useful when the distribution is unknown. The dual-Dirac number allows various PI measurements to be compared with one another, even when the distributions are dissimilar. It is a measure of how much the PI affects the low-probability statistics of the interference.

The PIδδ measurement algorithm is:

  1. Random Noise (RN) is measured.

  2. An RN,PI histogram of the data used to measure the RN is constructed.

  3. Using the measured value of RN, a dual-Dirac model is fit to the RN,PI histogram to obtain the PI measurement. The model is fit at a probability of 10E-3.

  4. The above steps are repeated, resulting in an increasingly populated RN,PI histogram.

PIrms Result

Periodic Interference (PI) is a measure of the interference that is uncorrelated to the pattern, yet is periodic. Interference caused by a switching power supply is an example of periodic interference.

PIrms is useful in the case where the PI is of a known distribution. For example, a stress test may be developed in which sinusoidal PI is intentionally injected. Assuming the injected PI is the only PI present, the system can be calibrated using the PI(rms) measurement.

The PIrms measurement algorithm is:

  1. Random Noise (RN) is measured.

  2. An RN,PI histogram of the data used to measure the RN is constructed.

  3. The variance of the RN,PI histogram is calculated.

  4. PI(rms) is the square root of the RN,PI variance minus the square of the RN value.

ABUIrms Result

when the Spectral & Tail Fit analysis option is selected for the RN Method (see Jitter / Noise Setup Dialog Box or Jitter / Noise Wizard), the ABUIrms, Aperiodic Bounded Uncorrelated Interference rms, shows how much of the bounded uncorrelated interference (BUI) is non-periodic. The rest of the BUI is periodic interference (PI). ABUI is the result of crosstalk and ground bounce effects in the signal.

See Also

  • Noise Graphs / Histograms

  • EZJIT Jitter Measurements


Saving Noise Data

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

Note

Requires the EZJIT Complete jitter analysis option to be installed.

What Does This Control Do?

Once you have valid noise measurement, you can use this control to save all of the noise measurement data to a file.

The first bit in the pattern listed in the file represents the bit following the first transition. Or stated another way, the jitter corresponds to the transition preceding or leading the first listed pattern polarity.

Why Would I Want to Use This Control?

  • Use to save all of the noise measurements and data to a comma separated variables file which can be imported into a spreadsheet or other analysis tools.

Where is This Control Accessed?

  • To save noise data, use the Save Noise Data dialog box (File > Save > Noise Data...). From this dialog box, you can create subdirectories, new noise data files, or overwrite existing noise data files.

What Do I Need to Know About This Control?

  • The file that is created has a header section followed by the noise measurement results section. After the noise measurement results section is the data for each of the measurements. Each data section has a header showing what the measurement data is that follows The file is a text file of comma separated variables. Here is a portion of the file contents.

    Date and Time,02 Mar 2012   13:13
Model Number,DSO90804A
Serial Number,No Serial
Source,Channel 1
Sample Rate,4.000000e+010
Max Bandwidth,1.200000e+010
Bit Rate,912663640 (b/s)
Clock Recovery,Constant Frequency,Fully Automatic
Pattern Length,2
Measurement Units,Volt
Data Interpolation,None
RN Bandwidth Mode,wide (white)
Measurement Location,50.0%
Internal Temperature,49 °C

Measurement Results
Measurement,Value,State
Level,Zero Level
TI(p-p),3.964838e-003,correct
PI(dual dirac),3.964838e-003,correct
PI(rms),1.250590e-003,correct
DI(dual dirac),3.964838e-003,correct
RN(p-p),0.000000e+000,correct
Scope RN(rms),2.240000e-003,correct
ISI(p-p),0.000000e+000,correct
Level,One Level
TI(p-p),1.876150e-003,correct
PI(dual dirac),1.876150e-003,correct
PI(rms),6.283551e-004,correct
DI(dual dirac),1.876150e-003,correct
RN(p-p),0.000000e+000,correct
Scope RN(rms),2.250000e-003,correct
ISI(p-p),0.000000e+000,correct

ISI vs Bit
Pattern Length,2
Level,Zeros
Bit Number,Pattern,ISI
0,1,=NA()
1,0,0.000000e+000

ISI vs Bit
Pattern Length,2
Level,Ones
Bit Number,Pattern,ISI
0,1,0.000000e+000
1,0,=NA()

  • Requires the EZJIT Complete jitter analysis option to be installed.

See Also

  • Saving Jitter Data

  • Loading / Saving Waveforms

  • Loading / Saving Setups

  • Saving the Screen

  • Saving Measurement Data

  • Save / Load Trigger Setup Dialog Box


Math / FFT Functions

Math Function Basics

Math Operators

Math Transforms

Math Filters

Math Visualizations

FFT (Spectral) Functions

User Defined Functions

Horizontal Gating Functions

Math / FFT Operations:

Operators: Add Common Mode Divide Multiply Subtract Versus XY Versus XYZ Qualified | Transforms: Absolute Value Amplitude Demodulation Average Operator Delay Differentiate Integrate Invert Max Min Smoothing Square Square Root | Filters: High Pass Filter Low Pass Filter | User-Defined: Butterworth FIR LFE RTEye SqrtSumOfSquare
FFT (Spectral): FFT Magnitude FFT Phase |  | Visualizations: Magnify Meas Histogram Meas Trend

In the Math dialog box, click Summary to open the Math Summary dialog box.

Click the [image] plus button to view functions F5 to F16 and the [image] minus button to hide them.


Math Function Basics

What General Information Do I Need to Know Regarding Math Functions?

What Do I Need to Know About Math Scaling?

What Do I Need to Know About FFT Scaling?

What Sources Can I Use?

What General Information Do I Need to Know Regarding Math Functions?

You can use Infiniium's waveform math function capabilities to perform math operations on one or two source waveforms. For example, you can subtract channel two from channel one to make a differential measurement. Or, if one channel is measuring current and another channel is measuring voltage, you can use a function to multiply the two channels together and display the instantaneous power as a third waveform. This new waveform can then be measured with Infiniium's automatic measurements, such as Vp-p or Vrms.

To define a function:

  1. Use the Math (FFT and more)... item under the Analyze menu.

    You can define up to 16 functions and, in most cases, a function may be used as a source for another function so Infiniium can perform more complex math operations.

  2. Select the function you want to define, from F1 to F16.

    Click the [image] plus button to access functions F5 to F16 and the [image] minus button to hide them.

  3. Select the operator and source(s) you want to use in the function.

If the sources you have selected are active, the oscilloscope is triggered, and you have enabled the Display On box, you will see the display update as you configure the function. Infiniium calculates functions even if they are not displayed.

When a function is calculated, it can be displayed on the screen, evaluated with Infiniium's measurement features, stored in memory or to disk, used as the source to another function, or transferred over the oscilloscope's GPIB interface.

All Math operators, such as invert, subtract, multiply, and divide, are post-processing algorithms so functions are calculated only after their sources have been acquired.

Infiniium will try to display the correct units for your function. For example, if you define a function which performs an FFT, the vertical scale units will be dB and the horizontal scale units will be Hz. If Infiniium cannot resolve a particular combination of units, it will display U meaning unknown units per division.

All waveform math functions, except Magnify, operate on waveform data which is on the display or, if the source is not displayed, the portion of the source which would appear on the display. You can use Magnify to view off-screen waveform data if the waveform record extends past the display boundaries. The memory bar will show you how much of the waveform record is onscreen.

You can assign a front panel vertical knob to a function by checking the Use Front Panel Vertical Knobs box

What Do I Need to Know About Math Scaling?

Some operators allow vertical or horizontal scaling of the displayed function. To set the scaling parameters, click the square Display On and Scaling boxes so that they are check-marked. You will then see the available options for the currently selected operator. Vertical and horizontal scaling can be either automatic or manual.

Tip

Try using the auto scaling mode first then use manual scaling for fine adjustment to view your functions.

Vertical Scaling

When auto scaling is selected, Infiniium chooses an appropriate scale factor and offset for your function. When you are defining a function and select manual scaling, you can select a custom vertical scale and offset for your function.

Infiniium will try to display the correct units for your function. For example, if you define a function as multiplying channel one times channel two and both of those channels are in volts, the function will have units of V2. If you define a function which integrates channel one and channel one is in units of volts, the function will have units of Vs indicating volt-seconds per division. If Infiniium cannot resolve a particular combination of units, it will display U meaning unknown units per division.

You can assign a front panel vertical knob to a function by checking the Use Front Panel Vertical Knobs box

Horizontal Scaling

The Magnify and Versus operators allow horizontal scaling as well as vertical scaling.

When auto scaling is selected, Infiniium chooses an appropriate time scale factor and position for your function, including the Versus function. When you are defining a function and select manual scaling, you can select a custom horizontal scale and position for your function.

Infiniium will try to display the correct units for your function. For example, if you define a function which performs an FFT, the horizontal scale units will be Hz. If Infiniium cannot resolve a particular combination of units, it will display U meaning unknown units per division.

What Do I Need to Know About FFT Scaling?

The FFT Magnitude and FFT Phase operators allow vertical or horizontal scaling of the displayed function.

What Sources Can I Use?

A source is a channel waveform, a function, a waveform memory, or a constant. Math functions are performed on selected sources.

Source Rules

  • A function source is acquired even if its display is turned off (you can always display the function by clicking the square Display On box so that it is check-marked). For example, when viewing an FFT, you can remove the time domain waveform for display clarity and the FFT will still be calculated.

  • If the source waveforms have different memory depths, the function is performed over the shorter memory depth. Infiniium will find the nearest point in the longer waveform record which corresponds to the current point in the shorter record. It will perform math functions on those points and skip non-corresponding points in the longer record. If the sources cover two different time intervals, the function is performed on the portion of the sources which overlap. If the sources don't overlap, the function cannot be performed.

  • If two sources have different horizontal scale settings (possibly when using a waveform memory as a source) the resulting function has the same horizontal scale as source 1.

  • Numeric constant sources have the same horizontal scale as the associated waveform source.

  • Another function can be a function's source as long as the other function doesn't use the function being defined. In other words, circular expressions are not allowed.

  • When a function is not valid, you will see a red exclamation point after Valid:

    A function might not be valid because:

    • The function expression is circular.

    • The function operator is not allowed for the selected source.


Math Operators

Add

Common Mode

Divide

Multiply

Subtract

Versus XY

Versus XYZ Qualified

Click on the topics above regarding math operations you can perform with your Infiniium Series oscilloscope.


Add

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

This operation adds Source 1 and Source 2 voltage values, point by point. You can use the Add operator to look at the common mode component of differential waveforms.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Common Mode

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

This operation adds Source 1 and Source 2 voltage values and divides by 2, point by point. You can use the Common Mode operator to look at the common mode component of differential waveforms.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Divide

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

Divides source 1 by source 2 voltage values, point by point.

You can use Divide to measure the ratio of any two signals, for example the output voltage divided by the input voltage of an amplifier circuit.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Multiply

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Multiply operator multiplies source 1 and source 2 voltage values, point by point. You can use Multiply to make power measurements.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Subtract

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

Subtracts source 2 from source 1 voltage values, point by point.

You can use Subtract to make a differential measurement or to compare two waveforms. (You may need to use a true differential probe if your waveforms have DC offsets larger than the dynamic range of the oscilloscope's input channel. You should also consider a differential probe if your waveforms are fast enough that phase and frequency response differences between individual probes become significant error contributions to the measurement.)

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Versus XY

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Versus XY operator draws a source 1 versus source 2 display of the two selected sources (also called X versus Y display mode or XY display mode). The amplitude of source 1 is plotted on the vertical (Y) axis and the amplitude of source 2 is plotted on the horizontal (X) axis.

You can use Versus to compare frequency and phase relationships between two waveforms. Versus can also be used with transducers to display strain versus displacement, flow versus pressure, volts versus current, or voltage versus frequency.

A Lissajous pattern is a special case of an X versus Y plot in which the waveforms applied to both axes are sinusoidal functions. For a stable display the waveforms must be harmonics. Lissajous figures are useful for determining phase and harmonic relationships.

Versus waveforms have some unique properties. Infiniium cannot perform measurements on Versus waveforms. Magnify is the only operator you can use on Versus waveforms.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Versus XYZ Qualified

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Versus XYZ Qualified operator works similarly to the Versus XY function except that a qualifying source (the Z axis) is used to determine when to turn the trace on and off (analog scopes call this blanking). This is useful If you only want to see portions of the Y versus X display. You first set the sources for the x and y axes in the Math dialog box (Analyze > Math / FFT and then select Versus (XYZ Qualified)). Then select the input that will be used to qualify when the trace should be turned on/off (Qualifying Source). Finally, set the Qualifying Threshold value. When the Qualifying Source is below this threshold, the Y versus X trace is displayed. When it is above this threshold, the trace is turned off.

For more information on the non-qualified Versus XY function, see Versus XY.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Math Transforms

Absolute Value

Amplitude Demodulation

Average Operator

Delay

Differentiate

Integrate

Invert

Max

Min

Smoothing

Square

Square Root

Click on the topics above regarding math transforms you can perform with your Infiniium Series oscilloscope.


Absolute Value

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

This operation calculates the absolute value of Source 1.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Amplitude Demodulation

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

This operation shows the amplitude envelope for an amplitude modulated (AM) input signal.

This function uses a Hilbert transform to get the real (in-phase, I) and imaginary (quadrature, Q) parts of the input signal and then performs a square root of the sum of the real and imaginary parts to get the demodulated amplitude envelope waveform.

For more information on how math / FFT functions work in general (as well as aspects such as possible sources, display units, etc.), see Math Function Basics.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math dialog box (under Analyze > Math (FFT and more)...).

See Also

  • Math / FFT Functions


Average Operator

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Average math operator allows Infiniium to acquire waveform data from several acquisitions and average them all together. The higher the number of averages, the less impact each new waveform has on the composite averaged waveform.

You can also average a function such as one that uses a math operator such as the FFT Magnitude. For example, you could define function 1 to be the FFT Magnitude of channel 1 and function 2 would be defined as the Average of function 1.

Unlike acquisition averaging, the math averaging operator can be used to average the data on a single channel or function. If you have a function that uses the average operator and a channel as the source then the channel data is averaged and the averaged channel data is displayed as a function. If you turn on acquisition averaging then the channel data is averaged and the function averages it again. You may want to uses this capability when you want to use a small number of averages for all of your displayed waveforms but you want to increase the number of averages for one particular waveform.

The # of Averages control sets the number of waveforms you want used in calculating the average value.

Background Information

Before updating the display or measurements, the scope averages newly acquired samples with existing samples. The following formula is used to calculate the average for each data point:

For 1 ≤ n ≤ M. After terminal count is reached (n ≥ M),

where:

For more information on how math / FFT functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions

  • Averaging


Delay

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Delay function shifts a source waveform in time by adding the specified delay value to the source waveform's X origin.

For more information on how math / FFT functions work in general (as well as aspects such as possible sources, display units, etc.), see Math Function Basics.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Differentiate

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Differentiate operator calculates the discrete derivative of a waveform.

Note

The most accurate derivative of your waveform is achieved in the real time acquisition mode with the sin(x)/x interpolation filter enabled.

You can use Differentiate to measure the instantaneous slope of a waveform. For example, the slew rate of an operational amplifier may be measured using the Differentiate operator.

The Differentiate algorithm is applied in two different ways depending on whether or not the Low Pass and Align Phase option is enabled:

  • Enabled — Imagine the following four sample points in your waveform.

    When the Low Pass and Align Phase feature is enabled, the slope between points 3 and 1 is calculated and divided by two. This result is then plotted at point 2. Then the slope between points 2 and 4 is calculated, divided by two, and the result is plotted at point 3 (and so on). The algorithm is defined this way to preserve the phase relationship between the input and the function.

  • Disabled — Imagine the following four sample points in your waveform.

    When the Low Pass and Align Phase feature is disabled, the slope between points 2 and 1 is calculated and the result is then plotted at point 1. Then the slope between points 2 and 3 is calculated and the result is plotted at point 2 (and so on).

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / FFT functions work in general (as well as aspects such as possible sources, display units, etc.), see Math Function Basics.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math dialog box (under Analyze > Math (FFT and more)....

See Also

  • Math / FFT Functions


Integrate

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Integrate operator calculates the integral of source 1.

You can use Integrate to calculate the energy of a pulse in volt-seconds or measure the area under a waveform. The Integrate algorithm is:

F(0) = 0

F(i) = F(i) + d(i)

where:

i = the current sample number

d(i) = the voltage value of the current sample

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Invert

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Invert operator inverts the voltage values, point by point, of the source 1 waveform. You can use Invert to compare the input and output of an inverting amplifier.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Max

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Max operator stores the maximum value acquired in each time bucket of source 1. You can use Max with Min to see the envelope of a waveform.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Min

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Min operator stores the minimum value acquired in each time bucket of source 1. You can use Min with Max to see the envelope of a waveform.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Smoothing

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Smoothing operator takes the number of data points, as defined by the Smoothing Points control, starting from the left-hand side of the waveform viewing, takes the average voltage value of the points, and plots it. The smoothing operator then moves to the right by one data point takes the next set of data points and averages them. This process continues until all of the on screen data has been smoothed.

The smoothing operator limits the bandwidth of the waveform. The following equation can be used to calculate the bandwidth when the smoothing operator is on.

where:

Fs = the sample rate

N = Smoothing Points control value

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Square

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Square operator calculates the square of Source1.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Square Root

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Square root operator calculates the square root of Source1.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Math Filters

High Pass Filter

Low Pass Filter

Click on the topics above regarding math filter operations you can perform with your Infiniium Series oscilloscope.


High Pass Filter

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The High Pass Filter operator applies a single-pole high pass filter to the source waveform. The 3 dB bandwidth frequency of the filter is selectable.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Low Pass Filter

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Low Pass Filter operator applies a 4th order Bessel-Thompson filter to the source waveform that you choose. You can specify either the 3 dB frequency bandwidth of the filter or the rise time of the filter. The filter only uses the data that is within the waveform viewing area. The filter requires a certain time range of data based on the 3 dB frequency that you have chosen. If you receive the error message "Infiniium is unable to filter this waveform" then you can adjust the horizontal range to have a larger amount of time within the waveform viewing area.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Math Visualizations

Magnify

Meas Histogram

Meas Trend

Click on the topics above regarding math visualization operations you can perform with your Infiniium Series oscilloscope.


Magnify

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Magnify operator magnifies or reduces the source 1 waveform in both vertical and horizontal directions. Magnify is a mathematical function performed on an already acquired waveform. Therefore, the resolution is the same as the original acquisition no matter how large you magnify the waveform.

You can also use the Waveform Zoom feature to quickly magnify a portion of a displayed waveform. If the waveform is still being acquired, Waveform Zoom will also improve the waveform's resolution as it's expanded. If you have stopped the acquisition, Waveform Zoom works just like Magnify and the resolution does not improve with expansion; however, re-starting the acquisition while in Waveform Zoom will acquire the next waveform at higher resolution. Note that using the horizontal and vertical scale controls when acquisition is stopped will not change the waveform's resolution until the waveform is re-acquired.

You can use Magnify to view off-screen waveform data if the waveform record extends past the display boundaries. The memory bar will show you how much of the waveform record is onscreen.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), click here.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Meas Histogram

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Meas Histogram function shows a histogram of measurement values. Measurement values are captured and the histogram is updated as new acquisitions are made.

In the Math dialog box, after you select the Meas Histogram operator, you select the Measurement whose histogram you wish to view.

Also in the Math dialog box, you can specify whether vertical scaling of the trend waveform is performed by front panel vertical knobs or you can use the Size control to specify the maximum height of the histogram in divisions.

You can display statistics for the histogram in the Measurements tab using Histogram Statistic Measurements.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math dialog box (under Analyze > Math (FFT and more)...).

See Also

  • Measurements

  • Math / FFT Functions

  • Math Function Basics


Meas Trend

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

The Meas Trend function shows measurement values for a waveform (based on measurement threshold settings) as the waveform progresses across the screen. For every cycle, a measurement is made, and the value is displayed on the screen for the cycle.

If a measurement cannot be made for part of a waveform, the trend function output is a hole (that is, no value) until a measurement can be made.

In the Math dialog box, after you select the Meas Trend operator, you select the Measurement whose trend you wish to view.

Also in the Math dialog box, you can specify whether vertical scaling of the trend waveform is performed by front panel vertical knobs, Automatic, or Manual (via controls in the dialog box).

Where is This Operation Accessed?

This control can be accessed:

  • In the Math dialog box (under Analyze > Math (FFT and more)...).

See Also

  • Measurements

  • Math / FFT Functions

  • Math Function Basics


FFT (Spectral) Functions

FFT Theory / Window Functions

FFT Magnitude

FFT Phase

Click on the topics above regarding FFT (spectral) analysis functions you can perform with your Infiniium Series oscilloscope.

See Also

  • Frequency Domain Measurements


FFT Theory / Window Functions

Introduction to FFT

Window Functions

Advantages / Disadvantages of Different Window Functions

Computation of dBm

Computation of dBV

Introduction to FFT

You normally use an oscilloscope to view and measure waveforms in the time domain where the vertical axis is amplitude and the horizontal axis is time. For most waveforms this is the best way to view them. However, there are times when you want to know the frequency content of a waveform.

In 1807 the French mathematician, Jean Baptiste Fourier, developed the Fourier series and Fourier transform to solve thermodynamics problems. Using the Fourier series, any periodic waveform can be constructed by adding a DC term to a series of sine and cosine terms. You can use the Fourier transform to mathematically relate the time domain and the frequency domain. The following formula is the Fourier transform:

The Discrete Fourier Transform (DFT) is used to convert sampled time domain waveform data into the frequency domain. However, the DFT is slow because it requires a large number of calculations. This led to the development of the Fast Fourier Transform (FFT) which runs faster than the DFT on digital computers. For a time record of N sample points, the computation times for a DFT and an FFT are proportional to:

DFT = N2

FFT = N log2 N

The Infiniium oscilloscope can display the frequency content of your waveform using the Fast Fourier Transform (FFT) function. The FFT display shows the amplitude for each frequency component in your waveform on the vertical axis and frequency on the horizontal axis. You can use the FFT function to:

  • find crosstalk problems.

  • find distortion problems in analog waveforms caused by non-linear amplifiers.

  • adjust filter circuits designed to filter out certain harmonics in a waveform.

The following figure illustrates what an FFT does.

An FFT changes a time record of N samples (memory depth) into a frequency record of N/2 complex points. The frequency record range is from:

where:

If you are using a Rectangular window, the resolution or the spacing between the points in the frequency record is:

(If you are using one of the other Windows then the resolution will be different. You can use the Resolution BW field under Analyze > Math (FFT and more)... to see the FFT resolution).

If you are using a Rectangular window, then at the Nyquist frequency

there are exactly two samples for each period of the waveform. Waveforms with frequencies above the Nyquist frequency become aliased which means that they appear as waveforms at a lower frequency.

It turns out that points above 0 Hz (0 to Fs/2) are mirror images of points below 0 Hz (-Fs/2 to 0). The scope ignores the points below 0 Hz because they do not provide any additional information. Therefore, N time samples results in N/2 displayed frequency points.

The oscilloscope calculates the FFT using the nearest power of 2 sample points which is less than or equal to the memory depth you have selected. For example, if the memory depth is set to 1000 then the first 512 sample points are used to calculate the FFT.

Window Functions

The oscilloscope's FFT operates on a finite length time record. In auto memory depth, Infiniium selects the memory depth or you can set the memory depth manually using the memory depth control. This time record approximates the Fourier transform which integrates over all time. While the FFT operates on a finite length time record it has the effect of replicating the finite time record over all time as shown in the following figure.

When the time record captures integer multiples of a waveform period then the FFT result will do a good job of approximating the Fourier integral. When the time record does not capture an integer multiples of the waveform period transients result when the waveform is replicated as shown in the following figure.

Because you often do not have control over how the waveform fits into the oscilloscope's memory, you should assume that a discontinuity may exist. This effect in the frequency domain is called leakage. A pure sine wave transforms into a single spectral component. The time domain transient causes a frequency domain widening or spreading out of the waveform. The spectral component of the perfect sine wave is said to "leak" into other frequencies.

Figure 3. FFT with leakage

FFT with leakage

Figure 4. FFT without leakage

FFT without leakage

A solution to the leakage problem is to force the waveform to zero at the beginning and end of the time record so that no transient is present when the time record is replicated. This is done by multiplying the time record by a window function. The window function modifies the time record which produces its own effect in the frequency domain. However, the effect produced by the window function is a big improvement over using no window function at all. The supported window functions are Rectangular, Hanning, Flattop, Blackman-Harris, and Hamming.

Hanning Window Function

The Hanning window provides a smooth transition to zero at both ends of the time record. The following figure shows the Hanning window which will be applied to the time domain data.

The following figure shows some time domain data before the Hanning window is applied.

The following figure shows time domain data after the Hanning window is applied.

Even though the overall shape of the time domain signal has changed, the frequency content remains basically the same. The spectral line associated with the sinusoid spreads out a small amount in the frequency domain as shown in the following figure.

Figure 5. FFT using Hanning window

FFT using Hanning window

The shape of a window is a compromise between amplitude accuracy and frequency resolution. The Hanning window, compared to other common windows, provides good frequency resolution at the expense of somewhat less amplitude accuracy.

Flattop Window Function

The Flattop window has a fatter (and flatter) characteristic in the frequency domain. The flatter top on the spectral line in the frequency domain produces improved amplitude accuracy, but at the expense of poorer frequency resolution when compared with the Hanning window.

The following figure shows the characteristic shape of the Flattop window.

The following figure shows how the spectral line is wider using the Flattop window.

Figure 6. FFT using Flattop window

FFT using Flattop window

Rectangular Window Function

The Rectangular window (also referred to as the Uniform window) is really no window at all because the samples are left unchanged. Although the uniform window has the potential for severe leakage problems, in some cases the waveform data in the time record has the same value at both ends of the record, thereby eliminating the transient introduced by the FFT. Such waveforms are called self windowing. Waveforms such as sine bursts, impulses, and decaying sinusoids can all be self windowing.

Blackman-Harris Window Function

The Blackman-Harris window is best used when you want to looks at signals with a strong interference component that is fairly distant from the frequency you want to see. It can be used as a general purpose window as its main lobe is not too wide (decent frequency discrimination) and the side lobes drop off by 90 dB.

Hamming Window Function

The Hamming window is a "raised cosine" function like the Hanning window but with different coefficients. It has slightly better frequency resolution than the Hanning window.

Advantages / Disadvantages of Different Window Functions

Most measurements will require the use of a window such as the Hanning or Flattop windows. These are the appropriate windows for typical frequency analysis measurements. Choosing between these two windows involves a trade-off between frequency resolution and amplitude accuracy.

Hanning

  • Advantage: Good Frequency Resolution

  • Disadvantage: Less Amplitude Accuracy

Hamming

  • Advantage: Good Frequency Resolution (slightly better than Hanning)

  • Disadvantage: Less Amplitude Accuracy

Flattop

  • Advantage: Good Amplitude Accuracy

  • Disadvantage: Less Frequency Resolution

Rectangular

  • Advantage: Good Frequency Resolution, Good Amplitude Accuracy (For self-windowing waveforms)

  • Disadvantage: Possible Leakage Effects

Blackman-Harris

  • Advantage: Good for signals with a strong interference component that is fairly distance from the frequency you want to see, good general purpose window

Computation of dBm

The vertical units of the FFT functions are dBm. 0 dBm is defined as a 1 milliwatt waveform. The formula for converting a waveform of power P into dBm is:

where: is the input power in mW.

A formula which Infiniium uses is for calculating dBm from the peak voltage:

where: Vpeak is the peak input voltage.

The bottom term, 0.316228 Volts, is the peak voltage of a 1 milliwatt waveform into a 50 Ω resistor.

In order to get accurate power measurements, you should terminate the waveform using a 50 Ω impedance. However, if you are measuring voltage, the 50 Ω terminating impedance is not a requirement. The above equation for dBm as a function of peak voltage still applies.

Computation of dBV

A common measurement unit of amplitude is dBV. A 0 dBV waveform is defined as a 1 Volt RMS waveform. A dBm reading is converted to a dBV reading by subtracting 13.01 dB.

See Also

  • FFT Magnitude

  • FFT Phase

  • Math / FFT Functions


FFT Magnitude

What Does This Operation Do?

How Do I Use The Controls?

How Do I Search for Peaks in the FFT?

Where is This Operation Accessed?

What Does This Operation Do?

The FFT Magnitude math operator creates a magnitude versus frequency waveform by using the Fast Fourier Transform (FFT). Infiniium calculates the FFT using the nearest power of 2 number of waveform sample points which is greater than or equal to the number of waveform sample points in the waveform viewing area. For example, if there are 1000 sample points in the waveform viewing area then 1024 sample points are used to calculate the FFT.

If you manually set the memory depth to a power of 2, the FFT waveform will have better resolution if all the waveform points are in the waveform viewing area. By looking at the memory bar at the top of the screen, you can see if all of the memory points are in the waveform viewing area.

Below is a screen shot showing what the memory bar looks like when all waveform points are in the waveform viewing area.

Below is a screen shot showing what the memory bar looks like when some waveform points are outside the waveform viewing area.

You can use FFT to see the frequency components (spectral information) of a waveform by viewing it in the frequency domain.

For more information on how math / FFT functions work in general (as well as aspects such as possible sources, display units, etc.), see Math Function Basics.

How Do I Use The Controls?

There are several controls in this dialog box. When you check the Display On box and select FFT Magnitude as your operator, you will see the following vertical and horizontal controls:

  • Window — Choose the Rectangular, Hanning, Flattop, Blackman-Harris, or Hamming window for your FFT function. Use Hanning for best frequency accuracy, flattop for best amplitude accuracy, and rectangular for single shot transients or signals where there are an integral number of cycles in the time record. See FFT Theory / Window Functions for more information on the other windows.

    The FFT operation assumes that the time record repeats infinitely. Unless there is an integral number of cycles of the sampled waveform in the record, a discontinuity is created at the end of the record. This is referred to as "leakage". In order to minimize spectral leakage, windows that approach zero smoothly at the beginning and end of the record can be used as filters for the FFT.

    Windows work by weighting points in the middle of the waveform record higher than those at the ends of the record. For example, a Hanning window looks like the first half cycle of a sine wave. The Hanning window multiplies the points at the middle of the record by 1 and multiplies points at the start and the end of the record by zero.

  • Vertical:

    • Use front panel vertical knobs — When checked, the front panel vertical knobs control the FFT function's vertical scale and offset instead of the analog channel's vertical scale and offset.

    • Vertical Units — You can choose to have the vertical units be in dB or Vrms.

    • Scale — This field sets the vertical scale.

    • Reference Level — This field sets the vertical Reference Level (or offset).

  • Horizontal:

    • Center Frequency — This field sets the horizontal center frequency. This is the frequency at the center position of the waveform viewing area.

    • Span — The width of the frequency scale.

    • Resolution BW — This is the FFT resolution and is defined as sample rate / sample size. If this is not a power of two number of points, Infiniium adds zeros equally to the beginning and end of the data until there is a power of two number of points.

    • Start Frequency — The frequency scale's starting value.

    • Stop Frequency — The frequency scale's ending value.

  • Preset — Pressing this button restores all of the fields in this dialog box to their preset values.

How Do I Search for Peaks in the FFT?

When you activate either an FFT Magnitude function, the Navigation tab appears in the tab section beneath the graticule. When you select this navigation tab, the tab area will look like the following:

This dialog box enables you to specify which peaks to search for and then lets you step through them. It also gives you information on the current peak you are viewing as well as the center frequency and the scale.

To specify which peaks to search for, click on the Setup Peak Search button. The Peak Search Setup dialog box appears.

In this dialog box, you can choose to sort the peaks in terms of increasing/decreasing magnitude or increasing/decreasing frequency. The Peak Search Level control then specifies what magnitude the peak must be greater than in order to be considered a peak. This lets you filter out noise and fine tune the searching for peaks of a certain height.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math dialog box, under Analyze > Math (FFT and more)... or Analyze > Spectral (Basic)....

See Also

  • FFT Theory / Window Functions

  • FFT Phase


FFT Phase

What Does This Operation Do?

How Do I Use The Controls?

Where is This Operation Accessed?

What Does This Operation Do?

The FFT Phase math operator creates a phase versus frequency waveform by using the Fast Fourier Transform (FFT). Infiniium calculates the FFT using the nearest power of 2 number of waveform sample points which is greater than or equal to the number of waveform sample points in the waveform viewing area. For example, if there are 1000 sample points in the waveform viewing area then 1024 sample points are used to calculate the FFT.

If you manually set the memory depth to a power of 2, the FFT waveform will have better resolution if all the waveform points are in the waveform viewing area. By looking at the memory bar at the top of the screen, you can see if all of the memory points are in the waveform viewing area.

Below is a screen shot showing what the memory bar looks like when all waveform points are in the waveform viewing area.

Below is a screen shot showing what the memory bar looks like when some waveform points are outside the waveform viewing area.

For more information on how math / FFT functions work in general (as well as aspects such as possible sources, display units, etc.), see Math Function Basics.

How Do I Use The Controls?

There are several controls in this dialog box. When you check the Display On box and select FFT Phase as your operator, you will see the following vertical and horizontal controls:

  • Zero Phase Reference — The Zero Phase Reference control determines the reference point from which the FFT phase of a waveform is measured.

    When Trigger is selected, the FFT phase is measured from the trigger (T=0) point of the waveform.

    When Display is selected, the FFT phase is measured from the Horizontal Zero Reference point on the display.

  • Window — Choose the Rectangular, Hanning, Flattop, Blackman-Harris, or Hamming window for your FFT function. Use Hanning for best frequency accuracy, flattop for best amplitude accuracy, and rectangular for single shot transients or signals where there are an integral number of cycles in the time record. See FFT Theory / Window Functions for more information on the other windows.

    The FFT operation assumes that the time record repeats infinitely. Unless there is an integral number of cycles of the sampled waveform in the record, a discontinuity is created at the end of the record. This is referred to as "leakage". In order to minimize spectral leakage, windows that approach zero smoothly at the beginning and end of the record can be used as filters for the FFT.

    Windows work by weighting points in the middle of the waveform record higher than those at the ends of the record. For example, a Hanning window looks like the first half cycle of a sine wave. The Hanning window multiplies the points at the middle of the record by 1 and multiplies points at the start and the end of the record by zero.

  • Time Delay — This field sets the time delay.

  • Vertical:

    • Use front panel vertical knobs — When checked, the front panel vertical knobs control the FFT function's vertical scale and offset instead of the analog channel's vertical scale and offset.

    • Scale — This field sets the vertical scale.

    • Reference Level — This field sets the vertical Reference Level (or offset).

  • Horizontal:

    • Center Frequency — This field sets the horizontal center frequency. This is the frequency at the center position of the waveform viewing area.

    • Span — The width of the frequency scale.

    • Resolution BW — This is the FFT resolution and is defined as sample rate / sample size. If this is not a power of two number of points, Infiniium adds zeros equally to the beginning and end of the data until there is a power of two number of points.

      If either the memory depth or sample rate are set to Automatic, you can adjust this control. However, if both the memory depth and sample rate are in Manual mode, this control becomes read-only and cannot be adjusted.

    • Start Frequency — The frequency scale's starting value.

    • Stop Frequency — The frequency scale's ending value.

  • Preset — Pressing this button restores all of the fields in this dialog box to their preset values.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math dialog box, under Analyze > Math (FFT and more)... or Analyze > Spectral (Basic)....

See Also

  • FFT Theory / Window Functions

  • FFT Magnitude


User Defined Functions

What is a User Defined Function and What Functions are Available?

Where are the Standard User Defined Function Accessed?

What is a User Defined Function and What Functions are Available?

The User Defined Function provides you with a method of adding your own mathematical transform as a math operator entry in the Infiniium Math dialog box. The captured waveform data is passed to the MATLAB® script that you create to process the waveform data. The processed waveform data is passed back to the oscilloscope to be displayed as a function in the waveform viewing area. You will also create an XML file that describes to Infiniium the interface used for your mathematical transformation.

For details on using User Defined Function to add your own mathematical transforms, refer to the N5430A User Defined Function - User's and Programmer's Guide.

There are several user defined functions that come standard on the oscilloscope. They include:

  • Butterworth

  • FIR

  • LFE

  • RTEye

  • SqrtSumOfSquare

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), see Math Function Basics.

Where are the Standard User Defined Function Accessed?

These functions can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Butterworth

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

This User Defined Function will apply the "Butterworth" low pass filter to the selected channel data and then display the real-time result on the screen.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), see Math Function Basics.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


FIR

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

This User Defined Function displays the equalized signal using the finite impulse response (FIR) filter.

Users can set the desired TAP coefficients by using the syntax "T1=value; T2=value; T3=value; T4=value; T5=value;" in the TAP variable box (5 coefficients maximum), where value is either an integer or a rational number. Also, "T" must be a capital letter and a ";" must follow each entry INCLUDING the last entry (T5).

The data rate and source must also be specified.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), see Math Function Basics.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


LFE

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

This User Defined Function applies linear feed-forward equalization (LFE) to a selected channel data and displays the result on the screen.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), see Math Function Basics.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


RTEye

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

This User Defined Function displays the real time updating eye pattern for the selected channel data on a separate MATLAB window using a constant clock recovery method. By showing the eye pattern on a separate window, the user is free to make additional measurements on an original waveform on the oscilloscope's screen.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), see Math Function Basics.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


SqrtSumOfSquare

What Does This Operation Do?

Where is This Operation Accessed?

What Does This Operation Do?

This User Defined Function displays the square root of the sum of the squares of two signals.

When Scaling is set to Auto, Infiniium will automatically select a vertical scale and offset which lets you see the entire function on the display. The function will track any vertical scale or offset changes you make to the source waveform.

If you set Scaling to Manual, you can choose a different vertical scale and offset than the original source waveform and the function will not track any vertical scale or offset changes you make to the source waveform. All operators, except Magnify, are performed on displayed waveform data only. Any portion of the waveform which is off screen is not included in the waveform math calculation.

For more information on how math / fft functions work in general (as well as aspects such as possible sources, display units, etc.), see Math Function Basics.

Where is This Operation Accessed?

This control can be accessed:

  • In the Math / FFT dialog box (under Analyze > Math / FFT).

See Also

  • Math / FFT Functions


Horizontal Gating Functions

Horizontal Gating functions are similar to using the horizontal zoom window except that the function waveforms appear in the main display grid (at a different horizontal scale) instead of in a special zoomed display grid. You can use Horizontal Gating functions to perform gated measurements.

To set up a Horizontal Gating function:

  1. Drag a box around a single source waveform that you wish to gate.

  2. When you release the mouse button (or finger on the touchscreen), choose Horizontal Gating (Source) > Function N from the popup menu.

    The result is:

    Notice in the Scales tab, the horizontal scale and position are different for the Function waveform.

The result of the preceding steps are the same as:

  1. Choosing Analyze > Math (FFT and more)... from the main menu.

  2. In the Math dialog box, selecting the Horizontal Gating operator, setting the horizontal and vertical scale, and checking Display On.

  3. Choosing Setup > Display... from the main menu.

  4. In the Display Setup dialog box, selecting 2 grids.

Once Horizontal Gating functions are set up, you can make measurements on them just like other waveforms. Measurements on Horizontal Gating functions are, in essence, gated measurements on the original waveform.

Measurements on Horizontal Gating functions are similar to choosing the Gate to Zoom Window measurement option when the horizontal zoom window is enabled (see Measurement Gating).

See Also

  • Scales Tab

  • Measurements


Histograms

Histogram Basics

Histogram Dialog Box

Measurement Histograms

Click on the topics above regarding working with histograms on your Infiniium oscilloscope.

See Also

  • Using Measurement Histograms

  • Jitter Graphs / Histograms

  • Noise Graphs / Histograms


Histogram Basics

What Types of Histograms are Available?

What is a Waveform Histogram?

How are Vertical / Horizontal Waveform Histograms Formed?

What is the Histogram Window?

What Types of Histograms are Available?

There are several different types of histograms available on the Infiniium oscilloscope:

  • Measurement Histogram — This histogram is used to calculate the Top and Base values used with automatic measurements.

  • Waveform Histogram — This histogram is a graphical display of the number of times that waveform data has illuminated a pixel within the histogram window (see below for more information on the histogram window). This is the type of histogram you enable when you enter the Histogram dialog box and select Waveform as the Source. You can create a horizontal or vertical waveform histogram (see below).

  • Jitter Measurement Histograms — These histograms are used with the EZJIT or EZJIT+ analysis options. This is the type of histogram you enable when you enter the Histogram dialog box and select Measurement as the Source. For more information, see Using Measurement Histograms.

What is a Waveform Histogram?

A waveform histogram is a graphical display of the number of times that waveform data has illuminated a pixel within the histogram window. Each pixel has a memory location in a database. Each database memory location is a 53-bit counter which is incremented when the associated pixel is illuminated by waveform data.

When any database counter reaches saturation, Infiniium displays the following message in the Histogram tab area at the bottom of the display:

Histogram is saturated

Once any database counter is saturated, the histogram measurements will be inaccurate.

When the histogram feature is activated, Infiniium starts building the database. This database is also used by the color grade persistence feature. The database continues to build until the oscilloscope stops acquiring data or both functions (color grade persistence and histograms) are deactivated.

Because the waveform histogram feature uses the pixel database, only one waveform source should be on at a time. Otherwise, any additional waveform sources will illuminate pixels and be included in the database. If you want to have multiple channels on, you can turn on multiple grids (Display Setup dialog box) and move all of the channels but one to a grid not being used by the histogram.

The histogram allows for the selection of a source. However, this source is only used as a reference for the histogram markers and does not cause a source to be selected for the histogram. The histogram data base uses all sources that are bring plotted, not just the selected source.

How are Vertical / Horizontal Waveform Histograms Formed?

  • A vertical histogram is formed by adding up all of the counters for each row in the histogram window (see below for information on histogram windows). The largest sum of all the rows is used to normalize the other sums. The normalized sums are multiplied by the Histogram Size value found in the Histogram dialog box and plotted using horizontal bars.

  • A horizontal histogram is formed by adding up all of the counters for each column in the histogram window. The largest sum of all the columns is used to normalize the other sums. The normalized sums are multiplied by the Histogram Size value found in the Histogram dialog box and plotted using vertical bars.

What is the Histogram Window?

The histogram window determines which part of the database is used to plot the waveform histogram. You can set the size of the histogram window to be any size that you want within the horizontal and vertical scaling limits of the oscilloscope. This window size is set in the Histogram dialog box.

Four markers define the histogram window: Top Limit (Dashed Horizontal Marker By), Bottom Limit (Solid Horizontal Marker Ay), Left Limit (Solid Vertical Marker Ax) and Right Limit (Dashed Vertical Marker Bx). When you enable a histogram, the Histogram tab appears at the bottom of the display. While the Histogram tab is selected, the displayed histogram boundary markers will reflect the histogram window settings. Please note that standard markers are no longer coupled to the histogram boundary markers. This enables you to define and view standard markers when in the histogram tab.

The Default Window control sets the histogram window to six divisions high and eight divisions wide, centered in the waveform viewing area. This is the fastest way to position the histogram markers inside the waveform viewing area.

See Also

  • Histograms


Histogram Dialog Box

What Controls are in the Histogram Dialog Box?

How Do I Access the Histogram Dialog Box?

What Controls are in the Histogram Dialog Box?

When the Histogram Source control is set to Waveform, or when EZJIT analysis feature is not licensed (and there is no Histogram Source control), the dialog box looks like this:

  • Enable Histogram — Turns histogram on/off.

  • Orientation — Sets whether you want to display a vertical or horizontal histogram.

  • Histogram Size — This size is multiplied by the normalized sums of the histogram columns/rows to properly display the histogram.

  • Scale Source — Sets the source used for the histogram markers. This does not select a source for the histogram. All displayed plots are used in calculating the histogram.

  • Top Limit, Bottom Limit, Left Limit, Right Limit — These four boundaries define the histogram window.

  • Default Window — Sets the histogram window boundaries to their default values.

For more information on the histogram window, histogram size, default window, horizontal / vertical histograms, and sources, click on the Histogram Basics topic.

The jitter measurement histogram is a graphical display of the number of times a value of the selected jitter measurement occurs. When the Histogram Source control is set to Measurement (only available if you have either the EZJIT or EZJIT+ option installed), the dialog box looks like this:

  • Jitter Measurement — Select which jitter measurement to perform the histogram on. You must first add the jitter measurement using the Measurement Analysis (EZJIT) dialog box (click the Analyze Jitter... button below, add the measurement in the dialog box that appears, and then select that measurement from the drop-down menu shown here).

  • Analyze Jitter... — Click to open the Measurement Analysis (EZJIT) Dialog Box.

  • Histogram Size — This size is multiplied by the normalized sums of the histogram columns/rows to properly display the histogram.

Histogram results are shown in the Histogram tab. For more information on controls in the oscilloscope GUI, including tabs, see Display Controls.

How Do I Access the Histogram Dialog Box?

The Histogram dialog box can be accessed via Analyze > Histogram....

See Also

  • Histograms


Measurement Histograms

What is a Measurement Histogram?

How are the Top and Base Values Calculated From the Measurement Histogram?

There are two types of measurement histograms. This topic deals with the standard histograms used in defining measurements. The other type is a jitter measurement histograms (this is the type you use when you select Measurements for the Source control in the Histogram dialog box). However, you must have either the EZJIT or EZJIT+ Analysis option installed in order to use the jitter measurement histograms.

What is a Measurement Histogram?

The measurement histogram plots measurement results values (horizontal axis) versus the number of times each measurement result value has occurred (vertical axis). A statistical analysis of all measurements performed on a single waveform and is accumulated for every trigger cycle that has occurred. The statistical analysis is shown in the histogram tab at the bottom of the waveform viewing area. The measurement histogram is used to find the statistical maximum (Top) and statistical minimum (Base) voltage levels for your waveform. These values are used in calculating many automated measurements such as rise time.

Measurement histograms cannot be used as sources for a math function.

It is also important to note that measurement histograms are derived from the display and the acquisition data is quantized to the display resolution. Since the histogram is based on the display resolution, the histogram min and max values will not be as accurate as Vmin and Vmax values taken from the data directly.

How are the Top and Base Values Calculated From the Measurement Histogram?

The Top and Base of the waveform are found directly from the measurement histogram. The top 40% of the measurement histogram is scanned for the Top and the bottom 40% is scanned for the Base. The center 20% of the histogram is not scanned which prevents selecting the middle of a tri-state waveform.

Infiniium's Top and Base algorithm decides whether the Max and Min values should be used, as in the case of triangle waveforms, or whether the measurement histogram peaks should be used, as in the case of square waveforms.

This selection technique prevents Top and Base from jumping around on waveforms with even histogram distributions such as triangular waveforms. It also allows the detection of Top and Base for low duty cycle waveforms. You can define Top and Base yourself in the Thresholds dialog box.

See Also

  • Histograms

  • Measurement / Protocol Decode Thresholds

  • Measurements


Mask Testing

Mask Testing Basics

Loading a Mask

Creating a Mask File

Mask Test Dialog Box

Automask Dialog Boxes

Mask Scaling Dialog Box

Mask Test Tab

Clock Recovery

Unfold Real-Time Eye

Click on the topics above regarding mask testing and the mask test dialog box.

Note

If you select the Perform Multipurpose On Failure control in the Mask Test dialog box, Infiniium performs a Multipurpose action that can be defined by selecting the Setup Multipurpose button. You can set the Multipurpose button to perform the QuickE-mail feature and you will receive an e-mail every time a mask test failure occurs.

In order to protect against getting a large number of e-mails, you should be careful in how you configure the Run Until section in the Mask Test dialog box. For example, if you tell the oscilloscope to Run Forever and you have a large number of mask test failures, you will receive a significant number of e-mails. To protect against this, you can always set the Run Until section to something besides Forever and place a limit on how long it will run.


Mask Testing Basics

What is a Mask?

When Should I Use Mask Testing?

How is Mask Testing Implemented?

What is a Mask?

The Telecom and Datacom industries have developed standards that allow equipment manufactured by different companies to work together. One of the things that the standards define is called the physical layer. The physical layer standard, among other things, defines the electrical parameters for the waveform.

One way to verify a waveform's compliance with a particular standard is to use mask testing. A mask (template) defines a region of the scope's display in which the waveform must remain in order to meet the requirements of a standard.

There are three different types of masks that can be used to test your waveform's compliance:

  • Standard masks (Telecommunications Mask Template Kit option)

  • Automatically generated masks

  • User defined masks

When Should I Use Mask Testing?

You should use mask testing when your waveform must conform to an industry standard waveform shape. Mask testing also provides a quick way of testing a waveform's compliance to a standard during the manufacturing test of your product.

How is Mask Testing Implemented?

Infiniium starts mask testing by creating a database which has a unique location for every pixel located in the waveform viewing area. Every location in the database has a 53-bit counter for a maximum count of 2,097,151. Each time a data point from a waveform or function illuminates a pixel in the waveform viewing area, the database counter for that pixel is incremented.

During mask testing, any data point that illuminates a pixel in the mask failure region causes a mask test failure.


Mask Test Dialog Box

What Controls are in This Dialog Box?

How Do I Access the Mask Scaling Dialog Box?

What Controls are in This Dialog Box?

There are four main sections in this dialog box:

  • Mask Selection — Use the Align button to have Infiniium make a best fit of the mask to your waveform while maintaining the tolerances allowed by the standard.

    You should try Align Mask before manually adjusting a mask's size or position.

  • Run Until

    The Run Until control sets the Mask Test completion criteria. You can have Infiniium run the mask test Forever, until the specified number of waveforms has been acquired, or until the specified number of minutes has elapsed.

    If you select the Stop On Failure control, Infiniium stops the mask test when the first failure is detected. This also stops the waveform acquisition system.

    If you select the Perform Multipurpose On Failure control, Infiniium performs a Multipurpose action that can be defined by selecting the Setup Multipurpose button. You can set the Multipurpose button to perform the QuickE-mail feature and you will receive an e-mail every time a mask test failure occurs.

    Note

    In order to protect against getting a large number of e-mails, you should be careful in how you configure the Run Until section in the Mask Test dialog box. For example, if you tell the oscilloscope to Run Forever and you have a large number of mask test failures, you will receive a significant number of e-mails. To protect against this, you can always set the Run Until section to something besides Forever and place a limit on how long it will run.

  • Mask Test Options:

    • Invert Mask — This control inverts the mask for testing negative-going pulses. The trigger level and vertical offset are also adjusted for the negative-going pulse. Not all masks support negative-going pulse testing and for these masks the Invert Mask control is disabled.

    • Use File Setup When Aligning — This control changes the way the alignment is performed when the Align button is selected. When enabled, the oscilloscope controls are changed to the values which are determined by the loaded mask file. This alignment guarantees that the aligned mask and any subsequent mask tests meet the requirements of the standard.

      When disabled, the alignment is performed using the current oscilloscope settings. This may be useful when troubleshooting problems during the design phase of a project.

    • Averaging — The Averaging control is the same control as the one found in the Acquisition Setup dialog box. When you use averaging, random noise is removed from your waveform.

  • Start / Stop Test — Use the Start and Stop buttons to start and stop the mask test.

Additionally, there are buttons that lead you to the following topics.

  • Customize Multipurpose

  • Clock Recovery

  • Unfold Real-Time Eye

  • Mask Scaling Dialog Box

  • Automask Dialog Boxes

How Do I Access the Mask Scaling Dialog Box?

  • This dialog box can be accessed via Analyze > MaskTest.


Creating a Mask File

There are several different ways to create your own mask file.

  • Copy and modify one of the standard mask files or the example mask file.

  • Use the Automask feature to create a mask file and modify it.

  • Create your own mask file from scratch.


Using an Example Mask File

Infiniium comes with an example mask file that you can modify to make your own mask file. If you have purchased the Communication Mask Test Kit, there are several standard masks included with this kit. It is possible that one of the standard mask files is close to the one that you want to create. It may take less time to modify a standard mask file than it would to modify an Automask file or to create a mask file from scratch.

The first step in creating your own mask file by modifying a standard mask file is to copy the file to your PC:

  1. Using Windows Explorer, select c:\Documents and Settings\All Users\Documents\Infiniium\Masks as the Folder.

  2. Select a standard mask or the example mask (EXAMPLE.msk) that you want to copy. Mask files have a .msk suffix.

  3. Copy and Paste the file to your PC.

The mask file is an ASCII text file that you can modify using any text editor.

The file contains several sections that you need to modify. See Modifying Mask Files.


Using an Automask File

If you have not purchased the Communication Mask Test Kit, the next best way to create your own mask file is to use the Automask feature and save the mask to a file.

The first step in creating your own mask file by modifying an Automask file is to create an Automask file.

  1. Set Infiniium's trigger, horizontal, and vertical controls to display waveform pulse or eye pattern from which you want to create a mask centered in the waveform viewing area.

  2. On the menu bar, click the Analyze menu.

  3. In the Analyze menu click Mask Test.

  4. In the Mask Test dialog box, click the Automask button.

  5. Select the channel you want to use for the vertical scaling information saved to the Automask file.

  6. Click the Create Mask button.

  7. Click the Save to File button.

The Automask file that is created is an ASCII text file that you can modify using any text editor.

The file contains several sections that you need to modify. See Modifying Mask Files.


Creating a Mask File from Scratch

While it is possible to create your own mask file from scratch, it will take longer than if you use an Automask file as a starting point. For this reason, it is recommended that you modify an Automask file.


Modifying Mask Files

When modifying an example mask file or automask file, the file contains several sections that you need to modify.

A mask file contains the following four sections:

  • Mask File Identifier

  • Changing the Mask Title

  • Modifying the Mask Violation Regions

  • Changing the Setup Section of the Mask File


Mask File Identifier

The mask file identifier is the first line in a mask file. When Infiniium loads a mask file it checks the first line of the file for the following:

MASK_FILE_548XX

If the mask file identifier is not there, Infiniium will not try to load the file and will display an error dialog box.


Changing the Mask Title

The mask title is a quoted string of up to 23 ASCII characters. The mask title is displayed in the Mask Test dialog box and on the Mask Test tab. An example mask title is:

"STS1 51.840 Mb/s"

Using a text editor, you should change the title in the mask file to reflect the name of the mask standard you are creating.


Modifying the Mask Violation Regions

The Mask Violation Regions are areas of the screen where your waveform cannot enter and meet the requirements for your mask standard. These regions are defined using the time versus amplitude vertices obtained from the documentation for your standard. There are two types of vertices: normalized and unnormalized.

Normalized and Unnormalized Vertices

When you provide normalized vertices which define the shape of the Mask Violation Regions, you can use Infiniium's automated alignment feature. However, some of the mask standards only provide unnormalized vertices. For example, your waveform may have an amplitude of 2.37 volts which represents the amplitude of a logical 1. Therefore, you would have to divide all of the unnormalized amplitudes of the mask by 2.37 to normalize them.

Equation Based Mask Standards

Some of the mask standards specify mask regions using equations that produce normalized vertices.

Click on the topic that applies to your standard's documentation.

  • Unnormalized Vertices

  • Normalized Equation Based Mask Standard

When you have normalized vertices, add them to the mask file. See Adding Vertices to the File.


Unnormalized Vertices

For this example, the mask based on the CCITT G.703 1991 8448-kbit/s communication standard is used. The following is a drawing taken from the standard.

From this drawing, vertices are derived for the upper and lower violation regions of the mask. The horizontal center of the mask is set to 0 seconds so the mask can be properly scaled.

The following tables contain unnormalized vertices for the two violation regions taken from the 8.448Mb/s Mask Standard. The horizontal center of the mask was chosen to be 0 seconds. Both the time and amplitude coordinates need to be normalized. The time coordinates are normalized by dividing by 118 ns which is the width of a bit. The amplitude coordinates are normalized by dividing by 2.37 volts which is the nominal peak voltage of a pulse.

Bottom Region
Unnormalized Vertices |  | Normalized Vertices
Time (seconds) | Amplitude (Volts) | Time (seconds) | Amplitude (Volts)
-59.0E-09 | -0.237 | -0.5 | -0.1
-24.5E-09 | -0.474 | -0.2076 | -0.2
-24.5E-09 | +1.185 | -0.2076 | +0.5
-17.5E-09 | +1.896 | -0.1483 | +0.8
+0.0E-09 | +2.133 | +0.0 | +0.9
+17.5E-09 | +1.896 | +0.1483 | +0.8
+24.5E-09 | +1.185 | +0.2076 | +0.5
+24.5E-09 | -0.474 | +0.2076 | -0.2
+59.0E-09 | -0.237 | +0.5 | -0.1
Top Region
Unnormalized Vertices |  | Normalized Vertices
Time (seconds) | Amplitude (Volts) | Time (seconds) | Amplitude (Volts)
-59.0E-09 | 0.237 | -0.5 | +0.1
-50.0E-09 | 0.237 | -0.4237 | +0.1
-34.5E-09 | 1.185 | -0.2924 | +0.5
-34.5E-09 | 2.844 | -0.2924 | +1.2
+0.0E+09 | 2.607 | +0.0 | +1.1
+34.5E-09 | 2.844 | +0.2924 | +1.2
+34.5E-09 | 1.185 | +0.2924 | +0.5
+50.0E-09 | 0.237 | +0.4237 | +0.1
+59.0E-09 | 0.237 | +0.5 | +0.1

Once the normalized vertices have been calculated, you need to add the beginning and end points for the mask violation regions. The following shows the completed vertices for the sample mask file. The beginning and end points are italicized:

Bottom Region |  | Top Region
Time | Amplitude | Time | Amplitude
-0.5 | Min | -0.5 | Max
-0.5 | -0.1 | -0.5 | +0.1
-0.2076 | -0.2 | - | +0.1
-0.2076 | +0.5 | -0.2924 | +0.5
-0.1483 | +0.8 | -0.2924 | +1.2
+0.0 | +0.9 | +0.0 | +1.1
+0.1483 | +0.8 | +0.2924 | +1.2
+0.2076 | +0.5 | +0.2924 | +0.5
+0.2076 | -0.2 | +0.4237 | +0.1
+0.5 | -0.1 | +0.5 | +0.1
+0.5 | Min | +0.5 | Max

Infiniium will automatically connect the first and last points of each region. The keywords "Min" and "Max" for amplitude values make it easy to extend regions to the edges of the waveform viewing area independent of the vertical scale.

Next, see Adding Vertices to the File.


Normalized Equation Based Mask Standard

For this example, the mask based on the ANSI T1.102-1993 STS-1 51.840 Mb/s communication standard is used. The following is a drawing taken from the standard.

The vertices are derived from the following equations.

Time axis range unit intervals | Normalized amplitude equation
Top Region
 | 0.03
Bottom Region
 | -0.03
 | -0.03

One way to derive the vertices is to use a spread sheet like Excel or Lotus 1-2-3. These spread sheets have the ability to enter equations in a cell. The number of vertices for this example is 451. This means that the time increment, T, is:

Once the vertices have been computed, you should save the spread sheet as a text file using the comma separated values format. This is the format that the mask file requires for the violation region definitions.

Once the normalized vertices have been calculated, you need to add the beginning and end points for the mask violation regions. The following shows the completed vertices for the sample mask file. The beginning and end points are italicized:

Top Region |  | Bottom Region
Time | Amplitude | Time | Amplitude
-0.850 | Max | -0.850 | Min
-0.850 | 0.030 | -0.850 | -0.030
-0.845 | 0.030 | -0.850 | -0.030
-0.840 | 0.030 | -0.845 | -0.030
-0.835 | 0.030 | -0.840 | -0.030
. | . | . | .
. | . | . | .
. | . | . | .
1.385 | 0.141 | 1.385 | -0.030
1.390 | 0.141 | 1.390 | -0.030
1.395 | 0.140 | 1.395 | -0.030
1.400 | 0.140 | 1.400 | -0.030
1.400 | Max | 1.400 | Min

Infiniium will automatically connect the first and last points of each region. The keywords "Min" and "Max" for amplitude values make it easy to extend regions to the edges of the waveform viewing area independent of the vertical scale.

Next, see Adding Vertices to the File.


Adding Vertices to the File

The mask violation region definition section of a mask file consists of a region number, number of vertices for the region, and the comma separated vertices. Before you add your vertices to the file, you should remove all of the old region definitions from the file. After adding the new vertices, the region definition section should look similar to the following.

/* Bottom Region */
/* Region Number */ 2
/* Number of vertices */ 11
-0.5, Min
-0.5, -0.1
-0.2076, -0.2
-0.2076, +0.5
-0.1483, +0.8
+0.0, +0.9
+0.1483, +0.8
+0.2076, +0.5
+0.2076, -0.2
+0.5, -0.1
+0.5, Min

/* Top Region */
/* Region Number */ 1
/* Number of vertices */ 11
-0.5, Max
-0.5, +0.1
-0.4237, +0.1
-0.2924, +0.5
-0.2924, +1.2
+0.0, +1.1
+0.2924, +1.2
+0.2924, +0.5
+0.4237, +0.1
+0.5, +0.1
+0.5, Max


Changing the Setup Section of the Mask File

The setup section of the mask file contains remote programming commands that configure the scope's trigger, vertical scale, horizontal scale, and mask test parameters. This section begins with the keyword SETUP and ends with the keyword END_SETUP. There are some modifications that you need to make to some of the commands in this section.

  1. Change the parameter for the :MTES:SCAL:Y2 command to the voltage level that represents a logical 1. For our example communication standard, a logical 1 is 2.37 volts and the command is:

    :MTES:SCAL:Y2 2.37E+00

  2. Change the parameter for the :MTES:SCAL:Y1 command to the voltage level that represents a logical 0. For our example communication standard, a logical 0 is 0 volts and the command is:

    :MTES:SCAL:Y1 0.00E+00

  3. Change the parameter for the :MTES:SCAL:XDEL command to the unit interval for your waveform. For our example communication standard, the unit interval is 59 ns and the command is:

    :MTES:SCAL:XDEL 59.0E-09

  4. Change the parameter for the :MTES:SCAL:X1 to the t0 value for your communication standard. For our example communication standard, t0 is 28.3 ns and the command is:

    :MTES:SCAL:X1 28.3E-09

  5. If the mask file that you are modifying was generated using the Automask feature, change the parameter for the :MTES:AFIT command. The following table shows you which parameter to use for your waveform.

    Parameter | Waveform Type
    EYEAMI | AMI
    EYECMI | CMI
    EYENRZ | NRZ
    FANW | Square wave negative pulse with vertical offset adjustment allowed. Disables the Invert Mask control.
    FAPW | Square wave positive pulse with vertical offset adjustment allowed. Disables the Invert Mask control.
    FYNW | Square wave negative pulse with vertical scale and offset adjustment disallowed.
    FYPW | Square wave positive pulse with vertical scale and offset adjustment disallowed.
    NWID | Square wave negative pulse with vertical scale and offset adjustment allowed.
    PWID | Square wave positive pulse with vertical scale and offset adjustment allowed.
    TMIN | Negative sine pulse with vertical scale and offset adjustment allowed.
    TMAX | Positive sine pulse with vertical scale and offset adjustment allowed.

Some mask standards use edge triggering for mask testing while others require communication triggering to find an isolated one in the waveform. To find out how to set up a communication trigger, see Setting Up a Communication Trigger.

See the Programmer's Reference (in Additional Manuals) for a list and description of the mask file commands.


Setting Up a Communication Trigger

A communication trigger can be set remotely from your computer or by loading a mask that uses the communication trigger. The communication trigger finds a serial pattern in your waveform. The pattern is defined by your mask standard and can be up to 6 bits long.

The STS1 51.840 Mb/s pulse mask standard is used here as an example. The pattern for this standard is 0010. The following steps show how to set the communication trigger mode in the setup section of your mask file.

  1. Set the scope's sweep mode to triggered.

    :TRIG:SWEEP TRIG

  2. Set the scope's trigger mode to advanced.

    :TRIG:MODE ADV

  3. Set the scope's advanced trigger mode to communication.

    :TRIG:ADV:MODE COMM

  4. Set the scope's trigger to a channel that is set when you load the mask.

    :TRIG:ADV:COMM:SOURCE CHAN%d

  5. Set the scope's trigger level to the voltage value required by your waveform.

    :TRIG:ADV:COMM:LEVEL CHAN%d,+0.200E+00

  6. Set the waveform encoding to NRZ for CMI type waveforms and RZ for all other waveforms. This command should precede the polarity and the pattern commands. For this example RZ is used.

    :TRIG:ADV:COMM:ENC RZ

  7. Set the scope's polarity for either a positive( POS) or negative (NEG) pulse. The polarity determines whether a positive or negative edge of your waveform is used to trigger the scope. For this example the polarity is positive.

    :TRIG:ADV:COMM:POL POS

  8. Set the scope's communication trigger pattern to the pattern specified in your mask standard. If the polarity is positive, the pattern should be a combination of up to 6 bits using ones (1) and zeros (0). If the polarity is negative, the pattern should be a combination of up to 6 bits using minus ones (-1) and zeros (0). For this example the pattern is 0010.

    :TRIG:ADV:COMM:PATTERN 0,0,1,0

    For positive polarity, the scope will trigger on the right most one in the pattern with a positive edge. For negative polarity, the scope will trigger on the right most minus one in the pattern with a negative edge.

  9. Set the bit width to the value specified in your mask standard. For this example the bit width is 19.3 ns.

    :TRIG:ADV:COMM:BWID 19.30E-09


Sample Mask File

MASK_FILE_548XX

"Example Mask"

/*
The mask title must be in quotes. It appears in the Mask Tab and the Load Mask
dialog box after loading. Note that comments are the C programming language style
comments.
*/

/******************************************************
Level1: 2.37V
Level0: 0.00V
Pulse Width: 59 ns
Line code: HDB3
Impedance: 75ohm coax
******************************************************/

/*
Infiniium expects the region values in a particular order in the file. If, for
example, the Number of vertices specified is 11 and you only enter 10 X, Y
coordinate pairs, Infiniium will be unable to interpret the information
correctly. Therefore, you should ensure all your data values are present and
in the right place in the file.
*/

/* Top Region */
/* Region Number */ 1
/* Number of vertices */ 11
-0.5, Max
-0.5, +0.1
-0.4237, +0.1
-0.2924, +0.5
-0.2924, +1.2
+0.0, +1.1
+0.2924, +1.2
+0.2924, +0.5
+0.4237, +0.1
+0.5, +0.1
+0.5, Max

/*
The 11 X, Y pairs define the Top Region. "Min" specifies to fill to the bottom
of the graticule, regardless of the scale. "Max" will fill to the top of the
graticule. Infiniium will automatically tie the first and last points together
to close the region.
*/

/* Bottom Region */
/* Region Number */ 2
/* Number of vertices */ 11
-0.5, Min
-0.5, -0.1
-0.2076, -0.2
-0.2076, +0.5
-0.1483, +0.8
+0.0, +0.9
+0.1483, +0.8
+0.2076, +0.5
+0.2076, -0.2
+0.5, -0.1
+0.5, Min
/*_____________________________________________________*/

/*
Scope setup information follows the keyword "setup". Commands are in the
Infiniium GPIB command language.
*/

setup

/*
It's useful to change the channel number to %d. This passes the channel number
as a parameter so the mask isn't fixed to any one channel. Some trigger setup
information may need to be edited to include the %d. Much of the setup
information can be preset by using Automask after you get your waveform scaled
and triggered properly on the display.
*/

:CHAN%d:DISP ON
:CHAN%d:RANG 4.00E+00
:CHAN%d:OFFS 1.24E+00
:TIM:SCALE 15.00E-09
:TIM:POS 28.3E-09
:TIM:REF CENT

:TRIG:SWEEP TRIG
:TRIG:MODE EDGE
:TRIG:EDGE:SOURCE CHAN%d
:TRIG:LEVEL CHAN%d,+0.80E+00
:TRIG:EDGE:SLOPE POS
:ACQ:MODE RTIME
:ACQ:SRATE AUTO
:ACQ:POINTS AUTO

:MTES:SCAL:BIND OFF
:MTES:SCAL:X1 28.3E-09
:MTES:SCAL:XDEL 118.0E-09
:MTES:SCAL:Y1 0.00E+00
:MTES:SCAL:Y2 2.37E+00
:MTES:IMP IMP75
:MTES:AFIT FYPWIDTH
:MTES:STIM 5
:MTES:SCAL:BIND ON

end_setup


Loading a Mask

How Do I Load a Mask?

How Do I Load a Mask?

To load a mask file, access the Mask Test dialog box via Analyze > Mask Test and then press the Load Mask button. You can then navigate to the location on the oscilloscope where the mask you want is saved and load it.


Mask Scaling Dialog Box

What is Mask Scaling and When Should I Use it?

What Controls are in This Dialog Box?

How Do I Access the Mask Scaling Dialog Box?

What is Mask Scaling and When Should I Use it?

You can use Infiniium's Mask Scaling controls to manually adjust the mask's vertical scale, vertical position, and horizontal position. When you enable mask testing, Infiniium displays the Mask test tab below the waveform viewing area. While the Mask test tab is selected, the mask test markers are displayed in the waveform viewing area. You can use the mouse to drag the mask test boundary markers when manually aligning the mask to your waveform. Please note that standard markers are no longer coupled to the mask test boundary markers. This enables you to define and view standard markers when in the mask test tab.

  • Use mask scaling to manually align the mask to your waveform.

  • You should try using Align Mask before manually adjusting a mask's size or position.

What Controls are in This Dialog Box?

Bind 1 & 0 Levels

If the Bind 1 & 0 Levels control is enabled, the 1 Level and the 0 Level controls track each other. Adjusting either the 1 Level or the 0 Level control shifts the position of the mask up or down without changing its size. If the Bind 1 & 0 Levels control is disabled, adjusting either the 1 Level or the 0 Level control changes the vertical height of the mask.

When the 1 and 0 levels are not bound, moving the 1 or 0 level marker changes the height of the mask. You will have to reload the mask to return it to the default mask values.

This control is only available when a mask is loaded that allows you to independently adjust the 1 and 0 levels.

Bind -1 & 0 Levels

If the Bind -1 & 0 Levels control is enabled, the -1 Level and the 0 Level controls track each other. Adjusting either the -1 Level or the 0 Level control shifts the position of the mask up or down without changing its size. If the Bind -1 & 0 Levels control is disabled, adjusting either the -1 Level or the 0 Level control changes the vertical height of the mask.

When the -1 and 0 levels are not bound, moving the -1 or 0 level marker changes the height of the mask. You will have to reload the mask to return it to the default mask values.

This control is only available when a mask is loaded that allows you to independently adjust the -1 and 0 levels.

1 Level (By)

If the Bind 1 & 0 Levels control is enabled, the 1 Level and the 0 Level controls track each other. Adjusting the 1 Level control shifts the position of the mask up or down without changing its size. If the Bind 1 & 0 Levels control is disabled, adjusting the 1 Level control changes the vertical height of the mask. It also changes the voltage value that represents the 1 level of your waveform.

The 1 level is the base magnitude voltage of your waveform as defined by the mask standard and is calculated using the algorithm defined in the international standard publication IEC 469-2:1987. The 1 Level voltage is represented by the By marker.

-1 Level (By)

If the Bind -1 & 0 Levels control is enabled, the -1 Level and the 0 Level controls track each other. Adjusting the -1 Level control shifts the position of the mask up or down without changing its size. If the Bind -1 & 0 Levels control is disabled, adjusting the -1 Level control changes the vertical height of the mask. It also changes the voltage value that represents the -1 level of your waveform.

The -1 level is the base magnitude voltage of your waveform as defined by the mask standard and is calculated using the algorithm defined in the international standard publication IEC 469-2:1987. The -1 Level voltage is represented by the By marker.

0 Level (Ay)

If the Bind 1 & 0 Levels control is enabled, the 1 Level and the 0 Level controls track each other. Adjusting the 0 Level control shifts the position of the mask up or down without changing its size. If the Bind 1 & 0 Levels control is disabled, adjusting the 0 Level control changes the vertical height of the mask. It also changes the voltage value that represents the 0 level of your waveform.

The 0 level is the base magnitude voltage of your waveform as defined by the mask standard and is calculated using the algorithm defined in the international standard publication IEC 469-2:1987. The 0 Level voltage is represented by the Ay marker.

T0 (Ax)

The T0 time depends on your particular mask standard. The pulse standards place T0 in the middle of the pulse. The single eye pattern standards place T0 in the middle of the left-most eye crossing. Double eye pattern standards place T0 in the middle of the double eye pattern. The T0 time is represented by the Ax marker.

ΔT

The width of a bit (unit interval), ΔT, is defined by the mask standard. ΔT is represented by the Bx marker.

How Do I Access the Mask Scaling Dialog Box?

  • Analyze > Mask > Press the Scaling button


Mask Test Error Messages

Error Messages

Error Messages

  • Message: Mask align is in progress, waiting for more triggers

    The mask alignment process requires that the waveform data from several triggers be acquired. If your waveform is a low frequency waveform it may take a long time before Infiniium has enough data to complete the alignment process.

  • Message: Mask align completed with eye width unexpectedly narrow

    The alignment of the mask to the waveform is successful but the Infiniium measured eye width disagrees with the eye width contained in the mask file. This may be an indication that your waveform does not meet the standard.

  • Message: Mask align completed with eye width unexpectedly wide

    The alignment of the mask to the waveform is successful but the Infiniium measured eye width disagrees with the eye width contained in the mask file. This may be an indication that your waveform does not meet the standard.

  • Message: Mask align timed out, please increase search time in mask file

    The setup section of a mask file contains a set of commands which configure the scope when a mask file is loaded. One of those commands sets the maximum amount of time that Infiniium will spend trying to align the mask to your waveform. For low frequency waveforms this time may not be long enough to align the mask to your waveform. To increase the search time change use a text editor to modify the mask file. Near the bottom of the file is a section that starts with the keyword "setup." You will find the search time command:

    :MTES:STIM 5

    Increase the number of seconds until you no longer see the error message.


Mask Test Tab

What Results are Shown in the Mask Test Tab?

What Results are Shown in the Mask Test Tab?

The Mask Test tab appears when Mask Test is turned on and it shows the measurement results for the Mask Test. It displays the mask title, total wfms, failed wfms, total samples, failed samples and violations in the first 8 regions of the mask.

  • Mask title is displayed after loading a mask file.

  • Total wfms is the total number of waveforms acquired since the mask test was started.

  • Failed wfms is the total number of waveforms that have intersected a masked violation region since the start of the mask test.

  • Total samples is the number of samples Infiniium has acquired since the start of the mask test. A waveform is comprised of many samples.

  • Failed samples is the number of samples that have intersected a mask violation region since the start of the mask test.

  • Violations shows the number of failed samples within a particular region.


Automask Dialog Boxes

What Controls are in the Automask Dialog Box?

How Do I Access the Automask Dialog Box?

What Controls are in the Automask Dialog Box?

  • Clear Mask — Use this control to clear a mask from the display.

    You can clear the present mask in order to use another mask, load a mask, or use the Automask feature. Clearing a mask does not change the settings of the following controls which were set when the mask was loaded.

    • Vertical Scaling

    • Vertical Offset

    • Trigger Sweep Mode

    • Trigger Mode

    • Trigger Level

    • Horizontal Scale

    • Horizontal Position

    • Horizontal Reference

  • Create Mask — Use this control to create a mask from your waveform using the Mask Tolerance that you set.

    Create Mask creates a mask around your waveform using the vertical and horizontal tolerances that you have selected. Once created, the mask is displayed in light gray around the waveform and can be saved to a file.

    Note

    By enabling averaging you can create a more consistent mask for waveforms that are noisy or have some jitter.

  • Mask Tolerance — Use this control to add additional area between the waveform and mask.

    You can define the mask tolerance in units of Divisions or Volts/Time.

    Selecting Divisions defines the tolerance in units of graticule divisions. Selecting Volts/Time defines the tolerance in units of time (for horizontal) and Volts (for vertical). Tolerance is added to both sides of the waveform. For example, a horizontal tolerance of 0.25 div adds a quarter of a division to the right side and the left side horizontal values of your waveform.

    Note

    By enabling averaging you can create a more consistent mask for waveforms that are noisy or have some jitter.

  • Save to File — Use this control to save an automask created mask to a file.

    This button opens a dialog box where you can save an automask created mask to Infiniium's hard disk drive or a network drive. You cannot save a standard mask to a file, only an automask created mask. You can edit masks using a text editor to edit the mask file.

    To name a mask file, use either the optional keyboard or click the Keyboard button with the mouse. You can use the mouse Keyboard to enter and edit the file name.

    There are some characters, such as a colon (:), that cannot be used in file names. Infiniium will inform you if your file name contains any of these characters.

    Mask files should always have a file extension of .msk. Infiniium assumes file names with extensions of .msk are mask files. While it is possible to use other file name extensions, you may have difficulty finding your file later.

    When you save a mask, a text file is created which contains the filename ("Automask" for Automask generated files), mask violation region definitions, and some oscilloscope setup information. Setup information includes the displayed channel, vertical scale and offset, horizontal scale and offset, eye waveform type, and trigger information. To save other settings, such as color schemes, you should use Save Settings instead.

    The number of masks you can save is limited only by the available space on the internal hard disk or a network drive. A typical Automask file uses approximately 16,000 bytes of disk space.

    You can rename or delete a file in this dialog by clicking and releasing on the file name in the Files: section of the dialog. Once the file name is highlighted, use the Rename or Delete button. You can also create folders (subdirectories) by using the New Folder button.

  • Source — Use this control to select the channel, function, or waveform memory that Infiniium uses to build a mask.

    The channel, function or waveform memory must be on before it is included in the source list. Turn off any unused channels, functions, or waveform memories to avoid including them when creating a mask.

    All math functions are available as a source except for the versus math function.

How Do I Access the Automask Dialog Box?

The Automask dialog box is accessed via Analyze > Mask Test and then pressing the Automask button.


Unfold Real-Time Eye

What Controls are in This Dialog Box?

How Do I Access the Mask Scaling Dialog Box?

What Controls are in This Dialog Box?

The Unfold Real-Time Eye feature enables you to see individual bit errors by unfolding a real-time eye. To position to the first failure (see the first bit that failed the mask test), stop the acquisition after the failures have occurred (or use the Stop on Failure control in the Mask Test dialog box) and then press the Position to First Failure button in the Unfold Real-Time Eye dialog box. Then use the navigation box in the lower right corner of the display to jump to each bit failure so you can see how it actually failed the mask.

How Do I Access the Mask Scaling Dialog Box?

  • This dialog box can be accessed via Analyze > MaskTest > Unfold Real-Time Eye.


Eye Diagrams

What is an Eye Diagram?

How is an Eye Diagram Drawn on an Oscilloscope?

What Measurements Can I Perform on an Eye Diagram?

What is the Real-Time Eye Feature Used for Serial Data Analysis?

What is an Eye Diagram?

Digital telecommunication signals are comprised of pseudo-random patterns of zeros and ones. Therefore, diagnosing these kinds of signals with single-value (meaning one voltage value per point on the time axis) repetitive waveforms is not very useful as you can only see a few of the zero-one combinations. A better approach is to use a multivalued waveforms (meaning each point on the time axis has several voltage values associated with it) where many of the different one-zero combinations can be displayed. These multivalued waveforms consisting of pseudo-random patterns of ones and zeros are known as eye patterns. Eye patterns are important because performing various measurements on them can provide information regarding a communication signal's integrity. An eye diagram does not portray logical problems that may be present in certain systems. Instead it shows problems with the physical quality of the signal. For example, an eye diagram could tell you if a signal that should correspond to a logical one is so degraded that a receiver will mistake it for a logical zero.

An example of an eye pattern can be seen in the picture below.

As stated above, the signal's integrity can be determined from various measurements performed on the eye (see descriptions of these measurements below). However, in some instances, masks have been developed that quickly show whether an eye pattern is of high enough quality to pass a certain standard. These masks form shaded "stay out" areas where the eye pattern is not allowed to be. If a portion of the eye pattern touches a section of the mask, the device fails the standard. The diamond-shaped shaded area in the picture below is an example of a mask.

How is an Eye Diagram Drawn on an Oscilloscope?

To view an eye pattern, color grade persistence must first be enabled. In this manner, the screen is never "wiped clean", but instead just draws traces over the previous ones. This allows for the one-zero combinations to build up over time and form an eye pattern.

What Measurements Can I Perform on an Eye Diagram?

The eye diagram measurements can be found in the Measurements Main Menu.

What is the Real-Time Eye Feature Used for Serial Data Analysis?

Note

This feature requires the Serial Data Analysis option be installed.

You can enable the real-time eye display by going under Analyze > Serial Data and then clicking on the Real-Time Eye box.

The real-time eye display is created by overlapping each unit interval in your serial data stream with respect to the recovered clock. This display mode is useful in making eye pattern measurements. If you enable the color graded persistence mode, you can also tell where the waveform is spending most of its time.

This feature is also used to find the first unit interval in your waveform that has at least one or more mask failures (see Unfold Real-Time Eye for more information on unfolding a real-time eye).

Below is an idealized example of an eye diagram (not in color) showing the unit interval and the crossing points.

If you click on the Setup button next to the Real-Time Eye checkbox, the Real-Time Eye Setup Dialog Box appears.

See Also

  • Serial Data Analysis

  • Measurements


Real-Time Eye Setup Dialog Box

Controls

Accessing

Note

Requires that the Serial Data Analysis software be installed on the oscilloscope

A traditional eye diagram is formed by overlapping multiple acquisitions on top of each other. A real-time eye is formed by folding a single deep acquisition. Folding a single deep acquisition means you can "unfold" the eye to see the waveform that caused the violation.

The Real-Time Eye Setup dialog box lets you specify the bits that are included the real-time eye display.

When the real-time eye feature is enabled, the number of UIs (bit periods) and Waveforms in the real-time eye are reported in a box that can be dragged within the display.

Controls

  • Fast, Worst Case Only — This option performs a fast real-time eye display by showing only the worst case bits and other bits that surround them.

    This option can be enabled to speed up the real-time eye display when the oscilloscope is using deep memory.

    Worst case bits are evaluated using these 8 points inside the eye:

    • Left and right of the eye at the threshold level.

    • Left and right of the eye at the threshold + hysteresis level.

    • Left and right of the eye at the threshold - hysteresis level.

    • Top and bottom of the eye at the center.

    For each bit that represents the worst case at one of the evaluated points, the 1,000 bits that surround that bit are also displayed. So, up to 8,000 bits per acquisition can contribute to the real-time eye display. Keep in mind that one bit can represent the worst case at multiple points or that the 1,000 bits surrounding the worst case bits can overlap, so there can be fewer than 8,000 bits displayed per acquisition.

  • Real-Time Eye Bits — These options let you choose the bits to include in the real-time eye display:

    • All — shows all bits in the real-time eye.

    • De-emphasis — When probing a signal at a transmitter that adds pre-emphasis, de-emphasis gives you an estimate of what the signal will look like to the receiver.

      Pre-emphasis refers to emphasizing bits following a transition coming from a transmitter. This is done to account for signal loss as the data stream is transmitted so the signal looks correct when it reaches the receiver.

      When you plot an eye at the transmitter, you will see both emphasis and de-emphasis levels. This causes the eye to be more closed because of the multiple trajectories. By the time the signal reaches the receiver, all bits will look similar and the eye will be more open. To correct the signal at the transmitter, de-emphasis shifts the edges of the eye so they line up to minimize data dependent jitter and open up the eye.

      Below is a screen shot of an eye diagram with the de-emphasis feature disabled:

      And here is a screen shot of an eye diagram with the de-emphasis feature enabled:

    • Transition — shows only bits that occur after transitions in the real-time eye.

    • Pattern Qualify — Lets you qualify the real-time eye so that only bits that occur in the specified pattern are displayed.

      This is useful, for example, when different DFE equalizations are applied depending on the preceding bits, and you want to evaluate the DFE for a certain bit combination.

      • Bit Position — specifies the values in the pattern, 1, 0, or X (don't care).

      • Displayed Bit — selects which bit in the pattern is displayed in the real-time eye.

Accessing

To access the Real-Time Eye Setup dialog box:

  1. Choose Analyze > Serial Data... from the main menu.

  2. In the Serial Data dialog box, click the Setup... button that is next to the Real-Time Eye option.

    This setup button only appears for generic and high-speed protocols and when you have the Serial Data Analysis software installed on your oscilloscope.

See Also

  • Serial Data Analysis

  • Unfold Real-Time Eye

  • Mask Testing

  • Advanced Clock Recovery Dialog Box


Serial Data Analysis

Serial Data Wizard

Clock Recovery

TIE (Time Interval Error) Measurements

Real-Time Eye

Display Clock

The serial data analysis tools let you analyze a serial data stream. These tools are available under Analyze > Serial Data....

From the Serial Data dialog box, you can set up clock recovery, enable a Time Interval Error (TIE) measurement, a real-time eye, turn on the display of the recovered clock, etc. You can also use the Serial Data Wizard to be guided through the serial data analysis setup options.

A serial data stream can carry protocol-encoded data. In this case, you can use a protocol decoder and search and/or trigger on the decoded data. For more information, see Protocol Decode, Search, Trigger.

Application Notes

  • Memory Depth Requirements for Serial Data Analysis in a Real-Time Oscilloscope


Serial Data Wizard

What Controls are in the Serial Data Wizard?

How Do I Access the Serial Data Wizard?

Note

Requires that Serial Data Analysis software is installed on the oscilloscope.

What Controls are in the Serial Data Wizard?

The Serial Data Wizard walks you through analyzing your serial data. It contains the following steps (these links take you to pages that discuss each of these topics in general).

  1. Clock Recovery

  2. Thresholds — Lets you set the receiver switching threshold or the level that the clock switches. When Snap to 0 is enabled, thresholds within ±10 mV to are moved to zero. This is useful for differential signals. For general information on measurement/protocol decode thresholds, see Threshold.

  3. TIE (Time Interval Error) Measurements

  4. Real-Time Eye

  5. Display Clock

  6. Acquisition — Lets you set the memory depth and sample rate. If the Real-Time Eye display was previously enabled, you can select Fast Update (which automatically sets the memory depth for fast updates) and you can set the timebase scale.

    For general information on acquisition options, see Acquisition.

How Do I Access the Serial Data Wizard?

The Serial Data Wizard can be accessed via Analyze > Serial Data and then press the Serial Data Wizard button.


Clock Recovery

What Should I Know About Clock Recovery?

Jitter Considerations

What Clock Recovery Methods are Available?

What is Clock Recovery Rate?

How Do I Set the Clock Recovery Method?

Note

Requires that either the EZJIT Jitter Analysis, EZJIT+ Jitter Analysis, Serial Data Analysis, or any high speed protocol decode (such as PCI Express) option is installed on your oscilloscope.

The EZJIT Jitter Analysis, Serial Data Analysis, and high speed protocol decodes (PCI Express and FlexRay) provide methods of recovering an embedded clock or time reference from a source waveform (the available methods are described below). Additionally, the Serial Data Analysis software lets you display the recovered clock.

Only high-speed serial buses require you to specify a clock recovery algorithm.

You select the clock recovery method you want to use to recover the clock from your high speed serial data stream or waveform. There are several methods from which to choose. Generally, you will want to choose the method that approximates the method your receiver uses unless you are doing compliance testing, in which case you should use the method described in the data standard documentation.

What Should I Know About Clock Recovery?

  • Clock recovery is only necessary with high-speed serial buses.

  • Jitter is a time delta between two signals (one of which may be a clock signal so its generation is of key interest).

  • Clock recovery can be explicit (recovered from a second signal in your device under test) or derived (recovered from embedded transitions in the signal of interest).

  • If a clock is derived, you need to know the parameters of recovery. In other words, you need to know whether to consider transition density, Observed Jitter Transfer Function (OJTF), or Jitter Transfer Function (JTF) behaviors.

  • Note that there is only one control for defining the clock recovery method and this control is shared by all measurements and analysis. If two serial data streams are being analyzed simultaneously, they will both share the same clock recovery method. However, each data stream has its own recovered clock times.

  • The clock recovery methods are for serial data that has a single bit per unit interval. Those serial data streams that have multiple bits per unit interval cannot use these methods to recover the clock.

  • All time interval error measurements (including RJ/DJ analysis) measure the time position of waveform transitions relative to a specified clock reference. The choice of this clock reference is critically important to measuring the particular characteristic of the jitter that you want to know.

  • For PCI Express 1.0, clock recovery should only be done for compliance, not for decode.

    For compliance, it is suggested that you try the 2nd Order PLL clock recovery method although the specification does not require a specific method. If you set your protocol in the Protocol Decode dialog box to PCI Express and then press the Auto Setup button, the clock recovery will be set to 2nd Order PLL.

  • The clock recovery methods only apply to decode and analysis, not hardware triggering.

Jitter Considerations

Of the clock recovery methods described below, the two explicit clock methods measure the jitter between transitions on one signal relative to transitions of a second signal. The other methods measure the jitter between a signal's transitions and transitions of a reference clock that is extracted from the same signal.

Some of these clock recovery methods employ PLL techniques that have a high-pass filtering effect on the observed jitter.

In constant frequency clock recovery, given the observed transitions, a best fit frequency is used for the clock estimation. Using the recovered clock, jitter is measured relative to the oscilloscope's internal timebase. Care must taken when using this method with long acquisition record lengths because these jitter measurements will include the low-frequency phase noise (wander) between the source waveform's clock reference and the oscilloscope's internal timebase. Phase-locking the source waveform's clock reference and the oscilloscope's internal timebase together can be useful in some of these applications.

Typical RJ/DJ analysis measurements are limited to the higher frequency content of jitter because PLLs employed in most serial data systems correct for lower frequency jitter and wander. However, EZJIT+ can also measure arbitrarily low frequency jitter when used with explicit clock or constant clock recovery.

What Clock Recovery Methods are Available?

The clock recovery methods available will depend on the specific protocol you are using. It will be a subset of the following list:

  • Constant Frequency.

  • PLL (Phase Lock Loop) — If you are using a standard that is not in the list, you can select:

    • First Order PLL.

    • Second Order PLL.

  • Explicit Clock Recovery Methods — use these methods when there is an explicit signal to be used as the clock in serial data and jitter analysis:

    • Explicit Clock.

    • Explicit First Order PLL.

    • Explicit Second Order PLL.

  • Equalized Clock Recovery Methods (if you have purchased the Equalization option):

    • Equalized First Order PLL.

    • Equalized Second Order PLL.

  • PCI Express (1.0a).

  • Fibre Channel. Click Advanced... to open the Advanced Clock Recovery Dialog Box where you can specify deemphasis removal.

  • FlexRay.

  • MIPI M-PHY PWM.

  • DVI.

What is Clock Recovery Rate?

The clock recovery rate is an extrapolated value of the actual bit rate and is used to determine the nominal data rate across the acquisition. This measurement uses the rate derived by the clock recovery algorithm being used. Because each clock recovery algorithm determines the rate in a slightly different manner, different algorithms may yield different results. This measurement is intended to be used with the constant frequency clock recovery algorithm where the data rate is determined by using a least squares fit of the data to the data rate. This will typically yield a more stable data rate.

Because this measurement only results in one value per acquisition, the clock recovery rate cannot be used for the measurement trend or jitter spectrum.

How Do I Set the Clock Recovery Method?

The clock recovery method is set in the Clock Recovery dialog box. This dialog box can be accessed in a variety of ways including:

  • Click Set up Clock Recovery... in the Serial Data dialog box (Analyze > Serial Data...) if you have the Serial Data Analysis software installed on your oscilloscope.

  • Click Clock Recovery... in the Manual Setup dialog box (Setup > Protocol Decode..., then click Manual Setup...).

  • Click Clock Recovery... in the Jitter Setup dialog box (Analyze > Jitter...).

  • Click Clock Recovery... in the Equalizer Setup dialog box (Analyze > Equalization...).

  • Click Clock Recovery... in the Enter Measurement Info dialog box (Measure > Clock/Data > Time Interval Error (TIE)).

See Also

  • Jitter

  • Display Clock


Constant Frequency Clock Recovery

The Constant Frequency setting for the clock recovery method lets you select from these options:

  • Fully Automatic — Fully automatic constant frequency clock recovery does not require you to enter any information about the clock signal. The algorithm looks for the narrowest pulse in time and presumes this is an isolated one or zero. It then determines the number of bits in other pulse widths based upon this time to determine the number of bits in every width. In cases where there is a lot of ISI, a particularly narrow pulse width can throw off this algorithm, overestimating the data rate.

  • Semi-Automatic — The semi-automatic constant frequency clock recovery lets you "seed" the algorithm with the nominal bit width. The algorithm will then compute the average actual bit width and compute the number of bits in every pulse accurately.

    The Nominal Data Rate you enter is the seed for the algorithm.

  • Manual — The data rate you provide is used.

    The Nominal Data Rate you enter should be the reciprocal of the unit interval for your serial data stream.

Click Advanced... to open the Advanced Clock Recovery Dialog Box where you can specify deemphasis removal.


First Order PLL Clock Recovery

The First Order PLL clock recovery method models the response of an ideal first-order hardware PLL.

Nominal Data Rate — Enter the signal's expected bits/second data rate.

Pll Specification — You can specify the PLL's response in terms of either the JTF's 3 dB bandwidth or the OJTF's 3 dB bandwidth.

  • JTF — (Jitter Transfer Function) this is the closed-loop transfer function of the PLL. It is the ratio of the jitter on the PLL's output clock to the jitter on the input signal.

    This function generally has a low-pass effect. That is, JTF is at unity over low frequencies, but as the jitter increases to higher frequencies, the jitter on the recovered clock will decrease in magnitude.

  • OJTF — (Observed Jitter Transfer Function, sometimes referred to as the Error Function) this is the jitter between the PLL's input signal and PLL's output clock. It is equivalent to the PLL's Error Function (OJTF = EF = 1 – JTF).

    This function generally has a high-pass effect. That is, OJTF is at unity over high frequencies, but as the jitter decreases to lower frequencies, the jitter on the displayed waveform will decrease in magnitude.

  • For JTF or OJTF, you can specify the PLL's loop bandwidth either by entering it directly in the Loop Bandwidth field (also known as the -3 dB BW) or by entering the Loop BW Divisor value (a number that you divide the nominal data rate by to get the loop bandwidth).

    As you adjust JTF Loop Bandwidth (or Loop BW Divisor) values, the equivalent OJTF values are also displayed, and vice-versa. JTF and OJTF 3 dB bandwidths are the same because it is first order. This is not true for second order PLLs.

  • Transition Density Dependent — The PLL algorithm can calculate the recovered clock in two different ways. In one mode, the JTF and OJTF responses are static and independent of transition density. In the other mode, the JTF and OJTF change dynamically with varying transition density and are therefore dependent on transition density. Check this box to select whether the PLL is dependent on or independent of transition density.

    Transition density specifies how often there are transitions in the signal. For example, clock signals and 10101010... data patterns have a transition density of 100%; 11001100... data patterns, pseudo-random binary sequences (PRBS), and 8B/10B have a transition density of 50%.

    Transition density can affect a PLL's phase error and loop bandwidth. See How Transition Density Can Affect Jitter Measurements.

    Selecting the Transition Density Dependent PLL mode changes how the 3 dB bandwidth, peaking and damping factor parameters are interpreted.

    • When Transition Density Dependent is unchecked, the JTF and OJTF responses always directly reflect the specified parameters, independent of the input data pattern.

    • When Transition Density Dependent is checked, the JTF and OJTF responses only reflect the specified parameters when the input data pattern has a transition density of 50%.

    If you would like to specify these parameters at a different transition density, see Adjusting PLL Specifications for Transition Densities Other Than 50%.

Click Advanced... to open the Advanced Clock Recovery Dialog Box where you can specify PLL settling time and other options.

Some Example First Order PLL JTF/OJTF Loop Bandwidth Settings:

Standard | Loop Bandwidth
SAS 1.5 Gb/s | 900.0 kHz
SAS 3.0 Gb/s | 1.800 MHz
SAS 6.0 Gb/s | 3.600 MHz


Second Order PLL Clock Recovery

The Second Order PLL clock recovery method models the response of an ideal Type II, second-order hardware PLL.

Nominal Data Rate — Enter the signal's expected bits/second data rate.

Pll Specification — You can specify the PLL's response in terms of either the JTF's 3 dB bandwidth and its peaking or the OJTF's 3 dB bandwidth and its damping factor.

  • JTF — (Jitter Transfer Function) this is the closed-loop transfer function of the PLL. It is the ratio of the jitter on the PLL's output clock to the jitter on the input signal.

    This function generally has a low-pass effect. That is, JTF is at unity over low frequencies, but as the jitter increases to higher frequencies, the jitter on the recovered clock will decrease in magnitude.

    Peaking — When specifying the PLL's loop bandwidth in terms of the JTF 3 dB BW, you also need to specify the peaking of the JTF. See JTF Equations for Second Order PLLs for help in converting from Damping Factor or OJTF peaking to JTF Peaking.

  • OJTF —(Observed Jitter Transfer Function, sometimes referred to as the Error Function) this is the jitter between the PLL's input signal and PLL's output clock. It is equivalent to the PLL's Error Function (OJTF = EF = 1 – JTF).

    This function generally has a high-pass effect. That is, OJTF is at unity over high frequencies, but as the jitter decreases to lower frequencies, the jitter on the displayed waveform will decrease in magnitude.

    Damping Factor — When specifying the PLL's loop bandwidth in terms of the OJTF 3 dB BW, you also need to specify the damping factor of the JTF.

    < 1 | underdamped
    > 1 | overdamped
    = 1.0 | critically damped
    = 0.707 | Often considered ideal or optimal because of its fast settling time (optimally flat) and Butterworth type response.

    See OJTF Equations for Second Order PLLs for help in converting from JTF Peaking or OJTF peaking to Damping Factor.

    Note

    When you use the Serial Data Wizard, the values entered are in terms of OJTF.

  • For JTF or OJTF, you can specify the PLL's loop bandwidth either by entering it directly in the Loop Bandwidth field (also known as the -3 dB BW) or by entering the Loop BW Divisor value (a number that you divide the nominal data rate by to get the loop bandwidth).

    As you adjust JTF Loop Bandwidth (or Loop BW Divisor) and Peaking values, the equivalent OJTF values are also displayed, and vice-versa. In a Second Order PLL, OJTF is not the mathematical complement of JTF, so the equivalent values are different.

  • Transition Density Dependent — The PLL algorithm can calculate the recovered clock in two different ways. In one mode, the JTF and OJTF responses are static and independent of transition density. In the other mode, the JTF and OJTF change dynamically with varying transition density and are therefore dependent on transition density. Check this box to select whether the PLL is dependent on or independent of transition density.

    Transition density specifies how often there are transitions in the signal. For example, clock signals and 10101010... data patterns have a transition density of 100%; 11001100... data patterns, pseudo-random binary sequences (PRBS), and 8B/10B have a transition density of 50%.

    Transition density can affect a PLL's phase error and loop bandwidth. See How Transition Density Can Affect Jitter Measurements.

    Selecting the Transition Density Dependent PLL mode changes how the 3 dB bandwidth, peaking and damping factor parameters are interpreted.

    • When Transition Density Dependent is unchecked, the JTF and OJTF responses always directly reflect the specified parameters, independent of the input data pattern.

    • When Transition Density Dependent is checked, the JTF and OJTF responses only reflect the specified parameters when the input data pattern has a transition density of 50%.

    If you would like to specify these parameters at a different transition density, see Adjusting PLL Specifications for Transition Densities Other Than 50%.

Click Advanced... to open the Advanced Clock Recovery Dialog Box where you can specify PLL settling time and other options.

Some Example Second Order PLL JTF/OJTF Settings:

Standard | JTF Settings |  | OJTF Settings
 | Loop Bandwidth | Peaking | Loop Bandwidth | Damping Factor
SAS 1.5 Gb/s | 900.0 kHz | 0 dB | 900.0 kHz | 50.0
SAS-SSC 1.5 Gb/s | 2.328 MHz | 1.57 dB | 1.300 MHz | 0.860
SATA 1.5 Gb/s | 4.097 MHz | 1.86 dB | 2.100 MHz | 0.767
SAS 3.0 Gb/s | 1.800 MHz | 0 dB | 1.800 MHz | 50.0
SAS-SSC 3.0 Gb/s | 3.291 MHz | 1.57 dB | 1.838 MHz | 0.860
SATA 3.0 Gb/s | 1.791 MHz | 1.57 dB | 1.000 MHz | 0.860
SAS 6.0 Gb/s | 3.600 MHz | 0 dB | 3.600 MHz | 50.0
SAS-SSC 6.0 Gb/s | 4.655 MHz | 1.57 dB | 2.600 MHz | 0.860
SATA 6.0 Gb/s | 8.194 MHz | 1.86 dB | 4.200 MHz | 0.767
USB 3.0 | 10.03 MHz | 2.08 dB | 4.900 MHz | 0.707


JTF Equations for Second Order PLLs

Note that the following equations use the angular frequency, ω (in radians) which is equivalent to 2πf, where f is frequency (in Hertz).

Note also that Hpk is used to represent the unit-less magnitude of H(s) and can be converted from dB to unit-less magnitude using Hpk = |H(s)| = 10^(dB(Hpk)/20). Likewise, Epk is used to represent the unit-less magnitude of E(s) and can be converted from dB to unit-less magnitude using Epk = |E(s)| = 10^(dB(Epk)/20).

The Jitter Transfer Function in terms of the PLL's natural frequency (ωn) and damping factor (ζ):

The JTF -3 dB frequency in terms of the PLL's natural frequency (ωn) and damping factor (ζ):

The natural frequency in terms of the JTF -3 dB frequency (ω3dB) and damping factor (ζ):

The peaking value in terms of the PLL's natural frequency (ωn) and damping factor (ζ):

The damping factor in terms of the PLL's natural frequency (ωn) and peaking value (Hpk):


OJTF Equations for Second Order PLLs

Note that the following equations use the angular frequency, ω (in radians) which is equivalent to 2πf, where f is frequency (in Hertz).

Note also that Hpk is used to represent the unit-less magnitude of H(s) and can be converted from dB to unit-less magnitude using Hpk = |H(s)| = 10^(dB(Hpk)/20). Likewise, Epk is used to represent the unit-less magnitude of E(s) and can be converted from dB to unit-less magnitude using Epk = |E(s)| = 10^(dB(Epk)/20).

The Observed Jitter Transfer Function (or Error Function) in terms of the PLL's natural frequency (ωn) and damping factor (ζ):

The OJTF -3 dB frequency in terms of the PLL's natural frequency (ωn) and damping factor (ζ):

The natural frequency in terms of the OJTF -3 dB frequency (ω3dB) and damping factor (ζ):

The peaking value in terms of the PLL's natural frequency (ωn) and damping factor (ζ):

The damping factor in terms of the PLL's natural frequency (ωn) and peaking value (Hpk):


How Transition Density Can Affect Jitter Measurements

In some clock recovery designs, the PLL's open-loop gain is affected by transition density. This dependence of loop gain on transition density causes the PLL's JTF and OJTF responses to vary dynamically as the transition density of data pattern changes. You can choose to model either a transition density dependent or a transition density independent PLL by checking or unchecking the Transition Density Dependent check box.

When Transition Density Dependent is checked, the PLL's response depends on the input data pattern's transition density for a given set of PLL parameters you specify. If you specify a JTF BW of 1 MHz and peaking of 2 dB, then the PLL's JTF response will have a -3 dB BW of 1 MHz and a peaking of 2 dB when measuring an input data signal with a transition density of 50%. If you then measure different input signal with a different transition density using those same parameters, the PLL's JTF will not have JTF BW of 1 MHz and peaking of 2 dB.

When specifying the characteristics of a transition density dependent PLL, ensure that you specify them for a transition density of 50%. Failing to do so can result in unexpected and erroneous results. If you would like to specify these parameters at a different transition density than 50%, see Adjusting PLL Specifications for Transition Densities Other Than 50% for help in converting the PLL parameters to different transition densities.


Adjusting PLL Specifications for Transition Densities Other Than 50%

When Transition Density Dependent is checked, the PLL parameters you specify assume that average transition density of the measured signal is 50% (or 0.5). However, the following equations can be used to convert your desired PLL parameters at a different transition density to the values you need to specify at a transition density of 50%.

With First Order PLL Clock Recovery

For First Order PLL clock recovery, the 3 dB frequency of the JTF and the OJTF both depend on the transition density, TD, as follows. In this equation, ω′3dB is the actual 3 dB frequency of the PLL's response when you specify ω3dB in the loop bandwidth control and then measure a signal that has a transition density of TD.

Or said differently, if you want the PLL's 3 dB frequency to be ω′3dB when measuring a signal that has a transition density of TD, you should set the loop bandwidth control to ω3dB.

For example, if want the PLL to have a 3 dB BW of 1 MHz at a TD of 100%, you enter a Loop Bandwidth of 500 kHz.

With Second Order PLL Clock Recovery

For Second Order PLL clock recovery, the natural frequency and damping factor of both OJTF and JTF PLL responses depend on the transition density, TD, as follows. In these equations, ω′n and ζ′ are the actual natural frequency and actual damping factor of the PLL's response when you specify PLL characteristics (in the GUI controls) that have a natural frequency ωn and damping factor ζ and you then measure a signal that has a transition density of TD.

So, if you want the PLL's OJTF 3 dB frequency and damping factor to be ω′3dB and ζ′ when measuring a signal that has a transition density of TD, you can calculate the GUI control values ω3dB and ζ as follows.

If you want the PLL's JTF 3 dB frequency and peaking to be ω′3dB and H′pk when measuring a signal that has a transition density of TD, you can calculate the GUI control values ω3dB and ζ as follows. First, calculate the desired damping factor from the desired peaking.

Then, calculate the peaking value to enter, Hpk, from the desired damping factor ζ′ and transition density TD values.

Finally, calculate the 3 dB BW value to enter from the desired bandwidth ω′3dB, damping factor ζ′, and transition density TD.


Explicit Clock Recovery

The Explicit Clock recovery methods let you provide a clock from the circuit that you are measuring. This lets you make a jitter measurement with respect to the provided clock.

Click Advanced... to open the Advanced Clock Recovery Dialog Box where you can specify how clock edges are aligned with data.

You can also perform an Explicit First Order PLL or and Explicit Second Order PLL clock recovery with the same multiplier, edges, and advanced settings.

See Also

  • First Order PLL Clock Recovery

  • Second Order PLL Clock Recovery


Equalized Clock Recovery

A signal's eye must be open before you can recover its clock. You can use the the Equalization option to open the signal's eye. Then, the equalized signal becomes the source for a First Order PLL or Second Order PLL clock recovery.

See Also

  • First Order PLL Clock Recovery

  • Second Order PLL Clock Recovery


FlexRay Clock Recovery

The FlexRay clock recovery method can be used if you are decoding a FlexRay serial data stream that is being transmitted or received. It lets you specify the baud rate of the serial data as well as the address of a frame for which you are searching.

If you want to include all frame addresses in your search then set the frame ID to XX.

You can also isolate a specific cycle by unchecking the All Cycles box, setting the total number of cycles in the data stream (repetition factor), and specifying which cycle you want to isolate (base cycle).


Advanced Clock Recovery Dialog Box

What Controls are in the Advanced Clock Recovery Dialog Box?

How Do I Access the Advanced Clock Recovery Dialog Box?

What Controls are in the Advanced Clock Recovery Dialog Box?

  • PLL Settling Time — All PLLs take a finite amount of time to lock on to their source signal. During this settling time portion of the acquisition record, jitter measurements, protocol decode, etc. will not be performed.

  • Deemphasis Removal — Enable this when tests (like PCIe transmitter tests) require de-emphasis timing jitter to be removed before performing measurements. For more on deemphasis, see Real-Time Eye Setup Dialog Box.

  • Edges — Typically, for all clock recovery methods except Explicit, you would use both edges of a signal to recover a clock. However, if the signal is a clock signal with a low duty cycle and you want to measure jitter only on its rising (or falling) edges, you can select these edges in the Advanced Clock Recovery dialog box, select the same edges in the Jitter Setup dialog box, and enable Force Clock Pattern in the Advanced Jitter dialog box. See Measuring Jitter Only on Rising (or Falling) Edges of a Clock.

  • Clock / Data — When an Explicit clock recovery method is selected, these controls let you specify whether clock edges are:

    • Center Aligned with data.

    • Edge Aligned with data.

      When clock edges are Edge Aligned with data, Time Interval Error (TIE) is measured directly from the data edge to the clock edge.

How Do I Access the Advanced Clock Recovery Dialog Box?

The Advanced Clock Recovery dialog box can be accessed by clicking Advanced... in the Clock Recovery dialog box.


TIE (Time Interval Error) Measurements

A TIE measurement is made by first recovering the clock from the serial data stream. All of the data intervals are measured with respect to the recovered clock and the error statistics are computed. The following figure shows how the Time Interval Error is measured on rising edges of the data.

When Infiniium is not in the zoom mode, the serial data TIE jitter measurement is made on all the cycles of the waveform including any cycles that are not in the waveform viewing area. In zoom mode, the serial data TIE jitter measurement is only made on all the cycles inside the delayed window.

See Also

  • EZJIT Jitter Measurements


Real-Time Eye

Real-Time Eyes and traditional eye diagrams differ in that traditional eyes are formed by overlapping multiple acquisitions on top of each other while real-time eyes are formed by "folding over" a single deep acquisition. Real-Time Eyes are, therefore, useful because you can unfold the eye to see the waveform that caused the violation.

The real-time eye display is created by overlapping each unit interval in your serial data stream with respect to the recovered clock.

This display mode is useful in making eye pattern measurements. If you enable the color graded persistence mode, you can also tell where the waveform is spending most of its time.

Below is an idealized example of an eye diagram (not in color) showing the unit interval and the crossing points.

When you select the Position To First Failure button, Infiniium finds the first unit interval that has a mask test failure and disables the Real-Time Eye mode. You can then use the buttons in the Navigation tab to find other unit intervals in your waveform that have mask test errors. For more information on this Unfolding Real-Time Eye feature, see Unfold Real-Time Eye.

For more information, see Real-Time Eye Setup Dialog Box.

See Also

  • Unfold Real-Time Eye


Display Clock

Where is the Display Clock Dialog Box Located?

Note

Requires that the Serial Data Analysis option is installed on your oscilloscope.

The Display Clock function displays the clock recovered from the data stream. Each signal recovers its own clock. Select the source of the clock you wish to display.

Where is the Display Clock Dialog Box Located?

The Display Clock dialog box can be accessed via Analyze > Serial Data > Display Clock Setup button. Also be sure to check the Display Clock box.

See Also

  • Serial Data Analysis

  • Clock Recovery


Equalization

Equalization Background / Theory

Feed-Forward Equalization (FFE) / Continuous Time Linear Equalization (CTLE) Background

Decision Feedback Equalization Background

Taps

Using the Equalization Wizard

Manually Setting Up Equalization

Inter-Symbol Interference (ISI)

Click on the topics above regarding performing equalization with your Infiniium oscilloscope.

Note

You must have the Infiniium Serial Data Equalization application installed on your oscilloscope to have access to the features discussed below. Additionally, the Infiniium Serial Data Equalization application is dependent upon having the E2688A Serial Data Analysis option installed on your oscilloscope.


Equalization Background / Theory

What Problem Does Equalization Correct and Why Do I Need to Use it?

The Solution: Equalization

What are the Different Equalization Methods and How do They Work?

How Do I Use the Infiniium Serial Data Equalization Application?

Note

Requires that the Infiniium Serial Data Equalization application is installed on your oscilloscope. Additionally, the Infiniium Serial Data Equalization application is dependent upon having the E2688A Serial Data Analysis option installed on your oscilloscope.

What Problem Does Equalization Correct and Why Do I Need to Use it?

In order to understand how equalization works, you first need to understand the problem it corrects.

A serial signal consists of a transmitter sending a signal over a transmission channel (examples: backplane, cable) to a receiver. As the signal rate increases, the channel the signal travels through distorts the signal at the receiver. This can result in a partially or completely closed eye diagram where the clock/data cannot be extracted by the receiver. In order to recover a clock or data from the eye diagram, it must be re-opened. This is where equalization can help.

Look at the diagram below. You can see that an open, clean eye leaves the transmitter and is sent through the channel. As it passes through the channel, random noise, crosstalk, and inter-symbol interference distort the signal. All of these factors can cause the eye to close.

You can use equalization to re-open the eye by correcting for the ISI because ISI is deterministic (in other words, the ISI can be determined prior to transmission).

The random noise that was introduced cannot be corrected for by equalization because it is non-deterministic. Therefore, you can re-open the eye, but maybe not completely due to the inability to correct for this random noise.

To see why ISI (and the closing of the eye) causes problems when analyzing serial data, look at the following two screen shots showing a data signal before and after traversing a backplane.

Looking at the five bits labeled 5, 4, 3, 2, and 1, you see the logical pattern is 11110 (decision threshold of V = 0). Also, notice even though the bit indicated by the arrow (bit 1) is a logical zero when it is transmitted, the logic level of the bit as seen by the receiver is right around the decision threshold. It may, therefore, be inaccurately counted as a logical one. This occurred because the frequency response of the backplane filtered out the high frequency content of the waveform.

It is vital that your receiver measures the same pattern the transmitter sends. Equalization is a technique used to ensure this occurs.

The Solution: Equalization

The main purpose of equalization is to correct for the problems caused by the transmission channel. Equalization techniques provide a way to discern the original signal (the signal coming out of the transmitter) given a distorted signal at the receiver.

In other words, equalization corrects for the high frequency component voltage levels and, in the process, corrects the trajectories of these components in the corresponding eye diagram (that is, opens up the eye).

Unequalized 6 Gb/s Eye Diagram

(notice the eye is completely closed)

Equalized 6 Gb/s Eye Diagram

(notice the eye is now open after equalization was applied)

What are the Different Equalization Methods and How do They Work?

The Infiniium oscilloscope has three equalization methods available to use:

  • Feed-Forward Equalization (FFE) / Continuous Time Linear Equalization (CTLE) Background

  • Decision Feedback Equalization Background

How Do I Use the Infiniium Serial Data Equalization Application?

There are two ways to use this application:

  • Using the Equalization Wizard

  • Manually Setting Up Equalization

See Also

  • Equalization

  • InfiniiSim Waveform Transformation Toolset


Using the Equalization Wizard

Step 1: Select Configuration

Step 2: Reference Configuration

Step 3: Clock Recovery

Step 4: Thresholds

Step 5: Acquisition

Step 6: FFE/CTLE Setup

Step 7: DFE Setup

Note

Requires that the Infiniium Serial Data Equalization application is installed on your oscilloscope. Additionally, the Infiniium Serial Data Equalization application is dependent upon having the E2688A Serial Data Analysis option installed on your oscilloscope.

The Equalization Wizard is one of two ways to setup the equalization feature (The other way is to manually set it up). The wizard is the recommended setup method as it walks you through the process in a simplified, step-by-step fashion. Only use the manual method if you know exactly what you are doing and are familiar with equalization.

Note

The wizard does not set up your signal, so you need to have whatever channel, function, or waveform memory you want to perform equalization on already set up on the oscilloscope. The wizard will assume the signal is already there.

It is also recommended that only one signal be displayed prior to running the Wizard as it is difficult to discern one signal from another with real-time eye diagrams.

Step 1: Select Configuration

The first step after the Welcome page, is the Select Configuration page. This page gives you a wide selection of how you want to set up the equalization.

  • Select the signal to equalize — Select which source you want to equalize (can choose between channel inputs, functions, or waveform memories).

    Be sure you choose the correct signal.

  • Select configuration in upper or only grid — Simply click on the radio button next to the desired selection.

    The equalization selected will be displayed in the top grid (or the whole screen if you choose to not display anything in the bottom grid during Step 2) whereas the next step will have you select the equalization method to use and display on the bottom grid.

Equalization Configuration Selections:

Graphical Representation of Setup

Description of Setup

FFE/CTLE is applied, but the real-time eye is not shown. Instead the waveform resulting from applying FFE/CTLE is displayed.

No equalization is implemented and the unequalized real-time eye is displayed.

This is useful if you want to have a reference to compare to. For instance, you can put the unequalized eye in the top grid and the equalized eye in the bottom grid so you can compare them on the same screen.

FFE/CTLE is only used to recover the clock, but the actual displayed real-time eye is unequalized.

This is useful if you want to have a reference to compare to, but your unequalized eye is completely closed. You cannot recover a clock on a closed eye, so FFE/CTLE is applied to open the eye so the clock can be recovered. In other words, this options serves the same purpose as the selection immediately above it, but is used with closed eyes.

A FFE/CTLE eye is displayed on the oscilloscope.

This is a standard FFE/CTLE implementation and can be used on partially or completely closed eyes.

A Decision Feedback Equalized eye is displayed on the oscilloscope.

This structure cannot be used on completely closed eyes because the clock cannot be recovered with this method. If the eye is closed and you want to implement DFE, use the option immediately below this.

FFE/CTLE is used to recover the clock (but is not implemented in the real-time eye display) and a Decision Feedback Equalized eye is displayed on the oscilloscope.

This allows you to perform DFE on completely closed eyes.

FFE/CTLE is applied and then DFE is applied to the real-time eye.

Additionally, since FFE/CTLE also is used to recover the clock, this structure can be used on completely or partially closed eyes.

Step 2: Reference Configuration

The next step involves selecting which setup to display in the lower grid of your oscilloscope's display. This is useful if you want to have a reference eye to compare to.

For instance, you could draw an unequalized eye in the lower grid and an equalized one in the upper grid for comparison. Or you could draw a DFE eye in the lower grid and a FFE/CTLE eye in the upper grid.

You can also choose to display nothing in the bottom grid (by clicking on the radio button next to None) and instead display the setup from Step 1 using the entire display.

The choices you have available at this step depend on your selection in Step 1. The choices you will see will include a subset of the same selections available in Step 1.

Step 3: Clock Recovery

The clock recovery algorithms available in this step will depend on your settings in Steps 1 and 2. It will be a subset of the following list:

  • First Order PLL (Phase Lock Loop).

  • Second Order PLL.

  • Equalized First Order PLL.

  • Equalized Second Order PLL.

  • Constant Frequency.

  • Explicit.

  • Explicit First Order PLL.

  • Explicit Second Order PLL.

  • Fibre Channel.

Generally, you want to choose the method that approximates the method your receiver uses. After you choose a clock recovery method, there will be a second window were you fill in the needed parameters for that method.

Equalized First and Second Order PLL means first FFE is applied to the closed eye in order to open it (because the oscilloscope cannot extract a clock from a closed eye) and then the corresponding PLL algorithm is used to extract the clock.

Step 4: Thresholds

This step sets up various parameters associated with the logical threshold applied to the serial data pattern.

  • Autoscale Vertical — This button automatically sets the vertical V/division scale and vertical offset to the optimal values for all channels.

  • Set to 50% Vp-p — Clicking this button automatically sets the logical threshold level to be (Vmax + Vmin)/2.

    The logical threshold level is defined to be the voltage level above which the signal is considered to be a logical 1 and below which the signal is considered to be a logical 0.

    Pressing this button also sets the hysteresis to be 5% of the source waveform's amplitude.

  • Threshold Level — Lets you set the threshold voltage (switching) level.

    When Snap to 0 is enabled, thresholds within ±10 mV to are moved to zero. This is useful for differential signals.

  • Hysteresis — The hysteresis helps define what is considered an edge by the oscilloscope.

    For example, if hysteresis is set to +/-5 mV, this means the signal must go through a 10 mV swing (-5 mV to 5 mV) in order to be considered an edge. If you make the hysteresis value too large, the oscilloscope may skip edges and incompletely recover the clock. If you make this value too small, the oscilloscope will mistake noise for edges. In most cases, +/-5 mV is a good setting, although you may need to increase or decrease this setting based upon your specific signal and the amount of noise.

Step 5: Acquisition

This step sets up various parameters associated with the oscilloscope's acquisition of the signal.

The fields in this step will automatically be filled in based upon the settings you chose in the clock recovery step. How these values were determined is explained in the text above each field in the GUI and is also discussed below.

  • Memory Depth — There are two ways this value is set:

    If you set Constant Frequency as your clock recovery method, the oscilloscope will determine how many samples per unit interval are acquired (it will tell you this value in the text at the top of the dialog box). The oscilloscope will then set the memory depth such that the oscilloscope displays 1,000 unit intervals [(samples /unit interval) x 1000]. Displaying 1,000 unit intervals is arbitrary. If you want to display a different number of unit intervals, multiply the number you want times the samples per unit interval.

    If you use a PLL or Fibre Channel clock recovery algorithm, the oscilloscope will calculate how much time it takes for the clock to lock to the data (assumes five time constants for PLL to set up so this time is calculated via 5/(loop bandwidth)). The oscilloscope will then recommend the memory depth based upon the following equation:

    Memory Depth = (5/loop bandwidth) x (3/2)

    where five is the number of time constants for PLL to settle and 3/2 is used so some data after the PLL settles is included.

  • Sample Rate — The sample rate is set to the maximum value possible for your specific oscilloscope model.

  • Timebase Scale — The timebase range (the width of the display) should be set to two unit intervals in order to produce a nice display. Because the horizontal axis has ten divisions, the timebase scale would then be calculated via:

    Timebase scale = (2 x unit interval)/10

    As an example, if you set the data rate in the clock recovery step to 6.0 Gb/s, the unit interval would be 167 ps (1/data rate). Multiplying 167 ps by two and then dividing by ten gives a timebase scale of 33.4 ps.

  • Sin(x)/x Interpolation — Enable this for better effective resolution.

Step 6: FFE/CTLE Setup

This step allows you to set various parameters associated with FFE/CTLE. If you selected choices in Steps 1 and 2 that did not involve FFE/CTLE, this step will be skipped.

Linear Equalizer Type — Choose whether you want to use FFE or CTLE for your linear equalization method:

  • CTLE:

    • Data Rate — This field is automatically filled in based upon the settings you provided in the clock recovery step.

    If you choose CTLE, then four fields will appear in the dialog box. The filter applied when using CTLE is described by the equation shown when you check the radio button next to CTLE in the Equalization Setup dialog box (Analyze > Equalization...). There are four variables in the equation that you must provide:

    • DC Gain (Adc)

    • Zero Frequency (ωz)

    • Pole 1 (ωp1)

    • Pole 2 (ωp2)

    In the Equalization Wizard, a 2 pole CTLE is assumed. When manually setting up equalization, you can select a 3 pole CTLE.

  • FFE:

    • Data Rate — This field is automatically filled in based upon the settings you provided in the clock recovery step.

    • # of Taps — This field allows you to enter the number of taps to use (up to 40). For more information on what taps are, how to determine the number of taps to use, and how to set their values, see Taps.

    • # of Precursor Taps — This control lets you specify how many precursor taps you want to use.

      Remember that with standard FFE, the current bit is equalized by using its tap value along with tap values associated with bits prior to it.

      Precursor taps are tap values associated with bits in front of the current bit.

      For example, if you set # of Precursor Taps to zero and you were using three taps, then the equalization would use the current bit's tap value, the previous bit's tap value, and the bit's tap value that was two behind the current bit. Now, if you set the # of Precursor Taps control to one then the current bit's tap value, the previous bit's tap value, and the bit in front of the current bit's tap value would be used.

      This gives you a chance to specify which bits surrounding the "bit of interest" are used in the equalization algorithm. The # of Taps is the total number you want to use, and the # of Precursor Taps is the number of taps from this total that will be associated with bits in front of the current bit.

    • Bandwidth — To understand this parameter, we must first discuss some aspects of equalization.

      As discussed on the FFE theory page, one way to think of equalization is in terms of the frequency response of the channel your signal travels through. Ideally, you would like to transmit a signal through a channel whose frequency response was flat over the full bandwidth of the signal so every frequency component of the signal was equally represented.

      In practice, your frequency response plot may look something like the plot below where the signal attenuates at higher frequencies (this is a very simplified example). This is what causes ISI and makes the eye diagram close.

      To correct for this attenuation, we can apply a peaking filter response (dashed line in plot below) such that the sum of the peaking filter response and the channel response yields a flat frequency spectrum (red line in plot below).

      Figuring out what this response should be and applying it is what you are doing when you perform equalization.

      Now, in the above example, the unequalized response plot was very simplistic. A more realistic frequency response plot might look more like the following:

      Notice after a certain frequency (or bandwidth) there is very little data and mostly noise. If you apply a response via equalization as discussed above, you will end up amplifying the noise as well as the data.

      The Bandwidth field in this dialog box lets you minimize this noise gain by rolling off the response above the frequency where there is mostly just noise.

      The three possible choices for the Bandwidth field are:

      • Track Scope BW (default) — This option simply generates a response across the entire bandwidth of the oscilloscope. Therefore, if you are using a 12 GHz oscilloscope, the response will go to 12 GHz before rolling off. This is the method that maximizes the noise gain because the noise may be the dominant factor before the scope BW.

      • Track Tap Delay — This forces the response to roll off at a typical ratio of bandwidth to data rate (0.75 x data rate). This will minimize the noise and is best used if you are unsure where in the frequency spectrum the noise is the dominant factor, but would like to minimize the noise gain.

      • Manual — If you know at what frequency you want the response to roll off, you can enter it manually.

    • Tap Delay — Usually when you set the number of taps, it will be at a rate of 1 tap/bit. If you are indeed using 1 tap/bit then the tap delay is defined as (1/data rate) and you can set it to this by selecting the Track Data Rate choice for this field.

      However, you can also set up the equalization such that multiple taps/bit are used. To do this, first set the Tap Delay field to Manual. Then compute how large to make the tap delay via the following equation:

      Tap delay = 1/[(data rate) x (# of taps per bit)]

    • Auto Set... — The Auto Set... button automatically determines the tap values for you through optimization (the Equalization Wizard assumes you do not know the tap values and are using the oscilloscope to optimize the values. If you want to enter the taps manually, you must set up the equalization manually instead of using the Equalization Wizard.). For a more in-depth description of this FFE optimization, see Optimization of FFE Tap Values.

Step 7: DFE Setup

This step allows you to set various parameters associated with Decision Feedback Equalization. If you selected choices in Steps 1 and 2 that did not involve DFE, this step will be skipped.

  • # of Taps — Specify the number of taps to use in the Decision Feedback Equalization. For more information on taps and how to choose the correct number of taps, see Taps.

  • Auto Set... — After you set the number of taps, press this button to have the tap values determined by the oscilloscope via optimization. After pressing this button, the Equalizer Auto Tap Setup dialog box will appear. For more information on the DFE optimization process and on using the Equalizer Auto Tap Setup dialog box, see Optimization of DFE Tap Values.

See Also

  • Equalization

  • InfiniiSim Waveform Transformation Toolset


Manually Setting Up Equalization

How Do I Set Up My Signal?

What are the Different Equalization Setups I Can Use?

How Do I Use the Manual Equalization Controls?

Note

Requires that the Infiniium Serial Data Equalization application is installed on your oscilloscope. Additionally, the Infiniium Serial Data Equalization application is dependent upon having the E2688A Serial Data Analysis option installed on your oscilloscope.

How Do I Set Up My Signal?

Manually entering the settings is one of the two ways to set up the Serial Data Equalization feature (the other way is to use the Equalization Wizard). The Equalization Wizard is the recommended setup method as it walks you through the process in a step-by-step fashion. Only use the manual setup method if you are comfortable with the manual controls and are familiar with equalization.

Setting up your signal for manual equalization:

Before entering the Equalization dialog box, set up the channel, function, or waveform memory you want to equalize and turn on the real-time eye feature via the Serial Data dialog box (Analyze -> Serial Data). You will also need to set the sample rate, memory depth, and timebase scale using the following recommendations.

  • Sample Rate: (accessed via Setup > Acquisition) This is generally set to the maximum possible value.

  • Timebase Scale: (accessed via Setup > Horizontal) The timebase range (the width of the display) should be set to two unit intervals in order to produce a nice display. Since the horizontal axis has ten divisions, the timebase scale would then be calculated via:

    Timebase scale = (2 x unit interval)/10

    As an example, if your signal’s data rate is 6.0 Gb/s, the unit interval would be 167 ps (1/data rate). Multiplying this by two and then dividing by ten would give you a timebase scale of 33.4 ps.

  • Memory Depth: (accessed via Setup > Acquisition) If you are going to use Constant Frequency as your clock recovery method, you need to first determine how many samples per unit interval will be acquired based upon the data rate of your signal and the sample rate of your oscilloscope. As an example, assume your signal’s data rate is 6 Gb/s (so your unit interval is [1/data rate] or 167 ps) and your sample rate is 20 GSa/s. You could determine the samples per unit interval by multiplying your unit interval times your sample rate and then converting units as in the following:

    Samples/unit interval = (20 GSa/1 s) x (109 Sa/1 Gsa) x (1 s/1012 ps) x (167 ps/1 unit interval)

    Samples/unit interval = 3.34 Sa/unit interval

    Determine how many unit intervals you want to display and multiply the number you want times the samples per unit interval to calculate your needed memory depth. If you use a PLL or Fibre Channel clock recovery algorithm, the recommended memory depth is based upon the following equation:

    Memory depth = (5/loop bandwidth) x (3/2)

    where five is the number of time constants for PLL to settle and 3/2 is used so some data after the PLL settles is included.

  • Thresholds: (accessed via Analyze > Serial Data and then clicking on the Thresholds button) In the Measurements Thresholds dialog box, set the Thresholds field to Custom: Level +/- Hysteresis. For most differential signals, set the Threshold Level to 0 V. You can also manually set the threshold level to whatever value you want or set it to 50% of the peak-to-peak voltage.

    • Set to 50% Vp-p: Clicking this button automatically sets the logical threshold level to be (Vmax + Vmin)/2. The logical threshold level is defined to be the voltage level above which the signal is considered to be a logical 1 and below which the signal is considered to be a logical 0. Pressing this button also sets the hysteresis to be 5% of the source waveform’s amplitude.

    • Hysteresis: The hysteresis helps define what is considered an edge by the oscilloscope. For example, the default hysteresis is set to +/-5 mV. This means the signal must go through a 10 mV swing (-5 mV to 5 mV) in order to be considered an edge. If you make this value too large, the oscilloscope may skip edges and incompletely recover the clock. If you make this value too small, the oscilloscope will mistake noise for edges. In most cases +/-5 mV is a good setting, although you may need to increase or decrease this setting based upon your specific signal and the amount of noise.

The Equalizer Setup Dialog Box: When you select Acquire > Equalization from the top menu bar on the display, you will see the following Equalizer Setup dialog box. This dialog box is where you manually enter your equalization settings.

See also: Feed-Forward Equalization (FFE) / Continuous Time Linear Equalization (CTLE) Background.

What are the Different Equalization Setups I Can Use?

The following table lists all possible equalization setups possible. The How to Manually Set Controls to Obtain Setup column assumes you are in the Equalizer Setup dialog box and are not using the Equalization Wizard. This column also only covers the initial setup variables. It does not cover parameters such as taps.

Graphical Representation of Setup

Description of Setup

How to Manually Set Controls to Obtain Setup

FFE/CTLE is applied, but the real-time eye is not shown. Instead the waveform resulting from applying FFE/CTLE is displayed.

  • In the Serial Data dialog box (Analyze -> Serial Data), uncheck the Real-Time Eye box.

  • In the Equalizer Setup dialog box, check the Display box under the Linear Eq section.

  • Click on the Clock Recovery button and choose your clock recovery method.

No equalization is implemented and the unequalized real-time eye is displayed. This is useful if you want to have a reference to compare to. For instance, you can put the unequalized eye in the top grid and the equalized eye in the bottom grid so you can compare them on the same screen.

  • Do not check the Display box under the Linear Eq section or the Enable box under the DFE section.

  • Click on the Clock Recovery button and choose your clock recovery method.

FFE/CTLE is only used to recover the clock, but the actual displayed real-time eye is unequalized. This is useful if you want to have a reference to compare to, but your unequalized eye is completely closed. You cannot recover a clock on a closed eye, so FFE/CTLE is applied to open the eye so the clock can be recovered. In other words, this options serves the same purpose as the selection immediately above it, but is used with closed eyes.

  • Do not check the Display box under the Linear Eq section or the Enable box under the DFE section.

  • Click on the Clock Recovery button and choose either Equalized First Order PLL or Equalized Second Order PLL as your clock recovery method.

A FFE/CTLE eye is displayed on the oscilloscope. This is a standard FFE/CTLE implementation and can be used on partially or completely closed eyes.

  • Check the Display box under the Linear Eq section.

  • Click on the Clock Recovery button and choose your clock recovery method.

A Decision Feedback Equalized eye is displayed on the oscilloscope. This structure cannot be used on completely closed eyes as the clock cannot be recovered with this method. If the eye is closed and you want to implement DFE, use the option immediately below this.

  • Check the Enable box under the DFE section.

  • Click on the Clock Recovery button and choose your clock recovery method.

FFE/CTLE is used to recover the clock (but is not implemented in the real-time eye display) and a Decision Feedback Equalized eye is displayed on the oscilloscope. This allows you to perform DFE on completely closed eyes.

  • Check the Enable box under the DFE section.

  • Click on the Clock Recovery button and choose either Equalized First Order PLL or Equalized Second Order PLL as your clock recovery method.

FFE/CTLE is applied and then DFE is applied to the real-time eye. Additionally, since FFE/CTLE also is used to recover the clock, this structure can be used on completely or partially closed eyes.

  • Check the Enable box under the DFE section and select Equalized as your Source in the DFE section.

  • Click on the Clock Recovery button and choose your clock recovery method.

How Do I Use the Manual Equalization Controls?

Once you have the correct equalization setup enabled, select your source. You can choose between channel inputs, functions, or waveform memories (Additionally, you can choose FFE/CTLE as a source for DFE if you want to perform the two optimization techniques together). Be sure you choose the correct signal source. It is also recommended that only one signal be displayed prior to running the equalization as it is difficult to discern one signal from another with real-time eye diagrams.

The rest of the controls in this dialog box are discussed below.

Taps Control

The # of Taps control lets you set how many taps to use in the equalization (for more information on how to determine the number of taps, see Taps). You can also choose to have the oscilloscope determine the tap values via optimization or you can manually enter the values.

To optimize the tap values, click on the Auto Set... button in either the Linear Eq or DFE section (depending on which equalization method you are using). Please refer here for more information on the FFE optimization process and here for more information on the DFE optimization process.

To set the tap values manually, click on the Tap Setup... button on the right side of the Equalizer Setup dialog box. You will then see the following dialog box.

The fields for Tap 0, Tap 1, ... in the FFE Taps section is where you can manually enter FFE taps and the fields for Tap 1, Tap 2, ... in the DFE Taps section is where you can manually enter DFE taps. The number of taps can be adjusted with the # of FFE Taps or # of DFE Taps fields.

Notice the GUI only allows you to manually adjust up to 16 tap values when in fact you can use up to 40 taps. To see how to access the rest of these taps, see How to Manually Enter More Than Sixteen Taps.

FFE Taps Section

Equalization may cause your eye diagram to drift so the clock is no longer centered on the eye. The Delay field allows you to specify this shift in order for the eye to be brought back to its original location relative to the unequalized signal.

The Normalize button makes the tap values sum to one in order for the output to have unity gain at DC. This allows you to see the same size eye diagram at the receiver as you do at the transmitter. If you want to use this feature, first enter your tap values and then press the Normalize button. Your tap values will be adjusted so they sum to one.

There is now a control that lets you specify how many precursor taps you want to use (# of Precursor Taps). Remember that with standard FFE, the current bit is equalized by using its tap value along with tap values associated with bits prior to it. Precursor taps are tap values associated with bits in front of the current bit. For example, if you set # of Precursor Taps to zero and you were using three taps then the equalization would use the current bit's tap value, the previous bit's tap value, and the bit's tap value that was two behind the current bit. Now, if you set the # of Precursor Taps control to one then the current bit's tap value, the previous bit's tap value, and the bit in front of the current bit's tap value would be used. This gives you a chance to specify which bits surrounding the "bit of interest" are used in the equalization algorithm. The # of FFE Taps is the total number you want to use and the # of Precursor Taps is the number of taps from this total that will be associated with bits in front of the current bit.

DFE Taps Section

The Upper Target and Lower Target fields dictate the high and low logical values used in the DFE algorithm. For example, in DFE, when a bit is determined to be a logical high, its value will be equal to the Upper Target. Similarly, if a bit is determined to be a logical low, its value will be equal to the Lower Target.

Equalization may cause your eye diagram to drift so the clock is no longer centered on the eye. The Delay field allows you to specify this shift in order for the eye to be brought back to its original location relative to the unequalized signal.

In the discussion on DFE theory/background, you can see that the eye drawn after DFE is applied is attenuated. To amplify the eye back to its original size (so you can directly compare the eye at the receiver to the eye at the transmitter) a gain factor needs to be applied. The Gain field allows you to enter a constant that is applied to both the unequalized input signal and the corrected decision threshold value. Setting this field to 1 means there is no gain applied to the DFE eye diagram (like multiplying by 1).

Tap values can also be saved and loaded by using the Save Taps... or Load Taps... buttons. These buttons save and/or read your taps from a .xml file that can then be shared with colleagues or used by you at a later date so you do not have to enter the taps again manually.

Data Rate Control

Enter the data rate of your signal into this field.

Bandwidth Control

To understand this parameter, we must first discuss some aspects of equalization.

One way to think of equalization is in terms of the frequency response of the channel your signal travels through. Ideally, you would like to transmit a signal through a channel whose frequency response was flat over the entire bandwidth of the signal so every frequency component of the signal was equally represented.

In practice, your frequency response plot may look something like the simplified plot below where the signal attenuates at higher frequencies. This is what causes ISI and makes the eye diagram close.

To correct for this attenuation, we can apply a peaking filter response (dashed line in plot below) such that the sum of the peaking filter response and the channel response yields a flat frequency spectrum (red line in plot below).

Figuring out what this response should be and applying it is what you are doing when you perform equalization.

Now, in the above example, the unequalized response plot was very simplistic. A more realistic frequency response plot might look more like the following:

Notice that after a certain frequency (or bandwidth) there is very little data and mostly noise. If you apply a response via equalization as discussed above, you will end up amplifying the noise as well as the data. The Bandwidth field in this dialog box allows you to minimize this noise gain by rolling off the response above the frequency where there is mostly just noise.

There are three options for the Bandwidth field:

  • Track Scope BW (default) - this option simply generates a response across the entire bandwidth of the oscilloscope. Therefore, if you are using a 12 GHz oscilloscope, the response will go to 12 GHz before rolling off. This is the method that maximizes the noise gain because the noise may be the dominant factor before the scope BW.

  • Track Tap Delay - This forces the response to roll off at a typical ratio of bandwidth to data rate (0.75 x data rate). This will minimize the noise and is best used if you are unsure where in the frequency spectrum the noise is the dominant factor, but would like to minimize the noise gain.

  • Manual - If you know at what frequency you want the response to roll off, you can enter it manually.

Tap Delay Control

Usually when you set the number of taps, it will be at a rate of 1 tap/bit. If you are indeed using 1 tap/bit then the tap delay is defined as (1/data rate) and you can set it to this by selecting the Track Data Rate choice for this field.

However, you can also set up the equalization such that multiple taps/bit are used. To do this, first set the Tap Delay field to Manual. Then compute how large to make the tap delay via the following equation:

tap delay = 1/[data rate X (# of taps per bit)]

See Also

  • Equalization

  • InfiniiSim Waveform Transformation Toolset


Feed-Forward Equalization (FFE) / Continuous Time Linear Equalization (CTLE) Background

What is Feed-Forward Equalization?

FFE Theory / Background

Continuous Time Linear Equalization (CTLE)

Note

Requires that the Infiniium Serial Data Equalization application is installed on your oscilloscope. Additionally, the Infiniium Serial Data Equalization application is dependent upon having the E2688A Serial Data Analysis option installed on your oscilloscope.

What is Feed-Forward Equalization?

Feed-Forward Equalization (FFE) is an equalization technique so named because unlike Decision Feedback Equalization, FFE corrects the received waveform with information about the waveform itself and not information about the logical decisions made on the waveform. FFE basically acts like a FIR (finite impulse response) filter and uses the voltage levels of the received waveform associated with previous and current bits to correct the voltage level of the current bit.

One key thing to remember when working with FFE is that the equalization is performed on the actual waveform. At no point in the FFE algorithm are logical decisions made (is this bit a 1 or a 0?). Instead, FFE is only concerned with correcting voltage levels in the waveform. This is in direct contrast to Decision Feedback Equalization (DFE).

In addition to FFE, the Infiniium oscilloscope can also perform Decision Feedback Equalization (DFE) or both DFE and FFE in combination.

There are two ways to set up FFE on your oscilloscope:

  • Equalization Wizard (recommended method as the Wizard walks you through setting up the FFE)

  • Manually Setting Up Equalization

FFE Theory / Background

FFE will be described in four different ways in this section. Each section will contain the same basic content, but will enable you to choose the viewpoint that best suits your understanding.

Mathematical Description of FFE

For the purpose of this discussion, assume the FFE algorithm we are using has three taps (see Taps for more information on taps and how to determine the number to use). Taps are unitless correction factors applied to voltage levels in order to correct them. One way to think of these correction factors is to view them as the ratio of the voltage the receiver should have seen to the voltage the receiver did see.

The mathematical description of a three tap FFE is as follows:

e(t) = c0r(t-0TD) + c1r(t-1TD) + c2r(t-2TD)

where:

  • e(t) is the corrected (or equalized) voltage waveform at time t.

  • TD is the tap delay.

  • r(t-nTD) is the uncorrected input waveform n tap delays before the present time.

  • cn is the correction coefficient (tap) multiplied with the version of the uncorrected waveform that has been time-advanced by n tap delays.

So FFE obtains the corrected (or equalized) voltage level at the location of interest on the waveform (time t) by forming a sum of the taps and voltage levels of the previous two tap-delayed locations as well as the location of interest before being equalized.

Notice that if the FFE method above used a tap delay equal to one unit interval then it would use three bits to correct one bit (it uses the bit of interest and the previous two bits). This is because we used three taps in the algorithm. If we had used five taps then the equation above would have two more terms added to the sum [c3r(t-3TD) and c4r(t-4TD)] which would mean the FFE algorithm would have used the bit of interest and the previous four bits to correct the bit of interest’s voltage level.

Description of FFE Acting on a Waveform

Another way to understand FFE is to see how it acts on a waveform. Assume the unequalized waveform measured at the receiver looks like the following:

Now, apply FFE and see how it progresses along the signal to correct it. Again, assume we are using three taps in our FFE algorithm for the purpose of this example.

The part of the waveform labeled as the ”location of interest” is the voltage we are trying to correct (or equalize). The locations on the waveform marked 1 and 2 are determined by the tap delay you specify. Location 1 is one tap delay away from the location of interest and location 2 is two tap delays away from the location of interest.

It is important to note that we are just working with voltage levels in the waveform. At no point in the process are we going to use logical decisions (1’s or 0’s) in the FFE algorithm.

First we need to know the tap values for the distortion present in our transmission channel. Determining these values is discussed here. For now, assume these three tap values have been determined (call them Tap0, Tap1, and Tap2 corresponding to c0, c1, and c2 in the equation above).

The oscilloscope measures the voltage of the location of interest (location 0) and then multiples it by the Tap0 value. Then the oscilloscope measure the voltage of location 1 and multiplies it by the Tap1 value. Next, the oscilloscope measures the voltage of location 2 and multiplies it by the Tap2 value. Finally, the oscilloscope adds each of these voltage/tap products together to obtain the corrected (or equalized) voltage for location 0. The voltage at the location 0 will then be adjusted to this corrected value.

Now the three Xs move along with the sample rate to their next locations on the waveform.

Notice the old ”location of interest” (now labeled 1) has its new equalized voltage level. You can see the tap values caused the voltage level to drop for that location.

The same process is repeated for the new location of interest. Location 0’s voltage level is multiplied by Tap0 and then added to the product of location 1’s voltage and Tap1. Finally, this is added to the product of location 2’s voltage and Tap2 to give bit 0’s new corrected voltage.

The three Xs will then move along with the sample rate again to their new locations and repeat the entire process. This continues until the entire waveform has been traversed.

FFE Decision Diagram

It may also be useful to see the decision diagram for a three tap FFE.

where:

  • r(t-nTD) is the input waveform n tap delays before the present time

  • Cn is the nth coefficient (tap)

  • TD is the tap delay

  • e(t) is the equalized waveform at time t

  • CDR is Clock/Data Recovery

This is just a different way of looking at the process described in the previous two sections. Again you see that each voltage level is multiplied by its corresponding tap value and then all of these products are summed together to give the new equalized voltage for the location of interest.

Understanding FFE Through Frequency Response Plots

One final way to understand FFE is in terms of the frequency response plot of your signal.

Ideally, you would like to transmit a signal whose frequency response was flat over the full bandwidth of the signal so every frequency component of the signal was equally represented. However, the channel sometimes attenuates the signal at higher frequencies (as shown in the plot above).

To correct for this attenuation, we can apply a peaking filter via equalization. With FFE, we apply a filter response as shown in the plot below (dashed line) such that the sum of the peaking filter response and the channel response yields a flat frequency spectrum (red line in plot below).

Remember ISI is a result of the non-flat response of the channel. When we flatten the response, we are eliminating the ISI.

Continuous Time Linear Equalization (CTLE)

CTLE is an alternate linear equalization method. The Serial Data Equalization software allows you to choose between FFE and CTLE when selecting which (if either) method you want to use for your linear equalization.

The filter applied when using CTLE is described by the equation shown when you check the radio button next to CTLE in the Equalization Setup dialog box (Analyze > Equalization). The number of equation variables you must provide depends on whether a 2 pole or 3 pole CTLE is selected:

  • DC Gain (Adc).

  • Zero Frequency (ωz).

  • Pole 1 (ωp1).

  • Pole 2 (ωp2).

  • Pole 3 (ωp3), if a 3 pole CTLE is selected.

See Also

  • Equalization


Optimization of FFE Tap Values

How Do I Have the Oscilloscope Determine my FFE Tap Values for Me?

Note

Requires that the Infiniium Serial Data Equalization application is installed on your oscilloscope. Additionally, the Infiniium Serial Data Equalization application is dependent upon having the E2688A Serial Data Analysis option installed on your oscilloscope.

How Do I Have the Oscilloscope Determine my FFE Tap Values for Me?

If you do not know which tap values to use, you can have the oscilloscope figure them out for you through optimization. This page will discuss optimization of FFE tap values. For information on optimizing DFE values, see Optimization of DFE Tap Values.

To access the tap optimization for FFE in the Equalization Wizard, first go through the Equalization Wizard until you reach the FFE/CTLE Setup step. Select the number of taps to use, and then click on the Auto Set... button at the bottom of the dialog box. This will open the Equalizer Auto Tap Setup dialog box.

Eye Width Field

The Eye Width field lets you choose how much of the eye to use in the optimization. This field ranges from zero to one. Entering zero means the eye is only optimized at the location of the clock. Entering one means the entire acquisition is used. Typically with FFE, the receiver samples data not only at the location of the clock, but also in its vicinity. The default is set to 0.333 UI (unit interval) in order to account for this variance in the sample location. Typically values between 0.0 UI - 0.5 UI are the most useful.

If you are unsure about what value to enter here, but do not want to use the default, think about whether you have more margin vertically or horizontally (where is your uncertainty?). If you use a narrow portion of the eye to optimize the tap values, your eye will have a greater peak, but only near its center.

If you use more of the eye to optimize the tap values, your eye will not be peaked as high, but will be more spread out horizontally.

Running the Optimization

Once you have the Eye Width field set, press the Run Auto Set button. The optimizer will run and report the tap values to you in the Auto Tap Status box. These taps will also be automatically inserted into the Equalizer Tap Setup dialog box (Analyze > Equalization..., Tap Setup... button).

Poor Correlation Warning

The optimizer also looks for correlations between the input signal and the pattern you specify in the Pattern field. If it does not find a strong correlation, it will report a warning like the one circled in red below.

Notice the optimizer still generated tap values in case there was a weak correlation but everything was entered correctly. However, if you receive this warning, it is advised you double check the following two things:

  • Make sure your input pattern to the oscilloscope is the same pattern you specified in the Pattern field.

  • Make sure the data rate is set accurately.

See Also

  • Equalization

  • InfiniiSim Waveform Transformation Toolset


Decision Feedback Equalization Background

What is Decision Feedback Equalization?

DFE Theory / Background

Note

Requires that the Infiniium Serial Data Equalization application is installed on your oscilloscope. Additionally, the Infiniium Serial Data Equalization application is dependent upon having the E2688A Serial Data Analysis option installed on your oscilloscope.

What is Decision Feedback Equalization?

Decision Feedback Equalization (DFE) is an equalization technique so named because it makes logical decisions (whether a bit is a 0 or a 1) and then feeds that information back to help determine whether the current bit is a 1 or a 0.

There are multiple ways to implement DFE. This topic will discuss the DFE algorithm used in the Infiniium oscilloscope. The Infiniium oscilloscope can also perform Feed-Forward Equalization (FFE) or both DFE and FFE in combination.

There are two ways to set up DFE on your oscilloscope:

  • Equalization Wizard (recommended method as the Wizard walks you through setting up the DFE)

  • Manually Setting Up Equalization

DFE Theory / Background

DFE will be described in four different ways. Each section will contain the same basic content, but will enable you to choose the viewpoint that best suits your understanding.

Mathematical Description of DFE

For the purpose of this discussion, assume the DFE algorithm we are using has two taps. Taps are unitless correction factors applied to voltage levels in order to correct them. One way to think of these correction factors is to view them as the ratio of the voltage the receiver should have seen to the voltage the receiver did see.

Before looking at the mathematical description of DFE, it is important to understand the results of the algorithm. Generally, DFE calculates a correction value that is added to the logical decision threshold (the threshold above which the waveform is considered a logical high and below which the waveform is considered a logical low). Therefore, DFE results in the threshold shifting up or down so new logical decisions can be made on the waveform based upon this new equalized threshold level.

The mathematical description of the correction value added to the decision threshold for a two tap DFE is as follows:

V(k) = c1s(k - 1)+ c2(k - 2)

where:

  • V(k) is the correction voltage added to the decision threshold used when determining the logic value of bit k.

  • s(k-n) is the logic value of the data bit located n bits prior to bit k. The logic high value of s(n-k) is equal to the Upper Target field in the GUI while the logic low value of s(n-k) is equal to Lower Target (for more information on the Upper and Lower Target fields, see Taps and scroll down to the Manually Determining Tap Values section).

  • cn is the correction coefficient (tap) for the bit n bits prior to the bit of interest.

So, in order for DFE to obtain the corrected voltage offset for the threshold level at the bit of interest, it first needs to be seeded with the correct bit values for the first several bits to get started. Assuming the logical decisions for the first several bits are correct, the algorithm can feed them forward to determine the logical value of the current bit.

For a two tap DFE, the two bits previous to the current bit need to have their bit levels already determined. Then the algorithm multiplies their bit levels by their corresponding tap values. The sum of these two tap/bit level products gives the amount the decision threshold should be shifted. However, instead of shifting the threshold, the Infiniium oscilloscope leaves this constant and shifts the waveform relative to it.

Notice the DFE method above used two previous bits to correct the current bit. This is because we used two taps in the algorithm. If we had used four taps then the equation above would have two more terms added to the sum [c3s(k-3) and c4s(k-4)] which would mean the DFE algorithm would have used the previous four bits to correct the bit of interest’s voltage level.

Also notice the bit of interest is not used in the summation. FFE uses previous bits and the current bit in its sum, but DFE only uses previous bits.

Description of DFE Acting on an Eye Diagram

Another way to understand DFE is to see how it acts on an eye diagram.

First, look at the following segment of a serial data signal.

The vertical red bars on the waveform correspond to the clock edges for each bit and the red segments at the bottom of the figure delineate the three unit intervals (UI) that will be overlapped on the display to form an eye diagram. The gray line is the logical threshold level (bits with voltages above this are considered logical 1s and those with voltages below this are considered logical 0s).

Now if you overlap these three unit intervals to form an eye diagram, the logical high voltage levels for unit intervals 2 and 3 will not be as high as unit interval 1. In other words, the trajectories from unit intervals 2 and 3 will result in the partial closing of the eye.

Let us equalize the voltage for bit 4 using two taps to correct unit interval 3.

First, we need to know the tap values for the distortion present in our transmission channel. Determining these values is discussed here. For now, assume these two tap values have been determined (call them Tap1 and Tap2 corresponding to c1 and c2 in the equation above).

The DFE algorithm is first seeded with the correct bit values (high or low) for the first several bits in order to get it started. Assuming the algorithm has correctly determined the initial bit values, it can feed forward previous bit values to determine the current bit. So, for our example, we assume the oscilloscope has already determined that bit 2 is low and bit 3 is high.

The DFE algorithm would then take the ideal high value for the third bit (+1, for example) and multiply it by Tap1. Then it would add this product to the product of the ideal low value for the second bit (-1, for example) and Tap2.

This sum would then give the amount the decision threshold should be shifted. The resulting threshold shift might be the shift marked by the blue line in the plot below.

Many DFE algorithms would then shift the voltage threshold (the dashed gray line) to this new voltage level at the location of the fourth bit, but the Infiniium oscilloscope does the opposite. Instead of shifting the voltage threshold down in this example, it keeps the threshold constant and shifts the bit four voltage level up by the same amount (the amount marked by the blue arrow).

This would have the effect on the eye of raising the corresponding trajectory, opening up the eye in the process.

The algorithm would then shift forward one index so the new bit of interest would be bit five and the two bits used to equalize it would be bits three and four. This process repeats itself until the entire signal has been traversed.

DFE Decision Diagram

It may also be useful to see the decision diagram for DFE.

where:

  • r(t) is the unequalized analog waveform voltage at time t

  • s(k-n) is the logic value (either Upper Target or Lower Target) for the bit n tap delays prior to the current bit.

  • Cn is the nth coefficient (tap).

  • CDR is Clock/Data Recovery.

  • V(k) is the correction voltage added to the decision threshold used when determining the logic value of bit k. (Remember that Infiniium leaves the threshold constant and shifts the waveform by this amount in the opposite direction).

This decision diagram is just another way of looking at the process described above.

The DFE algorithm is seeded with several correct bit values to get started. Then there is a tap delay (corresponding to each clock edge) between each bit. Each previous bit used in the algorithm is determined to be either high or low and is then multiplied by its corresponding tap value. These voltage/tap products are summed to determine how much to shift the waveform relative to the logical decision threshold.

Understanding DFE Through Frequency Response Plots

One final way to understand DFE is in terms of the frequency response plot of your signal.

Ideally, you would like to transmit a signal through a channel whose frequency response was flat over the full bandwidth of the signal so every frequency component of the signal was equally represented. However, the channel response sometimes attenuates the signal at higher frequencies (as shown in the simple plot above).

To correct for this attenuation, we can apply a peaking filter via equalization. With DFE, we apply a peaking filter response as shown in the plot below (dashed line) such that the sum of the peaking filter response and the channel response yields a flat frequency spectrum (red line in plot below).

Remember ISI is a result of the non-flat response of the channel. When we flatten the response, we are eliminating the ISI.

In order to get the eye at the receiver to be the same size as the eye at the transmitter, we need to apply a gain term. To understand why the gain term is needed, remember what the frequency response looks like for FFE.

You can see we did not attenuate the low frequencies, but instead left them alone.

However, with the DFE response, we are attenuating the low frequencies because we have shifted the entire FFE response down. This means the flat response we obtain in the end will be shifted down as well. You can use the gain factor to shift the flat response back up to its correct value.

This makes the eye at the receiver the same size as the eye leaving the transmitter.

See Also

  • Equalization

  • InfiniiSim Waveform Transformation Toolset


Optimization of DFE Tap Values

How Do I Have the Oscilloscope Determine my DFE Tap Values for Me?

Note

Requires that the Infiniium Serial Data Equalization application is installed on your oscilloscope. Additionally, the Infiniium Serial Data Equalization application is dependent upon having the E2688A Serial Data Analysis option installed on your oscilloscope.

How Do I Have the Oscilloscope Determine my DFE Tap Values for Me?

If you do not know which tap values to use, you can have the oscilloscope figure them out for you through optimization. The optimization process works differently for FFE and DFE. This page will discuss the optimization of DFE tap values. For information on optimizing FFE values, see Optimization of FFE Tap Values.

To access the tap optimization for DFE in the Equalization Wizard, first go through the Equalization Wizard until you reach the DFE Setup step. Select the number of taps to use, and then click on the Auto Set... button at the bottom of the dialog box. This will open the Equalizer Auto Tap Setup dialog box.

Max/Min Tap Value Fields

Some serial data standards have limits on the tap value that can be used for DFE (you can look these limits up in the standards for your technology). Therefore, this dialog box allows you to enter a maximum / minimum values for the generated taps.

Eye Width Field

There is also an Eye Width field which dictates how much of the eye to use in the optimization. This field ranges from zero to one. Entering zero means the eye is only optimized at the location of the clock. Entering one means the entire acquisition is used. For DFE, true receivers only sample data at the location of the clock so a value of 0.0 UI (unit interval) is used as the default. If you are want to include more of the eye, simply set this number to a higher value (0.0 UI - 0.5 UI would make sense for DFE).

If you are unsure about what value to enter here, but do not want to use the default, think about whether you have more margin vertically or horizontally (where is your uncertainty?). If you use a narrow portion of the eye to optimize the tap values, your eye will have a greater peak, but only near its center.

If you use more of the eye to optimize the tap values, your eye will not be peaked as high, but will be more spread out horizontally.

Normalize DC Gain

In the discussion on DFE, you can see that the eye drawn after DFE is applied is attenuated. To amplify the eye back to its original size (so you can directly compare the eye at the receiver to the eye at the transmitter) a gain factor needs to be applied. Checking the Normalize DC Gain box automatically scales the eye diagram so it is the same size as the transmitted eye.

Running the Optimization

Once you have these two fields set, press the Run Auto Set button. The optimizer will run and report the tap values to you in the Auto Tap Status box. These taps will also be automatically inserted into the Equalizer Tap Setup dialog box (Analyze > Equalization..., Tap Setup... button).

See Also

  • Equalization

  • InfiniiSim Waveform Transformation Toolset


DFE Questions & Answers

How Do I Map DFE Voltage Tap Values to Unitless Tap Values?

How Can I Enter Negative DFE Tap Values?

Why Does the DFE Real-Time Eye Have the Shape That It Does?

Note

Requires that the Infiniium Serial Data Equalization application is installed on your oscilloscope. Additionally, the Infiniium Serial Data Equalization application is dependent upon having the E2688A Serial Data Analysis option installed on your oscilloscope.

How Do I Map DFE Voltage Tap Values to Unitless Tap Values?

In the Equalizer Tap Setup dialog's DFE Taps group box, you find these DFE variables:

Upper Target | This is the DC voltage of the one level.
Lower Target | This is the DC voltage of the zero level.
Gain | Scale to be applied to the resultant waveform to display it relative to the original DC levels of the input.
T1 … Tn | Unitless tap values (Tap 1 … Tap n).

To convert unitless tap values into the voltage applied to the waveform, first calculate the Amplitude (A) and Offset (O):

Amplitude (A) = (Upper Target – Lower Target) / 2

Offset (O) = (Upper Target + Lower Target) / 2

Then, for 1 tap DFE:

Bit(0-1) | V
1 | V = O + A * (T1 * 1)
0 | V = O + A * (T1 * -1)

Or, for a 2 tap DFE:

Bit(0-2) | Bit(0-1) | V
0 | 0 | V = O + A * (T1 * -1 + T2 * -1)
0 | 1 | V = O + A * (T1 * 1 + T2 * -1)
1 | 0 | V = O + A * (T1 * -1 + T2 * 1)
1 | 1 | V = O + A * (T1 * 1 + T2 * 1)

Or, for an n tap DFE:

V = O + A * Sum(Tn * (Bit(0–n) == 1 ? 1 : -1))

where Bit(0) is 1 or 0 of current bit, Bit(0-1) is 1 or 0 of previous bit, Bit(0-n) is 1 or 0 of previous nth bit, etc.

So, if you have DFE voltage tap values, H1 … Hn, you can find the unitless tap values as follows:

Hn = O + A * Tn

Tn * A = Hn – O

Tn = (Hn – O) / A

Substituting Upper and Lower values for Amplitude (A) and Offset (O):

Tn = (Hn – (Upper + Lower) / 2)) / (Upper – Lower) / 2

Tn = 2(Hn – (Upper + Lower) / 2)) / (Upper – Lower)

Tn = (2Hn – (Upper + Lower)) / (Upper – Lower)

How Can I Enter Negative DFE Tap Values?

You can set negative tap values in the software you are currently using:

  1. In the Equalizer Tap Setup dialog's DFE Taps group box, click Auto Set....

  2. Change the Min Tap Value from 0 to -0.5. Now you can enter negative tap values.

Why Does the DFE Real-Time Eye Have the Shape That It Does?

That is, why is there compression of the eye to the left of the bit and fanning out to the right?

Consider a case with a 1 tap DFE. When the previous bit was a 0 and the current bit is a 0, DFE correction compresses the data (moves toward zero).

When the previous bit is a 0 and the current bit is a 1, correction is applied to shift the bit up. This compresses the data (moves toward zero) to the left of the bit of interest and causes it to fan out (moves away from zero) with greater amplitude to the right.

The same phenomenon occurs for 1 bits staying 1's. They are shifted down, compressing the data. 1 bits transitioning to 0's will be shifted down causing a compression on the left and fanning out on the right.

See Also

  • Decision Feedback Equalization Background

  • Optimization of DFE Tap Values

  • Equalization


Taps

What are Taps?

How Many Taps Should I Use?

How Do I Determine Which Values to Use For My Taps?

Note

Requires that the Infiniium Serial Data Equalization application is installed on your oscilloscope. Additionally, the Infiniium Serial Data Equalization application is dependent upon having the E2688A Serial Data Analysis option installed on your oscilloscope.

What are Taps?

Taps are dimensionless correction factors applied to the bit voltage levels in serial data patterns during equalization. One way to think of these correction factors is to view them as the ratio of the voltage the receiver should have seen to the voltage the receiver did see.

To see how taps are implemented in equalization, refer to the Mathematical Description sections in the topics discussing FFE and DFE.

How Many Taps Should I Use?

Generally, two taps will open your eye diagram significantly. However, there may be times when the signal error may span over more than two bits and in these cases, more taps will be required.

A simple way to see how many taps you need is a trial-and-error approach. Simply set the number of taps (perhaps start with 3-4) and then have the oscilloscope optimize the tap values for your signal (optimization is discussed below). Look at the tap values after they have been optimized and see if the higher tap values (for example, start with tap 4, then 3, ...) are contributing much or if they are near zero. If there is a tap value near zero, this tap is unnecessary. If all the tap values are significant then add more taps, re-optimize, and investigate again. This is a good approach if you do not know how many tap values to use for your specific setup.

Notice the GUI allows you to enter up to 16 taps. However, you can actually use up to 40 taps (see How to Manually Enter More Than Sixteen Taps). More than likely, you are not going to have an error that spans 40 bits, but the oscilloscope allows you to use this many taps in case you want to use more than one tap per bit. For instance, if you found you needed four taps when you used 1 tap/bit, then you would probably need eight taps if you used 2 taps/bit.

How Do I Determine Which Values to Use For My Taps?

There are two ways to determining the tap values for your specific application: manually or by optimizing them with your oscilloscope.

Manually Determining Tap Values

This method assumes you know what tap values to use for your system. To enter these tap values, enter the Equalizer Setup dialog box (Analyze -> Equalization) and then click on the Tap Setup button. The following Equalizer Tap Setup dialog box will be displayed.

The fields for Tap 0, Tap 1, ... in the FFE Taps section is where you can manually enter FFE taps and the fields for Tap 1, Tap 2, ... in the DFE Taps section is where you can manually enter DFE taps. The number of taps can be adjusted with the # of FFE Taps or # of DFE Taps fields.

Tap values can also be saved and loaded by using the Save Taps... or Load Taps... buttons. These buttons save and/or read your taps from a .xml file that can then be shared with colleagues or used by you at a later date so you do not have to enter the taps again manually.

Notice the GUI only allows you to manually adjust up to 16 tap values when in fact you can use up to 40 taps. To see how to access the rest of these taps, see How to Manually Enter More Than Sixteen Taps.

  • FFE Taps Section Equalization may cause your eye diagram to drift so the eye is no longer centered on the clock. The Delay field allows you to specify this shift in order for the eye to be brought back to its original location relative to the unequalized signal. The Normalize button makes the tap values sum to one in order for the output to have unity gain at DC. This allows you to see the same size eye diagram at the receiver as you do at the transmitter. If you want to use this feature, first enter your tap values and then press the Normalize button. Your tap values will be adjusted so they sum to one. There is now a control that lets you specify how many precursor taps you want to use (# of Precursor Taps). Remember that with standard FFE, the current bit is equalized by using its tap value along with tap values associated with bits prior to it. Precursor taps are tap values associated with bits in front of the current bit. For example, if you set # of Precursor Taps to zero and you were using three taps then the equalization would use the current bit's tap value, the previous bit's tap value, and the bit's tap value that was two behind the current bit. Now, if you set the # of Precursor Taps control to one then the current bit's tap value, the previous bit's tap value, and the bit in front of the current bit's tap value would be used. This gives you a chance to specify which bits surrounding the "bit of interest" are used in the equalization algorithm. The # of FFE Taps is the total number you want to use and the # of Precursor Taps is the number of taps from this total that will be associated with bits in front of the current bit.

  • DFE Taps Section The Upper Target and Lower Target fields dictate the high and low logical values used in the DFE algorithm. For example, in DFE, when a bit is determined to be a logical high, its value will be equal to the Upper Target. Similarly, if a bit is determined to be a logical low, its value will be equal to the Lower Target. Equalization may cause your eye diagram to drift so the clock is no longer centered on the eye. The Delay field allows you to specify this shift in order for the eye to be brought back to its original location relative to the unequalized signal. In the discussion on DFE theory/background, you can see that the eye drawn after DFE is applied is attenuated. To amplify the eye back to its original size (so you can directly compare the eye at the receiver to the eye at the transmitter) a gain factor needs to be applied. The Gain field allows you to enter a constant that is applied to both the unequalized input signal and the corrected decision threshold value. Setting this field to 1 means there is no gain applied to the DFE eye diagram (like multiplying by 1). Tap values can also be saved and loaded by using the Save Taps... or Load Taps... buttons. These buttons save and/or read your taps from a .xml file that can then be shared with colleagues or used by you at a later date so you do not have to enter the taps again manually.

Optimizing the Tap Values

If you do not know which tap values to use, you can have the oscilloscope figure them out for you through optimization. The optimization process works differently for FFE and DFE.

  • Optimization of FFE Tap Values

  • Optimization of DFE Tap Values

See Also

  • Equalization

  • InfiniiSim Waveform Transformation Toolset


How to Manually Enter More Than Sixteen Taps

How Do I Manually Enter More Than Sixteen Taps?

Note

Requires that the Infiniium Serial Data Equalization application is installed on your oscilloscope. Additionally, the Infiniium Serial Data Equalization application is dependent upon having the E2688A Serial Data Analysis option installed on your oscilloscope.

How Do I Manually Enter More Than Sixteen Taps?

This section only applies if you are manually entering tap values. If you are going to have the oscilloscope determine the tap values for you through optimization (FFE tap optimization, DFE tap optimization) then all you need to do is follow the instructions found in these links.

If you are manually entering your tap values, the GUI only allows you to enter up to 16 taps. However, you can actually use up to 40 taps. In order to use more than 16 taps, follow these instructions:

Open the Equalizer Tap Setup dialog box (Analyze -> Equalization and then click on the Tap Setup button).

Choose the number of taps you want to use by entering a number (up to 40) in the # of Taps field. If you are only going to use FFE then you only need to use the # of Taps field under the FFE section and likewise, you need to use the # of Taps field under the DFE section if you are using DFE. If you are using both then you will need to fill in the fields under both sections.

Even though you may enter a value higher than 16, you will see that only 16 tap value fields are shown in the GUI. To access the rest, you need to first press the Save Taps... button. This will save your current taps setup to an .xml file (choose a save location on the scope where you can easily find this .xml file).

Minimize the oscilloscope application and navigate to the location of the .xml file. Open it. The file will look similar to the one seen below.

<?xml version="1.0" encoding="utf-8" ?>
<Equalization xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  Version="1" SwVersion="01.39.9057">
 <FFE>
  <Delay>0.0E+00</Delay>
  <NumTaps>40</NumTaps>
  <Coefficients>1.000 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0
    0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0
    0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0</Coefficients>
 </FFE>
 <DFE>
  <UpperTarget>1.000</UpperTarget>
  <LowerTarget>-1.000</LowerTarget>
  <Gain>1.000</Gain>
  <Delay>0.0E+00</Delay>
  <NumTaps>40</NumTaps>
  <Coefficients>0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0
    0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0
    0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0</Coefficients>
 </DFE>
</Equalization>

Notice that there are two sections in the .xml file, one for FFE (enclosed between the starting tag <FFE> and ending tag </FFE>) and one for DFE (enclosed between the starting tag <DFE> and ending tag </DFE>). Also notice that the other parameters in the dialog box are also saved to this file (examples: gain, number of taps, upper target, etc.). To edit FFE tap values, simply change the numbers in the <Coefficients> section within the FFE section.

For example, if you wanted to change the seventeenth tap from 0.0 to -0.230, you would make the following change to the FFE section of the .xml file:

<FFE>
 <Delay>0.0E+00</Delay>
 <NumTaps>40</NumTaps>
 <Coefficients>1.000 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0
  0.0 0.0 0.0 -0.230 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0
  0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0
 </Coefficients>
</FFE>

So, if you are using seventeen taps, the FFE section might look something like this when you are done entering all your values:

<FFE>
 <Delay>0.0E+00</Delay>
 <NumTaps>17</NumTaps>
 <Coefficients>1.000 -0.786 0.684 0.559 -0.491 0.473 0.430 -0.402
   -0.391 0.355 -0.330 -0.319 0.297 -0.276 0.272 0.254 -0.230
 </Coefficients>
</FFE>

If you are using DFE as well then you will also need to adjust the tap values in the DFE section. If you are only using DFE or FFE then you only need to adjust the tap values in the section you are using.

Save the .xml file and then bring the oscilloscope application up. Go back to the Equalizer Tap Setup dialog box and press the Load Taps... button. Then choose the .xml file you just changed. Press OK and the tap values you entered will be used in the equalization.

See Also

  • Equalization

  • InfiniiSim Waveform Transformation Toolset


Inter-Symbol Interference (ISI)

What is Inter-Symbol Interference and What Causes it?

Note

Requires that the Infiniium Serial Data Equalization application is installed on your oscilloscope. Additionally, the Infiniium Serial Data Equalization application is dependent upon having the E2688A Serial Data Analysis option installed on your oscilloscope.

What is Inter-Symbol Interference and What Causes it?

Inter-symbol interference (ISI) is caused by the non-flat frequency response of the channel the signal travels through (high frequencies exhibit more loss than low frequencies) and results in the distortion of pulse shapes in your signal.

Look at the following simplified frequency response plot.

You can see that at low frequencies, the frequency response is flat (like you want), but as the frequency increases, there is a drop in the amplitude. If your signal contains frequency components in this region, it will be distorted.

For example, imagine you are trying to send a serial data sequence (11010 . . .) from a transmitter, through a channel, and to a receiver. Theoretically, you could send each one of these bits as square pulses from the transmitter. In real life, however, you are limited by bandwidth and, therefore, they are somewhat rounded.

As this data sequence is sent through the channel, the medium it is traveling through distorts the rounded pulses by smearing and elongating them (the degree of this distortion depends on the frequency components). This can cause each bit to have some of its energy overlap with neighboring bits, thus impacting the voltage level of those bits. When the signal exits the channel and enters the receiver, the receiver may measure different bit voltage levels as a result.

If you were to plot an eye of a serial signal with high enough frequency components that ISI is a significant problem, you would see that the low frequency trajectories of the waveform would still be accurate, but the high frequency components would be attenuated, resulting in either the complete or partial closing of the eye.

ISI is caused by a combination of:

  • The geometry of the circuit (that is, the design of the trace)

  • The medium from which it is composed (that is, the conductor or dielectric)

Each of these factors can be determined prior to signal transmission. Hence, ISI is deterministic and due to this, you can correct for it with equalization techniques.

See Also

  • Equalization

  • InfiniiSim Waveform Transformation Toolset


InfiniiSim Waveform Transformation Toolset

InfiniiSim Overview / Theory

Entry Controls and InfiniiSim Setup Dialog Box

InfiniiSim Model Setup Dialog Box

InfiniiSim Block Setup Dialog Box

Circuit Source and Load Impedances Dialog Box

Generating / Saving a Transfer Function File

InfiniiSim Plots

InfiniiSim Warning / Error Messages

S-Parameter Files

Transfer Function Files

InfiniiSim License Information

InfiniiSim Example: Simulating Crosstalk

Click on the previous links to learn more about how to use the InfiniiSim Waveform Transformation Toolset.

Note

You must have either the InfiniiSim Basic or InfiniiSim Advanced application installed on your oscilloscope to have access to the features discussed below.

If you prefer to view a PDF version of this help, see InfiniiSim User's Guide.

Application Notes:

  • The ABCs of De-Embedding

  • De-embedding and Embedding S-Parameter Networks

  • De-embedding Techniques in Advanced Design Systems


InfiniiSim Overview / Theory

Introduction to InfiniiSim

Introduction to the Measurement / Simulation Circuit Concept

Introduction to Transfer Functions

Overview of Block Configurations

The InfiniiSim Waveform Transformation Toolset provides a flexible and accurate way to render waveforms anywhere in a digital serial data link. InfiniiSim transforms waveforms you actually measured into waveforms you wanted to measure, but were unable to for some reason. The highly configurable system modeling in InfiniiSim enables you to remove the deleterious effects of unwanted channel elements, simulate waveforms with channels models inserted, view waveforms in physically unprobable locations, and compensate for the loading of probes and other circuit elements.

Before we detail InfiniiSim’s capabilities, it is important to get a feel for the kinds of things it can do. One simple example is the removal of a cable’s or fixture’s insertion loss from your measurement.

Example: Removing a Cable’s or Fixture’s Insertion Loss

Many times your device under test (DUT) cannot be immediately accessed by your measurement instrument. Instead, signals from the DUT must pass through devices such as cables or fixtures before being measured. Therefore, you end up measuring a combination of the DUT signal and the effects added from the various other devices used to access the DUT. It would be great if you could isolate the DUT and only measure its performance. InfiniiSim can be used to do just this.

One thing InfiniiSim allows you to do is extract the DUT’s signal from the measured signal. For example, look at the following representation of a measurement.

The node that is indicated by the dotted line is the location you want to measure, but the cable distorts this measurement. InfiniiSim can extract the undistorted DUT signal from the distorted measured signal.

In a similar manner, you could use InfiniiSim to do the exact opposite - add the effects of a cable or fixture to a measured signal. For example, SATA requires that a 10m (30 ft) cable be used in the testing. However, this is a large and cumbersome cable to use. It would be easier to simply take the measurement without the cable and then add the effects of the 10m cable into the measurement.

Introduction to InfiniiSim

InfiniiSim can perform the previously described waveform transformation of inserting a cable or fixture, but it can also do much more than this. It is a general transformation tool that can be used to produce more accurate results for a variety of problems. InfiniiSim provides default configurations for many common use models as well as general purpose configurations for the advanced user. For example, you can (descriptions of each function are also included):

  • Remove a channel element insertion loss: Modeled with one block of loss (blocks will be discussed in detail in other topics - see Related Topics at the bottom of this page) such as from a cable or fixture between a digital source and the oscilloscope. The inverse gain of the block (S21-1) is determined and its time response is convolved with the acquired signal.

  • Insert a channel element insertion loss: Modeled with one block of loss, such as from a standard cable model, that is inserted before the oscilloscope. The S21 of the block is determined and its time response is convolved with the acquired signal.

  • Remove scope input reflection: Modeled using two blocks - one for the transmitter source and the other for the scope input (so the scope input reflection can be removed).

  • Remove all effects of a channel element: By using S-parameter models of source and scope load, the effects of a channel element are totally removed. This is different from the first bullet above (removing insertion loss) in that the interactions between the elements are taken into account. This provides the most accurate way to remove a channel element.

  • Add all effects of a channel element: By using S-parameter models of source and oscilloscope load, a complete insertion of a channel element is performed. This is different from Inserting a Channel Element Insertion Loss (2nd bullet above) in that the reflective interactions between the elements are taken into account. This provides the most accurate rendering to insert a channel element.

  • Measurement node relocation: Measurement node relocation allows you to view any voltage waveform in a circuit by moving the observation node to any location you desire. This is an 'in situ’ analysis so it is not a 'removal’ or 'insertion’ viewpoint.

  • Remove loading effects of an oscilloscope probe: To remove the loading effects of a probe, a topology of circuit blocks is given that allows probe models to be considered in the measurement. An oscilloscope probe, while it might be defined as 'high impedance’, really does have a loading effect on the circuit. This effect can be taken into account and removed.

  • General purpose configuration: General topologies are provided for greater flexibility. General purpose probe, 6 block, and 9 block topologies are available with user defined measurement and simulation points. Additionally, each block can be defined as having a combination of up to three elements in cascade, series, or parallel arrangements giving you 27 total possible circuit elements to define for the most sophisticated scenarios.

Introduction to the Measurement / Simulation Circuit Concept

So, how does InfiniiSim accomplish all of these tasks? It does so through the use of correction transfer functions. When using InfiniiSim, you will define two electrical circuits.

  • One circuit, the measurement circuit, models the actual physical electrical circuit that produced the measured waveform.

  • The other circuit, the simulation circuit, models a hypothetical electrical circuit that exhibits the electrical characteristics that you wished to have measured.

You can build these two circuits using the InfiniiSim GUI on your Infiniium oscilloscope as shown in the screen shot below (this is one of the simplest 2-port models you can create. The GUI also allows you to develop much more complex models as discussed later in other InfiniiSim topics).

The values highlighted in blue define the measurement circuit while the values in orange define the simulation circuit. The single model block is used to represent the connection between the DUT and the oscilloscope, and can be defined in a variety of ways (S-parameters, RLC circuits, open, thru, lossless transmission line, etc.). You can also move the measurement and simulation nodes to a variety of locations within the model (when you are using more complex preset configurations).

InfiniiSim analyzes these two circuits and generates a correction transfer function which, when applied to the measured waveform, produces the desired simulated waveform on the oscilloscope’s display.

The convolution process used by InfiniSim requires that the measurement circuit and the simulation circuit be linear and time-invariant (small-signal analysis requirements).

Introduction to Transfer Functions

You now have a basic idea of what InfiniiSim can do and you know that it generates transfer functions from the two circuits you define in the application, but how exactly does it do this and what is a transfer function?

A correction transfer function represents the ratio (in the frequency domain) between voltage waveforms defined by two different conditions - one defined by the measurement circuit and the other defined by the simulation circuit. For any given application, the correction transfer function can be calculated from circuit models you create or loaded directly from a transfer function file.

If you create the transfer function via circuit models, you first create the measurement and simulation circuits in the InfiniiSim GUI. The response of the two circuits due to a stimulus from the same voltage source is calculated at their specified observation nodes. The transfer function is then calculated from the ratio (in the frequency domain) of the simulation node's response divided by the measurement node's response. This ratio can then be convolved (in the time domain) with the measured waveform in order to convert it into the desired simulated waveform.

Note that in 4-port mode, there are actually two sources and observation nodes in each circuit. In this case, the ratio of node voltages becomes a matrix division operation generating a set of four frequency domain functions that are convolved with the two measured waveforms to produce the desired simulated waveforms.

It is also important to realize that transfer function files and S-parameter files are not the same thing. S-parameter files represent complete electrical models of physical elements and can be used to define specific model blocks within the circuit models. Transfer function files represent the relationship between measured and simulated voltage waveforms.

InfiniiSim can be used on differential signals as well as single-ended signals.

  • In single-ended applications, the measurement and simulation circuits are constructed from 2-port network model blocks and the analysis is performed on each oscilloscope channel independently.

  • In differential applications, you must decide whether to use 2-port analysis or 4-port analysis. 2-port analysis can be used on differential signals or common-mode signals independently, but it does not include cross-coupling components between the differential and common mode signals.

Note that you would use 2-port analysis on a differential signal if that signal is being converted to a single oscilloscope channel input by a differential probe.

Overview of Block Configurations

There are a wide variety of configurations possible using the InfiniiSim GUI. This section will cover three of the preset configurations so you get a feel for how these configurations are used. This is just a brief overview. Detailed discussions on the controls needed to set up circuit models will be discussed in subsequent topics.

Remember that the model blocks in these configurations are used to represent a certain device and can be defined in a variety of ways (S-parameters, RLC circuits, open, thru, lossless transmission line, etc. - defining a model block will be discussed in more detail in other topics - see Related Topics section below).

  • One Block for Simplest Path Compensation

    The configuration shown below is a basic one block model. Many times you will simply want to compensate for the loss of a channel element such as a cable or fixture. This one block model can perform this task. It can also be extended to a remove / replace operation by changing the simulation parameters.

  • Three Block Analysis for True Channel Element Removal and Insertion

    When the most precision for a single channel element removal / insertion is required, you will need at least the 3 block model (an example of a 3 block model is shown below). This model uses block descriptions for transmitter (T) and receiver (S) as well as the channel (C) to describe the full system. The inclusion of the transmitter and receiver blocks enable the most complete waveform rendering by including the reflective S-parameter elements in the mathematical calculation of the transfer function used to transfer from the measurement (M) to the simulated measurement (S).

  • General Purpose Configuration

    The InfiniiSim waveform transformation toolset includes three general purpose topologies to enable detail tailoring of the description of your circuit. For probe modeling, the general purpose probe topology is used. For SMA differential probe usage, the general purpose 6 block model will find use in the majority of cases. For those very sophisticated applications (for example, using both high impedance probes and differential SMA probe heads) the general purpose model can be used to describe these complex cases.

Now that you have a seen a high-level explanation of the InfiniiSim Waveform Transformation Toolset, click on the links below for a more detailed look at the controls as well as additional information regarding the application.

See Also

  • InfiniiSim Waveform Transformation Toolset

  • InfiniiSim License Information

  • Entry Controls and InfiniiSim Setup Dialog Box

  • InfiniiSim Model Setup Dialog Box

  • InfiniiSim Block Setup Dialog Box

  • Circuit Source and Load Impedances Dialog Box

  • Generating / Saving a Transfer Function File

  • InfiniiSim Plots

  • InfiniiSim Warning / Error Messages

  • S-Parameter Files

  • Transfer Function Files


Entry Controls and InfiniiSim Setup Dialog Box

How Do I Enter the InfiniiSim Application and Use the Entry Controls?

How Do I Use the Controls in the InfiniiSim Setup Dialog Box?

How Do I Enter the InfiniiSim Application and Use the Entry Controls?

The entry into the InfiniiSim application is found in the Channel Setup dialog box. This dialog box can be accessed via Setup > Channel 1... (or Channel 2, Channel 3, or Channel 4 depending on the channel you want to use InfiniiSim on). The screen shot below shows the InfiniiSim entry controls in the Channel Setup dialog box.

This dialog box can also be quickly accessed by clicking on the corresponding channel button in the bar immediately above the display (see screen shot below).

You can also use InfiniiSim on a differential or common mode channel by checking the Differential box near the top of the Channel Setup dialog box before proceeding to the next step.

You will now want to set the entry controls for your specific setup. You can see the InfiniiSim entry controls in the screen shot below.

InfiniiSim is enabled by selecting either the 2 port or 4 port radio button within the InfiniiSim section of the Channel Setup dialog box. If you select 4 port, you will need to specify whether it is two channel or one channel.

Additionally, if you are using 4 port one channel InfiniiSim, you will need to use the Port Extraction controls to specify how to properly model your setup. This is a transfer function port extraction.

For channels 1 or 2:

  • Use Ports 1 -> 2: you are using a single-ended path (port 1 to port 2) for the 4 port one channel analysis.

  • Use Ports 3 -> 2: you are using a single-ended path (port 3 to port 2) for the 4 port one channel analysis.

  • Differential: you are using the differential path through the 4 port device.

  • Common Mode: you are using the common mode path through the 4 port device.

For channels 3 or 4:

  • Use Ports 3 -> 4: you are using a single-ended path (port 3 to port 4) for the 4 port one channel analysis.

  • Use Ports 1 -> 4: you are using a single-ended path (port 1 to port 4) for the 4 port one channel analysis.

  • Differential: you are using the differential path through the 4 port device.

  • Common Mode: you are using the common mode path through the 4 port device.

Notice the Bandwidth Limit checkbox and value entry field. Bandwidth limiting is independent of InfiniiSim waveform transformations and can be applied to measured or simulated waveforms. It is implemented using a FIR (finite impulse response) filter that has a size (time span) determined by the filter size controls located inside the InfiniiSim Setup dialog box.

The Bandwidth Limit field requires some explanation so you know how to properly set it and whether or not it is required for your specific application.

One way to understand the transformations InfiniiSim performs is in terms of the frequency response of the cable, fixture, or probe your signal travels through. Ideally, you would like to transmit a signal through a channel whose frequency response was flat over the full bandwidth of the signal so every frequency component of the signal was equally represented.

In practice, your frequency response plot may look something like the plot below where the signal attenuates at higher frequencies (this is a very simplified example).

Some InfiniiSim applications attempt to remove or correct this insertion loss in the channel. In those cases, the correction transfer function becomes the inverse of the channel’s insertion loss (dashed line in plot below) such that the product of the "peaked” correction transfer function response and the channel response yields a flat frequency spectrum (red line in plot below).

Now, in the above example, the response plot before InfiniiSim was applied was very simplistic. A more realistic frequency response plot might look more like the following:

Notice that above a certain frequency (or bandwidth) there is very little signal and mostly noise. If you apply a correction via InfiniiSim as discussed above, you may end up excessively amplifying the noise. The Bandwidth Limit field in this dialog box allows you to minimize this noise gain by attenuating the resulting waveforms above the frequency where there is mostly just noise.

Examining the Frequency Response Plot will help you see what bandwidth you should set this field to.

Also, note that normally you do not need to apply Bandwidth Limit if you are adding loss (applying the loss of a cable, etc.). However, if you are applying gain (removing the loss of a cable, etc.), you may need to use this field.

Click on the Bandwidth Limit field to open the Enter Bandwidth dialog box. You can then enter the value for this field.

You will also notice that there is a box labeled Show Raw Channels in the Channel Setup dialog box. When you use InfiniiSim, apply filters, or use differential channels, the signal displayed on the oscilloscope may be very different from the signal entering the front end of the oscilloscope. However, the oscilloscope triggers on the signal at the front end, not the signal you see on screen. Also, the signal entering the front end is the one that enters the ADC (analog to digital converter). Therefore, if you are having problems triggering or if you want to ensure you are using the entire vertical range, but not overdriving the ADC, you need to see this front end signal. Checking this Show Raw Channels box turns off all of the transformations or filters applied to the signal and shows you what the signal entering the oscilloscope looks like. You can then make the necessary adjustments and uncheck this box to go back to the signal you were viewing.

Once you have selected 2 port / 4 port and set the Bandwidth Limit field set, click on the Setup button to open the InfiniiSim Setup dialog box.

How Do I Use the Controls in the InfiniiSim Setup Dialog Box?

Below is a screen shot showing the InfiniiSim Setup dialog box.

  • Create Transfer Function — If you do not have a previously saved transfer function to load, you can create a transfer function from a model (click Create Transfer Function From Model...). For information on creating a transfer function from a model, see InfiniiSim Model Setup Dialog Box.

  • Apply Transfer Function — Lets you select a Transfer Function File to apply. If you have a previously saved transfer function or one you generated elsewhere, you can click this field and load it. For an overview of transfer function files, see Transfer Function Files.

    Also in the Apply Transfer Function area is a control for including or removing delay. Cables and fixtures delay the signal in time in addition to changing the waveform's shape. This can make it difficult to compare the simulated and measured waveforms because as you turn InfiniiSim on and off, the waveforms are not aligned in time. This may make one or the other shift entirely off screen, for example.

    • Include Filter Delay — This selection shifts the simulated waveform in time so the two waveforms are approximately aligned which aids in their comparison.

    • Remove Filter Delay — No waveform shift is applied.

    • Include Trigger Corrected Delay — This selection applies the trigger's jitter error correction after the de-embedding filter has been applied.

    You may have to apply a different transfer function before the remaining controls become visible.

  • Bandwidth Limit — This is the same control located in the Channel Setup dialog box. It is duplicated here for convenience.

  • Response Correction — This field linearly scales the amount of correction applied to the non-DC frequency components of the measured signal. This allows you to trade off the amount of correction to apply via the transformation function versus the increase in noise it may create at higher frequencies. In other words, you can fine-tune the amount of high-frequency noise versus the sharpness of the step response edge.

    If you are making averaged mode measurements or applying a transfer function that does not magnify the noise, use the full correction by setting this field to 100%. However, if you are working with eye diagrams or making jitter measurements and the transfer function is magnifying the noise, you may want to limit the correction by selecting a lower percentage.

    Once you have your InfiniiSim-transformed signal displayed on screen, you can adjust this value in the dialog box to see its effect on the signal.

    It is also useful to display the frequency response plots and step response plot while you adjust this field to see its effect on these plots. For instance, you can see how the frequency response of the transformation filter changes as you change the percentage.

  • Filter Size — This area has two controls: Max Time Span and Min Frequency Resolution. These two controls are reciprocals of each other and slaved together, so as you set one to a lower value, the other one raises to a higher value and vice versa. InfiniiSim applies the correction transfer function by means of a FIR digital filter. The size of this filter determines the time span of the transformation it can apply. However, there is a trade-off. Using a longer filter corrects longer time constants, but it can take longer to calculate. By default, InfiniiSim tries to choose a filter size that preserves the coarsest frequency resolution used by all of the model blocks. However, you can limit the filter size by reducing the Max Time Span value.

    A quick summary of the two controls is:

    • Increasing the Max Time Span control increases the maximum time span of the correction transfer function's impulse response. Increasing this control enables InfiniiSim to apply transformations which have slower time constants. You can use either the Step Response or Impulse Response plot to see if the time span is long enough to model your device adequately.

    • Increasing the Min Frequency Resolution control makes the frequency resolution less fine and automatically decreases the Max Time Span control (which corresponds to a higher update rate). Therefore, you would do this if you wanted a higher update rate with the trade-off of a shorter transfer function impulse response. Generally you will want to set the Max Time Span using the Step Response or Impulse Response plot and then this Min Frequency Resolution will be set automatically.

See Also

  • InfiniiSim Waveform Transformation Toolset

  • InfiniiSim License Information

  • InfiniiSim Overview / Theory

  • InfiniiSim Model Setup Dialog Box

  • InfiniiSim Block Setup Dialog Box

  • Circuit Source and Load Impedances Dialog Box

  • Generating / Saving a Transfer Function File

  • InfiniiSim Plots

  • InfiniiSim Warning / Error Messages

  • S-Parameter Files

  • Transfer Function Files


InfiniiSim Model Setup Dialog Box

Select whether you are using 2 port or 4 port InfiniiSim:

  • 2 Port InfiniiSim Model Setup Dialog Box

  • 4 Port InfiniiSim Model Setup Dialog Box

See Also

  • InfiniiSim Waveform Transformation Toolset

  • InfiniiSim License Information

  • InfiniiSim Overview / Theory

  • Entry Controls and InfiniiSim Setup Dialog Box

  • InfiniiSim Block Setup Dialog Box

  • Circuit Source and Load Impedances Dialog Box

  • Generating / Saving a Transfer Function File

  • InfiniiSim Plots

  • InfiniiSim Warning / Error Messages

  • S-Parameter Files

  • Transfer Function Files


2 Port InfiniiSim Model Setup Dialog Box

How Do I Use the Application Preset and Circuit Diagram View Controls?

How Do I Use the Circuit Controls to Build My Measurement and Simulation Circuits?

How Do I Use the Application Preset and Circuit Diagram View Controls?

This section will discuss how to generate your transfer function from a model (accessed by clicking on the Create Transfer Function From Model button in the InfiniiSim Setup dialog box).

When you click on this button, you will see the following InfiniiSim Model Setup dialog box. Note that no models are shown in this default view because the Application Preset field is set to None.

The other main control on the left side of the dialog box is the Save Transfer Function File As field. The default will be untitled.tf2 for a 2-port transfer function file. Click on this field to bring up a keyboard where you can specify what you want to name the file of the transfer function you are about to create. Be sure to pay attention to where you save the file (note the file path) so you can find this transfer function file later.

The transfer function you create in this dialog box is not saved until you press the Save Transfer Function button in the upper right corner. If you close the dialog box without saving, your transfer function will not be applied. The application will also warn you that your file is not saved if you try to close this dialog box without saving first.

The first field in this dialog box is labeled Application Preset. This drop down field gives you a variety of preset configurations you can work with to build your own model. The available preset configurations are (the words in parenthesis tell you whether the preset configuration is included in the InfiniiSim Basic or Advanced software):

  • None (Basic and Advanced)

  • Add insertion loss of a fixture or cable (Basic and Advanced)

  • Remove insertion loss of a fixture or cable (Basic and Advanced)

  • Remove scope input reflection (Advanced)

  • Add all effects of a fixture or cable (Advanced)

  • Remove all effects of a fixture or cable (Advanced)

  • Replace one channel element with another (Advanced)

  • Relocate the observation node of a measurement (Advanced)

  • Remove loading effects of a probe (Advanced)

  • Relocate the observation node of a probed measurement (Advanced)

  • General purpose probe (Advanced)

  • General purpose 6 blocks (Advanced)

  • General purpose 9 blocks (Advanced)

For the purpose of understanding the basic components that make up these configurations, let us first look at a very simple example - the Add Insertion Loss of a Fixture or Cable preset application.

The following circuit will appear in the dialog box when you set the Application Preset field to Add Insertion Loss of a Fixture or Cable.

You will notice there are some values highlighted blue and some highlighted orange. These correspond to the measurement and simulation circuit respectively. Let us first define what we mean by each of these circuits.

  • Measurement Circuit - This circuit models the actual physical circuit that produced the measured waveform.

  • Simulation Circuit - This circuit models a hypothetical electrical circuit that exhibits your desired electrical characteristics.

In other words, the measurement circuit is what you actually measured and the simulation circuit is what you wish you would have been able to measure.

InfiniiSim analyzes these two circuits and generates a correction transfer function which, when convolved with the measured waveform, produces the desired simulated waveform (read the InfiniiSim Overview and Transfer Function File topics for more information on transfer functions and how InfiniiSim generates them).

If you look under the Circuit Diagram View section in this dialog box, you see that you have three viewing options.

  • Measurement Circuit Only

  • Simulation Circuit Only

  • Both Measurement and Simulation Circuits

These choices allow you to build/view the measurement circuit, the simulation circuit, or both at the same time.

It is important to note that these circuit model representations in the GUI are simplified for ease of viewing. If we were being explicit, the model blocks in the circuit would look like the following for a 2-port device:

The diagrams in the GUI are completely interactive so you can click on various sections or components and make adjustments. The next section will discuss making changes to these components.

How Do I Use the Circuit Controls to Build My Measurement and Simulation Circuits?

The diagrams in the GUI are completely interactive so you can click on various sections or components and make adjustments. This section will discuss making changes to these components.

Changing Impedance Values

For information on changing impedance values, see Circuit Source and Load Impedances Dialog Box.

Changing Measurement and Simulation Node Locations

You can also change the location of the measurement and simulation nodes. The measurement node corresponds to the location in the circuit where you actually measured the original signal. The simulation node corresponds to the location in the circuit where you wished you could have measured the signal.

Look at the model below that shows both the measurement and simulation circuit view. The blue circle labeled M is the measurement node and the orange circle labeled S is the simulation node.

In this 1 block model, the measurement and simulation nodes cannot be moved anywhere else in the circuit (there are no other large black dots or nodes in the circuit) because this simple preset only allows you to add insertion loss of a device. However, you can change the location of the measurement and/or simulation node in more complex configurations such as the 3 block Relocate the Observation Node application preset configuration shown below. You can change the nodes by clicking on one of the node locations (the large black dots in the diagram) and then selecting either Measurement or Simulation from the popup box (as shown below).

Defining a Block

The blocks used in creating the measurement and simulation circuits may be used to model various components (cable loss, probe loading, a fixture, etc.). InfiniiSim assigns letters and names to the blocks in the legend for a typical use scenario depending upon the Application Preset chosen. This is just a convenience for referring to blocks and an example of how the block may be used. However, you can define them any way you like. You can change these names by using the Block Name control inside the Block Setup dialog box (accessed by clicking on one of the blocks).

While these blocks represent different parts of the circuit, they have the exact same definition controls to choose from and are simply called different types to help you understand what they might represent in your circuit. The termination blocks, T and S, are different in one respect. Those blocks can be defined by return loss only S-parameter files (1 port file in 2 port InfiniiSim analysis mode).

When you click on a block, you will see the InfiniiSim Block Setup dialog box. This is the dialog box you use to actually define the block.

Once your circuits are built, proceed to the Generating / Saving a Transfer Function File topic for information on what to do next.

See Also

  • InfiniiSim Waveform Transformation Toolset

  • InfiniiSim License Information

  • InfiniiSim Overview / Theory

  • Entry Controls and InfiniiSim Setup Dialog Box

  • InfiniiSim Block Setup Dialog Box

  • Circuit Source and Load Impedances Dialog Box

  • Generating / Saving a Transfer Function File

  • InfiniiSim Plots

  • InfiniiSim Warning / Error Messages

  • S-Parameter Files

  • Transfer Function Files


4 Port InfiniiSim Model Setup Dialog Box

How Do I Use the Application Preset and Circuit Diagram View Controls?

How Do I Use the Circuit Controls to Build My Measurement and Simulation Circuits?

How Do I Use the Application Preset and Circuit Diagram View Controls?

This section will discuss how to generate your transfer function from a model (accessed by clicking on the Create Transfer Function From Model button in the InfiniiSim Setup dialog box).

When you click on this button, you will see the following InfiniiSim Model Setup dialog box. Note that no models are shown in this default view because the Application Preset field is set to None.

The other main control on the left side of the dialog box is the Save Transfer Function File As field. The default will be untitled.tf4 for a 4-port transfer function file. Click on this field to bring up a keyboard where you can specify what you want to name the file of the transfer function you are about to create. Be sure to pay attention to where you save the file (note the file path) so you can find this transfer function file later.

The transfer function you create in this dialog box is not saved until you press the Save Transfer Function button in the upper right corner. If you close the dialog box without saving, your transfer function will not be applied. The application will also warn you that your file is not saved if you try to close this dialog box without saving first.

The first field in this dialog box is labeled Application Preset. This drop down field gives you a variety of preset configurations you can work with to build your own model. The available preset configurations are (the words in parenthesis tell you whether the preset configuration is included in the InfiniiSim Basic or Advanced software):

  • None (Basic and Advanced)

  • Add insertion loss of a fixture or cable (Basic and Advanced)

  • Remove insertion loss of a fixture or cable (Basic and Advanced)

  • Remove scope input reflection (Advanced)

  • Add all effects of a fixture or cable (Advanced)

  • Remove all effects of a fixture or cable (Advanced)

  • Replace one channel element with another (Advanced)

  • Relocate the observation node of a measurement (Advanced)

  • Remove loading effects of a probe (Advanced)

  • Relocate the observation node of a probed measurement (Advanced)

  • General purpose probe (Advanced)

  • General purpose 6 blocks (Advanced)

  • General purpose 9 blocks (Advanced)

For the purpose of understanding the basic components that make up these configurations, let us first look at a very simple example - the Add Insertion Loss of a Fixture or Cable preset application.

The following circuit will appear in the dialog box when you set the Application Preset field to Add Insertion Loss of a Fixture or Cable.

You will notice there are some values highlighted blue and some highlighted orange. These correspond to the measurement and simulation circuit respectively. Let us first define what we mean by each of these circuits.

  • Measurement Circuit - This circuit models the actual physical circuit that produced the measured waveform.

  • Simulation Circuit - This circuit models a hypothetical electrical circuit that exhibits your desired electrical characteristics.

In other words, the measurement circuit is what you actually measured and the simulation circuit is what you wish you would have been able to measure.

InfiniiSim analyzes these two circuits and generates a correction transfer function which, when convolved with the measured waveform, produces the desired simulated waveform (read the InfiniiSim Overview and Transfer Function File topics for more information on transfer functions and how InfiniiSim generates them).

If you look under the Circuit Diagram View section in this dialog box, you see that you have three viewing options.

  • Measurement Circuit Only

  • Simulation Circuit Only

  • Both Measurement and Simulation Circuits

These choices allow you to build/view the measurement circuit, the simulation circuit, or both at the same time.

It is important to note that these circuit model representations in the GUI are simplified for ease of viewing. If we were being explicit, the model blocks in the circuit would look like the following for a 4-port device:

The diagrams in the GUI are completely interactive so you can click on various sections or components and make adjustments. The next section will discuss making changes to these components.

How Do I Use the Circuit Controls to Build My Measurement and Simulation Circuits?

The diagrams in the GUI are completely interactive so you can click on various sections or components and make adjustments. This section will discuss making changes to these components.

Changing Impedance Values

For information on changing impedance values, see Circuit Source and Load Impedances Dialog Box.

Changing Measurement and Simulation Node Locations

You can also change the location of the measurement and simulation nodes. The measurement node corresponds to the location in the circuit where you actually measured the original signal. The simulation node corresponds to the location in the circuit where you wished you could have measured the signal.

Look at the model below that shows both the measurement and simulation circuit view. The blue circle labeled M is the measurement node and the orange circle labeled S is the simulation node.

In this 1 block model, the measurement and simulation nodes cannot be moved anywhere else in the circuit (there are no other large black dots or nodes in the circuit) because this simple preset only allows you to add insertion loss of a device. However, you can change the location of the measurement and/or simulation node in more complex configurations such as the 3 block Relocate the Observation Node application preset configuration shown below. You can change the nodes by clicking on one of the node locations (the large black dots in the diagram) and then selecting either Measurement or Simulation from the popup box (as shown below).

Defining a Block

The blocks used in creating the measurement and simulation circuits may be used to model various components (cable loss, probe loading, a fixture, etc.). InfiniiSim assigns letters and names to the blocks in the legend for a typical use scenario depending upon the Application Preset chosen. This is just a convenience for referring to blocks and an example of how the block may be used. However, you can define them any way you like.

While these blocks represent different parts of the circuit, they have the exact same definition controls to choose from and are simply called different types to help you understand what they might represent in your circuit. The termination blocks, T and S, are different in one respect. Those blocks can be defined by return loss only S-parameter files (2 port file in 4 port InfiniiSim analysis mode). You can also use a s1p file for a 4 port application which will apply that s1p to s11 and s33 and set s13 and s31 to zero.

When you click on a block, you will see the InfiniiSim Block Setup dialog box. This is the dialog box you use to actually define the block.

Once your circuits are built, proceed to the Generating / Saving a Transfer Function File topic for information on what to do next.

See Also

  • InfiniiSim Waveform Transformation Toolset

  • InfiniiSim License Information

  • InfiniiSim Overview / Theory

  • Entry Controls and InfiniiSim Setup Dialog Box

  • InfiniiSim Block Setup Dialog Box

  • Circuit Source and Load Impedances Dialog Box

  • Generating / Saving a Transfer Function File

  • InfiniiSim Plots

  • InfiniiSim Warning / Error Messages

  • S-Parameter Files

  • Transfer Function Files


InfiniiSim Block Setup Dialog Box

Select whether you are using 2 port or 4 port InfiniiSim:

  • 2 Port InfiniiSim Block Setup Dialog Box

  • 4 Port InfiniiSim Block Setup Dialog Box

See Also

  • InfiniiSim Waveform Transformation Toolset

  • InfiniiSim License Information

  • InfiniiSim Overview / Theory

  • Entry Controls and InfiniiSim Setup Dialog Box

  • InfiniiSim Model Setup Dialog Box

  • Circuit Source and Load Impedances Dialog Box

  • Generating / Saving a Transfer Function File

  • InfiniiSim Plots

  • InfiniiSim Warning / Error Messages

  • S-Parameter Files

  • Transfer Function Files


2 Port InfiniiSim Block Setup Dialog Box

How Do I Use the Measurement / Simulation Circuit and Block Type Sections?

How Do I Use the RLC Block Type?

How Do I Use the S-Parameter Block Type?

How Do I Use the Transmission Line Block Type?

How Do I Use the Combination of Sub-Circuits Block Type?

How Do I Use the Measurement / Simulation Circuit and Block Type Sections?

The blocks used in creating the measurement and simulation circuits may be used to model various components (cable loss, probe loading, a fixture, etc.). InfiniiSim assigns letters and names to the blocks in the legend for a typical use scenario depending upon the Application Preset chosen. This is just a convenience for referring to blocks and an example of how the block may be used. However, you can define them any way you like. You can also change the name of a block by clicking on it and using the Block Name control in the subsequent dialog box to define the new name.

While these blocks represent different parts of the circuit, they have the exact same definition controls to choose from and are simply called different types to help you understand what they might represent in your circuit. The termination blocks, T and S, are different in one respect. Those blocks can be defined by return loss only S-parameter files (1 port file in 2 port InfiniiSim analysis mode).

When you click on a block, you will see the following InfiniiSim Block Setup dialog box.

The first section (Measurement/Simulation Circuit), allows you to specify whether you are currently defining a block in the measurement circuit or the simulation circuit. For instance, if you select Simulation Circuit in this section and then set the Block Type to Thru, then the corresponding block in the simulation circuit will be set to a Thru block.

The Block Name control enables you to customize the name of the block.

The bottom section (Block Type) is where you actually define the block. There are six choices in this section.

  • Thru - Nothing happens to the signal as it passes through a Thru block. It is as though the block was not there and port 1 is shorted directly to port 2.

  • Open - When you set the block to open, no signal passes through it. It is as though port 1 and port 2 form an open circuit.

  • RLC - This allows you to set up the block as a RLC (resistor, inductor, capacitor) network.

  • S-parameter File - If you have an S-parameter file that models a fixture, cable, probe, or device in your circuit, you can load it into InfiniiSim and use it for the block definition.

  • Transmission Line (lossless) - This defines the block as an ideal lossless transmission line. This block is defined by a characteristic impedance value and a time delay value.

  • Combination of Subcircuits - This selection allows you to use up to three blocks in place of the one. These three sub-blocks can be arranged in cascade, parallel, or series.

  • Probe - This selection automatically selects the correct probe impedance model based upon the connected probe. You can only assign certain blocks with the Probe definition (the blocks circled in red below - closest to the scope and probe ends of the model). A probe must be connected to the channel in order for the Probe block type selection to be active.

  • Probe Load - This selection allows the modeling of a probe head stub. You may define any block as a Probe Load block that cannot be defined as a Probe block. In other words, you can define any block except for the blocks circled in red above as a Probe Load block.

Now we will look at a couple of these choices in detail.

How Do I Use the RLC Block Type?

When you select RLC for the block type, the following choices appear at the bottom of the dialog box.

Under the Circuit Element section, there are four configuration options.

  • Series Thru

  • Parallel Thru

  • Series Shunt

  • Parallel Shunt

When you select one of these choices, the RLC circuit configuration is shown in the bottom left corner (see screen shot above which shows the Parallel Shunt 2 port RLC circuit configuration).

After selecting the configuration of the RLC circuit, you can set the values for the resistor, inductor, and capacitor using the fields to the right. If you do not want to use an inductor or capacitor in your RLC circuit, do not check the boxes located next to each entry.

How Do I Use the S-Parameter Block Type?

When you select S-parameter File for the block type, the following choices appear at the bottom of the dialog box.

You can click on the S-parameter File field to browse to where your saved S-parameter files are located on the oscilloscope (these S-parameter files are typically generated with a vector network analyzer or circuit simulator, for example, and then saved on the oscilloscope hard drive). These can be files you created that model fixtures, cables, devices, or probes in your circuit. InfiniiSim accepts both Touchstone files (.s1p, .s2p, .s4p) and CITIfile (.cti) files.

By default, the oscilloscope expects port 1 to be on the left of the block and port 2 to be on the right. However, this may not align with the way the data is defined in your S-parameter file. Therefore, you can check the Flip Model box to switch ports 1 and 2.

If you select a 4-port S-parameter file (.s4p file) in this step (remember we are performing a 2-port InfiniiSim analysis in this topic), the oscilloscope needs to know how to interpret the data in the S-parameter file (because there is more than two ports worth of information contained in a 4-port file). In this case, you will see the additional 4-Port Numbering and Port Extraction fields.

The 4-port Numbering field enables you to specify how the data is arranged in the 4-port S-parameter file. While there is an industry standard, the InfiniiSim GUI allows you to save the S-parameter file in your desired format and then tell the application how the data is arranged in the file.

The industry standard is the following numbering system.

However, you can tell InfiniiSim that your file actually uses the following numbering system.

You can also use the Flip Model box to flip the numbers between the right side and the left side.

Flip Model

4 Port Numbering

How Ports are Connected in Block

No

1-2, 3-4

No

1-3, 2-4

Yes

1-2, 3-4

Yes

1-3, 2-4

The Port Extraction field tells InfiniiSim how to extract a 2-port model from the 4-port S-parameter file and use it in your 2-port transformation.

For example, if you selected 1 - 2, 3 - 4 for the 4-port Numbering field then you will be offered the following choices:

  • Use Ports 1 -> 2 - this means you are only extracting the port 1 and 2 information from the 4-port S-parameter file (one single-ended path through the differential model)

  • Use Ports 3 -> 4 - this means you are only extracting the port 3 and 4 information from the 4-port S-parameter file (the other single-ended path through the differential model)

  • Differential - this means you are extracting port D1 and port D2 of a mixed-mode view of the file (differential path through the 4-port file)

  • Common Mode - this means you are extracting port C1 and port C2 of a mixed-mode view of the file (common mode path through the 4-port file)

For additional information regarding the reading of S-parameter files, see S-Parameter Files.

How Do I Use the Transmission Line Block Type?

When you select Transmission Line (lossless) for the block type, two additional fields appear: characteristic impedance and propagation delay. Here you can set the characteristic impedance of the transmission line in your model block as well as its propagation delay.

How Do I Use the Combination of Sub-Circuits Block Type?

When you select Combination of Subcircuits for the block type, the following choices appear at the bottom of the dialog box.

This selection enables you to use a combination of three sub-blocks in place of one block.

You have the following three choices for how to set up the three individual blocks that now make up the one circuit block (pictures show connections for two of the three blocks for simplicity).

  • Cascade

  • Parallel

  • Series

Once you select one of these three configurations, you can click on each individual block and define what type of block it is (see screen shot below).

When you click on one of the sub-blocks a new Sub-circuit dialog box appears where you can define its type

Notice that you can choose between Thru, Open, RLC, S-parameter File, and an option called Unused. Unused simply means that this particular sub-block is not used (allowing you to use 2 sub-blocks instead of three, for example).

Using this Unused setting has a different impact on this specific block depending on which configuration is being used. For the Cascade structure, for example, Unused acts like a Thru block. For the Parallel structure, Unused acts like an Open block.

See Also

  • InfiniiSim Waveform Transformation Toolset

  • InfiniiSim License Information

  • InfiniiSim Overview / Theory

  • Entry Controls and InfiniiSim Setup Dialog Box

  • InfiniiSim Model Setup Dialog Box

  • Circuit Source and Load Impedances Dialog Box

  • Generating / Saving a Transfer Function File

  • InfiniiSim Plots

  • InfiniiSim Warning / Error Messages

  • S-Parameter Files

  • Transfer Function Files


4 Port InfiniiSim Block Setup Dialog Box

How Do I Use the Measurement / Simulation Circuit and Block Type Sections?

How Do I Use the RLC Block Type?

How Do I Use the S-Parameter Block Type?

How Do I Use the Transmission Line Block Type?

How Do I Use the Combination of Sub-Circuits Block Type?

How Do I Use the Measurement / Simulation Circuit and Block Type Sections?

The blocks used in creating the measurement and simulation circuits may be used to model various components (cable loss, probe loading, a fixture, etc.). InfiniiSim assigns letters and names to the blocks in the legend for a typical use scenario depending upon the Application Preset chosen. This is just a convenience for referring to blocks and an example of how the block may be used. However, you can define them any way you like. You can change these names by using the Block Name control inside the Block Setup dialog box (accessed by clicking on one of the blocks).

While these blocks represent different parts of the circuit, they have the exact same definition controls to choose from and are simply called different types to help you understand what they might represent in your circuit. The termination blocks, T and S, are different in one respect. Those blocks can be defined by return loss only S-parameter files (2 port file in 4 port InfiniiSim analysis mode). You can also use a s1p file for a 4 port application which will apply that s1p to s11 and s33 and set s13 and s31 to zero.

When you click on a block, you will see the following InfiniiSim Block Setup dialog box.

The first section (Measurement/Simulation Circuit), allows you to specify whether you are currently defining a block in the measurement circuit or the simulation circuit. For instance, if you select Simulation Circuit in this section and then set the Block Type to Thru, then the corresponding block in the simulation circuit will be set to a Thru block.

The Block Name control lets you customize the name of the block.

Next you need to select the Block Port Type in the upper right corner. In 4 port analysis mode, there are three different ways in which to define a model block:

  • Using a standard 4 port model

  • Using two standard 2 port model blocks (one for each single-ended path)

  • Using two 2 port differential model blocks (one for the differential path and one for the common-mode path)

Using full 4 port S-parameter models is often necessary because they include cross coupling components between all four ports in the model. However, it is sometimes more convenient to split the 4 port model into two uncoupled 2 port models. You may, for example, choose to use two 2 port S-parameter files to model a pair of coaxial cables. Another example is when you have an accurate S-parameter file for the differential path through a device, but not for the common mode path. You can use a 2 port differential S-parameter file to model the differential path through the device and an RLC block to model the common mode path.

  • 4 Port: When you choose the Block Port Type to be 4 port, you can define the Block Type to be a Thru, Open, 4-port S-parameter File, or Combination of 4-Port Sub-Circuits. RLC and Transmission Line block types are not available in 4-port Block Port Type mode.

  • (2) 2 Port: When you choose the Block Port Type to be (2) 2-port, you can define the 4-port model blocks as a combination of two uncoupled 2-port model blocks - one for the path between ports 1 and 2 and one for the path between ports 3 and 4. In this case, you define each 2-port Block Type independently to be a Thru, Open, RLC, Lossless Transmission Line, 4-Port S-Parameter File, or Combination of 4-Port Sub-Circuits.

  • (2) 2 Port Differential: When you choose the Block Port Type to be (2) 2-port Differential, you can define the 4-port model block as a combination of two different uncoupled 2-port model blocks - one for the differential path through the device and one for the common mode path through the device. In this case, you define each 2-port Block Type independently to be a Thru, Open, RLC, Lossless Transmission Line, 4-Port S-Parameter File, or Combination of 4-Port Sub-Circuits.

The bottom section (Block Type) is where you actually define the block. There are six choices in this section.

  • Thru - Nothing happens to the signal as it passes through a Thru block. It is as though the block was not there and port 1 is shorted directly to port 2.

  • Open - When you set the block to open, no signal passes through it. It is as though port 1 and port 2 form an open circuit.

  • RLC - This allows you to set up the block as a RLC (resistor, inductor, capacitor) network.

  • S-parameter File - If you have an S-parameter file that models a fixture, cable, probe, or device in your circuit, you can load it into InfiniiSim and use it for the block definition.

  • Transmission Line (lossless) - This defines the block as an ideal lossless transmission line. This block is defined by a characteristic impedance value and a time delay value.

  • Combination of Subcircuits - This selection allows you to use up to three blocks in place of the one. These three sub-blocks can be arranged in cascade, parallel, or series.

  • Probe - This selection automatically selects the correct probe impedance model based upon the connected probe. You can only assign certain blocks with the Probe definition (the blocks circled in red below - closest to the scope and probe ends of the model). A probe must be connected to the channel in order for the Probe block type selection to be active.

  • Probe Load - This selection allows the modeling of a probe head stub. You may define any block as a Probe Load block that cannot be defined as a Probe block. In other words, you can define any block except for the blocks circled in red above as a Probe Load block.

Now we will look at a couple of these choices in detail.

How Do I Use the RLC Block Type?

The RLC block type is only available in the (2) 2 Port and (2) 2 Port Differential port type modes. In the (2) 2 Port mode, either single-ended path of the model block can be defined by a 2 port RLC model. In the (2) 2 Port Differential mode, either the differential or common mode paths can be defined by a 2 port RLC model.

When you select RLC for the Block Type (not available in 4 port Block Port Type mode) and the Block Port Type is set to (2) 2 Port Differential, the dialog box will look like the following.

Under the Circuit Element section, there are four configuration options. When you select one of these options, the basic circuit configuration will be shown in the dialog box (see screen shot above).

After selecting the configuration of the RLC circuit, you can set the values for the resistor, inductor, and capacitor using the fields to the right. To use an inductor or capacitor in your RLC circuit, check the corresponding box and then enter the value.

How Do I Use the S-Parameter Block Type?

When you select S-parameter File for the block type, the following choices appear in the dialog box.

You can click on the S-parameter File field to browse to where your saved S-parameter files are located on the oscilloscope (these S-parameter files are typically generated with a vector network analyzer or circuit simulator, for example, and then saved on the oscilloscope hard drive). These can be files you created that model fixtures, cables, devices, or probes in your circuit. InfiniiSim accepts both Touchstone files (.s1p, .s2p, .s4p) and CITIfile (.cti) files.

InfiniiSim can read 4 port or 2 port files in 4 Port Block Port Type mode. It can read 4 port, 2 port, and 1 port files in (2) 2 Port or (2) 2 Port Differential Block Port Type mode. If you use a s1p file for a 4 port application that s1p will apply to s11 and s33 and set s13 and s31 to zero. Additional information about reading S-parameter files can be found in S-Parameter Files.

By default, the oscilloscope expects ports 1 and 3 to be on the left side of the block (if you have the Block Port Type set to 4 Port) and ports 2 and 4 to be on the right. However, this may not align with the way the data is formatted in your S-parameter file. Therefore, you can check the Flip Model box to have the ports switch sides.

You may also see the field 4 Port Numbering depending upon your settings. This field tells InfiniiSim how to the data is formatted in the 4-port S-parameter file (it works in conjunction with the Flip Model control).

While there is an industry standard, the InfiniiSim GUI allows you to save the S-parameter file in your desired format and then tell the application how the data is arranged in the file.

The industry standard is the following numbering system.

However, you can tell InfiniiSim that your file actually uses the following numbering system.

You can also use the Flip Model box to flip the numbers between the right side and the left side.

Flip Model

4 Port Numbering

How Ports are Connected in Block

No

1-2, 3-4

No

1-3, 2-4

Yes

1-2, 3-4

Yes

1-3, 2-4

For additional information regarding the reading of S-parameter files, see S-Parameter Files.

How Do I Use the Transmission Line Block Type?

When you select Transmission Line (lossless) for the block type, two additional fields appear: characteristic impedance and propagation delay. Here you can set the characteristic impedance of the transmission line in your model block as well as its propagation delay.

How Do I Use the Combination of Sub-Circuits Block Type?

When you select Combination of Subcircuits for the block type, the following choices appear at the bottom of the dialog box.

This selection enables you to use a combination of three sub-blocks in place of one block.

You have the following three choices for how to combine the three individual blocks that now make up the one circuit block: cascade, parallel, and series. In (2) 2 Port and (2) 2 Port Differential port type modes, the blocks combine as shown below (pictures show 2 port connections with two blocks for simplicity).

  • Cascade

  • Parallel

  • Series

In 4 Port Block Port Type mode, the 4 port block combine as shown below (pictures show connections for two of the three blocks for simplicity):

Once you select one of these three configurations, you can click on each individual block and define what type of block it is (see screen shot below).

When you click on one of the sub-blocks a new Sub-circuit dialog box appears where you can define its type

Notice that you can choose between Thru, Open, RLC, S-parameter File, and an option called Unused. Unused simply means that this particular sub-block is not used (allowing you to use 2 sub-blocks instead of three, for example).

Using this Unused setting has a different impact on this specific block depending on which configuration is being used. For the Cascade structure, for example, Unused acts like a Thru block. For the Parallel structure, Unused acts like an Open block.

See Also

  • InfiniiSim Waveform Transformation Toolset

  • InfiniiSim License Information

  • InfiniiSim Overview / Theory

  • Entry Controls and InfiniiSim Setup Dialog Box

  • InfiniiSim Model Setup Dialog Box

  • Circuit Source and Load Impedances Dialog Box

  • Generating / Saving a Transfer Function File

  • InfiniiSim Plots

  • InfiniiSim Warning / Error Messages

  • S-Parameter Files

  • Transfer Function Files


Generating / Saving a Transfer Function File

How Do I Generate / Save a Transfer Function File?

How Do I Generate / Save a Transfer Function File?

Once you have your measurement and simulation circuits built (see topics on the InfiniiSim Setup dialog box and InfiniiSim Model Setup dialog box), you are ready to generate and save your transfer function file. Click on the Save Transfer Function button in the upper right corner of the InfiniiSim Model Setup dialog box. This will save it under the name (and to the location) specified in the Save Transfer Function File As field.

After you click on the Save Transfer Function button, a window will appear telling you that InfiniiSim is computing the transfer function. If it successfully computes the transfer function then the following message will appear.

You will see this message if InfiniiSim successfully calculated your transfer function

If it does not successfully compute the transfer function and instead gives you an error/warning message, see InfiniiSim Warning / Error Messages for information regarding each of these messages and possible corrective actions.

Close all of the dialog boxes and you will see the simulated waveform on your oscilloscope’s display. You can toggle back and forth between the measured waveform and the simulated waveform by entering the Channel Setup dialog box (Setup -> Channel N) and turning InfiniiSim on or off (by selecting either Off, 2-port, or 4-port).

Note that when comparing simulated waveforms to measured waveforms (InfiniiSim On/Off), you should use bandwidth limiting to see the transformation difference only (see the Entry Controls and InfiniiSim Setup Dialog Box topic for more information on the bandwidth limiting feature).

See Also

  • InfiniiSim Waveform Transformation Toolset

  • InfiniiSim License Information

  • InfiniiSim Overview / Theory

  • Entry Controls and InfiniiSim Setup Dialog Box

  • InfiniiSim Model Setup Dialog Box

  • InfiniiSim Block Setup Dialog Box

  • Circuit Source and Load Impedances Dialog Box

  • InfiniiSim Plots

  • InfiniiSim Warning / Error Messages

  • S-Parameter Files

  • Transfer Function Files


Circuit Source and Load Impedances Dialog Box

How Do I Access and Use the Circuit Source and Load Impedances Dialog Box?

How Do I Access and Use the Circuit Source and Load Impedances Dialog Box?

The resistor on the left side of the circuit shown below corresponds to the impedance of the transmitter. It is defaulted to 50 Ω, but you can change this if you need to. Simply place your cursor over the resistor (it will thicken to indicate you are on top of it) and click your mouse. You will then see the following Circuit Source and Load Impedances dialog box if you are in 2 port analysis mode (the 4 port analysis mode looks similar, but has four ports in the dialog box instead of two).

The Circuit Source and Load Impedances dialog box allows you to specify all of the source and load impedances within both the measurement and simulation circuits. Note that if we did not have the Apply to All box checked, our Add Insertion Loss example preset (used in the screen shot above) would grey-out the load impedance controls because the oscilloscope load impedance is always 50Ω. If you want all impedances in both circuits to be identical, simply check the Apply to All box and set the All Impedance field. All of the other impedances will then be changed to match this one.

Note that by using one of the 3 block models (for example, the Add/Remove All Effects of a Fixture or Cable application preset), you can apply an arbitrarily complex oscilloscope and/or transmitter impedance because the 3 block models have separate model blocks dedicated to forming the oscilloscope input impedance and transmitter source impedance.

Please note that any termination block located adjacent to a source or load resistor (like the T block and S block above) can have 1 port S-parameter files assigned to them in 2 port InfiniiSim mode. These are the only locations in a 2 port InfiniiSim circuit where you can place 1 port S-parameter files. Likewise, termination blocks can be defined by 2 port S-parameter files in 4 port mode. You can also use a s1p file for a 4 port application which will apply that s1p to s11 and s33 and set s13 and s31 to zero.

See Also

  • InfiniiSim Waveform Transformation Toolset

  • InfiniiSim License Information

  • InfiniiSim Overview / Theory

  • Entry Controls and InfiniiSim Setup Dialog Box

  • InfiniiSim Model Setup Dialog Box

  • InfiniiSim Block Setup Dialog Box

  • Generating / Saving a Transfer Function File

  • InfiniiSim Plots

  • InfiniiSim Warning / Error Messages

  • S-Parameter Files

  • Transfer Function Files


InfiniiSim Plots

How Do I Access the InfiniiSim Plots and What Are the Basic Plot Controls?

Frequency Response Plot

Impulse Plot

Step Response Plot

How Do I Access the InfiniiSim Plots and What Are the Basic Plot Controls?

When InfiniiSim is enabled, you will notice a tab on your oscilloscope’s display that is labeled InfiniiSim.

Click on this tab to see plots of the frequency response of the original measured signal, the simulated signal, and the filter applied by InfiniiSim. You can also see the impulse response and step response plots of the transfer function as well.

These plots are very useful when setting some of the controls in the InfiniiSim Setup dialog box. Before we discuss this, let us look at some of the basic controls of these plots.

Basic Plot Controls

Below is an example of one of the plots you can display (the Impulse Response plot). The screen shots below highlight the basic plot controls.

Right-click on any of the plots to bring up the popup menu shown in the screen shot below. This enables you to quickly jump back to the InfiniiSim model builder or the InfiniiSim Setup dialog box to make changes.

If you have InfiniiSim acting on multiple channels, buttons will appear in your plots that allow you to switch between the different channels.

Also, it is important to note that the plots shown in this topic correspond to 2-port analysis. If you were performing a 4-port analysis, there would be two plots shown in each graph (a plot for the differential mode and a plot for the common mode).

Now that you know the basic controls for these plots, let us look at how they are used.

Frequency Response Plot

This plot serves two basic functions. First, it enables you to see the measured signal’s frequency response, the simulated signal’s frequency response (the signal after InfiniiSim transforms the measured signal), and the applied transfer function’s frequency response. By investigating this plot, you can see whether they make sense for the specific setup you defined. Sometimes errors in the transformation or problems with the transfer function can be found by investigating this plot.

This plot also help you determine what value to use for the Bandwidth Limit control. Remember in the discussion on the Bandwidth Limit control found in the InfiniiSim Setup Dialog Box topic, that you need to determine at what frequency your signal’s frequency response is mostly just noise (if you are using this control). By investigating these plots, you can determine this and set the Bandwidth Limit control accordingly.

Impulse Plot

The Impulse plot shows a time-domain perspective of the transfer function and is useful in determining how to set the Max Time Span control (found in the InfiniiSim Setup dialog box).

For an example of how the Impulse plot lets you decide what to set the Max Time Span control to, look at the following simplified plot.

As you can see, there are large sections of the impulse response that are just flat and, therefore, contribute insignificantly to the simulated waveform. If you see this then you may be able to increase your measurement update rate by reducing the Max Time Span control. For example, the screen shot above was captured with the Max Time Span being set to 8 ns. You can reduce this until you get to a point where most of these flat regions are not shown. You can open the Infiniium Setup dialog box by right-clicking on the plot area and selecting Setup Channel N InfiniiSim. Then you can move this dialog box to a portion of the display such that you can see both the dialog box and the impulse response plot at the same time. Then simply reduce the Max Time Span control until the flat sections are no longer shown. For example, reducing the control to 3 ns yields the following view of the plot.

As you can see, there are still some flat regions on either side, but they have been dramatically reduced.

If you show the Impulse Response plot and you do not see any flat regions on either side then you may need to increase the Max Time Span control until you start to see some flat regions. If increasing the Max Time Span control does not change the filter’s actual time span then it may be limited by one or more of your S-parameter files.

Also, please note that you do not have to change both the Max Time Span and the Min Frequency Resolution controls. When you adjust the Max Time Span control, the Min Frequency Resolution field will automatically adjust since they are reciprocals of each other.

Step Response Plot

The Step Response plot is the integration of the Impulse Response plot just discussed. It shows you basically the same information, but in a different way. This plot is also useful in setting the Max Time Span control. In fact, it is normally more useful in predicting how the transfer function will affect your measured waveform.

The screen shot above shows the large flat areas enclosed by red rectangles. You may need to reduce the Max Time Span control in this instance.

See Also

  • InfiniiSim Waveform Transformation Toolset

  • InfiniiSim License Information

  • InfiniiSim Overview / Theory

  • Entry Controls and InfiniiSim Setup Dialog Box

  • InfiniiSim Model Setup Dialog Box

  • InfiniiSim Block Setup Dialog Box

  • Circuit Source and Load Impedances Dialog Box

  • Generating / Saving a Transfer Function File

  • InfiniiSim Warning / Error Messages

  • S-Parameter Files

  • Transfer Function Files


InfiniiSim Warning / Error Messages

Sometimes you may receive a warning or error message when attempting to create a transfer function. Please refer to the list below (alphabetized for your convenience) for the meaning of each of these messages as well as suggested corrective actions.

1 port Files Allowed at Source and Load Blocks Only

In 2 port InfiniiSim, you are only allowed to use 1 port files in the location circled below.

In other words, you can only use them for Transmitter, Receiver, and Scope / Probe blocks. If you try to use a 1 port file anywhere else, you will get this error.

2 port Files Allowed at Source and Load Blocks Only

In 4 port InfiniiSim, you are only allowed to use 2 port files in the location circled below.

In other words, you can only use them for Transmitter, Receiver, and Scope / Probe blocks. If you try to use a 2port file anywhere else, you will get this error.

Calculation Aborted

This error indicates that you chose to abort the transfer function computation before it was written to a file.

Cannot Read 4 Port Data From a 2 Port File

This error means that you have attempted to load 2 port file data into a 4 port model block. If you want to define a 4 port block with 2 port files, you need to use the (2) 2 Port or (2) 2 Port Differential Block Port Type settings.

DEFAULT_FREQUENCY_RESOLUTION Value is Too Small

The DEFAULT_FREQUENCY_RESOLUTION value provided in the S-parameter file (refer to this topic for information about this keyword) is too small and yields more than the allowed 100,000 frequency points.

Files May Only Contain a Single Data Package

Each CITIfile file may only model a single device.

File Not Found

This indicates that the file is not where you are telling InfiniiSim it is located or it has the wrong name.

Impedance of All Ports Must Be the Same

The .cti format allows you to specify a unique port impedance for each port. However, they must all be the same for InfiniiSim or you will get this error.

Invalid Data Format (DBANGLE, MAGANGLE, RI only)

You are only allowed to use DBANGLE, MAGANGLE, or RI data value formats with CITIfile files. If you use any other data format, you will get this error message.

Invalid Data Format (DB, MA, RI only)

You are only allowed to use BE, BD, MA, or RI data value formats with ATF and Touchstone files. If you use any other data format, you will get this error message.

Invalid File Format

InfiniiSim could not recognize the indicated S-parameter file format.

Invalid File Name

This indicates that the file extension is wrong or invalid for the type of file needed.

Invalid Frequency Units (HZ, KHZ, MHZ, GHZ only)

You are only allowed to use Hz, kHz, MHz, and GHz in your S-parameter file. If you use anything else, you will get this error.

Invalid Output Name

This means you probably gave the Save As file name an improper file extension.

Invalid RETURN_LOSS_INTERPRETATION Value

The RETURN_LOSS_INTERPRETATION value in the S-parameter file (refer to this topic for more information about this keyword) must be set to either SCOPE, PROBE, SERIES_RLC, SHUNT_RLC, or DEFAULT.

Less Than 2 Data Points in the File

You must have at two least data points in your S-parameter and transfer function files.

Signal Amplitude at Measurement Node is Too Small

This message usually means you made a mistake when setting up your measurement circuit (example, placed an open circuit block somewhere between the source and measurement nodes). This may also occur if an S-parameter file in the measurement circuit has a resonant 'suck-out' that the transfer function is trying to compensate for.

What this warning means is that the voltage seen at the measurement node is very small. It could be that your specific setup does indeed cause this to occur and there was no error made, but more often than not, you should go back and check your measurement circuit setup.

Transfer Function Data Must Contain a 0 Hz Point

This is not true for S-parameter files, but is true for transfer function files.

Unspecified Error

An internal error was detected by InfiniiSim. Please contact Agilent Technical Support.

Unspecified File Read Error

This indicates that the file has an invalid format.

Unspecified File Write Error

An internal error was detected in InfiniiSim. Please contact Agilent Technical Support.

Unstable or Ill-conditioned Circuit Definition

When you get this message it means one of your circuits is invalid. This warning indicates that an infinite voltage is present in the circuit (analogous to an oscillation) or in other words, the gain becomes infinite.

Warning: File Data Truncated to 100 kpts

This warning means there are too many points in your S-parameter file. You need to reduce the number of points.

Warning: Frequency Resolution May Be Too Large for Slow Time Constants

This is similar to the warning immediately below except that instead of a model’s long time delay causing the problem, it is the model’s slow time constants. These kind of models require finer frequency resolution. Therefore, you need to have a finer sampling of frequencies in yourS-parameter file.

Warning: Frequency Resolution May Be Too Large for Time Delay

S-parameter models that have long time delays require finer frequency resolution because the model’s impulse response needs to be longer. This warning indicates that your S-parameter file may not have enough resolution to accurately represent the modeled device. Therefore, you need to have a finer sampling of frequencies in your S-parameter file.

If you see the this warning and your S-parameter file does not contain a DC frequency, InfiniiSim may not extrapolate the DC values correctly. InfiniiSim looks at the lowest frequency points in the file in order to determine if each DC value should be a positive or negative. If the frequency resolution in the file is so large compared to the time delay of the S-parameter model that it causes the phase linear component (delay component) of the phase variation to change more than 90 degrees per frequency step, then DC value will have the wrong polarity. When the DC value of the insertion loss is incorrectly determined to be negative, but it should actually be positive, you will likely also see the "Transfer function appears to invert the signal" warning message.

Warning: Interpolated S-parameters Limited to 100 kpts

This warning indicates that the interpolation performed by InfiniiSim on your file data results in too many points. InfiniiSim sets the resolution by looking at the separation between the last two points in the file. If these values are too close together then it can cause the resolution to be too fine.

There is also a command you can place within the S-parameter file that forces InfiniiSim to have a different resolution than that specified by the frequency spacing in the file (see S-Parameter Files). If you used this command and set it to too fine of a resolution, this could result in this warning message.

Warning: Non-uniformly Sampled Data

If you give InfiniiSim S-parameter files with uniformly spaced points, it uses the data as is (if there is only one file). If your points are not uniformly spaced (for example, log sweep), InfiniiSim will try to interpret the points, but you may get a bad result (especially if you are using a pure log sweep - not recommended). If you have a nonuniform spacing between the points in your S-parameter file, InfiniiSim sets the resolution by looking at the separation between the last two points in the file. See S-Parameter Files.

Warning: Transfer Function Appears to Invert Signal

This warning typically happens with 4 port InfiniiSim. There is one particular non-standard port ordering that can cause the 4 port model to invert the signal polarity. Unfortunately, this uncommon port ordering cannot be corrected with any combination of the Flip Model and 4 Port Numbering controls.

Again, it could be that your specific setup does indeed cause signal polarity inversion to occur and there was no error made (for example, if you are modeling an inverting amplifier), but more often than not there is a problem with the S-parameter file port ordering.

If you see the "Frequency resolution may be too large for the time delay" and the S-parameter file does not contain a DC frequency, InfiniiSim may not extrapolate the DC values correctly. InfiniiSim looks at the lowest frequency points in the file in order to determine if each DC value should be a positive or negative. If the frequency resolution in the file is so large compared to the time delay of the S-parameter model that it causes the phase linear component (delay component) of the phase variation to change more than 90 degrees per frequency step, then DC value will have the wrong polarity. When the DC value of the insertion loss is incorrectly determined to be negative, but it should actually be positive, you will likely also see this "Transfer function appears to invert the signal" warning message.

Warning: Transfer Function Gain is Unusually Large

This warning indicates that the voltage seen at the simulation node is huge when compared with the voltage seen at the measurement node (when driven by the same source). This usually means you made a mistake when setting up your measurement circuit (example, placed an open circuit block somewhere that is preventing the source from driving the measurement node) so you should first check your measurement circuit to ensure there are no errors. This may also occur if an S-parameter file in the measurement circuit has a resonant 'suck-out' that the transfer function is trying to compensate.

It could be that your specific setup does indeed cause a large gain in the transfer function. Examination of the frequency response plot can help verify if it is correct.

Warning: Unrecognized ATF File Version (A.01.00 Only)

This warning indicates that InfiniiSim does not support the ATF file you are attempting to use. InfiniiSim only supports A.01.00 ATF files.

Warning: Unrecognized CITIfile Version (A.01.00 and A.01.01 Only)

This warning indicates that InfiniiSim does not support the CITIfile you are attempting to use. InfiniiSim only supports A.01.00 and A.01.01 CITIfiles.

Invalid S-Param file name: '<empty string>'

When you are saving a transfer function, this error dialog box appears if no S-parameter File name is specified in the InfiniiSim Block Setup dialog box (which appears after clicking the measurement/simulation block in the InfiniiSim Model Setup dialog box).

See Also

  • InfiniiSim Waveform Transformation Toolset

  • InfiniiSim License Information

  • InfiniiSim Overview / Theory

  • Entry Controls and InfiniiSim Setup Dialog Box

  • InfiniiSim Model Setup Dialog Box

  • InfiniiSim Block Setup Dialog Box

  • Circuit Source and Load Impedances Dialog Box

  • Generating / Saving a Transfer Function File

  • InfiniiSim Plots

  • S-Parameter Files

  • Transfer Function Files


S-Parameter Files

S-parameter files describe electrical n-port network models of physical devices as a tabular list of complex S-parameter values at specific frequencies. Formatted as ASCII text, S-parameter files are easily viewed or edited using any text-based file editor. InfiniiSim supports two standard file formats: Touchstone (version 1.1) and CITIfile (version A.01.00 and A.01.01). Touchstone files are identified by the file extensions .s1p, .s2p, or .s4p. CITIfile files are identified by either .cti or .cit. In addition, InfiniiSim only supports CITIfiles which contain a single data package (each file may model only a single device).

InfiniiSim requires model information at DC (0 Hz). However, S-parameter files often do not contain DC values, especially if they originate from network analyzer measurements. When files do not contain DC values, InfiniiSim will, by default, copy the file’s lowest frequency values to 0 Hz and set their phase components to zero. This technique may not always yield appropriate DC S-parameter values. Ideally, you should measure or simulate the true DC values and manually add them to the S-parameter file with a text editor.

InfiniiSim also requires S-parameter values that are uniformly spaced in frequency with a spacing or resolution that is small enough to accurately represent the slowest time constants and time delays exhibited by the modeled device. However, this does not mean that all S-parameter files must contain uniformly spaced frequency data. Uniformly spaced file data is usually preferred, but not required if you are knowledgeable about how InfiniiSim interprets file data.

In the absence of the special InfiniiSim keyword DEFAULT_FREQUENCY_RESOLUTION (see keywords below), InfiniiSim checks the data to ensure that it is uniformly sampled in frequency (with exception to the interval between DC and the next lowest frequency point) and generates a warning if the data is not uniformly sampled. If the DEFAULT_FREQUENCY_RESOLUTION keyword is accompanied by a numeric value, the data is resampled using linear interpolation and the frequency resolution specified by that value. Otherwise, InfiniiSim resamples the file data using a frequency resolution equal to the frequency interval between the last two frequency points in the file.

InfiniiSim expects S-parameter files to list their values in monotonically increasing frequency order and ignores those values at which frequencies are less than or equal to the frequencies of previously listed values. InfiniiSim also truncates all file data to a maximum of 100,000 frequency points.

InfiniiSim calculates transfer functions using only full 2 port (in 2 port analysis mode) or 4 port (in 4 port analysis mode) S-parameter models that contain both return loss and insertion loss information. However, those blocks that model source impedance or load impedance (transmitter source, scope/probe, or scope input) can be defined by S-parameter files which contain only return loss information. In the absence of the special InfiniiSim keyword RETURN_LOSS_INTERPRETATION, InfiniiSim assumes that the return loss data models a simple passive shunt RLC circuit and calculates the insertion loss of the same circuit that would produce the file data.

Selecting a s1p file for a 4 port application applies that s1p to s11 and s33, and sets s13 and s31 to zero.

S-Parameter File Keywords

The following are the currently supported optional keywords you can place in your S-parameter files. InfiniiSim scans S-parameter files for special keywords which communicate to InfiniiSim how the data within the file was generated or how it should be interpreted. The format of these lines differs slightly between Touchstone and CITIfile files in that they must be proceeded by an exclamation point (!) within Touchstone files. InfiniiSim keywords are case insensitive and permit additional comments on the same line.

#DSO DEFAULT_FREQUENCY_RESOLUTION <value>

where <value> may be a numeric value in Hz or the text strings AUTO or AUTOMATIC

In the absence of this keyword, InfiniiSim checks the data to ensure that it is uniformly sampled in frequency (with exception to the interval between DC and the next lowest frequency point) and generates a warning if the data is not uniformly sampled. If <value> is a numeric value, the data is resampled using linear interpolation and the frequency resolution specified by <value>. Otherwise, InfiniiSim resamples the file data using a frequency resolution equal to the frequency interval between the last two frequency points in the file. If <value> is equal to either of the text strings (AUTO or AUTOMATIC), InfiniiSim does not report a warning about non-uniformly sampled data.

#DSO RETURN_LOSS_INTERPRETATION <string>

where <string> is one of the following legal strings: SCOPE, PROBE, SERIES_RLC, SHUNT_RLC, or DEFAULT

In the absence of this keyword, InfiniiSim assumes that the return loss data models a simple passive shunt RLC circuit and calculates the insertion loss of the same circuit that would produce the file data (S21=S12=1+S11,S22=S11). When <string> equals SERIES_RLC, InfiniiSim assumes that the return loss data models a simple passive series RLC circuit (S21=S12=1-S11, S22=S11). When <string> equals SCOPE, InfiniiSim assumes that the return loss data models an oscilloscope input (S21=1, S12=S22=0). When <string> equals PROBE, InfiniiSim assumes that the return loss data models a probe input (S21=1+S11, S12=0,S22= -1). When <string> equals DEFAULT, InfiniiSim uses its default interpretation without creating the default return loss warning.

See Also

  • InfiniiSim Waveform Transformation Toolset

  • InfiniiSim License Information

  • InfiniiSim Overview / Theory

  • Entry Controls and InfiniiSim Setup Dialog Box

  • InfiniiSim Model Setup Dialog Box

  • InfiniiSim Block Setup Dialog Box

  • Circuit Source and Load Impedances Dialog Box

  • Generating / Saving a Transfer Function File

  • InfiniiSim Plots

  • InfiniiSim Warning / Error Messages

  • Transfer Function Files


Transfer Function Files

Transfer function files describe the relationship between two sets of time varying node voltages as a tabular list of complex transfer function values at specific frequencies. Formatted as ASCII text, transfer function files are easily viewed or edited using any text-based file editor. InfiniiSim supports a single proprietary transfer function file format called ATF (version A.01.00) derived from the Touchstone 1.1 format. ATF files are identified by the file extensions .tf2 or .tf4.

All transfer function files must include values at DC (0 Hz).

InfiniiSim requires transfer function values that are uniformly spaced in frequency with a spacing or resolution that is small enough to accurately represent the slowest time constants and time delays exhibited by the modeled device. However, this does not mean that all transfer function files must contain uniformly spaced frequency data. Uniformly spaced file data is usually preferred, but not required if you are knowledgeable about how InfiniiSim interprets file data.

In the absence of the special InfiniiSim keyword DEFAULT_FREQUENCY_RESOLUTION (see keywords below), InfiniiSim checks the data to ensure that it is uniformly sampled in frequency (with exception to the interval between DC and the next lowest frequency point) and generates a warning if the data is not uniformly sampled. If the DEFAULT_FREQUENCY_RESOLUTION keyword is accompanied by a numeric value, the data is resampled using linear interpolation and the frequency resolution specified by that value. Otherwise, InfiniiSim resamples the file data using a frequency resolution equal to the frequency interval between the last two frequency points in the file.

InfiniiSim expects transfer function files to list their values in monotonically increasing frequency order and ignores those values at which frequencies are less than or equal to the frequencies of previously listed values. InfiniiSim also truncates all file data to a maximum of 100,000 frequency points.

Transfer Function File Keywords

The following are the currently supported optional keywords you can place in your transfer function files. InfiniiSim scans transfer function files for special keywords which communicate to InfiniiSim how the data within the file was generated or how it should be interpreted. InfiniiSim keywords are case insensitive and permit additional comments on the same line.

! #DSO ATF_FILE_VERSION <string>

The value of <string> represents the format version of the ATF file.

! #DSO DEFAULT_FREQUENCY_RESOLUTION <value>

where <value> may be a numeric value in Hz or the text strings AUTO or AUTOMATIC

In the absence of this keyword, InfiniiSim checks the data to ensure that it is uniformly sampled in frequency (with exception to the interval between DC and the next lowest frequency point) and generates a warning if the data is not uniformly sampled. If <value> is a numeric value, the data is resampled using linear interpolation and the frequency resolution specified by <value>. Otherwise, InfiniiSim resamples the file data using a frequency resolution equal to the frequency interval between the last two frequency points in the file. If <value> is equal to either of the text strings (AUTO or AUTOMATIC), InfiniiSim does not report a warning about non-uniformly sampled data.

! #DSO TRANSFER_FUNCTION_DEFINITION_STRING <string>

InfiniiSim uses this keyword to include a complete description of the circuit models from which it calculates the transfer function file. When loading transfer function file data, InfiniiSim checks for this keyword and if present, uses this information to re-populate the circuit model descriptions.

See Also

  • InfiniiSim Waveform Transformation Toolset

  • InfiniiSim License Information

  • InfiniiSim Overview / Theory

  • Entry Controls and InfiniiSim Setup Dialog Box

  • InfiniiSim Model Setup Dialog Box

  • InfiniiSim Block Setup Dialog Box

  • Circuit Source and Load Impedances Dialog Box

  • Generating / Saving a Transfer Function File

  • InfiniiSim Plots

  • InfiniiSim Warning / Error Messages

  • S-Parameter Files


InfiniiSim License Information

What InfiniiSim Licenses are Available?

What is the Difference Between Advanced InfiniiSim and Basic InfiniiSim?

What InfiniiSim Licenses are Available?

The license information for the InfiniiSim Waveform Transformation Toolset application is:

  • DSO90000A-013: InfiniiSim Waveform Transformation Toolset Basic for 90000A Series oscilloscopes (installed on oscilloscope during purchase)

  • DSO90000A-014: InfiniiSim Waveform Transformation Toolset Advanced for 90000A Series oscilloscopes (installed on oscilloscope during purchase)

  • DSO9000A-013: InfiniiSim Waveform Transformation Toolset Basic for 9000A Series oscilloscopes (installed on oscilloscope during purchase)

  • DSO9000A-014: InfiniiSim Waveform Transformation Toolset Advanced for 9000A Series oscilloscopes (installed on oscilloscope during purchase)

  • N5465A-001: InfiniiSim Waveform Transformation Toolset Basic for existing Infiniium 9000 or 90000 Series oscilloscopes with software 2.00 or higher

  • N5465A-002: InfiniiSim Waveform Transformation Toolset Advanced for existing Infiniium 9000 or 90000 Series oscilloscopes with software 2.00 or higher

  • N5435A-026: InfiniiSim Waveform Transformation Toolset Basic server license

  • N5435A-027: InfiniiSim Waveform Transformation Toolset Advanced server license

What is the Difference Between Advanced InfiniiSim and Basic InfiniiSim?

The Basic version of InfiniiSim allows you to use only one block in your measurement/simulation circuits (building these circuits will be discussed in other InfiniiSim topics) while the Advanced version contains all of the InfiniiSim capabilities.

See Also

  • InfiniiSim Waveform Transformation Toolset

  • InfiniiSim Overview / Theory

  • Entry Controls and InfiniiSim Setup Dialog Box

  • InfiniiSim Model Setup Dialog Box

  • InfiniiSim Block Setup Dialog Box

  • Circuit Source and Load Impedances Dialog Box

  • Generating / Saving a Transfer Function File

  • InfiniiSim Plots

  • InfiniiSim Warning / Error Messages

  • S-Parameter Files

  • Transfer Function Files


InfiniiSim Example: Simulating Crosstalk

The simplest way to simulate crosstalk is by applying a 6-port transfer function to three measured signals; a victim and 2 aggressors as shown in the following figure.

However, InfiniiSim cannot handle 6-port transfer functions. But, you can simulate crosstalk with two 4-port transfer functions using the setup shown in the following figure.

First, create two 4-port TFs (transfer functions) from two 4-port S-parameter models. Then, apply the two 4-port TFs to three measured signals in order to produce two simulated waveforms that can be added together using a waveform math function.

The following figures show how to configure InfiniiSim.

From the Channel 3 Setup dialog box, select InfiniiSim "4 Port (Channels 1 & 3)". Then, click Setup... to open the InfiniiSim Setup dialog box shown below.

If Xtalk1.tf4 already exists, then select it as the Transfer Function File. Otherwise, you will have to create it from S-parameter models. To create it from models, first open the "Create Transfer Function From Model" dialog box, choose the "Add insertion loss of a fixture of cable" Application Preset, and rename the Saved Transfer Function File to "Xtalk1.tf4".

Then, click the C model block to open its Block Setup dialog box. Configure the Simulation Circuit to use your desired S-parameter file. The Measurement Circuit should remain defined to an Ideal Thru.

The S-parameter models you use to model crosstalk can be measured directly from your device or exported from your personal simulation tools. In either case, use the following configurations when measuring or simulating the S-parameter crosstalk models, in which the unused ports are terminated into 50 ohms.

Now, close the Block Setup dialog box and click Save Transfer Function…. After it completes calculating and saving the new TF, close the Model Setup dialog box and the InfiniiSim Setup dialog box.

Next, open the Channel 2 Setup dialog box and configure InfiniiSim as shown below.

Then, configure the InfiniiSim Setup dialog box and generate the Xtalk2.tf4 transfer function using a procedure similar to that explained for Xtalk1.tf4.

Finally, combine the two simulated waveforms into the resultant crosstalk waveform using the "add" math function:

Note that although the example just described only used two aggressors, a third could be added by simply using the port 1 input of Xtalk2.tf4.

See Also

  • InfiniiSim Waveform Transformation Toolset

  • InfiniiSim License Information

  • InfiniiSim Overview / Theory

  • Entry Controls and InfiniiSim Setup Dialog Box

  • InfiniiSim Model Setup Dialog Box

  • InfiniiSim Block Setup Dialog Box

  • Circuit Source and Load Impedances Dialog Box

  • Generating / Saving a Transfer Function File

  • InfiniiSim Plots

  • InfiniiSim Warning / Error Messages

  • S-Parameter Files

  • Transfer Function Files


Saving / Loading

What Controls are in the Load / Save Dialog Boxes?

How Do I Access the Load / Save Dialog Boxes?

What Controls are in the Load / Save Dialog Boxes?

  • Loading / Saving Setups

  • Loading / Saving Waveforms

  • Saving Composites

  • Saving the Screen

  • Saving Measurement Data

  • Save / Load Trigger Setup Dialog Box

  • Saving Jitter Data

  • Saving Noise Data

  • Waveform Memory Dialog Box

  • Loading a Mask

How Do I Access the Load / Save Dialog Boxes?

The Load / Save dialog boxes can be accessed under the File menu or by right-clicking on a displayed waveform / function and then choosing Save Waveform (you can then choose to save it to a file or to one of the four internal waveform memories).

See Also

  • Customize Multipurpose


Loading / Saving Setups

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

The Save Setup dialog box lets you save your current setup (either to Infiniium's internal hard disk or a network drive) for later use. From this dialog box, you can create subdirectories, new setup files, or overwrite existing setup files. Infiniium uses the file extension .set for setup files.

The Load Setup dialog box lets you recall a setup you previously saved. Because recalling a setup will overwrite Infiniium's existing configuration you may want to save the existing configuration first.

Why Would I Want to Use This Control?

  • Use to quickly reconfigure your oscilloscope to a previous configuration

  • Use to send an oscilloscope configuration to an off-site individual who needs to set up his/her oscilloscope exactly like yours

Where is This Control Accessed?

  • To save a setup, use the Save Setup dialog box (File > Save > Setup...). From this dialog box, you can create subdirectories, new setup files, or overwrite existing setup files.

  • To recall a setup you have previously saved, use the Load Setup dialog box (File > Load > Setup...). Using this dialog box, you can select which subdirectory and setup you want to recall.

  • It is also possible to load a setup using the front panel [Multipurpose] key (see Customize Multipurpose).

What Do I Need to Know About This Control?

  • When you save / load a setup, all of the Infiniium settings, including measurements, markers, horizontal and vertical control settings, trigger configuration, color scheme, and math functions, are saved to the disk file you have selected.

  • Infiniium always maintains its current settings in non-volatile RAM. When Infiniium powers up, its settings are the same as when it was last powered off.

  • Setup files must have the file extension of .set. If you are looking for a setup file and cannot find it, try looking in a different subdirectory (Folder).

See Also

  • Loading / Saving Waveforms

  • Saving the Screen

  • Saving Jitter Data

  • Saving Measurement Data

  • Save / Load Trigger Setup Dialog Box


Loading / Saving Waveforms

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

The Save Waveform dialog box lets you save your acquired waveforms or functions to Infiniium's hard disk, to a network drive, or to a waveform memory within the oscilloscope application so you can recall them at a later date or send them to other individuals.

The Load Waveform dialog box lets you recall a previously saved waveform into a selected waveform memory (Infiniium has four waveform memory locations). When a waveform is loaded, Infiniium will display the waveform and show the vertical scale, vertical offset, horizontal scale, and horizontal position at the bottom of the waveform viewing area.

Why Would I Want to Use This Control?

  • Use these controls when you want to send waveform data to off-site individuals

  • Use these controls when you want to save a waveform / function so you can recall it later

Where is This Control Accessed?

  • To save a waveform, use the Save Waveform dialog box (File > Save > Waveform...). From this dialog box, you can create subdirectories, new waveform files, or overwrite existing waveform files.

  • To recall a waveform you have previously saved, use the Load Waveform dialog box (File > Load > Waveform...). Using this dialog box, you can select which subdirectory and waveform you want to recall and specify which of Infiniium's four waveform memories is used to store the waveform.

What Do I Need to Know About This Control?

  • Infiniium can recall a waveform that was saved using the internal format (.wfm) to any of the four waveform memories. Infiniium uses the following file extensions for waveform files:

    • .wfm for internal Infiniium format (see Internal Infiniium (.wfm) Data Format).

    • .txt for YValues text format (see YValues Text (.txt) Data Format).

    • .csv for XYPairs comma separated text format (see XYPairs Comma Separated Text (.csv) Data Format).

    • .tsv for XYPairs tab separated text format (see XYPairs Tab Separated Text (.tsv) Data Format).

    • .bin for Binary Data format (see Binary (.bin) Data Format).

    • .h5 for HDF5 format (see HDF5 (.h5) Data Format).

  • There are two ways to load data into a waveform memory:

    • All Data — All Data loads the number of waveform data points into a waveform memory as indicated by the memory depth. The data that is loaded into the waveform memory does not include the Sin(x)/x Interpolation digital filter data.

    • On-Screen Data — On-Screen Data loads only the waveform data that appears in the waveform viewing area into the waveform memory. The data that is loaded includes the Sin(x)/x Interpolation digital filter data if it is enabled.

  • Waveform files must have the file extension of .wfm. If you are looking for a waveform file and cannot find it, try looking in a different subdirectory (Folder).

  • In normal real time mode, samples from different channels are not time aligned. The reason is because channels are corrected during calibration for skew error and the resolution of the correction is finer than the sample period. The application of this correction factor is applied after the data is sampled by the Analog to Digital converter (ADC). The result is that samples from different channels do not line up in time due to the sub-sample portion of the correction. Normally software aligns each of the time-axis origins so you will not notice it, but if you export data, you will notice that samples from different channels do not align. The easiest way to force them to align if it is required is to use probe skew.

See Also

  • Loading / Saving Setups

  • Saving the Screen

  • Saving Jitter Data

  • Saving Measurement Data

  • Save / Load Trigger Setup Dialog Box


Internal Infiniium (.wfm) Data Format

Infiniium's internal file format is a binary format which uses the least amount of disk space.

Waveform files stored using the internal format contain the vertical and horizontal scaling parameters of the original waveform. Therefore, when you recall a waveform into a waveform memory, you can still perform automatic measurements and use the markers.

Because the internal format is binary, you cannot directly display its contents in a word processing or plotting program.

You can convert an internal format file to a text file format for plotting in a spreadsheet or word processing program by recalling a .wfm waveform and saving it in either YValues or XYPairs format.


YValues Text (.txt) Data Format

The YValues is an ASCII file format which can be plotted in many spreadsheet or word processing programs.

If you select the Include Scale Factors check box, the file consists of a file header, which describes the waveform's horizontal and vertical scaling information and scope information, followed by the X and Y data. If you do not select the Include Scale Factors check box, the file will not have a header just the YValues data.

The data consists of Y values separated by a carriage return and line feed.

YValue files are 4 to 5 times larger than internal format files.

If there is more than one source that is on, you can save all displayed sources to a file. The only exception to this is functions that are using FFTs or versus operators.

When the oscilloscope is in the Peak Detect acquisition mode, the minimum and maximum value waveform data points are saved to the file. The minimum value data points are saved first followed by a blank line then the maximum value data points are saved.

You can load YValues files into Infiniium with the following exception. The only files that cannot be loaded are histograms which are stored as .csv, .tsc, or .txt WITHOUT the scaling information (in other words, without a header). Histograms stored with the scaling information can be loaded.

Header Format

See Header Format for YValues and XYPairs Waveform Data Files.

Example YValues with Header

Revision: 0
Type: raw
Start: 0
Points: 1252
Count: 1
XDispRange: 5.00000E-03
XDispOrg: -2.50000000000000E-03
XInc: 4.000000000000E-06
XOrg: -2.50115882184901E-03
XUnits: second
YDispRange: 4.00000E-01
YDispOrg: -4.28477E-02
YInc: 6.431977370549E-06
YOrg: 7.703457309734E-03
YUnits: Volt
Frame: 54831B:US37340223
Date: 17 FEB 1998
Time: 15:12:20:20
Max bandwidth: 500000000
Min bandwidth: 0
Data:
3.6E-03
4.4E-03
3.6E-03
2.9E-03
2.0E-03
1.4E-03
.
.
.

Example YValues without Header

3.6E-03
4.4E-03
3.6E-03
2.9E-03
2.0E-03
1.4E-03
1.4E-03
1.4E-03
2.0E-03
.
.
.


Header Format for YValues and XYPairs Waveform Data Files

Revision

The revision number is always 0 (zero).

Type

How the waveform was acquired: normal, raw, interpolate, average, or versus. When this field is read back into the scope, all modes, except versus, are converted to raw. The default value is raw.

Start

Starting point in the waveform of the first data point in the file. This is usually zero.

Points

The number of points in the waveform record. The number of points is set by the Memory Depth control. The default value is 1.

Count or Segments

For count, it is the number of hits at each time bucket in the waveform record when the waveform was created using an acquisition mode like averaging. For example, when averaging, a count of four would mean every waveform data point in the waveform record has been averaged at least four times. Count is ignored when it is read back into the scope. The default value is 0.

Segments is used instead of Count when the data is acquired using the Segmented acquisition mode. This number is the total number of segments that were acquired.

XDispRange

The number of X display range columns (n) depends on the number of sources being stored. The X display range is the X-axis duration of the waveform that is displayed. For time domain waveforms, it is the duration of time across the display. If the value is zero then no data has been acquired.

XDispOrg

The number of X display origin columns (n) depends on the number of sources being stored. The X display origin is the X-axis value at the left edge of the display. For time domain waveforms, it is the time at the start of the display. This value is treated as a double precision 64-bit floating point number. If the value is zero then no data has been acquired.

XInc

The number of X increment columns (n) depends on the number of sources being store. The X increment is the duration between data points on the X axis. For time domain waveforms, this is the time between points. If the value is zero then no data has been acquired.

XOrg

The number of X origin columns (n) depends on the number of sources being store. The X origin is the X-axis value of the first data point in the data record. For time domain waveforms, it is the time of the first point. This value is treated as a double precision 64-bit floating point number. If the value is zero then no data has been acquired.

XUnits

The number of X units columns (n) depends on the number of sources being store. The X units is the unit of measure for each time value of the acquired data.

YDispRange

The number of Y display range columns (n) depends on the number of sources being store. The Y display range is the Y-axis duration of the waveform which is displayed. For voltage waveforms, it is the amount of voltage across the display. If the value is zero then no data has been acquired.

YDispOrg

The number of Y display origin columns (n) depends on the number of sources being store. The Y-display origin is the Y-axis value at the center of the display. For voltage waveforms, it is the voltage at the center of the display. If the value is zero then no data has been acquired.

YInc

The number of Y increment columns (n) depends on the number of sources being store. The Y increment is the duration between Y-axis levels. For voltage waveforms, it is the voltage corresponding to one level. If the value is zero then no data has been acquired.

YOrg

The number of Y origin columns (n) depends on the number of sources being store. The Y origin is the Y-axis value at level zero. For voltage waveforms, it is the voltage at level zero. If the value is zero then no data has been acquired.

YUnits

The number of Y units columns (n) depends on the number of sources being stored. The Y units is the unit of measure of each voltage value of the acquired waveform.

Frame

A string containing the model number and serial number of the scope in the format of MODEL#:SERIAL#.

Date

The date when the waveform was acquired. The default value is 27 DEC 1996.

Time

The time when the waveform was acquired. The default value is 01:00:00:00.

Max bandwidth

An estimation of the maximum bandwidth of the waveform. The default value is 0.

Min bandwidth

An estimation of the minimum bandwidth of the waveform. The default value is 0.

Time Tags

The Time Tags only occur when the data was acquired using the Segmented acquisition mode with time tags enabled and the file format is YValues. The number of columns depends on the number of Segments being saved.

Data

The data values follow this header entry.


XYPairs Comma Separated Text (.csv) Data Format

The XYPairs is an ASCII file format which can be plotted in many spreadsheet or word processing programs.

If you select the Include Scale Factors check box, the file consists of a file header which describes the waveform's horizontal and vertical scaling information and scope information followed by the X and Y data. If you do not select the Include Scale Factors check box the file will not have a header just the X and Y Pairs data.

The data consists of both the X and Y values separated by a comma. At the end of each X and Y pair value is a carriage return and line feed.

XYPairs files are 4 to 5 times larger than internal format files.

If there is more than one source that is on, you can save all displayed sources to a file. The only exception to this is functions that are using FFTs or versus operators.

When the oscilloscope is in the Peak Detect acquisition mode, the minimum and maximum value waveform data points are saved to the file. The minimum value data points are saved first followed by a blank line then the maximum value data points are saved.

You can load XYPairs files into Infiniium. The only files that cannot be loaded are histograms which are stored as .csv, .tsc, or .txt WITHOUT the scaling information (in other words, without a header). Histograms stored with the scaling information can be loaded.

Importing XYPairs into Excel (Version 7)

You can import the XYPairs file format into an Excel spreadsheet as follows:

  • Select the File/Open menu.

  • In the Files of type list, select Text Files (*.prn;*.txt;*.csv).

  • Select OK button.

  • Excel will place the X values in column A and the Y values in column B.

Importing XY Pairs into Lotus 1-2-3 (Release 5)

You can import the XYPairs file format into a Lotus 1-2-3 spreadsheet as follows:

  • Select the File/Open menu.

  • Select file type of Text (txt;prn;csv;dat;out;asc).

  • Select the Text Options button.

  • Choose Comma as the Separator.

  • Lotus will place the Xvalues in column A and the Y values in column B.

Header Format

See Header Format for YValues and XYPairs Waveform Data Files.


XYPairs Tab Separated Text (.tsv) Data Format

The XYPairs is an ASCII file format which can be plotted in many spreadsheet or word processing programs.

If you select the Include Scale Factors check box, the file consists of a file header which describes the waveform's horizontal and vertical scaling information and scope information followed by the X and Y data. If you do not select the Include Scale Factors check box, the file will not have a header just the X and Y Pairs data.

The data consists of both the X and Y values separated by a tab character. At the end of each X and Y pair values is a carriage return and line feed.

XYPairs files are 14 to 15 times larger than internal format files.

If there is more than one source that is on, you can save all displayed sources to a file. The only exception to this is functions that are using FFTs or versus operators.

When the scope is in the Peak Detect acquisition mode, the minimum and maximum value waveform data points are saved to the file. The minimum value data points are saved first followed by a blank line then the maximum value data points are saved.

You can load XYPairs files into Infiniium. The only files that cannot be loaded are histograms which are stored as .csv, .tsc, or .txt WITHOUT the scaling information (in other words, without a header). Histograms stored with the scaling information can be loaded.

Importing XYPairs into Excel (Version 7)

  • Select the File/Open menu.

  • In the Files of type list, select All Files (*.*).

  • Select OK button.

Excel will place the X values in column A and the Y values in column B.

Header Format

See Header Format for YValues and XYPairs Waveform Data Files.

Example XYPairs with Header

Revision: 0
Type: raw
Start: 0
Points: 1252
Count: 1
XDispRange: 5.00000E-03
XDispOrg: -2.50000000000000E-03
XInc: 4.000000000000E-06
XOrg: -2.50115882184901E-03
XUnits: second
YDispRange: 4.00000E-01
YDispOrg: -4.28477E-02
YInc: 6.431977370549E-06
YOrg: 7.703457309734E-03
YUnits: Volt
Frame: 54831B:US37340223
Date: 17 FEB 1998
Time: 15:12:20:20
Max bandwidth: 500000000
Min bandwidth: 0
Data:
-2.5052E-03,-2.18E+00
-2.5012E-03,-2.17E+00
-2.4972E-03,-2.17E+00
.
.
.
2.4908E-03,2.70E+00
2.4948E-03,2.69E+00
2.4988E-03,2.69E+00

Example XYPairs without Header

-2.5052E-03,-2.18E+00
-2.5012E-03,-2.17E+00
-2.4972E-03,-2.17E+00
.
.
.
2.4908E-03,2.70E+00
2.4948E-03,2.69E+00
2.4988E-03,2.69E+00


Binary (.bin) Data Format

The Binary Data is a binary format which contains a header and data in the form of time and voltage pairs. The file header describes the waveform's horizontal scaling, vertical scaling, and other scope information.

Because the data is in binary format, the size of the file is approximately 5 times smaller than the XYPairs formats.

If there is more than one source that is on, you can save all displayed sources to a file. The only exception to this is functions that are using FFTs or versus operators.

When the scope is in the Peak Detect acquisition mode, the minimum and maximum value waveform data points are saved to the file. The minimum value data points are saved first followed by a blank line then the maximum value data points are saved.

Binary Header Format

File Header

There is only one file header in a binary file. The file header consists of the following information.

Cookie

Two byte characters, AG, which indicates that the file is in the Agilent Binary Data file format.

Version

Two bytes which represent the file version.

File Size

An integer which is the number of bytes that are in the file.

Number of Waveforms

An integer which is the number of waveforms that are stored in the file.

Waveform Header

The waveform header contains information about the type of waveform data that is stored following the waveform data header which is located after each waveform header. Because it is possible to store more than one waveform in the file, there will be a waveform header and a waveform data header for each waveform.

Header Size

An integer which is the number of bytes in the header.

Waveform Type

An integer which is the type of waveform that is stored in the file. The follow shows what each value means.

  • 0 = Unknown

  • 1 = Normal

  • 2 = Peak Detect

  • 3 = Average

  • 4 = Horizontal Histogram

  • 5 = Vertical Histogram

  • 6 = Logic

Number of Waveform Buffers

An integer which is the number of waveform buffers required to read the data.

Points

An integer which is the number of points in the waveform.

Count

An integer which is the number of hits at each time bucket in the waveform record when the waveform was created using an acquisition mode like averaging. For example, when averaging, a count of four would mean every waveform data point in the waveform record has been averaged at least four times. Count is ignored when it is read back into the scope. The default value is 0.

X Display Range

A float which is the number of X display range columns (n) depends on the number of sources being stored. The X display range is the X-axis duration of the waveform that is displayed. For time domain waveforms, it is the duration of time across the display. If the value is zero then no data has been acquired.

X Display Origin

A double which is the number of X display origin columns (n) depends on the number of sources being stored. The X display origin is the X-axis value at the left edge of the display. For time domain waveforms, it is the time at the start of the display. This value is treated as a double precision 64-bit floating point number. If the value is zero then no data has been acquired.

X Increment

A double which is the number of X increment columns (n) depends on the number of sources being store. The X increment is the duration between data points on the X axis. For time domain waveforms, this is the time between points. If the value is zero then no data has been acquired.

X Origin

A double which is the number of X origin columns (n) depends on the number of sources being store. The X origin is the X-axis value of the first data point in the data record. For time domain waveforms, it is the time of the first point. This value is treated as a double precision 64-bit floating point number. If the value is zero then no data has been acquired.

X Units

An integer which is the number of X units columns (n) depends on the number of sources being store. The X units is the unit of measure for each time value of the acquired data. X unit definitions are:

  • 0 = Unkown

  • 1 = Volt

  • 2 = Second

  • 3 = Constant

  • 4 = Amp

  • 5 = Decibel

Y Units

An integer which is the number of Y units columns (n) depends on the number of sources being store. The Y units is the unit of measure of each voltage value of the acquired waveform. Y units definitions are:

  • 0 = Unkown

  • 1 = Volt

  • 2 = Second

  • 3 = Constant

  • 4 = Amp

  • 5 = Decibel

Date

A 16 character array which is the date when the waveform was acquired. The default value is 27 DEC 1996.

Time

A 16 character array which is the time when the waveform was acquired. The default value is 01:00:00:00.

Frame

A 24 character array which is the model number and serial number of the scope in the format of MODEL#:SERIAL#.

Waveform Label

A 16 character array which is the

Time Tags

A double which is the time tag value of the segments being saved.

Segment Index

An unsigned integer which is the segment index of the data that follows the waveform data header.

Waveform Data Header

The waveform data header consists of information about the waveform data points that are stored immediately after the waveform data header.

Waveform Data Header Size

An integer which is the size of the waveform data header.

Buffer Type

A short which is the type of waveform data that is stored in the file. The following shows what each value means.

  • 0 = Unknown data

  • 1 = Normal 32 bit float data

  • 2 = Maximum float data

  • 3 = Minimum float data

  • 4 = Time float data

  • 5 = Counts 32 bit float data

  • 6 = Digital unsigned 8 bit char data

Bytes Per Point

A short which is the number of bytes per data point.

Buffer Size

An integer which is the size of the buffer required to hold the data points.


HDF5 (.h5) Data Format

Hierarchical Data Format version 5, commonly abbreviated HDF5 is a file format designed to store and organize large amount of numerical data. The HDF format and associated libraries are supported by the non-profit HDF Group who continue to develop and promote HDF5 technologies. The freely available HDF distribution includes the library, command-line utilities, test suite source, and APIs for several popular programming languages including C, C++, Java, Perl, Fortran, and F90. More information about the format specification as well as distribution and tutorial can be found at the HDF Group's website: www.hdfgroup.org.

Waveform data stored in the .h5 format consists of a set of waveform attributes much like the header information used in the .bin and .csv formats, followed by the Y values of the waveform. The waveform can be reconstructed using the X and Y scaling values stored in the waveform attributes section.

When the HDF5 type is selected, you have the option to Save data as floats. When this option is checked, data within the .h5 file is saved as floats. When unchecked, data is saved as integers.


Saving Composites

What Does This Control Do?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

The Save Composite dialog box lets you save oscilloscope composite files to Infiniium's hard disk or to a network drive. Composite files contain setups and waveform data. Composite files are used for demos and for viewing oscilloscope data in offline viewers.

Where is This Control Accessed?

  • To save a composite, use the Save Composite dialog box (File > Save > Composite...). From this dialog box, you can create subdirectories, new composite files, or overwrite existing composite files.

What Do I Need to Know About This Control?

  • Composite files must have the file extension of .osc. If you are looking for a composite file and cannot find it, try looking in a different subdirectory (Folder).

See Also

  • Loading / Saving Setups

  • Loading / Saving Waveforms


Saving the Screen

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Do I Need to Know About This Control?

What Does This Control Do?

Once you have a display image you want to save, this control saves a copy of the display image to a network drive or to Infiniium's hard disk. Using this dialog box, you can tell Infiniium the name of your image file and where you want to save it.

Tip

You can also save a screen using the QuickScreen option associated with the front panel [Multipurpose] key. See Customize Multipurpose.

There are several check box options that can be found in this dialog box:

  • Waveforms Only — When the Waveforms Only option is selected, Infiniium saves only the waveform viewing area and excludes the menu bar, waveform measurements area, and all the toolbars. If there are any dialog boxes open and positioned over the waveform viewing area, they are also saved in the file. When not selected, Infiniium saves everything on screen including the menu bar, waveform measurements area, and all the toolbars.

  • Invert Waveform Colors — When the Invert Waveform Colors option is selected, Infiniium changes the waveform background color from black to white. The waveform colors remain unchanged.

  • Include Setup Information — When the Include Setup Information option is selected, Infiniium places the current date above the screen image and places the current scope setups and the information contained on all of the tabs beneath the screen image. Otherwise, only the screen image is saved.

  • Compressed Format — Infiniium supports compression which reduces the file size. Compression is selectable for all file formats except JPEG, GIF, and PCX which are always compressed.

Why Would I Want to Use This Control?

  • Use to save a copy of the display image to a network drive or Infiniium's hard disk.

  • Use for hardcopy printing or importing into other applications (such as word processing applications). You should use Save Waveform for exporting waveform data to other applications, such as spreadsheets.

Where is This Control Accessed?

  • To save a screen, use the Save Screen dialog box (File > Save > Screen...). From this dialog box, you can create subdirectories, new screen files, or overwrite existing screen files.

  • It is also possible to save a screen using the front panel [Multipurpose] key (QuickScreen). See Customize Multipurpose.

What Do I Need to Know About This Control?

  • To name a screen file, you can use either the optional keyboard or click the Keyboard button with the mouse. You can use the mouse Keyboard to enter and edit the file name.

  • There are some characters, such as a colon (:), that cannot be used in file names. Infiniium will inform you if your file name contains any of these characters.

  • Image files have different file extensions depending on their content:

    • .bmp 256 color bitmap file format, version 3.

    • .gif 256 color Graphics Interchange file format, version 87a.

    • .tif 256 color Tagged Information File format, version 5.0.

    • .jpg 256 color Joint Photographic Experts Group, version 1.02.

  • The number of images you can save is limited only by the available space on the internal hard disk or a network drive.

  • You can rename or delete a file in this dialog box by right-clicking on the file name in the dialog box. Once the file name is highlighted, use the Rename or Delete selection. You can also create folders (subdirectories) by using the New Folder button.

See Also

  • Send E-mail Dialog Box

  • Loading / Saving Waveforms

  • Loading / Saving Setups

  • Saving Jitter Data

  • Saving Measurement Data

  • Save / Load Trigger Setup Dialog Box


Send E-mail Dialog Box

What Controls are in the Send E-mail Dialog Box?

How Do I Access the Send E-mail Dialog Box?

What Controls are in the Send E-mail Dialog Box?

This dialog box lets you send an e-mail with a screen image.

  • To — Use this field to enter the e-mail address for the person who is to receive the e-mail. You can specify multiple e-mail addresses by separating each address by either a space or a semi-colon.

  • From — Use this field to enter the e-mail address of the person who is sending the e-mail. It is a good idea to use your e-mail address in this field so you will receive an e-mail informing you if the e-mail was unable to be delivered. You can specify multiple e-mail addresses by separating each address by either a space or a semi-colon.

  • Subject — Use this field to enter the subject of the e-mail.

  • Server — Use to enter the name of your SMTP e-mail server. You may need to ask your Network Administrator for the name if you do not know it.

  • Format — Use to specify the format of the attached image (.bmp, .gif, .jpg, .png, .tif)

  • Attach Scope Setup File — When enabled, Infiniium attaches a setup file of the current oscilloscope settings. This file can be used later to return the oscilloscope to the current conditions.

  • Include Setup Information in Screenshot — When enabled, Infiniium places the current date above the screen image and then places both the current oscilloscope setups and the information contained on all of the tabs beneath the screen image.

How Do I Access the Send E-mail Dialog Box?

The Send E-mail dialog box can be accessed under the File menu (File > E-mail Screen).

See Also

  • E-mail on Trigger


Saving Measurement Data

What Does This Control Do?

Why Would I Want to Use This Control?

Where is This Control Accessed?

What Does This Control Do?

This control saves the measurement results that are in the Measurements tab.

Why Would I Want to Use This Control?

  • Use this control to save a hardcopy of you measurement results.

Where is This Control Accessed?

  • To save measurement data, use the Save Measurement Data dialog box (File > Save > Measurement Data...). From this dialog box, you can create subdirectories, new measurement data files, or overwrite existing measurement data files.

See Also

  • Loading / Saving Waveforms

  • Loading / Saving Setups

  • Saving Jitter Data

  • Saving the Screen

  • Save / Load Trigger Setup Dialog Box


Save / Load Trigger Setup Dialog Box

What Controls are in the Save / Load Trigger Setup Dialog Box?

How Do I Access the Save / Load Trigger Setup Dialog Box?

What Controls are in the Save / Load Trigger Setup Dialog Box?

  • You can save up to 10 different trigger setups so they can quickly be loaded at a later date. This saves you the time of having to re-enter all of the trigger conditions. To save or load a trigger setup, click on the Save/Load Trigger Setup button in the Trigger Setup dialog box (or you can select Trigger > Trigger Save/Load).

  • You can also choose to save the trigger settings to a file and then load from this file at a later date. Click on the Save to File and Load From File buttons in this dialog box to accomplish this.

How Do I Access the Save / Load Trigger Setup Dialog Box?

The Save / Load Trigger Setup dialog box can be accessed via Trigger > Save / Load or by clicking on the Save / Load Setup button in the Trigger Setup dialog box (Trigger > Setup Trigger).

See Also

  • Trigger

  • Saving / Loading


Printing Screens

Choosing File > Print... from the main menu opens the Print dialog box.

The Print dialog box is similar to print dialog boxes in other Windows applications, where you can select a printer, specify its properties, select a range of pages to print, and a number of copies, etc.

However, the Print dialog box in the Infiniium oscilloscope application has a few options that are specific to the application:

  • Waveforms Only — When enabled, only the waveform viewing area is printed. Controls, settings, menus, and toolbars are not printed.

  • Invert Waveform Colors — When enabled, the black graticule background is changed to white and waveforms are drawn in dark colors or black. This provides better image clarity on some printers.

  • Include Setup Information — When enabled, text about the acquisition of the waveform is included below the picture of the display.

    Information includes acquisition mode, sampling rate, memory depth, averaging settings, filtering settings, vertical and horizontal scaling information, probe settings, time base settings, and trigger settings.

The Preview button lets you see what will be printed before you send it to the printer.

See Also

  • Saving the Screen

  • QuickPrint

  • Bottom Toolbar


Utilities

User Calibration

Calibration Output Dialog

Self Tests

eGUI Dialog Box

Remote Setup Dialog Box

LXI Dialog Box

Install Option License Dialog Box

Customize Multipurpose

User Preferences Dialog Box


User Calibration

When Should I Perform a User Calibration?

How Do I Perform a User Calibration?

How Do I Access the User Calibration Controls?

How Do I Use the User Calibration Controls?

What Do I Do If the Calibration Fails?

When Should I Perform a User Calibration?

There are two times we recommend performing a user calibration:

  • At least once a year.

  • When the Calibration Δ Temp is greater than ±5 ºC (the Calibration Δ Temp reading is found in the Calibration dialog box under Utilities > Calibration).

How Do I Perform a User Calibration?

You will need the calibration cable that came with your oscilloscope and a BNC cable to perform a user calibration.

  1. You should allow the scope to warm-up for at least 30 minutes before calibrating.

  2. Enter the Calibration dialog box via Utilities > Calibration.

  3. In this dialog box, uncheck the Cal Memory Protect box.

  4. Click Start.

  5. Follow the step-by-step instructions on your oscilloscope.

How Do I Access the User Calibration Controls?

The User Calibration controls are accessed via the Calibration dialog box (Utilities > Calibration).

How Do I Use the User Calibration Controls?

There are two main controls in the Calibration dialog box.

  • Cal Memory Protect — When this box is checked, the calibration factors are protected from accidentally being overwritten. Before the scope can be calibrated, you must make sure the calibration memory is not protected. You can do this by clicking on the Cal Memory Protect control to clear the check mark.

  • Details — The Details check box, when checked, displays a list of anything that has failed during the calibration. The failure information can be used by service personnel to aid in the repair of the scope.

You will also notice that there is a Calibration Status area. This area lets you know whether certain channels failed the calibration (see below for information on what to do if a calibration fails).

There is also some data above this field that tells you the change in temperature since the last calibration (Calibration ΔTemp), the date of the last calibration (Calibration Date), the change in temperature since the last time scale calibration (this value - Time Scale Cal ΔTemp - is used in the time scale accuracy specification), and the date of the last time scale calibration (which is also used in the time scale accuracy specification - Time Scale Cal Date).

What Do I Do If the Calibration Fails?

If you see that your calibration failed on one or more channels, you can check the Details box to see further information on the failure. There are several reasons an oscilloscope may fail a user calibration. They include:

  • A bad coaxial cable was used — the calibration procedure should be performed using a short, high-quality BNC-to-BNC coaxial cable such as the Agilent 10503A cable.

  • An oscilloscope scope probe was used to calibrate the oscilloscope.

  • A bad calibration source was used — you should only use the Aux Out of the oscilloscope as the calibration source.

  • The cable connectors were improperly connected to the oscilloscope — please check that the cable connectors are securely fastened to both the channel input BNC and the Aux Out BNC and restart the calibration process.

If you have checked all of the above and the calibration still fails, you should send the oscilloscope to a Service Center for repair.

Additionally, you may receive the following error while using your oscilloscope: Fine interpolator gain cal failed: Service is required. Infiniium periodically performs a fine interpolator gain calibration based on internal time and temperature factors. This automatic calibration maintains the high timing accuracy of the oscilloscope. If this calibration fails, you should send the oscilloscope to a Service Center for repair.

See Also

  • Probe Calibration

  • Self Tests


Calibration Output Dialog

What Controls are in the Calibration Output Dialog?

How Do I Access the Calibration Output Dialog?

What Controls are in the Calibration Output Dialog?

  • Aux Output - This field is used to specify the signal output by the Aux Out BNC connector on the front of the oscilloscope (this BNC is used to provide internal oscilloscope waveforms for calibration and external triggering). The choices for this field are:

    • DC - You can use this control to put a DC voltage on the Aux Out BNC connector. You can adjust the voltage from -2.4 V to +2.4 V DC. This is typically used by calibration and measurement standards labs such as NIST (National Institute of Standards and Technology) to measure the DC level against a known standard.

    • Probe Comp (default) - You can use this setting to put a probe compensation square wave into 50 Ω on the Aux Out BNC connector. This waveform is typically used to adjust compensated passive probes.

    • Trig Out - With this setting, your Infiniium oscilloscope sends a pulse to the Aux Out BNC connector when a trigger event occurs. This pulse is typically used to trigger other test equipment. The pulse is 350 mV peak-to-peak and is design to drive a 50 Ω load. The rising edge of the pulse is the trigger point.

    • HF Osc — A high-frequency oscillator output.

    • Demo Clock - The Demo Clock is a 456 MHz square wave that goes from approximately 0 volts to -530 mV. This waveform is used for demonstration purposes only.

  • Aux Out Rise time — Lets you choose a Fast or Slow rise time for the Aux Out signal.

How Do I Access the Calibration Output Dialog?

The Calibration Output dialog box can be accessed via Utilities > Calibration Output....

See Also

  • Probe Calibration


Self Tests

What Are Self Tests Used For?

How Do I Access the Self Tests?

Repair Information

What Are Self Tests Used For?

Self tests are used to test the oscilloscope hardware for failures and to test the front panel controls/LEDs.

How Do I Access the Self Tests?

  1. From the Infiniium oscilloscope application's main menu, choose Utilities > Self Test....

  2. In the Self Test dialog box, select the type of self test you want to run:

    • Keyboard Test

    • LED Test

    • Scope SelfTest

  3. Click Start Test to begin the tests.

Repair Information

  • Service Center Repair — Any self test failure may require the replacement of an acquisition board with another functioning board. For more information, consult the Service Guide (see Additional Manuals).

See Also

  • User Calibration


eGUI Dialog Box

What Controls are in the eGUI Dialog Box?

How Do I Access the eGUI Dialog Box?

What Controls are in the eGUI Dialog Box?

This dialog box has three main controls:

  • Edit the eGUI File — This button brings up the eGUI text file (eGUI.txt) so you can edit it. The eGUI system allows you to augment the Infiniium menu system with your own menu selections (including submenus). This is accomplished by adding entries to the eGUI.txt file on your Infiniium oscilloscope. Menu items can be added to any of the existing Infiniium menus, but cannot be added to the main menu bar. While you can add menu items to any menu, it is recommended that you add menu items to the Analyze or Utilities menus.

    The eGUI.txt file is a text only ASCII file which can be edited using any text editor or in the default editor that opens when you click on the Edit eGUI File button. The file is stored on the oscilloscope in the C:Documents and Settings/All Users/Shared Documents/Infiniium/CONFIG directory.

    The following is an example of adding a menu item.

    EGUI_ITEM_MENU
   MENU_PATH={MAIN\Utilities\&My Menu Item}
   MENU_RUN={C:\Program Files\Agilent\Infiniium\util\myprogram.exe}
   MENU_RUN_ARGS={/list}
   EGUI_FLAGS={SHOW_RUN_OPTIONS}
   MENU_SEP={BEFORE}
   MENU_POS={-1}
EGUI_END_ITEM;

    The Application Integration Package (My Infiniium) grants your Infiniium access to this feature.

  • Reload eGUI — After you have edited the eGUI.txt file to add your menu options, press the Reload eGUI button to activate your changes within the oscilloscope GUI.

  • The Application Integration Package (My Infiniium) also allows you to modify the QuickExecute feature. The [Multipurpose] key on your oscilloscope's front panel can be configured to run applications via the Customize Multipurpose dialog box.

How Do I Access the eGUI Dialog Box?

The eGUI dialog box can be accessed via Utilities > eGUI.

See Also

  • To learn more about the Application Integration Package, see the E2699A Application Integration Package User's Guide.

  • Customize Multipurpose

  • Display Controls


Remote Setup Dialog Box

What Controls are in the Remote Setup Dialog Box?

How Do I Access the Remote Setup Dialog Box?

What Controls are in the Remote Setup Dialog Box?

  • GPIB Interface — You can set the GPIB interface address using this control to set the address used to remote control Infiniium. The default address is 7 but addresses from 0 to 30 may be used.

    The GPIB uses an address to uniquely identify each device on the GPIB bus. The GPIB devices are interconnected by GPIB cables and a device only responds to data sent to its address. Each device must be set to a different GPIB address so that no two devices will try to put data on the GPIB bus at the same time.

  • USB Interface — Shows the VISA address for the oscilloscope's USB Device port. The VISA address can be used to send the oscilloscope programming commands via the USB connection.

  • LAN Interface — Shows the SICL address that can be used to send Infiniium programming commands from your computer via the LAN.

  • Web Interface — When the Enable Web (HTTP) Server control is enabled, you can use your favorite web browser to view and control the Infiniium oscilloscope from your computer.

    Note

    Before you can control your Infiniium oscilloscope using a web browser, you must configure set it up to work on your Local Area Network (LAN).

    The oscilloscope's web address is shown in this section.

    In your web browser, enter "http://<oscilloscope_web_address>" to access the oscilloscope's "Welcome to your Web-Enabled Infiniium" page.

    If you want to use Web Interface's Browser Web Control, you must first configure the oscilloscope's VNC server admin properties as described in VNC Configuration Help.

    If the web server is enabled but there are problems accessing it, see If there are problems with remote access.

  • VNC Configuration Help... — A VNC Viewer on your PC provides another way to access the oscilloscope's user interface over the LAN. For information on configuring VNC, see VNC Configuration Help.

  • Debug... — Opens the Debug Dialog Box which has controls for viewing programming command debug information.

How Do I Access the Remote Setup Dialog Box?

The Remote Setup dialog box can be accessed via Utilities > Remote Setup....

See Also

  • LXI Dialog Box


Debug Dialog Box

What Controls are in the Debug Dialog Box?

How Do I Access the Debug Dialog Box?

What Controls are in the Debug Dialog Box?

You can use the controls in this dialog box to:

  • Use to view programming commands received from a remote computer.

  • Use to store in a file of programming commands received from a remote computer.

  • Use to view the programming commands received from a remote computer that are stored in the debug file.

The Debug dialog box gives you the ability to view the programming commands that are sent from a remote computer. When you send a query to the oscilloscope, Infiniium shows you what is being send to your computer. If Infiniium detects an error, the line beneath where the error occurs a caret mark (^) is placed showing the position of the error. The next line beneath the caret mark shows the error that occurred.

Destination

There are three destination choice for storing the programming commands: Screen, File, and File & Screen.

  • Screen — When Screen and Enable are selected, all programming commands, queries, responses to queries, and syntax errors are displayed inside the waveform viewing area. This will over write your waveforms and grid while you are in the debug mode.

  • File — When File and Enable are selected, all programming commands, queries, responses to queries, and syntax errors are written to the file whose name is shown in the File name edit box. If the Create File Mode is selected, a new file is open. If the file already exists, you are asked whether or not you want to over write the file. If the Append File Mode is selected, the file is opened and programming commands are added to the end of the file. To view the file when you are finished debugging, you must deselect Enable which closes the file and allows use to view it using the View File button.

  • File & Screen — When File & Screen and Enable are selected, all programming commands, queries, responses to queries, and syntax errors are written to a file and to the waveform viewing area.

Viewing the File

The first 6 lines of the file contain header information as shown below:

 Debug information file C:\Documents and Settings\All Users\Documents\Infiniium\gpib_err.txt
 Date: 17 APR 2009
 Time: 02:59:01
 Model: 9404A
 Serial#: 0123456789

Following the header is the list of programming commands and queries that were sent to the oscilloscope. These lines are identified by a greater than symbol (>). For example:

 > :syst:err? string$<NL>

On the line following a query is the information that the oscilloscope sends back to the computer. These lines are identified by a less than symbol (<). For example:

 < :SYSTEM:ERROR 0,"No error"$

If Infiniium detected a syntax error in a command or query, the line following the error will have a caret symbol (^) which points to where the error occurred. The line following the caret symbol shows the type of error detected. Both of these lines are identified by a question mark symbol (?). For example:

 > :ACQuire:BEST THRuput$<NL>
 ? ^
 ? -113, Undefined header

How Do I Access the Debug Dialog Box?

The Debug dialog box can be accessed via Utilities > Remote Setup... > Debug button.

See Also

  • Additional Manuals


VNC Configuration Help

To configure VNC, right-click on the eye icon in the lower right corner and select Admin Properties from the pop-up menu as shown below. If you do not see the eye icon in the lower right corner, you may need to expand the tray.

Once the Admin Properties dialog box is open, you can set the various parameters associated with VNC. You will need to check the Accept Socket Connections and Enable JavaViewer boxes in this dialog box.

The VNC password is set at the factory to:

  • "Agilent" — for instruments using the Windows XP operating system.

  • "Agilent1" — for instruments using the Windows 7 operating system.

After you click okay, another dialog box may appear. If it does then uncheck the Protect my Computer and Data... box and click Ok.

For more information on VNC, visit the following website: http://www.uvnc.com/ (must be connected to the internet for this link to work).


If there are problems with remote access

If when accessing the Infiniium oscilloscope's web interface, you see errors like:

This problem can occur on Infiniium oscilloscopes with the Windows XP operating system.

You can fix this remote access problem by following these steps:

  1. Run the RunDcomperm.exe utility found in the C:\Program Files\Agilent\Infiniium\util directory.

  2. Click Fix DCOM.

  3. If Dcomperm.exe crashes, it must be dismissed and run a second time.

  4. After Dcomperm.exe is successful, click Close.

DCOM (and remote access) will be fixed.


LXI Dialog Box

What Controls are in the LXI Dialog Box?

How Do I Access the LXI Dialog Box?

What Controls are in the LXI Dialog Box?

This dialog box contains the following controls:

  • Shows the current revision number of the LXI standard in use.

  • Shows the current LXI class supported by Infiniium.

  • Shows the Infiniium MAC address of the primary network adapter.

  • Shows the current auto-mdix Infiniium capability.

LAN Reset

The LAN Reset button resets the primary ethernet adapter when you are logged in as an administrator. The ethernet adapter is set to the following:

  • Turns on DHCP

  • Turns on responses to the ping command

  • Turns on dynamic DNS registration

  • Turns on the web page

  • Web-enable is left in its current state.

  • Password for the network configuration web pages is set to "Agilent"

How Do I Access the LXI Dialog Box?

The LXI dialog box can be accessed via Utilities > LXI.

See Also

  • Remote Setup Dialog Box


Install Option License Dialog Box

What Controls are in the Install Option License Dialog Box?

How Do I Access the Install Option License Dialog Box?

What Controls are in the Install Option License Dialog Box?

You can use the controls in this dialog box to:

  • Install a local license for optional application software.

  • Install a server based license for optional application software.

The Install Option License dialog box provides these controls:

  • Local License — The local license, often referred to as a node locked license, is installed to enable the optional application software for only the Infiniium for which it was purchased.

  • Install Option License — If you ordered your Infiniium with an optional feature then the optional feature you ordered was installed at the factory. The license code is located on the rear panel of the scope.

    If you ordered optional features after purchasing the scope then you will receive the license code by e-mail or by mail.

  • Server Based License — The server license is installed when you have purchased server based optional application software that can be used by more than one Infiniium at a time up to the maximum number of purchased licenses.

  • License Server — The License Server is the name that was given to it when it was installed. See the License Server administrator to get the name of the License Server.

  • Port — This is the number of the port assigned at the time the License Server software was installed on the License Server PC. The License Server administrator can tell you what the port number is.

  • License to Borrow — When you select License to Borrow, a list of applications and features that are available on the License Server appears. Selecting an application or feature will allow you to borrow a license from the License Server. However, before you can use an application, the software for the application must be installed on the scope.

  • Borrow For — When you select the number of days for which you want to borrow a license, the time expires at midnight of the last day.

  • License Return — When you select License Return, the license for the selected application or feature is returned to the License Server for reuse.

How Do I Access the Install Option License Dialog Box?

The Install Option License dialog box can be accessed via Utilities > Install Option License.

See Also

  • Additional Manuals


Customize Multipurpose

What Does This Control Do?

Where is This Control Accessed?

What Does This Control Do?

This dialog box lets you change the operation performed when the [Multipurpose] front panel key is pressed or the Multipurpose menu item is selected in the Utilities menu. The operations that can be performed are:

  • QuickMeas (Default operation)

  • QuickPrint

  • QuickScreen

  • QuickSetup

  • QuickWaveform

  • QuickE-mail

  • QuickExecute (Optional Application Integration Package only)

  • QuickControl

Where is This Control Accessed?

This dialog box can be accessed via:

  • Utilities > Customize Multipurpose.

To then activate the multipurpose action, either press the front panel [Multipurpose] key or press Utilities > Multipurpose.

See Also

  • Front Panel Controls

  • Measurements

  • Saving the Screen

  • Front Panel Control Sources


QuickMeas

When you select Infiniium's QuickMeas feature, Infiniium performs the automatic measurements you have selected when the [Multipurpose] key is pressed. You can also activate the QuickMeas feature by going under Measure > QuickMeas. The measurements are made on the first active waveform. The first active waveform is the first channel found that is turned on. If no channels are turned on then the first function found that is turned on is used. If no channels or functions are turned on then the first waveform memory found that is turned on is used. When you press the [Multipurpose] key again the measurements made on the next active waveform. If there are no more active waveforms, the measurements are turned off.

The measurement results are displayed in the Measurements tab or in the waveform viewing area, depending upon how Infiniium is configured. If you want to view more than the default first five measurements, you need to first expand the tab area. To do this, select Control > Tab Area > Maximized. Now, when you press the [Multipurpose] key on the front panel, up to ten measurement results will be displayed in the tab area.

You can change the displayed measurements using the Measurement controls in the Customize Multipurpose dialog box (under Utilities > Customize Multipurpose). You can remove measurements from the display by using the Clear All button at the bottom of the Measurement Toolbar.

The default measurements for QuickMeas are:

  • Vp-p

  • Period

  • Frequency

  • Rise Time

  • Fall Time

  • Vmax

  • Vmin

  • +width

  • -width

  • Duty Cycle


QuickPrint

When you select Infiniium's QuickPrint feature, Infiniium prints the screen to the default printer when the [Multipurpose] key is pressed. The portion of the screen that is printed is controlled by the settings in the Print dialog box. You can use the Printer Properties button to change the printer settings.


QuickScreen

When you select Infiniium's QuickScreen feature, Infiniium saves the screen to the selected bitmap file when the [Multipurpose] key is pressed. The type of bitmap file that is saved and the file name that is used is controlled by the settings in the Save Screen dialog box. You can use the Browse button to change the portion of the screen that is saved, the file format, and the file name used when saving the screen.

Changing these settings only affects the way that bitmaps are saved using the [Multipurpose] key, it does not affect the way waveforms are saved using the Save Screen dialog box.

The file name that you choose is appended by a 3 digit suffix number. Each time the [Multipurpose] key is pressed, the suffix number is incremented. You can change the starting number for the suffix using the Suffix control.


QuickSetup

When you select Infiniium's QuickSetup feature, Infiniium loads the Infiniium setup file selected when the [Multipurpose] key is pressed. The Infiniium setup file that is loaded is controlled by the settings in the Save Setup dialog box. You can use the Browse button to change the file name used for loading an Infiniium setup.


QuickWaveform

When you select Infiniium's QuickWaveform feature, Infiniium saves the waveform to the selected file when the [Multipurpose] key is pressed. The waveform that is saved and the file name that is used is controlled by the settings in the Save Waveform dialog box. You can use the Browse button to change the waveform, the file format, and the file name used when saving the waveform data.

Changing these settings only affects the way that waveforms are saved using the [Multipurpose] key, it does not affect the way waveforms are saved using the Save Waveform dialog box.

The file name that you choose is appended by a three digit suffix number. Each time the [Multipurpose] key is pressed, the suffix number is incremented. Once the three digit suffix reaches 999, the next number used for a suffix is 001. You can change the starting number for the suffix using the Suffix control.

If a file already exists with the same name that you have chosen, the file is overwritten.


QuickE-mail

When you select Infiniium's QuickE-mail feature, an e-mail of the screen image is sent to the specified address each time the [Multipurpose] key is pressed.

This feature can be used to e-mail yourself mask test failures. You need to set this capability up in the Run Until section of the Mask Test dialog box.


QuickExecute

Note

Optional Application Integration Package only.

When you select Infiniium's QuickExecute feature, Infiniium runs the executable file that you have chosen when the [Multipurpose] key is pressed. If there are any arguments in the Arguments box, they are passed to the executable program as command line options.

The value in the Increment box can be passed to any executable program by placing a %d in the Arguments box. The Increment value is increased by 1 each time the [Multipurpose] key is pressed. For the default executable file, ExecuteGpibScript.exe, the Arguments box contains the following.

C:\Documents and Settings\All Users\Documents\gpib.gpb DVALUE=%d

The file gpib.gpb contains GPIB commands found in the Programmer's Guide. The DVALUE parameter is set to the Increment value represented by the %d parameter.

QuickExecute is a powerful and flexible mechanism for running programs in response to a front panel key push on your oscilloscope. Any executable program can be launched in this way, including special analysis and application programs that are tailored to your specific measurement requirements. Such programs can control the oscilloscope as part of their operation, using the Agilent I/O drivers and the special "localhost" network address.

Controlling the oscilloscope is useful in itself as well. For example, a GUI control that is accessed frequently for a given measurement task can be mapped to the front panel for more convenient operation.

The following example C program toggles the averaging control on and off in response to successive pushes of the [Multipurpose] key. This enables you to see a comparison of waveforms with and without averaging.

  • Averaging Programming Example

The default executable file for the QuickExecute feature is ExecuteGpibScript.exe. The program reads a command file that contains GPIB commands and sends the commands to the oscilloscope. If you want you can put comments in the command file by placing either a pound sign (#) or double forward slashes (//) at the beginning of each comment line.

# This is a comment line.
// This is also a comment line.

This file must have a ".gpb" suffix. See the following C program for the ExecuteGpibScript.exe file and example command files.

  • ExecuteGpibScript Programming Example

  • Command File Examples


Averaging Programming Example

/* ToggleAveraging.c  -- Sample QuickExecute application that toggles
                         averaging on and off for quick viewing
                         comparisons.
*/
#include <windows.h>
#include <sicl.h>
static INST Scope = 0;

static void ErrorHandler(INST Inst, int Error)
{
   /* This routine traps any I/O errors, so we don't have to check
      the return values of individual function calls.
   */
   char Text[1024];

   strcpy(Text, "This program has experienced a problem communicating \n");
   strcat(Text, "with the oscilloscope application.  (The error string is: \n");
   strcat(Text, igeterrstr(Error));
   strcat(Text, ").");
   MessageBox(NULL, Text, GetCommandLine(), MB_ICONEXCLAMATION);
   exit(EXIT_FAILURE);
}

static void WriteString(char *String)
{
   /* Write a command or query to the oscilloscope. */
   iwrite(Scope, String, strlen(String), 1, NULL);
}

static void ReadString(char *String)
{
   /* Read query results back from the oscilloscope. */
   unsigned long ActualCount = 0;
   iread(Scope, String, strlen(String), NULL, &ActualCount);
   String[ActualCount - 1] = '\0';
}

int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR     lpCmdLine,
                     int       nCmdShow)
{
   char QueryResults[10];
   Scope = iopen("lan[localhost]:hpib7,7");
   ionerror(ErrorHandler);  /* Install the error handler. */
   itimeout(Scope, 10000);  /* Set the timeout value in milliseconds. */
   WriteString("*CLS");     /* Clear the error queue. */
   WriteString("SYSTEM:HEADER OFF");
   WriteString("ACQUIRE:AVERAGE?");
   ReadString(QueryResults);
   if (QueryResults[0] == '0')
   {
      WriteString("ACQUIRE:AVERAGE ON");
   }
   else
   {
      WriteString("ACQUIRE:AVERAGE OFF");
   }
   iclose(Scope);
   return EXIT_SUCCESS;
}


ExecuteGpibScript Programming Example

#include <sicl.h>
#include <fstream>
#include <iostream>
#include <string>
#include <time.h>
#include <limits.h>
#include <Windows.h>
using namespace std;
// Constants
static const int LARGE_BUFFER_SIZE = 1024;
static const int SMALL_BUFFER_SIZE = 128;
static const int N_REPEAT = 1;
static const int HPIB_TIMEOUT = 60;
// Does Ext == GetExtension(filename)
static bool MatchExtension(const char* filename, const char* ext)
{
   char extension[SMALL_BUFFER_SIZE];
   _splitpath(filename, NULL, NULL, NULL, extension);
   // upcase Extension for strcmp happiness
   for (size_t i = 0; i < strlen(extension); ++i)
   {
      extension[i] = (char) toupper(extension[i]);
   }
   return (strcmp(extension, ext) == 0);
}
// Returns index for first *.GPB
// returns -1 if no *.GPB found
static int FindCommandFile(int argc, char* argv[])
{
   for (int i = 0; i < argc; ++i)
   {
      if (MatchExtension(argv[i], ".GPB"))
      {
         return i;
      }
   }
   return -1;
}
// Returns index for first string beginning with LAN, GPIB or HPIB
// returns -1 if no string matches
static int FindGPIBAddress(int argc, char* argv[])
{
   static const int    N_VALID_GPIB_STRINGS = 3;
   static const string VALID_GPIB_STRINGS[N_VALID_GPIB_STRINGS] =
   {
      "GPIB",
      "LAN",
      "HPIB"
   };
   for (int i = 0; i < argc; ++i)
   {
      string allCapsArg(argv[i]);
      for (string::iterator it = allCapsArg.begin(); it != allCapsArg.end(); ++it)
      {
         *it = (char) toupper(*it);
      }
      for (int j = 0; j < N_VALID_GPIB_STRINGS; ++j)
      {
         if (allCapsArg.compare(0, VALID_GPIB_STRINGS[j].length(), VALID_GPIB_STRINGS[j]) == 0)
         {
            return i;
         }
      }
   }
   return -1;
}
// Returns true if searchString found in argv
static bool FindString(int argc, char* argv[], const string& searchString)
{
   for (int i = 0; i < argc; ++i)
   {
      string allCapsArg(argv[i]);
      for (string::iterator it = allCapsArg.begin(); it != allCapsArg.end(); ++it)
      {
         *it = (char) toupper(*it);
      }
      if (allCapsArg.compare(0, searchString.length(), searchString) == 0)
      {
         return true;
      }
   }
   return false;
}
// Returns true if SearchString=<value> is found
// Value is set to <value>
static bool FindStringValueArg(int argc, char* argv[], const string& searchString, string& value)
{
   for (int i = 0; i < argc; ++i)
   {
      string argument(argv[i]);
      string allCapsArg(argument);
      for (string::iterator it = allCapsArg.begin(); it != allCapsArg.end(); ++it)
      {
         *it = (char) toupper(*it);
      }
      if (allCapsArg.compare(0, searchString.length(), searchString) == 0)
      {
         // First Part of SearchString=# found
         // Find '='
         size_t pos = argument.find('=');
         if (pos != string::npos && (pos + 1) < argument.length())
         {
            // Assign bits after '=' to value
            value = argument.substr(pos + 1);
            return true;
         }
      }
   }
   return false;
}
// Returns true if SearchString=# is found
// rValue is set to #
static bool FindNumericValueArg(int argc, char* argv[], const string& searchString, int& value)
{
   string strVal;
   if (FindStringValueArg(argc, argv, searchString, strVal))
   {
      value = atoi(strVal.c_str());
      return true;
   }
   return false;
}
// replaces all instances of symbol with newString in sourceString
// directly modifies sourceString
static void ReplaceSymbol(string& sourceString, const string& symbol, const string& newString)
{
   size_t pos;
   while ((pos = sourceString.find(symbol)) != string::npos)
   {
      sourceString.replace(pos, symbol.length(), newString);
   }
}
// Does not read results from GPIB from command
static bool SendCommand(INST hScope, const string& command)
{
   int rtnCode;
   unsigned long dataSent;
   rtnCode = iwrite(hScope, const_cast<char*>(command.c_str()),
                    (unsigned long) command.length(), 1, &dataSent);
   return (bool) !rtnCode;
}
// Will read results from GPIB if command is a query
static int SendCommandWithOutput(INST hScope, const string& command, bool debugRead = false)
{
   int rtnCode;
   unsigned long dataSent;
   rtnCode = iwrite(hScope, const_cast<char*>(command.c_str()),
                    (unsigned long) command.length(), 1, &dataSent);
   if (!rtnCode && command.find('?') != string::npos)
   {
      char buffer[LARGE_BUFFER_SIZE];
      bool keepLooping = true;
      while (keepLooping)
      {
         unsigned long dataSent;
         int           reason = I_TERM_MAXCNT;
         rtnCode = iread(hScope, buffer, LARGE_BUFFER_SIZE, &reason, &dataSent);
         buffer[dataSent] = '\0';
         if (debugRead)
         {
            cout << buffer;
         }
         if (reason !=  I_TERM_MAXCNT)
         {
            keepLooping = false;
         }
      }
      if (debugRead)
      {
         cout << endl;
      }
   }
   return rtnCode;
}
// Command Line Options
// <gpib address> - recognizes GPIB, HPIB or LAN as prefix (lan[localhost]:inst0 is default)
// Script File Name - requires a .gpb extension (required)
// FOREVER - loop Script File forever (optional)
// NREPORT=<n> - loop Script File <n> times (optional)
// VERBOSE - output commands issued (optional)
// DVALUE=<String> - Replace any instances of %d with <string> (optional)
int main(int argc, char* argv[])
{
   const char* commandFilename;
   const char* gpibAddress;
   int         nRepeat = N_REPEAT;
   bool        doForever;
   bool        replaceD;
   bool        verbose;
   string      dString;
   int         index;
   index = FindCommandFile(argc, argv);
   if (index != -1)
   {
      commandFilename = argv[index];
   }
   else
   {
      cerr << "Agilent Technologies 2003" << endl << endl;
      cerr << "<script>.gpb - Script Filename (required)" << endl;
      cerr << "<GPIB Address> - recognizes GPIB, GPIB or LAN as prefix (lan[localhost]:inst0 is default)" << endl;
      cerr << "FOREVER - loop script file forever (optional)" << endl;
      cerr << "NREPEAT=<n> - loop script file <n> times (optional) " << endl;
      cerr << "VERBOSE - output commands issued" << endl;
      cerr << "DVALUE=<string> - Replace any instances of %d with <string>" << endl;
      return -1;
   }
   FindNumericValueArg(argc, argv, "NREPEAT", nRepeat);
   replaceD = FindStringValueArg(argc, argv, "DVALUE", dString);
   verbose = FindString(argc, argv, "VERBOSE");
   doForever = FindString(argc, argv, "FOREVER");
   gpibAddress = "lan[localhost]:inst0";
   index = FindGPIBAddress(argc, argv);
   if (index != -1)
   {
      gpibAddress = argv[index];
   }
   time_t startTime = time(NULL);
   INST   hScope = iopen(const_cast<char*>(gpibAddress));
   if (hScope)
   {
      // Set Timeout
      itimeout(hScope, HPIB_TIMEOUT * 1000);
      // Send Device Clear
      iclear(hScope);
      SendCommand(hScope, "*CLS");
      SendCommandWithOutput(hScope, "*IDN?", true);
      ifstream fCommandFile(commandFilename);
      if (fCommandFile)
      {
         int    commandCount = 0;
         bool   keepGoing = true;
         int    status;
         string command;
         char   buffer[SMALL_BUFFER_SIZE];
         for (int i = 0; (i < nRepeat || doForever) && keepGoing; ++i)
         {
            fCommandFile.getline(buffer, SMALL_BUFFER_SIZE);
            while (! fCommandFile.fail() && keepGoing)
            {
               command = buffer;
               if (command.compare(0, 2, "//") == 0 ||
                  command.compare(0, 1, "#") == 0)
               {
                  // Line is Comment - ignore
                  // Grab Next Line and skip to top of while
                  fCommandFile.getline(buffer, SMALL_BUFFER_SIZE);
                  continue;
               }
               if (replaceD)
               {
                  ReplaceSymbol(command, "%d", dString);
               }
               // Send Command to GPIB
               ++commandCount;
               if (verbose)
               {
                  cout << commandCount << "\t" << command << endl;
               }
               status = SendCommandWithOutput(hScope, command);
               if (status)
               {
                  keepGoing = false;
               }
               // Get Next Command
               fCommandFile.getline(buffer, SMALL_BUFFER_SIZE);
            }
            // rewind fCommandFile
            fCommandFile.clear();
            fCommandFile.seekg(0);
            // pause a sec
            Sleep(1000);
            // Send Device Clear
            iclear(hScope);
         }
         cout << commandCount << " commands issued" << endl;
         if (keepGoing)
         {
            cout << "RunSICL completed successfully" << endl;
         }
         else
         {
            cout << "RunSICL FAILED" << endl;
         }
      }
      // Close session
      iclose(hScope);
   }
   long seconds = (long)difftime(time(NULL), startTime);
   long minutes = (seconds / 60) % 60;
   long hours =  seconds / 3600;
   cout << "Total Time " << hours << " Hours "
        << minutes << " Minutes." << endl;
   return 0;
}


Command File Examples

Command files contain remote programming commands which can be found in the Programmer's Guide. You can also put comments in the command file by placing either a pound sign (#) or two forward slashes (//) at the beginning of each comment line.

# This is a comment line.
// This is also a comment line.
Save All Channels to Different File Names

The following command file stores four oscilloscope channels waveforms to separate files in the comma separated format. It also saves the scopes setup file and a bitmap file of the screen. Each time the [Multipurpose] key on the front panel is pressed, the %d parameter is incremented and a new file name is created for the 6 files being saved. For example, the beginning file name would be Acq1_Ch1.csv for the channel 1 waveform.

:Stop
// Save all channels in comma separated format
// with the preamble.
:Disk:Store Chan1,"c:\Documents and Settings\All Users\Documents\Acq%d_Ch1.csv",Text,XYPairs,On
:Disk:Store Chan2,"c:\Documents and Settings\All Users\Documents\Acq%d_Ch2.csv",Text,XYPairs,On
:Disk:Store Chan3,"c:\Documents and Settings\All Users\Documents\Acq%d_Ch3.csv",Text,XYPairs,On
:Disk:Store Chan4,"c:\Documents and Settings\All Users\Documents\Acq%d_Ch4.csv",Text,XYPairs,On
// Save the setup file and the bitmap file
:Disk:Store Setup,"c:\Documents and Settings\All Users\Documents\Acq%d.set"
:Disk:SImage "c:\Documents and Settings\All Users\Documents\Acq%d.bmp",BMP,Screen,On,Normal
Save All Channels to Different Directory Names

The following command file stores four oscilloscope channels waveforms to a new directory every time the [Multipurpose] key on the front panel is pressed. If the directory does not exist, a new directory is created. The files are saved in the comma separated format. It also saves the scopes setup file and a bitmap file of the screen. Each time the [Multipurpose] key on the front panel is pressed, the %d parameter is incremented and a new directory name is created for the 6 files being saved. For example, the beginning directory name would be Acq1.

:Stop
// Make a new directory
:Disk:Mdirectory "c:\Documents and Settings\All Users\Documents\Acq%d"
// Save all channels in comma separated format
// with the preamble.
:Disk:Store Chan1,"c:\Documents and Settings\All Users\Documents\Acq%d\Ch1.csv",Text,XYPairs,On
:Disk:Store Chan2,"c:\Documents and Settings\All Users\Documents\Acq%d\Ch2.csv",Text,XYPairs,On
:Disk:Store Chan3,"c:\Documents and Settings\All Users\Documents\Acq%d\Ch3.csv",Text,XYPairs,On
:Disk:Store Chan4,"c:\Documents and Settings\All Users\Documents\Acq%d\Ch4.csv",Text,XYPairs,On
// Save the setup file and the bitmap file
:Disk:Store Setup,"c:\Documents and Settings\All Users\Documents\Acq%d\Scope.set"
:Disk:SImage "c:\Documents and Settings\All Users\Documents\Acq%d\Screen.bmp",BMP,Screen,On,Normal
Save Channels to the Same File

The following command file saves all the channels that are currently being displayed to the same file. It also saves the current scope setup and a bitmap of the screen to files. The name files being saved is changed with each press of the [Multipurpose] key. Each time the [Multipurpose] key on the front panel is pressed, the %d parameter is incremented and a new file name is created for the 6 files being saved. For example, the beginning file name would be Acq1.csv for the channel waveforms.

:Stop
// Save all displayed channels to the same file
// in the comma separated format with the
// preamble.
:Disk:MStore "c:\Documents and Settings\All Users\Documents\Acq%d.csv",Text,XYPairs,On
// Save the setup file and the bitmap file
:Disk:Store Setup,"c:\Documents and Settings\All Users\Documents\Acq%d.set"
:Disk:SImage "c:\Documents and Settings\All Users\Documents\Acq%d.bmp",BMP,Screen,On,Normal


QuickControl

When you select Infiniium's QuickControl feature, Infiniium cycles through the possible front panel control sources when the [Multipurpose] key is pressed.

If the front panel knobs currently control the analog channels and you press the [Multipurpose] key (with QuickControl chosen as the multipurpose mode), the front panel knobs will shift to controlling functions. If you press the [Multipurpose] key again, the front panel knobs will shift to control the waveform memories. The progression is from Channels to Functions to Memories (and back to Channels again).

If you have several different kind of sources specified in the Front Panel Control Sources dialog box, for instance:

  • Source 1 set to Memory 1

  • Source 2 set to Channel 2

  • Source 3 set to Function 3

  • Source 4 set to Channel 4

Then, the QuickControl feature uses Source 1 to determine what to shift all four of the sources to. For example, if the above sources were the current settings and you pressed the QuickControl [Multipurpose] key on the front panel, you would get:

  • Source 1 set to Channel 1

  • Source 2 set to Channel 2

  • Source 3 set to Channel 3

  • Source 4 set to Channel 4

This is because Source 1 was set to a waveform memory and the progression from Memories is back to Channels.

Also note that the QuickControl feature makes all four sources match in their type (channels, functions, or memories).


User Preferences Dialog Box

What Controls are in the User Preferences Dialog Box?

How Do I Access the User Preferences Dialog Box?

What Controls are in the User Preferences Dialog Box?

  • Autoscale, Source:

    • All Channels — If this option is selected, when you enable Autoscale, the autoscale will be performed on all channels (even those that are not currently displayed).

    • Displayed Channels Only — If this option is selected, when you enable Autoscale, the autoscale will be performed only on displayed channels.

  • Autoscale, Waveform Placement:

    • Stack Waveforms — If this option is selected, the oscilloscope will shrink the amplitudes of each waveform and offset them to different vertical sections of the screen for better viewing. Keep in mind that if you perform measurements on these waveforms when they are in this setup, the results may be less accurate because they are not taking up the full dynamic range of the ADC. If you want an option that lets the waveforms be easy to view, but maintains measurement accuracy, select the Use Individual Grids choice.

    • Overlay Waveforms — If this option is selected, the oscilloscope will overlap all waveforms and maximize their vertical height (to maximize the full dynamic range of the Analog-to-digital converter (ADC) for better measurement accuracy). If you want to maximize the full dynamic range of the ADC for better measurement accuracy, but do not want to overlap your waveforms (so you can more easily view them) then use the Modify Number of Grids option below.

    • Use Individual Grids — If this option is selected, the oscilloscope turns on enough grids to accommodate all of the analog channels. In other words, if there is one active channel then the oscilloscope will display using one grid. If there are two active channels then there will be two grids and so on. This option allows each waveform to use the full dynamic range of the ADC (because each grid represents the full range) without having to overlap the waveforms (so you can more easily view them).

  • Vertical Scaling:

    • Expand About Center — When you select to expand about center, the center graticule line in the waveform viewing area becomes the reference point about which vertical scaling for all channels, waveform math functions, and waveform memories occurs. For this type of scaling, the vertical offset control remains the same value when you adjust the vertical scale control.

    • Expand About Ground — When you select to expand about ground, then ground becomes the reference point about which vertical scaling for all channels, waveform math functions, and waveform memories occurs. Most analog and digital scopes use this form of vertical scaling. For this type of scaling, the vertical offset control changes by the same proportion as the vertical scale control when it is adjusted.

  • Factory Default:

    • Show Confirmation Dialog — When this box is checked, the oscilloscope displays a confirmation dialog whenever you enable a factory default. This confirmation box will make sure that you really mean to perform a factory default.

    • Default on Power-Up — When this box is checked, a factory default is performed every time you turn the oscilloscope off and then turn it back on. This is useful if the oscilloscope is in an area where it is used by numerous people because it ensures that the oscilloscope is in the same setting every time you sit down to use it no matter what settings the previous person set.

  • Allow Multiple Active Dialog Boxes — In some cases, you may want to have more than one dialog box active at a time. For example, you may want to see the effects of averaging on a waveform and also toggle Connect Dots on and off. These controls are in different dialog boxes. You need to have Allow Multiple Active Dialog Boxes check marked if you want to be able to change both controls without having one of the dialog boxes close when you launch the other one.

  • Stop Acquisition on Minimize — If this box is checked, then whenever you minimize the oscilloscope application GUI, the oscilloscope will stop acquiring data.

  • Enable Touch Screen — If this box is checked then the touch screen is enabled.

  • Enable Gaussian Response — If this box is checked, the Flat Magnitude / Gaussian Magnitude control appears in the Acquisition Setup dialog box.

  • You can also set various display and mouse settings from this dialog box by using the corresponding buttons.

How Do I Access the User Preferences Dialog Box?

The User Preferences dialog box can be accessed via Utilities > User Preferences.

See Also

  • Customize Multipurpose


Flat Magnitude / Gaussian Response

What Does This Control Do?

Where is This Control Accessed?

What Does This Control Do?

In the Acquisition Setup dialog box, you have the option of selecting to use either the Flat Magnitude filter (the default filter and the one used by other Infiniium models) or the Gaussian Magnitude filter. The Gaussian Magnitude filter eliminates any ringing caused by the oscilloscope response in both the preshoot or overshoot. The benefit of this filter is that any ringing you see in your signal is actually in the signal and not a result of the oscilloscope.

To be able to see this control in the Acquisition Setup dialog box, you must first check the Enable Gaussian Response box in the User Preferences Dialog Box.

The main drawback to using the Gaussian Magnitude filter is that you lose some bandwidth (see table below).

Model | Sample rate | Maximum Bandwidth
 |  | Flat Magnitude | Gaussian Magnitude
93204A | 80 GSa/s | 32 GHz | 16 GHz
93204A | 40 GSa/s* | 32 GHz | 8 GHz
92804A | 80 GSa/s | 28 GHz | 14 GHz
92804A | 40 GSa/s* | 28 GHz | 8 GHz
92504A | 80 GSa/s | 25 GHz | 12.5 GHz
92504A | 40 GSa/s* | 25 GHz | 8 GHz
92004A | 80 GSa/s | 20 GHz | 10 GHz
92004A | 40 GSa/s* | 20 GHz | 8 GHz
91604A | 80 GSa/s | 16 GHz | 8 GHz
91604A | 40 GSa/s* | 16 GHz | 8 GHz
91304A | 40 GSa/s | 13 GHz | 5.5 GHz
91204A | 40 GSa/s | 12 GHz | 5.5 GHz
90804A | 40 GSa/s | 8 GHz | 5.5 GHz
90804A | 20 GSa/s | 8 GHz | 3 GHz
90604A | 20 GSa/s | 6 GHz | 4 GHz
90404A | 20 GSa/s | 4 GHz | 3 GHz
90254A | 20 GSa/s | 2.5 GHz | 1.5 GHz

*Below 40 GSa/s (for these models), the Gaussian Magnitude feature is disabled.

Where is This Control Accessed?

  • To access this control, first go to the User Preferences dialog box and check the Enable Gaussian Response box.

  • Then go to the Acquisition Setup dialog box (Setup > Acquisition), and adjust the control to match the filter you want to use.

See Also

  • Acquisition Setup Dialog Box

  • User Preferences Dialog Box


Help and More Information

How to Use This Help

About Infiniium Dialog Box

Additional Manuals

Service Center

Acknowledgements

This section describes how to use the Infiniium online help, other items in the Help menu, and where to find addition information.


How to Use This Help

Basic Navigating and Searching

Links

Below are some of the key features on the Infiniium online help and tips for helping you quickly locate information.

Basic Navigating and Searching

There are four main ways to navigate this help system:

  • Searching: This is the preferred method of most users (although we recommend that you try to enter through the main entry into the help system to browse and see similar topics to the one you are looking for - see next bullet). The basic searching mechanism used by .chm files limits the searching capability. However, there are some tips to make your searches more productive.

    • If you are searching for a word or phrase that you think has a topic devoted to it, you can severely limit the number of search results that appear by checking the "Search Titles Only" box as shown below.

      This will ensure that you get the most relevant topic for that word or phrase (assuming the word appears in a topic title).

    • The search engine works by counting the number of times a word is listed in a topic and then ordering them from the topic that lists it the most to the one that lists it the least. This may mean that if you search for a generic word such as "trigger" that you will end up with a huge results list. The first way to mitigate this problem is to use the "Search Titles Only" functionality described in the bullet above. The second is to use logical commands such as "and", "or", or by using quotations marks to search for an exact phrase. For example, if you search for:

      Sampling mode

      you will get a list of every page that has the word "sampling" and "mode" in it. One method to limit the results is to search for topics that only contain the phrase "sampling mode". You could do this by enclosing the phrase in quotation marks:

      "Sampling mode"

      If you wanted to list all topics that have either the word "sampling" or the word "mode" then you would type:

      Sampling or mode

    • You can narrow your searches down by using the "Search Previous Results" box next to the "Search Titles Only" box. For instance, you could first search for "sampling", then check this box, and search for "mode". This has the same effect as the "and" logical operator.

  • Browsing by using the help system entry: If you go to the home page of the help system, you will see a series of links. These links outline the tasks you may perform when using the oscilloscope.

  • Browsing by Using the Table of Contents: You can also browse topics by clicking on the Contents tab in the left pane (see below). There is a hierarchy where similar topics are grouped together.

  • Using the Index: The index is also located in the left pane (the pane shown in the screen shot immediately above that has the Table of Contents). To display the index, simply click on the Index tab at the top of the pane.

Links

The online help has been cross-linked to help you find related information.

See Also

  • Using the Oscilloscope


About Infiniium Dialog Box

What Controls are in the About Infiniium Dialog Box?

How Do I Access the About Infiniium Dialog Box?

What Controls are in the About Infiniium Dialog Box?

This dialog box gives you information about Infiniium's configuration and status. It is a good idea to make a note of this information in case you need to order accessories or call Agilent Technologies Test and Measurement Technical Support.

Model Number | Shows Infiniium's model number.
Serial Number | Shows Infiniium's serial number.
Copy To Clipboard | Copies the About Infiniium dialog box's information to the Windows operating system clipboard.
Change Serial Number | The Change Serial Number control allows you to re-enter your Infiniium's serial number in the event that you have had to change Infiniium's internal hard drive . It is best to enter the serial number located on Infiniium's rear panel.
Software Revision | The software revision number of the main oscilloscope software application will be displayed here.
Firmware Revision | The firmware revision number of the acquisition system firmware.
Hard Disk Free Space | Shows the remaining free space on Infiniium's internal hard drive. The hard disk is used for the oscilloscope software and to save user settings, waveforms, waveform memories, and screen captures.
System Memory | Shows the amount of System Memory available.
Operating System | Shows the Microsoft® Windows® operating system being used.
Option ID Number | The Option ID Number is needed when ordering some Infiniium upgrades, such as additional acquisition memory upgrades. You will be asked for this number when you order the upgrade from Agilent Technologies.
Installed Options | Shows the name for all installed options.
Date / Time | Shows the current date and time. Please make sure that the date and time are correct because Infiniium saves the dates when saving files, printing, saving calibration information, and saving self test information to Infiniium's hard disk drives, or network drive. To set the current date and time, click on the clock in the upper right-hand corner of the screen of the scope.
Internal Temp | Infiniium's internal temperature is reported here. Infiniium tracks the internal temperature and the temperature difference from the last time it was calibrated to see if its calibration is still valid.
Calibration Status | Shows Infiniium's calibration status which is either calibrated or uncalibrated. If the calibration Status is uncalibrated, you should calibrate Infiniium.
Calibration Date | Shows the date and time when Infiniium was last calibrated.
Self Test Status | Shows the results of the last self test. The status will be either No Self Test Data, Passed, or Failed. If the Self Test status is Failed, you should try calibrating the scope and re-run the Self Test. If there are still Self Test failures, you should send the oscilloscope to a service center for repair.
Self Test Date | Shows the date and time when the self test was last run.

How Do I Access the About Infiniium Dialog Box?

The About Infiniium dialog box can be accessed via Help > About Infiniium.

See Also

  • Using the Oscilloscope


Additional Manuals

Infiniium 90000A Series Manuals

Application Software Manuals

Compliance Application Manuals

Probe Manuals

Infiniium 90000A Series Manuals

90000A Series Oscilloscopes User's Guide

90000A Series Oscilloscopes Service Guide

90000 Series Oscilloscopes Programmer's Reference (PDF version)

Application Software Manuals

N5461A Serial Data Equalization User's Guide

N5465A InfiniiSim Waveform Transformation Toolset

E2699A Application Integration Package

N5430A User Defined Function - User's and Programmer's Guide

Compliance Application Manuals

N5392A Ethernet Compliance Test Application - Methods of Implementation

N5393C PCI-Express Automated Test Application - Methods of Implementation

N5394A DVI Compliance Test Application - Methods of Implementation

N5399B HDMI Compliance Test Application - Testing Notes

N5409A FB-DIMM Automated Test Application - Methods of Implementation

N5410A Fibre Channel Automated Test Application - Methods of Implementation

N5411B SATA6G Electrical Compliance Test Application - Online Help

N5412B SAS-2 Electrical Compliance Test Application - Online Help

N5413B DDR2(+LP) Compliance Test Application Compliance Testing Notes - Testing Notes

N5416A USB 2.0 Compliance Test Option - Notes on Electrical Testing

N5431A XAUI Electrical Validation Application - Methods of Implementation

U7231B DDR3 Compliance Test Application - Testing Notes

U7232B DisplayPort Electrical Performance Compliance Test Application

U7233A DDR1 Compliance Test Application - Testing Notes

U7236A 10GBASE-T Electrical Conformance Test Application - Methods of Implementation

U7237A 10GBASE-T Transmitter Test Fixture - User's Guide

U7238A MIPI D-PHY Conformance Test Application - Methods of Implementation

U7239A WiMedia Wrapper Automated Test Application - Online Help

U7242A USB 3.0 Test Fixture - User's Guide

U7243A USB 3.0 Electrical Compliance Test Application - Online Help

U7246A SD UHS-I Card Compliance Test Application - Testing Notes

U7249A MIPI M-PHY Conformance Test Application - Methods of Implementation

Probe Manuals

Please consult the Agilent Probe and Accessory Selection Guide (or the [image] latest version on the web) for probe, probe head, and accessory compatibility information.

For complete documentation on Agilent oscilloscope probes, see Probe Resource Center.


Service Center

Contact Information

Repair Services

Calibration Services

Contact Information

Please visit the Repair and Calibration Services web page (must be connected to the Internet). On this page, you can select your country in the upper right corner and then select Talk With an Expert (also located in the upper right corner) to view the contact information. Please have the model number and serial number of your instrument ready when you call your service center so that we can better serve you.

Repair Services

By choosing Agilent for repairs, you'll experience low downtime thanks to our skilled technicians and part availability. In fact, most third party service companies send us the Agilent instruments that need repair so it makes good sense to send it to us directly and cut out those additional delays and costs.

Most importantly, you can be confident in the future accuracy and reliability of your precision instrument knowing that it has been repaired by Agilent-trained technicians using the latest factory diagnostics, genuine Agilent parts, and Agilent procedures.

  • Repair and Calibration Brochure

  • Repair and Calibration Enhancements Summary Brochure

Calibration Services

By having Agilent perform calibration for your instruments, you'll be providing your company with the best measurement integrity and ensuring that the measurements you make can be relied upon. Agilent, above all other calibration suppliers, invests heavily in maintaining its own measurement capability at the height of what is achievable. If we say it is in spec, you can rest assured that it is.

Agilent has two calibration services:

  • Agilent Calibration - This is our standard service that returns your equipment to "like new" performance, providing maximum precision and utilization of equipment. It features the full function and data point tests we recommend as the manufacturer of your equipment. If required, we will adjust it to within spec and provide full pre-adjustment data at no extra charge.

  • Agilent Standards-Based Calibration- This offers the same level of calibration and, in addition, is designed to conform to specific quality requirements in any part of your R&D manufacturing, installation, and maintenance environment. It include ISO 17-25, Z540 and Accredited Calibration services.


Acknowledgements

UltraVNC

HDF5

OpenCores Project: I2C controller core

UltraVNC

UltraVNC is Free and distributed under the terms of the GNU General Public License. Copyright (C) 2002-2009 Ultr@VNC Team - All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

If the source code for the program is not available from the place from which you received this file, check http://www.uvnc.com/

HDF5

Reference Waveform files use HDF5.

HDF5 was developed by The HDF Group and by the National Center for Supercomputing Applications at the University of Illinois at Urbana-Champaign.

OpenCores Project: I2C controller core

The OpenCores project "I2C controller core", downloaded from http://opencores.org/project,i2c, is licensed under a modified BSD license.

Copyright (C) 2001 Richard Herveille
                   richard@asics.ws

This source file may be used and distributed without
restriction provided that this copyright statement is not
removed from the file and that any derivative work contains
the original copyright notice and the associated disclaimer.

    THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY
EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL THE AUTHOR
OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.


GNU General Public License

                    GNU GENERAL PUBLIC LICENSE
                       Version 2, June 1991

 Copyright (C) 1989, 1991 Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 Everyone is permitted to copy and distribute verbatim copies
 of this license document, but changing it is not allowed.

                            Preamble

  The licenses for most software are designed to take away your
freedom to share and change it.  By contrast, the GNU General Public
License is intended to guarantee your freedom to share and change free
software--to make sure the software is free for all its users.  This
General Public License applies to most of the Free Software
Foundation's software and to any other program whose authors commit to
using it.  (Some other Free Software Foundation software is covered by
the GNU Lesser General Public License instead.)  You can apply it to
your programs, too.

  When we speak of free software, we are referring to freedom, not
price.  Our General Public Licenses are designed to make sure that you
have the freedom to distribute copies of free software (and charge for
this service if you wish), that you receive source code or can get it
if you want it, that you can change the software or use pieces of it
in new free programs; and that you know you can do these things.

  To protect your rights, we need to make restrictions that forbid
anyone to deny you these rights or to ask you to surrender the rights.
These restrictions translate to certain responsibilities for you if you
distribute copies of the software, or if you modify it.

  For example, if you distribute copies of such a program, whether
gratis or for a fee, you must give the recipients all the rights that
you have.  You must make sure that they, too, receive or can get the
source code.  And you must show them these terms so they know their
rights.

  We protect your rights with two steps: (1) copyright the software, and
(2) offer you this license which gives you legal permission to copy,
distribute and/or modify the software.

  Also, for each author's protection and ours, we want to make certain
that everyone understands that there is no warranty for this free
software.  If the software is modified by someone else and passed on, we
want its recipients to know that what they have is not the original, so
that any problems introduced by others will not reflect on the original
authors' reputations.

  Finally, any free program is threatened constantly by software
patents.  We wish to avoid the danger that redistributors of a free
program will individually obtain patent licenses, in effect making the
program proprietary.  To prevent this, we have made it clear that any
patent must be licensed for everyone's free use or not licensed at all.

  The precise terms and conditions for copying, distribution and
modification follow.

                    GNU GENERAL PUBLIC LICENSE
   TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

  0. This License applies to any program or other work which contains
a notice placed by the copyright holder saying it may be distributed
under the terms of this General Public License.  The "Program", below,
refers to any such program or work, and a "work based on the Program"
means either the Program or any derivative work under copyright law:
that is to say, a work containing the Program or a portion of it,
either verbatim or with modifications and/or translated into another
language.  (Hereinafter, translation is included without limitation in
the term "modification".)  Each licensee is addressed as "you".

Activities other than copying, distribution and modification are not
covered by this License; they are outside its scope.  The act of
running the Program is not restricted, and the output from the Program
is covered only if its contents constitute a work based on the
Program (independent of having been made by running the Program).
Whether that is true depends on what the Program does.

  1. You may copy and distribute verbatim copies of the Program's
source code as you receive it, in any medium, provided that you
conspicuously and appropriately publish on each copy an appropriate
copyright notice and disclaimer of warranty; keep intact all the
notices that refer to this License and to the absence of any warranty;
and give any other recipients of the Program a copy of this License
along with the Program.

You may charge a fee for the physical act of transferring a copy, and
you may at your option offer warranty protection in exchange for a fee.

  2. You may modify your copy or copies of the Program or any portion
of it, thus forming a work based on the Program, and copy and
distribute such modifications or work under the terms of Section 1
above, provided that you also meet all of these conditions:

    a) You must cause the modified files to carry prominent notices
    stating that you changed the files and the date of any change.

    b) You must cause any work that you distribute or publish, that in
    whole or in part contains or is derived from the Program or any
    part thereof, to be licensed as a whole at no charge to all third
    parties under the terms of this License.

    c) If the modified program normally reads commands interactively
    when run, you must cause it, when started running for such
    interactive use in the most ordinary way, to print or display an
    announcement including an appropriate copyright notice and a
    notice that there is no warranty (or else, saying that you provide
    a warranty) and that users may redistribute the program under
    these conditions, and telling the user how to view a copy of this
    License.  (Exception: if the Program itself is interactive but
    does not normally print such an announcement, your work based on
    the Program is not required to print an announcement.)

These requirements apply to the modified work as a whole.  If
identifiable sections of that work are not derived from the Program,
and can be reasonably considered independent and separate works in
themselves, then this License, and its terms, do not apply to those
sections when you distribute them as separate works.  But when you
distribute the same sections as part of a whole which is a work based
on the Program, the distribution of the whole must be on the terms of
this License, whose permissions for other licensees extend to the
entire whole, and thus to each and every part regardless of who wrote it.

Thus, it is not the intent of this section to claim rights or contest
your rights to work written entirely by you; rather, the intent is to
exercise the right to control the distribution of derivative or
collective works based on the Program.

In addition, mere aggregation of another work not based on the Program
with the Program (or with a work based on the Program) on a volume of
a storage or distribution medium does not bring the other work under
the scope of this License.

  3. You may copy and distribute the Program (or a work based on it,
under Section 2) in object code or executable form under the terms of
Sections 1 and 2 above provided that you also do one of the following:

    a) Accompany it with the complete corresponding machine-readable
    source code, which must be distributed under the terms of Sections
    1 and 2 above on a medium customarily used for software interchange; or,

    b) Accompany it with a written offer, valid for at least three
    years, to give any third party, for a charge no more than your
    cost of physically performing source distribution, a complete
    machine-readable copy of the corresponding source code, to be
    distributed under the terms of Sections 1 and 2 above on a medium
    customarily used for software interchange; or,

    c) Accompany it with the information you received as to the offer
    to distribute corresponding source code.  (This alternative is
    allowed only for noncommercial distribution and only if you
    received the program in object code or executable form with such
    an offer, in accord with Subsection b above.)

The source code for a work means the preferred form of the work for
making modifications to it.  For an executable work, complete source
code means all the source code for all modules it contains, plus any
associated interface definition files, plus the scripts used to
control compilation and installation of the executable.  However, as a
special exception, the source code distributed need not include
anything that is normally distributed (in either source or binary
form) with the major components (compiler, kernel, and so on) of the
operating system on which the executable runs, unless that component
itself accompanies the executable.

If distribution of executable or object code is made by offering
access to copy from a designated place, then offering equivalent
access to copy the source code from the same place counts as
distribution of the source code, even though third parties are not
compelled to copy the source along with the object code.

  4. You may not copy, modify, sublicense, or distribute the Program
except as expressly provided under this License.  Any attempt
otherwise to copy, modify, sublicense or distribute the Program is
void, and will automatically terminate your rights under this License.
However, parties who have received copies, or rights, from you under
this License will not have their licenses terminated so long as such
parties remain in full compliance.

  5. You are not required to accept this License, since you have not
signed it.  However, nothing else grants you permission to modify or
distribute the Program or its derivative works.  These actions are
prohibited by law if you do not accept this License.  Therefore, by
modifying or distributing the Program (or any work based on the
Program), you indicate your acceptance of this License to do so, and
all its terms and conditions for copying, distributing or modifying
the Program or works based on it.

  6. Each time you redistribute the Program (or any work based on the
Program), the recipient automatically receives a license from the
original licensor to copy, distribute or modify the Program subject to
these terms and conditions.  You may not impose any further
restrictions on the recipients' exercise of the rights granted herein.
You are not responsible for enforcing compliance by third parties to
this License.

  7. If, as a consequence of a court judgment or allegation of patent
infringement or for any other reason (not limited to patent issues),
conditions are imposed on you (whether by court order, agreement or
otherwise) that contradict the conditions of this License, they do not
excuse you from the conditions of this License.  If you cannot
distribute so as to satisfy simultaneously your obligations under this
License and any other pertinent obligations, then as a consequence you
may not distribute the Program at all.  For example, if a patent
license would not permit royalty-free redistribution of the Program by
all those who receive copies directly or indirectly through you, then
the only way you could satisfy both it and this License would be to
refrain entirely from distribution of the Program.

If any portion of this section is held invalid or unenforceable under
any particular circumstance, the balance of the section is intended to
apply and the section as a whole is intended to apply in other
circumstances.

It is not the purpose of this section to induce you to infringe any
patents or other property right claims or to contest validity of any
such claims; this section has the sole purpose of protecting the
integrity of the free software distribution system, which is
implemented by public license practices.  Many people have made
generous contributions to the wide range of software distributed
through that system in reliance on consistent application of that
system; it is up to the author/donor to decide if he or she is willing
to distribute software through any other system and a licensee cannot
impose that choice.

This section is intended to make thoroughly clear what is believed to
be a consequence of the rest of this License.

  8. If the distribution and/or use of the Program is restricted in
certain countries either by patents or by copyrighted interfaces, the
original copyright holder who places the Program under this License
may add an explicit geographical distribution limitation excluding
those countries, so that distribution is permitted only in or among
countries not thus excluded.  In such case, this License incorporates
the limitation as if written in the body of this License.

  9. The Free Software Foundation may publish revised and/or new versions
of the General Public License from time to time.  Such new versions will
be similar in spirit to the present version, but may differ in detail to
address new problems or concerns.

Each version is given a distinguishing version number.  If the Program
specifies a version number of this License which applies to it and "any
later version", you have the option of following the terms and conditions
either of that version or of any later version published by the Free
Software Foundation.  If the Program does not specify a version number of
this License, you may choose any version ever published by the Free Software
Foundation.

  10. If you wish to incorporate parts of the Program into other free
programs whose distribution conditions are different, write to the author
to ask for permission.  For software which is copyrighted by the Free
Software Foundation, write to the Free Software Foundation; we sometimes
make exceptions for this.  Our decision will be guided by the two goals
of preserving the free status of all derivatives of our free software and
of promoting the sharing and reuse of software generally.

                            NO WARRANTY

  11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
REPAIR OR CORRECTION.

  12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES.

                     END OF TERMS AND CONDITIONS

            How to Apply These Terms to Your New Programs

  If you develop a new program, and you want it to be of the greatest
possible use to the public, the best way to achieve this is to make it
free software which everyone can redistribute and change under these terms.

  To do so, attach the following notices to the program.  It is safest
to attach them to the start of each source file to most effectively
convey the exclusion of warranty; and each file should have at least
the "copyright" line and a pointer to where the full notice is found.

    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) <year>  <name of author>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

Also add information on how to contact you by electronic and paper mail.

If the program is interactive, make it output a short notice like this
when it starts in an interactive mode:

    Gnomovision version 69, Copyright (C) year name of author
    Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
    This is free software, and you are welcome to redistribute it
    under certain conditions; type `show c' for details.

The hypothetical commands `show w' and `show c' should show the appropriate
parts of the General Public License.  Of course, the commands you use may
be called something other than `show w' and `show c'; they could even be
mouse-clicks or menu items--whatever suits your program.

You should also get your employer (if you work as a programmer) or your
school, if any, to sign a "copyright disclaimer" for the program, if
necessary.  Here is a sample; alter the names:

  Yoyodyne, Inc., hereby disclaims all copyright interest in the program
  `Gnomovision' (which makes passes at compilers) written by James Hacker.

  <signature of Ty Coon>, 1 April 1989
  Ty Coon, President of Vice

This General Public License does not permit incorporating your program into
proprietary programs.  If your program is a subroutine library, you may
consider it more useful to permit linking proprietary applications with the
library.  If this is what you want to do, use the GNU Lesser General
Public License instead of this License.


Specifications and Characteristics

Environmental Conditions

For a complete list of the oscilloscopes' specifications and characteristics, please refer to the oscilloscope's data sheet:

  • Agilent Technologies Infiniium 90000A Series Oscilloscopes Data Sheet (or the [image] latest version on the web).


Environmental Conditions

Below are the environmental condition specifications for the Infiniium 90000A Series oscilloscope.

Temperature |
Operating | +5 °C to +40 °C
Non-operating | -40 °C to +70 °C
Humidity |
Operating | Up to 95% relative humidity (non-condensing) at 40 °C
Non-operating | Up to 90% relative humidity at 65 °C
Altitude |
Operating | Up to 4,000 meters (12,000 feet)
Non-operating | Up to 15,300 meters (50,000 feet)
Vibration |
Operating | Random vibrations 5-500 Hz, 10 minutes per axis, 0.21 g (rms)
Non-operating | Random vibrations 5-500 Hz, 10 minutes per axis, 2.0 g (rms); resonant search 5-500 Hz, swept sine, 1 octave/minute sweep rate, (0.50 g), 5 minute resonant dwell at 4 resonances per axis
Power | 100-240 V, 50/60 Hz Max power dissipated: 800 W
Weight | Net: 20 kg (44 lbs), Shipping: 27.48 kg (60 lbs)
Dimensions (with feet retracted) | Height: 11.13 in (283 mm), Width: 17.02 in (432 mm), Depth: 19.91 in ( 506 mm)
Safety | Meets IEC61010-1 +A2, CSA certified to C22.2 No.1010.1, Self certified to UL 3111

See Also

  • Using the Oscilloscope


Accessories

Accessories / Upgrades

Probing Accessories

Software Applications

This sections describes accessories and application software available for the 90000A Series oscilloscopes.


Accessories / Upgrades

For a complete list of the accessories and upgrades available, please refer to the oscilloscope's data sheet:

  • Agilent Technologies Infiniium 90000A Series Oscilloscopes Data Sheet (or the [image] latest version on the web).

See Also

  • Connect / Probe

  • Software Applications


Probing Accessories

Certain probes heads/accessories may not be compatible with your oscilloscope. Please consult the Agilent Probe and Accessory Selection Guide (or the [image] latest version on the web) for compatibility information.

For complete documentation on Agilent oscilloscope probes and accessories, see Probe Resource Center.

See Also

  • Connect / Probe


Software Applications

For a complete list of the software applications available, please refer to the oscilloscope's data sheet:

  • Agilent Technologies Infiniium 90000A Series Oscilloscopes Data Sheet (or the [image] latest version on the web).

See Also

  • Additional Manuals

  • Accessories / Upgrades


Technical Support

For product assistance and support, see: www.agilent.com/find/contactus_support


Glossary

A

aliasing

When a waveform is sampled at a rate which is less than two samples per period. The resulting samples, when reconstructed, show a lower frequency waveform than the one that was sampled.

attenuation

The reduction of a waveform's amplitude when it goes through a probe or other attenuation device. When using a standard 10:1 probe on an oscilloscope, the input waveform will be reduced, or attenuated, by a factor of 10 in voltage or 20 dB.

D

decimation

Describes what normally happens when the oscilloscope's digitizer is sampling faster than is required to fill memory. Normally, extra samples are thrown away (decimated); however, in the Peak Detect acquisition mode, extra samples are examined for the highest and lowest value samples which are kept, and in the High Resolution acquisition mode, extra samples are averaged.

device under test (DUT)

The system under development whose signals are probed by the oscilloscope.

H

hysteresis

Hysteresis is the difference between the arming voltage and the trigger level voltage. This defines the minimum peak-to-peak waveform voltage which can cause a trigger. The waveform must cross both the arming level voltage and the trigger level voltage to generate a trigger event.

I

impedance

A measure of the opposition to current flow.

L

labels

Names assigned to input channels. Labels in a display of acquired waveforms are easy to read.

N

Nyquist's Theorem

States that a signal can be reconstructed from discrete samples provided the samples are acquired in equally spaced intervals and the highest frequency component of the sampled waveform is less than half the sampling frequency.

O

offset

Offset moves the waveform vertically up or down on the y-axis of the display and is precisely calculated on a digital oscilloscope. The offset voltage is the voltage at the center of the graticule area.

S

single acquisition

An acquisition where the trigger condition is searched for, and acquisition memory is filled, once.

skew

Skew changes the horizontal position of a waveform on the display independent of any other waveforms on the display. Skew is typically used for overlaying waveforms or eliminating timing differences caused by different cable and probe lengths.

sweep speed

Refers to the horizontal time/div setting and the amount of time shown in the displayed graticule.

T

target system

See device under test.

time bucket

A storage location within channel memory which is used to hold a single waveform sample.

time/division

Time/division controls the "zooming" of a waveform display. Increasing the time/division zooms out, while decreasing the time/division zooms in.

time reference

The location of the trigger on the display (when the delay is zero) and in acquisition memory. You can set the time reference to the left side of the display, center, or right right side of the display.

two channel mode

Refers to when you are only using one channel from each grouping, where group 1 is channels 1 and 3 and group 2 is channels 2 and 4).

Z

zoom

To expand and contract the waveform along the time base by varying the value in the time/div field. This action allows you to view specific portions of a particular waveform.

zoom sweep speed

Refers to the horizontal time/div setting and the amount of time shown in the zoomed time base graticule.


Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Agilent Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

Caution

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

Warning

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Windows® is a trademark or registered trademark of Microsoft Corporation in the United States and/or other countries.


Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Agilent disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Agilent shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Agilent and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.